package eu.convergence.middleware.engine.metadataTE;

import eu.convergence.middleware.engine.metadataTE.schemahandler.ConvergenceMetadata;
import eu.convergence.middleware.engine.metadataTE.schemahandler.Dimension;
import eu.convergence.middleware.engine.metadataTE.schemahandler.PublicationMetadata;
import eu.convergence.middleware.engine.metadataTE.schemahandler.ResourceMetadata;
import eu.convergence.middleware.engine.metadataTE.schemahandler.SubscriptionMetadata;

public interface ConvergenceMetadataEngineSchemaHandler
{
	public ConvergenceMetadata getConvergenceMetadata();
	
	public ResourceMetadata getResourceMetadata();
	
	public PublicationMetadata getPublicationMetadata();
	
	public SubscriptionMetadata getSubscriptionMetadata();
	
	public Dimension getDimension();
}
