package eu.convergence.middleware.engine.metadataTE.schemahandler;

import java.util.Date;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

import eu.convergence.middleware.engine.vdiTE.VDIKinds;

public interface ConvergenceMetadata extends MXMCreatorAndParser
{
	public void setExpiryDate(Date expDate);
	
	public void setStartDate(Date startDate);
	
	public void setSequenceIdentifier(String seqId);
	
	public void setVdiKind(VDIKinds vdiKind);
	
	public void setResourceMetadata(ResourceMetadata resMetadata);
	
	public void setPublicationMetadata(PublicationMetadata pubMetadata);
	
	public void setSubscriptionMetadata(SubscriptionMetadata subMetadata);
	
	public Date getExpiryDate();
	
	public Date getStartDate();
	
	public String getSequenceIdentifier();
	
	public VDIKinds getVdiKind();
	
	public ResourceMetadata getResourceMetadata();
	
	public PublicationMetadata getPublicationMetadata();
	
	public SubscriptionMetadata getSubscriptionMetadata();
}
