package eu.convergence.middleware.engine.metadataTE.schemahandler;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.tEngine.digitalitemTE.schemahandler.didl_msx.StructuredData;

public interface PublicationMetadata extends MXMCreatorAndParser
{
	public void addKeyword(String keyword);
	
	public void addTag(String tag);
	
	public void addFieldValuePair(String field, Object value);
	
	public void addStructuredData(StructuredData structuredMetadata);
	
	public void setRVDIIdentifier(String rvdiId);
	
	public void addDimension(Dimension dimension);
	
	public String getRVDIIdentifier();
	
	public List<String> getKeywordList();
	
	public List<String> getTagList();
	
	public List<FieldValue> getFieldValueList();
	
	public List<StructuredData> getStructuredDataList();
	
	public List<Dimension> getDimensionList();
}
