package eu.convergence.middleware.engine.overlayTE;

import java.util.Date;

import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.configuration.MXMConfigurationException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineNotFoundException;

import eu.convergence.middleware.engine.overlayTE.exceptions.OverlayEngineException;

public interface RegistryCreator
{
	public MXMEngineResponse registerToFractal(String fractalId, String overlaySAP, Date leaveDate) throws OverlayEngineException, MXMConfigurationException, MXMEngineNotFoundException, MXMEngineException;
	
	public MXMEngineResponse notifyNeighbors() throws OverlayEngineException;
	
	public MXMEngineResponse advertiseRegistry(String regPath) throws OverlayEngineException, MXMConfigurationException, MXMEngineNotFoundException, MXMEngineException;
}
