package eu.convergence.middleware.event;

import org.iso.mpeg.mxm.core.event.management.MXMEvent;

public class VDIMatchEvent extends MXMEvent
{
	private String S_VDI_Id;
	private String P_VDI_Id;

	public VDIMatchEvent(String S_VDI_Id, String P_VDI_Id, Object source) 
	{
		super(source);
		this.S_VDI_Id = S_VDI_Id;
		this.P_VDI_Id = P_VDI_Id;
	}

	public String getPublicationVdiId()
	{
		return P_VDI_Id;
	}

	public String getSubscriptionVdiId()
	{
		return S_VDI_Id;
	}
}
