package eu.convergence.middleware.engine.metadataTE.schema.convmeta;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ConvergenceMetadataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConvergenceMetadataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SequenceIdentifier" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="VDIkind" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="ExpiryDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="ResourceMetadata" type="{urn:conv:metadata:schema:2011}ResourceMetadataType"/>
 *           &lt;element name="PublicationMetadata" type="{urn:conv:metadata:schema:2011}PublicationMetadataType"/>
 *           &lt;element name="SubscriptionMetadata" type="{urn:conv:metadata:schema:2011}SubscriptionMetadataType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConvergenceMetadataType", propOrder = {
    "sequenceIdentifier",
    "vdIkind",
    "startDate",
    "expiryDate",
    "resourceMetadata",
    "publicationMetadata",
    "subscriptionMetadata"
})
@XmlRootElement(name = "ConvergenceMetadata")
public class ConvergenceMetadataType {

    @XmlElement(name = "SequenceIdentifier", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String sequenceIdentifier;
    @XmlElement(name = "VDIkind", required = true)
    protected String vdIkind;
    @XmlElement(name = "StartDate", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar startDate;
    @XmlElement(name = "ExpiryDate", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar expiryDate;
    @XmlElement(name = "ResourceMetadata")
    protected ResourceMetadataType resourceMetadata;
    @XmlElement(name = "PublicationMetadata")
    protected PublicationMetadataType publicationMetadata;
    @XmlElement(name = "SubscriptionMetadata")
    protected SubscriptionMetadataType subscriptionMetadata;

    /**
     * Gets the value of the sequenceIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSequenceIdentifier() {
        return sequenceIdentifier;
    }

    /**
     * Sets the value of the sequenceIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSequenceIdentifier(String value) {
        this.sequenceIdentifier = value;
    }

    /**
     * Gets the value of the vdIkind property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVDIkind() {
        return vdIkind;
    }

    /**
     * Sets the value of the vdIkind property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVDIkind(String value) {
        this.vdIkind = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStartDate(XMLGregorianCalendar value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the expiryDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpiryDate() {
        return expiryDate;
    }

    /**
     * Sets the value of the expiryDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpiryDate(XMLGregorianCalendar value) {
        this.expiryDate = value;
    }

    /**
     * Gets the value of the resourceMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ResourceMetadataType }
     *     
     */
    public ResourceMetadataType getResourceMetadata() {
        return resourceMetadata;
    }

    /**
     * Sets the value of the resourceMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResourceMetadataType }
     *     
     */
    public void setResourceMetadata(ResourceMetadataType value) {
        this.resourceMetadata = value;
    }

    /**
     * Gets the value of the publicationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link PublicationMetadataType }
     *     
     */
    public PublicationMetadataType getPublicationMetadata() {
        return publicationMetadata;
    }

    /**
     * Sets the value of the publicationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link PublicationMetadataType }
     *     
     */
    public void setPublicationMetadata(PublicationMetadataType value) {
        this.publicationMetadata = value;
    }

    /**
     * Gets the value of the subscriptionMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link SubscriptionMetadataType }
     *     
     */
    public SubscriptionMetadataType getSubscriptionMetadata() {
        return subscriptionMetadata;
    }

    /**
     * Sets the value of the subscriptionMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link SubscriptionMetadataType }
     *     
     */
    public void setSubscriptionMetadata(SubscriptionMetadataType value) {
        this.subscriptionMetadata = value;
    }

}
