package eu.convergence.middleware.engine.metadataTE.schema.convmeta;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FractalAlgebraType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FractalAlgebraType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="Fractal" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="FractalAlgebra" type="{urn:conv:metadata:schema:2011}FractalAlgebraType"/>
 *       &lt;/choice>
 *       &lt;attribute name="operand" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FractalAlgebraType", propOrder = {
    "fractalOrFractalAlgebra"
})
public class FractalAlgebraType {

    @XmlElements({
        @XmlElement(name = "Fractal", type = String.class),
        @XmlElement(name = "FractalAlgebra", type = FractalAlgebraType.class)
    })
    protected List<Object> fractalOrFractalAlgebra;
    @XmlAttribute(name = "operand", required = true)
    protected String operand;

    /**
     * Gets the value of the fractalOrFractalAlgebra property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fractalOrFractalAlgebra property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFractalOrFractalAlgebra().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * {@link FractalAlgebraType }
     * 
     * 
     */
    public List<Object> getFractalOrFractalAlgebra() {
        if (fractalOrFractalAlgebra == null) {
            fractalOrFractalAlgebra = new ArrayList<Object>();
        }
        return this.fractalOrFractalAlgebra;
    }

    /**
     * Gets the value of the operand property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOperand() {
        return operand;
    }

    /**
     * Sets the value of the operand property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOperand(String value) {
        this.operand = value;
    }

}
