package eu.convergence.middleware.engine.metadataTE.schema.convmeta;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_msx.StructuredDataType;


/**
 * <p>Java class for PublicationMetadataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PublicationMetadataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Dimension" type="{urn:conv:metadata:schema:2011}DimensionType"/>
 *         &lt;element name="RVDIid" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="Keyword" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Tag" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="FieldValue" type="{urn:conv:metadata:schema:2011}FieldValueType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="StructuredData" type="{urn:mpeg:maf:schema:mediastreaming:DIDLextensions}StructuredDataType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PublicationMetadataType", propOrder = {
    "dimension",
    "rvdIid",
    "keyword",
    "tag",
    "fieldValue",
    "structuredData"
})
public class PublicationMetadataType {

    @XmlElement(name = "Dimension", required = true)
    protected DimensionType dimension;
    @XmlElement(name = "RVDIid", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String rvdIid;
    @XmlElement(name = "Keyword")
    protected List<String> keyword;
    @XmlElement(name = "Tag")
    @XmlSchemaType(name = "anyURI")
    protected List<String> tag;
    @XmlElement(name = "FieldValue")
    protected List<FieldValueType> fieldValue;
    @XmlElement(name = "StructuredData")
    protected List<StructuredDataType> structuredData;

    /**
     * Gets the value of the dimension property.
     * 
     * @return
     *     possible object is
     *     {@link DimensionType }
     *     
     */
    public DimensionType getDimension() {
        return dimension;
    }

    /**
     * Sets the value of the dimension property.
     * 
     * @param value
     *     allowed object is
     *     {@link DimensionType }
     *     
     */
    public void setDimension(DimensionType value) {
        this.dimension = value;
    }

    /**
     * Gets the value of the rvdIid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRVDIid() {
        return rvdIid;
    }

    /**
     * Sets the value of the rvdIid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRVDIid(String value) {
        this.rvdIid = value;
    }

    /**
     * Gets the value of the keyword property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the keyword property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKeyword().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getKeyword() {
        if (keyword == null) {
            keyword = new ArrayList<String>();
        }
        return this.keyword;
    }

    /**
     * Gets the value of the tag property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the tag property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTag().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getTag() {
        if (tag == null) {
            tag = new ArrayList<String>();
        }
        return this.tag;
    }

    /**
     * Gets the value of the fieldValue property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fieldValue property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFieldValue().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldValueType }
     * 
     * 
     */
    public List<FieldValueType> getFieldValue() {
        if (fieldValue == null) {
            fieldValue = new ArrayList<FieldValueType>();
        }
        return this.fieldValue;
    }

    /**
     * Gets the value of the structuredData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the structuredData property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStructuredData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StructuredDataType }
     * 
     * 
     */
    public List<StructuredDataType> getStructuredData() {
        if (structuredData == null) {
            structuredData = new ArrayList<StructuredDataType>();
        }
        return this.structuredData;
    }

}
