/*
SMILE: a Simple Middleware Independent LayEr 
Author: Giovanni Bartolomeo

Copyright (C) 2007  University of Rome Tor Vergata - Dipartimento di Ingegneria Elettronica


This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package it.uniroma2.smile.core;
import java.io.Serializable;
/**
 *
 * @author Giovanni
 */

//an abstract class wrapping a message
public class Message implements Serializable {
	protected boolean isFault=false;
	
    String name;
    String operation;
    String portType;
    
    public Message() {      
        name=this.getClass().getName();       
    }
    
    public boolean isFault() {
    	return isFault;
    }
    
    public void setName(String n) {
        name=n;
    }
    public String getName() {
        return name;
    }

	public String getOperation() {
		return operation;
	}

	public void setOperation(String operation) {
		this.operation = operation;
	}

	public String getPortType() {
		return portType;
	}

	public void setPortType(String portType) {
		this.portType = portType;
	}

	public void setFault(boolean isFault) {
		this.isFault = isFault;
	}    
	
}
