/*
SMILE: a Simple Middleware Independent LayEr 
Author: Giovanni Bartolomeo

Copyright (C) 2007  University of Rome Tor Vergata - Dipartimento di Ingegneria Elettronica


This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package it.uniroma2.smile.core;

/**
 *
 * @author Giovanni Bartolomeo
 */
public class SendingMessageException extends java.lang.Exception {
    
    private ProcessID[] invalidAdress;
    /**
     * Creates a new instance of <code>InvalidReceiverAddressException</code> without detail message.
     */
    public SendingMessageException() {
    }
    
    //contains a list of invalid addresses, i.e. the processes which haven't received the message
    
    /**
     * Constructs an instance of <code>InvalidReceiverAddressException</code> with the specified detail message.
     * @param addrs an array containing the offfending processIDs. 
     */
    public SendingMessageException(ProcessID[] addrs) {
        invalidAdress=addrs;
    }
    
    public ProcessID[] getAddress() {
        return invalidAdress;
    }
    
    public void setAddress(ProcessID[] addrs) {
        invalidAdress=addrs;
    }    
    
}
