/*
SMILE: a Simple Middleware Independent LayEr 
Author: Giovanni Bartolomeo

Copyright (C) 2007  University of Rome Tor Vergata - Dipartimento di Ingegneria Elettronica


This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package it.uniroma2.smile.sipbinding.util;

import java.util.Vector;

/**
 * <p>Title: Navlet - GPS Navigation System for mobile phones, smartphones and PDAs</p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * @author Rupert Hanak-Hammerl (www.hanak.biz)
 *
 * LICENSE:
 * This code is licensed under GPL. (See http://www.gnu.org/copyleft/gpl.html)
 */
public class StringTokenizer {

  public StringTokenizer() {
  }

  //tokenList: list with all tokens, seperated by comma
  public Vector getTokensV(String tokenList, String separator) {
    Vector tokens= new Vector();//vector with all tokens
    int commaPos = 0;
    String token=""; //a single token
    int cnt=0; //count blankes between commas

    //System.out.println("TokenList:" + tokenList);
    // if no ',' in the string, commaPos=-1
    commaPos = tokenList.indexOf(separator);

     while (commaPos > 0) {
      commaPos = tokenList.indexOf(separator);
      // if (commaPos > 0): necessary for the last token (no comma)
      if (commaPos > 0) {
        token = tokenList.substring(0, commaPos);
        tokenList = tokenList.substring(commaPos,tokenList.length());
        //System.out.println("tokenList:"+tokenList);
      }
      if (!token.startsWith(separator)) tokens.addElement(token);
      //System.out.println("token:" + token);

      while (tokenList.startsWith(separator)){
        cnt++;
        if (cnt>=2){
          tokens.addElement("");
        }
        tokenList=tokenList.substring(1,tokenList.length());
        commaPos = tokenList.indexOf(separator);
      }
      cnt=0;

    } //while commaPos > 0
    if (commaPos < 0) {
      token=tokenList;
      tokens.addElement(token);
    }
    return tokens;
  }

  public String[] getTokensS(String tokenList, String separator){
    Vector tokens=this.getTokensV(tokenList,separator);
    String[] st=new String[tokens.size()];
    //System.out.println("v-size:"+tokens.size());
    for (int i = 0; i <= tokens.size()-1; i++){
      st[i]= (String) tokens.elementAt(i);
      //System.out.println(i+":"+st[i]);
    }
    return st;
  }

//   public static void main(String[] args) {
//     String tstStr1="$GPRMC,063739.397,V,,,,,,,200704,,,N*49\r";//size=13
//     String tstStr2="com1,com2,com3";//size=2
//     String tstStr3="com1,com2";//size=2
//     String tstStr4="com1";//size=1
//     String tstStr5="A,,,B,C,,,,,D";//size=10
//     String tstStr6="4726.0000,01515.000;4724.0000,01518.000";//size=2
//     StringTokenizer t = new StringTokenizer();
//     t.getTokensS(tstStr5,",");
//   }
}

