package eu.convergence.middleware.matchTE.query;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FieldValueQuery extends QueryObject
{
	private Map<String,List<Object>> equalMap;
	private Map<String,Object> lessThanMap;
	private Map<String,Object> greaterThanMap;
	
	public FieldValueQuery()
	{
		equalMap = new HashMap<String,List<Object>>();
		lessThanMap = new HashMap<String,Object>();
		greaterThanMap = new HashMap<String,Object>();
	}
	
	public Map<String,List<Object>> getEqualMap() 
	{
		return equalMap;
	}

	public void setEqualMap(Map<String,List<Object>> equalMap)
	{
		this.equalMap = equalMap;
	}

	public Map<String,Object> getLessThanMap() 
	{
		return lessThanMap;
	}

	public void setLessThanMap(Map<String,Object> lessThanMap) 
	{
		this.lessThanMap = lessThanMap;
	}

	public Map<String,Object> getGreaterThanMap()
	{
		return greaterThanMap;
	}

	public void setGreaterThanMap(Map<String,Object> greaterThanMap)
	{
		this.greaterThanMap = greaterThanMap;
	}
	
}
