package eu.convergence.middleware.overlayTE.service.tcpip;

import eu.convergence.middleware.overlayTE.OverlayManager;
import eu.convergence.middleware.overlayTE.message.tcpip.OverlayPropagationMessageConsumer;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * Created by IntelliJ IDEA.
 * User: aca
 * Date: 7/28/11
 * Time: 11:24 PM
 */
public class OverlayService implements Runnable
{
    private int port;

    public OverlayService(int port)
    {
        this.port = port;
    }
    @Override
    public void run()
    {
        try {
			ServerSocket serverSocket = new ServerSocket(port);
			while (true)
			{
				Socket socket = serverSocket.accept();

				OverlayPropagationMessageConsumer overlayPropagationMessageConsumer = new OverlayPropagationMessageConsumer(socket, OverlayManager.getInstance().getPeerId());
				Thread thread = new Thread(overlayPropagationMessageConsumer);
				thread.start();
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
    }
}
