/** ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla  Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and  limitations under the
 * License.
 *
 * The Original Code is the Chillout Project (http://chillout.dmpf.org)
 *
 * The Initial Developer of the Original Code is Joint Digital Lab (China)
 * Portions created by the Initial Developer are Copyright (C) 2006-2008
 * All Rights Reserved.
 *
 * The Initial Developer: Xueqing Liu 
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */


package convergence_pkgcontent.constants;

/**
 * This class specifies the box type constants which to be used by various boxes. 
 * 
 * @author Xueqing
 *	
 */
public final class BoxType
{
	public static final String FileType = "ftyp";
    public static final String Free = "free";
    public static final String Meta = "meta";
    public static final String Handler = "hdlr";
    public static final String XML ="xml ";
    public static final String BXML = "bxml";
    public static final String ItemLocation = "iloc";
    public static final String MediaData = "mdat";
    public static final String LicenseContainer = "licc";
    public static final String License = "licb";
    public static final String Signature ="sign";
}
