package eu.convergence.middleware.revokePE.methods;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.apache.log4j.Logger;

//import org.iso.mpeg.mxm.core.*;
//import org.iso.mpeg.mxm.engine.mpeg21fileengine.exceptions.MPEG21FileCreationException;




import eu.convergence.middleware.conetTe.*;
import eu.convergence.middleware.core.ConvergenceEngineName;
import eu.convergence.middleware.engine.ConetTe.services.NID;
//import eu.convergence.middleware.core.ConvergenceEngineName;
//import eu.convergence.middleware.core.MXM;
//import eu.convergence.middleware.core.MXMEngineName;
//import eu.convergence.middleware.core.MXMObject;
//import eu.convergence.middleware.core.configuration.MXMConfigurationException;
//import eu.convergence.middleware.core.engine.management.MXMEngineException;

import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMEngine;



//VDI TE
//import eu.convergence.middleware.overlayTE.OverlayManager;
/*
import eu.convergence.middleware.vdiTE.VDITE;
import eu.convergence.middleware.vdiTE.creation.DICreator;
import eu.convergence.middleware.vdiTE.creation.ItemCreator;
import eu.convergence.middleware.vdiTE.creation.ResourceCreator;
import eu.convergence.middleware.vdiTE.schema.DIDL;
*/



/**
 * <HL>
 * This class implements the revoke methods from Conet. 
 */
public class revokeFromConet 
{
	/**
	 * DCF is a locgical container who will hold various boxes.
	 * The DCFMaker will create out a dmp content file from this DCF.
	 */
	//public DCF dcf = null;
	private ConetTE conetTE;
	//private ArrayList<MediaDataInfo> mediaDataInfos=new ArrayList<MediaDataInfo>();
	//private XMLBox xmlBox=new XMLBox();
//	private BXMLBox bxmlBox=new BXMLBox();
	private Logger logger = Logger.getLogger(revokeFromConet.class);
	private final String TEMP_FOLDER = System.getProperty("java.io.tmpdir") + File.separator;
	private final String OUTPUT_DCI_FILE_NAME = TEMP_FOLDER + "mytestDCI.xml";
	
	/*	
	public revokeFromConet() 
	{
		this.dcf = new DCF();
	}
	*/
	
	
    public static void main( String[] args )
    {
        System.out.println( "Hello World!" );
    }
    
    /**
	 * <HL>
	 * Revokes a VDI from CoNet
	 * @param nid The NID has the form principal/label
	 * @throws FileNotFoundException
	 * @throws MXMException 
	 */
	public boolean revokeFromConetProcess(String nid) throws MXMException, FileNotFoundException {
		
		System.out.println("PG1 - Executing revokeFromConetProcess.");
		
		File f = new File(getClass().getClassLoader().getResource("MXMConfiguration.xml").getFile());
		MXM mxm = MXM.getInstance(f);
		mxm.listEnginesAndProperties();
		
		conetTE = (ConetTE) mxm.getDefaultEngine(ConvergenceEngineName.ConetTE.toString());
		
		if (conetTE == null) {
		   System.out.println("mxm.getDefaultEngine(MXMEngineName.ConetTE) returned NULL");
		   System.out.println("Closing test");
		}
		
		System.out.println("Creating the NID object.");
		NID nidObj = new NID(nid);
		//NID nidObj = new NID("andrea.detti/cubo.jpg");
		System.out.println("NID object created.");
		
		//String fileName = getClass().getClassLoader().getResource(nid).getFile();
		String filename = nid;
		System.out.println("FileName is: " + filename);
		int response=0;
		
		
		// Store and Advertise the named-resource fileName with NID = nidClass
		System.out.println("Executing Store and Advertise of named-resource "+filename+" with NID "+nidObj.toString());
		try {
		response = conetTE.storeAndAdvertise(nidObj, ConetTE.NAMED_DATA_RTYPE, filename, (NID)null);
		}
		catch (Exception e) {
		    // Print out the exception that occurred
		    System.out.println(e.getMessage());
		}
		
		   if (response<0) {
			   System.out.println("Store and Advertise failed\n");
			   return false;
		   } else {
			   System.out.println("Store and Advertise succeeded\n");
			   return true;
		   }
	
	}
    
        
}	
	