package eu.convergence.middleware.revokePE;


import java.io.File;

import org.apache.commons.io.FileUtils;
import org.apache.log4j.Logger;
//import org.dmp.chillout.mxm.mpeg21fileengine.MPEG21FileEngine;
import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.apache.log4j.Logger;

import eu.convergence.middleware.revokePE.methods.revokeFromConet;
import eu.convergence.middleware.revokePE.methods.unpublishFromComid;
import eu.convergence.middleware.revokePE.workflow.PrePlannedDigFgt;


import junit.framework.Assert;
import junit.framework.TestCase;





/**
 * Unit test for simple App.
 */
public class RevokePEConetTest 
    extends TestCase
{
	private Logger logger = Logger.getLogger(RevokePEConetTest.class);
	
	private final String OUTPUT_DCF_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "testDCF.mp21";
	private final String OUTPUT_DCI_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "testDCI.xml";
	private final String OUTPUT_MEDIA_RESOURCE_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "chillout_small.jpg";
	
	private final String TEMP_FOLDER = System.getProperty("java.io.tmpdir");
	private final String OUTPUT_MXM_FILE_NAME = TEMP_FOLDER + "MXMConfiguration.xml";

	private final String SOURCE_DCI_FILE_NAME = TEMP_FOLDER + "testDCI.xml";
	private final String SOURCE_MEDIA_RESOURCE_FILE_NAME = "chillout_small.jpg";
	private final String MEDIA_RESOURCE_ITEM_ID = "B1";
	
	
    /**
     * Create the test case
     *
     * @param testName name of the test case
     */
    public RevokePEConetTest( String testName )
    {
        super( testName );
    }

  
    /**
     * Test communications among classes
     */
    /*
    public void testApp()
    {
        assertTrue( true );
        System.out.println( "Hello World Test!" );
        App application = new App();
        application.escreve();
    }
    */
    
    
    //Test of the revoke methods
    public void testRevokeMethods() throws Exception {
		logger.info("\n\n---------- testRevokeMethods ----------");
		
		/*		
		File f = new File(getClass().getClassLoader().getResource("MXMConfiguration.xml").getFile());
		logger.info("\n\n---------- test1 ----------");
		*/
		
		
		String dciFilePathName = SOURCE_DCI_FILE_NAME;
		String vdiID = "001";
		String nid = "cubo.jpg";
		
		logger.info("\n\n---------- Calling Revoke Methods ------------");
		revokeFromConet rvk = new revokeFromConet();
		
		//unpublishFromComid unp = new unpublishFromComid();
		
		
		
		/*
		//Calling the revoke from CONET operation
		if (rvk.revokeFromConetProcess(dciFilePathName)==true)
			logger.info("\n\n---------- Revoke from CONET succeeded ----------");
		else 
			logger.info("\n\n---------- Revoke from CONET failed ----------");
		*/
		
		
		//Calling the unpublish from COMID operation
		/*
		if (unp.unpublishFromComid(vdiID)==true)
			logger.info("\n\n---------- Unpublish from COMID succeeded ----------");
		else 
			logger.info("\n\n---------- Unpublish from COMID failed ----------");
		*/
		
		
		
		
	}
    
    
    
    //Test of the revoke workflow
    public void testRevokeWorkflow() throws Exception {
		logger.info("\n\n---------- testRevokeWorkflow ----------");
		
		/*		
		File f = new File(getClass().getClassLoader().getResource("MXMConfiguration.xml").getFile());
		logger.info("\n\n---------- test1 ----------");
		*/
		
		/*
		String dciFilePathName = SOURCE_DCI_FILE_NAME;
		
		logger.info("\n\n---------- Creating a new Pre Planning Digital Forgetting ----------");
		PrePlannedDigFgt preDigFgt = new PrePlannedDigFgt();
		preDigFgt.revokeContent(dciFilePathName);
		*/	
	}
	
}
