package eu.convergence.middleware.tool.rel;

import java.io.File;
import java.util.List;

import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.License;

public interface LicenseParser
{
	public License parseLicenseFile(File licenseFile);
	
	public License parseLicenseString(String licenseStr);
	
	public boolean storeLicense(String filePath);
	
	public String getResourceUrl();
	
	public byte[] getEncryptedKey();
	
	public List<String> getPropertyPossessorRights(String propertyURI);
	
	public List<String> getPropertyPossessors();
}