package eu.convergence.middleware.tool.security.test;


import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;

import junit.framework.TestCase;

import org.apache.log4j.Logger;
import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.configuration.MXMConfigurationException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.securityTE.schema.SecurityEngineContext;
import org.iso.mpeg.mxm.tEngine.utils.SchemaNamespacePrefixMapperImpl;
import org.iso.mpeg.mxm.tEngine.securityTE.SecurityEngine;

import eu.convergence.middleware.tool.security.RegistrationTool;


public class IPRegistrationToolTest extends TestCase
{
    private final String     IP_ROOT_CERT_PATH = "./ip_root.cert";
    private JAXBContext      jc                = null;
    private final Logger     logger            = Logger
                                                   .getLogger(IPRegistrationToolTest.class);
    private Marshaller       m                 = null;
    private RegistrationTool registrationTool  = null;
    private SecurityEngine   securityTE        = null;

//    @Override
//    protected void setUp() throws Exception
//    {
//        super.setUp();
//        // Initialize JAXB Context.
//        this.jc = SecurityEngineContext.getInstance().getJAXBContext();
//        this.m = this.jc.createMarshaller();
//        this.m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
//        this.m.setProperty("com.sun.xml.bind.namespacePrefixMapper",
//            SchemaNamespacePrefixMapperImpl.getInstance());
//        // Initialize MXM.
//        this.logger.info("\n--- Setup MXMConfiguration ---");
//        final File f = new File(this.getClass().getClassLoader()
//            .getResource("MXMConfiguration_IdentityProvider.xml").getFile());
//        final MXM mxm = org.iso.mpeg.mxm.core.MXM.getInstance(f);
//        mxm.listEnginesAndProperties();
//        this.logger.info("\n--- Init SecurityEngine ---");
//        this.securityTE = (SecurityEngine)mxm.getDefaultEngine(MXMEngineName.SecurityTE
//            .toString());
//        this.logger.info("\n--- Done! ---");
//        this.logger.info("\n--- Init RegistrationTool ---");
//        this.registrationTool = RegistrationTool
//            .getInstance(this.IP_ROOT_CERT_PATH, null);
//        this.logger.info("\n--- Done! ---");
//    }
//
//    public void testIPIdentityCreation() throws MXMConfigurationException,
//        MXMEngineException
//    {
//        this.logger.info("\n---------- testIPIdentityCreation ----------");
//        final int userID = this.registrationTool
//            .identifyUserToIP("Max", "Mustermann", java.sql.Date.valueOf("1998-01-31"),
//                "DE", "Berlin", "A nice company", "1234");
//        this.logger.info("\nThe user has been successfully created with id " + userID
//            + "\n");
//        assertTrue(userID > -1);
//        // iPRegistrationTool.deactivateUser(2);
//        // iPRegistrationTool.deactivateUser(1);
//        // iPRegistrationTool.activateUser(1);
//        // sPRegistrationTool.deleteUser(1);
//    }
//
//    public void testIPRegistrationToolInstance() throws MXMConfigurationException,
//        MXMEngineException
//    {
//        this.logger.info("\n---------- testIPRegistrationToolCreation ----------");
//        assertTrue(this.securityTE.getRepositoryManager().getClass()
//            .equals(IPRepositoryManager.class));
//        this.logger
//            .info("\nThe RepositoryManager is properly set to IPRepositoryManager\n");
//    }
}
