/*
 * Copyright (c) 2011 Safran Morpho.
 * This software is the confidential and proprietary
 * information of Safran Morpho.
 * All rights reserved.
 *
 * Safran Morpho makes no representations or
 * warranties about the suitability of the software, either
 * express or implied, including but not limited to the implied
 * warranties of merchantability, fitness for a particular
 * purpose, or non-infringement.
 * Safran Morpho shall not be liable for any damages
 * suffered by licensee as a result of using, modifying or
 * distributing this software or its derivatives.
 *
 * This copyright notice must appear in all copies of this
 * software.
 *
 * $File: //ResearchProjects/Convergence/implementation/main/SecurityLib/src/morpho/cryptomodule/CryptoModuleException.java $
 * 
 * Last submit:
 *  $Revision: #2 $
 *  $Change: 365799 $
 *  $DateTime: 2012/06/01 14:17:13 $
 *  $Author: akohlos $
 *
 * 
 * Created on 25.10.2011
 *
 */
package morpho.cryptomodule;


import morpho.securityengine.exceptions.SecurityEngineException;


public class CryptoModuleException extends SecurityEngineException
{
    private static final long serialVersionUID = 2927893238513976400L;

    public CryptoModuleException(final String message)
    {
        super(message);
    }
}
