package org.iso.mpeg.mxm.pEngine.describeentityPE.schemahandler;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.pEngine.basePE.schemahandler.ProtocolRequest;
import org.iso.mpeg.mxm.pEngine.basePE.schemahandler.SupportedMetadataSchema;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.fru.FRU;

public interface GetDescribeEntityRequest extends ProtocolRequest
{
	public String getEntityIdentifier();

	public void setEntityIdentifier(String string);

	public List<SupportedMetadataSchema> getSupportedMetadataSchema() throws MXMEngineException;
	
	public void addSupportedMetadataSchema(SupportedMetadataSchema supportedMetadataSchema) throws MXMException;

	public FRU getFRU() throws MXMEngineException;

	public void setFRU(FRU fRU) throws MXMException;
}