package org.iso.mpeg.mxm.pEngine.packagecontentPE.schemahandler;

import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.pEngine.packagecontentPE.exceptions.PackageContentEngineException;

/**
 * @author Angelo Difino
 *
 */
public abstract class PackageContentSchemaHandler 
{
	public abstract PackageContentRequest getPackageContentRequest() throws PackageContentEngineException, MXMEngineException;
	
	public abstract PackageContentResponse getPackageContentResponse() throws PackageContentEngineException, MXMEngineException;
	
	public abstract PackageContentSuccess getPackageContentSuccess() throws PackageContentEngineException, MXMEngineException;

}
