package org.iso.mpeg.mxm.tEngine.contractTE.schemahandler.cel;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;

public interface Contract extends MXMCreatorAndParser
{
	public Object getTextVersion();

	public void setTextVersion(Object object);

	public EncryptedTextVersion getEncryptedTextVersion();

	public void setEncryptedTextVersion(EncryptedTextVersion encryptedTextVersion);

	public Metadata getMetadata();

	public void setMetadata(Metadata metadata);

	public ContractsRelated getContractsRelated();

	public void setContractsRelated(ContractsRelated contractsRelated);

	public List<Party> getParty();

	public Body getBody();

	public void setBody(Body body);

	public EncryptedContract getEncryptedContract();

	public void setEncryptedContract(EncryptedContract encryptedContract);

	public String getContractId();

	public void setContractId(String string);
}