package org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.mpeg4ipmp;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;

public interface TerminalID extends MXMCreatorAndParser
{
	public TerminalIDTerminal getTerminal();

	public void setTerminal(TerminalIDTerminal terminalIDTerminal);

	public OS getOperatingSystem();

	public void setOperatingSystem(OS oS);

	public CPU getCPU();

	public void setCPU(CPU cPU);

	public Memory getMemory();

	public List<TerminalIDAsstHardware> getAsstHardware();

	public List<TerminalIDDownloading> getDownloading();

	public List<TerminalIDRPCMechanism> getRPCMechanism();

	public List<TerminalIDFirmware> getFirmware();

	public void setMemory(Memory memory);

	public List<TerminalIDNetwork> getNetwork();
}