package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface AudioVisualRegion extends Segment
{
	public List<SegmentDecomposition> getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition();

	public SpatioTemporalLocator getVisualSpatioTemporalLocator();

	public void setVisualSpatioTemporalLocator(SpatioTemporalLocator spatioTemporalLocator);

	public SpatioTemporalMask getVisualSpatioTemporalMask();

	public void setVisualSpatioTemporalMask(SpatioTemporalMask spatioTemporalMask);

	public MediaTime getAudioMediaTime();

	public void setAudioMediaTime(MediaTime mediaTime);

	public TemporalMask getAudioTemporalMask();

	public void setAudioTemporalMask(TemporalMask temporalMask);
}