package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface AudioVisualRegionMediaSourceDecomposition extends MediaSourceSegmentDecomposition
{
	public void addAudioVisualSegment(AudioVisualSegment audioVisualSegment);
	
	public List<AudioVisualSegment> getAudioVisualSegments();
	
	public void addAudioVisualSegmentRef(Reference reference);
	
	public List<Reference> getAudioVisualSegmentRefs();
	
	public void addVideoSegment(VideoSegment videoSegment);
	
	public List<VideoSegment> getVideoSegments();
	
	public void addVideoSegmentRef(Reference reference);
	
	public List<Reference> getVideoSegmentRefs();
	
	public void addStillRegion(StillRegion stillRegion);
	
	public List<StillRegion> getStillRegions();
	
	public void addStillRegionRef(Reference reference);
	
	public List<Reference> getStillRegionRefs();
	
	public void addAudioSegment(AudioSegment audioSegment);
	
	public List<AudioSegment> getAudioSegments();
	
	public void addAudioSegmentRef(Reference reference);
	
	public List<Reference> getAudioSegmentRefs();
	
}