package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface DescriptionMetadata extends Header
{
	public List<Creator> getCreator();

	public Rights getRights();

	public void setRights(Rights rights);

	public Float getConfidence();

	public void setConfidence(Float value);

	public void setVersion(String string);

	public String getLastUpdate();

	public void setLastUpdate(String string);

	public List<UniqueID> getPublicIdentifier();

	public List<String> getPrivateIdentifier();

	public Place getCreationLocation();

	public void setCreationLocation(Place place);

	public String getCreationTime();

	public void setCreationTime(String string);

	public List<CreationTool> getInstrument();

	public void setPackage(Package value);

	public Package getPackage();

	public String getVersion();

	public TextAnnotation getComment();

	public void setComment(TextAnnotation textAnnotation);
}