package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;


public interface MediaFormat extends D
{
	public void setContent(ControlledTermUse controlledTermUse);

	public ControlledTermUse getMedium();

	public void setMedium(ControlledTermUse controlledTermUse);

	public ControlledTermUse getFileFormat();

	public void setFileFormat(ControlledTermUse controlledTermUse);

	public void setFileSize(BigInteger bigInteger);

	public ControlledTermUse getSystem();

	public void setSystem(ControlledTermUse controlledTermUse);

	public Float getBandwidth();

	public void setBandwidth(Float value);

	public MediaFormatBitRate getBitRate();

	public void setBitRate(MediaFormatBitRate mediaFormatBitRate);

	public BigInteger getTargetChannelBitRate();

	public void setTargetChannelBitRate(BigInteger bigInteger);

	public String getScalableCoding();

	public void setScalableCoding(String string);

	public MediaFormatVisualCoding getVisualCoding();

	public void setVisualCoding(MediaFormatVisualCoding mediaFormatVisualCoding);

	public MediaFormatAudioCoding getAudioCoding();

	public void setAudioCoding(MediaFormatAudioCoding mediaFormatAudioCoding);

	public ControlledTermUse getSceneCodingFormat();

	public void setSceneCodingFormat(ControlledTermUse controlledTermUse);

	public ControlledTermUse getGraphicsCodingFormat();

	public void setGraphicsCodingFormat(ControlledTermUse controlledTermUse);

	public ControlledTermUse getOtherCodingFormat();

	public void setOtherCodingFormat(ControlledTermUse controlledTermUse);

	public ControlledTermUse getContent();

	public BigInteger getFileSize();
}