package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

public interface Person extends Agent
{
	public Reference getAddressRef();

	public void setAddressRef(Reference reference);

	public List<ElectronicAddress> getElectronicAddress();

	public List<PersonName> getName() throws MXMEngineException;
	
	public List<ControlledTermUse> getNameTerm();
	
	public void addName(PersonName personName);
	
	public void addNameTerm(ControlledTermUse controlledTermUse);

	public List<Affiliation> getAffiliation();

	public List<String> getCitizenship();

	public Textual getPersonDescription();

	public void setPersonDescription(Textual textual);

	public String getNationality();

	public void setNationality(String string);

	public Place getAddress();

	public void setAddress(Place place);
}