package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface Place extends DS
{
	public List<ControlledTermUse> getNameTerm();

	public List<ElectronicAddress> getElectronicAddress();

	public List<Textual> getPlaceDescription();

	public TermUse getRole();

	public void setRole(TermUse termUse);

	public PlaceGeographicPosition getGeographicPosition();

	public void setGeographicPosition(PlaceGeographicPosition geographicPosition);

	public List<TermUse> getAstronomicalBody();

	public List<String> getRegion();

	public List<PlaceAdministrativeUnit> getAdministrativeUnit();

	public PlacePostalAddress getPostalAddress();

	public void setPostalAddress(PlacePostalAddress postalAddress);

	public PlaceStructuredPostalAddress getStructuredPostalAddress();

	public void setStructuredPostalAddress(PlaceStructuredPostalAddress structuredPostalAddress);

	public String getInternalCoordinates();

	public void setInternalCoordinates(String string);

	public PlaceStructuredInternalCoordinates getStructuredInternalCoordinates();

	public void setStructuredInternalCoordinates(PlaceStructuredInternalCoordinates structuredInternalCoordinates);

	public List<Textual> getName();
}