package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;
import java.util.List;

public interface ProbabilityDistribution extends ProbabilityModel
{
	public BigInteger getDim();

	public void setDim(BigInteger bigInteger);

	public DoubleMatrix getMean();

	public void setMean(DoubleMatrix doubleMatrix);

	public DoubleMatrix getVariance();

	public void setVariance(DoubleMatrix doubleMatrix);

	public DoubleMatrix getMin();

	public void setMin(DoubleMatrix doubleMatrix);

	public DoubleMatrix getMax();

	public void setMax(DoubleMatrix doubleMatrix);

	public DoubleMatrix getMode();

	public void setMode(DoubleMatrix doubleMatrix);

	public DoubleMatrix getMedian();

	public void setMedian(DoubleMatrix doubleMatrix);

	public List<ProbabilityDistributionMoment> getMoment();

	public List<ProbabilityDistributionCumulant> getCumulant();
}