package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;

public interface SemanticBaseMediaOccurrence extends MXMCreatorAndParser
{
	public MediaLocator getMediaLocator();

	public void setMediaLocator(MediaLocator mediaLocator);

	public MediaInformation getMediaInformation();

	public void setMediaInformation(MediaInformation mediaInformation);

	public Reference getMediaInformationRef();

	public void setMediaInformationRef(Reference reference);

	public void setMask(Mask mask);

	public List<AudioD> getAudioDescriptor();

	public List<AudioDS> getAudioDescriptionScheme();

	public List<VisualD> getVisualDescriptor();

	public List<VisualDS> getVisualDescriptionScheme();

	public String get();

	public Mask getMask();

	public void set(String string);
}