package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface SequentialSummary extends Summary
{
	public TemporalSegmentLocator getAudioVisualSummaryLocator();

	public void setAudioVisualSummaryLocator(TemporalSegmentLocator temporalSegmentLocator);

	public TemporalSegmentLocator getVideoSummaryLocator();

	public void setVideoSummaryLocator(TemporalSegmentLocator temporalSegmentLocator);

	public TemporalSegmentLocator getAudioSummaryLocator();

	public void setAudioSummaryLocator(TemporalSegmentLocator temporalSegmentLocator);

	public List<VisualSummaryComponent> getVisualSummaryComponent();

	public List<AudioSummaryComponent> getAudioSummaryComponent();

	public List<TextualSummaryComponent> getTextualSummaryComponent();

	public List<String> getComponents();
}