package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;
import java.util.List;

public interface SeriesOfVector extends ScalableSeries
{
	public FloatMatrix getMean();

	public void setMean(FloatMatrix floatMatrix);

	public FloatMatrix getVariance();

	public void setVariance(FloatMatrix floatMatrix);

	public FloatMatrix getMin();

	public void setMin(FloatMatrix floatMatrix);

	public FloatMatrix getMax();

	public void setMax(FloatMatrix floatMatrix);

	public FloatMatrix getRaw();

	public FloatMatrix getRandom();

	public Float getLogBase();

	public void setLogBase(Float value);

	public void setRaw(FloatMatrix floatMatrix);

	public void setRandom(FloatMatrix floatMatrix);

	public void setFirst(FloatMatrix floatMatrix);

	public void setLast(FloatMatrix floatMatrix);

	public FloatMatrix getCovariance();

	public void setCovariance(FloatMatrix floatMatrix);

	public List<Float> getVarianceSummed();

	public List<Float> getMaxSqDist();

	public BigInteger getVectorSize();

	public void setVectorSize(BigInteger bigInteger);

	public FloatMatrix getFirst();

	public List<Float> getWeight();

	public FloatMatrix getLast();
}