package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;

import java.util.List;

public interface TextAnnotation extends MXMCreatorAndParser
{
	public Float getConfidence();

	public void setConfidence(Float value);

	public List<Textual> getFreeTextAnnotation();
	
	public void addFreeTextAnnotation(Textual textual) throws MXMException;
	
	public List<StructuredAnnotation> getStructuredAnnotation();
	
	public void addStructuredAnnotation(StructuredAnnotation structuredAnnotation);
	
	public List<DependencyStructure> getDependencyStructure();
	
	public void addDependencyStructure(DependencyStructure dependencyStructure);
	
	public Float getRelevance();

	public void setRelevance(Float value);
}