package org.iso.mpeg.mxm.tEngine.metadataTE.technologyhandler;

import java.util.Map;

public interface MetadataRepository
{
	public Map<String,String> getXmlDescription(String contentId, String xPath);
	
	public boolean replaceXmlDescriptionNode(String contentId, String xPath, String inputNode);
	
	public boolean addXmlDescriptionNode(String contentId, String xPath, String inputNode);
	
	public boolean removeXmlDescriptionNode(String contentId, String xPath);
	
	public boolean deleteXmlDescription(String contentId);
	
	public void initRepository(boolean clean);
}
