package org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relm1x;

import java.util.List;

import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.DigitalResource;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.xenc.EncryptedData;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.xenc.EncryptedKey;

public interface ProtectedResource extends org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Resource
{
	public DigitalResource getDigitalResource();

	public void setDigitalResource(DigitalResource digitalResource);

	public void addEncryptedKey(EncryptedKey encryptedKey);
	
	public void addEncryptedData(EncryptedData encrypteddata);
	
	public List<EncryptedData> getEncryptedDataList();
	
	public List<EncryptedKey> getEncryptedKeyList();

	public String getResourceLocator();

	public void setResourceLocator(String string);
}