package org.iso.mpeg.mxm.tEngine.searchTE;

import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.*;

public interface SearchEngineSchemaHandler
{
	public Abs getAbs() throws MXMEngineException;
	public AbstractSortBy getAbstractSortBy() throws MXMEngineException;
	public Add getAdd() throws MXMEngineException;
	public AggregateExpression getAggregateExpression() throws MXMEngineException;
	public AND getAND() throws MXMEngineException;
	public ArithmeticExpression getArithmeticExpression() throws MXMEngineException;
	public AvailableCapability getAvailableCapability() throws MXMEngineException;
	public AVG getAVG() throws MXMEngineException;
	public Capability getCapability() throws MXMEngineException;
	public CapabilityTerm getCapabilityTerm() throws MXMEngineException;
	public CapabilityUsageConditions getCapabilityUsageConditions() throws MXMEngineException;
	public Ceiling getCeiling() throws MXMEngineException;
	public ClassificationScheme getClassificationScheme() throws MXMEngineException;
	public ComplementOf getComplementOf() throws MXMEngineException;
	public Contains getContains() throws MXMEngineException;
	public Count getCount() throws MXMEngineException;
	public DeclaredField getDeclaredField() throws MXMEngineException;
	public DescriptionResource getDescriptionResource() throws MXMEngineException;
	public DescriptionResourceAnyDescription getDescriptionResourceAnyDescription() throws MXMEngineException;
	public DisjointWith getDisjointWith() throws MXMEngineException;
	public Divide getDivide() throws MXMEngineException;
	public Equal getEqual() throws MXMEngineException;
	public EquivalentClass getEquivalentClass() throws MXMEngineException;
	public Field getField() throws MXMEngineException;
	public Floor getFloor() throws MXMEngineException;
	public GreaterThan getGreaterThan() throws MXMEngineException;
	public GreaterThanEqual getGreaterThanEqual() throws MXMEngineException;
	public Information getInformation() throws MXMEngineException;
	public InlineMedia getInlineMedia() throws MXMEngineException;
	public InputManagement getInputManagement() throws MXMEngineException;
	public InputQuery getInputQuery() throws MXMEngineException;
	public IntegerMatrix getIntegerMatrix() throws MXMEngineException;
	public IntersectionOf getIntersectionOf() throws MXMEngineException;
	public InverseOf getInverseOf() throws MXMEngineException;
	public Join getJoin() throws MXMEngineException;
	public JoinFrom getJoinFrom() throws MXMEngineException;
	public LessThan getLessThan() throws MXMEngineException;
	public LessThanEqual getLessThanEqual() throws MXMEngineException;
	public LowerCase getLowerCase() throws MXMEngineException;
	public MAX getMAX() throws MXMEngineException;
	public MediaLocator getMediaLocator() throws MXMEngineException;
	public MediaResource getMediaResource() throws MXMEngineException;
	public MIN getMIN() throws MXMEngineException;
	public Modulus getModulus() throws MXMEngineException;
	public MpegQuery getMpegQuery() throws MXMEngineException;
	public MpegQueryManagement getMpegQueryManagement() throws MXMEngineException;
	public MpegQueryQuery getMpegQueryQuery() throws MXMEngineException;
	public MpegQueryQueryFetchResult getMpegQueryQueryFetchResult() throws MXMEngineException;
	public Multiply getMultiply() throws MXMEngineException;
	public NOT getNOT() throws MXMEngineException;
	public NotEqual getNotEqual() throws MXMEngineException;
	public Of getOf() throws MXMEngineException;
	public OR getOR() throws MXMEngineException;
	public OutputDescription getOutputDescription() throws MXMEngineException;
	public OutputDescriptionGroupBy getOutputDescriptionGroupBy() throws MXMEngineException;
	public OutputManagement getOutputManagement() throws MXMEngineException;
	public OutputQuery getOutputQuery() throws MXMEngineException;
	public QFDeclaration getQFDeclaration() throws MXMEngineException;
	public QFDeclarationPrefix getQFDeclarationPrefix() throws MXMEngineException;
	public QueryByDescription getQueryByDescription() throws MXMEngineException;
	public QueryByFeatureRange getQueryByFeatureRange() throws MXMEngineException;
	public QueryByFeatureRangeDistance getQueryByFeatureRangeDistance() throws MXMEngineException;
	public QueryByFeatureRangeRange getQueryByFeatureRangeRange() throws MXMEngineException;
	public QueryByFreeText getQueryByFreeText() throws MXMEngineException;
	public QueryByMedia getQueryByMedia() throws MXMEngineException;
	public QueryByRelevanceFeedback getQueryByRelevanceFeedback() throws MXMEngineException;
	public QueryByROI getQueryByROI() throws MXMEngineException;
	public QueryBySPARQL getQueryBySPARQL() throws MXMEngineException;
	public QueryByXQuery getQueryByXQuery() throws MXMEngineException;
	public QueryCondition getQueryCondition() throws MXMEngineException;
	public Relation getRelation() throws MXMEngineException;
	public Resource getResource() throws MXMEngineException;
	public ResultItem getResultItem() throws MXMEngineException;
	public ResultItemAggregationResult getResultItemAggregationResult() throws MXMEngineException;
	public ResultItemBase getResultItemBase() throws MXMEngineException;
	public ResultItemComment getResultItemComment() throws MXMEngineException;
	public ResultItemDescription getResultItemDescription() throws MXMEngineException;
	public ResultItemFragmentResult getResultItemFragmentResult() throws MXMEngineException;
	public ResultItemMediaResource getResultItemMediaResource() throws MXMEngineException;
	public ResultItemTextResult getResultItemTextResult() throws MXMEngineException;
	public ResultItemThumbnail getResultItemThumbnail() throws MXMEngineException;
	public Round getRound() throws MXMEngineException;
	public SemanticExpression getSemanticExpression() throws MXMEngineException;
	public SemanticField getSemanticField() throws MXMEngineException;
	public SemanticRelation getSemanticRelation() throws MXMEngineException;
	public ServiceSelection getServiceSelection() throws MXMEngineException;
	public SortByAggregate getSortByAggregate() throws MXMEngineException;
	public SortByField getSortByField() throws MXMEngineException;
	public SpatialQuery getSpatialQuery() throws MXMEngineException;
	public StdDev getStdDev() throws MXMEngineException;
	public StringExpression getStringExpression() throws MXMEngineException;
	public SubClassOf getSubClassOf() throws MXMEngineException;
	public Subtract getSubtract() throws MXMEngineException;
	public SUM getSUM() throws MXMEngineException;
	public SystemMessage getSystemMessage() throws MXMEngineException;
	public TemporalQuery getTemporalQuery() throws MXMEngineException;
	public TemporalRegion getTemporalRegion() throws MXMEngineException;
	public Term getTerm() throws MXMEngineException;
	public UnionOf getUnionOf() throws MXMEngineException;
	public UpperCase getUpperCase() throws MXMEngineException;
	public Variance getVariance() throws MXMEngineException;
	public XOR getXOR() throws MXMEngineException;

}
