package org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;

public interface Capability extends MXMCreatorAndParser
{
	public CapabilityTerm getSupportedQFProfile();

	public void setSupportedQFProfile(CapabilityTerm capabilityTerm);

	public List<String> getSupportedMetadata();

	public List<String> getSupportedExampleMedias();

	public List<String> getSupportedResultMedias();

	public List<CapabilityTerm> getSupportedQuerys();

	public List<CapabilityTerm> getSupportedExpressions();

	public List<CapabilityUsageConditions> getUsageConditions();
}