package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

public interface X509Data extends MXMCreatorAndParser
{
	public X509IssuerSerial getX509IssuerSerial();
	
	public void setX509IssuerSerial(X509IssuerSerial x509issuerSerial);
	
	public byte[] getX509SKI();
	
	public void setX509SKI(byte[] x509ski);
	
	public String getX509SubjectName();
	
	public void setX509SubjectName(String x509subjectName);
	
	public byte[] getX509Certificate();
	
	public void setX509Certificate(byte[] x509Certificate);
	
	public byte[] getX509CRL();
	
	public void setX509CRL(byte[] x509crl);
	
	public Object getOther();
	
	public void setOther(Object other);
}