package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.assertion;


import javax.xml.datatype.XMLGregorianCalendar;

import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;


public interface AuthnStatement extends StatementAbstract
{
    public SubjectLocality getSubjectLocality() throws MXMEngineException;

    public void setSubjectLocality(SubjectLocality subjectLocality) throws MXMException;

    public AuthnContext getAuthnContext() throws MXMEngineException;

    public void setAuthnContext(AuthnContext authnContext) throws MXMException;

    public XMLGregorianCalendar getAuthnInstant();

    public void setAuthnInstant(XMLGregorianCalendar xMLGregorianCalendar);

    public String getSessionIndex();

    public void setSessionIndex(String string);

    public XMLGregorianCalendar getSessionNotOnOrAfter();

    public void setSessionNotOnOrAfter(XMLGregorianCalendar xMLGregorianCalendar);
}