package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.assertion;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;
import java.util.Map;

import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;

public interface SubjectConfirmationData extends MXMCreatorAndParser
{
	public Map<QName, String> getOtherAttributes();

	public String getRecipient();

	public void setRecipient(String string);

	public XMLGregorianCalendar getNotBefore();

	public void setNotBefore(XMLGregorianCalendar xMLGregorianCalendar);

	public XMLGregorianCalendar getNotOnOrAfter();

	public void setNotOnOrAfter(XMLGregorianCalendar xMLGregorianCalendar);

	public String getInResponseTo();

	public void setInResponseTo(String string);

	public String getAddress();

	public List<Object> getContent();

	public void setAddress(String string);
}