package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.protocol;

import javax.xml.datatype.XMLGregorianCalendar;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

public interface StatusResponse extends MXMCreatorAndParser
{
	public void setVersion(String string);

	public org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.assertion.NameID getIssuer();

	public void setSignature(org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature signature);

	public void setIssuer(org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.assertion.NameID nameID);

	public XMLGregorianCalendar getIssueInstant();

	public void setIssueInstant(XMLGregorianCalendar xMLGregorianCalendar);

	public String getInResponseTo();

	public void setInResponseTo(String string);

	public void setDestination(String string);

	public String getConsent();

	public void setConsent(String string);

	public org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature getSignature();

	public String getID();

	public String getDestination();

	public String getVersion();

	public Status getStatus();

	public void setStatus(Status status);

	public void setID(String string);

	public Extensions getExtensions();

	public void setExtensions(Extensions extensions);
}