
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.contractTE.schema.cel.ContractType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;


/**
 * <p>Java class for ContractEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContractEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:cel:xml:2012}contract"/>
 *         &lt;element name="ContractRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContractIdentifier" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContractEntityType", propOrder = {
    "contract",
    "contractRef",
    "contractIdentifier"
})
public class ContractEntityType
    extends EntityBaseType
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:cel:xml:2012")
    protected ContractType contract;
    @XmlElement(name = "ContractRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> contractRef;
    @XmlElement(name = "ContractIdentifier")
    protected List<UniqueIDType> contractIdentifier;

    /**
     * Gets the value of the contract property.
     * 
     * @return
     *     possible object is
     *     {@link ContractType }
     *     
     */
    public ContractType getContract() {
        return contract;
    }

    /**
     * Sets the value of the contract property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContractType }
     *     
     */
    public void setContract(ContractType value) {
        this.contract = value;
    }

    /**
     * Gets the value of the contractRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contractRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContractRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getContractRef() {
        if (contractRef == null) {
            contractRef = new ArrayList<String>();
        }
        return this.contractRef;
    }

    /**
     * Gets the value of the contractIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contractIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContractIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UniqueIDType }
     * 
     * 
     */
    public List<UniqueIDType> getContractIdentifier() {
        if (contractIdentifier == null) {
            contractIdentifier = new ArrayList<UniqueIDType>();
        }
        return this.contractIdentifier;
    }

}
