
package org.iso.mpeg.mxm.baseprotocol.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Rate;


/**
 * <p>Java class for EntityOrderInformationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EntityOrderInformationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="OrderID" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="Buyer" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}UserEntityType"/>
 *         &lt;element name="TransactionDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;sequence minOccurs="0">
 *           &lt;element name="Amount" type="{urn:mpeg:mpeg21:2003:01-REL-SX-NS}Rate"/>
 *           &lt;element name="VAT" type="{urn:mpeg:mpeg21:2003:01-REL-SX-NS}Rate" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EntityOrderInformationType", propOrder = {
    "orderID",
    "buyer",
    "transactionDate",
    "amount",
    "vat"
})
@XmlSeeAlso({
    ContentOrderInformationType.class,
    LicenseOrderInformationType.class
})
public abstract class EntityOrderInformationType {

    @XmlElement(name = "OrderID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String orderID;
    @XmlElement(name = "Buyer", required = true)
    protected UserEntityType buyer;
    @XmlElement(name = "TransactionDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar transactionDate;
    @XmlElement(name = "Amount")
    protected Rate amount;
    @XmlElement(name = "VAT")
    protected Rate vat;

    /**
     * Gets the value of the orderID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrderID() {
        return orderID;
    }

    /**
     * Sets the value of the orderID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrderID(String value) {
        this.orderID = value;
    }

    /**
     * Gets the value of the buyer property.
     * 
     * @return
     *     possible object is
     *     {@link UserEntityType }
     *     
     */
    public UserEntityType getBuyer() {
        return buyer;
    }

    /**
     * Sets the value of the buyer property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserEntityType }
     *     
     */
    public void setBuyer(UserEntityType value) {
        this.buyer = value;
    }

    /**
     * Gets the value of the transactionDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTransactionDate() {
        return transactionDate;
    }

    /**
     * Sets the value of the transactionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTransactionDate(XMLGregorianCalendar value) {
        this.transactionDate = value;
    }

    /**
     * Gets the value of the amount property.
     * 
     * @return
     *     possible object is
     *     {@link Rate }
     *     
     */
    public Rate getAmount() {
        return amount;
    }

    /**
     * Sets the value of the amount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Rate }
     *     
     */
    public void setAmount(Rate value) {
        this.amount = value;
    }

    /**
     * Gets the value of the vat property.
     * 
     * @return
     *     possible object is
     *     {@link Rate }
     *     
     */
    public Rate getVAT() {
        return vat;
    }

    /**
     * Sets the value of the vat property.
     * 
     * @param value
     *     allowed object is
     *     {@link Rate }
     *     
     */
    public void setVAT(Rate value) {
        this.vat = value;
    }

}
