
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;


/**
 * <p>Java class for ServiceTypeEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ServiceTypeEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}ServiceType"/>
 *         &lt;element name="ServiceTypeRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}ServiceTypeIdentifier" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ServiceTypeEntityType", propOrder = {
    "serviceType",
    "serviceTypeRef",
    "serviceTypeIdentifier"
})
public class ServiceTypeEntityType
    extends EntityBaseType
{

    @XmlElement(name = "ServiceType")
    protected ServiceTypeType serviceType;
    @XmlElement(name = "ServiceTypeRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> serviceTypeRef;
    @XmlElement(name = "ServiceTypeIdentifier")
    protected List<UniqueIDType> serviceTypeIdentifier;

    /**
     * Gets the value of the serviceType property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceTypeType }
     *     
     */
    public ServiceTypeType getServiceType() {
        return serviceType;
    }

    /**
     * Sets the value of the serviceType property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceTypeType }
     *     
     */
    public void setServiceType(ServiceTypeType value) {
        this.serviceType = value;
    }

    /**
     * Gets the value of the serviceTypeRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the serviceTypeRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getServiceTypeRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getServiceTypeRef() {
        if (serviceTypeRef == null) {
            serviceTypeRef = new ArrayList<String>();
        }
        return this.serviceTypeRef;
    }

    /**
     * Gets the value of the serviceTypeIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the serviceTypeIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getServiceTypeIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UniqueIDType }
     * 
     * 
     */
    public List<UniqueIDType> getServiceTypeIdentifier() {
        if (serviceTypeIdentifier == null) {
            serviceTypeIdentifier = new ArrayList<UniqueIDType>();
        }
        return this.serviceTypeIdentifier;
    }

}
