/**
 * 
 */
package org.iso.mpeg.mxm.baseprotocol.schema;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;

import org.iso.mpeg.mxm.baseprotocol.BaseProtocolEngineContext;
import org.iso.mpeg.mxm.baseprotocol.exception.BaseProtocolException;
import org.iso.mpeg.mxm.baseprotocol.schema.SuperAbstractLevel1;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

/**
 * @author dodo
 *
 */
public class SuperBaseProtocolAbstractLevel1 extends SuperAbstractLevel1
{
	
	public SuperBaseProtocolAbstractLevel1(Object type) throws MXMEngineException
	{
		super(type);
	}
	
	@Override
	protected void config(JAXBContext jc) throws MXMEngineException, JAXBException
	{
		this.factory = new ObjectFactory();
		
		if(jc == null)
		{
			this.jc = BaseProtocolEngineContext.getInstance().getJAXBContext();
		}
		else 
		{
			this.jc = jc;
		}
	}

	@Override
	protected void throwEngineSpecificException(String message,Exception exception) throws MXMEngineException
	{
		throw new BaseProtocolException(message, exception);
	}

}
