
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.AgentType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;


/**
 * <p>Java class for UserEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element name="User" type="{urn:mpeg:mpeg7:schema:2004}AgentType"/>
 *         &lt;element name="UserRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}UserIdentifier" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserEntityType", propOrder = {
    "user",
    "userRef",
    "userIdentifier"
})
public class UserEntityType
    extends EntityBaseType
{

    @XmlElement(name = "User")
    protected AgentType user;
    @XmlElement(name = "UserRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> userRef;
    @XmlElement(name = "UserIdentifier")
    protected List<UniqueIDType> userIdentifier;

    /**
     * Gets the value of the user property.
     * 
     * @return
     *     possible object is
     *     {@link AgentType }
     *     
     */
    public AgentType getUser() {
        return user;
    }

    /**
     * Sets the value of the user property.
     * 
     * @param value
     *     allowed object is
     *     {@link AgentType }
     *     
     */
    public void setUser(AgentType value) {
        this.user = value;
    }

    /**
     * Gets the value of the userRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the userRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUserRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getUserRef() {
        if (userRef == null) {
            userRef = new ArrayList<String>();
        }
        return this.userRef;
    }

    /**
     * Gets the value of the userIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the userIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUserIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UniqueIDType }
     * 
     * 
     */
    public List<UniqueIDType> getUserIdentifier() {
        if (userIdentifier == null) {
            userIdentifier = new ArrayList<UniqueIDType>();
        }
        return this.userIdentifier;
    }

}
