
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ActionStatusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ActionStatusType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ActionStarted"/>
 *     &lt;enumeration value="ActionDone"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ActionStatusType")
@XmlEnum
public enum ActionStatusType {

    @XmlEnumValue("ActionStarted")
    ACTION_STARTED("ActionStarted"),
    @XmlEnumValue("ActionDone")
    ACTION_DONE("ActionDone");
    private final String value;

    ActionStatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ActionStatusType fromValue(String v) {
        for (ActionStatusType c: ActionStatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
