
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DerivationConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DrmSystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.OutputRegulation;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.SeekPermission;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.StartCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationPrincipal;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.NoSkipConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Proximity;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Scrambling;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SecuritySystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SimultaneousAccess;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimeShiftDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimedExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.CopyrightNotice;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.NonCommercialUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.SourceCode;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiCriteria;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiPartOf;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.ProhibitedAttributeChanges;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AllConditions;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ExerciseMechanism;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ExistsRight;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Fulfiller;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PrerequisiteRight;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.RevocationFreshness;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ValidityInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CallForCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeFlat;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUsePrePay;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.SeekApproval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Territory;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackQuery;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackReport;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TransferControl;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalFloating;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalStartsNow;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimePeriodic;


/**
 * <p>Java class for ConstraintType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConstraintType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}factComposition"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}fact"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}condition"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConstraintType", propOrder = {
    "factCompositionOrFactOrCondition"
})
public class ConstraintType {

    @XmlElementRefs({
        @XmlElementRef(name = "fact", namespace = "urn:mpeg:mpeg21:cel:core:2012", type = JAXBElement.class),
        @XmlElementRef(name = "factComposition", namespace = "urn:mpeg:mpeg21:cel:core:2012", type = JAXBElement.class),
        @XmlElementRef(name = "condition", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> factCompositionOrFactOrCondition;

    /**
     * Gets the value of the factCompositionOrFactOrCondition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the factCompositionOrFactOrCondition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFactCompositionOrFactOrCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     * {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     * {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     * {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     * {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     * {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     * {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     * {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     * {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}
     * {@link JAXBElement }{@code <}{@link Territory }{@code >}
     * {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     * {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     * {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     * {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     * {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     * {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     * {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     * {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     * {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     * {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     * {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     * {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}
     * {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     * {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     * {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     * {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     * {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     * {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     * {@link JAXBElement }{@code <}{@link Condition }{@code >}
     * {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     * {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}
     * {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     * {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     * {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     * {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     * {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}
     * {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     * {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     * {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     * {@link JAXBElement }{@code <}{@link Fact }{@code >}
     * {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     * {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     * {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     * {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getFactCompositionOrFactOrCondition() {
        if (factCompositionOrFactOrCondition == null) {
            factCompositionOrFactOrCondition = new ArrayList<JAXBElement<?>>();
        }
        return this.factCompositionOrFactOrCondition;
    }

}
