
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ContractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContractType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;choice minOccurs="0">
 *             &lt;element name="textVersion" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *             &lt;element name="encryptedTextVersion" type="{urn:mpeg:mpeg21:cel:core:2012}EncryptedTextVersionType" minOccurs="0"/>
 *           &lt;/choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}metadata" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}contractsRelated" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}party" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}body"/>
 *         &lt;/sequence>
 *         &lt;element name="encryptedContract" type="{urn:mpeg:mpeg21:cel:core:2012}EncryptedContractType" minOccurs="0"/>
 *       &lt;/choice>
 *       &lt;attribute name="contractId" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContractType", propOrder = {
    "textVersion",
    "encryptedTextVersion",
    "metadata",
    "contractsRelated",
    "party",
    "body",
    "encryptedContract"
})
public class ContractType {

    protected Object textVersion;
    protected EncryptedTextVersionType encryptedTextVersion;
    protected Metadata metadata;
    protected ContractsRelated contractsRelated;
    protected List<PartyType> party;
    protected Body body;
    protected EncryptedContractType encryptedContract;
    @XmlAttribute(name = "contractId", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String contractId;

    /**
     * Gets the value of the textVersion property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getTextVersion() {
        return textVersion;
    }

    /**
     * Sets the value of the textVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setTextVersion(Object value) {
        this.textVersion = value;
    }

    /**
     * Gets the value of the encryptedTextVersion property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptedTextVersionType }
     *     
     */
    public EncryptedTextVersionType getEncryptedTextVersion() {
        return encryptedTextVersion;
    }

    /**
     * Sets the value of the encryptedTextVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptedTextVersionType }
     *     
     */
    public void setEncryptedTextVersion(EncryptedTextVersionType value) {
        this.encryptedTextVersion = value;
    }

    /**
     * Gets the value of the metadata property.
     * 
     * @return
     *     possible object is
     *     {@link Metadata }
     *     
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link Metadata }
     *     
     */
    public void setMetadata(Metadata value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the contractsRelated property.
     * 
     * @return
     *     possible object is
     *     {@link ContractsRelated }
     *     
     */
    public ContractsRelated getContractsRelated() {
        return contractsRelated;
    }

    /**
     * Sets the value of the contractsRelated property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContractsRelated }
     *     
     */
    public void setContractsRelated(ContractsRelated value) {
        this.contractsRelated = value;
    }

    /**
     * Gets the value of the party property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the party property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getParty().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PartyType }
     * 
     * 
     */
    public List<PartyType> getParty() {
        if (party == null) {
            party = new ArrayList<PartyType>();
        }
        return this.party;
    }

    /**
     * Gets the value of the body property.
     * 
     * @return
     *     possible object is
     *     {@link Body }
     *     
     */
    public Body getBody() {
        return body;
    }

    /**
     * Sets the value of the body property.
     * 
     * @param value
     *     allowed object is
     *     {@link Body }
     *     
     */
    public void setBody(Body value) {
        this.body = value;
    }

    /**
     * Gets the value of the encryptedContract property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptedContractType }
     *     
     */
    public EncryptedContractType getEncryptedContract() {
        return encryptedContract;
    }

    /**
     * Sets the value of the encryptedContract property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptedContractType }
     *     
     */
    public void setEncryptedContract(EncryptedContractType value) {
        this.encryptedContract = value;
    }

    /**
     * Gets the value of the contractId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContractId() {
        return contractId;
    }

    /**
     * Sets the value of the contractId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContractId(String value) {
        this.contractId = value;
    }

}
