
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.contractTE.schema.dc.ElementContainer;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.dii.RelatedIdentifier;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence maxOccurs="unbounded">
 *         &lt;element name="simpledc" type="{http://purl.org/dc/elements/1.1/}elementContainer" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}Identifier" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}RelatedIdentifier" minOccurs="0"/>
 *         &lt;element name="other" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;any/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "simpledcAndIdentifierAndRelatedIdentifier"
})
@XmlRootElement(name = "metadata")
public class Metadata {

    @XmlElements({
        @XmlElement(name = "Identifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS", type = String.class),
        @XmlElement(name = "other", type = Metadata.Other.class),
        @XmlElement(name = "simpledc", type = ElementContainer.class),
        @XmlElement(name = "RelatedIdentifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS", type = RelatedIdentifier.class)
    })
    protected List<Object> simpledcAndIdentifierAndRelatedIdentifier;

    /**
     * Gets the value of the simpledcAndIdentifierAndRelatedIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the simpledcAndIdentifierAndRelatedIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSimpledcAndIdentifierAndRelatedIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * {@link Metadata.Other }
     * {@link ElementContainer }
     * {@link RelatedIdentifier }
     * 
     * 
     */
    public List<Object> getSimpledcAndIdentifierAndRelatedIdentifier() {
        if (simpledcAndIdentifierAndRelatedIdentifier == null) {
            simpledcAndIdentifierAndRelatedIdentifier = new ArrayList<Object>();
        }
        return this.simpledcAndIdentifierAndRelatedIdentifier;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;any/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "any"
    })
    public static class Other {

        @XmlAnyElement(lax = true)
        protected Object any;

        /**
         * Gets the value of the any property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getAny() {
            return any;
        }

        /**
         * Sets the value of the any property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setAny(Object value) {
            this.any = value;
        }

    }

}
