
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.contractTE.schema.dc.SimpleLiteral;


/**
 * <p>Java class for OrganizationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrganizationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;group ref="{urn:mpeg:mpeg21:cel:core:2012}partyBasicGroup"/>
 *         &lt;element name="signatory">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;group ref="{urn:mpeg:mpeg21:cel:core:2012}partyBasicGroup"/>
 *                   &lt;element name="jobTitle" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrganizationType", propOrder = {
    "name",
    "identifier",
    "description",
    "details",
    "signatory"
})
public class OrganizationType {

    @XmlElement(required = true)
    protected String name;
    @XmlElement(namespace = "http://purl.org/dc/elements/1.1/")
    protected List<SimpleLiteral> identifier;
    @XmlElement(namespace = "http://purl.org/dc/elements/1.1/")
    protected SimpleLiteral description;
    protected Object details;
    @XmlElement(required = true)
    protected OrganizationType.Signatory signatory;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the identifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the identifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SimpleLiteral }
     * 
     * 
     */
    public List<SimpleLiteral> getIdentifier() {
        if (identifier == null) {
            identifier = new ArrayList<SimpleLiteral>();
        }
        return this.identifier;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleLiteral }
     *     
     */
    public SimpleLiteral getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleLiteral }
     *     
     */
    public void setDescription(SimpleLiteral value) {
        this.description = value;
    }

    /**
     * Gets the value of the details property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getDetails() {
        return details;
    }

    /**
     * Sets the value of the details property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setDetails(Object value) {
        this.details = value;
    }

    /**
     * Gets the value of the signatory property.
     * 
     * @return
     *     possible object is
     *     {@link OrganizationType.Signatory }
     *     
     */
    public OrganizationType.Signatory getSignatory() {
        return signatory;
    }

    /**
     * Sets the value of the signatory property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrganizationType.Signatory }
     *     
     */
    public void setSignatory(OrganizationType.Signatory value) {
        this.signatory = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;group ref="{urn:mpeg:mpeg21:cel:core:2012}partyBasicGroup"/>
     *         &lt;element name="jobTitle" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "name",
        "identifier",
        "description",
        "details",
        "jobTitle"
    })
    public static class Signatory {

        @XmlElement(required = true)
        protected String name;
        @XmlElement(namespace = "http://purl.org/dc/elements/1.1/")
        protected List<SimpleLiteral> identifier;
        @XmlElement(namespace = "http://purl.org/dc/elements/1.1/")
        protected SimpleLiteral description;
        protected Object details;
        @XmlElement(required = true)
        protected String jobTitle;

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the identifier property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the identifier property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getIdentifier().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SimpleLiteral }
         * 
         * 
         */
        public List<SimpleLiteral> getIdentifier() {
            if (identifier == null) {
                identifier = new ArrayList<SimpleLiteral>();
            }
            return this.identifier;
        }

        /**
         * Gets the value of the description property.
         * 
         * @return
         *     possible object is
         *     {@link SimpleLiteral }
         *     
         */
        public SimpleLiteral getDescription() {
            return description;
        }

        /**
         * Sets the value of the description property.
         * 
         * @param value
         *     allowed object is
         *     {@link SimpleLiteral }
         *     
         */
        public void setDescription(SimpleLiteral value) {
            this.description = value;
        }

        /**
         * Gets the value of the details property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getDetails() {
            return details;
        }

        /**
         * Sets the value of the details property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setDetails(Object value) {
            this.details = value;
        }

        /**
         * Gets the value of the jobTitle property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getJobTitle() {
            return jobTitle;
        }

        /**
         * Sets the value of the jobTitle property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setJobTitle(String value) {
            this.jobTitle = value;
        }

    }

}
