
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TextClauseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TextClauseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="textClause" type="{urn:mpeg:mpeg21:cel:core:2012}TextClauseType"/>
 *         &lt;choice>
 *           &lt;element name="textParagraph" type="{urn:mpeg:mpeg21:cel:core:2012}TextParagraphType"/>
 *           &lt;element name="encryptedTextParagraph" type="{urn:mpeg:mpeg21:cel:core:2012}EncryptedTextParagraphType"/>
 *         &lt;/choice>
 *       &lt;/choice>
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TextClauseType", propOrder = {
    "textClauseOrTextParagraphOrEncryptedTextParagraph"
})
public class TextClauseType {

    @XmlElements({
        @XmlElement(name = "encryptedTextParagraph", type = EncryptedTextParagraphType.class),
        @XmlElement(name = "textParagraph", type = TextParagraphType.class),
        @XmlElement(name = "textClause", type = TextClauseType.class)
    })
    protected List<Object> textClauseOrTextParagraphOrEncryptedTextParagraph;
    @XmlAttribute(name = "id", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the textClauseOrTextParagraphOrEncryptedTextParagraph property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the textClauseOrTextParagraphOrEncryptedTextParagraph property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTextClauseOrTextParagraphOrEncryptedTextParagraph().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EncryptedTextParagraphType }
     * {@link TextParagraphType }
     * {@link TextClauseType }
     * 
     * 
     */
    public List<Object> getTextClauseOrTextParagraphOrEncryptedTextParagraph() {
        if (textClauseOrTextParagraphOrEncryptedTextParagraph == null) {
            textClauseOrTextParagraphOrEncryptedTextParagraph = new ArrayList<Object>();
        }
        return this.textClauseOrTextParagraphOrEncryptedTextParagraph;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
