
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DIDBaseType;


/**
 * <p>Java class for ItemType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ItemType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}ItemType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Descriptor" maxOccurs="unbounded"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Item"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Component"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{urn:mpeg:mpeg21:2002:02-DIDL-NS}ID_ATTRS"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ItemType", propOrder = {
    "descriptor",
    "itemOrComponent"
})
public class ItemType
    extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType
{

    @XmlElementRef(name = "Descriptor", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>> descriptor;
    @XmlElementRefs({
        @XmlElementRef(name = "Component", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class),
        @XmlElementRef(name = "Item", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    })
    protected List<JAXBElement<? extends DIDBaseType>> itemOrComponent;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the descriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.DescriptorType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DescriptorType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>> getDescriptor() {
        if (descriptor == null) {
            descriptor = new ArrayList<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>>();
        }
        return this.descriptor;
    }

    /**
     * Gets the value of the itemOrComponent property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the itemOrComponent property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getItemOrComponent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ItemType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ComponentType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ComponentType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ComponentType }{@code >}
     * {@link JAXBElement }{@code <}{@link ItemType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl.ItemType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends DIDBaseType>> getItemOrComponent() {
        if (itemOrComponent == null) {
            itemOrComponent = new ArrayList<JAXBElement<? extends DIDBaseType>>();
        }
        return this.itemOrComponent;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
