
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DIDLInfo_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "DIDLInfo");
    private final static QName _Statement_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Statement");
    private final static QName _Resource_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Resource");
    private final static QName _Item_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Item");
    private final static QName _Component_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Component");
    private final static QName _Container_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Container");
    private final static QName _Descriptor_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "Descriptor");
    private final static QName _DIDL_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "DIDL");
    private final static QName _StatementTypeApplicationSpecificData_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "ApplicationSpecificData");
    private final static QName _StatementTypeContentElementSignature_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "ContentElementSignature");
    private final static QName _StatementTypeLaserObject_QNAME = new QName("urn:mpeg:mpegM:schema:06-didl-NS:2012", "LaserObject");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DIDLInfoType }
     * 
     */
    public DIDLInfoType createDIDLInfoType() {
        return new DIDLInfoType();
    }

    /**
     * Create an instance of {@link ApplicationSpecificDataType }
     * 
     */
    public ApplicationSpecificDataType createApplicationSpecificDataType() {
        return new ApplicationSpecificDataType();
    }

    /**
     * Create an instance of {@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ContainerType }
     * 
     */
    public org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ContainerType createContainerType() {
        return new org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ContainerType();
    }

    /**
     * Create an instance of {@link ItemType }
     * 
     */
    public ItemType createItemType() {
        return new ItemType();
    }

    /**
     * Create an instance of {@link StatementType }
     * 
     */
    public StatementType createStatementType() {
        return new StatementType();
    }

    /**
     * Create an instance of {@link DescriptorType }
     * 
     */
    public DescriptorType createDescriptorType() {
        return new DescriptorType();
    }

    /**
     * Create an instance of {@link DIDLType }
     * 
     */
    public DIDLType createDIDLType() {
        return new DIDLType();
    }

    /**
     * Create an instance of {@link ResourceType }
     * 
     */
    public ResourceType createResourceType() {
        return new ResourceType();
    }

    /**
     * Create an instance of {@link ComponentType }
     * 
     */
    public ComponentType createComponentType() {
        return new ComponentType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DIDLInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "DIDLInfo", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", substitutionHeadName = "DIDLInfo")
    public JAXBElement<DIDLInfoType> createDIDLInfo(DIDLInfoType value) {
        return new JAXBElement<DIDLInfoType>(_DIDLInfo_QNAME, DIDLInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Statement", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Statement")
    public JAXBElement<StatementType> createStatement(StatementType value) {
        return new JAXBElement<StatementType>(_Statement_QNAME, StatementType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Resource", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Resource")
    public JAXBElement<ResourceType> createResource(ResourceType value) {
        return new JAXBElement<ResourceType>(_Resource_QNAME, ResourceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ItemType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Item", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Item")
    public JAXBElement<ItemType> createItem(ItemType value) {
        return new JAXBElement<ItemType>(_Item_QNAME, ItemType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ComponentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Component", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Component")
    public JAXBElement<ComponentType> createComponent(ComponentType value) {
        return new JAXBElement<ComponentType>(_Component_QNAME, ComponentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Container", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Container")
    public JAXBElement<org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType> createContainer(org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType value) {
        return new JAXBElement<org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType>(_Container_QNAME, org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "Descriptor", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Descriptor")
    public JAXBElement<DescriptorType> createDescriptor(DescriptorType value) {
        return new JAXBElement<DescriptorType>(_Descriptor_QNAME, DescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DIDLType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "DIDL")
    public JAXBElement<DIDLType> createDIDL(DIDLType value) {
        return new JAXBElement<DIDLType>(_DIDL_QNAME, DIDLType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ApplicationSpecificDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "ApplicationSpecificData", scope = StatementType.class)
    public JAXBElement<ApplicationSpecificDataType> createStatementTypeApplicationSpecificData(ApplicationSpecificDataType value) {
        return new JAXBElement<ApplicationSpecificDataType>(_StatementTypeApplicationSpecificData_QNAME, ApplicationSpecificDataType.class, StatementType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SignatureType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "ContentElementSignature", scope = StatementType.class)
    public JAXBElement<SignatureType> createStatementTypeContentElementSignature(SignatureType value) {
        return new JAXBElement<SignatureType>(_StatementTypeContentElementSignature_QNAME, SignatureType.class, StatementType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", name = "LaserObject", scope = StatementType.class)
    public JAXBElement<byte[]> createStatementTypeLaserObject(byte[] value) {
        return new JAXBElement<byte[]>(_StatementTypeLaserObject_QNAME, byte[].class, StatementType.class, ((byte[]) value));
    }

}
