
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * <p>Java class for ChoiceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ChoiceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}ChoiceType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Condition" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Descriptor" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Selection" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="minSelections" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="maxSelections" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
 *       &lt;attribute name="choice_id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;anyAttribute processContents='lax' namespace='##other'/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ChoiceType", propOrder = {
    "condition",
    "descriptor",
    "selection"
})
public class ChoiceType
    extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ChoiceType
{

    @XmlElementRef(name = "Condition", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ConditionType>> condition;
    @XmlElementRef(name = "Descriptor", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>> descriptor;
    @XmlElementRef(name = "Selection", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.SelectionType>> selection;
    @XmlAttribute(name = "minSelections")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger minSelections;
    @XmlAttribute(name = "maxSelections")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger maxSelections;
    @XmlAttribute(name = "default")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> _default;
    @XmlAttribute(name = "choice_id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String choiceId;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the condition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the condition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ConditionType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ConditionType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ConditionType>> getCondition() {
        if (condition == null) {
            condition = new ArrayList<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ConditionType>>();
        }
        return this.condition;
    }

    /**
     * Gets the value of the descriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.DescriptorType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DescriptorType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>> getDescriptor() {
        if (descriptor == null) {
            descriptor = new ArrayList<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType>>();
        }
        return this.descriptor;
    }

    /**
     * Gets the value of the selection property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the selection property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSelection().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.SelectionType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.SelectionType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.SelectionType>> getSelection() {
        if (selection == null) {
            selection = new ArrayList<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.SelectionType>>();
        }
        return this.selection;
    }

    /**
     * Gets the value of the minSelections property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMinSelections() {
        return minSelections;
    }

    /**
     * Sets the value of the minSelections property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMinSelections(BigInteger value) {
        this.minSelections = value;
    }

    /**
     * Gets the value of the maxSelections property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxSelections() {
        return maxSelections;
    }

    /**
     * Sets the value of the maxSelections property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxSelections(BigInteger value) {
        this.maxSelections = value;
    }

    /**
     * Gets the value of the default property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the default property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDefault().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getDefault() {
        if (_default == null) {
            _default = new ArrayList<Object>();
        }
        return this._default;
    }

    /**
     * Gets the value of the choiceId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChoiceId() {
        return choiceId;
    }

    /**
     * Sets the value of the choiceId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChoiceId(String value) {
        this.choiceId = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
