
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;


/**
 * <p>Java class for DIDLType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DIDLType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDL-NS}DIDLInfo" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDL-NS}Declarations" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Container"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}Item"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="DIDLDocumentId" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;anyAttribute processContents='lax' namespace='##other'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DIDLType", propOrder = {
    "didlInfo",
    "declarations",
    "container",
    "item"
})
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.DIDLType.class
})
public class DIDLType {

    @XmlElementRef(name = "DIDLInfo", namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DIDLInfoType>> didlInfo;
    @XmlElement(name = "Declarations")
    protected DeclarationsType declarations;
    @XmlElementRef(name = "Container", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType> container;
    @XmlElementRef(name = "Item", namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", type = JAXBElement.class)
    protected JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType> item;
    @XmlAttribute(name = "DIDLDocumentId")
    @XmlSchemaType(name = "anyURI")
    protected String didlDocumentId;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the didlInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the didlInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDIDLInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.DIDLInfoType }{@code >}
     * {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DIDLInfoType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DIDLInfoType>> getDIDLInfo() {
        if (didlInfo == null) {
            didlInfo = new ArrayList<JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DIDLInfoType>>();
        }
        return this.didlInfo;
    }

    /**
     * Gets the value of the declarations property.
     * 
     * @return
     *     possible object is
     *     {@link DeclarationsType }
     *     
     */
    public DeclarationsType getDeclarations() {
        return declarations;
    }

    /**
     * Sets the value of the declarations property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeclarationsType }
     *     
     */
    public void setDeclarations(DeclarationsType value) {
        this.declarations = value;
    }

    /**
     * Gets the value of the container property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType }{@code >}
     *     
     */
    public JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType> getContainer() {
        return container;
    }

    /**
     * Sets the value of the container property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ContainerType }{@code >}
     *     
     */
    public void setContainer(JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType> value) {
        this.container = ((JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ContainerType> ) value);
    }

    /**
     * Gets the value of the item property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl.ItemType }{@code >}
     *     
     */
    public JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType> getItem() {
        return item;
    }

    /**
     * Sets the value of the item property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType }{@code >}
     *     {@link JAXBElement }{@code <}{@link org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl.ItemType }{@code >}
     *     
     */
    public void setItem(JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType> value) {
        this.item = ((JAXBElement<? extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ItemType> ) value);
    }

    /**
     * Gets the value of the didlDocumentId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDIDLDocumentId() {
        return didlDocumentId;
    }

    /**
     * Sets the value of the didlDocumentId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDIDLDocumentId(String value) {
        this.didlDocumentId = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
