
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_msx;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_msx package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _StructuredData_QNAME = new QName("urn:mpeg:maf:schema:mediastreaming:DIDLextensions", "StructuredData");
    private final static QName _Metadata_QNAME = new QName("urn:mpeg:maf:schema:mediastreaming:DIDLextensions", "Metadata");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_msx
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MetadataType }
     * 
     */
    public MetadataType createMetadataType() {
        return new MetadataType();
    }

    /**
     * Create an instance of {@link StructuredDataType }
     * 
     */
    public StructuredDataType createStructuredDataType() {
        return new StructuredDataType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StructuredDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:schema:mediastreaming:DIDLextensions", name = "StructuredData")
    public JAXBElement<StructuredDataType> createStructuredData(StructuredDataType value) {
        return new JAXBElement<StructuredDataType>(_StructuredData_QNAME, StructuredDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:schema:mediastreaming:DIDLextensions", name = "Metadata")
    public JAXBElement<MetadataType> createMetadata(MetadataType value) {
        return new JAXBElement<MetadataType>(_Metadata_QNAME, MetadataType.class, null, value);
    }

}
