
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Container_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Container");
    private final static QName _Component_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Component");
    private final static QName _Annotation_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Annotation");
    private final static QName _Condition_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Condition");
    private final static QName _Item_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Item");
    private final static QName _Resource_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Resource");
    private final static QName _Statement_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Statement");
    private final static QName _Choice_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Choice");
    private final static QName _Selection_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Selection");
    private final static QName _Anchor_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Anchor");
    private final static QName _Descriptor_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Descriptor");
    private final static QName _Assertion_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Assertion");
    private final static QName _Fragment_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", "Fragment");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ContainerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Container")
    public JAXBElement<ContainerType> createContainer(ContainerType value) {
        return new JAXBElement<ContainerType>(_Container_QNAME, ContainerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ComponentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Component")
    public JAXBElement<ComponentType> createComponent(ComponentType value) {
        return new JAXBElement<ComponentType>(_Component_QNAME, ComponentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnnotationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Annotation")
    public JAXBElement<AnnotationType> createAnnotation(AnnotationType value) {
        return new JAXBElement<AnnotationType>(_Annotation_QNAME, AnnotationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConditionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Condition")
    public JAXBElement<ConditionType> createCondition(ConditionType value) {
        return new JAXBElement<ConditionType>(_Condition_QNAME, ConditionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ItemType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Item")
    public JAXBElement<ItemType> createItem(ItemType value) {
        return new JAXBElement<ItemType>(_Item_QNAME, ItemType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Resource")
    public JAXBElement<ResourceType> createResource(ResourceType value) {
        return new JAXBElement<ResourceType>(_Resource_QNAME, ResourceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Statement")
    public JAXBElement<StatementType> createStatement(StatementType value) {
        return new JAXBElement<StatementType>(_Statement_QNAME, StatementType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ChoiceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Choice")
    public JAXBElement<ChoiceType> createChoice(ChoiceType value) {
        return new JAXBElement<ChoiceType>(_Choice_QNAME, ChoiceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SelectionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Selection")
    public JAXBElement<SelectionType> createSelection(SelectionType value) {
        return new JAXBElement<SelectionType>(_Selection_QNAME, SelectionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnchorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Anchor")
    public JAXBElement<AnchorType> createAnchor(AnchorType value) {
        return new JAXBElement<AnchorType>(_Anchor_QNAME, AnchorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Descriptor")
    public JAXBElement<DescriptorType> createDescriptor(DescriptorType value) {
        return new JAXBElement<DescriptorType>(_Descriptor_QNAME, DescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssertionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Assertion")
    public JAXBElement<AssertionType> createAssertion(AssertionType value) {
        return new JAXBElement<AssertionType>(_Assertion_QNAME, AssertionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FragmentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", name = "Fragment")
    public JAXBElement<FragmentType> createFragment(FragmentType value) {
        return new JAXBElement<FragmentType>(_Fragment_QNAME, FragmentType.class, null, value);
    }

}
