
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERDeliverySpecificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERDeliverySpecificationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element name="Recipient" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}RecipientType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="DeliveryTime" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}TimeType"/>
 *         &lt;element name="DITransportService" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DITransportServiceType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERDeliverySpecificationType", propOrder = {
    "recipient",
    "deliveryTime",
    "diTransportService"
})
public class ERDeliverySpecificationType
    extends ERBaseType
{

    @XmlElement(name = "Recipient")
    protected List<RecipientType> recipient;
    @XmlElement(name = "DeliveryTime", required = true)
    protected TimeType deliveryTime;
    @XmlElement(name = "DITransportService", required = true)
    protected DITransportServiceType diTransportService;

    /**
     * Gets the value of the recipient property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the recipient property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRecipient().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RecipientType }
     * 
     * 
     */
    public List<RecipientType> getRecipient() {
        if (recipient == null) {
            recipient = new ArrayList<RecipientType>();
        }
        return this.recipient;
    }

    /**
     * Gets the value of the deliveryTime property.
     * 
     * @return
     *     possible object is
     *     {@link TimeType }
     *     
     */
    public TimeType getDeliveryTime() {
        return deliveryTime;
    }

    /**
     * Sets the value of the deliveryTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeType }
     *     
     */
    public void setDeliveryTime(TimeType value) {
        this.deliveryTime = value;
    }

    /**
     * Gets the value of the diTransportService property.
     * 
     * @return
     *     possible object is
     *     {@link DITransportServiceType }
     *     
     */
    public DITransportServiceType getDITransportService() {
        return diTransportService;
    }

    /**
     * Sets the value of the diTransportService property.
     * 
     * @param value
     *     allowed object is
     *     {@link DITransportServiceType }
     *     
     */
    public void setDITransportService(DITransportServiceType value) {
        this.diTransportService = value;
    }

}
