
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERPayloadSpecificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERPayloadSpecificationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element name="ERIdentifier" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERIdentifierType" minOccurs="0"/>
 *         &lt;element name="PeerId" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="UserId" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="Time" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="Location" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="DIOperation" type="{http://www.w3.org/2001/XMLSchema}anyType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="DomainData" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DomainDataType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="DIMetadata" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DIMetadataType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERPayloadSpecificationType", propOrder = {
    "erIdentifier",
    "peerId",
    "userId",
    "time",
    "location",
    "diOperation",
    "domainData",
    "diMetadata"
})
public class ERPayloadSpecificationType
    extends ERBaseType
{

    @XmlElement(name = "ERIdentifier")
    protected ERIdentifierType erIdentifier;
    @XmlElement(name = "PeerId")
    protected Object peerId;
    @XmlElement(name = "UserId")
    protected Object userId;
    @XmlElement(name = "Time")
    protected Object time;
    @XmlElement(name = "Location")
    protected Object location;
    @XmlElement(name = "DIOperation")
    protected List<Object> diOperation;
    @XmlElement(name = "DomainData")
    protected List<DomainDataType> domainData;
    @XmlElement(name = "DIMetadata")
    protected List<DIMetadataType> diMetadata;

    /**
     * Gets the value of the erIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link ERIdentifierType }
     *     
     */
    public ERIdentifierType getERIdentifier() {
        return erIdentifier;
    }

    /**
     * Sets the value of the erIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERIdentifierType }
     *     
     */
    public void setERIdentifier(ERIdentifierType value) {
        this.erIdentifier = value;
    }

    /**
     * Gets the value of the peerId property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getPeerId() {
        return peerId;
    }

    /**
     * Sets the value of the peerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setPeerId(Object value) {
        this.peerId = value;
    }

    /**
     * Gets the value of the userId property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getUserId() {
        return userId;
    }

    /**
     * Sets the value of the userId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setUserId(Object value) {
        this.userId = value;
    }

    /**
     * Gets the value of the time property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getTime() {
        return time;
    }

    /**
     * Sets the value of the time property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setTime(Object value) {
        this.time = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setLocation(Object value) {
        this.location = value;
    }

    /**
     * Gets the value of the diOperation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the diOperation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDIOperation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getDIOperation() {
        if (diOperation == null) {
            diOperation = new ArrayList<Object>();
        }
        return this.diOperation;
    }

    /**
     * Gets the value of the domainData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the domainData property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDomainData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DomainDataType }
     * 
     * 
     */
    public List<DomainDataType> getDomainData() {
        if (domainData == null) {
            domainData = new ArrayList<DomainDataType>();
        }
        return this.domainData;
    }

    /**
     * Gets the value of the diMetadata property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the diMetadata property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDIMetadata().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DIMetadataType }
     * 
     * 
     */
    public List<DIMetadataType> getDIMetadata() {
        if (diMetadata == null) {
            diMetadata = new ArrayList<DIMetadataType>();
        }
        return this.diMetadata;
    }

}
