
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERRType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERRType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERRDescriptor"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERSpecification"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}EventConditionDescriptor"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERRType", propOrder = {
    "errDescriptor",
    "erSpecification",
    "eventConditionDescriptor"
})
public class ERRType
    extends ERBaseType
{

    @XmlElement(name = "ERRDescriptor", required = true)
    protected ERRDescriptorType errDescriptor;
    @XmlElement(name = "ERSpecification", required = true)
    protected ERSpecificationType erSpecification;
    @XmlElement(name = "EventConditionDescriptor", required = true)
    protected EventConditionDescriptorType eventConditionDescriptor;

    /**
     * Gets the value of the errDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link ERRDescriptorType }
     *     
     */
    public ERRDescriptorType getERRDescriptor() {
        return errDescriptor;
    }

    /**
     * Sets the value of the errDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERRDescriptorType }
     *     
     */
    public void setERRDescriptor(ERRDescriptorType value) {
        this.errDescriptor = value;
    }

    /**
     * Gets the value of the erSpecification property.
     * 
     * @return
     *     possible object is
     *     {@link ERSpecificationType }
     *     
     */
    public ERSpecificationType getERSpecification() {
        return erSpecification;
    }

    /**
     * Sets the value of the erSpecification property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERSpecificationType }
     *     
     */
    public void setERSpecification(ERSpecificationType value) {
        this.erSpecification = value;
    }

    /**
     * Gets the value of the eventConditionDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link EventConditionDescriptorType }
     *     
     */
    public EventConditionDescriptorType getEventConditionDescriptor() {
        return eventConditionDescriptor;
    }

    /**
     * Sets the value of the eventConditionDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link EventConditionDescriptorType }
     *     
     */
    public void setEventConditionDescriptor(EventConditionDescriptorType value) {
        this.eventConditionDescriptor = value;
    }

}
