
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ModificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ModificationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}PeerId"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}UserId"/>
 *         &lt;element name="Time" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="Description" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DescriptionType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="idData" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ModificationType", propOrder = {
    "peerId",
    "userId",
    "time",
    "description"
})
public class ModificationType
    extends ERBaseType
{

    @XmlElement(name = "PeerId", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String peerId;
    @XmlElement(name = "UserId", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String userId;
    @XmlElement(name = "Time", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar time;
    @XmlElement(name = "Description")
    protected String description;
    @XmlAttribute(name = "idData")
    protected String idData;

    /**
     * Gets the value of the peerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPeerId() {
        return peerId;
    }

    /**
     * Sets the value of the peerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPeerId(String value) {
        this.peerId = value;
    }

    /**
     * Gets the value of the userId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Sets the value of the userId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserId(String value) {
        this.userId = value;
    }

    /**
     * Gets the value of the time property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTime() {
        return time;
    }

    /**
     * Sets the value of the time property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTime(XMLGregorianCalendar value) {
        this.time = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the idData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdData() {
        return idData;
    }

    /**
     * Sets the value of the idData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdData(String value) {
        this.idData = value;
    }

}
