
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolBaseDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolBaseDescriptionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}IPMPToolID"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}Inline"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}Remote"/>
 *         &lt;/choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ConfigurationSettings" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolBaseDescriptionType", propOrder = {
    "ipmpToolID",
    "inline",
    "remote",
    "configurationSettings",
    "signature"
})
public class ToolBaseDescriptionType {

    @XmlElement(name = "IPMPToolID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String ipmpToolID;
    @XmlElement(name = "Inline")
    protected InlineType inline;
    @XmlElement(name = "Remote")
    protected RemoteType remote;
    @XmlElement(name = "ConfigurationSettings")
    protected ConfigurationSettingsType configurationSettings;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the ipmpToolID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIPMPToolID() {
        return ipmpToolID;
    }

    /**
     * Sets the value of the ipmpToolID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIPMPToolID(String value) {
        this.ipmpToolID = value;
    }

    /**
     * Gets the value of the inline property.
     * 
     * @return
     *     possible object is
     *     {@link InlineType }
     *     
     */
    public InlineType getInline() {
        return inline;
    }

    /**
     * Sets the value of the inline property.
     * 
     * @param value
     *     allowed object is
     *     {@link InlineType }
     *     
     */
    public void setInline(InlineType value) {
        this.inline = value;
    }

    /**
     * Gets the value of the remote property.
     * 
     * @return
     *     possible object is
     *     {@link RemoteType }
     *     
     */
    public RemoteType getRemote() {
        return remote;
    }

    /**
     * Sets the value of the remote property.
     * 
     * @param value
     *     allowed object is
     *     {@link RemoteType }
     *     
     */
    public void setRemote(RemoteType value) {
        this.remote = value;
    }

    /**
     * Gets the value of the configurationSettings property.
     * 
     * @return
     *     possible object is
     *     {@link ConfigurationSettingsType }
     *     
     */
    public ConfigurationSettingsType getConfigurationSettings() {
        return configurationSettings;
    }

    /**
     * Sets the value of the configurationSettings property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConfigurationSettingsType }
     *     
     */
    public void setConfigurationSettings(ConfigurationSettingsType value) {
        this.configurationSettings = value;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
