
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for UpdateType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UpdateType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}Location" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ScheduledUpdateTime" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}SupportedPlatform" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UpdateType", propOrder = {
    "location",
    "scheduledUpdateTime",
    "supportedPlatform",
    "signature"
})
public class UpdateType {

    @XmlElement(name = "Location", required = true)
    protected List<RemoteType> location;
    @XmlElement(name = "ScheduledUpdateTime")
    protected ScheduledUpdateTimeType scheduledUpdateTime;
    @XmlElement(name = "SupportedPlatform")
    protected List<SupportedPlatformType> supportedPlatform;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the location property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the location property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLocation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RemoteType }
     * 
     * 
     */
    public List<RemoteType> getLocation() {
        if (location == null) {
            location = new ArrayList<RemoteType>();
        }
        return this.location;
    }

    /**
     * Gets the value of the scheduledUpdateTime property.
     * 
     * @return
     *     possible object is
     *     {@link ScheduledUpdateTimeType }
     *     
     */
    public ScheduledUpdateTimeType getScheduledUpdateTime() {
        return scheduledUpdateTime;
    }

    /**
     * Sets the value of the scheduledUpdateTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link ScheduledUpdateTimeType }
     *     
     */
    public void setScheduledUpdateTime(ScheduledUpdateTimeType value) {
        this.scheduledUpdateTime = value;
    }

    /**
     * Gets the value of the supportedPlatform property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the supportedPlatform property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSupportedPlatform().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SupportedPlatformType }
     * 
     * 
     */
    public List<SupportedPlatformType> getSupportedPlatform() {
        if (supportedPlatform == null) {
            supportedPlatform = new ArrayList<SupportedPlatformType>();
        }
        return this.supportedPlatform;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
