
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for DRMToolType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DRMToolType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}ToolBodyID"/>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}DeviceInformation" minOccurs="0"/>
 *         &lt;element name="ToolPackageType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ToolCode" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DRMToolType", propOrder = {
    "toolBodyID",
    "deviceInformation",
    "toolPackageType",
    "toolCode",
    "signature"
})
public class DRMToolType {

    @XmlElement(name = "ToolBodyID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String toolBodyID;
    @XmlElement(name = "DeviceInformation")
    protected DeviceType deviceInformation;
    @XmlElement(name = "ToolPackageType")
    protected String toolPackageType;
    @XmlElement(name = "ToolCode", required = true)
    protected byte[] toolCode;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the toolBodyID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToolBodyID() {
        return toolBodyID;
    }

    /**
     * Sets the value of the toolBodyID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToolBodyID(String value) {
        this.toolBodyID = value;
    }

    /**
     * Gets the value of the deviceInformation property.
     * 
     * @return
     *     possible object is
     *     {@link DeviceType }
     *     
     */
    public DeviceType getDeviceInformation() {
        return deviceInformation;
    }

    /**
     * Sets the value of the deviceInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeviceType }
     *     
     */
    public void setDeviceInformation(DeviceType value) {
        this.deviceInformation = value;
    }

    /**
     * Gets the value of the toolPackageType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToolPackageType() {
        return toolPackageType;
    }

    /**
     * Sets the value of the toolPackageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToolPackageType(String value) {
        this.toolPackageType = value;
    }

    /**
     * Gets the value of the toolCode property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getToolCode() {
        return toolCode;
    }

    /**
     * Sets the value of the toolCode property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setToolCode(byte[] value) {
        this.toolCode = ((byte[]) value);
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
