
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolBodyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolBodyType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}SingleTool"/>
 *           &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}ToolPack"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolBodyType", propOrder = {
    "singleToolOrToolPack",
    "signature"
})
public class ToolBodyType {

    @XmlElements({
        @XmlElement(name = "ToolPack", type = ToolPackType.class),
        @XmlElement(name = "SingleTool", type = DRMToolType.class)
    })
    protected List<Object> singleToolOrToolPack;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the singleToolOrToolPack property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the singleToolOrToolPack property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSingleToolOrToolPack().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ToolPackType }
     * {@link DRMToolType }
     * 
     * 
     */
    public List<Object> getSingleToolOrToolPack() {
        if (singleToolOrToolPack == null) {
            singleToolOrToolPack = new ArrayList<Object>();
        }
        return this.singleToolOrToolPack;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
