
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolGroupType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolGroupType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ToolGroupID" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="ToolGroupCode" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolGroupType", propOrder = {
    "toolGroupID",
    "toolGroupCode",
    "signature"
})
public class ToolGroupType {

    @XmlElement(name = "ToolGroupID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String toolGroupID;
    @XmlElement(name = "ToolGroupCode", required = true)
    protected byte[] toolGroupCode;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the toolGroupID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToolGroupID() {
        return toolGroupID;
    }

    /**
     * Sets the value of the toolGroupID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToolGroupID(String value) {
        this.toolGroupID = value;
    }

    /**
     * Gets the value of the toolGroupCode property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getToolGroupCode() {
        return toolGroupCode;
    }

    /**
     * Sets the value of the toolGroupCode property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setToolGroupCode(byte[] value) {
        this.toolGroupCode = ((byte[]) value);
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
