
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioFormatType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioFormatType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="nChannels" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="bitPerSample" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="frequency" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *       &lt;/sequence>
 *       &lt;attribute name="mimeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioFormatType", propOrder = {
    "nChannels",
    "bitPerSample",
    "frequency"
})
public class AudioFormatType {

    protected Byte nChannels;
    protected Byte bitPerSample;
    protected BigDecimal frequency;
    @XmlAttribute(name = "mimeType", required = true)
    protected String mimeType;

    /**
     * Gets the value of the nChannels property.
     * 
     * @return
     *     possible object is
     *     {@link Byte }
     *     
     */
    public Byte getNChannels() {
        return nChannels;
    }

    /**
     * Sets the value of the nChannels property.
     * 
     * @param value
     *     allowed object is
     *     {@link Byte }
     *     
     */
    public void setNChannels(Byte value) {
        this.nChannels = value;
    }

    /**
     * Gets the value of the bitPerSample property.
     * 
     * @return
     *     possible object is
     *     {@link Byte }
     *     
     */
    public Byte getBitPerSample() {
        return bitPerSample;
    }

    /**
     * Sets the value of the bitPerSample property.
     * 
     * @param value
     *     allowed object is
     *     {@link Byte }
     *     
     */
    public void setBitPerSample(Byte value) {
        this.bitPerSample = value;
    }

    /**
     * Gets the value of the frequency property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getFrequency() {
        return frequency;
    }

    /**
     * Sets the value of the frequency property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setFrequency(BigDecimal value) {
        this.frequency = value;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

}
