
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MessageFromToolType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MessageFromToolType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}ToolMessageBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClass" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MessageFromToolType", propOrder = {
    "dataBaseClass"
})
public class MessageFromToolType
    extends ToolMessageBaseType
{

    @XmlElementRef(name = "Data_BaseClass", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class)
    protected List<JAXBElement<? extends DataBaseClassType>> dataBaseClass;

    /**
     * Gets the value of the dataBaseClass property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the dataBaseClass property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDataBaseClass().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link DisconnectToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link KeyDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioWatermarkingInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolContextType }{@code >}
     * {@link JAXBElement }{@code <}{@link ParametricDescriptionType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetRightsDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolsType }{@code >}
     * {@link JAXBElement }{@code <}{@link RightsDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link SendVideoWatermarkType }{@code >}
     * {@link JAXBElement }{@code <}{@link UserQueryType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolGroupReferenceResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link SelectiveDecryptionInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolPackDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolParamCapabilitiesResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link AddToolNotificationListenerType }{@code >}
     * {@link JAXBElement }{@code <}{@link CanProcessType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolContextResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link SendAudioWatermarkType }{@code >}
     * {@link JAXBElement }{@code <}{@link MutualAuthenticationType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitialiseToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolReferenceResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolGroupReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link TerminateIPMPProcessorType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolPackDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link VideoWatermarkingInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link UserQueryResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitAuthenticationType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolsResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link DataBaseClassType }{@code >}
     * {@link JAXBElement }{@code <}{@link NotifyToolEventType }{@code >}
     * {@link JAXBElement }{@code <}{@link OpaqueDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetProtectedAssetType }{@code >}
     * {@link JAXBElement }{@code <}{@link RemoveToolNotificationListenerType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolParamCapabilitiesQueryType }{@code >}
     * {@link JAXBElement }{@code <}{@link ConnectToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitialiseIPMPProcessorType }{@code >}
     * {@link JAXBElement }{@code <}{@link SecureContainerType }{@code >}
     * {@link JAXBElement }{@code <}{@link NotifyIPMPProcessorEventType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends DataBaseClassType>> getDataBaseClass() {
        if (dataBaseClass == null) {
            dataBaseClass = new ArrayList<JAXBElement<? extends DataBaseClassType>>();
        }
        return this.dataBaseClass;
    }

}
