
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for responseReplyTextType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="responseReplyTextType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="languageCode" type="{http://www.w3.org/2001/XMLSchema}language"/>
 *         &lt;element name="replyText" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}replyTextType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="optionResult" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}optionResultType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "responseReplyTextType", propOrder = {
    "languageCode",
    "replyText",
    "optionResult"
})
public class ResponseReplyTextType {

    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    protected String languageCode;
    protected List<ReplyTextType> replyText;
    protected List<OptionResultType> optionResult;

    /**
     * Gets the value of the languageCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the value of the languageCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguageCode(String value) {
        this.languageCode = value;
    }

    /**
     * Gets the value of the replyText property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the replyText property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReplyText().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReplyTextType }
     * 
     * 
     */
    public List<ReplyTextType> getReplyText() {
        if (replyText == null) {
            replyText = new ArrayList<ReplyTextType>();
        }
        return this.replyText;
    }

    /**
     * Gets the value of the optionResult property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the optionResult property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOptionResult().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OptionResultType }
     * 
     * 
     */
    public List<OptionResultType> getOptionResult() {
        if (optionResult == null) {
            optionResult = new ArrayList<OptionResultType>();
        }
        return this.optionResult;
    }

}
