
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SendVideoWatermarkType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SendVideoWatermarkType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;element name="wm_status" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}wm_statusType"/>
 *         &lt;element name="compression_status" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}compression_statusType"/>
 *         &lt;element name="payload" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="opaqueData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SendVideoWatermarkType", propOrder = {
    "wmStatus",
    "compressionStatus",
    "payload",
    "opaqueData"
})
public class SendVideoWatermarkType
    extends DataBaseClassType
{

    @XmlElement(name = "wm_status", required = true)
    protected BigInteger wmStatus;
    @XmlElement(name = "compression_status", required = true)
    protected BigInteger compressionStatus;
    protected String payload;
    protected byte[] opaqueData;

    /**
     * Gets the value of the wmStatus property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getWmStatus() {
        return wmStatus;
    }

    /**
     * Sets the value of the wmStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setWmStatus(BigInteger value) {
        this.wmStatus = value;
    }

    /**
     * Gets the value of the compressionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCompressionStatus() {
        return compressionStatus;
    }

    /**
     * Sets the value of the compressionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCompressionStatus(BigInteger value) {
        this.compressionStatus = value;
    }

    /**
     * Gets the value of the payload property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPayload() {
        return payload;
    }

    /**
     * Sets the value of the payload property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPayload(String value) {
        this.payload = value;
    }

    /**
     * Gets the value of the opaqueData property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getOpaqueData() {
        return opaqueData;
    }

    /**
     * Sets the value of the opaqueData property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setOpaqueData(byte[] value) {
        this.opaqueData = ((byte[]) value);
    }

}
