
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ToolMessageBaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolMessageBaseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}IPMPBaseType">
 *       &lt;sequence>
 *         &lt;element name="Sender" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="Recipient" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolMessageBaseType", propOrder = {
    "sender",
    "recipient"
})
@XmlSeeAlso({
    MessageFromDIType.class,
    DescriptorFromBitstreamType.class,
    MessageFromBitstreamType.class,
    MessageFromToolType.class
})
public abstract class ToolMessageBaseType
    extends IPMPBaseType
{

    @XmlElement(name = "Sender", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String sender;
    @XmlElement(name = "Recipient", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String recipient;

    /**
     * Gets the value of the sender property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSender() {
        return sender;
    }

    /**
     * Sets the value of the sender property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSender(String value) {
        this.sender = value;
    }

    /**
     * Gets the value of the recipient property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRecipient() {
        return recipient;
    }

    /**
     * Sets the value of the recipient property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRecipient(String value) {
        this.recipient = value;
    }

}
