
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoWatermarkingInitType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoWatermarkingInitType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;element name="inputFormat" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}VideoFormatType"/>
 *         &lt;element name="requiredOp" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}requiredOpType"/>
 *         &lt;element name="wmPayload" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="wmRecipientID" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="opaqueData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoWatermarkingInitType", propOrder = {
    "inputFormat",
    "requiredOp",
    "wmPayload",
    "wmRecipientID",
    "opaqueData"
})
public class VideoWatermarkingInitType
    extends DataBaseClassType
{

    @XmlElement(required = true)
    protected VideoFormatType inputFormat;
    @XmlElement(required = true)
    protected BigInteger requiredOp;
    protected String wmPayload;
    @XmlSchemaType(name = "anyURI")
    protected String wmRecipientID;
    protected byte[] opaqueData;

    /**
     * Gets the value of the inputFormat property.
     * 
     * @return
     *     possible object is
     *     {@link VideoFormatType }
     *     
     */
    public VideoFormatType getInputFormat() {
        return inputFormat;
    }

    /**
     * Sets the value of the inputFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link VideoFormatType }
     *     
     */
    public void setInputFormat(VideoFormatType value) {
        this.inputFormat = value;
    }

    /**
     * Gets the value of the requiredOp property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getRequiredOp() {
        return requiredOp;
    }

    /**
     * Sets the value of the requiredOp property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setRequiredOp(BigInteger value) {
        this.requiredOp = value;
    }

    /**
     * Gets the value of the wmPayload property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWmPayload() {
        return wmPayload;
    }

    /**
     * Sets the value of the wmPayload property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWmPayload(String value) {
        this.wmPayload = value;
    }

    /**
     * Gets the value of the wmRecipientID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWmRecipientID() {
        return wmRecipientID;
    }

    /**
     * Sets the value of the wmRecipientID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWmRecipientID(String value) {
        this.wmRecipientID = value;
    }

    /**
     * Gets the value of the opaqueData property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getOpaqueData() {
        return opaqueData;
    }

    /**
     * Sets the value of the opaqueData property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setOpaqueData(byte[] value) {
        this.opaqueData = ((byte[]) value);
    }

}
