
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TerminalID_QNAME = new QName("urn:mpeg:mpeg4:IPMPSchema:2002", "TerminalID");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TerminalIDType.TerminalType }
     * 
     */
    public TerminalIDType.TerminalType createTerminalIDTypeTerminalType() {
        return new TerminalIDType.TerminalType();
    }

    /**
     * Create an instance of {@link TerminalIDType }
     * 
     */
    public TerminalIDType createTerminalIDType() {
        return new TerminalIDType();
    }

    /**
     * Create an instance of {@link TerminalIDType.Firmware }
     * 
     */
    public TerminalIDType.Firmware createTerminalIDTypeFirmware() {
        return new TerminalIDType.Firmware();
    }

    /**
     * Create an instance of {@link TerminalIDType.Downloading }
     * 
     */
    public TerminalIDType.Downloading createTerminalIDTypeDownloading() {
        return new TerminalIDType.Downloading();
    }

    /**
     * Create an instance of {@link MemoryType }
     * 
     */
    public MemoryType createMemoryType() {
        return new MemoryType();
    }

    /**
     * Create an instance of {@link TerminalIDType.AsstHardware }
     * 
     */
    public TerminalIDType.AsstHardware createTerminalIDTypeAsstHardware() {
        return new TerminalIDType.AsstHardware();
    }

    /**
     * Create an instance of {@link TerminalIDType.Network }
     * 
     */
    public TerminalIDType.Network createTerminalIDTypeNetwork() {
        return new TerminalIDType.Network();
    }

    /**
     * Create an instance of {@link CPUType }
     * 
     */
    public CPUType createCPUType() {
        return new CPUType();
    }

    /**
     * Create an instance of {@link OSType }
     * 
     */
    public OSType createOSType() {
        return new OSType();
    }

    /**
     * Create an instance of {@link OSType.VirtualMachine }
     * 
     */
    public OSType.VirtualMachine createOSTypeVirtualMachine() {
        return new OSType.VirtualMachine();
    }

    /**
     * Create an instance of {@link TerminalIDType.AsstHardware.HardKey }
     * 
     */
    public TerminalIDType.AsstHardware.HardKey createTerminalIDTypeAsstHardwareHardKey() {
        return new TerminalIDType.AsstHardware.HardKey();
    }

    /**
     * Create an instance of {@link TerminalIDType.AsstHardware.SmartCard }
     * 
     */
    public TerminalIDType.AsstHardware.SmartCard createTerminalIDTypeAsstHardwareSmartCard() {
        return new TerminalIDType.AsstHardware.SmartCard();
    }

    /**
     * Create an instance of {@link TerminalIDType.RPCMechanism }
     * 
     */
    public TerminalIDType.RPCMechanism createTerminalIDTypeRPCMechanism() {
        return new TerminalIDType.RPCMechanism();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TerminalIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg4:IPMPSchema:2002", name = "TerminalID")
    public JAXBElement<TerminalIDType> createTerminalID(TerminalIDType value) {
        return new JAXBElement<TerminalIDType>(_TerminalID_QNAME, TerminalIDType.class, null, value);
    }

}
