
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx.DeviceType;


/**
 * <p>Java class for TerminalIDType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TerminalIDType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TerminalType">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Vendor" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="Model" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="SerialNO" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="OperatingSystem" type="{urn:mpeg:mpeg4:IPMPSchema:2002}OSType"/>
 *         &lt;element name="CPU" type="{urn:mpeg:mpeg4:IPMPSchema:2002}CPUType"/>
 *         &lt;element name="Memory" type="{urn:mpeg:mpeg4:IPMPSchema:2002}MemoryType"/>
 *         &lt;element name="AsstHardware" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="SmartCard" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Vendor" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="Model" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="HardKey" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Network" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="Details" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Downloading" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="Capability" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="RPCMechanism" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="Details" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Firmware" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="Vendor" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="Version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TerminalIDType", propOrder = {
    "terminalType",
    "operatingSystem",
    "cpu",
    "memory",
    "asstHardware",
    "network",
    "downloading",
    "rpcMechanism",
    "firmware"
})
@XmlSeeAlso({
    DeviceType.class
})
public class TerminalIDType {

    @XmlElement(name = "TerminalType", required = true)
    protected TerminalIDType.TerminalType terminalType;
    @XmlElement(name = "OperatingSystem", required = true)
    protected OSType operatingSystem;
    @XmlElement(name = "CPU", required = true)
    protected CPUType cpu;
    @XmlElement(name = "Memory", required = true)
    protected MemoryType memory;
    @XmlElement(name = "AsstHardware")
    protected List<TerminalIDType.AsstHardware> asstHardware;
    @XmlElement(name = "Network")
    protected List<TerminalIDType.Network> network;
    @XmlElement(name = "Downloading")
    protected List<TerminalIDType.Downloading> downloading;
    @XmlElement(name = "RPCMechanism")
    protected List<TerminalIDType.RPCMechanism> rpcMechanism;
    @XmlElement(name = "Firmware")
    protected List<TerminalIDType.Firmware> firmware;

    /**
     * Gets the value of the terminalType property.
     * 
     * @return
     *     possible object is
     *     {@link TerminalIDType.TerminalType }
     *     
     */
    public TerminalIDType.TerminalType getTerminalType() {
        return terminalType;
    }

    /**
     * Sets the value of the terminalType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TerminalIDType.TerminalType }
     *     
     */
    public void setTerminalType(TerminalIDType.TerminalType value) {
        this.terminalType = value;
    }

    /**
     * Gets the value of the operatingSystem property.
     * 
     * @return
     *     possible object is
     *     {@link OSType }
     *     
     */
    public OSType getOperatingSystem() {
        return operatingSystem;
    }

    /**
     * Sets the value of the operatingSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link OSType }
     *     
     */
    public void setOperatingSystem(OSType value) {
        this.operatingSystem = value;
    }

    /**
     * Gets the value of the cpu property.
     * 
     * @return
     *     possible object is
     *     {@link CPUType }
     *     
     */
    public CPUType getCPU() {
        return cpu;
    }

    /**
     * Sets the value of the cpu property.
     * 
     * @param value
     *     allowed object is
     *     {@link CPUType }
     *     
     */
    public void setCPU(CPUType value) {
        this.cpu = value;
    }

    /**
     * Gets the value of the memory property.
     * 
     * @return
     *     possible object is
     *     {@link MemoryType }
     *     
     */
    public MemoryType getMemory() {
        return memory;
    }

    /**
     * Sets the value of the memory property.
     * 
     * @param value
     *     allowed object is
     *     {@link MemoryType }
     *     
     */
    public void setMemory(MemoryType value) {
        this.memory = value;
    }

    /**
     * Gets the value of the asstHardware property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the asstHardware property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAsstHardware().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminalIDType.AsstHardware }
     * 
     * 
     */
    public List<TerminalIDType.AsstHardware> getAsstHardware() {
        if (asstHardware == null) {
            asstHardware = new ArrayList<TerminalIDType.AsstHardware>();
        }
        return this.asstHardware;
    }

    /**
     * Gets the value of the network property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the network property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNetwork().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminalIDType.Network }
     * 
     * 
     */
    public List<TerminalIDType.Network> getNetwork() {
        if (network == null) {
            network = new ArrayList<TerminalIDType.Network>();
        }
        return this.network;
    }

    /**
     * Gets the value of the downloading property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the downloading property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDownloading().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminalIDType.Downloading }
     * 
     * 
     */
    public List<TerminalIDType.Downloading> getDownloading() {
        if (downloading == null) {
            downloading = new ArrayList<TerminalIDType.Downloading>();
        }
        return this.downloading;
    }

    /**
     * Gets the value of the rpcMechanism property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rpcMechanism property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRPCMechanism().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminalIDType.RPCMechanism }
     * 
     * 
     */
    public List<TerminalIDType.RPCMechanism> getRPCMechanism() {
        if (rpcMechanism == null) {
            rpcMechanism = new ArrayList<TerminalIDType.RPCMechanism>();
        }
        return this.rpcMechanism;
    }

    /**
     * Gets the value of the firmware property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the firmware property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFirmware().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminalIDType.Firmware }
     * 
     * 
     */
    public List<TerminalIDType.Firmware> getFirmware() {
        if (firmware == null) {
            firmware = new ArrayList<TerminalIDType.Firmware>();
        }
        return this.firmware;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="SmartCard" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Vendor" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="Model" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="HardKey" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "smartCard",
        "hardKey"
    })
    public static class AsstHardware {

        @XmlElement(name = "SmartCard")
        protected TerminalIDType.AsstHardware.SmartCard smartCard;
        @XmlElement(name = "HardKey")
        protected TerminalIDType.AsstHardware.HardKey hardKey;

        /**
         * Gets the value of the smartCard property.
         * 
         * @return
         *     possible object is
         *     {@link TerminalIDType.AsstHardware.SmartCard }
         *     
         */
        public TerminalIDType.AsstHardware.SmartCard getSmartCard() {
            return smartCard;
        }

        /**
         * Sets the value of the smartCard property.
         * 
         * @param value
         *     allowed object is
         *     {@link TerminalIDType.AsstHardware.SmartCard }
         *     
         */
        public void setSmartCard(TerminalIDType.AsstHardware.SmartCard value) {
            this.smartCard = value;
        }

        /**
         * Gets the value of the hardKey property.
         * 
         * @return
         *     possible object is
         *     {@link TerminalIDType.AsstHardware.HardKey }
         *     
         */
        public TerminalIDType.AsstHardware.HardKey getHardKey() {
            return hardKey;
        }

        /**
         * Sets the value of the hardKey property.
         * 
         * @param value
         *     allowed object is
         *     {@link TerminalIDType.AsstHardware.HardKey }
         *     
         */
        public void setHardKey(TerminalIDType.AsstHardware.HardKey value) {
            this.hardKey = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "type"
        })
        public static class HardKey {

            @XmlElement(name = "Type", required = true)
            protected String type;

            /**
             * Gets the value of the type property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getType() {
                return type;
            }

            /**
             * Sets the value of the type property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setType(String value) {
                this.type = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Vendor" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="Model" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "vendor",
            "model"
        })
        public static class SmartCard {

            @XmlElement(name = "Vendor", required = true)
            protected String vendor;
            @XmlElement(name = "Model", required = true)
            protected String model;

            /**
             * Gets the value of the vendor property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getVendor() {
                return vendor;
            }

            /**
             * Sets the value of the vendor property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setVendor(String value) {
                this.vendor = value;
            }

            /**
             * Gets the value of the model property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getModel() {
                return model;
            }

            /**
             * Sets the value of the model property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setModel(String value) {
                this.model = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="Capability" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Downloading {

        @XmlAttribute(name = "Capability", required = true)
        protected boolean capability;

        /**
         * Gets the value of the capability property.
         * 
         */
        public boolean isCapability() {
            return capability;
        }

        /**
         * Sets the value of the capability property.
         * 
         */
        public void setCapability(boolean value) {
            this.capability = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="Vendor" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="Version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Firmware {

        @XmlAttribute(name = "Vendor", required = true)
        protected String vendor;
        @XmlAttribute(name = "Name", required = true)
        protected String name;
        @XmlAttribute(name = "Version", required = true)
        protected String version;

        /**
         * Gets the value of the vendor property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getVendor() {
            return vendor;
        }

        /**
         * Sets the value of the vendor property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setVendor(String value) {
            this.vendor = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the version property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getVersion() {
            return version;
        }

        /**
         * Sets the value of the version property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setVersion(String value) {
            this.version = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="Details" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "type",
        "details"
    })
    public static class Network {

        @XmlElement(name = "Type", required = true)
        protected String type;
        @XmlElement(name = "Details", required = true)
        protected String details;

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

        /**
         * Gets the value of the details property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDetails() {
            return details;
        }

        /**
         * Sets the value of the details property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDetails(String value) {
            this.details = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="Details" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "type",
        "details"
    })
    public static class RPCMechanism {

        @XmlElement(name = "Type", required = true)
        protected String type;
        @XmlElement(name = "Details", required = true)
        protected String details;

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

        /**
         * Gets the value of the details property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDetails() {
            return details;
        }

        /**
         * Sets the value of the details property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDetails(String value) {
            this.details = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Vendor" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="Model" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="SerialNO" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "vendor",
        "model",
        "serialNO"
    })
    public static class TerminalType {

        @XmlElement(name = "Vendor", required = true)
        protected String vendor;
        @XmlElement(name = "Model", required = true)
        protected String model;
        @XmlElement(name = "SerialNO")
        protected String serialNO;

        /**
         * Gets the value of the vendor property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getVendor() {
            return vendor;
        }

        /**
         * Sets the value of the vendor property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setVendor(String value) {
            this.vendor = value;
        }

        /**
         * Gets the value of the model property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getModel() {
            return model;
        }

        /**
         * Sets the value of the model property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setModel(String value) {
            this.model = value;
        }

        /**
         * Gets the value of the serialNO property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSerialNO() {
            return serialNO;
        }

        /**
         * Sets the value of the serialNO property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSerialNO(String value) {
            this.serialNO = value;
        }

    }

}
