
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo.ScheduledUpdateTimeType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo.SupportedPlatformType;


/**
 * <p>Java class for ConditionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConditionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ScheduledUpdateTime" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}SupportedPlatform" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConditionType", propOrder = {
    "scheduledUpdateTime",
    "supportedPlatform"
})
public class ConditionType {

    @XmlElement(name = "ScheduledUpdateTime", namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS")
    protected ScheduledUpdateTimeType scheduledUpdateTime;
    @XmlElement(name = "SupportedPlatform", namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS")
    protected List<SupportedPlatformType> supportedPlatform;

    /**
     * Gets the value of the scheduledUpdateTime property.
     * 
     * @return
     *     possible object is
     *     {@link ScheduledUpdateTimeType }
     *     
     */
    public ScheduledUpdateTimeType getScheduledUpdateTime() {
        return scheduledUpdateTime;
    }

    /**
     * Sets the value of the scheduledUpdateTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link ScheduledUpdateTimeType }
     *     
     */
    public void setScheduledUpdateTime(ScheduledUpdateTimeType value) {
        this.scheduledUpdateTime = value;
    }

    /**
     * Gets the value of the supportedPlatform property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the supportedPlatform property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSupportedPlatform().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SupportedPlatformType }
     * 
     * 
     */
    public List<SupportedPlatformType> getSupportedPlatform() {
        if (supportedPlatform == null) {
            supportedPlatform = new ArrayList<SupportedPlatformType>();
        }
        return this.supportedPlatform;
    }

}
