
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.AddToolNotificationListenerType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.AudioWatermarkingInitType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.CanProcessType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ConnectToolType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ControlPointType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.DataBaseClassType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.DisconnectToolType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetProtectedAssetType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetRightsDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolContextResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolContextType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolGroupReferenceResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolGroupReferenceType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolPackDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolReferenceResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolReferenceType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolsResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.GetToolsType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.InitAuthenticationType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.InitialiseIPMPProcessorType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.InitialiseToolType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.KeyDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.MutualAuthenticationType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.NotifyIPMPProcessorEventType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.NotifyToolEventType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.OpaqueDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ParametricDescriptionType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.RemoveToolNotificationListenerType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.RightsDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.SecureContainerType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.SelectiveDecryptionInitType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.SendAudioWatermarkType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.SendVideoWatermarkType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.TerminateIPMPProcessorType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ToolPackDataType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ToolParamCapabilitiesQueryType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ToolParamCapabilitiesResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.UserQueryResponseType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.UserQueryType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.VideoWatermarkingInitType;


/**
 * <p>Java class for InitializationDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InitializationDataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;sequence maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}ControlPointID" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}ControlPointAddress" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClass" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InitializationDataType", propOrder = {
    "content"
})
public class InitializationDataType {

    @XmlElementRefs({
        @XmlElementRef(name = "ControlPointID", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class),
        @XmlElementRef(name = "Data_BaseClass", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class),
        @XmlElementRef(name = "ControlPointAddress", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class)
    })
    @XmlMixed
    protected List<Serializable> content;

    /**
     * Gets the value of the content property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the content property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link DisconnectToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link KeyDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioWatermarkingInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolContextType }{@code >}
     * {@link JAXBElement }{@code <}{@link ParametricDescriptionType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolsType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetRightsDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link RightsDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link SendVideoWatermarkType }{@code >}
     * {@link String }
     * {@link JAXBElement }{@code <}{@link UserQueryType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolGroupReferenceResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link SelectiveDecryptionInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolPackDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolParamCapabilitiesResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link AddToolNotificationListenerType }{@code >}
     * {@link JAXBElement }{@code <}{@link CanProcessType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolContextResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     * {@link JAXBElement }{@code <}{@link SendAudioWatermarkType }{@code >}
     * {@link JAXBElement }{@code <}{@link MutualAuthenticationType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitialiseToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolReferenceResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolGroupReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link TerminateIPMPProcessorType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolPackDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link VideoWatermarkingInitType }{@code >}
     * {@link JAXBElement }{@code <}{@link UserQueryResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitAuthenticationType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetToolsResponseType }{@code >}
     * {@link JAXBElement }{@code <}{@link ControlPointType }{@code >}
     * {@link JAXBElement }{@code <}{@link DataBaseClassType }{@code >}
     * {@link JAXBElement }{@code <}{@link NotifyToolEventType }{@code >}
     * {@link JAXBElement }{@code <}{@link OpaqueDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link GetProtectedAssetType }{@code >}
     * {@link JAXBElement }{@code <}{@link RemoveToolNotificationListenerType }{@code >}
     * {@link JAXBElement }{@code <}{@link ToolParamCapabilitiesQueryType }{@code >}
     * {@link JAXBElement }{@code <}{@link ConnectToolType }{@code >}
     * {@link JAXBElement }{@code <}{@link InitialiseIPMPProcessorType }{@code >}
     * {@link JAXBElement }{@code <}{@link SecureContainerType }{@code >}
     * {@link JAXBElement }{@code <}{@link NotifyIPMPProcessorEventType }{@code >}
     * 
     * 
     */
    public List<Serializable> getContent() {
        if (content == null) {
            content = new ArrayList<Serializable>();
        }
        return this.content;
    }

}
