
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    //private final static QName _ToolDescription_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "ToolDescription");
    private final static QName _InitializationSettings_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "InitializationSettings");
    private final static QName _RightsDescriptor_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "RightsDescriptor");
    private final static QName _SupportedPlatform_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "SupportedPlatform");
    private final static QName _InitializationData_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "InitializationData");
    //private final static QName _ToolList_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "ToolList");
    private final static QName _License_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "License");
    private final static QName _Configuration_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "Configuration");
    private final static QName _Condition_QNAME = new QName("urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", "Condition");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ToolListType }
     * 
     */
    //public ToolListType createToolListType() {
    //    return new ToolListType();
    //}

    /**
     * Create an instance of {@link RightsDescriptorType }
     * 
     */
    public RightsDescriptorType createRightsDescriptorType() {
        return new RightsDescriptorType();
    }

    /**
     * Create an instance of {@link ConfigurationType }
     * 
     */
    public ConfigurationType createConfigurationType() {
        return new ConfigurationType();
    }

    /**
     * Create an instance of {@link SupportedPlatformType }
     * 
     */
    public SupportedPlatformType createSupportedPlatformType() {
        return new SupportedPlatformType();
    }

    /**
     * Create an instance of {@link ToolDescriptionType }
     * 
     */
//    public ToolDescriptionType createToolDescriptionType() {
 //       return new ToolDescriptionType();
 //   }

    /**
     * Create an instance of {@link InitializationSettingsType }
     * 
     */
    public InitializationSettingsType createInitializationSettingsType() {
        return new InitializationSettingsType();
    }

    /**
     * Create an instance of {@link InitializationDataType }
     * 
     */
    public InitializationDataType createInitializationDataType() {
        return new InitializationDataType();
    }

    /**
     * Create an instance of {@link LicenseType }
     * 
     */
    public LicenseType createLicenseType() {
        return new LicenseType();
    }

    /**
     * Create an instance of {@link ConditionType }
     * 
     */
    public ConditionType createConditionType() {
        return new ConditionType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolDescriptionType }{@code >}}
     * 
     */
    //@XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "ToolDescription")
    //public JAXBElement<ToolDescriptionType> createToolDescription(ToolDescriptionType value) {
    //    return new JAXBElement<ToolDescriptionType>(_ToolDescription_QNAME, ToolDescriptionType.class, null, value);
    //}

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InitializationSettingsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "InitializationSettings")
    public JAXBElement<InitializationSettingsType> createInitializationSettings(InitializationSettingsType value) {
        return new JAXBElement<InitializationSettingsType>(_InitializationSettings_QNAME, InitializationSettingsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RightsDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "RightsDescriptor")
    public JAXBElement<RightsDescriptorType> createRightsDescriptor(RightsDescriptorType value) {
        return new JAXBElement<RightsDescriptorType>(_RightsDescriptor_QNAME, RightsDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SupportedPlatformType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "SupportedPlatform")
    public JAXBElement<SupportedPlatformType> createSupportedPlatform(SupportedPlatformType value) {
        return new JAXBElement<SupportedPlatformType>(_SupportedPlatform_QNAME, SupportedPlatformType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InitializationDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "InitializationData")
    public JAXBElement<InitializationDataType> createInitializationData(InitializationDataType value) {
        return new JAXBElement<InitializationDataType>(_InitializationData_QNAME, InitializationDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolListType }{@code >}}
     * 
     */
   // @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "ToolList")
   // public JAXBElement<ToolListType> createToolList(ToolListType value) {
   //     return new JAXBElement<ToolListType>(_ToolList_QNAME, ToolListType.class, null, value);
   // }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "License")
    public JAXBElement<LicenseType> createLicense(LicenseType value) {
        return new JAXBElement<LicenseType>(_License_QNAME, LicenseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigurationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "Configuration")
    public JAXBElement<ConfigurationType> createConfiguration(ConfigurationType value) {
        return new JAXBElement<ConfigurationType>(_Configuration_QNAME, ConfigurationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConditionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:07-IPMPINFO-NS:2012", name = "Condition")
    public JAXBElement<ConditionType> createCondition(ConditionType value) {
        return new JAXBElement<ConditionType>(_Condition_QNAME, ConditionType.class, null, value);
    }

}
