
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AggregatedMediaReviewDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AggregatedMediaReviewDescriptionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaReviewDescriptionType">
 *       &lt;sequence>
 *         &lt;element name="ObservationPeriod" type="{urn:mpeg:mpeg7:schema:2004}TimeType" maxOccurs="unbounded"/>
 *         &lt;element name="ReviewCount" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AggregatedMediaReviewDescriptionType", propOrder = {
    "observationPeriod",
    "reviewCount"
})
public class AggregatedMediaReviewDescriptionType
    extends MediaReviewDescriptionType
{

    @XmlElement(name = "ObservationPeriod", required = true)
    protected List<TimeType> observationPeriod;
    @XmlElement(name = "ReviewCount", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger reviewCount;

    /**
     * Gets the value of the observationPeriod property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the observationPeriod property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getObservationPeriod().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TimeType }
     * 
     * 
     */
    public List<TimeType> getObservationPeriod() {
        if (observationPeriod == null) {
            observationPeriod = new ArrayList<TimeType>();
        }
        return this.observationPeriod;
    }

    /**
     * Gets the value of the reviewCount property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getReviewCount() {
        return reviewCount;
    }

    /**
     * Sets the value of the reviewCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setReviewCount(BigInteger value) {
        this.reviewCount = value;
    }

}
