
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AnalyticModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AnalyticModelType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ModelType">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="Label">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
 *                 &lt;attribute name="relevance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                 &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                 &lt;attribute name="reliability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Semantics">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
 *                 &lt;attribute name="relevance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                 &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                 &lt;attribute name="reliability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *       &lt;attribute name="function">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="described"/>
 *             &lt;enumeration value="describing"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AnalyticModelType", propOrder = {
    "labelOrSemantics"
})
@XmlSeeAlso({
    ModelStateType.class,
    ClusterModelType.class,
    CollectionModelType.class,
    ProbabilityModelClassType.class
})
public abstract class AnalyticModelType
    extends ModelType
{

    @XmlElements({
        @XmlElement(name = "Semantics", type = AnalyticModelType.Semantics.class),
        @XmlElement(name = "Label", type = AnalyticModelType.Label.class)
    })
    protected List<Object> labelOrSemantics;
    @XmlAttribute(name = "function")
    protected String function;

    /**
     * Gets the value of the labelOrSemantics property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the labelOrSemantics property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLabelOrSemantics().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AnalyticModelType.Semantics }
     * {@link AnalyticModelType.Label }
     * 
     * 
     */
    public List<Object> getLabelOrSemantics() {
        if (labelOrSemantics == null) {
            labelOrSemantics = new ArrayList<Object>();
        }
        return this.labelOrSemantics;
    }

    /**
     * Gets the value of the function property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFunction() {
        return function;
    }

    /**
     * Sets the value of the function property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFunction(String value) {
        this.function = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
     *       &lt;attribute name="relevance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *       &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *       &lt;attribute name="reliability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Label
        extends TermUseType
    {

        @XmlAttribute(name = "relevance")
        protected Float relevance;
        @XmlAttribute(name = "confidence")
        protected Float confidence;
        @XmlAttribute(name = "reliability")
        protected Float reliability;

        /**
         * Gets the value of the relevance property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getRelevance() {
            return relevance;
        }

        /**
         * Sets the value of the relevance property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setRelevance(Float value) {
            this.relevance = value;
        }

        /**
         * Gets the value of the confidence property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getConfidence() {
            return confidence;
        }

        /**
         * Sets the value of the confidence property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setConfidence(Float value) {
            this.confidence = value;
        }

        /**
         * Gets the value of the reliability property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getReliability() {
            return reliability;
        }

        /**
         * Sets the value of the reliability property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setReliability(Float value) {
            this.reliability = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
     *       &lt;attribute name="relevance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *       &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *       &lt;attribute name="reliability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Semantics
        extends SemanticBaseType
    {

        @XmlAttribute(name = "relevance")
        protected Float relevance;
        @XmlAttribute(name = "confidence")
        protected Float confidence;
        @XmlAttribute(name = "reliability")
        protected Float reliability;

        /**
         * Gets the value of the relevance property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getRelevance() {
            return relevance;
        }

        /**
         * Sets the value of the relevance property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setRelevance(Float value) {
            this.relevance = value;
        }

        /**
         * Gets the value of the confidence property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getConfidence() {
            return confidence;
        }

        /**
         * Sets the value of the confidence property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setConfidence(Float value) {
            this.confidence = value;
        }

        /**
         * Gets the value of the reliability property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getReliability() {
            return reliability;
        }

        /**
         * Sets the value of the reliability property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setReliability(Float value) {
            this.reliability = value;
        }

    }

}
