
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AnalyticTransitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AnalyticTransitionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AnalyticEditedVideoSegmentType">
 *       &lt;sequence>
 *         &lt;element name="EvolutionType" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *         &lt;element name="EditedMovingRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="evolutionReliability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AnalyticTransitionType", propOrder = {
    "evolutionType",
    "editedMovingRegionRef"
})
@XmlSeeAlso({
    GlobalTransitionType.class,
    InternalTransitionType.class,
    CompositionTransitionType.class
})
public abstract class AnalyticTransitionType
    extends AnalyticEditedVideoSegmentType
{

    @XmlElement(name = "EvolutionType")
    protected TermUseType evolutionType;
    @XmlElement(name = "EditedMovingRegionRef")
    protected ReferenceType editedMovingRegionRef;
    @XmlAttribute(name = "evolutionReliability")
    protected Float evolutionReliability;

    /**
     * Gets the value of the evolutionType property.
     * 
     * @return
     *     possible object is
     *     {@link TermUseType }
     *     
     */
    public TermUseType getEvolutionType() {
        return evolutionType;
    }

    /**
     * Sets the value of the evolutionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TermUseType }
     *     
     */
    public void setEvolutionType(TermUseType value) {
        this.evolutionType = value;
    }

    /**
     * Gets the value of the editedMovingRegionRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getEditedMovingRegionRef() {
        return editedMovingRegionRef;
    }

    /**
     * Sets the value of the editedMovingRegionRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setEditedMovingRegionRef(ReferenceType value) {
        this.editedMovingRegionRef = value;
    }

    /**
     * Gets the value of the evolutionReliability property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getEvolutionReliability() {
        return evolutionReliability;
    }

    /**
     * Sets the value of the evolutionReliability property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setEvolutionReliability(Float value) {
        this.evolutionReliability = value;
    }

}
