
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioDType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioDType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;attribute name="channels" type="{urn:mpeg:mpeg7:schema:2004}integerVector" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioDType")
@XmlSeeAlso({
    ClassificationPerceptualAttributeType.class,
    PerceptualGenreDistributionElementType.class,
    PerceptualSoundType.class,
    PerceptualMoodDistributionElementType.class,
    PerceptualEnergyType.class,
    PerceptualLyricsDistributionType.class,
    PerceptualLanguageType.class,
    DistributionPerceptualAttributeType.class,
    ChordBaseType.class,
    PerceptualInstrumentationDistributionType.class,
    PerceptualGenreDistributionType.class,
    LinearPerceptualAttributeType.class,
    PerceptualMoodDistributionType.class,
    ReferencePitchType.class,
    PerceptualVocalsType.class,
    SilenceType.class,
    PerceptualLyricsDistributionElementType.class,
    MeterType.class,
    PerceptualValenceType.class,
    RhythmicBaseType.class,
    SoundModelStateHistogramType.class,
    PerceptualRecordingType.class,
    PerceptualBeatType.class,
    AudioLLDScalarType.class,
    PerceptualTempoType.class,
    PerceptualInstrumentationDistributionElementType.class,
    AudioHarmonicityType.class,
    AudioLLDVectorType.class
})
public abstract class AudioDType
    extends DType
{

    @XmlAttribute(name = "channels")
    protected List<BigInteger> channels;

    /**
     * Gets the value of the channels property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the channels property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChannels().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getChannels() {
        if (channels == null) {
            channels = new ArrayList<BigInteger>();
        }
        return this.channels;
    }

}
