
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioLLDScalarType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioLLDScalarType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;choice>
 *         &lt;element name="Scalar" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="SeriesOfScalar" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SeriesOfScalarType">
 *                 &lt;attribute name="hopSize" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" default="PT10N1000F" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *       &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioLLDScalarType", propOrder = {
    "scalar",
    "seriesOfScalar"
})
@XmlSeeAlso({
    HarmonicSpectralVariationType.class,
    AudioWaveformType.class,
    HarmonicSpectralDeviationType.class,
    TemporalCentroidType.class,
    SpectralCentroidType.class,
    HarmonicSpectralCentroidType.class,
    AudioBPMType.class,
    HarmonicSpectralSpreadType.class,
    AudioSpectrumSpreadType.class,
    AudioSpectrumCentroidType.class,
    LogAttackTimeType.class,
    AudioPowerType.class,
    AudioFundamentalFrequencyType.class
})
public abstract class AudioLLDScalarType
    extends AudioDType
{

    @XmlElement(name = "Scalar")
    protected Float scalar;
    @XmlElement(name = "SeriesOfScalar")
    protected List<AudioLLDScalarType.SeriesOfScalar> seriesOfScalar;
    @XmlAttribute(name = "confidence")
    protected Float confidence;

    /**
     * Gets the value of the scalar property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getScalar() {
        return scalar;
    }

    /**
     * Sets the value of the scalar property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setScalar(Float value) {
        this.scalar = value;
    }

    /**
     * Gets the value of the seriesOfScalar property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the seriesOfScalar property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSeriesOfScalar().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioLLDScalarType.SeriesOfScalar }
     * 
     * 
     */
    public List<AudioLLDScalarType.SeriesOfScalar> getSeriesOfScalar() {
        if (seriesOfScalar == null) {
            seriesOfScalar = new ArrayList<AudioLLDScalarType.SeriesOfScalar>();
        }
        return this.seriesOfScalar;
    }

    /**
     * Gets the value of the confidence property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getConfidence() {
        return confidence;
    }

    /**
     * Sets the value of the confidence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setConfidence(Float value) {
        this.confidence = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SeriesOfScalarType">
     *       &lt;attribute name="hopSize" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" default="PT10N1000F" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class SeriesOfScalar
        extends SeriesOfScalarType
    {

        @XmlAttribute(name = "hopSize")
        protected String hopSize;

        /**
         * Gets the value of the hopSize property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getHopSize() {
            if (hopSize == null) {
                return "PT10N1000F";
            } else {
                return hopSize;
            }
        }

        /**
         * Sets the value of the hopSize property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setHopSize(String value) {
            this.hopSize = value;
        }

    }

}
