
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioLLDVectorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioLLDVectorType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;choice>
 *         &lt;element name="Vector" type="{urn:mpeg:mpeg7:schema:2004}floatVector"/>
 *         &lt;element name="SeriesOfVector" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SeriesOfVectorType">
 *                 &lt;attribute name="hopSize" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" default="PT10N1000F" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioLLDVectorType", propOrder = {
    "vector",
    "seriesOfVector"
})
@XmlSeeAlso({
    AudioSpectrumBasisType.class,
    AudioSpectrumProjectionType.class,
    BandwidthType.class,
    BackgroundNoiseLevelType.class,
    AudioSpectrumFlatnessType.class,
    RelativeDelayType.class,
    BalanceType.class,
    CrossChannelCorrelationType.class,
    DcOffsetType.class,
    AudioSpectrumEnvelopeType.class
})
public abstract class AudioLLDVectorType
    extends AudioDType
{

    @XmlList
    @XmlElement(name = "Vector", type = Float.class)
    protected List<Float> vector;
    @XmlElement(name = "SeriesOfVector")
    protected List<AudioLLDVectorType.SeriesOfVector> seriesOfVector;

    /**
     * Gets the value of the vector property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vector property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVector().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getVector() {
        if (vector == null) {
            vector = new ArrayList<Float>();
        }
        return this.vector;
    }

    /**
     * Gets the value of the seriesOfVector property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the seriesOfVector property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSeriesOfVector().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioLLDVectorType.SeriesOfVector }
     * 
     * 
     */
    public List<AudioLLDVectorType.SeriesOfVector> getSeriesOfVector() {
        if (seriesOfVector == null) {
            seriesOfVector = new ArrayList<AudioLLDVectorType.SeriesOfVector>();
        }
        return this.seriesOfVector;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SeriesOfVectorType">
     *       &lt;attribute name="hopSize" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" default="PT10N1000F" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class SeriesOfVector
        extends SeriesOfVectorType
    {

        @XmlAttribute(name = "hopSize")
        protected String hopSize;

        /**
         * Gets the value of the hopSize property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getHopSize() {
            if (hopSize == null) {
                return "PT10N1000F";
            } else {
                return hopSize;
            }
        }

        /**
         * Sets the value of the hopSize property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setHopSize(String value) {
            this.hopSize = value;
        }

    }

}
