
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *           &lt;element name="TemporalMask" type="{urn:mpeg:mpeg7:schema:2004}TemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="AudioDescriptor" type="{urn:mpeg:mpeg7:schema:2004}AudioDType"/>
 *           &lt;element name="AudioDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}AudioDSType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="TemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentTemporalDecompositionType"/>
 *           &lt;element name="MediaSourceDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentMediaSourceDecompositionType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSegmentType", propOrder = {
    "mediaTime",
    "temporalMask",
    "audioDescriptorOrAudioDescriptionScheme",
    "temporalDecompositionOrMediaSourceDecomposition"
})
public class AudioSegmentType
    extends SegmentType
{

    @XmlElement(name = "MediaTime")
    protected MediaTimeType mediaTime;
    @XmlElement(name = "TemporalMask")
    protected TemporalMaskType temporalMask;
    @XmlElements({
        @XmlElement(name = "AudioDescriptor", type = AudioDType.class),
        @XmlElement(name = "AudioDescriptionScheme", type = AudioDSType.class)
    })
    protected List<Mpeg7BaseType> audioDescriptorOrAudioDescriptionScheme;
    @XmlElements({
        @XmlElement(name = "MediaSourceDecomposition", type = AudioSegmentMediaSourceDecompositionType.class),
        @XmlElement(name = "TemporalDecomposition", type = AudioSegmentTemporalDecompositionType.class)
    })
    protected List<SegmentDecompositionType> temporalDecompositionOrMediaSourceDecomposition;

    /**
     * Gets the value of the mediaTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getMediaTime() {
        return mediaTime;
    }

    /**
     * Sets the value of the mediaTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setMediaTime(MediaTimeType value) {
        this.mediaTime = value;
    }

    /**
     * Gets the value of the temporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalMaskType }
     *     
     */
    public TemporalMaskType getTemporalMask() {
        return temporalMask;
    }

    /**
     * Sets the value of the temporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalMaskType }
     *     
     */
    public void setTemporalMask(TemporalMaskType value) {
        this.temporalMask = value;
    }

    /**
     * Gets the value of the audioDescriptorOrAudioDescriptionScheme property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the audioDescriptorOrAudioDescriptionScheme property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAudioDescriptorOrAudioDescriptionScheme().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioDType }
     * {@link AudioDSType }
     * 
     * 
     */
    public List<Mpeg7BaseType> getAudioDescriptorOrAudioDescriptionScheme() {
        if (audioDescriptorOrAudioDescriptionScheme == null) {
            audioDescriptorOrAudioDescriptionScheme = new ArrayList<Mpeg7BaseType>();
        }
        return this.audioDescriptorOrAudioDescriptionScheme;
    }

    /**
     * Gets the value of the temporalDecompositionOrMediaSourceDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the temporalDecompositionOrMediaSourceDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTemporalDecompositionOrMediaSourceDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioSegmentMediaSourceDecompositionType }
     * {@link AudioSegmentTemporalDecompositionType }
     * 
     * 
     */
    public List<SegmentDecompositionType> getTemporalDecompositionOrMediaSourceDecomposition() {
        if (temporalDecompositionOrMediaSourceDecomposition == null) {
            temporalDecompositionOrMediaSourceDecomposition = new ArrayList<SegmentDecompositionType>();
        }
        return this.temporalDecompositionOrMediaSourceDecomposition;
    }

}
