
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSignalQualityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSignalQualityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="Operator" type="{urn:mpeg:mpeg7:schema:2004}PersonType" minOccurs="0"/>
 *         &lt;element name="UsedTool" type="{urn:mpeg:mpeg7:schema:2004}CreationToolType" minOccurs="0"/>
 *         &lt;element name="BackgroundNoiseLevel" type="{urn:mpeg:mpeg7:schema:2004}BackgroundNoiseLevelType"/>
 *         &lt;element name="RelativeDelay" type="{urn:mpeg:mpeg7:schema:2004}RelativeDelayType"/>
 *         &lt;element name="Balance" type="{urn:mpeg:mpeg7:schema:2004}BalanceType"/>
 *         &lt;element name="DcOffset" type="{urn:mpeg:mpeg7:schema:2004}DcOffsetType"/>
 *         &lt;element name="CrossChannelCorrelation" type="{urn:mpeg:mpeg7:schema:2004}CrossChannelCorrelationType"/>
 *         &lt;element name="Bandwidth" type="{urn:mpeg:mpeg7:schema:2004}BandwidthType"/>
 *         &lt;element name="TransmissionTechnology" type="{urn:mpeg:mpeg7:schema:2004}TransmissionTechnologyType" minOccurs="0"/>
 *         &lt;element name="ErrorEventList" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ErrorEvent" type="{urn:mpeg:mpeg7:schema:2004}ErrorEventType" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="IsOriginalMono" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="BroadcastReady" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSignalQualityType", propOrder = {
    "operator",
    "usedTool",
    "backgroundNoiseLevel",
    "relativeDelay",
    "balance",
    "dcOffset",
    "crossChannelCorrelation",
    "bandwidth",
    "transmissionTechnology",
    "errorEventList"
})
public class AudioSignalQualityType
    extends AudioDSType
{

    @XmlElement(name = "Operator")
    protected PersonType operator;
    @XmlElement(name = "UsedTool")
    protected CreationToolType usedTool;
    @XmlElement(name = "BackgroundNoiseLevel", required = true)
    protected BackgroundNoiseLevelType backgroundNoiseLevel;
    @XmlElement(name = "RelativeDelay", required = true)
    protected RelativeDelayType relativeDelay;
    @XmlElement(name = "Balance", required = true)
    protected BalanceType balance;
    @XmlElement(name = "DcOffset", required = true)
    protected DcOffsetType dcOffset;
    @XmlElement(name = "CrossChannelCorrelation", required = true)
    protected CrossChannelCorrelationType crossChannelCorrelation;
    @XmlElement(name = "Bandwidth", required = true)
    protected BandwidthType bandwidth;
    @XmlElement(name = "TransmissionTechnology")
    protected TransmissionTechnologyType transmissionTechnology;
    @XmlElement(name = "ErrorEventList")
    protected AudioSignalQualityType.ErrorEventList errorEventList;
    @XmlAttribute(name = "IsOriginalMono")
    protected Boolean isOriginalMono;
    @XmlAttribute(name = "BroadcastReady")
    protected Boolean broadcastReady;

    /**
     * Gets the value of the operator property.
     * 
     * @return
     *     possible object is
     *     {@link PersonType }
     *     
     */
    public PersonType getOperator() {
        return operator;
    }

    /**
     * Sets the value of the operator property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonType }
     *     
     */
    public void setOperator(PersonType value) {
        this.operator = value;
    }

    /**
     * Gets the value of the usedTool property.
     * 
     * @return
     *     possible object is
     *     {@link CreationToolType }
     *     
     */
    public CreationToolType getUsedTool() {
        return usedTool;
    }

    /**
     * Sets the value of the usedTool property.
     * 
     * @param value
     *     allowed object is
     *     {@link CreationToolType }
     *     
     */
    public void setUsedTool(CreationToolType value) {
        this.usedTool = value;
    }

    /**
     * Gets the value of the backgroundNoiseLevel property.
     * 
     * @return
     *     possible object is
     *     {@link BackgroundNoiseLevelType }
     *     
     */
    public BackgroundNoiseLevelType getBackgroundNoiseLevel() {
        return backgroundNoiseLevel;
    }

    /**
     * Sets the value of the backgroundNoiseLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link BackgroundNoiseLevelType }
     *     
     */
    public void setBackgroundNoiseLevel(BackgroundNoiseLevelType value) {
        this.backgroundNoiseLevel = value;
    }

    /**
     * Gets the value of the relativeDelay property.
     * 
     * @return
     *     possible object is
     *     {@link RelativeDelayType }
     *     
     */
    public RelativeDelayType getRelativeDelay() {
        return relativeDelay;
    }

    /**
     * Sets the value of the relativeDelay property.
     * 
     * @param value
     *     allowed object is
     *     {@link RelativeDelayType }
     *     
     */
    public void setRelativeDelay(RelativeDelayType value) {
        this.relativeDelay = value;
    }

    /**
     * Gets the value of the balance property.
     * 
     * @return
     *     possible object is
     *     {@link BalanceType }
     *     
     */
    public BalanceType getBalance() {
        return balance;
    }

    /**
     * Sets the value of the balance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BalanceType }
     *     
     */
    public void setBalance(BalanceType value) {
        this.balance = value;
    }

    /**
     * Gets the value of the dcOffset property.
     * 
     * @return
     *     possible object is
     *     {@link DcOffsetType }
     *     
     */
    public DcOffsetType getDcOffset() {
        return dcOffset;
    }

    /**
     * Sets the value of the dcOffset property.
     * 
     * @param value
     *     allowed object is
     *     {@link DcOffsetType }
     *     
     */
    public void setDcOffset(DcOffsetType value) {
        this.dcOffset = value;
    }

    /**
     * Gets the value of the crossChannelCorrelation property.
     * 
     * @return
     *     possible object is
     *     {@link CrossChannelCorrelationType }
     *     
     */
    public CrossChannelCorrelationType getCrossChannelCorrelation() {
        return crossChannelCorrelation;
    }

    /**
     * Sets the value of the crossChannelCorrelation property.
     * 
     * @param value
     *     allowed object is
     *     {@link CrossChannelCorrelationType }
     *     
     */
    public void setCrossChannelCorrelation(CrossChannelCorrelationType value) {
        this.crossChannelCorrelation = value;
    }

    /**
     * Gets the value of the bandwidth property.
     * 
     * @return
     *     possible object is
     *     {@link BandwidthType }
     *     
     */
    public BandwidthType getBandwidth() {
        return bandwidth;
    }

    /**
     * Sets the value of the bandwidth property.
     * 
     * @param value
     *     allowed object is
     *     {@link BandwidthType }
     *     
     */
    public void setBandwidth(BandwidthType value) {
        this.bandwidth = value;
    }

    /**
     * Gets the value of the transmissionTechnology property.
     * 
     * @return
     *     possible object is
     *     {@link TransmissionTechnologyType }
     *     
     */
    public TransmissionTechnologyType getTransmissionTechnology() {
        return transmissionTechnology;
    }

    /**
     * Sets the value of the transmissionTechnology property.
     * 
     * @param value
     *     allowed object is
     *     {@link TransmissionTechnologyType }
     *     
     */
    public void setTransmissionTechnology(TransmissionTechnologyType value) {
        this.transmissionTechnology = value;
    }

    /**
     * Gets the value of the errorEventList property.
     * 
     * @return
     *     possible object is
     *     {@link AudioSignalQualityType.ErrorEventList }
     *     
     */
    public AudioSignalQualityType.ErrorEventList getErrorEventList() {
        return errorEventList;
    }

    /**
     * Sets the value of the errorEventList property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioSignalQualityType.ErrorEventList }
     *     
     */
    public void setErrorEventList(AudioSignalQualityType.ErrorEventList value) {
        this.errorEventList = value;
    }

    /**
     * Gets the value of the isOriginalMono property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isIsOriginalMono() {
        return isOriginalMono;
    }

    /**
     * Sets the value of the isOriginalMono property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsOriginalMono(Boolean value) {
        this.isOriginalMono = value;
    }

    /**
     * Gets the value of the broadcastReady property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBroadcastReady() {
        return broadcastReady;
    }

    /**
     * Sets the value of the broadcastReady property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBroadcastReady(Boolean value) {
        this.broadcastReady = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ErrorEvent" type="{urn:mpeg:mpeg7:schema:2004}ErrorEventType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "errorEvent"
    })
    public static class ErrorEventList {

        @XmlElement(name = "ErrorEvent")
        protected List<ErrorEventType> errorEvent;

        /**
         * Gets the value of the errorEvent property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the errorEvent property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getErrorEvent().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ErrorEventType }
         * 
         * 
         */
        public List<ErrorEventType> getErrorEvent() {
            if (errorEvent == null) {
                errorEvent = new ArrayList<ErrorEventType>();
            }
            return this.errorEvent;
        }

    }

}
