
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSpectrumEnvelopeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSpectrumEnvelopeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioLLDVectorType">
 *       &lt;attGroup ref="{urn:mpeg:mpeg7:schema:2004}audioSpectrumAttributeGrp"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSpectrumEnvelopeType")
public class AudioSpectrumEnvelopeType
    extends AudioLLDVectorType
{

    @XmlAttribute(name = "loEdge")
    protected Float loEdge;
    @XmlAttribute(name = "hiEdge")
    protected Float hiEdge;
    @XmlAttribute(name = "octaveResolution")
    protected String octaveResolution;

    /**
     * Gets the value of the loEdge property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public float getLoEdge() {
        if (loEdge == null) {
            return  62.5F;
        } else {
            return loEdge;
        }
    }

    /**
     * Sets the value of the loEdge property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLoEdge(Float value) {
        this.loEdge = value;
    }

    /**
     * Gets the value of the hiEdge property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public float getHiEdge() {
        if (hiEdge == null) {
            return  16000.0F;
        } else {
            return hiEdge;
        }
    }

    /**
     * Sets the value of the hiEdge property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setHiEdge(Float value) {
        this.hiEdge = value;
    }

    /**
     * Gets the value of the octaveResolution property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOctaveResolution() {
        return octaveResolution;
    }

    /**
     * Sets the value of the octaveResolution property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOctaveResolution(String value) {
        this.octaveResolution = value;
    }

}
