
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSpectrumFlatnessType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSpectrumFlatnessType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioLLDVectorType">
 *       &lt;attribute name="loEdge" type="{http://www.w3.org/2001/XMLSchema}float" default="250" />
 *       &lt;attribute name="hiEdge" type="{http://www.w3.org/2001/XMLSchema}float" default="16000" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSpectrumFlatnessType")
public class AudioSpectrumFlatnessType
    extends AudioLLDVectorType
{

    @XmlAttribute(name = "loEdge")
    protected Float loEdge;
    @XmlAttribute(name = "hiEdge")
    protected Float hiEdge;

    /**
     * Gets the value of the loEdge property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public float getLoEdge() {
        if (loEdge == null) {
            return  250.0F;
        } else {
            return loEdge;
        }
    }

    /**
     * Sets the value of the loEdge property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLoEdge(Float value) {
        this.loEdge = value;
    }

    /**
     * Gets the value of the hiEdge property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public float getHiEdge() {
        if (hiEdge == null) {
            return  16000.0F;
        } else {
            return hiEdge;
        }
    }

    /**
     * Sets the value of the hiEdge property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setHiEdge(Float value) {
        this.hiEdge = value;
    }

}
