
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioTempoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioTempoType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="BPM" type="{urn:mpeg:mpeg7:schema:2004}AudioBPMType"/>
 *         &lt;element name="Meter" type="{urn:mpeg:mpeg7:schema:2004}MeterType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioTempoType", propOrder = {
    "bpm",
    "meter"
})
public class AudioTempoType
    extends AudioDSType
{

    @XmlElement(name = "BPM", required = true)
    protected AudioBPMType bpm;
    @XmlElement(name = "Meter")
    protected MeterType meter;

    /**
     * Gets the value of the bpm property.
     * 
     * @return
     *     possible object is
     *     {@link AudioBPMType }
     *     
     */
    public AudioBPMType getBPM() {
        return bpm;
    }

    /**
     * Sets the value of the bpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioBPMType }
     *     
     */
    public void setBPM(AudioBPMType value) {
        this.bpm = value;
    }

    /**
     * Gets the value of the meter property.
     * 
     * @return
     *     possible object is
     *     {@link MeterType }
     *     
     */
    public MeterType getMeter() {
        return meter;
    }

    /**
     * Sets the value of the meter property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeterType }
     *     
     */
    public void setMeter(MeterType value) {
        this.meter = value;
    }

}
