
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioVisualSegmentMediaSourceDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioVisualSegmentMediaSourceDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaSourceSegmentDecompositionType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="AudioVisualSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentType"/>
 *         &lt;element name="AudioVisualSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="VideoSegment" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentType"/>
 *         &lt;element name="VideoSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="StillRegion" type="{urn:mpeg:mpeg7:schema:2004}StillRegionType"/>
 *         &lt;element name="StillRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *         &lt;element name="AudioSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioVisualSegmentMediaSourceDecompositionType", propOrder = {
    "audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment"
})
public class AudioVisualSegmentMediaSourceDecompositionType
    extends MediaSourceSegmentDecompositionType
{

    @XmlElementRefs({
        @XmlElementRef(name = "AudioSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "StillRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "StillRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment;

    /**
     * Gets the value of the audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAudioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link AudioSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link VideoSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link StillRegionType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioVisualSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getAudioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment() {
        if (audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment == null) {
            audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment = new ArrayList<JAXBElement<?>>();
        }
        return this.audioVisualSegmentOrAudioVisualSegmentRefOrVideoSegment;
    }

}
