
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AvailabilityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AvailabilityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="InstanceRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="Dissemination" type="{urn:mpeg:mpeg7:schema:2004}DisseminationType" minOccurs="0"/>
 *         &lt;element name="Financial" type="{urn:mpeg:mpeg7:schema:2004}FinancialType" minOccurs="0"/>
 *         &lt;element name="Rights" type="{urn:mpeg:mpeg7:schema:2004}RightsType" minOccurs="0"/>
 *         &lt;element name="AvailabilityPeriod" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TimeType">
 *                 &lt;attribute name="type">
 *                   &lt;simpleType>
 *                     &lt;list>
 *                       &lt;simpleType>
 *                         &lt;union>
 *                           &lt;simpleType>
 *                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                               &lt;enumeration value="live"/>
 *                               &lt;enumeration value="repeat"/>
 *                               &lt;enumeration value="firstShowing"/>
 *                               &lt;enumeration value="lastShowing"/>
 *                               &lt;enumeration value="conditionalAccess"/>
 *                               &lt;enumeration value="encrypted"/>
 *                               &lt;enumeration value="payPerUse"/>
 *                             &lt;/restriction>
 *                           &lt;/simpleType>
 *                           &lt;simpleType>
 *                             &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                             &lt;/restriction>
 *                           &lt;/simpleType>
 *                           &lt;simpleType>
 *                             &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                             &lt;/restriction>
 *                           &lt;/simpleType>
 *                         &lt;/union>
 *                       &lt;/simpleType>
 *                     &lt;/list>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AvailabilityType", propOrder = {
    "instanceRef",
    "dissemination",
    "financial",
    "rights",
    "availabilityPeriod"
})
public class AvailabilityType
    extends DSType
{

    @XmlElement(name = "InstanceRef", required = true)
    protected ReferenceType instanceRef;
    @XmlElement(name = "Dissemination")
    protected DisseminationType dissemination;
    @XmlElement(name = "Financial")
    protected FinancialType financial;
    @XmlElement(name = "Rights")
    protected RightsType rights;
    @XmlElement(name = "AvailabilityPeriod")
    protected List<AvailabilityType.AvailabilityPeriod> availabilityPeriod;

    /**
     * Gets the value of the instanceRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getInstanceRef() {
        return instanceRef;
    }

    /**
     * Sets the value of the instanceRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setInstanceRef(ReferenceType value) {
        this.instanceRef = value;
    }

    /**
     * Gets the value of the dissemination property.
     * 
     * @return
     *     possible object is
     *     {@link DisseminationType }
     *     
     */
    public DisseminationType getDissemination() {
        return dissemination;
    }

    /**
     * Sets the value of the dissemination property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisseminationType }
     *     
     */
    public void setDissemination(DisseminationType value) {
        this.dissemination = value;
    }

    /**
     * Gets the value of the financial property.
     * 
     * @return
     *     possible object is
     *     {@link FinancialType }
     *     
     */
    public FinancialType getFinancial() {
        return financial;
    }

    /**
     * Sets the value of the financial property.
     * 
     * @param value
     *     allowed object is
     *     {@link FinancialType }
     *     
     */
    public void setFinancial(FinancialType value) {
        this.financial = value;
    }

    /**
     * Gets the value of the rights property.
     * 
     * @return
     *     possible object is
     *     {@link RightsType }
     *     
     */
    public RightsType getRights() {
        return rights;
    }

    /**
     * Sets the value of the rights property.
     * 
     * @param value
     *     allowed object is
     *     {@link RightsType }
     *     
     */
    public void setRights(RightsType value) {
        this.rights = value;
    }

    /**
     * Gets the value of the availabilityPeriod property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availabilityPeriod property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailabilityPeriod().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AvailabilityType.AvailabilityPeriod }
     * 
     * 
     */
    public List<AvailabilityType.AvailabilityPeriod> getAvailabilityPeriod() {
        if (availabilityPeriod == null) {
            availabilityPeriod = new ArrayList<AvailabilityType.AvailabilityPeriod>();
        }
        return this.availabilityPeriod;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TimeType">
     *       &lt;attribute name="type">
     *         &lt;simpleType>
     *           &lt;list>
     *             &lt;simpleType>
     *               &lt;union>
     *                 &lt;simpleType>
     *                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                     &lt;enumeration value="live"/>
     *                     &lt;enumeration value="repeat"/>
     *                     &lt;enumeration value="firstShowing"/>
     *                     &lt;enumeration value="lastShowing"/>
     *                     &lt;enumeration value="conditionalAccess"/>
     *                     &lt;enumeration value="encrypted"/>
     *                     &lt;enumeration value="payPerUse"/>
     *                   &lt;/restriction>
     *                 &lt;/simpleType>
     *                 &lt;simpleType>
     *                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
     *                   &lt;/restriction>
     *                 &lt;/simpleType>
     *                 &lt;simpleType>
     *                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
     *                   &lt;/restriction>
     *                 &lt;/simpleType>
     *               &lt;/union>
     *             &lt;/simpleType>
     *           &lt;/list>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class AvailabilityPeriod
        extends TimeType
    {

        @XmlAttribute(name = "type")
        protected List<String> type;

        /**
         * Gets the value of the type property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the type property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getType().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getType() {
            if (type == null) {
                type = new ArrayList<String>();
            }
            return this.type;
        }

    }

}
