
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BinomialDistributionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BinomialDistributionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DiscreteDistributionType">
 *       &lt;sequence>
 *         &lt;element name="SuccessProbability" type="{urn:mpeg:mpeg7:schema:2004}ProbabilityMatrixType"/>
 *         &lt;element name="NumOfTrials" type="{urn:mpeg:mpeg7:schema:2004}IntegerMatrixType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BinomialDistributionType", propOrder = {
    "successProbability",
    "numOfTrials"
})
public class BinomialDistributionType
    extends DiscreteDistributionType
{

    @XmlElement(name = "SuccessProbability", required = true)
    protected ProbabilityMatrixType successProbability;
    @XmlElement(name = "NumOfTrials", required = true)
    protected IntegerMatrixType numOfTrials;

    /**
     * Gets the value of the successProbability property.
     * 
     * @return
     *     possible object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public ProbabilityMatrixType getSuccessProbability() {
        return successProbability;
    }

    /**
     * Sets the value of the successProbability property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public void setSuccessProbability(ProbabilityMatrixType value) {
        this.successProbability = value;
    }

    /**
     * Gets the value of the numOfTrials property.
     * 
     * @return
     *     possible object is
     *     {@link IntegerMatrixType }
     *     
     */
    public IntegerMatrixType getNumOfTrials() {
        return numOfTrials;
    }

    /**
     * Sets the value of the numOfTrials property.
     * 
     * @param value
     *     allowed object is
     *     {@link IntegerMatrixType }
     *     
     */
    public void setNumOfTrials(IntegerMatrixType value) {
        this.numOfTrials = value;
    }

}
