
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ChordBaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ChordBaseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="NoteAdded" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *               &lt;minInclusive value="0"/>
 *               &lt;maxInclusive value="11"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="NoteRemoved" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *               &lt;minInclusive value="0"/>
 *               &lt;maxInclusive value="11"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="RelativeChordNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="Triad" default="major">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="major"/>
 *             &lt;enumeration value="minor"/>
 *             &lt;enumeration value="augmented"/>
 *             &lt;enumeration value="diminished"/>
 *             &lt;enumeration value="sus2"/>
 *             &lt;enumeration value="sus4"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="SeventhChord" default="none">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="none"/>
 *             &lt;enumeration value="major7"/>
 *             &lt;enumeration value="dominant7"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="AlternateBass" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ChordBaseType", propOrder = {
    "noteAdded",
    "noteRemoved"
})
public class ChordBaseType
    extends AudioDType
{

    @XmlElement(name = "NoteAdded")
    protected Integer noteAdded;
    @XmlElement(name = "NoteRemoved")
    protected Integer noteRemoved;
    @XmlAttribute(name = "RelativeChordNumber", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger relativeChordNumber;
    @XmlAttribute(name = "Triad")
    protected String triad;
    @XmlAttribute(name = "SeventhChord")
    protected String seventhChord;
    @XmlAttribute(name = "AlternateBass")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger alternateBass;

    /**
     * Gets the value of the noteAdded property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getNoteAdded() {
        return noteAdded;
    }

    /**
     * Sets the value of the noteAdded property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setNoteAdded(Integer value) {
        this.noteAdded = value;
    }

    /**
     * Gets the value of the noteRemoved property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getNoteRemoved() {
        return noteRemoved;
    }

    /**
     * Sets the value of the noteRemoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setNoteRemoved(Integer value) {
        this.noteRemoved = value;
    }

    /**
     * Gets the value of the relativeChordNumber property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getRelativeChordNumber() {
        return relativeChordNumber;
    }

    /**
     * Sets the value of the relativeChordNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setRelativeChordNumber(BigInteger value) {
        this.relativeChordNumber = value;
    }

    /**
     * Gets the value of the triad property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTriad() {
        if (triad == null) {
            return "major";
        } else {
            return triad;
        }
    }

    /**
     * Sets the value of the triad property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTriad(String value) {
        this.triad = value;
    }

    /**
     * Gets the value of the seventhChord property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSeventhChord() {
        if (seventhChord == null) {
            return "none";
        } else {
            return seventhChord;
        }
    }

    /**
     * Sets the value of the seventhChord property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSeventhChord(String value) {
        this.seventhChord = value;
    }

    /**
     * Gets the value of the alternateBass property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAlternateBass() {
        return alternateBass;
    }

    /**
     * Sets the value of the alternateBass property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAlternateBass(BigInteger value) {
        this.alternateBass = value;
    }

}
