
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ClusterModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClusterModelType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AnalyticModelType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Collection" type="{urn:mpeg:mpeg7:schema:2004}CollectionType"/>
 *           &lt;element name="CollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="ClusterModel" type="{urn:mpeg:mpeg7:schema:2004}ClusterModelType"/>
 *           &lt;element name="ClusterModelRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;sequence minOccurs="0">
 *           &lt;element name="DescriptorModel" type="{urn:mpeg:mpeg7:schema:2004}DescriptorModelType"/>
 *           &lt;element name="ProbabilityModel" type="{urn:mpeg:mpeg7:schema:2004}ProbabilityModelType"/>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClusterModelType", propOrder = {
    "collectionOrCollectionRef",
    "clusterModelOrClusterModelRef",
    "descriptorModel",
    "probabilityModel"
})
public class ClusterModelType
    extends AnalyticModelType
{

    @XmlElements({
        @XmlElement(name = "CollectionRef", type = ReferenceType.class),
        @XmlElement(name = "Collection", type = CollectionType.class)
    })
    protected List<Object> collectionOrCollectionRef;
    @XmlElements({
        @XmlElement(name = "ClusterModelRef", type = ReferenceType.class),
        @XmlElement(name = "ClusterModel", type = ClusterModelType.class)
    })
    protected List<Object> clusterModelOrClusterModelRef;
    @XmlElement(name = "DescriptorModel")
    protected DescriptorModelType descriptorModel;
    @XmlElement(name = "ProbabilityModel")
    protected ProbabilityModelType probabilityModel;

    /**
     * Gets the value of the collectionOrCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the collectionOrCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCollectionOrCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link CollectionType }
     * 
     * 
     */
    public List<Object> getCollectionOrCollectionRef() {
        if (collectionOrCollectionRef == null) {
            collectionOrCollectionRef = new ArrayList<Object>();
        }
        return this.collectionOrCollectionRef;
    }

    /**
     * Gets the value of the clusterModelOrClusterModelRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the clusterModelOrClusterModelRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClusterModelOrClusterModelRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link ClusterModelType }
     * 
     * 
     */
    public List<Object> getClusterModelOrClusterModelRef() {
        if (clusterModelOrClusterModelRef == null) {
            clusterModelOrClusterModelRef = new ArrayList<Object>();
        }
        return this.clusterModelOrClusterModelRef;
    }

    /**
     * Gets the value of the descriptorModel property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptorModelType }
     *     
     */
    public DescriptorModelType getDescriptorModel() {
        return descriptorModel;
    }

    /**
     * Sets the value of the descriptorModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptorModelType }
     *     
     */
    public void setDescriptorModel(DescriptorModelType value) {
        this.descriptorModel = value;
    }

    /**
     * Gets the value of the probabilityModel property.
     * 
     * @return
     *     possible object is
     *     {@link ProbabilityModelType }
     *     
     */
    public ProbabilityModelType getProbabilityModel() {
        return probabilityModel;
    }

    /**
     * Sets the value of the probabilityModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbabilityModelType }
     *     
     */
    public void setProbabilityModel(ProbabilityModelType value) {
        this.probabilityModel = value;
    }

}
