
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CompleteDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CompleteDescriptionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DescriptionMetadata" type="{urn:mpeg:mpeg7:schema:2004}DescriptionMetadataType" minOccurs="0"/>
 *         &lt;element name="Relationships" type="{urn:mpeg:mpeg7:schema:2004}GraphType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OrderingKey" type="{urn:mpeg:mpeg7:schema:2004}OrderingKeyType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CompleteDescriptionType", propOrder = {
    "descriptionMetadata",
    "relationships",
    "orderingKey"
})
@XmlSeeAlso({
    ContentManagementType.class,
    ContentDescriptionType.class
})
public abstract class CompleteDescriptionType {

    @XmlElement(name = "DescriptionMetadata")
    protected DescriptionMetadataType descriptionMetadata;
    @XmlElement(name = "Relationships")
    protected List<GraphType> relationships;
    @XmlElement(name = "OrderingKey")
    protected List<OrderingKeyType> orderingKey;

    /**
     * Gets the value of the descriptionMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public DescriptionMetadataType getDescriptionMetadata() {
        return descriptionMetadata;
    }

    /**
     * Sets the value of the descriptionMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public void setDescriptionMetadata(DescriptionMetadataType value) {
        this.descriptionMetadata = value;
    }

    /**
     * Gets the value of the relationships property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the relationships property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRelationships().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GraphType }
     * 
     * 
     */
    public List<GraphType> getRelationships() {
        if (relationships == null) {
            relationships = new ArrayList<GraphType>();
        }
        return this.relationships;
    }

    /**
     * Gets the value of the orderingKey property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the orderingKey property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOrderingKey().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrderingKeyType }
     * 
     * 
     */
    public List<OrderingKeyType> getOrderingKey() {
        if (orderingKey == null) {
            orderingKey = new ArrayList<OrderingKeyType>();
        }
        return this.orderingKey;
    }

}
