
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ConfusionCountType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConfusionCountType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}HeaderType">
 *       &lt;sequence>
 *         &lt;element name="Insertion" type="{urn:mpeg:mpeg7:schema:2004}integerVector"/>
 *         &lt;element name="Deletion" type="{urn:mpeg:mpeg7:schema:2004}integerVector"/>
 *         &lt;element name="Substitution" type="{urn:mpeg:mpeg7:schema:2004}IntegerMatrixType"/>
 *       &lt;/sequence>
 *       &lt;attribute name="numOfDimensions" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConfusionCountType", propOrder = {
    "insertion",
    "deletion",
    "substitution"
})
public class ConfusionCountType
    extends HeaderType
{

    @XmlList
    @XmlElement(name = "Insertion", required = true)
    protected List<BigInteger> insertion;
    @XmlList
    @XmlElement(name = "Deletion", required = true)
    protected List<BigInteger> deletion;
    @XmlElement(name = "Substitution", required = true)
    protected IntegerMatrixType substitution;
    @XmlAttribute(name = "numOfDimensions", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger numOfDimensions;

    /**
     * Gets the value of the insertion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the insertion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInsertion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getInsertion() {
        if (insertion == null) {
            insertion = new ArrayList<BigInteger>();
        }
        return this.insertion;
    }

    /**
     * Gets the value of the deletion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deletion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeletion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getDeletion() {
        if (deletion == null) {
            deletion = new ArrayList<BigInteger>();
        }
        return this.deletion;
    }

    /**
     * Gets the value of the substitution property.
     * 
     * @return
     *     possible object is
     *     {@link IntegerMatrixType }
     *     
     */
    public IntegerMatrixType getSubstitution() {
        return substitution;
    }

    /**
     * Sets the value of the substitution property.
     * 
     * @param value
     *     allowed object is
     *     {@link IntegerMatrixType }
     *     
     */
    public void setSubstitution(IntegerMatrixType value) {
        this.substitution = value;
    }

    /**
     * Gets the value of the numOfDimensions property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumOfDimensions() {
        return numOfDimensions;
    }

    /**
     * Sets the value of the numOfDimensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumOfDimensions(BigInteger value) {
        this.numOfDimensions = value;
    }

}
