
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ConnectionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConnectionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Affiliation" type="{urn:mpeg:mpeg7:schema:2004}AffiliationType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Acquaintance" type="{urn:mpeg:mpeg7:schema:2004}AcquaintanceType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConnectionsType", propOrder = {
    "affiliation",
    "acquaintance"
})
public class ConnectionsType {

    @XmlElement(name = "Affiliation")
    protected List<AffiliationType> affiliation;
    @XmlElement(name = "Acquaintance")
    protected List<AcquaintanceType> acquaintance;

    /**
     * Gets the value of the affiliation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the affiliation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAffiliation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AffiliationType }
     * 
     * 
     */
    public List<AffiliationType> getAffiliation() {
        if (affiliation == null) {
            affiliation = new ArrayList<AffiliationType>();
        }
        return this.affiliation;
    }

    /**
     * Gets the value of the acquaintance property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the acquaintance property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAcquaintance().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AcquaintanceType }
     * 
     * 
     */
    public List<AcquaintanceType> getAcquaintance() {
        if (acquaintance == null) {
            acquaintance = new ArrayList<AcquaintanceType>();
        }
        return this.acquaintance;
    }

}
