
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ContentCollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContentCollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}CollectionType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="VisualFeature" type="{urn:mpeg:mpeg7:schema:2004}VisualDType"/>
 *           &lt;element name="GofGopFeature" type="{urn:mpeg:mpeg7:schema:2004}GofGopFeatureType"/>
 *           &lt;element name="AudioFeature" type="{urn:mpeg:mpeg7:schema:2004}AudioDType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Content" type="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType"/>
 *           &lt;element name="ContentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="ContentCollection" type="{urn:mpeg:mpeg7:schema:2004}ContentCollectionType"/>
 *           &lt;element name="ContentCollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContentCollectionType", propOrder = {
    "visualFeatureOrGofGopFeatureOrAudioFeature",
    "contentOrContentRef",
    "contentCollectionOrContentCollectionRef"
})
public class ContentCollectionType
    extends CollectionType
{

    @XmlElements({
        @XmlElement(name = "GofGopFeature", type = GofGopFeatureType.class),
        @XmlElement(name = "AudioFeature", type = AudioDType.class),
        @XmlElement(name = "VisualFeature", type = VisualDType.class)
    })
    protected List<Object> visualFeatureOrGofGopFeatureOrAudioFeature;
    @XmlElements({
        @XmlElement(name = "Content", type = MultimediaContentType.class),
        @XmlElement(name = "ContentRef", type = ReferenceType.class)
    })
    protected List<Object> contentOrContentRef;
    @XmlElements({
        @XmlElement(name = "ContentCollectionRef", type = ReferenceType.class),
        @XmlElement(name = "ContentCollection", type = ContentCollectionType.class)
    })
    protected List<Object> contentCollectionOrContentCollectionRef;

    /**
     * Gets the value of the visualFeatureOrGofGopFeatureOrAudioFeature property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the visualFeatureOrGofGopFeatureOrAudioFeature property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVisualFeatureOrGofGopFeatureOrAudioFeature().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GofGopFeatureType }
     * {@link AudioDType }
     * {@link VisualDType }
     * 
     * 
     */
    public List<Object> getVisualFeatureOrGofGopFeatureOrAudioFeature() {
        if (visualFeatureOrGofGopFeatureOrAudioFeature == null) {
            visualFeatureOrGofGopFeatureOrAudioFeature = new ArrayList<Object>();
        }
        return this.visualFeatureOrGofGopFeatureOrAudioFeature;
    }

    /**
     * Gets the value of the contentOrContentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contentOrContentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContentOrContentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MultimediaContentType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getContentOrContentRef() {
        if (contentOrContentRef == null) {
            contentOrContentRef = new ArrayList<Object>();
        }
        return this.contentOrContentRef;
    }

    /**
     * Gets the value of the contentCollectionOrContentCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contentCollectionOrContentCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContentCollectionOrContentCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link ContentCollectionType }
     * 
     * 
     */
    public List<Object> getContentCollectionOrContentCollectionRef() {
        if (contentCollectionOrContentCollectionRef == null) {
            contentCollectionOrContentCollectionRef = new ArrayList<Object>();
        }
        return this.contentCollectionOrContentCollectionRef;
    }

}
