
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CreationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CreationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Title" type="{urn:mpeg:mpeg7:schema:2004}TitleType" maxOccurs="unbounded"/>
 *         &lt;element name="TitleMedia" type="{urn:mpeg:mpeg7:schema:2004}TitleMediaType" minOccurs="0"/>
 *         &lt;element name="Abstract" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Creator" type="{urn:mpeg:mpeg7:schema:2004}CreatorType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="CreationCoordinates" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Location" type="{urn:mpeg:mpeg7:schema:2004}PlaceType" minOccurs="0"/>
 *                   &lt;element name="Date" type="{urn:mpeg:mpeg7:schema:2004}TimeType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CreationTool" type="{urn:mpeg:mpeg7:schema:2004}CreationToolType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="CopyrightString" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreationType", propOrder = {
    "title",
    "titleMedia",
    "_abstract",
    "creator",
    "creationCoordinates",
    "creationTool",
    "copyrightString"
})
public class CreationType
    extends DSType
{

    @XmlElement(name = "Title", required = true)
    protected List<TitleType> title;
    @XmlElement(name = "TitleMedia")
    protected TitleMediaType titleMedia;
    @XmlElement(name = "Abstract")
    protected List<TextAnnotationType> _abstract;
    @XmlElement(name = "Creator")
    protected List<CreatorType> creator;
    @XmlElement(name = "CreationCoordinates")
    protected List<CreationType.CreationCoordinates> creationCoordinates;
    @XmlElement(name = "CreationTool")
    protected List<CreationToolType> creationTool;
    @XmlElement(name = "CopyrightString")
    protected List<TextualType> copyrightString;

    /**
     * Gets the value of the title property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the title property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTitle().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TitleType }
     * 
     * 
     */
    public List<TitleType> getTitle() {
        if (title == null) {
            title = new ArrayList<TitleType>();
        }
        return this.title;
    }

    /**
     * Gets the value of the titleMedia property.
     * 
     * @return
     *     possible object is
     *     {@link TitleMediaType }
     *     
     */
    public TitleMediaType getTitleMedia() {
        return titleMedia;
    }

    /**
     * Sets the value of the titleMedia property.
     * 
     * @param value
     *     allowed object is
     *     {@link TitleMediaType }
     *     
     */
    public void setTitleMedia(TitleMediaType value) {
        this.titleMedia = value;
    }

    /**
     * Gets the value of the abstract property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the abstract property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAbstract().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextAnnotationType }
     * 
     * 
     */
    public List<TextAnnotationType> getAbstract() {
        if (_abstract == null) {
            _abstract = new ArrayList<TextAnnotationType>();
        }
        return this._abstract;
    }

    /**
     * Gets the value of the creator property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the creator property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCreator().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CreatorType }
     * 
     * 
     */
    public List<CreatorType> getCreator() {
        if (creator == null) {
            creator = new ArrayList<CreatorType>();
        }
        return this.creator;
    }

    /**
     * Gets the value of the creationCoordinates property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the creationCoordinates property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCreationCoordinates().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CreationType.CreationCoordinates }
     * 
     * 
     */
    public List<CreationType.CreationCoordinates> getCreationCoordinates() {
        if (creationCoordinates == null) {
            creationCoordinates = new ArrayList<CreationType.CreationCoordinates>();
        }
        return this.creationCoordinates;
    }

    /**
     * Gets the value of the creationTool property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the creationTool property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCreationTool().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CreationToolType }
     * 
     * 
     */
    public List<CreationToolType> getCreationTool() {
        if (creationTool == null) {
            creationTool = new ArrayList<CreationToolType>();
        }
        return this.creationTool;
    }

    /**
     * Gets the value of the copyrightString property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the copyrightString property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCopyrightString().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getCopyrightString() {
        if (copyrightString == null) {
            copyrightString = new ArrayList<TextualType>();
        }
        return this.copyrightString;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Location" type="{urn:mpeg:mpeg7:schema:2004}PlaceType" minOccurs="0"/>
     *         &lt;element name="Date" type="{urn:mpeg:mpeg7:schema:2004}TimeType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "location",
        "date"
    })
    public static class CreationCoordinates {

        @XmlElement(name = "Location")
        protected PlaceType location;
        @XmlElement(name = "Date")
        protected TimeType date;

        /**
         * Gets the value of the location property.
         * 
         * @return
         *     possible object is
         *     {@link PlaceType }
         *     
         */
        public PlaceType getLocation() {
            return location;
        }

        /**
         * Sets the value of the location property.
         * 
         * @param value
         *     allowed object is
         *     {@link PlaceType }
         *     
         */
        public void setLocation(PlaceType value) {
            this.location = value;
        }

        /**
         * Gets the value of the date property.
         * 
         * @return
         *     possible object is
         *     {@link TimeType }
         *     
         */
        public TimeType getDate() {
            return date;
        }

        /**
         * Sets the value of the date property.
         * 
         * @param value
         *     allowed object is
         *     {@link TimeType }
         *     
         */
        public void setDate(TimeType value) {
            this.date = value;
        }

    }

}
