
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for degreeAccidentalType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="degreeAccidentalType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="flat"/>
 *     &lt;enumeration value="natural"/>
 *     &lt;enumeration value="sharp"/>
 *     &lt;enumeration value="doubleSharp"/>
 *     &lt;enumeration value="doubleFlat"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "degreeAccidentalType")
@XmlEnum
public enum DegreeAccidentalType {

    @XmlEnumValue("flat")
    FLAT("flat"),
    @XmlEnumValue("natural")
    NATURAL("natural"),
    @XmlEnumValue("sharp")
    SHARP("sharp"),
    @XmlEnumValue("doubleSharp")
    DOUBLE_SHARP("doubleSharp"),
    @XmlEnumValue("doubleFlat")
    DOUBLE_FLAT("doubleFlat");
    private final String value;

    DegreeAccidentalType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DegreeAccidentalType fromValue(String v) {
        for (DegreeAccidentalType c: DegreeAccidentalType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
