
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DisseminationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DisseminationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Source" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
 *         &lt;element name="Format" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="Disseminator" type="{urn:mpeg:mpeg7:schema:2004}MediaAgentType" minOccurs="0"/>
 *         &lt;element name="Location" type="{urn:mpeg:mpeg7:schema:2004}PlaceType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DisseminationType", propOrder = {
    "source",
    "format",
    "disseminator",
    "location"
})
public class DisseminationType
    extends DSType
{

    @XmlElement(name = "Source")
    protected TextualType source;
    @XmlElement(name = "Format")
    protected ControlledTermUseType format;
    @XmlElement(name = "Disseminator")
    protected MediaAgentType disseminator;
    @XmlElement(name = "Location")
    protected PlaceType location;

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link TextualType }
     *     
     */
    public TextualType getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextualType }
     *     
     */
    public void setSource(TextualType value) {
        this.source = value;
    }

    /**
     * Gets the value of the format property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getFormat() {
        return format;
    }

    /**
     * Sets the value of the format property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setFormat(ControlledTermUseType value) {
        this.format = value;
    }

    /**
     * Gets the value of the disseminator property.
     * 
     * @return
     *     possible object is
     *     {@link MediaAgentType }
     *     
     */
    public MediaAgentType getDisseminator() {
        return disseminator;
    }

    /**
     * Sets the value of the disseminator property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaAgentType }
     *     
     */
    public void setDisseminator(MediaAgentType value) {
        this.disseminator = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType }
     *     
     */
    public PlaceType getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType }
     *     
     */
    public void setLocation(PlaceType value) {
        this.location = value;
    }

}
