
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DominantColorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DominantColorType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="ColorSpace" type="{urn:mpeg:mpeg7:schema:2004}ColorSpaceType" minOccurs="0"/>
 *         &lt;element name="ColorQuantization" type="{urn:mpeg:mpeg7:schema:2004}ColorQuantizationType" minOccurs="0"/>
 *         &lt;element name="SpatialCoherency" type="{urn:mpeg:mpeg7:schema:2004}unsigned5"/>
 *         &lt;element name="Value" maxOccurs="8">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Percentage" type="{urn:mpeg:mpeg7:schema:2004}unsigned5"/>
 *                   &lt;element name="Index">
 *                     &lt;simpleType>
 *                       &lt;restriction>
 *                         &lt;simpleType>
 *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned12" />
 *                         &lt;/simpleType>
 *                         &lt;length value="3"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="ColorVariance" minOccurs="0">
 *                     &lt;simpleType>
 *                       &lt;restriction>
 *                         &lt;simpleType>
 *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
 *                         &lt;/simpleType>
 *                         &lt;length value="3"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DominantColorType", propOrder = {
    "colorSpace",
    "colorQuantization",
    "spatialCoherency",
    "value"
})
public class DominantColorType
    extends VisualDType
{

    @XmlElement(name = "ColorSpace")
    protected ColorSpaceType colorSpace;
    @XmlElement(name = "ColorQuantization")
    protected ColorQuantizationType colorQuantization;
    @XmlElement(name = "SpatialCoherency")
    protected int spatialCoherency;
    @XmlElement(name = "Value", required = true)
    protected List<DominantColorType.Value> value;

    /**
     * Gets the value of the colorSpace property.
     * 
     * @return
     *     possible object is
     *     {@link ColorSpaceType }
     *     
     */
    public ColorSpaceType getColorSpace() {
        return colorSpace;
    }

    /**
     * Sets the value of the colorSpace property.
     * 
     * @param value
     *     allowed object is
     *     {@link ColorSpaceType }
     *     
     */
    public void setColorSpace(ColorSpaceType value) {
        this.colorSpace = value;
    }

    /**
     * Gets the value of the colorQuantization property.
     * 
     * @return
     *     possible object is
     *     {@link ColorQuantizationType }
     *     
     */
    public ColorQuantizationType getColorQuantization() {
        return colorQuantization;
    }

    /**
     * Sets the value of the colorQuantization property.
     * 
     * @param value
     *     allowed object is
     *     {@link ColorQuantizationType }
     *     
     */
    public void setColorQuantization(ColorQuantizationType value) {
        this.colorQuantization = value;
    }

    /**
     * Gets the value of the spatialCoherency property.
     * 
     */
    public int getSpatialCoherency() {
        return spatialCoherency;
    }

    /**
     * Sets the value of the spatialCoherency property.
     * 
     */
    public void setSpatialCoherency(int value) {
        this.spatialCoherency = value;
    }

    /**
     * Gets the value of the value property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the value property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getValue().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DominantColorType.Value }
     * 
     * 
     */
    public List<DominantColorType.Value> getValue() {
        if (value == null) {
            value = new ArrayList<DominantColorType.Value>();
        }
        return this.value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Percentage" type="{urn:mpeg:mpeg7:schema:2004}unsigned5"/>
     *         &lt;element name="Index">
     *           &lt;simpleType>
     *             &lt;restriction>
     *               &lt;simpleType>
     *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned12" />
     *               &lt;/simpleType>
     *               &lt;length value="3"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="ColorVariance" minOccurs="0">
     *           &lt;simpleType>
     *             &lt;restriction>
     *               &lt;simpleType>
     *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
     *               &lt;/simpleType>
     *               &lt;length value="3"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "percentage",
        "index",
        "colorVariance"
    })
    public static class Value {

        @XmlElement(name = "Percentage")
        protected int percentage;
        @XmlList
        @XmlElement(name = "Index", type = Integer.class)
        protected List<Integer> index;
        @XmlList
        @XmlElement(name = "ColorVariance", type = Integer.class)
        protected List<Integer> colorVariance;

        /**
         * Gets the value of the percentage property.
         * 
         */
        public int getPercentage() {
            return percentage;
        }

        /**
         * Sets the value of the percentage property.
         * 
         */
        public void setPercentage(int value) {
            this.percentage = value;
        }

        /**
         * Gets the value of the index property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the index property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getIndex().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Integer }
         * 
         * 
         */
        public List<Integer> getIndex() {
            if (index == null) {
                index = new ArrayList<Integer>();
            }
            return this.index;
        }

        /**
         * Gets the value of the colorVariance property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the colorVariance property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getColorVariance().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Integer }
         * 
         * 
         */
        public List<Integer> getColorVariance() {
            if (colorVariance == null) {
                colorVariance = new ArrayList<Integer>();
            }
            return this.colorVariance;
        }

    }

}
