
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ErrorEventType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ErrorEventType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="ErrorClass" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;element name="ChannelNo" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
 *         &lt;element name="TimeStamp" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *         &lt;element name="Relevance" type="{urn:mpeg:mpeg7:schema:2004}unsigned4"/>
 *         &lt;element name="DetectionProcess">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="manual"/>
 *               &lt;enumeration value="automatic"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Status">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="undefined"/>
 *               &lt;enumeration value="checked"/>
 *               &lt;enumeration value="needs restoration"/>
 *               &lt;enumeration value="restored"/>
 *               &lt;enumeration value="deleted"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Comment" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ErrorEventType", propOrder = {
    "errorClass",
    "channelNo",
    "timeStamp",
    "relevance",
    "detectionProcess",
    "status",
    "comment"
})
public class ErrorEventType
    extends AudioDSType
{

    @XmlElement(name = "ErrorClass", required = true)
    protected ControlledTermUseType errorClass;
    @XmlElement(name = "ChannelNo", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger channelNo;
    @XmlElement(name = "TimeStamp", required = true)
    protected MediaTimeType timeStamp;
    @XmlElement(name = "Relevance")
    protected int relevance;
    @XmlElement(name = "DetectionProcess", required = true)
    protected String detectionProcess;
    @XmlElement(name = "Status", required = true)
    protected String status;
    @XmlElement(name = "Comment", required = true)
    protected TextAnnotationType comment;

    /**
     * Gets the value of the errorClass property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getErrorClass() {
        return errorClass;
    }

    /**
     * Sets the value of the errorClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setErrorClass(ControlledTermUseType value) {
        this.errorClass = value;
    }

    /**
     * Gets the value of the channelNo property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getChannelNo() {
        return channelNo;
    }

    /**
     * Sets the value of the channelNo property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setChannelNo(BigInteger value) {
        this.channelNo = value;
    }

    /**
     * Gets the value of the timeStamp property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getTimeStamp() {
        return timeStamp;
    }

    /**
     * Sets the value of the timeStamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setTimeStamp(MediaTimeType value) {
        this.timeStamp = value;
    }

    /**
     * Gets the value of the relevance property.
     * 
     */
    public int getRelevance() {
        return relevance;
    }

    /**
     * Sets the value of the relevance property.
     * 
     */
    public void setRelevance(int value) {
        this.relevance = value;
    }

    /**
     * Gets the value of the detectionProcess property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDetectionProcess() {
        return detectionProcess;
    }

    /**
     * Sets the value of the detectionProcess property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDetectionProcess(String value) {
        this.detectionProcess = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the comment property.
     * 
     * @return
     *     possible object is
     *     {@link TextAnnotationType }
     *     
     */
    public TextAnnotationType getComment() {
        return comment;
    }

    /**
     * Sets the value of the comment property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextAnnotationType }
     *     
     */
    public void setComment(TextAnnotationType value) {
        this.comment = value;
    }

}
