
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FilteringAndSearchPreferencesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FilteringAndSearchPreferencesType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="CreationPreferences" type="{urn:mpeg:mpeg7:schema:2004}CreationPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ClassificationPreferences" type="{urn:mpeg:mpeg7:schema:2004}ClassificationPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SourcePreferences" type="{urn:mpeg:mpeg7:schema:2004}SourcePreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PreferenceCondition" type="{urn:mpeg:mpeg7:schema:2004}PreferenceConditionType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="FilteringAndSearchPreferences" type="{urn:mpeg:mpeg7:schema:2004}FilteringAndSearchPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="protected" type="{urn:mpeg:mpeg7:schema:2004}userChoiceType" default="true" />
 *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FilteringAndSearchPreferencesType", propOrder = {
    "creationPreferences",
    "classificationPreferences",
    "sourcePreferences",
    "preferenceCondition",
    "filteringAndSearchPreferences"
})
public class FilteringAndSearchPreferencesType
    extends DSType
{

    @XmlElement(name = "CreationPreferences")
    protected List<CreationPreferencesType> creationPreferences;
    @XmlElement(name = "ClassificationPreferences")
    protected List<ClassificationPreferencesType> classificationPreferences;
    @XmlElement(name = "SourcePreferences")
    protected List<SourcePreferencesType> sourcePreferences;
    @XmlElement(name = "PreferenceCondition")
    protected List<PreferenceConditionType> preferenceCondition;
    @XmlElement(name = "FilteringAndSearchPreferences")
    protected List<FilteringAndSearchPreferencesType> filteringAndSearchPreferences;
    @XmlAttribute(name = "protected")
    protected UserChoiceType _protected;
    @XmlAttribute(name = "preferenceValue")
    protected Integer preferenceValue;

    /**
     * Gets the value of the creationPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the creationPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCreationPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CreationPreferencesType }
     * 
     * 
     */
    public List<CreationPreferencesType> getCreationPreferences() {
        if (creationPreferences == null) {
            creationPreferences = new ArrayList<CreationPreferencesType>();
        }
        return this.creationPreferences;
    }

    /**
     * Gets the value of the classificationPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the classificationPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClassificationPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ClassificationPreferencesType }
     * 
     * 
     */
    public List<ClassificationPreferencesType> getClassificationPreferences() {
        if (classificationPreferences == null) {
            classificationPreferences = new ArrayList<ClassificationPreferencesType>();
        }
        return this.classificationPreferences;
    }

    /**
     * Gets the value of the sourcePreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sourcePreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSourcePreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType }
     * 
     * 
     */
    public List<SourcePreferencesType> getSourcePreferences() {
        if (sourcePreferences == null) {
            sourcePreferences = new ArrayList<SourcePreferencesType>();
        }
        return this.sourcePreferences;
    }

    /**
     * Gets the value of the preferenceCondition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the preferenceCondition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPreferenceCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PreferenceConditionType }
     * 
     * 
     */
    public List<PreferenceConditionType> getPreferenceCondition() {
        if (preferenceCondition == null) {
            preferenceCondition = new ArrayList<PreferenceConditionType>();
        }
        return this.preferenceCondition;
    }

    /**
     * Gets the value of the filteringAndSearchPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the filteringAndSearchPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFilteringAndSearchPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FilteringAndSearchPreferencesType }
     * 
     * 
     */
    public List<FilteringAndSearchPreferencesType> getFilteringAndSearchPreferences() {
        if (filteringAndSearchPreferences == null) {
            filteringAndSearchPreferences = new ArrayList<FilteringAndSearchPreferencesType>();
        }
        return this.filteringAndSearchPreferences;
    }

    /**
     * Gets the value of the protected property.
     * 
     * @return
     *     possible object is
     *     {@link UserChoiceType }
     *     
     */
    public UserChoiceType getProtected() {
        if (_protected == null) {
            return UserChoiceType.TRUE;
        } else {
            return _protected;
        }
    }

    /**
     * Sets the value of the protected property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserChoiceType }
     *     
     */
    public void setProtected(UserChoiceType value) {
        this._protected = value;
    }

    /**
     * Gets the value of the preferenceValue property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public int getPreferenceValue() {
        if (preferenceValue == null) {
            return  10;
        } else {
            return preferenceValue;
        }
    }

    /**
     * Sets the value of the preferenceValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPreferenceValue(Integer value) {
        this.preferenceValue = value;
    }

}
