
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FiniteStateModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FiniteStateModelType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ProbabilityModelType">
 *       &lt;attribute name="numOfStates" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FiniteStateModelType")
@XmlSeeAlso({
    StateTransitionModelType.class
})
public abstract class FiniteStateModelType
    extends ProbabilityModelType
{

    @XmlAttribute(name = "numOfStates", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger numOfStates;

    /**
     * Gets the value of the numOfStates property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumOfStates() {
        return numOfStates;
    }

    /**
     * Sets the value of the numOfStates property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumOfStates(BigInteger value) {
        this.numOfStates = value;
    }

}
