
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FrequencyViewType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FrequencyViewType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ViewType">
 *       &lt;sequence>
 *         &lt;element name="FrequencyPartition" type="{urn:mpeg:mpeg7:schema:2004}PartitionType"/>
 *         &lt;element name="Filtering" type="{urn:mpeg:mpeg7:schema:2004}FilteringType" minOccurs="0"/>
 *         &lt;element name="DownSamplingFactor" type="{urn:mpeg:mpeg7:schema:2004}SignalPlaneSampleType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FrequencyViewType", propOrder = {
    "frequencyPartition",
    "filtering",
    "downSamplingFactor"
})
public class FrequencyViewType
    extends ViewType
{

    @XmlElement(name = "FrequencyPartition", required = true)
    protected PartitionType frequencyPartition;
    @XmlElement(name = "Filtering")
    protected FilteringType filtering;
    @XmlElement(name = "DownSamplingFactor")
    protected SignalPlaneSampleType downSamplingFactor;

    /**
     * Gets the value of the frequencyPartition property.
     * 
     * @return
     *     possible object is
     *     {@link PartitionType }
     *     
     */
    public PartitionType getFrequencyPartition() {
        return frequencyPartition;
    }

    /**
     * Sets the value of the frequencyPartition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PartitionType }
     *     
     */
    public void setFrequencyPartition(PartitionType value) {
        this.frequencyPartition = value;
    }

    /**
     * Gets the value of the filtering property.
     * 
     * @return
     *     possible object is
     *     {@link FilteringType }
     *     
     */
    public FilteringType getFiltering() {
        return filtering;
    }

    /**
     * Sets the value of the filtering property.
     * 
     * @param value
     *     allowed object is
     *     {@link FilteringType }
     *     
     */
    public void setFiltering(FilteringType value) {
        this.filtering = value;
    }

    /**
     * Gets the value of the downSamplingFactor property.
     * 
     * @return
     *     possible object is
     *     {@link SignalPlaneSampleType }
     *     
     */
    public SignalPlaneSampleType getDownSamplingFactor() {
        return downSamplingFactor;
    }

    /**
     * Sets the value of the downSamplingFactor property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignalPlaneSampleType }
     *     
     */
    public void setDownSamplingFactor(SignalPlaneSampleType value) {
        this.downSamplingFactor = value;
    }

}
