
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GaussianMixtureModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GaussianMixtureModelType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContinuousDistributionType">
 *       &lt;sequence maxOccurs="unbounded">
 *         &lt;element name="Weight" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal"/>
 *         &lt;element name="GaussianDistribution" type="{urn:mpeg:mpeg7:schema:2004}GaussianDistributionType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GaussianMixtureModelType", propOrder = {
    "weightAndGaussianDistribution"
})
public class GaussianMixtureModelType
    extends ContinuousDistributionType
{

    @XmlElements({
        @XmlElement(name = "Weight", required = true, type = Double.class),
        @XmlElement(name = "GaussianDistribution", required = true, type = GaussianDistributionType.class)
    })
    protected List<Object> weightAndGaussianDistribution;

    /**
     * Gets the value of the weightAndGaussianDistribution property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the weightAndGaussianDistribution property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWeightAndGaussianDistribution().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Double }
     * {@link GaussianDistributionType }
     * 
     * 
     */
    public List<Object> getWeightAndGaussianDistribution() {
        if (weightAndGaussianDistribution == null) {
            weightAndGaussianDistribution = new ArrayList<Object>();
        }
        return this.weightAndGaussianDistribution;
    }

}
