
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GraphicalRuleDefinitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GraphicalRuleDefinitionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="TemplateGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GraphicalRuleDefinitionType", propOrder = {
    "templateGraph"
})
@XmlSeeAlso({
    PullbackDefinitionType.class,
    DoublePullbackDefinitionType.class,
    PushoutDefinitionType.class,
    DoublePushoutDefinitionType.class
})
public abstract class GraphicalRuleDefinitionType
    extends DSType
{

    @XmlElement(name = "TemplateGraph")
    protected GraphType templateGraph;

    /**
     * Gets the value of the templateGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getTemplateGraph() {
        return templateGraph;
    }

    /**
     * Sets the value of the templateGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setTemplateGraph(GraphType value) {
        this.templateGraph = value;
    }

}
