
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GraphicalTermDefinitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GraphicalTermDefinitionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermDefinitionBaseType">
 *       &lt;choice>
 *         &lt;element name="TemplateGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType"/>
 *         &lt;element name="AlphabetGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType"/>
 *         &lt;element name="ProductionRule" type="{urn:mpeg:mpeg7:schema:2004}GraphicalRuleDefinitionType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GraphicalTermDefinitionType", propOrder = {
    "templateGraph",
    "alphabetGraph",
    "productionRule"
})
public class GraphicalTermDefinitionType
    extends TermDefinitionBaseType
{

    @XmlElement(name = "TemplateGraph")
    protected GraphType templateGraph;
    @XmlElement(name = "AlphabetGraph")
    protected GraphType alphabetGraph;
    @XmlElement(name = "ProductionRule")
    protected GraphicalRuleDefinitionType productionRule;

    /**
     * Gets the value of the templateGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getTemplateGraph() {
        return templateGraph;
    }

    /**
     * Sets the value of the templateGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setTemplateGraph(GraphType value) {
        this.templateGraph = value;
    }

    /**
     * Gets the value of the alphabetGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getAlphabetGraph() {
        return alphabetGraph;
    }

    /**
     * Sets the value of the alphabetGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setAlphabetGraph(GraphType value) {
        this.alphabetGraph = value;
    }

    /**
     * Gets the value of the productionRule property.
     * 
     * @return
     *     possible object is
     *     {@link GraphicalRuleDefinitionType }
     *     
     */
    public GraphicalRuleDefinitionType getProductionRule() {
        return productionRule;
    }

    /**
     * Sets the value of the productionRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphicalRuleDefinitionType }
     *     
     */
    public void setProductionRule(GraphicalRuleDefinitionType value) {
        this.productionRule = value;
    }

}
