
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GridLayoutType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GridLayoutType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Descriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualDType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="numOfPartX" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned8" />
 *       &lt;attribute name="numOfPartY" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned8" />
 *       &lt;attribute name="descriptorMask">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;pattern value="(0|1)*"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GridLayoutType", propOrder = {
    "descriptor"
})
public class GridLayoutType {

    @XmlElement(name = "Descriptor", required = true)
    protected List<VisualDType> descriptor;
    @XmlAttribute(name = "numOfPartX", required = true)
    protected int numOfPartX;
    @XmlAttribute(name = "numOfPartY", required = true)
    protected int numOfPartY;
    @XmlAttribute(name = "descriptorMask")
    protected String descriptorMask;

    /**
     * Gets the value of the descriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VisualDType }
     * 
     * 
     */
    public List<VisualDType> getDescriptor() {
        if (descriptor == null) {
            descriptor = new ArrayList<VisualDType>();
        }
        return this.descriptor;
    }

    /**
     * Gets the value of the numOfPartX property.
     * 
     */
    public int getNumOfPartX() {
        return numOfPartX;
    }

    /**
     * Sets the value of the numOfPartX property.
     * 
     */
    public void setNumOfPartX(int value) {
        this.numOfPartX = value;
    }

    /**
     * Gets the value of the numOfPartY property.
     * 
     */
    public int getNumOfPartY() {
        return numOfPartY;
    }

    /**
     * Sets the value of the numOfPartY property.
     * 
     */
    public void setNumOfPartY(int value) {
        this.numOfPartY = value;
    }

    /**
     * Gets the value of the descriptorMask property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescriptorMask() {
        return descriptorMask;
    }

    /**
     * Sets the value of the descriptorMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescriptorMask(String value) {
        this.descriptorMask = value;
    }

}
