
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HarmonicInstrumentTimbreType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HarmonicInstrumentTimbreType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="LogAttackTime" type="{urn:mpeg:mpeg7:schema:2004}LogAttackTimeType"/>
 *         &lt;element name="HarmonicSpectralCentroid" type="{urn:mpeg:mpeg7:schema:2004}HarmonicSpectralCentroidType"/>
 *         &lt;element name="HarmonicSpectralDeviation" type="{urn:mpeg:mpeg7:schema:2004}HarmonicSpectralDeviationType"/>
 *         &lt;element name="HarmonicSpectralSpread" type="{urn:mpeg:mpeg7:schema:2004}HarmonicSpectralSpreadType"/>
 *         &lt;element name="HarmonicSpectralVariation" type="{urn:mpeg:mpeg7:schema:2004}HarmonicSpectralVariationType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HarmonicInstrumentTimbreType", propOrder = {
    "logAttackTime",
    "harmonicSpectralCentroid",
    "harmonicSpectralDeviation",
    "harmonicSpectralSpread",
    "harmonicSpectralVariation"
})
public class HarmonicInstrumentTimbreType
    extends AudioDSType
{

    @XmlElement(name = "LogAttackTime", required = true)
    protected LogAttackTimeType logAttackTime;
    @XmlElement(name = "HarmonicSpectralCentroid", required = true)
    protected HarmonicSpectralCentroidType harmonicSpectralCentroid;
    @XmlElement(name = "HarmonicSpectralDeviation", required = true)
    protected HarmonicSpectralDeviationType harmonicSpectralDeviation;
    @XmlElement(name = "HarmonicSpectralSpread", required = true)
    protected HarmonicSpectralSpreadType harmonicSpectralSpread;
    @XmlElement(name = "HarmonicSpectralVariation", required = true)
    protected HarmonicSpectralVariationType harmonicSpectralVariation;

    /**
     * Gets the value of the logAttackTime property.
     * 
     * @return
     *     possible object is
     *     {@link LogAttackTimeType }
     *     
     */
    public LogAttackTimeType getLogAttackTime() {
        return logAttackTime;
    }

    /**
     * Sets the value of the logAttackTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link LogAttackTimeType }
     *     
     */
    public void setLogAttackTime(LogAttackTimeType value) {
        this.logAttackTime = value;
    }

    /**
     * Gets the value of the harmonicSpectralCentroid property.
     * 
     * @return
     *     possible object is
     *     {@link HarmonicSpectralCentroidType }
     *     
     */
    public HarmonicSpectralCentroidType getHarmonicSpectralCentroid() {
        return harmonicSpectralCentroid;
    }

    /**
     * Sets the value of the harmonicSpectralCentroid property.
     * 
     * @param value
     *     allowed object is
     *     {@link HarmonicSpectralCentroidType }
     *     
     */
    public void setHarmonicSpectralCentroid(HarmonicSpectralCentroidType value) {
        this.harmonicSpectralCentroid = value;
    }

    /**
     * Gets the value of the harmonicSpectralDeviation property.
     * 
     * @return
     *     possible object is
     *     {@link HarmonicSpectralDeviationType }
     *     
     */
    public HarmonicSpectralDeviationType getHarmonicSpectralDeviation() {
        return harmonicSpectralDeviation;
    }

    /**
     * Sets the value of the harmonicSpectralDeviation property.
     * 
     * @param value
     *     allowed object is
     *     {@link HarmonicSpectralDeviationType }
     *     
     */
    public void setHarmonicSpectralDeviation(HarmonicSpectralDeviationType value) {
        this.harmonicSpectralDeviation = value;
    }

    /**
     * Gets the value of the harmonicSpectralSpread property.
     * 
     * @return
     *     possible object is
     *     {@link HarmonicSpectralSpreadType }
     *     
     */
    public HarmonicSpectralSpreadType getHarmonicSpectralSpread() {
        return harmonicSpectralSpread;
    }

    /**
     * Sets the value of the harmonicSpectralSpread property.
     * 
     * @param value
     *     allowed object is
     *     {@link HarmonicSpectralSpreadType }
     *     
     */
    public void setHarmonicSpectralSpread(HarmonicSpectralSpreadType value) {
        this.harmonicSpectralSpread = value;
    }

    /**
     * Gets the value of the harmonicSpectralVariation property.
     * 
     * @return
     *     possible object is
     *     {@link HarmonicSpectralVariationType }
     *     
     */
    public HarmonicSpectralVariationType getHarmonicSpectralVariation() {
        return harmonicSpectralVariation;
    }

    /**
     * Sets the value of the harmonicSpectralVariation property.
     * 
     * @param value
     *     allowed object is
     *     {@link HarmonicSpectralVariationType }
     *     
     */
    public void setHarmonicSpectralVariation(HarmonicSpectralVariationType value) {
        this.harmonicSpectralVariation = value;
    }

}
