
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for HierarchicalSummaryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HierarchicalSummaryType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SummaryType">
 *       &lt;sequence>
 *         &lt;element name="SummaryThemeList" type="{urn:mpeg:mpeg7:schema:2004}SummaryThemeListType" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="SummarySegmentGroup" type="{urn:mpeg:mpeg7:schema:2004}SummarySegmentGroupType"/>
 *           &lt;element name="SummarySegmentGroupRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="components">
 *         &lt;simpleType>
 *           &lt;list>
 *             &lt;simpleType>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                 &lt;enumeration value="keyAudioVisualClips"/>
 *                 &lt;enumeration value="keyVideoClips"/>
 *                 &lt;enumeration value="keyAudioClips"/>
 *                 &lt;enumeration value="keyFrames"/>
 *                 &lt;enumeration value="keySounds"/>
 *                 &lt;enumeration value="keyThemes"/>
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *           &lt;/list>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="hierarchy" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="independent"/>
 *             &lt;enumeration value="dependent"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HierarchicalSummaryType", propOrder = {
    "summaryThemeList",
    "summarySegmentGroupOrSummarySegmentGroupRef"
})
public class HierarchicalSummaryType
    extends SummaryType
{

    @XmlElement(name = "SummaryThemeList")
    protected SummaryThemeListType summaryThemeList;
    @XmlElements({
        @XmlElement(name = "SummarySegmentGroupRef", type = ReferenceType.class),
        @XmlElement(name = "SummarySegmentGroup", type = SummarySegmentGroupType.class)
    })
    protected List<Object> summarySegmentGroupOrSummarySegmentGroupRef;
    @XmlAttribute(name = "components")
    protected List<String> components;
    @XmlAttribute(name = "hierarchy", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String hierarchy;

    /**
     * Gets the value of the summaryThemeList property.
     * 
     * @return
     *     possible object is
     *     {@link SummaryThemeListType }
     *     
     */
    public SummaryThemeListType getSummaryThemeList() {
        return summaryThemeList;
    }

    /**
     * Sets the value of the summaryThemeList property.
     * 
     * @param value
     *     allowed object is
     *     {@link SummaryThemeListType }
     *     
     */
    public void setSummaryThemeList(SummaryThemeListType value) {
        this.summaryThemeList = value;
    }

    /**
     * Gets the value of the summarySegmentGroupOrSummarySegmentGroupRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the summarySegmentGroupOrSummarySegmentGroupRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSummarySegmentGroupOrSummarySegmentGroupRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link SummarySegmentGroupType }
     * 
     * 
     */
    public List<Object> getSummarySegmentGroupOrSummarySegmentGroupRef() {
        if (summarySegmentGroupOrSummarySegmentGroupRef == null) {
            summarySegmentGroupOrSummarySegmentGroupRef = new ArrayList<Object>();
        }
        return this.summarySegmentGroupOrSummarySegmentGroupRef;
    }

    /**
     * Gets the value of the components property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the components property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getComponents().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getComponents() {
        if (components == null) {
            components = new ArrayList<String>();
        }
        return this.components;
    }

    /**
     * Gets the value of the hierarchy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHierarchy() {
        return hierarchy;
    }

    /**
     * Sets the value of the hierarchy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHierarchy(String value) {
        this.hierarchy = value;
    }

}
