
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HistogramProbabilityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HistogramProbabilityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DiscreteDistributionType">
 *       &lt;sequence>
 *         &lt;element name="Distribution" type="{urn:mpeg:mpeg7:schema:2004}ProbabilityMatrixType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="momentNormalized" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *       &lt;attribute name="count" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HistogramProbabilityType", propOrder = {
    "distribution"
})
public class HistogramProbabilityType
    extends DiscreteDistributionType
{

    @XmlElement(name = "Distribution")
    protected ProbabilityMatrixType distribution;
    @XmlAttribute(name = "momentNormalized")
    protected Double momentNormalized;
    @XmlAttribute(name = "count")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger count;

    /**
     * Gets the value of the distribution property.
     * 
     * @return
     *     possible object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public ProbabilityMatrixType getDistribution() {
        return distribution;
    }

    /**
     * Sets the value of the distribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public void setDistribution(ProbabilityMatrixType value) {
        this.distribution = value;
    }

    /**
     * Gets the value of the momentNormalized property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getMomentNormalized() {
        return momentNormalized;
    }

    /**
     * Sets the value of the momentNormalized property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setMomentNormalized(Double value) {
        this.momentNormalized = value;
    }

    /**
     * Gets the value of the count property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCount() {
        return count;
    }

    /**
     * Sets the value of the count property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCount(BigInteger value) {
        this.count = value;
    }

}
