
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HomogeneousTextureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HomogeneousTextureType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="Average" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
 *         &lt;element name="StandardDeviation" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
 *         &lt;element name="Energy" type="{urn:mpeg:mpeg7:schema:2004}textureListType"/>
 *         &lt;element name="EnergyDeviation" type="{urn:mpeg:mpeg7:schema:2004}textureListType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HomogeneousTextureType", propOrder = {
    "average",
    "standardDeviation",
    "energy",
    "energyDeviation"
})
public class HomogeneousTextureType
    extends VisualDType
{

    @XmlElement(name = "Average")
    protected int average;
    @XmlElement(name = "StandardDeviation")
    protected int standardDeviation;
    @XmlList
    @XmlElement(name = "Energy", type = Integer.class)
    protected List<Integer> energy;
    @XmlList
    @XmlElement(name = "EnergyDeviation", type = Integer.class)
    protected List<Integer> energyDeviation;

    /**
     * Gets the value of the average property.
     * 
     */
    public int getAverage() {
        return average;
    }

    /**
     * Sets the value of the average property.
     * 
     */
    public void setAverage(int value) {
        this.average = value;
    }

    /**
     * Gets the value of the standardDeviation property.
     * 
     */
    public int getStandardDeviation() {
        return standardDeviation;
    }

    /**
     * Sets the value of the standardDeviation property.
     * 
     */
    public void setStandardDeviation(int value) {
        this.standardDeviation = value;
    }

    /**
     * Gets the value of the energy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the energy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEnergy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getEnergy() {
        if (energy == null) {
            energy = new ArrayList<Integer>();
        }
        return this.energy;
    }

    /**
     * Gets the value of the energyDeviation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the energyDeviation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEnergyDeviation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getEnergyDeviation() {
        if (energyDeviation == null) {
            energyDeviation = new ArrayList<Integer>();
        }
        return this.energyDeviation;
    }

}
