
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LexiconType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LexiconType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}HeaderType">
 *       &lt;attribute name="numOfOriginalEntries" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LexiconType")
@XmlSeeAlso({
    WordLexiconType.class,
    PhoneLexiconType.class
})
public abstract class LexiconType
    extends HeaderType
{

    @XmlAttribute(name = "numOfOriginalEntries")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger numOfOriginalEntries;

    /**
     * Gets the value of the numOfOriginalEntries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumOfOriginalEntries() {
        return numOfOriginalEntries;
    }

    /**
     * Sets the value of the numOfOriginalEntries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumOfOriginalEntries(BigInteger value) {
        this.numOfOriginalEntries = value;
    }

}
