
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MediaDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaDescriptionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContentManagementType">
 *       &lt;sequence>
 *         &lt;element name="MediaInformation" type="{urn:mpeg:mpeg7:schema:2004}MediaInformationType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaDescriptionType", propOrder = {
    "mediaInformation"
})
public class MediaDescriptionType
    extends ContentManagementType
{

    @XmlElement(name = "MediaInformation", required = true)
    protected List<MediaInformationType> mediaInformation;

    /**
     * Gets the value of the mediaInformation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaInformation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaInformation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MediaInformationType }
     * 
     * 
     */
    public List<MediaInformationType> getMediaInformation() {
        if (mediaInformation == null) {
            mediaInformation = new ArrayList<MediaInformationType>();
        }
        return this.mediaInformation;
    }

}
