
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MediaInstanceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaInstanceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="InstanceIdentifier" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType"/>
 *         &lt;choice>
 *           &lt;element name="MediaLocator" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType"/>
 *           &lt;element name="LocationDescription" type="{urn:mpeg:mpeg7:schema:2004}TextualType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaInstanceType", propOrder = {
    "instanceIdentifier",
    "mediaLocator",
    "locationDescription"
})
public class MediaInstanceType
    extends DSType
{

    @XmlElement(name = "InstanceIdentifier", required = true)
    protected UniqueIDType instanceIdentifier;
    @XmlElement(name = "MediaLocator")
    protected MediaLocatorType mediaLocator;
    @XmlElement(name = "LocationDescription")
    protected TextualType locationDescription;

    /**
     * Gets the value of the instanceIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getInstanceIdentifier() {
        return instanceIdentifier;
    }

    /**
     * Sets the value of the instanceIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setInstanceIdentifier(UniqueIDType value) {
        this.instanceIdentifier = value;
    }

    /**
     * Gets the value of the mediaLocator property.
     * 
     * @return
     *     possible object is
     *     {@link MediaLocatorType }
     *     
     */
    public MediaLocatorType getMediaLocator() {
        return mediaLocator;
    }

    /**
     * Sets the value of the mediaLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaLocatorType }
     *     
     */
    public void setMediaLocator(MediaLocatorType value) {
        this.mediaLocator = value;
    }

    /**
     * Gets the value of the locationDescription property.
     * 
     * @return
     *     possible object is
     *     {@link TextualType }
     *     
     */
    public TextualType getLocationDescription() {
        return locationDescription;
    }

    /**
     * Sets the value of the locationDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextualType }
     *     
     */
    public void setLocationDescription(TextualType value) {
        this.locationDescription = value;
    }

}
