
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MediaTranscodingHintsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaTranscodingHintsType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="MotionHint" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="MotionRange" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="xLeft" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="xRight" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="yDown" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="yUp" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="uncompensability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                 &lt;attribute name="intensity" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ShapeHint" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="shapeChange" type="{http://www.w3.org/2001/XMLSchema}float" />
 *                 &lt;attribute name="numOfNonTranspBlocks" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CodingHints" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="avgQuantScale" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                 &lt;attribute name="intraFrameDistance" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="anchorFrameDistance" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="difficulty" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *       &lt;attribute name="importance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *       &lt;attribute name="spatialResolutionHint" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaTranscodingHintsType", propOrder = {
    "motionHint",
    "shapeHint",
    "codingHints"
})
public class MediaTranscodingHintsType
    extends DType
{

    @XmlElement(name = "MotionHint")
    protected MediaTranscodingHintsType.MotionHint motionHint;
    @XmlElement(name = "ShapeHint")
    protected MediaTranscodingHintsType.ShapeHint shapeHint;
    @XmlElement(name = "CodingHints")
    protected MediaTranscodingHintsType.CodingHints codingHints;
    @XmlAttribute(name = "difficulty")
    protected Float difficulty;
    @XmlAttribute(name = "importance")
    protected Float importance;
    @XmlAttribute(name = "spatialResolutionHint")
    protected Float spatialResolutionHint;

    /**
     * Gets the value of the motionHint property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTranscodingHintsType.MotionHint }
     *     
     */
    public MediaTranscodingHintsType.MotionHint getMotionHint() {
        return motionHint;
    }

    /**
     * Sets the value of the motionHint property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTranscodingHintsType.MotionHint }
     *     
     */
    public void setMotionHint(MediaTranscodingHintsType.MotionHint value) {
        this.motionHint = value;
    }

    /**
     * Gets the value of the shapeHint property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTranscodingHintsType.ShapeHint }
     *     
     */
    public MediaTranscodingHintsType.ShapeHint getShapeHint() {
        return shapeHint;
    }

    /**
     * Sets the value of the shapeHint property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTranscodingHintsType.ShapeHint }
     *     
     */
    public void setShapeHint(MediaTranscodingHintsType.ShapeHint value) {
        this.shapeHint = value;
    }

    /**
     * Gets the value of the codingHints property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTranscodingHintsType.CodingHints }
     *     
     */
    public MediaTranscodingHintsType.CodingHints getCodingHints() {
        return codingHints;
    }

    /**
     * Sets the value of the codingHints property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTranscodingHintsType.CodingHints }
     *     
     */
    public void setCodingHints(MediaTranscodingHintsType.CodingHints value) {
        this.codingHints = value;
    }

    /**
     * Gets the value of the difficulty property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getDifficulty() {
        return difficulty;
    }

    /**
     * Sets the value of the difficulty property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setDifficulty(Float value) {
        this.difficulty = value;
    }

    /**
     * Gets the value of the importance property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getImportance() {
        return importance;
    }

    /**
     * Sets the value of the importance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setImportance(Float value) {
        this.importance = value;
    }

    /**
     * Gets the value of the spatialResolutionHint property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getSpatialResolutionHint() {
        return spatialResolutionHint;
    }

    /**
     * Sets the value of the spatialResolutionHint property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setSpatialResolutionHint(Float value) {
        this.spatialResolutionHint = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="avgQuantScale" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *       &lt;attribute name="intraFrameDistance" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="anchorFrameDistance" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class CodingHints {

        @XmlAttribute(name = "avgQuantScale")
        protected Double avgQuantScale;
        @XmlAttribute(name = "intraFrameDistance")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger intraFrameDistance;
        @XmlAttribute(name = "anchorFrameDistance")
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger anchorFrameDistance;

        /**
         * Gets the value of the avgQuantScale property.
         * 
         * @return
         *     possible object is
         *     {@link Double }
         *     
         */
        public Double getAvgQuantScale() {
            return avgQuantScale;
        }

        /**
         * Sets the value of the avgQuantScale property.
         * 
         * @param value
         *     allowed object is
         *     {@link Double }
         *     
         */
        public void setAvgQuantScale(Double value) {
            this.avgQuantScale = value;
        }

        /**
         * Gets the value of the intraFrameDistance property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getIntraFrameDistance() {
            return intraFrameDistance;
        }

        /**
         * Sets the value of the intraFrameDistance property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setIntraFrameDistance(BigInteger value) {
            this.intraFrameDistance = value;
        }

        /**
         * Gets the value of the anchorFrameDistance property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getAnchorFrameDistance() {
            return anchorFrameDistance;
        }

        /**
         * Sets the value of the anchorFrameDistance property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setAnchorFrameDistance(BigInteger value) {
            this.anchorFrameDistance = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="MotionRange" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="xLeft" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="xRight" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="yDown" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="yUp" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="uncompensability" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *       &lt;attribute name="intensity" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "motionRange"
    })
    public static class MotionHint {

        @XmlElement(name = "MotionRange")
        protected MediaTranscodingHintsType.MotionHint.MotionRange motionRange;
        @XmlAttribute(name = "uncompensability")
        protected Float uncompensability;
        @XmlAttribute(name = "intensity")
        protected Float intensity;

        /**
         * Gets the value of the motionRange property.
         * 
         * @return
         *     possible object is
         *     {@link MediaTranscodingHintsType.MotionHint.MotionRange }
         *     
         */
        public MediaTranscodingHintsType.MotionHint.MotionRange getMotionRange() {
            return motionRange;
        }

        /**
         * Sets the value of the motionRange property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaTranscodingHintsType.MotionHint.MotionRange }
         *     
         */
        public void setMotionRange(MediaTranscodingHintsType.MotionHint.MotionRange value) {
            this.motionRange = value;
        }

        /**
         * Gets the value of the uncompensability property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getUncompensability() {
            return uncompensability;
        }

        /**
         * Sets the value of the uncompensability property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setUncompensability(Float value) {
            this.uncompensability = value;
        }

        /**
         * Gets the value of the intensity property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getIntensity() {
            return intensity;
        }

        /**
         * Sets the value of the intensity property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setIntensity(Float value) {
            this.intensity = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="xLeft" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="xRight" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="yDown" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="yUp" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class MotionRange {

            @XmlAttribute(name = "xLeft", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger xLeft;
            @XmlAttribute(name = "xRight", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger xRight;
            @XmlAttribute(name = "yDown", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger yDown;
            @XmlAttribute(name = "yUp", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger yUp;

            /**
             * Gets the value of the xLeft property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getXLeft() {
                return xLeft;
            }

            /**
             * Sets the value of the xLeft property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setXLeft(BigInteger value) {
                this.xLeft = value;
            }

            /**
             * Gets the value of the xRight property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getXRight() {
                return xRight;
            }

            /**
             * Sets the value of the xRight property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setXRight(BigInteger value) {
                this.xRight = value;
            }

            /**
             * Gets the value of the yDown property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getYDown() {
                return yDown;
            }

            /**
             * Sets the value of the yDown property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setYDown(BigInteger value) {
                this.yDown = value;
            }

            /**
             * Gets the value of the yUp property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getYUp() {
                return yUp;
            }

            /**
             * Sets the value of the yUp property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setYUp(BigInteger value) {
                this.yUp = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="shapeChange" type="{http://www.w3.org/2001/XMLSchema}float" />
     *       &lt;attribute name="numOfNonTranspBlocks" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class ShapeHint {

        @XmlAttribute(name = "shapeChange")
        protected Float shapeChange;
        @XmlAttribute(name = "numOfNonTranspBlocks")
        protected Double numOfNonTranspBlocks;

        /**
         * Gets the value of the shapeChange property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getShapeChange() {
            return shapeChange;
        }

        /**
         * Sets the value of the shapeChange property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setShapeChange(Float value) {
            this.shapeChange = value;
        }

        /**
         * Gets the value of the numOfNonTranspBlocks property.
         * 
         * @return
         *     possible object is
         *     {@link Double }
         *     
         */
        public Double getNumOfNonTranspBlocks() {
            return numOfNonTranspBlocks;
        }

        /**
         * Sets the value of the numOfNonTranspBlocks property.
         * 
         * @param value
         *     allowed object is
         *     {@link Double }
         *     
         */
        public void setNumOfNonTranspBlocks(Double value) {
            this.numOfNonTranspBlocks = value;
        }

    }

}
