
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for MelodySequenceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MelodySequenceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="StartingNote" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="StartingFrequency" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
 *                   &lt;element name="StartingPitch" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="PitchNote">
 *                               &lt;complexType>
 *                                 &lt;simpleContent>
 *                                   &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>degreeNoteType">
 *                                     &lt;attribute name="display" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                                   &lt;/extension>
 *                                 &lt;/simpleContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                           &lt;attribute name="accidental" type="{urn:mpeg:mpeg7:schema:2004}degreeAccidentalType" default="natural" />
 *                           &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="NoteArray" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *                 &lt;sequence>
 *                   &lt;element name="Note" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Interval" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *                             &lt;element name="NoteRelDuration" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *                             &lt;element name="Lyric" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MelodySequenceType", propOrder = {
    "startingNote",
    "noteArray"
})
public class MelodySequenceType
    extends AudioDSType
{

    @XmlElement(name = "StartingNote")
    protected MelodySequenceType.StartingNote startingNote;
    @XmlElement(name = "NoteArray", required = true)
    protected List<MelodySequenceType.NoteArray> noteArray;

    /**
     * Gets the value of the startingNote property.
     * 
     * @return
     *     possible object is
     *     {@link MelodySequenceType.StartingNote }
     *     
     */
    public MelodySequenceType.StartingNote getStartingNote() {
        return startingNote;
    }

    /**
     * Sets the value of the startingNote property.
     * 
     * @param value
     *     allowed object is
     *     {@link MelodySequenceType.StartingNote }
     *     
     */
    public void setStartingNote(MelodySequenceType.StartingNote value) {
        this.startingNote = value;
    }

    /**
     * Gets the value of the noteArray property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the noteArray property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNoteArray().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MelodySequenceType.NoteArray }
     * 
     * 
     */
    public List<MelodySequenceType.NoteArray> getNoteArray() {
        if (noteArray == null) {
            noteArray = new ArrayList<MelodySequenceType.NoteArray>();
        }
        return this.noteArray;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
     *       &lt;sequence>
     *         &lt;element name="Note" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Interval" type="{http://www.w3.org/2001/XMLSchema}float"/>
     *                   &lt;element name="NoteRelDuration" type="{http://www.w3.org/2001/XMLSchema}float"/>
     *                   &lt;element name="Lyric" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "note"
    })
    public static class NoteArray
        extends AudioDSType
    {

        @XmlElement(name = "Note", required = true)
        protected List<MelodySequenceType.NoteArray.Note> note;

        /**
         * Gets the value of the note property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the note property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNote().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link MelodySequenceType.NoteArray.Note }
         * 
         * 
         */
        public List<MelodySequenceType.NoteArray.Note> getNote() {
            if (note == null) {
                note = new ArrayList<MelodySequenceType.NoteArray.Note>();
            }
            return this.note;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Interval" type="{http://www.w3.org/2001/XMLSchema}float"/>
         *         &lt;element name="NoteRelDuration" type="{http://www.w3.org/2001/XMLSchema}float"/>
         *         &lt;element name="Lyric" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "interval",
            "noteRelDuration",
            "lyric"
        })
        public static class Note {

            @XmlElement(name = "Interval")
            protected float interval;
            @XmlElement(name = "NoteRelDuration")
            protected float noteRelDuration;
            @XmlElement(name = "Lyric")
            protected TextualType lyric;

            /**
             * Gets the value of the interval property.
             * 
             */
            public float getInterval() {
                return interval;
            }

            /**
             * Sets the value of the interval property.
             * 
             */
            public void setInterval(float value) {
                this.interval = value;
            }

            /**
             * Gets the value of the noteRelDuration property.
             * 
             */
            public float getNoteRelDuration() {
                return noteRelDuration;
            }

            /**
             * Sets the value of the noteRelDuration property.
             * 
             */
            public void setNoteRelDuration(float value) {
                this.noteRelDuration = value;
            }

            /**
             * Gets the value of the lyric property.
             * 
             * @return
             *     possible object is
             *     {@link TextualType }
             *     
             */
            public TextualType getLyric() {
                return lyric;
            }

            /**
             * Sets the value of the lyric property.
             * 
             * @param value
             *     allowed object is
             *     {@link TextualType }
             *     
             */
            public void setLyric(TextualType value) {
                this.lyric = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="StartingFrequency" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
     *         &lt;element name="StartingPitch" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="PitchNote">
     *                     &lt;complexType>
     *                       &lt;simpleContent>
     *                         &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>degreeNoteType">
     *                           &lt;attribute name="display" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                         &lt;/extension>
     *                       &lt;/simpleContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *                 &lt;attribute name="accidental" type="{urn:mpeg:mpeg7:schema:2004}degreeAccidentalType" default="natural" />
     *                 &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "startingFrequency",
        "startingPitch"
    })
    public static class StartingNote {

        @XmlElement(name = "StartingFrequency")
        protected Float startingFrequency;
        @XmlElement(name = "StartingPitch")
        protected MelodySequenceType.StartingNote.StartingPitch startingPitch;

        /**
         * Gets the value of the startingFrequency property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getStartingFrequency() {
            return startingFrequency;
        }

        /**
         * Sets the value of the startingFrequency property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setStartingFrequency(Float value) {
            this.startingFrequency = value;
        }

        /**
         * Gets the value of the startingPitch property.
         * 
         * @return
         *     possible object is
         *     {@link MelodySequenceType.StartingNote.StartingPitch }
         *     
         */
        public MelodySequenceType.StartingNote.StartingPitch getStartingPitch() {
            return startingPitch;
        }

        /**
         * Sets the value of the startingPitch property.
         * 
         * @param value
         *     allowed object is
         *     {@link MelodySequenceType.StartingNote.StartingPitch }
         *     
         */
        public void setStartingPitch(MelodySequenceType.StartingNote.StartingPitch value) {
            this.startingPitch = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="PitchNote">
         *           &lt;complexType>
         *             &lt;simpleContent>
         *               &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>degreeNoteType">
         *                 &lt;attribute name="display" type="{http://www.w3.org/2001/XMLSchema}string" />
         *               &lt;/extension>
         *             &lt;/simpleContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *       &lt;attribute name="accidental" type="{urn:mpeg:mpeg7:schema:2004}degreeAccidentalType" default="natural" />
         *       &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}integer" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "pitchNote"
        })
        public static class StartingPitch {

            @XmlElement(name = "PitchNote", required = true)
            protected MelodySequenceType.StartingNote.StartingPitch.PitchNote pitchNote;
            @XmlAttribute(name = "accidental")
            protected DegreeAccidentalType accidental;
            @XmlAttribute(name = "height")
            protected BigInteger height;

            /**
             * Gets the value of the pitchNote property.
             * 
             * @return
             *     possible object is
             *     {@link MelodySequenceType.StartingNote.StartingPitch.PitchNote }
             *     
             */
            public MelodySequenceType.StartingNote.StartingPitch.PitchNote getPitchNote() {
                return pitchNote;
            }

            /**
             * Sets the value of the pitchNote property.
             * 
             * @param value
             *     allowed object is
             *     {@link MelodySequenceType.StartingNote.StartingPitch.PitchNote }
             *     
             */
            public void setPitchNote(MelodySequenceType.StartingNote.StartingPitch.PitchNote value) {
                this.pitchNote = value;
            }

            /**
             * Gets the value of the accidental property.
             * 
             * @return
             *     possible object is
             *     {@link DegreeAccidentalType }
             *     
             */
            public DegreeAccidentalType getAccidental() {
                if (accidental == null) {
                    return DegreeAccidentalType.NATURAL;
                } else {
                    return accidental;
                }
            }

            /**
             * Sets the value of the accidental property.
             * 
             * @param value
             *     allowed object is
             *     {@link DegreeAccidentalType }
             *     
             */
            public void setAccidental(DegreeAccidentalType value) {
                this.accidental = value;
            }

            /**
             * Gets the value of the height property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getHeight() {
                return height;
            }

            /**
             * Sets the value of the height property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setHeight(BigInteger value) {
                this.height = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;simpleContent>
             *     &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>degreeNoteType">
             *       &lt;attribute name="display" type="{http://www.w3.org/2001/XMLSchema}string" />
             *     &lt;/extension>
             *   &lt;/simpleContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "value"
            })
            public static class PitchNote {

                @XmlValue
                protected DegreeNoteType value;
                @XmlAttribute(name = "display")
                protected String display;

                /**
                 * Gets the value of the value property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link DegreeNoteType }
                 *     
                 */
                public DegreeNoteType getValue() {
                    return value;
                }

                /**
                 * Sets the value of the value property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link DegreeNoteType }
                 *     
                 */
                public void setValue(DegreeNoteType value) {
                    this.value = value;
                }

                /**
                 * Gets the value of the display property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getDisplay() {
                    return display;
                }

                /**
                 * Sets the value of the display property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setDisplay(String value) {
                    this.display = value;
                }

            }

        }

    }

}
