
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MorphismGraphType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MorphismGraphType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}GraphType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="SourceGraphRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *           &lt;element name="SourceGraphTermRef" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;/choice>
 *         &lt;choice>
 *           &lt;element name="TargetGraphRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *           &lt;element name="TargetGraphTermRef" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;/choice>
 *         &lt;element name="RuleTermRef" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MorphismGraphType", propOrder = {
    "sourceGraphRef",
    "sourceGraphTermRef",
    "targetGraphRef",
    "targetGraphTermRef",
    "ruleTermRef"
})
public class MorphismGraphType
    extends GraphType
{

    @XmlElement(name = "SourceGraphRef")
    protected ReferenceType sourceGraphRef;
    @XmlElement(name = "SourceGraphTermRef")
    protected ControlledTermUseType sourceGraphTermRef;
    @XmlElement(name = "TargetGraphRef")
    protected ReferenceType targetGraphRef;
    @XmlElement(name = "TargetGraphTermRef")
    protected ControlledTermUseType targetGraphTermRef;
    @XmlElement(name = "RuleTermRef")
    protected ControlledTermUseType ruleTermRef;

    /**
     * Gets the value of the sourceGraphRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getSourceGraphRef() {
        return sourceGraphRef;
    }

    /**
     * Sets the value of the sourceGraphRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setSourceGraphRef(ReferenceType value) {
        this.sourceGraphRef = value;
    }

    /**
     * Gets the value of the sourceGraphTermRef property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getSourceGraphTermRef() {
        return sourceGraphTermRef;
    }

    /**
     * Sets the value of the sourceGraphTermRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setSourceGraphTermRef(ControlledTermUseType value) {
        this.sourceGraphTermRef = value;
    }

    /**
     * Gets the value of the targetGraphRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getTargetGraphRef() {
        return targetGraphRef;
    }

    /**
     * Sets the value of the targetGraphRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setTargetGraphRef(ReferenceType value) {
        this.targetGraphRef = value;
    }

    /**
     * Gets the value of the targetGraphTermRef property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getTargetGraphTermRef() {
        return targetGraphTermRef;
    }

    /**
     * Sets the value of the targetGraphTermRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setTargetGraphTermRef(ControlledTermUseType value) {
        this.targetGraphTermRef = value;
    }

    /**
     * Gets the value of the ruleTermRef property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getRuleTermRef() {
        return ruleTermRef;
    }

    /**
     * Sets the value of the ruleTermRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setRuleTermRef(ControlledTermUseType value) {
        this.ruleTermRef = value;
    }

}
