
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MovingRegionFeatureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MovingRegionFeatureType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VideoSegmentFeatureType">
 *       &lt;sequence>
 *         &lt;element name="ShapeVariation" type="{urn:mpeg:mpeg7:schema:2004}ShapeVariationType" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="ParametricMotion" type="{urn:mpeg:mpeg7:schema:2004}ParametricMotionType"/>
 *           &lt;element name="MotionTrajectory" type="{urn:mpeg:mpeg7:schema:2004}MotionTrajectoryType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MovingRegionFeatureType", propOrder = {
    "shapeVariation",
    "parametricMotion",
    "motionTrajectory"
})
public class MovingRegionFeatureType
    extends VideoSegmentFeatureType
{

    @XmlElement(name = "ShapeVariation")
    protected ShapeVariationType shapeVariation;
    @XmlElement(name = "ParametricMotion")
    protected ParametricMotionType parametricMotion;
    @XmlElement(name = "MotionTrajectory")
    protected MotionTrajectoryType motionTrajectory;

    /**
     * Gets the value of the shapeVariation property.
     * 
     * @return
     *     possible object is
     *     {@link ShapeVariationType }
     *     
     */
    public ShapeVariationType getShapeVariation() {
        return shapeVariation;
    }

    /**
     * Sets the value of the shapeVariation property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShapeVariationType }
     *     
     */
    public void setShapeVariation(ShapeVariationType value) {
        this.shapeVariation = value;
    }

    /**
     * Gets the value of the parametricMotion property.
     * 
     * @return
     *     possible object is
     *     {@link ParametricMotionType }
     *     
     */
    public ParametricMotionType getParametricMotion() {
        return parametricMotion;
    }

    /**
     * Sets the value of the parametricMotion property.
     * 
     * @param value
     *     allowed object is
     *     {@link ParametricMotionType }
     *     
     */
    public void setParametricMotion(ParametricMotionType value) {
        this.parametricMotion = value;
    }

    /**
     * Gets the value of the motionTrajectory property.
     * 
     * @return
     *     possible object is
     *     {@link MotionTrajectoryType }
     *     
     */
    public MotionTrajectoryType getMotionTrajectory() {
        return motionTrajectory;
    }

    /**
     * Sets the value of the motionTrajectory property.
     * 
     * @param value
     *     allowed object is
     *     {@link MotionTrajectoryType }
     *     
     */
    public void setMotionTrajectory(MotionTrajectoryType value) {
        this.motionTrajectory = value;
    }

}
