
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MovingRegionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MovingRegionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="SpatioTemporalLocator" type="{urn:mpeg:mpeg7:schema:2004}SpatioTemporalLocatorType"/>
 *           &lt;element name="SpatioTemporalMask" type="{urn:mpeg:mpeg7:schema:2004}SpatioTemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="VisualDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualDType"/>
 *           &lt;element name="VisualDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}VisualDSType"/>
 *           &lt;element name="VisualTimeSeriesDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualTimeSeriesType"/>
 *           &lt;element name="GofGopFeature" type="{urn:mpeg:mpeg7:schema:2004}GofGopFeatureType"/>
 *         &lt;/choice>
 *         &lt;element name="MultipleView" type="{urn:mpeg:mpeg7:schema:2004}MultipleViewType" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SpatialDecomposition" type="{urn:mpeg:mpeg7:schema:2004}MovingRegionSpatialDecompositionType"/>
 *           &lt;element name="TemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}MovingRegionTemporalDecompositionType"/>
 *           &lt;element name="SpatioTemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}MovingRegionSpatioTemporalDecompositionType"/>
 *           &lt;element name="MediaSourceDecomposition" type="{urn:mpeg:mpeg7:schema:2004}MovingRegionMediaSourceDecompositionType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MovingRegionType", propOrder = {
    "spatioTemporalLocator",
    "spatioTemporalMask",
    "visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor",
    "multipleView",
    "spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition"
})
@XmlSeeAlso({
    EditedMovingRegionType.class,
    VideoTextType.class
})
public class MovingRegionType
    extends SegmentType
{

    @XmlElement(name = "SpatioTemporalLocator")
    protected SpatioTemporalLocatorType spatioTemporalLocator;
    @XmlElement(name = "SpatioTemporalMask")
    protected SpatioTemporalMaskType spatioTemporalMask;
    @XmlElements({
        @XmlElement(name = "VisualDescriptionScheme", type = VisualDSType.class),
        @XmlElement(name = "VisualDescriptor", type = VisualDType.class),
        @XmlElement(name = "VisualTimeSeriesDescriptor", type = VisualTimeSeriesType.class),
        @XmlElement(name = "GofGopFeature", type = GofGopFeatureType.class)
    })
    protected List<Object> visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor;
    @XmlElement(name = "MultipleView")
    protected MultipleViewType multipleView;
    @XmlElements({
        @XmlElement(name = "TemporalDecomposition", type = MovingRegionTemporalDecompositionType.class),
        @XmlElement(name = "SpatioTemporalDecomposition", type = MovingRegionSpatioTemporalDecompositionType.class),
        @XmlElement(name = "SpatialDecomposition", type = MovingRegionSpatialDecompositionType.class),
        @XmlElement(name = "MediaSourceDecomposition", type = MovingRegionMediaSourceDecompositionType.class)
    })
    protected List<SegmentDecompositionType> spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;

    /**
     * Gets the value of the spatioTemporalLocator property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public SpatioTemporalLocatorType getSpatioTemporalLocator() {
        return spatioTemporalLocator;
    }

    /**
     * Sets the value of the spatioTemporalLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public void setSpatioTemporalLocator(SpatioTemporalLocatorType value) {
        this.spatioTemporalLocator = value;
    }

    /**
     * Gets the value of the spatioTemporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalMaskType }
     *     
     */
    public SpatioTemporalMaskType getSpatioTemporalMask() {
        return spatioTemporalMask;
    }

    /**
     * Sets the value of the spatioTemporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalMaskType }
     *     
     */
    public void setSpatioTemporalMask(SpatioTemporalMaskType value) {
        this.spatioTemporalMask = value;
    }

    /**
     * Gets the value of the visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVisualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VisualDSType }
     * {@link VisualDType }
     * {@link VisualTimeSeriesType }
     * {@link GofGopFeatureType }
     * 
     * 
     */
    public List<Object> getVisualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor() {
        if (visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor == null) {
            visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor = new ArrayList<Object>();
        }
        return this.visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor;
    }

    /**
     * Gets the value of the multipleView property.
     * 
     * @return
     *     possible object is
     *     {@link MultipleViewType }
     *     
     */
    public MultipleViewType getMultipleView() {
        return multipleView;
    }

    /**
     * Sets the value of the multipleView property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultipleViewType }
     *     
     */
    public void setMultipleView(MultipleViewType value) {
        this.multipleView = value;
    }

    /**
     * Gets the value of the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MovingRegionTemporalDecompositionType }
     * {@link MovingRegionSpatioTemporalDecompositionType }
     * {@link MovingRegionSpatialDecompositionType }
     * {@link MovingRegionMediaSourceDecompositionType }
     * 
     * 
     */
    public List<SegmentDecompositionType> getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition() {
        if (spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition == null) {
            spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition = new ArrayList<SegmentDecompositionType>();
        }
        return this.spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;
    }

}
