
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Perceptual3DShapeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Perceptual3DShapeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="BitsPerAttribute">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *               &lt;minInclusive value="1"/>
 *               &lt;maxInclusive value="15"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="IsConnected" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction>
 *               &lt;simpleType>
 *                 &lt;list itemType="{http://www.w3.org/2001/XMLSchema}boolean" />
 *               &lt;/simpleType>
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="32385"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;sequence maxOccurs="255">
 *           &lt;element name="Volume" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Center_X" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Center_Y" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Center_Z" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_1X" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_1Y" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_1Z" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_2X" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_2Y" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="PCA_Axis_2Z" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Max_1" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Max_2" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Max_3" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *           &lt;element name="Convexity" type="{urn:mpeg:mpeg7:schema:2004}unsigned15"/>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Perceptual3DShapeType", propOrder = {
    "bitsPerAttribute",
    "isConnected",
    "volumeAndCenterXAndCenterY"
})
public class Perceptual3DShapeType
    extends VisualDType
{

    @XmlElement(name = "BitsPerAttribute")
    protected int bitsPerAttribute;
    @XmlList
    @XmlElement(name = "IsConnected", type = Boolean.class)
    protected List<Boolean> isConnected;
    @XmlElementRefs({
        @XmlElementRef(name = "PCA_Axis_1X", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "PCA_Axis_1Y", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Convexity", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Max_3", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Center_Z", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Center_X", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "PCA_Axis_2Y", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Max_1", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Center_Y", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "PCA_Axis_2X", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "PCA_Axis_1Z", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Volume", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "PCA_Axis_2Z", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Max_2", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<Integer>> volumeAndCenterXAndCenterY;

    /**
     * Gets the value of the bitsPerAttribute property.
     * 
     */
    public int getBitsPerAttribute() {
        return bitsPerAttribute;
    }

    /**
     * Sets the value of the bitsPerAttribute property.
     * 
     */
    public void setBitsPerAttribute(int value) {
        this.bitsPerAttribute = value;
    }

    /**
     * Gets the value of the isConnected property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the isConnected property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIsConnected().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Boolean }
     * 
     * 
     */
    public List<Boolean> getIsConnected() {
        if (isConnected == null) {
            isConnected = new ArrayList<Boolean>();
        }
        return this.isConnected;
    }

    /**
     * Gets the value of the volumeAndCenterXAndCenterY property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the volumeAndCenterXAndCenterY property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVolumeAndCenterXAndCenterY().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * {@link JAXBElement }{@code <}{@link Integer }{@code >}
     * 
     * 
     */
    public List<JAXBElement<Integer>> getVolumeAndCenterXAndCenterY() {
        if (volumeAndCenterXAndCenterY == null) {
            volumeAndCenterXAndCenterY = new ArrayList<JAXBElement<Integer>>();
        }
        return this.volumeAndCenterXAndCenterY;
    }

}
