
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PerceptualInstrumentationDistributionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PerceptualInstrumentationDistributionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="PerceptualInstrumentation" type="{urn:mpeg:mpeg7:schema:2004}PerceptualInstrumentationDistributionElementType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PerceptualInstrumentationDistributionType", propOrder = {
    "perceptualInstrumentation"
})
public class PerceptualInstrumentationDistributionType
    extends AudioDType
{

    @XmlElement(name = "PerceptualInstrumentation", required = true)
    protected List<PerceptualInstrumentationDistributionElementType> perceptualInstrumentation;

    /**
     * Gets the value of the perceptualInstrumentation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the perceptualInstrumentation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPerceptualInstrumentation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PerceptualInstrumentationDistributionElementType }
     * 
     * 
     */
    public List<PerceptualInstrumentationDistributionElementType> getPerceptualInstrumentation() {
        if (perceptualInstrumentation == null) {
            perceptualInstrumentation = new ArrayList<PerceptualInstrumentationDistributionElementType>();
        }
        return this.perceptualInstrumentation;
    }

}
