
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for PlaceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PlaceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="NameTerm" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PlaceDescription" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Role" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *         &lt;element name="GeographicPosition" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Point" type="{urn:mpeg:mpeg7:schema:2004}GeographicPointType" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="datum" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="accuracy" type="{http://www.w3.org/2001/XMLSchema}float" />
 *                 &lt;attribute name="type" default="point">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                       &lt;enumeration value="area"/>
 *                       &lt;enumeration value="route"/>
 *                       &lt;enumeration value="point"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AstronomicalBody" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Region" type="{urn:mpeg:mpeg7:schema:2004}regionCode" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AdministrativeUnit" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                 &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice>
 *           &lt;element name="PostalAddress" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="AddressLine" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded"/>
 *                     &lt;element name="PostingIdentifier" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="StructuredPostalAddress" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="StreetNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="StreetName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="PostalTown" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="City" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="StateProvinceCounty" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="Country" type="{urn:mpeg:mpeg7:schema:2004}countryCode" minOccurs="0"/>
 *                     &lt;element name="PostingIdentifier" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *         &lt;choice>
 *           &lt;element name="InternalCoordinates" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *           &lt;element name="StructuredInternalCoordinates" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="RoomNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="RoomName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                     &lt;element name="BuildingName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *         &lt;element name="ElectronicAddress" type="{urn:mpeg:mpeg7:schema:2004}ElectronicAddressType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PlaceType", propOrder = {
    "name",
    "nameTerm",
    "placeDescription",
    "role",
    "geographicPosition",
    "astronomicalBody",
    "region",
    "administrativeUnit",
    "postalAddress",
    "structuredPostalAddress",
    "internalCoordinates",
    "structuredInternalCoordinates",
    "electronicAddress"
})
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.CreationPreferencesType.Location.class,
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SourcePreferencesType.DisseminationLocation.class
})
public class PlaceType
    extends DSType
{

    @XmlElement(name = "Name")
    protected List<TextualType> name;
    @XmlElement(name = "NameTerm")
    protected List<ControlledTermUseType> nameTerm;
    @XmlElement(name = "PlaceDescription")
    protected List<TextualType> placeDescription;
    @XmlElement(name = "Role")
    protected TermUseType role;
    @XmlElement(name = "GeographicPosition")
    protected PlaceType.GeographicPosition geographicPosition;
    @XmlElement(name = "AstronomicalBody")
    protected List<TermUseType> astronomicalBody;
    @XmlElement(name = "Region")
    protected List<String> region;
    @XmlElement(name = "AdministrativeUnit")
    protected List<PlaceType.AdministrativeUnit> administrativeUnit;
    @XmlElement(name = "PostalAddress")
    protected PlaceType.PostalAddress postalAddress;
    @XmlElement(name = "StructuredPostalAddress")
    protected PlaceType.StructuredPostalAddress structuredPostalAddress;
    @XmlElement(name = "InternalCoordinates")
    protected String internalCoordinates;
    @XmlElement(name = "StructuredInternalCoordinates")
    protected PlaceType.StructuredInternalCoordinates structuredInternalCoordinates;
    @XmlElement(name = "ElectronicAddress")
    protected List<ElectronicAddressType> electronicAddress;

    /**
     * Gets the value of the name property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the name property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getName().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getName() {
        if (name == null) {
            name = new ArrayList<TextualType>();
        }
        return this.name;
    }

    /**
     * Gets the value of the nameTerm property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nameTerm property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNameTerm().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ControlledTermUseType }
     * 
     * 
     */
    public List<ControlledTermUseType> getNameTerm() {
        if (nameTerm == null) {
            nameTerm = new ArrayList<ControlledTermUseType>();
        }
        return this.nameTerm;
    }

    /**
     * Gets the value of the placeDescription property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the placeDescription property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPlaceDescription().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getPlaceDescription() {
        if (placeDescription == null) {
            placeDescription = new ArrayList<TextualType>();
        }
        return this.placeDescription;
    }

    /**
     * Gets the value of the role property.
     * 
     * @return
     *     possible object is
     *     {@link TermUseType }
     *     
     */
    public TermUseType getRole() {
        return role;
    }

    /**
     * Sets the value of the role property.
     * 
     * @param value
     *     allowed object is
     *     {@link TermUseType }
     *     
     */
    public void setRole(TermUseType value) {
        this.role = value;
    }

    /**
     * Gets the value of the geographicPosition property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType.GeographicPosition }
     *     
     */
    public PlaceType.GeographicPosition getGeographicPosition() {
        return geographicPosition;
    }

    /**
     * Sets the value of the geographicPosition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType.GeographicPosition }
     *     
     */
    public void setGeographicPosition(PlaceType.GeographicPosition value) {
        this.geographicPosition = value;
    }

    /**
     * Gets the value of the astronomicalBody property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the astronomicalBody property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAstronomicalBody().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TermUseType }
     * 
     * 
     */
    public List<TermUseType> getAstronomicalBody() {
        if (astronomicalBody == null) {
            astronomicalBody = new ArrayList<TermUseType>();
        }
        return this.astronomicalBody;
    }

    /**
     * Gets the value of the region property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the region property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getRegion() {
        if (region == null) {
            region = new ArrayList<String>();
        }
        return this.region;
    }

    /**
     * Gets the value of the administrativeUnit property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the administrativeUnit property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdministrativeUnit().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PlaceType.AdministrativeUnit }
     * 
     * 
     */
    public List<PlaceType.AdministrativeUnit> getAdministrativeUnit() {
        if (administrativeUnit == null) {
            administrativeUnit = new ArrayList<PlaceType.AdministrativeUnit>();
        }
        return this.administrativeUnit;
    }

    /**
     * Gets the value of the postalAddress property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType.PostalAddress }
     *     
     */
    public PlaceType.PostalAddress getPostalAddress() {
        return postalAddress;
    }

    /**
     * Sets the value of the postalAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType.PostalAddress }
     *     
     */
    public void setPostalAddress(PlaceType.PostalAddress value) {
        this.postalAddress = value;
    }

    /**
     * Gets the value of the structuredPostalAddress property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType.StructuredPostalAddress }
     *     
     */
    public PlaceType.StructuredPostalAddress getStructuredPostalAddress() {
        return structuredPostalAddress;
    }

    /**
     * Sets the value of the structuredPostalAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType.StructuredPostalAddress }
     *     
     */
    public void setStructuredPostalAddress(PlaceType.StructuredPostalAddress value) {
        this.structuredPostalAddress = value;
    }

    /**
     * Gets the value of the internalCoordinates property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternalCoordinates() {
        return internalCoordinates;
    }

    /**
     * Sets the value of the internalCoordinates property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternalCoordinates(String value) {
        this.internalCoordinates = value;
    }

    /**
     * Gets the value of the structuredInternalCoordinates property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType.StructuredInternalCoordinates }
     *     
     */
    public PlaceType.StructuredInternalCoordinates getStructuredInternalCoordinates() {
        return structuredInternalCoordinates;
    }

    /**
     * Sets the value of the structuredInternalCoordinates property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType.StructuredInternalCoordinates }
     *     
     */
    public void setStructuredInternalCoordinates(PlaceType.StructuredInternalCoordinates value) {
        this.structuredInternalCoordinates = value;
    }

    /**
     * Gets the value of the electronicAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the electronicAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getElectronicAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ElectronicAddressType }
     * 
     * 
     */
    public List<ElectronicAddressType> getElectronicAddress() {
        if (electronicAddress == null) {
            electronicAddress = new ArrayList<ElectronicAddressType>();
        }
        return this.electronicAddress;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *       &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class AdministrativeUnit {

        @XmlValue
        protected String value;
        @XmlAttribute(name = "type")
        protected String type;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Point" type="{urn:mpeg:mpeg7:schema:2004}GeographicPointType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *       &lt;attribute name="datum" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="accuracy" type="{http://www.w3.org/2001/XMLSchema}float" />
     *       &lt;attribute name="type" default="point">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *             &lt;enumeration value="area"/>
     *             &lt;enumeration value="route"/>
     *             &lt;enumeration value="point"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "point"
    })
    public static class GeographicPosition {

        @XmlElement(name = "Point")
        protected List<GeographicPointType> point;
        @XmlAttribute(name = "datum")
        protected String datum;
        @XmlAttribute(name = "accuracy")
        protected Float accuracy;
        @XmlAttribute(name = "type")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String type;

        /**
         * Gets the value of the point property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the point property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPoint().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GeographicPointType }
         * 
         * 
         */
        public List<GeographicPointType> getPoint() {
            if (point == null) {
                point = new ArrayList<GeographicPointType>();
            }
            return this.point;
        }

        /**
         * Gets the value of the datum property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDatum() {
            return datum;
        }

        /**
         * Sets the value of the datum property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDatum(String value) {
            this.datum = value;
        }

        /**
         * Gets the value of the accuracy property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getAccuracy() {
            return accuracy;
        }

        /**
         * Sets the value of the accuracy property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setAccuracy(Float value) {
            this.accuracy = value;
        }

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            if (type == null) {
                return "point";
            } else {
                return type;
            }
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="AddressLine" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded"/>
     *         &lt;element name="PostingIdentifier" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "addressLine",
        "postingIdentifier"
    })
    public static class PostalAddress {

        @XmlElement(name = "AddressLine", required = true)
        protected List<TextualType> addressLine;
        @XmlElement(name = "PostingIdentifier")
        protected TextualType postingIdentifier;

        /**
         * Gets the value of the addressLine property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the addressLine property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAddressLine().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link TextualType }
         * 
         * 
         */
        public List<TextualType> getAddressLine() {
            if (addressLine == null) {
                addressLine = new ArrayList<TextualType>();
            }
            return this.addressLine;
        }

        /**
         * Gets the value of the postingIdentifier property.
         * 
         * @return
         *     possible object is
         *     {@link TextualType }
         *     
         */
        public TextualType getPostingIdentifier() {
            return postingIdentifier;
        }

        /**
         * Sets the value of the postingIdentifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link TextualType }
         *     
         */
        public void setPostingIdentifier(TextualType value) {
            this.postingIdentifier = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="RoomNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="RoomName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="BuildingName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "roomNumber",
        "roomName",
        "buildingName"
    })
    public static class StructuredInternalCoordinates {

        @XmlElement(name = "RoomNumber")
        protected String roomNumber;
        @XmlElement(name = "RoomName")
        protected String roomName;
        @XmlElement(name = "BuildingName")
        protected String buildingName;

        /**
         * Gets the value of the roomNumber property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRoomNumber() {
            return roomNumber;
        }

        /**
         * Sets the value of the roomNumber property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRoomNumber(String value) {
            this.roomNumber = value;
        }

        /**
         * Gets the value of the roomName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRoomName() {
            return roomName;
        }

        /**
         * Sets the value of the roomName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRoomName(String value) {
            this.roomName = value;
        }

        /**
         * Gets the value of the buildingName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getBuildingName() {
            return buildingName;
        }

        /**
         * Sets the value of the buildingName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setBuildingName(String value) {
            this.buildingName = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="StreetNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="StreetName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="PostalTown" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="City" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="StateProvinceCounty" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Country" type="{urn:mpeg:mpeg7:schema:2004}countryCode" minOccurs="0"/>
     *         &lt;element name="PostingIdentifier" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "streetNumber",
        "streetName",
        "postalTown",
        "city",
        "stateProvinceCounty",
        "country",
        "postingIdentifier"
    })
    public static class StructuredPostalAddress {

        @XmlElement(name = "StreetNumber")
        protected String streetNumber;
        @XmlElement(name = "StreetName")
        protected String streetName;
        @XmlElement(name = "PostalTown")
        protected String postalTown;
        @XmlElement(name = "City")
        protected String city;
        @XmlElement(name = "StateProvinceCounty")
        protected String stateProvinceCounty;
        @XmlElement(name = "Country")
        protected String country;
        @XmlElement(name = "PostingIdentifier")
        protected TextualType postingIdentifier;

        /**
         * Gets the value of the streetNumber property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getStreetNumber() {
            return streetNumber;
        }

        /**
         * Sets the value of the streetNumber property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setStreetNumber(String value) {
            this.streetNumber = value;
        }

        /**
         * Gets the value of the streetName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getStreetName() {
            return streetName;
        }

        /**
         * Sets the value of the streetName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setStreetName(String value) {
            this.streetName = value;
        }

        /**
         * Gets the value of the postalTown property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPostalTown() {
            return postalTown;
        }

        /**
         * Sets the value of the postalTown property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPostalTown(String value) {
            this.postalTown = value;
        }

        /**
         * Gets the value of the city property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCity() {
            return city;
        }

        /**
         * Sets the value of the city property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCity(String value) {
            this.city = value;
        }

        /**
         * Gets the value of the stateProvinceCounty property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getStateProvinceCounty() {
            return stateProvinceCounty;
        }

        /**
         * Sets the value of the stateProvinceCounty property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setStateProvinceCounty(String value) {
            this.stateProvinceCounty = value;
        }

        /**
         * Gets the value of the country property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCountry() {
            return country;
        }

        /**
         * Sets the value of the country property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCountry(String value) {
            this.country = value;
        }

        /**
         * Gets the value of the postingIdentifier property.
         * 
         * @return
         *     possible object is
         *     {@link TextualType }
         *     
         */
        public TextualType getPostingIdentifier() {
            return postingIdentifier;
        }

        /**
         * Sets the value of the postingIdentifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link TextualType }
         *     
         */
        public void setPostingIdentifier(TextualType value) {
            this.postingIdentifier = value;
        }

    }

}
