
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ProbabilityDistributionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProbabilityDistributionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ProbabilityModelType">
 *       &lt;sequence>
 *         &lt;element name="Mean" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Variance" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Min" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Max" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Mode" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Median" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *         &lt;element name="Moment" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Value">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
 *                           &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Center" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Cumulant" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Value">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
 *                           &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Center" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="dim" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" default="1" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProbabilityDistributionType", propOrder = {
    "mean",
    "variance",
    "min",
    "max",
    "mode",
    "median",
    "moment",
    "cumulant"
})
@XmlSeeAlso({
    DiscreteDistributionType.class,
    ContinuousDistributionType.class
})
public class ProbabilityDistributionType
    extends ProbabilityModelType
{

    @XmlElement(name = "Mean")
    protected DoubleMatrixType mean;
    @XmlElement(name = "Variance")
    protected DoubleMatrixType variance;
    @XmlElement(name = "Min")
    protected DoubleMatrixType min;
    @XmlElement(name = "Max")
    protected DoubleMatrixType max;
    @XmlElement(name = "Mode")
    protected DoubleMatrixType mode;
    @XmlElement(name = "Median")
    protected DoubleMatrixType median;
    @XmlElement(name = "Moment")
    protected List<ProbabilityDistributionType.Moment> moment;
    @XmlElement(name = "Cumulant")
    protected List<ProbabilityDistributionType.Cumulant> cumulant;
    @XmlAttribute(name = "dim")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger dim;

    /**
     * Gets the value of the mean property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getMean() {
        return mean;
    }

    /**
     * Sets the value of the mean property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setMean(DoubleMatrixType value) {
        this.mean = value;
    }

    /**
     * Gets the value of the variance property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getVariance() {
        return variance;
    }

    /**
     * Sets the value of the variance property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setVariance(DoubleMatrixType value) {
        this.variance = value;
    }

    /**
     * Gets the value of the min property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getMin() {
        return min;
    }

    /**
     * Sets the value of the min property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setMin(DoubleMatrixType value) {
        this.min = value;
    }

    /**
     * Gets the value of the max property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getMax() {
        return max;
    }

    /**
     * Sets the value of the max property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setMax(DoubleMatrixType value) {
        this.max = value;
    }

    /**
     * Gets the value of the mode property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getMode() {
        return mode;
    }

    /**
     * Sets the value of the mode property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setMode(DoubleMatrixType value) {
        this.mode = value;
    }

    /**
     * Gets the value of the median property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getMedian() {
        return median;
    }

    /**
     * Sets the value of the median property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setMedian(DoubleMatrixType value) {
        this.median = value;
    }

    /**
     * Gets the value of the moment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the moment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMoment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProbabilityDistributionType.Moment }
     * 
     * 
     */
    public List<ProbabilityDistributionType.Moment> getMoment() {
        if (moment == null) {
            moment = new ArrayList<ProbabilityDistributionType.Moment>();
        }
        return this.moment;
    }

    /**
     * Gets the value of the cumulant property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cumulant property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCumulant().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProbabilityDistributionType.Cumulant }
     * 
     * 
     */
    public List<ProbabilityDistributionType.Cumulant> getCumulant() {
        if (cumulant == null) {
            cumulant = new ArrayList<ProbabilityDistributionType.Cumulant>();
        }
        return this.cumulant;
    }

    /**
     * Gets the value of the dim property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getDim() {
        if (dim == null) {
            return new BigInteger("1");
        } else {
            return dim;
        }
    }

    /**
     * Sets the value of the dim property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setDim(BigInteger value) {
        this.dim = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Value">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
     *                 &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Center" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value",
        "center"
    })
    public static class Cumulant {

        @XmlElement(name = "Value", required = true)
        protected ProbabilityDistributionType.Cumulant.Value value;
        @XmlElement(name = "Center")
        protected DoubleMatrixType center;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link ProbabilityDistributionType.Cumulant.Value }
         *     
         */
        public ProbabilityDistributionType.Cumulant.Value getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link ProbabilityDistributionType.Cumulant.Value }
         *     
         */
        public void setValue(ProbabilityDistributionType.Cumulant.Value value) {
            this.value = value;
        }

        /**
         * Gets the value of the center property.
         * 
         * @return
         *     possible object is
         *     {@link DoubleMatrixType }
         *     
         */
        public DoubleMatrixType getCenter() {
            return center;
        }

        /**
         * Sets the value of the center property.
         * 
         * @param value
         *     allowed object is
         *     {@link DoubleMatrixType }
         *     
         */
        public void setCenter(DoubleMatrixType value) {
            this.center = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
         *       &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Value
            extends DoubleMatrixType
        {

            @XmlAttribute(name = "order", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger order;

            /**
             * Gets the value of the order property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getOrder() {
                return order;
            }

            /**
             * Sets the value of the order property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setOrder(BigInteger value) {
                this.order = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Value">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
     *                 &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Center" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value",
        "center"
    })
    public static class Moment {

        @XmlElement(name = "Value", required = true)
        protected ProbabilityDistributionType.Moment.Value value;
        @XmlElement(name = "Center")
        protected DoubleMatrixType center;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link ProbabilityDistributionType.Moment.Value }
         *     
         */
        public ProbabilityDistributionType.Moment.Value getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link ProbabilityDistributionType.Moment.Value }
         *     
         */
        public void setValue(ProbabilityDistributionType.Moment.Value value) {
            this.value = value;
        }

        /**
         * Gets the value of the center property.
         * 
         * @return
         *     possible object is
         *     {@link DoubleMatrixType }
         *     
         */
        public DoubleMatrixType getCenter() {
            return center;
        }

        /**
         * Sets the value of the center property.
         * 
         * @param value
         *     allowed object is
         *     {@link DoubleMatrixType }
         *     
         */
        public void setCenter(DoubleMatrixType value) {
            this.center = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>DoubleMatrixType">
         *       &lt;attribute name="order" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Value
            extends DoubleMatrixType
        {

            @XmlAttribute(name = "order", required = true)
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger order;

            /**
             * Gets the value of the order property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getOrder() {
                return order;
            }

            /**
             * Sets the value of the order property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setOrder(BigInteger value) {
                this.order = value;
            }

        }

    }

}
