
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RhythmicBaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RhythmicBaseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="PrimeIndex" type="{urn:mpeg:mpeg7:schema:2004}integerVector"/>
 *         &lt;element name="Velocity" type="{urn:mpeg:mpeg7:schema:2004}integerVector"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RhythmicBaseType", propOrder = {
    "primeIndex",
    "velocity"
})
public class RhythmicBaseType
    extends AudioDType
{

    @XmlList
    @XmlElement(name = "PrimeIndex", required = true)
    protected List<BigInteger> primeIndex;
    @XmlList
    @XmlElement(name = "Velocity", required = true)
    protected List<BigInteger> velocity;

    /**
     * Gets the value of the primeIndex property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the primeIndex property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPrimeIndex().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getPrimeIndex() {
        if (primeIndex == null) {
            primeIndex = new ArrayList<BigInteger>();
        }
        return this.primeIndex;
    }

    /**
     * Gets the value of the velocity property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the velocity property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVelocity().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getVelocity() {
        if (velocity == null) {
            velocity = new ArrayList<BigInteger>();
        }
        return this.velocity;
    }

}
