
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SceneGraphMaskType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SceneGraphMaskType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MaskType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="SubGraph" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="SubGraphNum" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SceneGraphMaskType", propOrder = {
    "subGraphOrSubGraphNum"
})
public class SceneGraphMaskType
    extends MaskType
{

    @XmlElements({
        @XmlElement(name = "SubGraphNum", type = BigInteger.class),
        @XmlElement(name = "SubGraph", type = String.class)
    })
    protected List<Serializable> subGraphOrSubGraphNum;

    /**
     * Gets the value of the subGraphOrSubGraphNum property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the subGraphOrSubGraphNum property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSubGraphOrSubGraphNum().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * {@link String }
     * 
     * 
     */
    public List<Serializable> getSubGraphOrSubGraphNum() {
        if (subGraphOrSubGraphNum == null) {
            subGraphOrSubGraphNum = new ArrayList<Serializable>();
        }
        return this.subGraphOrSubGraphNum;
    }

}
