
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SegmentCollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SegmentCollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}CollectionType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Segment" type="{urn:mpeg:mpeg7:schema:2004}SegmentType"/>
 *           &lt;element name="SegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SegmentCollection" type="{urn:mpeg:mpeg7:schema:2004}SegmentCollectionType"/>
 *           &lt;element name="SegmentCollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SegmentCollectionType", propOrder = {
    "segmentOrSegmentRef",
    "segmentCollectionOrSegmentCollectionRef"
})
public class SegmentCollectionType
    extends CollectionType
{

    @XmlElements({
        @XmlElement(name = "Segment", type = SegmentType.class),
        @XmlElement(name = "SegmentRef", type = ReferenceType.class)
    })
    protected List<Object> segmentOrSegmentRef;
    @XmlElements({
        @XmlElement(name = "SegmentCollection", type = SegmentCollectionType.class),
        @XmlElement(name = "SegmentCollectionRef", type = ReferenceType.class)
    })
    protected List<Object> segmentCollectionOrSegmentCollectionRef;

    /**
     * Gets the value of the segmentOrSegmentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentOrSegmentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentOrSegmentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getSegmentOrSegmentRef() {
        if (segmentOrSegmentRef == null) {
            segmentOrSegmentRef = new ArrayList<Object>();
        }
        return this.segmentOrSegmentRef;
    }

    /**
     * Gets the value of the segmentCollectionOrSegmentCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentCollectionOrSegmentCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentCollectionOrSegmentCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentCollectionType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getSegmentCollectionOrSegmentCollectionRef() {
        if (segmentCollectionOrSegmentCollectionRef == null) {
            segmentCollectionOrSegmentCollectionRef = new ArrayList<Object>();
        }
        return this.segmentCollectionOrSegmentCollectionRef;
    }

}
