
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticBagType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticBagType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SemanticBase" type="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType"/>
 *           &lt;element name="SemanticBaseRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;element name="Graph" type="{urn:mpeg:mpeg7:schema:2004}GraphType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticBagType", propOrder = {
    "semanticBaseOrSemanticBaseRef",
    "graph"
})
@XmlSeeAlso({
    SemanticType.class
})
public abstract class SemanticBagType
    extends SemanticBaseType
{

    @XmlElements({
        @XmlElement(name = "SemanticBaseRef", type = ReferenceType.class),
        @XmlElement(name = "SemanticBase", type = SemanticBaseType.class)
    })
    protected List<Object> semanticBaseOrSemanticBaseRef;
    @XmlElement(name = "Graph")
    protected List<GraphType> graph;

    /**
     * Gets the value of the semanticBaseOrSemanticBaseRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the semanticBaseOrSemanticBaseRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSemanticBaseOrSemanticBaseRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link SemanticBaseType }
     * 
     * 
     */
    public List<Object> getSemanticBaseOrSemanticBaseRef() {
        if (semanticBaseOrSemanticBaseRef == null) {
            semanticBaseOrSemanticBaseRef = new ArrayList<Object>();
        }
        return this.semanticBaseOrSemanticBaseRef;
    }

    /**
     * Gets the value of the graph property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the graph property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGraph().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GraphType }
     * 
     * 
     */
    public List<GraphType> getGraph() {
        if (graph == null) {
            graph = new ArrayList<GraphType>();
        }
        return this.graph;
    }

}
