
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticPlaceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticPlaceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
 *       &lt;sequence>
 *         &lt;element name="Place" type="{urn:mpeg:mpeg7:schema:2004}PlaceType" minOccurs="0"/>
 *         &lt;element name="SemanticPlaceInterval" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Position" type="{urn:mpeg:mpeg7:schema:2004}PositionType" minOccurs="0"/>
 *                   &lt;element name="Extent" type="{urn:mpeg:mpeg7:schema:2004}ExtentType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticPlaceType", propOrder = {
    "place",
    "semanticPlaceInterval"
})
public class SemanticPlaceType
    extends SemanticBaseType
{

    @XmlElement(name = "Place")
    protected PlaceType place;
    @XmlElement(name = "SemanticPlaceInterval")
    protected List<SemanticPlaceType.SemanticPlaceInterval> semanticPlaceInterval;

    /**
     * Gets the value of the place property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType }
     *     
     */
    public PlaceType getPlace() {
        return place;
    }

    /**
     * Sets the value of the place property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType }
     *     
     */
    public void setPlace(PlaceType value) {
        this.place = value;
    }

    /**
     * Gets the value of the semanticPlaceInterval property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the semanticPlaceInterval property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSemanticPlaceInterval().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticPlaceType.SemanticPlaceInterval }
     * 
     * 
     */
    public List<SemanticPlaceType.SemanticPlaceInterval> getSemanticPlaceInterval() {
        if (semanticPlaceInterval == null) {
            semanticPlaceInterval = new ArrayList<SemanticPlaceType.SemanticPlaceInterval>();
        }
        return this.semanticPlaceInterval;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Position" type="{urn:mpeg:mpeg7:schema:2004}PositionType" minOccurs="0"/>
     *         &lt;element name="Extent" type="{urn:mpeg:mpeg7:schema:2004}ExtentType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "position",
        "extent"
    })
    public static class SemanticPlaceInterval {

        @XmlElement(name = "Position")
        protected PositionType position;
        @XmlElement(name = "Extent")
        protected ExtentType extent;

        /**
         * Gets the value of the position property.
         * 
         * @return
         *     possible object is
         *     {@link PositionType }
         *     
         */
        public PositionType getPosition() {
            return position;
        }

        /**
         * Sets the value of the position property.
         * 
         * @param value
         *     allowed object is
         *     {@link PositionType }
         *     
         */
        public void setPosition(PositionType value) {
            this.position = value;
        }

        /**
         * Gets the value of the extent property.
         * 
         * @return
         *     possible object is
         *     {@link ExtentType }
         *     
         */
        public ExtentType getExtent() {
            return extent;
        }

        /**
         * Sets the value of the extent property.
         * 
         * @param value
         *     allowed object is
         *     {@link ExtentType }
         *     
         */
        public void setExtent(ExtentType value) {
            this.extent = value;
        }

    }

}
