
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticTimeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticTimeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
 *       &lt;sequence>
 *         &lt;element name="Time" type="{urn:mpeg:mpeg7:schema:2004}TimeType" minOccurs="0"/>
 *         &lt;element name="SemanticTimeInterval" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="TimePoint" type="{urn:mpeg:mpeg7:schema:2004}PositionType" minOccurs="0"/>
 *                   &lt;element name="Duration" type="{urn:mpeg:mpeg7:schema:2004}ExtentType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticTimeType", propOrder = {
    "time",
    "semanticTimeInterval"
})
public class SemanticTimeType
    extends SemanticBaseType
{

    @XmlElement(name = "Time")
    protected TimeType time;
    @XmlElement(name = "SemanticTimeInterval")
    protected List<SemanticTimeType.SemanticTimeInterval> semanticTimeInterval;

    /**
     * Gets the value of the time property.
     * 
     * @return
     *     possible object is
     *     {@link TimeType }
     *     
     */
    public TimeType getTime() {
        return time;
    }

    /**
     * Sets the value of the time property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeType }
     *     
     */
    public void setTime(TimeType value) {
        this.time = value;
    }

    /**
     * Gets the value of the semanticTimeInterval property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the semanticTimeInterval property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSemanticTimeInterval().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticTimeType.SemanticTimeInterval }
     * 
     * 
     */
    public List<SemanticTimeType.SemanticTimeInterval> getSemanticTimeInterval() {
        if (semanticTimeInterval == null) {
            semanticTimeInterval = new ArrayList<SemanticTimeType.SemanticTimeInterval>();
        }
        return this.semanticTimeInterval;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="TimePoint" type="{urn:mpeg:mpeg7:schema:2004}PositionType" minOccurs="0"/>
     *         &lt;element name="Duration" type="{urn:mpeg:mpeg7:schema:2004}ExtentType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "timePoint",
        "duration"
    })
    public static class SemanticTimeInterval {

        @XmlElement(name = "TimePoint")
        protected PositionType timePoint;
        @XmlElement(name = "Duration")
        protected ExtentType duration;

        /**
         * Gets the value of the timePoint property.
         * 
         * @return
         *     possible object is
         *     {@link PositionType }
         *     
         */
        public PositionType getTimePoint() {
            return timePoint;
        }

        /**
         * Sets the value of the timePoint property.
         * 
         * @param value
         *     allowed object is
         *     {@link PositionType }
         *     
         */
        public void setTimePoint(PositionType value) {
            this.timePoint = value;
        }

        /**
         * Gets the value of the duration property.
         * 
         * @return
         *     possible object is
         *     {@link ExtentType }
         *     
         */
        public ExtentType getDuration() {
            return duration;
        }

        /**
         * Sets the value of the duration property.
         * 
         * @param value
         *     allowed object is
         *     {@link ExtentType }
         *     
         */
        public void setDuration(ExtentType value) {
            this.duration = value;
        }

    }

}
