
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SeriesOfScalarType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeriesOfScalarType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ScalableSeriesType">
 *       &lt;sequence>
 *         &lt;element name="Raw" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Min" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Max" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Mean" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Random" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="First" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Last" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Variance" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="Weight" type="{urn:mpeg:mpeg7:schema:2004}floatVector" minOccurs="0"/>
 *         &lt;element name="LogBase" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeriesOfScalarType", propOrder = {
    "raw",
    "min",
    "max",
    "mean",
    "random",
    "first",
    "last",
    "variance",
    "weight",
    "logBase"
})
@XmlSeeAlso({
    SeriesOfScalarBinaryType.class,
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.AudioLLDScalarType.SeriesOfScalar.class
})
public class SeriesOfScalarType
    extends ScalableSeriesType
{

    @XmlList
    @XmlElement(name = "Raw", type = Float.class)
    protected List<Float> raw;
    @XmlList
    @XmlElement(name = "Min", type = Float.class)
    protected List<Float> min;
    @XmlList
    @XmlElement(name = "Max", type = Float.class)
    protected List<Float> max;
    @XmlList
    @XmlElement(name = "Mean", type = Float.class)
    protected List<Float> mean;
    @XmlList
    @XmlElement(name = "Random", type = Float.class)
    protected List<Float> random;
    @XmlList
    @XmlElement(name = "First", type = Float.class)
    protected List<Float> first;
    @XmlList
    @XmlElement(name = "Last", type = Float.class)
    protected List<Float> last;
    @XmlList
    @XmlElement(name = "Variance", type = Float.class)
    protected List<Float> variance;
    @XmlList
    @XmlElement(name = "Weight", type = Float.class)
    protected List<Float> weight;
    @XmlElement(name = "LogBase", defaultValue = "1.0")
    protected Float logBase;

    /**
     * Gets the value of the raw property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the raw property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRaw().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getRaw() {
        if (raw == null) {
            raw = new ArrayList<Float>();
        }
        return this.raw;
    }

    /**
     * Gets the value of the min property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the min property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMin().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getMin() {
        if (min == null) {
            min = new ArrayList<Float>();
        }
        return this.min;
    }

    /**
     * Gets the value of the max property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the max property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMax().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getMax() {
        if (max == null) {
            max = new ArrayList<Float>();
        }
        return this.max;
    }

    /**
     * Gets the value of the mean property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mean property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMean().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getMean() {
        if (mean == null) {
            mean = new ArrayList<Float>();
        }
        return this.mean;
    }

    /**
     * Gets the value of the random property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the random property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRandom().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getRandom() {
        if (random == null) {
            random = new ArrayList<Float>();
        }
        return this.random;
    }

    /**
     * Gets the value of the first property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the first property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFirst().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getFirst() {
        if (first == null) {
            first = new ArrayList<Float>();
        }
        return this.first;
    }

    /**
     * Gets the value of the last property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the last property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLast().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getLast() {
        if (last == null) {
            last = new ArrayList<Float>();
        }
        return this.last;
    }

    /**
     * Gets the value of the variance property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the variance property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVariance().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getVariance() {
        if (variance == null) {
            variance = new ArrayList<Float>();
        }
        return this.variance;
    }

    /**
     * Gets the value of the weight property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the weight property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWeight().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getWeight() {
        if (weight == null) {
            weight = new ArrayList<Float>();
        }
        return this.weight;
    }

    /**
     * Gets the value of the logBase property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getLogBase() {
        return logBase;
    }

    /**
     * Sets the value of the logBase property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLogBase(Float value) {
        this.logBase = value;
    }

}
