
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Shape3DType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Shape3DType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="Spectrum">
 *           &lt;simpleType>
 *             &lt;restriction>
 *               &lt;simpleType>
 *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned12" />
 *               &lt;/simpleType>
 *               &lt;maxLength value="255"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="PlanarSurfaces" type="{urn:mpeg:mpeg7:schema:2004}unsigned12"/>
 *         &lt;element name="SingularSurfaces" type="{urn:mpeg:mpeg7:schema:2004}unsigned12"/>
 *       &lt;/sequence>
 *       &lt;attribute name="bitsPerBin" type="{urn:mpeg:mpeg7:schema:2004}unsigned4" default="12" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Shape3DType", propOrder = {
    "spectrum",
    "planarSurfaces",
    "singularSurfaces"
})
public class Shape3DType
    extends VisualDType
{

    @XmlList
    @XmlElement(name = "Spectrum", type = Integer.class)
    protected List<Integer> spectrum;
    @XmlElement(name = "PlanarSurfaces")
    protected int planarSurfaces;
    @XmlElement(name = "SingularSurfaces")
    protected int singularSurfaces;
    @XmlAttribute(name = "bitsPerBin")
    protected Integer bitsPerBin;

    /**
     * Gets the value of the spectrum property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spectrum property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpectrum().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getSpectrum() {
        if (spectrum == null) {
            spectrum = new ArrayList<Integer>();
        }
        return this.spectrum;
    }

    /**
     * Gets the value of the planarSurfaces property.
     * 
     */
    public int getPlanarSurfaces() {
        return planarSurfaces;
    }

    /**
     * Sets the value of the planarSurfaces property.
     * 
     */
    public void setPlanarSurfaces(int value) {
        this.planarSurfaces = value;
    }

    /**
     * Gets the value of the singularSurfaces property.
     * 
     */
    public int getSingularSurfaces() {
        return singularSurfaces;
    }

    /**
     * Sets the value of the singularSurfaces property.
     * 
     */
    public void setSingularSurfaces(int value) {
        this.singularSurfaces = value;
    }

    /**
     * Gets the value of the bitsPerBin property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public int getBitsPerBin() {
        if (bitsPerBin == null) {
            return  12;
        } else {
            return bitsPerBin;
        }
    }

    /**
     * Sets the value of the bitsPerBin property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBitsPerBin(Integer value) {
        this.bitsPerBin = value;
    }

}
