
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SourcePreferencesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SourcePreferencesType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="DisseminationFormat" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DisseminationSource" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>TextualType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DisseminationLocation" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}PlaceType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DisseminationDate" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TimeType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Disseminator" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaAgentType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="MediaFormat" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaFormatType">
 *                 &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="noRepeat" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="noEncryption" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="noPayPerUse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SourcePreferencesType", propOrder = {
    "disseminationFormat",
    "disseminationSource",
    "disseminationLocation",
    "disseminationDate",
    "disseminator",
    "mediaFormat"
})
public class SourcePreferencesType
    extends DSType
{

    @XmlElement(name = "DisseminationFormat")
    protected List<SourcePreferencesType.DisseminationFormat> disseminationFormat;
    @XmlElement(name = "DisseminationSource")
    protected List<SourcePreferencesType.DisseminationSource> disseminationSource;
    @XmlElement(name = "DisseminationLocation")
    protected List<SourcePreferencesType.DisseminationLocation> disseminationLocation;
    @XmlElement(name = "DisseminationDate")
    protected List<SourcePreferencesType.DisseminationDate> disseminationDate;
    @XmlElement(name = "Disseminator")
    protected List<SourcePreferencesType.Disseminator> disseminator;
    @XmlElement(name = "MediaFormat")
    protected List<SourcePreferencesType.MediaFormat> mediaFormat;
    @XmlAttribute(name = "noRepeat")
    protected Boolean noRepeat;
    @XmlAttribute(name = "noEncryption")
    protected Boolean noEncryption;
    @XmlAttribute(name = "noPayPerUse")
    protected Boolean noPayPerUse;
    @XmlAttribute(name = "preferenceValue")
    protected Integer preferenceValue;

    /**
     * Gets the value of the disseminationFormat property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disseminationFormat property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisseminationFormat().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.DisseminationFormat }
     * 
     * 
     */
    public List<SourcePreferencesType.DisseminationFormat> getDisseminationFormat() {
        if (disseminationFormat == null) {
            disseminationFormat = new ArrayList<SourcePreferencesType.DisseminationFormat>();
        }
        return this.disseminationFormat;
    }

    /**
     * Gets the value of the disseminationSource property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disseminationSource property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisseminationSource().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.DisseminationSource }
     * 
     * 
     */
    public List<SourcePreferencesType.DisseminationSource> getDisseminationSource() {
        if (disseminationSource == null) {
            disseminationSource = new ArrayList<SourcePreferencesType.DisseminationSource>();
        }
        return this.disseminationSource;
    }

    /**
     * Gets the value of the disseminationLocation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disseminationLocation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisseminationLocation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.DisseminationLocation }
     * 
     * 
     */
    public List<SourcePreferencesType.DisseminationLocation> getDisseminationLocation() {
        if (disseminationLocation == null) {
            disseminationLocation = new ArrayList<SourcePreferencesType.DisseminationLocation>();
        }
        return this.disseminationLocation;
    }

    /**
     * Gets the value of the disseminationDate property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disseminationDate property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisseminationDate().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.DisseminationDate }
     * 
     * 
     */
    public List<SourcePreferencesType.DisseminationDate> getDisseminationDate() {
        if (disseminationDate == null) {
            disseminationDate = new ArrayList<SourcePreferencesType.DisseminationDate>();
        }
        return this.disseminationDate;
    }

    /**
     * Gets the value of the disseminator property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disseminator property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisseminator().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.Disseminator }
     * 
     * 
     */
    public List<SourcePreferencesType.Disseminator> getDisseminator() {
        if (disseminator == null) {
            disseminator = new ArrayList<SourcePreferencesType.Disseminator>();
        }
        return this.disseminator;
    }

    /**
     * Gets the value of the mediaFormat property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaFormat property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaFormat().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SourcePreferencesType.MediaFormat }
     * 
     * 
     */
    public List<SourcePreferencesType.MediaFormat> getMediaFormat() {
        if (mediaFormat == null) {
            mediaFormat = new ArrayList<SourcePreferencesType.MediaFormat>();
        }
        return this.mediaFormat;
    }

    /**
     * Gets the value of the noRepeat property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNoRepeat() {
        return noRepeat;
    }

    /**
     * Sets the value of the noRepeat property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNoRepeat(Boolean value) {
        this.noRepeat = value;
    }

    /**
     * Gets the value of the noEncryption property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNoEncryption() {
        return noEncryption;
    }

    /**
     * Sets the value of the noEncryption property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNoEncryption(Boolean value) {
        this.noEncryption = value;
    }

    /**
     * Gets the value of the noPayPerUse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNoPayPerUse() {
        return noPayPerUse;
    }

    /**
     * Sets the value of the noPayPerUse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNoPayPerUse(Boolean value) {
        this.noPayPerUse = value;
    }

    /**
     * Gets the value of the preferenceValue property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public int getPreferenceValue() {
        if (preferenceValue == null) {
            return  10;
        } else {
            return preferenceValue;
        }
    }

    /**
     * Sets the value of the preferenceValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPreferenceValue(Integer value) {
        this.preferenceValue = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TimeType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class DisseminationDate
        extends TimeType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class DisseminationFormat
        extends TermUseType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}PlaceType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class DisseminationLocation
        extends PlaceType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>TextualType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class DisseminationSource
        extends TextualType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaAgentType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Disseminator
        extends MediaAgentType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaFormatType">
     *       &lt;attribute name="preferenceValue" type="{urn:mpeg:mpeg7:schema:2004}preferenceValueType" default="10" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class MediaFormat
        extends MediaFormatType
    {

        @XmlAttribute(name = "preferenceValue")
        protected Integer preferenceValue;

        /**
         * Gets the value of the preferenceValue property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public int getPreferenceValue() {
            if (preferenceValue == null) {
                return  10;
            } else {
                return preferenceValue;
            }
        }

        /**
         * Sets the value of the preferenceValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setPreferenceValue(Integer value) {
            this.preferenceValue = value;
        }

    }

}
