
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SpaceViewType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpaceViewType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ViewType">
 *       &lt;choice>
 *         &lt;element name="SpacePartition" type="{urn:mpeg:mpeg7:schema:2004}PartitionType"/>
 *         &lt;element name="SpaceRegion" type="{urn:mpeg:mpeg7:schema:2004}RegionLocatorType"/>
 *         &lt;element name="SpatioTemporalRegion" type="{urn:mpeg:mpeg7:schema:2004}SpatioTemporalLocatorType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpaceViewType", propOrder = {
    "spacePartition",
    "spaceRegion",
    "spatioTemporalRegion"
})
public class SpaceViewType
    extends ViewType
{

    @XmlElement(name = "SpacePartition")
    protected PartitionType spacePartition;
    @XmlElement(name = "SpaceRegion")
    protected RegionLocatorType spaceRegion;
    @XmlElement(name = "SpatioTemporalRegion")
    protected SpatioTemporalLocatorType spatioTemporalRegion;

    /**
     * Gets the value of the spacePartition property.
     * 
     * @return
     *     possible object is
     *     {@link PartitionType }
     *     
     */
    public PartitionType getSpacePartition() {
        return spacePartition;
    }

    /**
     * Sets the value of the spacePartition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PartitionType }
     *     
     */
    public void setSpacePartition(PartitionType value) {
        this.spacePartition = value;
    }

    /**
     * Gets the value of the spaceRegion property.
     * 
     * @return
     *     possible object is
     *     {@link RegionLocatorType }
     *     
     */
    public RegionLocatorType getSpaceRegion() {
        return spaceRegion;
    }

    /**
     * Sets the value of the spaceRegion property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegionLocatorType }
     *     
     */
    public void setSpaceRegion(RegionLocatorType value) {
        this.spaceRegion = value;
    }

    /**
     * Gets the value of the spatioTemporalRegion property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public SpatioTemporalLocatorType getSpatioTemporalRegion() {
        return spatioTemporalRegion;
    }

    /**
     * Sets the value of the spatioTemporalRegion property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public void setSpatioTemporalRegion(SpatioTemporalLocatorType value) {
        this.spatioTemporalRegion = value;
    }

}
