
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SpatioTemporalLocatorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpatioTemporalLocatorType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="CoordRef" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="ref" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *                 &lt;attribute name="spatialRef" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="FigureTrajectory" type="{urn:mpeg:mpeg7:schema:2004}FigureTrajectoryType"/>
 *           &lt;element name="ParameterTrajectory" type="{urn:mpeg:mpeg7:schema:2004}ParameterTrajectoryType"/>
 *           &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpatioTemporalLocatorType", propOrder = {
    "coordRef",
    "figureTrajectoryOrParameterTrajectoryOrMediaTime"
})
public class SpatioTemporalLocatorType {

    @XmlElement(name = "CoordRef")
    protected SpatioTemporalLocatorType.CoordRef coordRef;
    @XmlElements({
        @XmlElement(name = "FigureTrajectory", type = FigureTrajectoryType.class),
        @XmlElement(name = "MediaTime", type = MediaTimeType.class),
        @XmlElement(name = "ParameterTrajectory", type = ParameterTrajectoryType.class)
    })
    protected List<Object> figureTrajectoryOrParameterTrajectoryOrMediaTime;

    /**
     * Gets the value of the coordRef property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalLocatorType.CoordRef }
     *     
     */
    public SpatioTemporalLocatorType.CoordRef getCoordRef() {
        return coordRef;
    }

    /**
     * Sets the value of the coordRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalLocatorType.CoordRef }
     *     
     */
    public void setCoordRef(SpatioTemporalLocatorType.CoordRef value) {
        this.coordRef = value;
    }

    /**
     * Gets the value of the figureTrajectoryOrParameterTrajectoryOrMediaTime property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the figureTrajectoryOrParameterTrajectoryOrMediaTime property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFigureTrajectoryOrParameterTrajectoryOrMediaTime().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FigureTrajectoryType }
     * {@link MediaTimeType }
     * {@link ParameterTrajectoryType }
     * 
     * 
     */
    public List<Object> getFigureTrajectoryOrParameterTrajectoryOrMediaTime() {
        if (figureTrajectoryOrParameterTrajectoryOrMediaTime == null) {
            figureTrajectoryOrParameterTrajectoryOrMediaTime = new ArrayList<Object>();
        }
        return this.figureTrajectoryOrParameterTrajectoryOrMediaTime;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="ref" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
     *       &lt;attribute name="spatialRef" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class CoordRef {

        @XmlAttribute(name = "ref", required = true)
        @XmlIDREF
        @XmlSchemaType(name = "IDREF")
        protected Object ref;
        @XmlAttribute(name = "spatialRef", required = true)
        protected boolean spatialRef;

        /**
         * Gets the value of the ref property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getRef() {
            return ref;
        }

        /**
         * Sets the value of the ref property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setRef(Object value) {
            this.ref = value;
        }

        /**
         * Gets the value of the spatialRef property.
         * 
         */
        public boolean isSpatialRef() {
            return spatialRef;
        }

        /**
         * Sets the value of the spatialRef property.
         * 
         */
        public void setSpatialRef(boolean value) {
            this.spatialRef = value;
        }

    }

}
