
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SpeakerInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpeakerInfoType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}HeaderType">
 *       &lt;sequence>
 *         &lt;element name="SpokenLanguage" type="{http://www.w3.org/2001/XMLSchema}language"/>
 *         &lt;element name="Person" type="{urn:mpeg:mpeg7:schema:2004}PersonType" minOccurs="0"/>
 *         &lt;element name="WordIndex" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="WordIndexEntry" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
 *                           &lt;/sequence>
 *                           &lt;attribute name="key" use="required">
 *                             &lt;simpleType>
 *                               &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="defaultLattice" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="PhoneIndex" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="PhoneIndexEntry" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
 *                           &lt;/sequence>
 *                           &lt;attribute name="key" use="required">
 *                             &lt;simpleType>
 *                               &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="defaultLattice" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="phoneLexiconRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="wordLexiconRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="confusionInfoRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="descriptionMetadataRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="provenance" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="unknown"/>
 *             &lt;enumeration value="ASR"/>
 *             &lt;enumeration value="manual"/>
 *             &lt;enumeration value="keyword"/>
 *             &lt;enumeration value="parsing"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpeakerInfoType", propOrder = {
    "spokenLanguage",
    "person",
    "wordIndex",
    "phoneIndex"
})
public class SpeakerInfoType
    extends HeaderType
{

    @XmlElement(name = "SpokenLanguage", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    protected String spokenLanguage;
    @XmlElement(name = "Person")
    protected PersonType person;
    @XmlElement(name = "WordIndex")
    protected SpeakerInfoType.WordIndex wordIndex;
    @XmlElement(name = "PhoneIndex")
    protected SpeakerInfoType.PhoneIndex phoneIndex;
    @XmlAttribute(name = "phoneLexiconRef")
    @XmlSchemaType(name = "anyURI")
    protected String phoneLexiconRef;
    @XmlAttribute(name = "wordLexiconRef")
    @XmlSchemaType(name = "anyURI")
    protected String wordLexiconRef;
    @XmlAttribute(name = "confusionInfoRef")
    @XmlSchemaType(name = "anyURI")
    protected String confusionInfoRef;
    @XmlAttribute(name = "descriptionMetadataRef")
    @XmlSchemaType(name = "anyURI")
    protected String descriptionMetadataRef;
    @XmlAttribute(name = "provenance", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String provenance;

    /**
     * Gets the value of the spokenLanguage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSpokenLanguage() {
        return spokenLanguage;
    }

    /**
     * Sets the value of the spokenLanguage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSpokenLanguage(String value) {
        this.spokenLanguage = value;
    }

    /**
     * Gets the value of the person property.
     * 
     * @return
     *     possible object is
     *     {@link PersonType }
     *     
     */
    public PersonType getPerson() {
        return person;
    }

    /**
     * Sets the value of the person property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonType }
     *     
     */
    public void setPerson(PersonType value) {
        this.person = value;
    }

    /**
     * Gets the value of the wordIndex property.
     * 
     * @return
     *     possible object is
     *     {@link SpeakerInfoType.WordIndex }
     *     
     */
    public SpeakerInfoType.WordIndex getWordIndex() {
        return wordIndex;
    }

    /**
     * Sets the value of the wordIndex property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpeakerInfoType.WordIndex }
     *     
     */
    public void setWordIndex(SpeakerInfoType.WordIndex value) {
        this.wordIndex = value;
    }

    /**
     * Gets the value of the phoneIndex property.
     * 
     * @return
     *     possible object is
     *     {@link SpeakerInfoType.PhoneIndex }
     *     
     */
    public SpeakerInfoType.PhoneIndex getPhoneIndex() {
        return phoneIndex;
    }

    /**
     * Sets the value of the phoneIndex property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpeakerInfoType.PhoneIndex }
     *     
     */
    public void setPhoneIndex(SpeakerInfoType.PhoneIndex value) {
        this.phoneIndex = value;
    }

    /**
     * Gets the value of the phoneLexiconRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneLexiconRef() {
        return phoneLexiconRef;
    }

    /**
     * Sets the value of the phoneLexiconRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneLexiconRef(String value) {
        this.phoneLexiconRef = value;
    }

    /**
     * Gets the value of the wordLexiconRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWordLexiconRef() {
        return wordLexiconRef;
    }

    /**
     * Sets the value of the wordLexiconRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWordLexiconRef(String value) {
        this.wordLexiconRef = value;
    }

    /**
     * Gets the value of the confusionInfoRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConfusionInfoRef() {
        return confusionInfoRef;
    }

    /**
     * Sets the value of the confusionInfoRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConfusionInfoRef(String value) {
        this.confusionInfoRef = value;
    }

    /**
     * Gets the value of the descriptionMetadataRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescriptionMetadataRef() {
        return descriptionMetadataRef;
    }

    /**
     * Sets the value of the descriptionMetadataRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescriptionMetadataRef(String value) {
        this.descriptionMetadataRef = value;
    }

    /**
     * Gets the value of the provenance property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProvenance() {
        return provenance;
    }

    /**
     * Sets the value of the provenance property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProvenance(String value) {
        this.provenance = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PhoneIndexEntry" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
     *                 &lt;/sequence>
     *                 &lt;attribute name="key" use="required">
     *                   &lt;simpleType>
     *                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="defaultLattice" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "phoneIndexEntry"
    })
    public static class PhoneIndex {

        @XmlElement(name = "PhoneIndexEntry", required = true)
        protected List<SpeakerInfoType.PhoneIndex.PhoneIndexEntry> phoneIndexEntry;
        @XmlAttribute(name = "defaultLattice", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String defaultLattice;

        /**
         * Gets the value of the phoneIndexEntry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the phoneIndexEntry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPhoneIndexEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SpeakerInfoType.PhoneIndex.PhoneIndexEntry }
         * 
         * 
         */
        public List<SpeakerInfoType.PhoneIndex.PhoneIndexEntry> getPhoneIndexEntry() {
            if (phoneIndexEntry == null) {
                phoneIndexEntry = new ArrayList<SpeakerInfoType.PhoneIndex.PhoneIndexEntry>();
            }
            return this.phoneIndexEntry;
        }

        /**
         * Gets the value of the defaultLattice property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDefaultLattice() {
            return defaultLattice;
        }

        /**
         * Sets the value of the defaultLattice property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDefaultLattice(String value) {
            this.defaultLattice = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
         *       &lt;/sequence>
         *       &lt;attribute name="key" use="required">
         *         &lt;simpleType>
         *           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "indexEntry"
        })
        public static class PhoneIndexEntry {

            @XmlElement(name = "IndexEntry", required = true)
            protected List<SpokenContentIndexEntryType> indexEntry;
            @XmlAttribute(name = "key", required = true)
            protected List<Integer> key;

            /**
             * Gets the value of the indexEntry property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the indexEntry property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getIndexEntry().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link SpokenContentIndexEntryType }
             * 
             * 
             */
            public List<SpokenContentIndexEntryType> getIndexEntry() {
                if (indexEntry == null) {
                    indexEntry = new ArrayList<SpokenContentIndexEntryType>();
                }
                return this.indexEntry;
            }

            /**
             * Gets the value of the key property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the key property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getKey().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Integer }
             * 
             * 
             */
            public List<Integer> getKey() {
                if (key == null) {
                    key = new ArrayList<Integer>();
                }
                return this.key;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="WordIndexEntry" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
     *                 &lt;/sequence>
     *                 &lt;attribute name="key" use="required">
     *                   &lt;simpleType>
     *                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="defaultLattice" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "wordIndexEntry"
    })
    public static class WordIndex {

        @XmlElement(name = "WordIndexEntry", required = true)
        protected List<SpeakerInfoType.WordIndex.WordIndexEntry> wordIndexEntry;
        @XmlAttribute(name = "defaultLattice", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String defaultLattice;

        /**
         * Gets the value of the wordIndexEntry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the wordIndexEntry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getWordIndexEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SpeakerInfoType.WordIndex.WordIndexEntry }
         * 
         * 
         */
        public List<SpeakerInfoType.WordIndex.WordIndexEntry> getWordIndexEntry() {
            if (wordIndexEntry == null) {
                wordIndexEntry = new ArrayList<SpeakerInfoType.WordIndex.WordIndexEntry>();
            }
            return this.wordIndexEntry;
        }

        /**
         * Gets the value of the defaultLattice property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDefaultLattice() {
            return defaultLattice;
        }

        /**
         * Sets the value of the defaultLattice property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDefaultLattice(String value) {
            this.defaultLattice = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="IndexEntry" type="{urn:mpeg:mpeg7:schema:2004}SpokenContentIndexEntryType" maxOccurs="unbounded"/>
         *       &lt;/sequence>
         *       &lt;attribute name="key" use="required">
         *         &lt;simpleType>
         *           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "indexEntry"
        })
        public static class WordIndexEntry {

            @XmlElement(name = "IndexEntry", required = true)
            protected List<SpokenContentIndexEntryType> indexEntry;
            @XmlAttribute(name = "key", required = true)
            protected List<Long> key;

            /**
             * Gets the value of the indexEntry property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the indexEntry property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getIndexEntry().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link SpokenContentIndexEntryType }
             * 
             * 
             */
            public List<SpokenContentIndexEntryType> getIndexEntry() {
                if (indexEntry == null) {
                    indexEntry = new ArrayList<SpokenContentIndexEntryType>();
                }
                return this.indexEntry;
            }

            /**
             * Gets the value of the key property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the key property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getKey().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Long }
             * 
             * 
             */
            public List<Long> getKey() {
                if (key == null) {
                    key = new ArrayList<Long>();
                }
                return this.key;
            }

        }

    }

}
