
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SpokenContentHeaderType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpokenContentHeaderType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}HeaderType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="WordLexicon" type="{urn:mpeg:mpeg7:schema:2004}WordLexiconType"/>
 *           &lt;element name="PhoneLexicon" type="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconType"/>
 *         &lt;/choice>
 *         &lt;element name="ConfusionInfo" type="{urn:mpeg:mpeg7:schema:2004}ConfusionCountType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="DescriptionMetadata" type="{urn:mpeg:mpeg7:schema:2004}DescriptionMetadataType" minOccurs="0"/>
 *         &lt;element name="SpeakerInfo" type="{urn:mpeg:mpeg7:schema:2004}SpeakerInfoType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpokenContentHeaderType", propOrder = {
    "wordLexiconOrPhoneLexicon",
    "confusionInfo",
    "descriptionMetadata",
    "speakerInfo"
})
public class SpokenContentHeaderType
    extends HeaderType
{

    @XmlElements({
        @XmlElement(name = "WordLexicon", type = WordLexiconType.class),
        @XmlElement(name = "PhoneLexicon", type = PhoneLexiconType.class)
    })
    protected List<LexiconType> wordLexiconOrPhoneLexicon;
    @XmlElement(name = "ConfusionInfo")
    protected List<ConfusionCountType> confusionInfo;
    @XmlElement(name = "DescriptionMetadata")
    protected DescriptionMetadataType descriptionMetadata;
    @XmlElement(name = "SpeakerInfo", required = true)
    protected List<SpeakerInfoType> speakerInfo;

    /**
     * Gets the value of the wordLexiconOrPhoneLexicon property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the wordLexiconOrPhoneLexicon property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWordLexiconOrPhoneLexicon().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link WordLexiconType }
     * {@link PhoneLexiconType }
     * 
     * 
     */
    public List<LexiconType> getWordLexiconOrPhoneLexicon() {
        if (wordLexiconOrPhoneLexicon == null) {
            wordLexiconOrPhoneLexicon = new ArrayList<LexiconType>();
        }
        return this.wordLexiconOrPhoneLexicon;
    }

    /**
     * Gets the value of the confusionInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the confusionInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConfusionInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ConfusionCountType }
     * 
     * 
     */
    public List<ConfusionCountType> getConfusionInfo() {
        if (confusionInfo == null) {
            confusionInfo = new ArrayList<ConfusionCountType>();
        }
        return this.confusionInfo;
    }

    /**
     * Gets the value of the descriptionMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public DescriptionMetadataType getDescriptionMetadata() {
        return descriptionMetadata;
    }

    /**
     * Sets the value of the descriptionMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public void setDescriptionMetadata(DescriptionMetadataType value) {
        this.descriptionMetadata = value;
    }

    /**
     * Gets the value of the speakerInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the speakerInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpeakerInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SpeakerInfoType }
     * 
     * 
     */
    public List<SpeakerInfoType> getSpeakerInfo() {
        if (speakerInfo == null) {
            speakerInfo = new ArrayList<SpeakerInfoType>();
        }
        return this.speakerInfo;
    }

}
