
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StateTransitionModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StateTransitionModelType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}FiniteStateModelType">
 *       &lt;sequence>
 *         &lt;element name="Initial" type="{urn:mpeg:mpeg7:schema:2004}ProbabilityMatrixType" minOccurs="0"/>
 *         &lt;element name="Transitions" type="{urn:mpeg:mpeg7:schema:2004}ProbabilityMatrixType"/>
 *         &lt;element name="State" type="{urn:mpeg:mpeg7:schema:2004}ModelStateType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StateTransitionModelType", propOrder = {
    "initial",
    "transitions",
    "state"
})
@XmlSeeAlso({
    DiscreteHiddenMarkovModelType.class,
    ContinuousHiddenMarkovModelType.class
})
public class StateTransitionModelType
    extends FiniteStateModelType
{

    @XmlElement(name = "Initial")
    protected ProbabilityMatrixType initial;
    @XmlElement(name = "Transitions", required = true)
    protected ProbabilityMatrixType transitions;
    @XmlElement(name = "State", required = true)
    protected List<ModelStateType> state;

    /**
     * Gets the value of the initial property.
     * 
     * @return
     *     possible object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public ProbabilityMatrixType getInitial() {
        return initial;
    }

    /**
     * Sets the value of the initial property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public void setInitial(ProbabilityMatrixType value) {
        this.initial = value;
    }

    /**
     * Gets the value of the transitions property.
     * 
     * @return
     *     possible object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public ProbabilityMatrixType getTransitions() {
        return transitions;
    }

    /**
     * Sets the value of the transitions property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbabilityMatrixType }
     *     
     */
    public void setTransitions(ProbabilityMatrixType value) {
        this.transitions = value;
    }

    /**
     * Gets the value of the state property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the state property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getState().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ModelStateType }
     * 
     * 
     */
    public List<ModelStateType> getState() {
        if (state == null) {
            state = new ArrayList<ModelStateType>();
        }
        return this.state;
    }

}
