
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SubjectClassificationSchemeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SubjectClassificationSchemeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ClassificationSchemeBaseType">
 *       &lt;sequence>
 *         &lt;element name="Term" type="{urn:mpeg:mpeg7:schema:2004}SubjectTermDefinitionType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="subdelim" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" default="--" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SubjectClassificationSchemeType", propOrder = {
    "term"
})
public class SubjectClassificationSchemeType
    extends ClassificationSchemeBaseType
{

    @XmlElement(name = "Term", required = true)
    protected List<SubjectTermDefinitionType> term;
    @XmlAttribute(name = "subdelim")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String subdelim;

    /**
     * Gets the value of the term property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the term property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTerm().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SubjectTermDefinitionType }
     * 
     * 
     */
    public List<SubjectTermDefinitionType> getTerm() {
        if (term == null) {
            term = new ArrayList<SubjectTermDefinitionType>();
        }
        return this.term;
    }

    /**
     * Gets the value of the subdelim property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubdelim() {
        if (subdelim == null) {
            return "--";
        } else {
            return subdelim;
        }
    }

    /**
     * Sets the value of the subdelim property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubdelim(String value) {
        this.subdelim = value;
    }

}
