
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SummarySegmentGroupType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SummarySegmentGroupType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Caption" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="SummarySegment" type="{urn:mpeg:mpeg7:schema:2004}SummarySegmentType"/>
 *           &lt;element name="SummarySegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SummarySegmentGroup" type="{urn:mpeg:mpeg7:schema:2004}SummarySegmentGroupType"/>
 *           &lt;element name="SummarySegmentGroupRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="level" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="duration" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" />
 *       &lt;attribute name="numOfKeyFrames" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="fidelity" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *       &lt;attribute name="themeIDs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SummarySegmentGroupType", propOrder = {
    "name",
    "caption",
    "summarySegmentOrSummarySegmentRef",
    "summarySegmentGroupOrSummarySegmentGroupRef"
})
public class SummarySegmentGroupType
    extends DSType
{

    @XmlElement(name = "Name")
    protected List<TextualType> name;
    @XmlElement(name = "Caption")
    protected List<TextualType> caption;
    @XmlElements({
        @XmlElement(name = "SummarySegmentRef", type = ReferenceType.class),
        @XmlElement(name = "SummarySegment", type = SummarySegmentType.class)
    })
    protected List<Object> summarySegmentOrSummarySegmentRef;
    @XmlElements({
        @XmlElement(name = "SummarySegmentGroup", type = SummarySegmentGroupType.class),
        @XmlElement(name = "SummarySegmentGroupRef", type = ReferenceType.class)
    })
    protected List<Object> summarySegmentGroupOrSummarySegmentGroupRef;
    @XmlAttribute(name = "level")
    protected BigInteger level;
    @XmlAttribute(name = "duration")
    protected String duration;
    @XmlAttribute(name = "numOfKeyFrames")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger numOfKeyFrames;
    @XmlAttribute(name = "fidelity")
    protected Float fidelity;
    @XmlAttribute(name = "themeIDs")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> themeIDs;

    /**
     * Gets the value of the name property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the name property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getName().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getName() {
        if (name == null) {
            name = new ArrayList<TextualType>();
        }
        return this.name;
    }

    /**
     * Gets the value of the caption property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the caption property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCaption().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getCaption() {
        if (caption == null) {
            caption = new ArrayList<TextualType>();
        }
        return this.caption;
    }

    /**
     * Gets the value of the summarySegmentOrSummarySegmentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the summarySegmentOrSummarySegmentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSummarySegmentOrSummarySegmentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link SummarySegmentType }
     * 
     * 
     */
    public List<Object> getSummarySegmentOrSummarySegmentRef() {
        if (summarySegmentOrSummarySegmentRef == null) {
            summarySegmentOrSummarySegmentRef = new ArrayList<Object>();
        }
        return this.summarySegmentOrSummarySegmentRef;
    }

    /**
     * Gets the value of the summarySegmentGroupOrSummarySegmentGroupRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the summarySegmentGroupOrSummarySegmentGroupRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSummarySegmentGroupOrSummarySegmentGroupRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SummarySegmentGroupType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getSummarySegmentGroupOrSummarySegmentGroupRef() {
        if (summarySegmentGroupOrSummarySegmentGroupRef == null) {
            summarySegmentGroupOrSummarySegmentGroupRef = new ArrayList<Object>();
        }
        return this.summarySegmentGroupOrSummarySegmentGroupRef;
    }

    /**
     * Gets the value of the level property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getLevel() {
        return level;
    }

    /**
     * Sets the value of the level property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setLevel(BigInteger value) {
        this.level = value;
    }

    /**
     * Gets the value of the duration property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDuration() {
        return duration;
    }

    /**
     * Sets the value of the duration property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDuration(String value) {
        this.duration = value;
    }

    /**
     * Gets the value of the numOfKeyFrames property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumOfKeyFrames() {
        return numOfKeyFrames;
    }

    /**
     * Sets the value of the numOfKeyFrames property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumOfKeyFrames(BigInteger value) {
        this.numOfKeyFrames = value;
    }

    /**
     * Gets the value of the fidelity property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getFidelity() {
        return fidelity;
    }

    /**
     * Sets the value of the fidelity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setFidelity(Float value) {
        this.fidelity = value;
    }

    /**
     * Gets the value of the themeIDs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the themeIDs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getThemeIDs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getThemeIDs() {
        if (themeIDs == null) {
            themeIDs = new ArrayList<Object>();
        }
        return this.themeIDs;
    }

}
