
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SummarySegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SummarySegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SourceID" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="KeyAudioVisualClip" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType"/>
 *           &lt;sequence>
 *             &lt;element name="KeyVideoClip" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *             &lt;element name="KeyAudioClip" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *           &lt;/sequence>
 *         &lt;/choice>
 *         &lt;element name="KeyFrame" type="{urn:mpeg:mpeg7:schema:2004}ImageLocatorType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="KeySound" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="themeIDs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
 *       &lt;attribute name="order" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SummarySegmentType", propOrder = {
    "name",
    "sourceID",
    "keyAudioVisualClip",
    "keyVideoClip",
    "keyAudioClip",
    "keyFrame",
    "keySound"
})
public class SummarySegmentType
    extends DSType
{

    @XmlElement(name = "Name")
    protected List<TextualType> name;
    @XmlElement(name = "SourceID")
    protected UniqueIDType sourceID;
    @XmlElement(name = "KeyAudioVisualClip")
    protected TemporalSegmentLocatorType keyAudioVisualClip;
    @XmlElement(name = "KeyVideoClip")
    protected TemporalSegmentLocatorType keyVideoClip;
    @XmlElement(name = "KeyAudioClip")
    protected TemporalSegmentLocatorType keyAudioClip;
    @XmlElement(name = "KeyFrame")
    protected List<ImageLocatorType> keyFrame;
    @XmlElement(name = "KeySound")
    protected List<TemporalSegmentLocatorType> keySound;
    @XmlAttribute(name = "themeIDs")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> themeIDs;
    @XmlAttribute(name = "order")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger order;

    /**
     * Gets the value of the name property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the name property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getName().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getName() {
        if (name == null) {
            name = new ArrayList<TextualType>();
        }
        return this.name;
    }

    /**
     * Gets the value of the sourceID property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getSourceID() {
        return sourceID;
    }

    /**
     * Sets the value of the sourceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setSourceID(UniqueIDType value) {
        this.sourceID = value;
    }

    /**
     * Gets the value of the keyAudioVisualClip property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getKeyAudioVisualClip() {
        return keyAudioVisualClip;
    }

    /**
     * Sets the value of the keyAudioVisualClip property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setKeyAudioVisualClip(TemporalSegmentLocatorType value) {
        this.keyAudioVisualClip = value;
    }

    /**
     * Gets the value of the keyVideoClip property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getKeyVideoClip() {
        return keyVideoClip;
    }

    /**
     * Sets the value of the keyVideoClip property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setKeyVideoClip(TemporalSegmentLocatorType value) {
        this.keyVideoClip = value;
    }

    /**
     * Gets the value of the keyAudioClip property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getKeyAudioClip() {
        return keyAudioClip;
    }

    /**
     * Sets the value of the keyAudioClip property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setKeyAudioClip(TemporalSegmentLocatorType value) {
        this.keyAudioClip = value;
    }

    /**
     * Gets the value of the keyFrame property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the keyFrame property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKeyFrame().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ImageLocatorType }
     * 
     * 
     */
    public List<ImageLocatorType> getKeyFrame() {
        if (keyFrame == null) {
            keyFrame = new ArrayList<ImageLocatorType>();
        }
        return this.keyFrame;
    }

    /**
     * Gets the value of the keySound property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the keySound property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKeySound().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TemporalSegmentLocatorType }
     * 
     * 
     */
    public List<TemporalSegmentLocatorType> getKeySound() {
        if (keySound == null) {
            keySound = new ArrayList<TemporalSegmentLocatorType>();
        }
        return this.keySound;
    }

    /**
     * Gets the value of the themeIDs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the themeIDs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getThemeIDs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getThemeIDs() {
        if (themeIDs == null) {
            themeIDs = new ArrayList<Object>();
        }
        return this.themeIDs;
    }

    /**
     * Gets the value of the order property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getOrder() {
        return order;
    }

    /**
     * Sets the value of the order property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setOrder(BigInteger value) {
        this.order = value;
    }

}
