
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SyntacticConstituentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SyntacticConstituentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}LinguisticEntityType">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="Head" type="{urn:mpeg:mpeg7:schema:2004}SyntacticConstituentType"/>
 *         &lt;element name="Phrase" type="{urn:mpeg:mpeg7:schema:2004}SyntacticConstituentType"/>
 *         &lt;element name="Quotation" type="{urn:mpeg:mpeg7:schema:2004}LinguisticDocumentType"/>
 *       &lt;/choice>
 *       &lt;attribute name="baseForm" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="synthesis" type="{urn:mpeg:mpeg7:schema:2004}synthesisType" default="dependency" />
 *       &lt;attribute name="functionWord" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SyntacticConstituentType", propOrder = {
    "headOrPhraseOrQuotation"
})
public class SyntacticConstituentType
    extends LinguisticEntityType
{

    @XmlElementRefs({
        @XmlElementRef(name = "Quotation", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Head", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Phrase", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<? extends LinguisticEntityType>> headOrPhraseOrQuotation;
    @XmlAttribute(name = "baseForm")
    protected String baseForm;
    @XmlAttribute(name = "synthesis")
    protected SynthesisType synthesis;
    @XmlAttribute(name = "functionWord")
    protected String functionWord;

    /**
     * Gets the value of the headOrPhraseOrQuotation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the headOrPhraseOrQuotation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHeadOrPhraseOrQuotation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link SyntacticConstituentType }{@code >}
     * {@link JAXBElement }{@code <}{@link SyntacticConstituentType }{@code >}
     * {@link JAXBElement }{@code <}{@link LinguisticDocumentType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends LinguisticEntityType>> getHeadOrPhraseOrQuotation() {
        if (headOrPhraseOrQuotation == null) {
            headOrPhraseOrQuotation = new ArrayList<JAXBElement<? extends LinguisticEntityType>>();
        }
        return this.headOrPhraseOrQuotation;
    }

    /**
     * Gets the value of the baseForm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBaseForm() {
        return baseForm;
    }

    /**
     * Sets the value of the baseForm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBaseForm(String value) {
        this.baseForm = value;
    }

    /**
     * Gets the value of the synthesis property.
     * 
     * @return
     *     possible object is
     *     {@link SynthesisType }
     *     
     */
    public SynthesisType getSynthesis() {
        if (synthesis == null) {
            return SynthesisType.DEPENDENCY;
        } else {
            return synthesis;
        }
    }

    /**
     * Sets the value of the synthesis property.
     * 
     * @param value
     *     allowed object is
     *     {@link SynthesisType }
     *     
     */
    public void setSynthesis(SynthesisType value) {
        this.synthesis = value;
    }

    /**
     * Gets the value of the functionWord property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFunctionWord() {
        return functionWord;
    }

    /**
     * Sets the value of the functionWord property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFunctionWord(String value) {
        this.functionWord = value;
    }

}
