
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TextAnnotationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TextAnnotationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="FreeTextAnnotation" type="{urn:mpeg:mpeg7:schema:2004}TextualType"/>
 *         &lt;element name="StructuredAnnotation" type="{urn:mpeg:mpeg7:schema:2004}StructuredAnnotationType"/>
 *         &lt;element name="DependencyStructure" type="{urn:mpeg:mpeg7:schema:2004}DependencyStructureType"/>
 *         &lt;element name="KeywordAnnotation" type="{urn:mpeg:mpeg7:schema:2004}KeywordAnnotationType"/>
 *       &lt;/choice>
 *       &lt;attribute name="relevance" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *       &lt;attribute name="confidence" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TextAnnotationType", propOrder = {
    "freeTextAnnotationOrStructuredAnnotationOrDependencyStructure"
})
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SegmentType.TextAnnotation.class
})
public class TextAnnotationType {

    @XmlElements({
        @XmlElement(name = "StructuredAnnotation", type = StructuredAnnotationType.class),
        @XmlElement(name = "FreeTextAnnotation", type = TextualType.class),
        @XmlElement(name = "KeywordAnnotation", type = KeywordAnnotationType.class),
        @XmlElement(name = "DependencyStructure", type = DependencyStructureType.class)
    })
    protected List<Object> freeTextAnnotationOrStructuredAnnotationOrDependencyStructure;
    @XmlAttribute(name = "relevance")
    protected Float relevance;
    @XmlAttribute(name = "confidence")
    protected Float confidence;

    /**
     * Gets the value of the freeTextAnnotationOrStructuredAnnotationOrDependencyStructure property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the freeTextAnnotationOrStructuredAnnotationOrDependencyStructure property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFreeTextAnnotationOrStructuredAnnotationOrDependencyStructure().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StructuredAnnotationType }
     * {@link TextualType }
     * {@link KeywordAnnotationType }
     * {@link DependencyStructureType }
     * 
     * 
     */
    public List<Object> getFreeTextAnnotationOrStructuredAnnotationOrDependencyStructure() {
        if (freeTextAnnotationOrStructuredAnnotationOrDependencyStructure == null) {
            freeTextAnnotationOrStructuredAnnotationOrDependencyStructure = new ArrayList<Object>();
        }
        return this.freeTextAnnotationOrStructuredAnnotationOrDependencyStructure;
    }

    /**
     * Gets the value of the relevance property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getRelevance() {
        return relevance;
    }

    /**
     * Sets the value of the relevance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setRelevance(Float value) {
        this.relevance = value;
    }

    /**
     * Gets the value of the confidence property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getConfidence() {
        return confidence;
    }

    /**
     * Sets the value of the confidence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setConfidence(Float value) {
        this.confidence = value;
    }

}
