
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TextSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TextSegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;element name="TextMask" type="{urn:mpeg:mpeg7:schema:2004}StreamMaskType" minOccurs="0"/>
 *         &lt;element name="TextDecomposition" type="{urn:mpeg:mpeg7:schema:2004}TextDecompositionType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TextSegmentType", propOrder = {
    "textMask",
    "textDecomposition"
})
public class TextSegmentType
    extends SegmentType
{

    @XmlElement(name = "TextMask")
    protected StreamMaskType textMask;
    @XmlElement(name = "TextDecomposition")
    protected List<TextDecompositionType> textDecomposition;

    /**
     * Gets the value of the textMask property.
     * 
     * @return
     *     possible object is
     *     {@link StreamMaskType }
     *     
     */
    public StreamMaskType getTextMask() {
        return textMask;
    }

    /**
     * Sets the value of the textMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link StreamMaskType }
     *     
     */
    public void setTextMask(StreamMaskType value) {
        this.textMask = value;
    }

    /**
     * Gets the value of the textDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the textDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTextDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextDecompositionType }
     * 
     * 
     */
    public List<TextDecompositionType> getTextDecomposition() {
        if (textDecomposition == null) {
            textDecomposition = new ArrayList<TextDecompositionType>();
        }
        return this.textDecomposition;
    }

}
