
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for TextualBaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TextualBaseType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *       &lt;attribute name="phoneticTranscription">
 *         &lt;simpleType>
 *           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}PhoneType" />
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="phoneticAlphabet" type="{urn:mpeg:mpeg7:schema:2004}phoneticAlphabetType" default="sampa" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TextualBaseType", propOrder = {
    "value"
})
@XmlSeeAlso({
    TitleType.class,
    NameComponentType.class,
    TextualType.class
})
public abstract class TextualBaseType {

    @XmlValue
    protected String value;
    @XmlAttribute(name = "phoneticTranscription")
    protected List<String> phoneticTranscription;
    @XmlAttribute(name = "phoneticAlphabet")
    protected PhoneticAlphabetType phoneticAlphabet;

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value of the phoneticTranscription property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the phoneticTranscription property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPhoneticTranscription().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getPhoneticTranscription() {
        if (phoneticTranscription == null) {
            phoneticTranscription = new ArrayList<String>();
        }
        return this.phoneticTranscription;
    }

    /**
     * Gets the value of the phoneticAlphabet property.
     * 
     * @return
     *     possible object is
     *     {@link PhoneticAlphabetType }
     *     
     */
    public PhoneticAlphabetType getPhoneticAlphabet() {
        if (phoneticAlphabet == null) {
            return PhoneticAlphabetType.SAMPA;
        } else {
            return phoneticAlphabet;
        }
    }

    /**
     * Sets the value of the phoneticAlphabet property.
     * 
     * @param value
     *     allowed object is
     *     {@link PhoneticAlphabetType }
     *     
     */
    public void setPhoneticAlphabet(PhoneticAlphabetType value) {
        this.phoneticAlphabet = value;
    }

}
