
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TextureBrowsingType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TextureBrowsingType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="Regularity">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="irregular"/>
 *               &lt;enumeration value="slightlyRegular"/>
 *               &lt;enumeration value="regular"/>
 *               &lt;enumeration value="highlyRegular"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;sequence maxOccurs="2">
 *           &lt;element name="Direction">
 *             &lt;simpleType>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                 &lt;enumeration value="noDirectionality"/>
 *                 &lt;enumeration value="0Degree"/>
 *                 &lt;enumeration value="30Degree"/>
 *                 &lt;enumeration value="60Degree"/>
 *                 &lt;enumeration value="90Degree"/>
 *                 &lt;enumeration value="120Degree"/>
 *                 &lt;enumeration value="150Degree"/>
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *           &lt;/element>
 *           &lt;element name="Scale">
 *             &lt;simpleType>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                 &lt;enumeration value="fine"/>
 *                 &lt;enumeration value="medium"/>
 *                 &lt;enumeration value="coarse"/>
 *                 &lt;enumeration value="veryCoarse"/>
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *           &lt;/element>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TextureBrowsingType", propOrder = {
    "regularity",
    "directionAndScale"
})
public class TextureBrowsingType
    extends VisualDType
{

    @XmlElement(name = "Regularity", required = true)
    protected String regularity;
    @XmlElementRefs({
        @XmlElementRef(name = "Scale", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Direction", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<String>> directionAndScale;

    /**
     * Gets the value of the regularity property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegularity() {
        return regularity;
    }

    /**
     * Sets the value of the regularity property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegularity(String value) {
        this.regularity = value;
    }

    /**
     * Gets the value of the directionAndScale property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the directionAndScale property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDirectionAndScale().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * 
     */
    public List<JAXBElement<String>> getDirectionAndScale() {
        if (directionAndScale == null) {
            directionAndScale = new ArrayList<JAXBElement<String>>();
        }
        return this.directionAndScale;
    }

}
