
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TitleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TitleType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;urn:mpeg:mpeg7:schema:2004>TextualBaseType">
 *       &lt;attribute name="type" default="main">
 *         &lt;simpleType>
 *           &lt;union>
 *             &lt;simpleType>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                 &lt;enumeration value="main"/>
 *                 &lt;enumeration value="secondary"/>
 *                 &lt;enumeration value="alternative"/>
 *                 &lt;enumeration value="original"/>
 *                 &lt;enumeration value="popular"/>
 *                 &lt;enumeration value="opusNumber"/>
 *                 &lt;enumeration value="songTitle"/>
 *                 &lt;enumeration value="albumTitle"/>
 *                 &lt;enumeration value="seriesTitle"/>
 *                 &lt;enumeration value="episodeTitle"/>
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *             &lt;simpleType>
 *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *             &lt;simpleType>
 *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *           &lt;/union>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TitleType")
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.CreationPreferencesType.Title.class
})
public class TitleType
    extends TextualBaseType
{

    @XmlAttribute(name = "type")
    protected String type;

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        if (type == null) {
            return "main";
        } else {
            return type;
        }
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

}
