
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UsageRecordType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UsageRecordType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="AvailabilityRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="Audience" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/>
 *         &lt;element name="Financial" type="{urn:mpeg:mpeg7:schema:2004}FinancialType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UsageRecordType", propOrder = {
    "availabilityRef",
    "audience",
    "financial"
})
public class UsageRecordType
    extends DSType
{

    @XmlElement(name = "AvailabilityRef", required = true)
    protected ReferenceType availabilityRef;
    @XmlElement(name = "Audience")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger audience;
    @XmlElement(name = "Financial")
    protected FinancialType financial;

    /**
     * Gets the value of the availabilityRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getAvailabilityRef() {
        return availabilityRef;
    }

    /**
     * Sets the value of the availabilityRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setAvailabilityRef(ReferenceType value) {
        this.availabilityRef = value;
    }

    /**
     * Gets the value of the audience property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAudience() {
        return audience;
    }

    /**
     * Sets the value of the audience property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAudience(BigInteger value) {
        this.audience = value;
    }

    /**
     * Gets the value of the financial property.
     * 
     * @return
     *     possible object is
     *     {@link FinancialType }
     *     
     */
    public FinancialType getFinancial() {
        return financial;
    }

    /**
     * Sets the value of the financial property.
     * 
     * @param value
     *     allowed object is
     *     {@link FinancialType }
     *     
     */
    public void setFinancial(FinancialType value) {
        this.financial = value;
    }

}
