
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VariationSetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VariationSetType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Source" type="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType"/>
 *         &lt;element name="Variation" type="{urn:mpeg:mpeg7:schema:2004}VariationType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VariationSetType", propOrder = {
    "source",
    "variation"
})
public class VariationSetType
    extends DSType
{

    @XmlElement(name = "Source", required = true)
    protected MultimediaContentType source;
    @XmlElement(name = "Variation", required = true)
    protected List<VariationType> variation;

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link MultimediaContentType }
     *     
     */
    public MultimediaContentType getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultimediaContentType }
     *     
     */
    public void setSource(MultimediaContentType value) {
        this.source = value;
    }

    /**
     * Gets the value of the variation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the variation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVariation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VariationType }
     * 
     * 
     */
    public List<VariationType> getVariation() {
        if (variation == null) {
            variation = new ArrayList<VariationType>();
        }
        return this.variation;
    }

}
