
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoSegmentTemporalDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoSegmentTemporalDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentDecompositionType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="VideoSegment" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentType"/>
 *         &lt;element name="VideoSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="StillRegion" type="{urn:mpeg:mpeg7:schema:2004}StillRegionType"/>
 *         &lt;element name="StillRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoSegmentTemporalDecompositionType", propOrder = {
    "videoSegmentOrVideoSegmentRefOrStillRegion"
})
public class VideoSegmentTemporalDecompositionType
    extends TemporalSegmentDecompositionType
{

    @XmlElementRefs({
        @XmlElementRef(name = "StillRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "StillRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> videoSegmentOrVideoSegmentRefOrStillRegion;

    /**
     * Gets the value of the videoSegmentOrVideoSegmentRefOrStillRegion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the videoSegmentOrVideoSegmentRefOrStillRegion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVideoSegmentOrVideoSegmentRefOrStillRegion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link VideoSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link StillRegionType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getVideoSegmentOrVideoSegmentRefOrStillRegion() {
        if (videoSegmentOrVideoSegmentRefOrStillRegion == null) {
            videoSegmentOrVideoSegmentRefOrStillRegion = new ArrayList<JAXBElement<?>>();
        }
        return this.videoSegmentOrVideoSegmentRefOrStillRegion;
    }

}
