
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoSignatureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoSignatureType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="VideoSignatureRegion" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="VideoSignatureSpatialRegion" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Pixel" maxOccurs="2" minOccurs="2">
 *                               &lt;simpleType>
 *                                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}integerVector">
 *                                   &lt;length value="2"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="StartFrameOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                   &lt;element name="MediaTimeUnit" type="{urn:mpeg:mpeg7:schema:2004}unsigned16"/>
 *                   &lt;element name="MediaTimeOfSpatialRegion" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="StartMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                             &lt;element name="EndMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="VSVideoSegment" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="StartFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                             &lt;element name="EndFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                             &lt;element name="MediaTimeOfSegment" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;sequence>
 *                                       &lt;element name="StartMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                                       &lt;element name="EndMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
 *                                     &lt;/sequence>
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="BagOfWords" maxOccurs="5" minOccurs="5">
 *                               &lt;simpleType>
 *                                 &lt;restriction>
 *                                   &lt;simpleType>
 *                                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
 *                                   &lt;/simpleType>
 *                                   &lt;length value="243"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="VideoFrame" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="MediaTimeOfFrame" type="{urn:mpeg:mpeg7:schema:2004}unsigned32" minOccurs="0"/>
 *                             &lt;element name="FrameConfidence" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
 *                             &lt;element name="Word">
 *                               &lt;simpleType>
 *                                 &lt;restriction>
 *                                   &lt;simpleType>
 *                                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned8" />
 *                                   &lt;/simpleType>
 *                                   &lt;length value="5"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                             &lt;element name="FrameSignature">
 *                               &lt;simpleType>
 *                                 &lt;restriction>
 *                                   &lt;simpleType>
 *                                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned2" />
 *                                   &lt;/simpleType>
 *                                   &lt;length value="380"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoSignatureType", propOrder = {
    "videoSignatureRegion"
})
public class VideoSignatureType
    extends VisualDType
{

    @XmlElement(name = "VideoSignatureRegion", required = true)
    protected List<VideoSignatureType.VideoSignatureRegion> videoSignatureRegion;

    /**
     * Gets the value of the videoSignatureRegion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the videoSignatureRegion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVideoSignatureRegion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VideoSignatureType.VideoSignatureRegion }
     * 
     * 
     */
    public List<VideoSignatureType.VideoSignatureRegion> getVideoSignatureRegion() {
        if (videoSignatureRegion == null) {
            videoSignatureRegion = new ArrayList<VideoSignatureType.VideoSignatureRegion>();
        }
        return this.videoSignatureRegion;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="VideoSignatureSpatialRegion" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Pixel" maxOccurs="2" minOccurs="2">
     *                     &lt;simpleType>
     *                       &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}integerVector">
     *                         &lt;length value="2"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="StartFrameOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *         &lt;element name="MediaTimeUnit" type="{urn:mpeg:mpeg7:schema:2004}unsigned16"/>
     *         &lt;element name="MediaTimeOfSpatialRegion" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="StartMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                   &lt;element name="EndMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="VSVideoSegment" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="StartFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                   &lt;element name="EndFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                   &lt;element name="MediaTimeOfSegment" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;sequence>
     *                             &lt;element name="StartMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                             &lt;element name="EndMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
     *                           &lt;/sequence>
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="BagOfWords" maxOccurs="5" minOccurs="5">
     *                     &lt;simpleType>
     *                       &lt;restriction>
     *                         &lt;simpleType>
     *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
     *                         &lt;/simpleType>
     *                         &lt;length value="243"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="VideoFrame" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="MediaTimeOfFrame" type="{urn:mpeg:mpeg7:schema:2004}unsigned32" minOccurs="0"/>
     *                   &lt;element name="FrameConfidence" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
     *                   &lt;element name="Word">
     *                     &lt;simpleType>
     *                       &lt;restriction>
     *                         &lt;simpleType>
     *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned8" />
     *                         &lt;/simpleType>
     *                         &lt;length value="5"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                   &lt;element name="FrameSignature">
     *                     &lt;simpleType>
     *                       &lt;restriction>
     *                         &lt;simpleType>
     *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned2" />
     *                         &lt;/simpleType>
     *                         &lt;length value="380"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "videoSignatureSpatialRegion",
        "startFrameOfSpatialRegion",
        "mediaTimeUnit",
        "mediaTimeOfSpatialRegion",
        "vsVideoSegment",
        "videoFrame"
    })
    public static class VideoSignatureRegion {

        @XmlElement(name = "VideoSignatureSpatialRegion")
        protected VideoSignatureType.VideoSignatureRegion.VideoSignatureSpatialRegion videoSignatureSpatialRegion;
        @XmlElement(name = "StartFrameOfSpatialRegion")
        protected long startFrameOfSpatialRegion;
        @XmlElement(name = "MediaTimeUnit")
        protected int mediaTimeUnit;
        @XmlElement(name = "MediaTimeOfSpatialRegion")
        protected VideoSignatureType.VideoSignatureRegion.MediaTimeOfSpatialRegion mediaTimeOfSpatialRegion;
        @XmlElement(name = "VSVideoSegment", required = true)
        protected List<VideoSignatureType.VideoSignatureRegion.VSVideoSegment> vsVideoSegment;
        @XmlElement(name = "VideoFrame", required = true)
        protected List<VideoSignatureType.VideoSignatureRegion.VideoFrame> videoFrame;

        /**
         * Gets the value of the videoSignatureSpatialRegion property.
         * 
         * @return
         *     possible object is
         *     {@link VideoSignatureType.VideoSignatureRegion.VideoSignatureSpatialRegion }
         *     
         */
        public VideoSignatureType.VideoSignatureRegion.VideoSignatureSpatialRegion getVideoSignatureSpatialRegion() {
            return videoSignatureSpatialRegion;
        }

        /**
         * Sets the value of the videoSignatureSpatialRegion property.
         * 
         * @param value
         *     allowed object is
         *     {@link VideoSignatureType.VideoSignatureRegion.VideoSignatureSpatialRegion }
         *     
         */
        public void setVideoSignatureSpatialRegion(VideoSignatureType.VideoSignatureRegion.VideoSignatureSpatialRegion value) {
            this.videoSignatureSpatialRegion = value;
        }

        /**
         * Gets the value of the startFrameOfSpatialRegion property.
         * 
         */
        public long getStartFrameOfSpatialRegion() {
            return startFrameOfSpatialRegion;
        }

        /**
         * Sets the value of the startFrameOfSpatialRegion property.
         * 
         */
        public void setStartFrameOfSpatialRegion(long value) {
            this.startFrameOfSpatialRegion = value;
        }

        /**
         * Gets the value of the mediaTimeUnit property.
         * 
         */
        public int getMediaTimeUnit() {
            return mediaTimeUnit;
        }

        /**
         * Sets the value of the mediaTimeUnit property.
         * 
         */
        public void setMediaTimeUnit(int value) {
            this.mediaTimeUnit = value;
        }

        /**
         * Gets the value of the mediaTimeOfSpatialRegion property.
         * 
         * @return
         *     possible object is
         *     {@link VideoSignatureType.VideoSignatureRegion.MediaTimeOfSpatialRegion }
         *     
         */
        public VideoSignatureType.VideoSignatureRegion.MediaTimeOfSpatialRegion getMediaTimeOfSpatialRegion() {
            return mediaTimeOfSpatialRegion;
        }

        /**
         * Sets the value of the mediaTimeOfSpatialRegion property.
         * 
         * @param value
         *     allowed object is
         *     {@link VideoSignatureType.VideoSignatureRegion.MediaTimeOfSpatialRegion }
         *     
         */
        public void setMediaTimeOfSpatialRegion(VideoSignatureType.VideoSignatureRegion.MediaTimeOfSpatialRegion value) {
            this.mediaTimeOfSpatialRegion = value;
        }

        /**
         * Gets the value of the vsVideoSegment property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the vsVideoSegment property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVSVideoSegment().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VideoSignatureType.VideoSignatureRegion.VSVideoSegment }
         * 
         * 
         */
        public List<VideoSignatureType.VideoSignatureRegion.VSVideoSegment> getVSVideoSegment() {
            if (vsVideoSegment == null) {
                vsVideoSegment = new ArrayList<VideoSignatureType.VideoSignatureRegion.VSVideoSegment>();
            }
            return this.vsVideoSegment;
        }

        /**
         * Gets the value of the videoFrame property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the videoFrame property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVideoFrame().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VideoSignatureType.VideoSignatureRegion.VideoFrame }
         * 
         * 
         */
        public List<VideoSignatureType.VideoSignatureRegion.VideoFrame> getVideoFrame() {
            if (videoFrame == null) {
                videoFrame = new ArrayList<VideoSignatureType.VideoSignatureRegion.VideoFrame>();
            }
            return this.videoFrame;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="StartMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *         &lt;element name="EndMediaTimeOfSpatialRegion" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "startMediaTimeOfSpatialRegion",
            "endMediaTimeOfSpatialRegion"
        })
        public static class MediaTimeOfSpatialRegion {

            @XmlElement(name = "StartMediaTimeOfSpatialRegion")
            protected long startMediaTimeOfSpatialRegion;
            @XmlElement(name = "EndMediaTimeOfSpatialRegion")
            protected long endMediaTimeOfSpatialRegion;

            /**
             * Gets the value of the startMediaTimeOfSpatialRegion property.
             * 
             */
            public long getStartMediaTimeOfSpatialRegion() {
                return startMediaTimeOfSpatialRegion;
            }

            /**
             * Sets the value of the startMediaTimeOfSpatialRegion property.
             * 
             */
            public void setStartMediaTimeOfSpatialRegion(long value) {
                this.startMediaTimeOfSpatialRegion = value;
            }

            /**
             * Gets the value of the endMediaTimeOfSpatialRegion property.
             * 
             */
            public long getEndMediaTimeOfSpatialRegion() {
                return endMediaTimeOfSpatialRegion;
            }

            /**
             * Sets the value of the endMediaTimeOfSpatialRegion property.
             * 
             */
            public void setEndMediaTimeOfSpatialRegion(long value) {
                this.endMediaTimeOfSpatialRegion = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="StartFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *         &lt;element name="EndFrameOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *         &lt;element name="MediaTimeOfSegment" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;element name="StartMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *                   &lt;element name="EndMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
         *                 &lt;/sequence>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="BagOfWords" maxOccurs="5" minOccurs="5">
         *           &lt;simpleType>
         *             &lt;restriction>
         *               &lt;simpleType>
         *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
         *               &lt;/simpleType>
         *               &lt;length value="243"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "startFrameOfSegment",
            "endFrameOfSegment",
            "mediaTimeOfSegment",
            "bagOfWords"
        })
        public static class VSVideoSegment {

            @XmlElement(name = "StartFrameOfSegment")
            protected long startFrameOfSegment;
            @XmlElement(name = "EndFrameOfSegment")
            protected long endFrameOfSegment;
            @XmlElement(name = "MediaTimeOfSegment")
            protected VideoSignatureType.VideoSignatureRegion.VSVideoSegment.MediaTimeOfSegment mediaTimeOfSegment;
            @XmlElementRef(name = "BagOfWords", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
            protected List<JAXBElement<List<Integer>>> bagOfWords;

            /**
             * Gets the value of the startFrameOfSegment property.
             * 
             */
            public long getStartFrameOfSegment() {
                return startFrameOfSegment;
            }

            /**
             * Sets the value of the startFrameOfSegment property.
             * 
             */
            public void setStartFrameOfSegment(long value) {
                this.startFrameOfSegment = value;
            }

            /**
             * Gets the value of the endFrameOfSegment property.
             * 
             */
            public long getEndFrameOfSegment() {
                return endFrameOfSegment;
            }

            /**
             * Sets the value of the endFrameOfSegment property.
             * 
             */
            public void setEndFrameOfSegment(long value) {
                this.endFrameOfSegment = value;
            }

            /**
             * Gets the value of the mediaTimeOfSegment property.
             * 
             * @return
             *     possible object is
             *     {@link VideoSignatureType.VideoSignatureRegion.VSVideoSegment.MediaTimeOfSegment }
             *     
             */
            public VideoSignatureType.VideoSignatureRegion.VSVideoSegment.MediaTimeOfSegment getMediaTimeOfSegment() {
                return mediaTimeOfSegment;
            }

            /**
             * Sets the value of the mediaTimeOfSegment property.
             * 
             * @param value
             *     allowed object is
             *     {@link VideoSignatureType.VideoSignatureRegion.VSVideoSegment.MediaTimeOfSegment }
             *     
             */
            public void setMediaTimeOfSegment(VideoSignatureType.VideoSignatureRegion.VSVideoSegment.MediaTimeOfSegment value) {
                this.mediaTimeOfSegment = value;
            }

            /**
             * Gets the value of the bagOfWords property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the bagOfWords property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getBagOfWords().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link JAXBElement }{@code <}{@link List }{@code <}{@link Integer }{@code >}{@code >}
             * 
             * 
             */
            public List<JAXBElement<List<Integer>>> getBagOfWords() {
                if (bagOfWords == null) {
                    bagOfWords = new ArrayList<JAXBElement<List<Integer>>>();
                }
                return this.bagOfWords;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;element name="StartMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
             *         &lt;element name="EndMediaTimeOfSegment" type="{urn:mpeg:mpeg7:schema:2004}unsigned32"/>
             *       &lt;/sequence>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "startMediaTimeOfSegment",
                "endMediaTimeOfSegment"
            })
            public static class MediaTimeOfSegment {

                @XmlElement(name = "StartMediaTimeOfSegment")
                protected long startMediaTimeOfSegment;
                @XmlElement(name = "EndMediaTimeOfSegment")
                protected long endMediaTimeOfSegment;

                /**
                 * Gets the value of the startMediaTimeOfSegment property.
                 * 
                 */
                public long getStartMediaTimeOfSegment() {
                    return startMediaTimeOfSegment;
                }

                /**
                 * Sets the value of the startMediaTimeOfSegment property.
                 * 
                 */
                public void setStartMediaTimeOfSegment(long value) {
                    this.startMediaTimeOfSegment = value;
                }

                /**
                 * Gets the value of the endMediaTimeOfSegment property.
                 * 
                 */
                public long getEndMediaTimeOfSegment() {
                    return endMediaTimeOfSegment;
                }

                /**
                 * Sets the value of the endMediaTimeOfSegment property.
                 * 
                 */
                public void setEndMediaTimeOfSegment(long value) {
                    this.endMediaTimeOfSegment = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="MediaTimeOfFrame" type="{urn:mpeg:mpeg7:schema:2004}unsigned32" minOccurs="0"/>
         *         &lt;element name="FrameConfidence" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
         *         &lt;element name="Word">
         *           &lt;simpleType>
         *             &lt;restriction>
         *               &lt;simpleType>
         *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned8" />
         *               &lt;/simpleType>
         *               &lt;length value="5"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *         &lt;element name="FrameSignature">
         *           &lt;simpleType>
         *             &lt;restriction>
         *               &lt;simpleType>
         *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned2" />
         *               &lt;/simpleType>
         *               &lt;length value="380"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "mediaTimeOfFrame",
            "frameConfidence",
            "word",
            "frameSignature"
        })
        public static class VideoFrame {

            @XmlElement(name = "MediaTimeOfFrame")
            protected Long mediaTimeOfFrame;
            @XmlElement(name = "FrameConfidence")
            protected int frameConfidence;
            @XmlList
            @XmlElement(name = "Word", type = Integer.class)
            protected List<Integer> word;
            @XmlList
            @XmlElement(name = "FrameSignature", type = Integer.class)
            protected List<Integer> frameSignature;

            /**
             * Gets the value of the mediaTimeOfFrame property.
             * 
             * @return
             *     possible object is
             *     {@link Long }
             *     
             */
            public Long getMediaTimeOfFrame() {
                return mediaTimeOfFrame;
            }

            /**
             * Sets the value of the mediaTimeOfFrame property.
             * 
             * @param value
             *     allowed object is
             *     {@link Long }
             *     
             */
            public void setMediaTimeOfFrame(Long value) {
                this.mediaTimeOfFrame = value;
            }

            /**
             * Gets the value of the frameConfidence property.
             * 
             */
            public int getFrameConfidence() {
                return frameConfidence;
            }

            /**
             * Sets the value of the frameConfidence property.
             * 
             */
            public void setFrameConfidence(int value) {
                this.frameConfidence = value;
            }

            /**
             * Gets the value of the word property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the word property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getWord().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Integer }
             * 
             * 
             */
            public List<Integer> getWord() {
                if (word == null) {
                    word = new ArrayList<Integer>();
                }
                return this.word;
            }

            /**
             * Gets the value of the frameSignature property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the frameSignature property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getFrameSignature().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Integer }
             * 
             * 
             */
            public List<Integer> getFrameSignature() {
                if (frameSignature == null) {
                    frameSignature = new ArrayList<Integer>();
                }
                return this.frameSignature;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Pixel" maxOccurs="2" minOccurs="2">
         *           &lt;simpleType>
         *             &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}integerVector">
         *               &lt;length value="2"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "pixel"
        })
        public static class VideoSignatureSpatialRegion {

            @XmlElementRef(name = "Pixel", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
            protected List<JAXBElement<List<BigInteger>>> pixel;

            /**
             * Gets the value of the pixel property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the pixel property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getPixel().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link JAXBElement }{@code <}{@link List }{@code <}{@link BigInteger }{@code >}{@code >}
             * 
             * 
             */
            public List<JAXBElement<List<BigInteger>>> getPixel() {
                if (pixel == null) {
                    pixel = new ArrayList<JAXBElement<List<BigInteger>>>();
                }
                return this.pixel;
            }

        }

    }

}
