
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ViewDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ViewDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Source" type="{urn:mpeg:mpeg7:schema:2004}SignalType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="complete" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="nonRedundant" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ViewDecompositionType", propOrder = {
    "source"
})
@XmlSeeAlso({
    VideoViewGraphType.class,
    ViewSetType.class,
    SpaceTreeType.class,
    MultiResolutionPyramidType.class,
    FrequencyTreeType.class,
    SpaceFrequencyGraphType.class
})
public abstract class ViewDecompositionType
    extends DSType
{

    @XmlElement(name = "Source")
    protected SignalType source;
    @XmlAttribute(name = "complete")
    protected Boolean complete;
    @XmlAttribute(name = "nonRedundant")
    protected Boolean nonRedundant;

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link SignalType }
     *     
     */
    public SignalType getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignalType }
     *     
     */
    public void setSource(SignalType value) {
        this.source = value;
    }

    /**
     * Gets the value of the complete property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isComplete() {
        return complete;
    }

    /**
     * Sets the value of the complete property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setComplete(Boolean value) {
        this.complete = value;
    }

    /**
     * Gets the value of the nonRedundant property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNonRedundant() {
        return nonRedundant;
    }

    /**
     * Sets the value of the nonRedundant property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNonRedundant(Boolean value) {
        this.nonRedundant = value;
    }

}
