
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for WordFormType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WordFormType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *       &lt;attribute name="terms">
 *         &lt;simpleType>
 *           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}termReferenceType" />
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="equal" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *       &lt;attribute name="type">
 *         &lt;simpleType>
 *           &lt;list>
 *             &lt;simpleType>
 *               &lt;union>
 *                 &lt;simpleType>
 *                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                     &lt;enumeration value="noun"/>
 *                     &lt;enumeration value="pronoun"/>
 *                     &lt;enumeration value="adjective"/>
 *                     &lt;enumeration value="verb"/>
 *                     &lt;enumeration value="adverb"/>
 *                     &lt;enumeration value="conjunction"/>
 *                     &lt;enumeration value="preposition"/>
 *                     &lt;enumeration value="postposition"/>
 *                     &lt;enumeration value="article"/>
 *                     &lt;enumeration value="interjection"/>
 *                   &lt;/restriction>
 *                 &lt;/simpleType>
 *                 &lt;simpleType>
 *                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                   &lt;/restriction>
 *                 &lt;/simpleType>
 *                 &lt;simpleType>
 *                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                   &lt;/restriction>
 *                 &lt;/simpleType>
 *               &lt;/union>
 *             &lt;/simpleType>
 *           &lt;/list>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="baseForm" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WordFormType", propOrder = {
    "value"
})
public class WordFormType {

    @XmlValue
    protected String value;
    @XmlAttribute(name = "terms")
    protected List<String> terms;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;
    @XmlAttribute(name = "equal")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object equal;
    @XmlAttribute(name = "type")
    protected List<String> type;
    @XmlAttribute(name = "baseForm")
    protected String baseForm;

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value of the terms property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the terms property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTerms().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getTerms() {
        if (terms == null) {
            terms = new ArrayList<String>();
        }
        return this.terms;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the equal property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getEqual() {
        return equal;
    }

    /**
     * Sets the value of the equal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setEqual(Object value) {
        this.equal = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the type property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getType().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getType() {
        if (type == null) {
            type = new ArrayList<String>();
        }
        return this.type;
    }

    /**
     * Gets the value of the baseForm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBaseForm() {
        return baseForm;
    }

    /**
     * Sets the value of the baseForm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBaseForm(String value) {
        this.baseForm = value;
    }

}
