
package org.iso.mpeg.mxm.engine.protocol;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.PackageType;
import org.iso.mpeg.mxm.engine.protocol.authenticatecontentPE.schema.authenticatecontentprotocol.AuthenticateContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.authenticateentityPE.schema.authenticateentityprotocol.AuthenticateEntityResponseType;
import org.iso.mpeg.mxm.engine.protocol.authenticateentityPE.schema.authenticateentityprotocol.AuthenticateEntitySuccessType;
import org.iso.mpeg.mxm.engine.protocol.authenticateuserPE.schema.authenticateuserprotocol.AuthenticateUserRequestType;
import org.iso.mpeg.mxm.engine.protocol.authenticateuserPE.schema.authenticateuserprotocol.AuthenticateUserResponseType;
import org.iso.mpeg.mxm.engine.protocol.authorizeuserPE.schema.authorizeuserprotocol.AuthorizeUserRequestType;
import org.iso.mpeg.mxm.engine.protocol.authorizeuserPE.schema.authorizeuserprotocol.AuthorizeUserResponseType;
import org.iso.mpeg.mxm.engine.protocol.authorizeuserPE.schema.authorizeuserprotocol.AuthorizeUserSuccessType;
import org.iso.mpeg.mxm.engine.protocol.checkwithlicensePE.schema.protocol.CheckWithLicenseRequestType;
import org.iso.mpeg.mxm.engine.protocol.checkwithlicensePE.schema.protocol.CheckWithLicenseResponseType;
import org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol.AssetType;
import org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol.CreateContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol.CreateContentResponseType;
import org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol.CreateContentSuccessType;
import org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol.IPMPToolInfoType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.CreateLicenseRequestType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.CreateLicenseResponseType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.CreateLicenseSuccessType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.CustomLicenseType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.RightGroupType;
import org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol.TemplateLicenseType;
import org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol.GetDescribeEntityRequestType;
import org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol.GetDescribeEntityResponseType;
import org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol.GetDescribeEntitySuccessType;
import org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol.SetDescribeEntityRequestType;
import org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol.SetDescribeEntityResponseType;
import org.iso.mpeg.mxm.engine.protocol.identifycontentPE.schema.identifycontentprotocol.IdentifyContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.identifycontentPE.schema.identifycontentprotocol.IdentifyContentResponseType;
import org.iso.mpeg.mxm.engine.protocol.identifycontentPE.schema.identifycontentprotocol.IdentifyContentSuccessType;
import org.iso.mpeg.mxm.engine.protocol.identifydevicePE.schema.identifydeviceprotocol.IdentifyDeviceRequestType;
import org.iso.mpeg.mxm.engine.protocol.identifydevicePE.schema.identifydeviceprotocol.IdentifyDeviceResponseType;
import org.iso.mpeg.mxm.engine.protocol.identifydevicePE.schema.identifydeviceprotocol.IdentifyDeviceSuccessType;
import org.iso.mpeg.mxm.engine.protocol.identifyuserPE.schema.identifyuserprotocol.IdentifyUserRequestType;
import org.iso.mpeg.mxm.engine.protocol.identifyuserPE.schema.identifyuserprotocol.IdentifyUserResponseType;
import org.iso.mpeg.mxm.engine.protocol.identifyuserPE.schema.identifyuserprotocol.IdentifyUserSuccessType;
import org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol.PackageContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol.PackageContentResponseType;
import org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol.PackageContentSuccessType;
import org.iso.mpeg.mxm.engine.protocol.postcontentPE.schema.postcontentprotocol.PostContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.postcontentPE.schema.postcontentprotocol.PostContentResponseType;
import org.iso.mpeg.mxm.engine.protocol.requestcontentPE.schema.requestcontentprotocol.RequestContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.requestcontentPE.schema.requestcontentprotocol.RequestContentResponseType;
import org.iso.mpeg.mxm.engine.protocol.requestcontentPE.schema.requestcontentprotocol.RequestContentSuccessType;
import org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol.RequestEventRequestType;
import org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol.RequestEventResponseType;
import org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol.RequestEventSuccessType;
import org.iso.mpeg.mxm.engine.protocol.revokecontentPE.schema.revokecontentprotocol.RevokeContentRequestType;
import org.iso.mpeg.mxm.engine.protocol.revokeentityPE.schema.revokeentityprotocol.RevokeEntityResponseType;
import org.iso.mpeg.mxm.engine.protocol.revokelicensePE.schema.revokelicenseprotocol.RevokeLicenseRequestType;
import org.iso.mpeg.mxm.engine.protocol.searchentityPE.schema.searchentityprotocol.SearchEntityRequestType;
import org.iso.mpeg.mxm.engine.protocol.searchentityPE.schema.searchentityprotocol.SearchEntityResponseType;
import org.iso.mpeg.mxm.engine.protocol.searchentityPE.schema.searchentityprotocol.SearchEntitySuccessType;
import org.iso.mpeg.mxm.engine.protocol.storeeventPE.schema.storeeventprotocol.StoreEventRequestType;
import org.iso.mpeg.mxm.engine.protocol.storeeventPE.schema.storeeventprotocol.StoreEventResponseType;
import org.iso.mpeg.mxm.engine.protocol.storelicensePE.schema.storelicenseprotocol.StoreLicenseRequestType;
import org.iso.mpeg.mxm.engine.protocol.storelicensePE.schema.storelicenseprotocol.StoreLicenseResponseType;
import org.iso.mpeg.mxm.engine.protocol.storelicensePE.schema.storelicenseprotocol.StoreLicenseSuccessType;
import org.iso.mpeg.mxm.engine.securityTE.schema.saml.protocol.StatusResponseType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.protocol.all package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

//    private final static QName _SetupNegotiationContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetupNegotiationContractResponse");
    private final static QName _GetDescribeUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeUserResponse");
//    private final static QName _OfferContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "OfferContractRequest");
    private final static QName _SearchLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchLicenseResponse");
//    private final static QName _VerifyLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyLicenseRequest");
    private final static QName _StoreLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreLicenseResponse");
    private final static QName _GetDescribeContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeContentRequest");
    private final static QName _PostContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PostContentResponse");
//    private final static QName _RequestContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestContractResponse");
//    private final static QName _DeliverContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "DeliverContentRequest");
//    private final static QName _IdentifyLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyLicenseRequest");
//    private final static QName _SellerPaymentOrderLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SellerPaymentOrderLicenseRequest");
//    private final static QName _RequestMetadataResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestMetadataResponse");
    private final static QName _GetDescribeServiceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeServiceResponse");
    private final static QName _AuthenticateContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateContentResponse");
//    private final static QName _ProcessLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ProcessLicenseRequest");
//    private final static QName _VerifyDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyDeviceResponse");
//    private final static QName _DeliverContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "DeliverContractRequest");
//    private final static QName _CreateContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateContractResponse");
    private final static QName _SetDescribeServiceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeServiceRequest");
    private final static QName _SearchGroupRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchGroupRequest");
    private final static QName _AuthenticateLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateLicenseResponse");
    private final static QName _SearchServiceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchServiceRequest");
    private final static QName _AuthenticateUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateUserRequest");
//    private final static QName _BuyerPaymentOrderContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "BuyerPaymentOrderContentRequest");
    private final static QName _IdentifyUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyUserResponse");
    private final static QName _SearchUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchUserResponse");
//    private final static QName _VerifyLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyLicenseResponse");
    private final static QName _StatusResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StatusResponse");
//    private final static QName _ControlRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ControlRequest");
//    private final static QName _MandateOfferLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateOfferLicenseResponse");
    private final static QName _SearchContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchContractResponse");
//    private final static QName _VerifyContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyContractResponse");
    private final static QName _GetDescribeDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeDeviceRequest");
    private final static QName _CreateLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateLicenseRequest");
//    private final static QName _SellerPaymentOrderContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SellerPaymentOrderContentRequest");
    private final static QName _SetDescribeServiceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeServiceResponse");
    private final static QName _RequestEventResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestEventResponse");
//    private final static QName _AdmissionLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AdmissionLicenseRequest");
    private final static QName _GetDescribeUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeUserRequest");
    private final static QName _CreateContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateContentResponse");
    private final static QName _SetDescribeDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeDeviceResponse");
//    private final static QName _PresentContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PresentContractRequest");
    private final static QName _IdentifyUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyUserRequest");
    private final static QName _StoreEventRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreEventRequest");
    private final static QName _RequestEventRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestEventRequest");
    private final static QName _SearchContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchContentResponse");
//    private final static QName _AdmissionLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AdmissionLicenseResponse");
    private final static QName _RevokeContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RevokeContentResponse");
//    private final static QName _BuyerPaymentOrderLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "BuyerPaymentOrderLicenseRequest");
    private final static QName _AuthorizeUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthorizeUserRequest");
//    private final static QName _StoreContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreContractRequest");
//    private final static QName _MandateRevokeLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateRevokeLicenseResponse");
    private final static QName _SearchLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchLicenseRequest");
//    private final static QName _SetupNegotiationContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetupNegotiationContractRequest");
    private final static QName _StoreEventResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreEventResponse");
    private final static QName _RevokeLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RevokeLicenseResponse");
    private final static QName _AuthenticateContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateContractResponse");
//    private final static QName _ProcessLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ProcessLicenseResponse");
    private final static QName _CheckWithLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CheckWithLicenseRequest");
//    private final static QName _ProcessContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ProcessContentResponse");
//    private final static QName _AgreementLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AgreementLicenseResponse");
//    private final static QName _RequestLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestLicenseResponse");
    private final static QName _PackageContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PackageContentResponse");
//    private final static QName _DeliverContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "DeliverContractResponse");
//    private final static QName _SetupNegotiationLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetupNegotiationLicenseRequest");
    private final static QName _PostContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PostContentRequest");
//    private final static QName _StoreContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreContentRequest");
//    private final static QName _CreateContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateContractRequest");
    private final static QName _CreateContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateContentRequest");
    private final static QName _SetDescribeUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeUserRequest");
    private final static QName _SearchDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchDeviceResponse");
//    private final static QName _PresentLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PresentLicenseRequest");
    private final static QName _GetDescribeContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeContentResponse");
//    private final static QName _MandateRevokeContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateRevokeContentRequest");
    private final static QName _SearchContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchContractRequest");
    private final static QName _AuthenticateContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateContentRequest");
//    private final static QName _RequestMetadataRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestMetadataRequest");
//    private final static QName _AuthenticateLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateLicenseRequest");
//    private final static QName _MandateOfferContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateOfferContentRequest");
//    private final static QName _CheckWithContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CheckWithContractRequest");
//    private final static QName _OfferLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "OfferLicenseResponse");
//    private final static QName _CheckWithContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CheckWithContractResponse");
    private final static QName _SearchDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchDeviceRequest");
//    private final static QName _MandateRevokeContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateRevokeContentResponse");
    private final static QName _SearchContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchContentRequest");
    private final static QName _SetDescribeContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeContentResponse");
//    private final static QName _DeliverContentCompletion_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "DeliverContentCompletion");
//    private final static QName _PresentContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PresentContractResponse");
//    private final static QName _VerifyContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyContractRequest");
    private final static QName _RevokeContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RevokeContractResponse");
    private final static QName _IdentifyContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyContentRequest");
//    private final static QName _StatusRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StatusRequest");
//    private final static QName _AgreementContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AgreementContractResponse");
//    private final static QName _StoreContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreContractResponse");
//    private final static QName _AgreementContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AgreementContractRequest");
    private final static QName _SetDescribeUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeUserResponse");
    private final static QName _StoreLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreLicenseRequest");
//    private final static QName _OfferContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "OfferContractResponse");
//    private final static QName _TransactionConfirmationResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "TransactionConfirmationResponse");
//    private final static QName _BuyerPaymentOrderLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "BuyerPaymentOrderLicenseResponse");
//    private final static QName _RequestLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestLicenseRequest");
    private final static QName _RequestContentRespone_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestContentRespone");
    private final static QName _PackageContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PackageContentRequest");
    private final static QName _RevokeContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RevokeContentRequest");
//    private final static QName _RequestContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestContractRequest");
    private final static QName _CheckWithLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CheckWithLicenseResponse");
//    private final static QName _AgreementLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AgreementLicenseRequest");
    private final static QName _AuthorizeUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthorizeUserResponse");
//    private final static QName _OfferLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "OfferLicenseRequest");
//    private final static QName _IdentifyLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyLicenseResponse");
    private final static QName _SearchGroupResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchGroupResponse");
//    private final static QName _BuyerPaymentOrderContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "BuyerPaymentOrderContentResponse");
//    private final static QName _AdmissionContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AdmissionContractRequest");
//    private final static QName _IdentifyContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyContractRequest");
    private final static QName _RequestContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestContentRequest");
//    private final static QName _VerifyDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "VerifyDeviceRequest");
//    private final static QName _MandateOfferContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateOfferContentResponse");
    private final static QName _GetDescribeDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeDeviceResponse");
    private final static QName _IdentifyDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyDeviceRequest");
//    private final static QName _ProcessContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ProcessContentRequest");
//    private final static QName _ProcessContentCompletion_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ProcessContentCompletion");
//    private final static QName _SellerPaymentOrderLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SellerPaymentOrderLicenseResponse");
//    private final static QName _ControlResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "ControlResponse");
    private final static QName _SearchServiceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchServiceResponse");
    private final static QName _CreateLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "CreateLicenseResponse");
    private final static QName _SetDescribeDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeDeviceRequest");
//    private final static QName _StoreContentCompletion_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreContentCompletion");
//    private final static QName _IdentifyContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyContractResponse");
//    private final static QName _PresentLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "PresentLicenseResponse");
//    private final static QName _DeliverContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "DeliverContentResponse");
    private final static QName _SearchUserRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SearchUserRequest");
    private final static QName _IdentifyDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyDeviceResponse");
//    private final static QName _RequestDeviceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestDeviceRequest");
    private final static QName _SetDescribeContentRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetDescribeContentRequest");
    private final static QName _GetDescribeServiceRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "GetDescribeServiceRequest");
    private final static QName _AuthenticateUserResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateUserResponse");
//    private final static QName _TransactionConfirmationRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "TransactionConfirmationRequest");
//    private final static QName _MandateRevokeLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateRevokeLicenseRequest");
//    private final static QName _MandateOfferLicenseRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "MandateOfferLicenseRequest");
//    private final static QName _SetupNegotiationLicenseResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SetupNegotiationLicenseResponse");
    private final static QName _IdentifyContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "IdentifyContentResponse");
//    private final static QName _SellerPaymentOrderContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "SellerPaymentOrderContentResponse");
//    private final static QName _AuthenticateContractRequest_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AuthenticateContractRequest");
//    private final static QName _AdmissionContractResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "AdmissionContractResponse");
//    private final static QName _RequestDeviceResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "RequestDeviceResponse");
//    private final static QName _StoreContentResponse_QNAME = new QName("urn:mpeg:mpegM:schema:02-service-NS:2012", "StoreContentResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.protocol.all
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProcessContentCompletionSuccessType }
     * 
     */
//    public ProcessContentCompletionSuccessType createProcessContentCompletionSuccessType() {
//        return new ProcessContentCompletionSuccessType();
//    }

    /**
     * Create an instance of {@link ProcessLicenseRequestType }
     * 
     */
//    public ProcessLicenseRequestType createProcessLicenseRequestType() {
//        return new ProcessLicenseRequestType();
//    }

    /**
     * Create an instance of {@link RevokeContractRequestType }
     * 
     */
//    public RevokeContractRequestType createRevokeContractRequestType() {
//        return new RevokeContractRequestType();
//    }

    /**
     * Create an instance of {@link GetDescribeEntityResponseType }
     * 
     */
    public GetDescribeEntityResponseType createGetDescribeEntityResponseType() {
        return new GetDescribeEntityResponseType();
    }

    /**
     * Create an instance of {@link MandateOfferContentRequestType }
     * 
     */
//    public MandateOfferContentRequestType createMandateOfferContentRequestType() {
//        return new MandateOfferContentRequestType();
//    }

    /**
     * Create an instance of {@link AuthenticateEntitySuccessType }
     * 
     */
    public AuthenticateEntitySuccessType createAuthenticateEntitySuccessType() {
        return new AuthenticateEntitySuccessType();
    }

    /**
     * Create an instance of {@link MandateOptionsType }
     * 
     */
//    public MandateOptionsType createMandateOptionsType() {
//        return new MandateOptionsType();
//    }

    /**
     * Create an instance of {@link DeliverContentRequestType }
     * 
     */
//    public DeliverContentRequestType createDeliverContentRequestType() {
//        return new DeliverContentRequestType();
//    }

    /**
     * Create an instance of {@link IdentifyUserResponseType }
     * 
     */
    public IdentifyUserResponseType createIdentifyUserResponseType() {
        return new IdentifyUserResponseType();
    }

    /**
     * Create an instance of {@link IdentifyContentResponseType }
     * 
     */
    public IdentifyContentResponseType createIdentifyContentResponseType() {
        return new IdentifyContentResponseType();
    }

    /**
     * Create an instance of {@link BuyerPaymentOrderLicenseResponseType }
     * 
     */
//    public BuyerPaymentOrderLicenseResponseType createBuyerPaymentOrderLicenseResponseType() {
//        return new BuyerPaymentOrderLicenseResponseType();
//    }

    /**
     * Create an instance of {@link SetupNegotiationContractRequestType }
     * 
     */
//    public SetupNegotiationContractRequestType createSetupNegotiationContractRequestType() {
//        return new SetupNegotiationContractRequestType();
//    }

    /**
     * Create an instance of {@link FinalItemType }
     * 
     */
//    public FinalItemType createFinalItemType() {
//        return new FinalItemType();
//    }

    /**
     * Create an instance of {@link TransactionConfirmationRequestType }
     * 
     */
//    public TransactionConfirmationRequestType createTransactionConfirmationRequestType() {
//        return new TransactionConfirmationRequestType();
//    }

    /**
     * Create an instance of {@link RequestLicenseRequestType }
     * 
     */
//    public RequestLicenseRequestType createRequestLicenseRequestType() {
//        return new RequestLicenseRequestType();
//    }

    /**
     * Create an instance of {@link CheckWithLicenseResponseType }
     * 
     */
    public CheckWithLicenseResponseType createCheckWithLicenseResponseType() {
        return new CheckWithLicenseResponseType();
    }

    /**
     * Create an instance of {@link IdentifyDeviceResponseType }
     * 
     */
    public IdentifyDeviceResponseType createIdentifyDeviceResponseType() {
        return new IdentifyDeviceResponseType();
    }

    /**
     * Create an instance of {@link BuyerPaymentOrderLicenseSuccessType }
     * 
     */
//    public BuyerPaymentOrderLicenseSuccessType createBuyerPaymentOrderLicenseSuccessType() {
//        return new BuyerPaymentOrderLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link IdentifyContractSuccessType }
     * 
     */
//    public IdentifyContractSuccessType createIdentifyContractSuccessType() {
//        return new IdentifyContractSuccessType();
//    }

    /**
     * Create an instance of {@link RequestDeviceRequestType }
     * 
     */
//    public RequestDeviceRequestType createRequestDeviceRequestType() {
//        return new RequestDeviceRequestType();
//    }

    /**
     * Create an instance of {@link RequestDeviceSuccessType }
     * 
     */
//    public RequestDeviceSuccessType createRequestDeviceSuccessType() {
//        return new RequestDeviceSuccessType();
//    }

    /**
     * Create an instance of {@link BuyerPaymentOrderLicenseRequestType }
     * 
     */
//    public BuyerPaymentOrderLicenseRequestType createBuyerPaymentOrderLicenseRequestType() {
//        return new BuyerPaymentOrderLicenseRequestType();
//    }

    /**
     * Create an instance of {@link AgreementContractResponseType }
     * 
     */
//    public AgreementContractResponseType createAgreementContractResponseType() {
//        return new AgreementContractResponseType();
//    }

    /**
     * Create an instance of {@link IPMPToolInfoType }
     * 
     */
    public IPMPToolInfoType createIPMPToolInfoType() {
        return new IPMPToolInfoType();
    }

    /**
     * Create an instance of {@link StoreContentCompletionSuccessType }
     * 
     */
//    public StoreContentCompletionSuccessType createStoreContentCompletionSuccessType() {
//        return new StoreContentCompletionSuccessType();
//    }

    /**
     * Create an instance of {@link CheckWithContractResponseType }
     * 
     */
//    public CheckWithContractResponseType createCheckWithContractResponseType() {
//        return new CheckWithContractResponseType();
//    }

    /**
     * Create an instance of {@link MeasurementLogType }
     * 
     */
//    public MeasurementLogType createMeasurementLogType() {
//        return new MeasurementLogType();
//    }

    /**
     * Create an instance of {@link VerifyContractSuccessType }
     * 
     */
//    public VerifyContractSuccessType createVerifyContractSuccessType() {
//        return new VerifyContractSuccessType();
//    }

    /**
     * Create an instance of {@link BuyerPaymentOrderContentSuccessType }
     * 
     */
//    public BuyerPaymentOrderContentSuccessType createBuyerPaymentOrderContentSuccessType() {
//        return new BuyerPaymentOrderContentSuccessType();
//    }

    /**
     * Create an instance of {@link PresentContractRequestType }
     * 
     */
//    public PresentContractRequestType createPresentContractRequestType() {
//        return new PresentContractRequestType();
//    }

    /**
     * Create an instance of {@link VerifyLicenseResponseType }
     * 
     */
//    public VerifyLicenseResponseType createVerifyLicenseResponseType() {
//        return new VerifyLicenseResponseType();
//    }

    /**
     * Create an instance of {@link MandateRevokeEntityRequestType }
     * 
     */
//    public MandateRevokeEntityRequestType createMandateRevokeEntityRequestType() {
//        return new MandateRevokeEntityRequestType();
//    }

    /**
     * Create an instance of {@link AssetType }
     * 
     */
    public AssetType createAssetType() {
        return new AssetType();
    }

    /**
     * Create an instance of {@link PackageType }
     * 
     */
    public PackageType createPackageType() {
        return new PackageType();
    }

    /**
     * Create an instance of {@link ProcessLicenseParameterType }
     * 
     */
//    public ProcessLicenseParameterType createProcessLicenseParameterType() {
//        return new ProcessLicenseParameterType();
//    }

    /**
     * Create an instance of {@link ProcessContentCompletionType }
     * 
     */
//    public ProcessContentCompletionType createProcessContentCompletionType() {
//        return new ProcessContentCompletionType();
//    }

    /**
     * Create an instance of {@link IdentifyEntitySuccessType }
     * 
     */
//    public IdentifyEntitySuccessType createIdentifyEntitySuccessType() {
//        return new IdentifyEntitySuccessType();
//    }

    /**
     * Create an instance of {@link IdentifyContractResponseType }
     * 
     */
//    public IdentifyContractResponseType createIdentifyContractResponseType() {
//        return new IdentifyContractResponseType();
//    }

    /**
     * Create an instance of {@link OfferSuccessType }
     * 
     */
//    public OfferSuccessType createOfferSuccessType() {
//        return new OfferSuccessType();
//    }

    /**
     * Create an instance of {@link SearchEntityResponseType }
     * 
     */
    public SearchEntityResponseType createSearchEntityResponseType() {
        return new SearchEntityResponseType();
    }

    /**
     * Create an instance of {@link RequestLicenseResponseType }
     * 
     */
//    public RequestLicenseResponseType createRequestLicenseResponseType() {
//        return new RequestLicenseResponseType();
//    }

    /**
     * Create an instance of {@link SellerPaymentOrderContentResponseType }
     * 
     */
//    public SellerPaymentOrderContentResponseType createSellerPaymentOrderContentResponseType() {
//        return new SellerPaymentOrderContentResponseType();
//    }

    /**
     * Create an instance of {@link RevokeEntityResponseType }
     * 
     */
    public RevokeEntityResponseType createRevokeEntityResponseType() {
        return new RevokeEntityResponseType();
    }

    /**
     * Create an instance of {@link SectionIdentificationType }
     * 
     */
//    public SectionIdentificationType createSectionIdentificationType() {
//        return new SectionIdentificationType();
//    }

    /**
     * Create an instance of {@link RequestContractResponseType }
     * 
     */
//    public RequestContractResponseType createRequestContractResponseType() {
//        return new RequestContractResponseType();
//    }

    /**
     * Create an instance of {@link AuthenticateContentRequestType }
     * 
     */
    public AuthenticateContentRequestType createAuthenticateContentRequestType() {
        return new AuthenticateContentRequestType();
    }

    /**
     * Create an instance of {@link StoreLicenseResponseType }
     * 
     */
    public StoreLicenseResponseType createStoreLicenseResponseType() {
        return new StoreLicenseResponseType();
    }

    /**
     * Create an instance of {@link AgreementLicenseResponseType }
     * 
     */
//    public AgreementLicenseResponseType createAgreementLicenseResponseType() {
//        return new AgreementLicenseResponseType();
//    }

    /**
     * Create an instance of {@link SetupNegotiationLicenseRequestType }
     * 
     */
//    public SetupNegotiationLicenseRequestType createSetupNegotiationLicenseRequestType() {
//        return new SetupNegotiationLicenseRequestType();
//    }

    /**
     * Create an instance of {@link CreateContentRequestType }
     * 
     */
    public CreateContentRequestType createCreateContentRequestType() {
        return new CreateContentRequestType();
    }

    /**
     * Create an instance of {@link CreateLicenseRequestType }
     * 
     */
    public CreateLicenseRequestType createCreateLicenseRequestType() {
        return new CreateLicenseRequestType();
    }

    /**
     * Create an instance of {@link DeliverContentCompletionType }
     * 
     */
//    public DeliverContentCompletionType createDeliverContentCompletionType() {
//        return new DeliverContentCompletionType();
//    }

    /**
     * Create an instance of {@link AdmissionEntityResponseType }
     * 
     */
//    public AdmissionEntityResponseType createAdmissionEntityResponseType() {
//        return new AdmissionEntityResponseType();
//    }

    /**
     * Create an instance of {@link MandateOfferLicenseResponseType }
     * 
     */
//    public MandateOfferLicenseResponseType createMandateOfferLicenseResponseType() {
//        return new MandateOfferLicenseResponseType();
//    }

    /**
     * Create an instance of {@link RequestEventRequestType }
     * 
     */
    public RequestEventRequestType createRequestEventRequestType() {
        return new RequestEventRequestType();
    }

    /**
     * Create an instance of {@link FinalItemContractType }
     * 
     */
//    public FinalItemContractType createFinalItemContractType() {
//        return new FinalItemContractType();
//    }

    /**
     * Create an instance of {@link AgreementEntitySuccessType }
     * 
     */
//    public AgreementEntitySuccessType createAgreementEntitySuccessType() {
//        return new AgreementEntitySuccessType();
//    }

    /**
     * Create an instance of {@link VerifyContractResponseType }
     * 
     */
//    public VerifyContractResponseType createVerifyContractResponseType() {
//        return new VerifyContractResponseType();
//    }


    /**
     * Create an instance of {@link SearchEntityRequestType }
     * 
     */
    public SearchEntityRequestType createSearchEntityRequestType() {
        return new SearchEntityRequestType();
    }

    /**
     * Create an instance of {@link IdentifyLicenseRequestType }
     * 
     */
//    public IdentifyLicenseRequestType createIdentifyLicenseRequestType() {
//        return new IdentifyLicenseRequestType();
//    }

    /**
     * Create an instance of {@link ControlResponseType }
     * 
     */
//    public ControlResponseType createControlResponseType() {
//        return new ControlResponseType();
//    }

    /**
     * Create an instance of {@link MandateRevokeEntityResponseType }
     * 
     */
//    public MandateRevokeEntityResponseType createMandateRevokeEntityResponseType() {
//        return new MandateRevokeEntityResponseType();
//    }

    /**
     * Create an instance of {@link PackageContentResponseType }
     * 
     */
    public PackageContentResponseType createPackageContentResponseType() {
        return new PackageContentResponseType();
    }

    /**
     * Create an instance of {@link BuyerPaymentOrderContentRequestType }
     * 
     */
//    public BuyerPaymentOrderContentRequestType createBuyerPaymentOrderContentRequestType() {
//        return new BuyerPaymentOrderContentRequestType();
//    }

    /**
     * Create an instance of {@link MeasurementLogTSSType }
     * 
     */
//    public MeasurementLogTSSType createMeasurementLogTSSType() {
//        return new MeasurementLogTSSType();
//    }

    /**
     * Create an instance of {@link IssueOfferType }
     * 
     */
//    public IssueOfferType createIssueOfferType() {
//        return new IssueOfferType();
//    }

    /**
     * Create an instance of {@link StoreContentRequestType }
     * 
     */
//    public StoreContentRequestType createStoreContentRequestType() {
//        return new StoreContentRequestType();
//    }

    /**
     * Create an instance of {@link StoreEventResponseType }
     * 
     */
    public StoreEventResponseType createStoreEventResponseType() {
        return new StoreEventResponseType();
    }

    /**
     * Create an instance of {@link SetDescribeEntityResponseType }
     * 
     */
    public SetDescribeEntityResponseType createSetDescribeEntityResponseType() {
        return new SetDescribeEntityResponseType();
    }

    /**
     * Create an instance of {@link MandateOfferContentSuccessType }
     * 
     */
//    public MandateOfferContentSuccessType createMandateOfferContentSuccessType() {
//        return new MandateOfferContentSuccessType();
//    }

    /**
     * Create an instance of {@link PresentEntitySuccessType }
     * 
     */
//    public PresentEntitySuccessType createPresentEntitySuccessType() {
//        return new PresentEntitySuccessType();
//    }

    /**
     * Create an instance of {@link VerifyDeviceResponseType }
     * 
     */
//    public VerifyDeviceResponseType createVerifyDeviceResponseType() {
//        return new VerifyDeviceResponseType();
//    }

    /**
     * Create an instance of {@link DeliverContractResponseType }
     * 
     */
//    public DeliverContractResponseType createDeliverContractResponseType() {
//        return new DeliverContractResponseType();
//    }

    /**
     * Create an instance of {@link SectionCriterionType }
     * 
     */
//    public SectionCriterionType createSectionCriterionType() {
//        return new SectionCriterionType();
//    }

    /**
     * Create an instance of {@link RevokeLicenseRequestType }
     * 
     */
    public RevokeLicenseRequestType createRevokeLicenseRequestType() {
        return new RevokeLicenseRequestType();
    }

    /**
     * Create an instance of {@link MandateOfferLicenseRequestType }
     * 
     */
//    public MandateOfferLicenseRequestType createMandateOfferLicenseRequestType() {
//        return new MandateOfferLicenseRequestType();
//    }

    /**
     * Create an instance of {@link FinalItemLicenseType }
     * 
     */
//    public FinalItemLicenseType createFinalItemLicenseType() {
//        return new FinalItemLicenseType();
//    }

    /**
     * Create an instance of {@link StatusResponseType }
     * 
     */
    public StatusResponseType createStatusResponseType() {
        return new StatusResponseType();
    }

    /**
     * Create an instance of {@link ProcessLicenseSuccessType }
     * 
     */
//    public ProcessLicenseSuccessType createProcessLicenseSuccessType() {
//        return new ProcessLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link StoreLicenseRequestType }
     * 
     */
    public StoreLicenseRequestType createStoreLicenseRequestType() {
        return new StoreLicenseRequestType();
    }

    /**
     * Create an instance of {@link ReissueGroupType }
     * 
     */
//    public ReissueGroupType createReissueGroupType() {
//        return new ReissueGroupType();
//    }

    /**
     * Create an instance of {@link ProcessLicenseResponseType }
     * 
     */
//    public ProcessLicenseResponseType createProcessLicenseResponseType() {
//        return new ProcessLicenseResponseType();
//    }

    /**
     * Create an instance of {@link RequestLicenseSuccessType }
     * 
     */
//    public RequestLicenseSuccessType createRequestLicenseSuccessType() {
//        return new RequestLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link IdentifyContractRequestType }
     * 
     */
//    public IdentifyContractRequestType createIdentifyContractRequestType() {
//        return new IdentifyContractRequestType();
//    }

    /**
     * Create an instance of {@link IssueType }
     * 
     */
//    public IssueType createIssueType() {
//        return new IssueType();
//    }

    /**
     * Create an instance of {@link AuthenticateContractRequestType }
     * 
     */
//    public AuthenticateContractRequestType createAuthenticateContractRequestType() {
//        return new AuthenticateContractRequestType();
//    }

    /**
     * Create an instance of {@link SellerPaymentOrderContentRequestType }
     * 
     */
//    public SellerPaymentOrderContentRequestType createSellerPaymentOrderContentRequestType() {
//        return new SellerPaymentOrderContentRequestType();
//    }

    /**
     * Create an instance of {@link StoreLicenseSuccessType }
     * 
     */
    public StoreLicenseSuccessType createStoreLicenseSuccessType() {
        return new StoreLicenseSuccessType();
    }

    /**
     * Create an instance of {@link AuthenticateUserRequestType }
     * 
     */
    public AuthenticateUserRequestType createAuthenticateUserRequestType() {
        return new AuthenticateUserRequestType();
    }

    /**
     * Create an instance of {@link SellerPaymentOrderLicenseRequestType }
     * 
     */
//    public SellerPaymentOrderLicenseRequestType createSellerPaymentOrderLicenseRequestType() {
//        return new SellerPaymentOrderLicenseRequestType();
//    }

    /**
     * Create an instance of {@link RequestMetadataResponseType }
     * 
     */
//    public RequestMetadataResponseType createRequestMetadataResponseType() {
//        return new RequestMetadataResponseType();
//    }

    /**
     * Create an instance of {@link RequestContentResponseType }
     * 
     */
    public RequestContentResponseType createRequestContentResponseType() {
        return new RequestContentResponseType();
    }

    /**
     * Create an instance of {@link StatusRequestType }
     * 
     */
//    public StatusRequestType createStatusRequestType() {
//        return new StatusRequestType();
//    }

    /**
     * Create an instance of {@link RequestMetadataSuccessType }
     * 
     */
//    public RequestMetadataSuccessType createRequestMetadataSuccessType() {
//        return new RequestMetadataSuccessType();
//    }

    /**
     * Create an instance of {@link RequestContentRequestType }
     * 
     */
    public RequestContentRequestType createRequestContentRequestType() {
        return new RequestContentRequestType();
    }

    /**
     * Create an instance of {@link GetDescribeEntitySuccessType }
     * 
     */
    public GetDescribeEntitySuccessType createGetDescribeEntitySuccessType() {
        return new GetDescribeEntitySuccessType();
    }

    /**
     * Create an instance of {@link BuyerPaymentOrderContentResponseType }
     * 
     */
//    public BuyerPaymentOrderContentResponseType createBuyerPaymentOrderContentResponseType() {
//        return new BuyerPaymentOrderContentResponseType();
//    }

    /**
     * Create an instance of {@link StoreContractRequestType }
     * 
     */
//    public StoreContractRequestType createStoreContractRequestType() {
//        return new StoreContractRequestType();
//    }

    /**
     * Create an instance of {@link MeasurementEventType }
     * 
     */
//    public MeasurementEventType createMeasurementEventType() {
//        return new MeasurementEventType();
//    }

    /**
     * Create an instance of {@link IdentifyLicenseSuccessType }
     * 
     */
//    public IdentifyLicenseSuccessType createIdentifyLicenseSuccessType() {
//        return new IdentifyLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link SetDescribeEntityRequestType }
     * 
     */
    public SetDescribeEntityRequestType createSetDescribeEntityRequestType() {
        return new SetDescribeEntityRequestType();
    }

    /**
     * Create an instance of {@link ProcessContentResponseType }
     * 
     */
//    public ProcessContentResponseType createProcessContentResponseType() {
//        return new ProcessContentResponseType();
//    }

    /**
     * Create an instance of {@link IdentifyDeviceRequestType }
     * 
     */
    public IdentifyDeviceRequestType createIdentifyDeviceRequestType() {
        return new IdentifyDeviceRequestType();
    }

    /**
     * Create an instance of {@link SetupNegotiationEntityResponseType }
     * 
     */
//    public SetupNegotiationEntityResponseType createSetupNegotiationEntityResponseType() {
//        return new SetupNegotiationEntityResponseType();
//    }

    /**
     * Create an instance of {@link IdentifyUserSuccessType }
     * 
     */
    public IdentifyUserSuccessType createIdentifyUserSuccessType() {
        return new IdentifyUserSuccessType();
    }

    /**
     * Create an instance of {@link CreateContractSuccessType }
     * 
     */
//    public CreateContractSuccessType createCreateContractSuccessType() {
//        return new CreateContractSuccessType();
//    }

    /**
     * Create an instance of {@link PackageContentSuccessType }
     * 
     */
    public PackageContentSuccessType createPackageContentSuccessType() {
        return new PackageContentSuccessType();
    }

    /**
     * Create an instance of {@link IdentifyUserRequestType }
     * 
     */
    public IdentifyUserRequestType createIdentifyUserRequestType() {
        return new IdentifyUserRequestType();
    }

    /**
     * Create an instance of {@link VerifyDeviceRequestType }
     * 
     */
//    public VerifyDeviceRequestType createVerifyDeviceRequestType() {
//        return new VerifyDeviceRequestType();
//    }

    /**
     * Create an instance of {@link AgreementLicenseRequestType }
     * 
     */
//    public AgreementLicenseRequestType createAgreementLicenseRequestType() {
//        return new AgreementLicenseRequestType();
//    }

    /**
     * Create an instance of {@link TemplateGroupType }
     * 
     */
//    public TemplateGroupType createTemplateGroupType() {
//        return new TemplateGroupType();
//    }

    /**
     * Create an instance of {@link RequestEventSuccessType }
     * 
     */
    public RequestEventSuccessType createRequestEventSuccessType() {
        return new RequestEventSuccessType();
    }

    /**
     * Create an instance of {@link OfferEntityResponseType }
     * 
     */
//    public OfferEntityResponseType createOfferEntityResponseType() {
//        return new OfferEntityResponseType();
//    }

    /**
     * Create an instance of {@link AgreementContractRequestType }
     * 
     */
//    public AgreementContractRequestType createAgreementContractRequestType() {
//        return new AgreementContractRequestType();
//    }

    /**
     * Create an instance of {@link CreateContractRequestType }
     * 
     */
//    public CreateContractRequestType createCreateContractRequestType() {
//        return new CreateContractRequestType();
//    }

    /**
     * Create an instance of {@link RequestEventResponseType }
     * 
     */
    public RequestEventResponseType createRequestEventResponseType() {
        return new RequestEventResponseType();
    }

    /**
     * Create an instance of {@link StoreEventRequestType }
     * 
     */
    public StoreEventRequestType createStoreEventRequestType() {
        return new StoreEventRequestType();
    }

    /**
     * Create an instance of {@link CheckWithLicenseRequestType }
     * 
     */
    public CheckWithLicenseRequestType createCheckWithLicenseRequestType() {
        return new CheckWithLicenseRequestType();
    }

    /**
     * Create an instance of {@link SetupNegotiationSuccessType }
     * 
     */
//    public SetupNegotiationSuccessType createSetupNegotiationSuccessType() {
//        return new SetupNegotiationSuccessType();
//    }

    /**
     * Create an instance of {@link PresentLicenseRequestType }
     * 
     */
//    public PresentLicenseRequestType createPresentLicenseRequestType() {
//        return new PresentLicenseRequestType();
//    }

    /**
     * Create an instance of {@link VerifyContractRequestType }
     * 
     */
//    public VerifyContractRequestType createVerifyContractRequestType() {
//        return new VerifyContractRequestType();
//    }

    /**
     * Create an instance of {@link MetadataSectionType.MetadataSectionContent }
     * 
     */
//    public MetadataSectionType.MetadataSectionContent createMetadataSectionTypeMetadataSectionContent() {
//        return new MetadataSectionType.MetadataSectionContent();
//    }

    /**
     * Create an instance of {@link AuthorizeUserSuccessType }
     * 
     */
    public AuthorizeUserSuccessType createAuthorizeUserSuccessType() {
        return new AuthorizeUserSuccessType();
    }

    /**
     * Create an instance of {@link DeliverContractRequestType }
     * 
     */
//    public DeliverContractRequestType createDeliverContractRequestType() {
//        return new DeliverContractRequestType();
//    }

    /**
     * Create an instance of {@link PostContentResponseType }
     * 
     */
    public PostContentResponseType createPostContentResponseType() {
        return new PostContentResponseType();
    }

    /**
     * Create an instance of {@link AgreementLicenseSuccessType }
     * 
     */
//    public AgreementLicenseSuccessType createAgreementLicenseSuccessType() {
//        return new AgreementLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link StoreContentCompletionType }
     * 
     */
//    public StoreContentCompletionType createStoreContentCompletionType() {
//        return new StoreContentCompletionType();
//    }

    /**
     * Create an instance of {@link TemplateLicenseType }
     * 
     */
    public TemplateLicenseType createTemplateLicenseType() {
        return new TemplateLicenseType();
    }

    /**
     * Create an instance of {@link TransactionConfirmationResponseType }
     * 
     */
//    public TransactionConfirmationResponseType createTransactionConfirmationResponseType() {
//        return new TransactionConfirmationResponseType();
//    }

    /**
     * Create an instance of {@link OfferEntityRequestType }
     * 
     */
//    public OfferEntityRequestType createOfferEntityRequestType() {
//        return new OfferEntityRequestType();
//    }

    /**
     * Create an instance of {@link IdentifyContentRequestType }
     * 
     */
    public IdentifyContentRequestType createIdentifyContentRequestType() {
        return new IdentifyContentRequestType();
    }

    /**
     * Create an instance of {@link MandateOfferLicenseSuccessType }
     * 
     */
//    public MandateOfferLicenseSuccessType createMandateOfferLicenseSuccessType() {
//        return new MandateOfferLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link RightGroupType }
     * 
     */
    public RightGroupType createRightGroupType() {
        return new RightGroupType();
    }

    /**
     * Create an instance of {@link AuthorizeUserResponseType }
     * 
     */
    public AuthorizeUserResponseType createAuthorizeUserResponseType() {
        return new AuthorizeUserResponseType();
    }

    /**
     * Create an instance of {@link PackageContentRequestType }
     * 
     */
    public PackageContentRequestType createPackageContentRequestType() {
        return new PackageContentRequestType();
    }
    
    /**
     * Create an instance of {@link RevokeContentRequestType }
     * 
     */
    public RevokeContentRequestType createRevokeContentRequestType() {
        return new RevokeContentRequestType();
    }


    /**
     * Create an instance of {@link AdmissionEntityRequestType }
     * 
     */
//    public AdmissionEntityRequestType createAdmissionEntityRequestType() {
//        return new AdmissionEntityRequestType();
//    }

    /**
     * Create an instance of {@link CustomLicenseType }
     * 
     */
    public CustomLicenseType createCustomLicenseType() {
        return new CustomLicenseType();
    }

    /**
     * Create an instance of {@link CheckWithContractSuccessType }
     * 
     */
//    public CheckWithContractSuccessType createCheckWithContractSuccessType() {
//        return new CheckWithContractSuccessType();
//    }

    /**
     * Create an instance of {@link MandateOfferContentResponseType }
     * 
     */
//    public MandateOfferContentResponseType createMandateOfferContentResponseType() {
//        return new MandateOfferContentResponseType();
//    }

    /**
     * Create an instance of {@link RequestContractSuccessType }
     * 
     */
//    public RequestContractSuccessType createRequestContractSuccessType() {
//        return new RequestContractSuccessType();
//    }

    /**
     * Create an instance of {@link IdentifyLicenseResponseType }
     * 
     */
//    public IdentifyLicenseResponseType createIdentifyLicenseResponseType() {
//        return new IdentifyLicenseResponseType();
//    }

    /**
     * Create an instance of {@link SellerPaymentOrderContentSuccessType }
     * 
     */
//    public SellerPaymentOrderContentSuccessType createSellerPaymentOrderContentSuccessType() {
//        return new SellerPaymentOrderContentSuccessType();
//    }

    /**
     * Create an instance of {@link ControlRequestType }
     * 
     */
//    public ControlRequestType createControlRequestType() {
//        return new ControlRequestType();
//    }

    /**
     * Create an instance of {@link RequestMetadataRequestType }
     * 
     */
//    public RequestMetadataRequestType createRequestMetadataRequestType() {
//        return new RequestMetadataRequestType();
//    }

    /**
     * Create an instance of {@link StoreContractResponseType }
     * 
     */
//    public StoreContractResponseType createStoreContractResponseType() {
//        return new StoreContractResponseType();
//    }

    /**
     * Create an instance of {@link PostContentRequestType }
     * 
     */
    public PostContentRequestType createPostContentRequestType() {
        return new PostContentRequestType();
    }

    /**
     * Create an instance of {@link StatusSuccessType }
     * 
     */
//    public StatusSuccessType createStatusSuccessType() {
//        return new StatusSuccessType();
//    }

    /**
     * Create an instance of {@link AuthenticateEntityResponseType }
     * 
     */
    public AuthenticateEntityResponseType createAuthenticateEntityResponseType() {
        return new AuthenticateEntityResponseType();
    }

    /**
     * Create an instance of {@link RequestContractRequestType }
     * 
     */
//    public RequestContractRequestType createRequestContractRequestType() {
//        return new RequestContractRequestType();
//    }

    /**
     * Create an instance of {@link RequestContentSuccessType }
     * 
     */
    public RequestContentSuccessType createRequestContentSuccessType() {
        return new RequestContentSuccessType();
    }

    /**
     * Create an instance of {@link CreateContentSuccessType }
     * 
     */
    public CreateContentSuccessType createCreateContentSuccessType() {
        return new CreateContentSuccessType();
    }

    /**
     * Create an instance of {@link ProcessContentRequestType }
     * 
     */
//    public ProcessContentRequestType createProcessContentRequestType() {
//        return new ProcessContentRequestType();
//    }

    /**
     * Create an instance of {@link CreateContentResponseType }
     * 
     */
    public CreateContentResponseType createCreateContentResponseType() {
        return new CreateContentResponseType();
    }

    /**
     * Create an instance of {@link GetDescribeEntityRequestType }
     * 
     */
    public GetDescribeEntityRequestType createGetDescribeEntityRequestType() {
        return new GetDescribeEntityRequestType();
    }

    /**
     * Create an instance of {@link MetadataSectionType }
     * 
     */
//    public MetadataSectionType createMetadataSectionType() {
//        return new MetadataSectionType();
//    }

    /**
     * Create an instance of {@link PresentEntityResponseType }
     * 
     */
//    public PresentEntityResponseType createPresentEntityResponseType() {
//        return new PresentEntityResponseType();
//    }

    /**
     * Create an instance of {@link StoreContentResponseType }
     * 
     */
//    public StoreContentResponseType createStoreContentResponseType() {
//        return new StoreContentResponseType();
//    }

    /**
     * Create an instance of {@link SellerPaymentOrderLicenseSuccessType }
     * 
     */
//    public SellerPaymentOrderLicenseSuccessType createSellerPaymentOrderLicenseSuccessType() {
//        return new SellerPaymentOrderLicenseSuccessType();
//    }

    /**
     * Create an instance of {@link RequestDeviceResponseType }
     * 
     */
//    public RequestDeviceResponseType createRequestDeviceResponseType() {
//        return new RequestDeviceResponseType();
//    }

    /**
     * Create an instance of {@link AuthenticateLicenseRequestType }
     * 
     */
//    public AuthenticateLicenseRequestType createAuthenticateLicenseRequestType() {
//        return new AuthenticateLicenseRequestType();
//    }

    /**
     * Create an instance of {@link CheckWithContractRequestType }
     * 
     */
//    public CheckWithContractRequestType createCheckWithContractRequestType() {
//        return new CheckWithContractRequestType();
//    }

    /**
     * Create an instance of {@link SearchEntitySuccessType }
     * 
     */
    public SearchEntitySuccessType createSearchEntitySuccessType() {
        return new SearchEntitySuccessType();
    }

    /**
     * Create an instance of {@link VerifyLicenseRequestType }
     * 
     */
//    public VerifyLicenseRequestType createVerifyLicenseRequestType() {
//        return new VerifyLicenseRequestType();
//    }

    /**
     * Create an instance of {@link CreateContractResponseType }
     * 
     */
//    public CreateContractResponseType createCreateContractResponseType() {
//        return new CreateContractResponseType();
//    }

    /**
     * Create an instance of {@link AuthorizeUserRequestType }
     * 
     */
    public AuthorizeUserRequestType createAuthorizeUserRequestType() {
        return new AuthorizeUserRequestType();
    }

    /**
     * Create an instance of {@link SellerPaymentOrderLicenseResponseType }
     * 
     */
//    public SellerPaymentOrderLicenseResponseType createSellerPaymentOrderLicenseResponseType() {
//        return new SellerPaymentOrderLicenseResponseType();
//    }

    /**
     * Create an instance of {@link IdentifyContentSuccessType }
     * 
     */
    public IdentifyContentSuccessType createIdentifyContentSuccessType() {
        return new IdentifyContentSuccessType();
    }

    /**
     * Create an instance of {@link CreateLicenseResponseType }
     * 
     */
    public CreateLicenseResponseType createCreateLicenseResponseType() {
        return new CreateLicenseResponseType();
    }

    /**
     * Create an instance of {@link DeliverContentResponseType }
     * 
     */
//    public DeliverContentResponseType createDeliverContentResponseType() {
//        return new DeliverContentResponseType();
//    }

    /**
     * Create an instance of {@link AuthenticateUserResponseType }
     * 
     */
    public AuthenticateUserResponseType createAuthenticateUserResponseType() {
        return new AuthenticateUserResponseType();
    }

    /**
     * Create an instance of {@link CreateLicenseSuccessType }
     * 
     */
    public CreateLicenseSuccessType createCreateLicenseSuccessType() {
        return new CreateLicenseSuccessType();
    }

    /**
     * Create an instance of {@link IdentifyDeviceSuccessType }
     * 
     */
    public IdentifyDeviceSuccessType createIdentifyDeviceSuccessType() {
        return new IdentifyDeviceSuccessType();
    }

    /**
     * Create an instance of {@link AgreementContractSuccessType }
     * 
     */
//    public AgreementContractSuccessType createAgreementContractSuccessType() {
//        return new AgreementContractSuccessType();
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetupNegotiationEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetupNegotiationContractResponse")
//    public JAXBElement<SetupNegotiationEntityResponseType> createSetupNegotiationContractResponse(SetupNegotiationEntityResponseType value) {
//        return new JAXBElement<SetupNegotiationEntityResponseType>(_SetupNegotiationContractResponse_QNAME, SetupNegotiationEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeUserResponse")
    public JAXBElement<GetDescribeEntityResponseType> createGetDescribeUserResponse(GetDescribeEntityResponseType value) {
        return new JAXBElement<GetDescribeEntityResponseType>(_GetDescribeUserResponse_QNAME, GetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OfferEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "OfferContractRequest")
//    public JAXBElement<OfferEntityRequestType> createOfferContractRequest(OfferEntityRequestType value) {
//        return new JAXBElement<OfferEntityRequestType>(_OfferContractRequest_QNAME, OfferEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchLicenseResponse")
    public JAXBElement<SearchEntityResponseType> createSearchLicenseResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchLicenseResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyLicenseRequest")
//    public JAXBElement<VerifyLicenseRequestType> createVerifyLicenseRequest(VerifyLicenseRequestType value) {
//        return new JAXBElement<VerifyLicenseRequestType>(_VerifyLicenseRequest_QNAME, VerifyLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreLicenseResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreLicenseResponse")
    public JAXBElement<StoreLicenseResponseType> createStoreLicenseResponse(StoreLicenseResponseType value) {
        return new JAXBElement<StoreLicenseResponseType>(_StoreLicenseResponse_QNAME, StoreLicenseResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeContentRequest")
    public JAXBElement<GetDescribeEntityRequestType> createGetDescribeContentRequest(GetDescribeEntityRequestType value) {
        return new JAXBElement<GetDescribeEntityRequestType>(_GetDescribeContentRequest_QNAME, GetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PostContentResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PostContentResponse")
    public JAXBElement<PostContentResponseType> createPostContentResponse(PostContentResponseType value) {
        return new JAXBElement<PostContentResponseType>(_PostContentResponse_QNAME, PostContentResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestContractResponse")
//    public JAXBElement<RequestContractResponseType> createRequestContractResponse(RequestContractResponseType value) {
//        return new JAXBElement<RequestContractResponseType>(_RequestContractResponse_QNAME, RequestContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliverContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "DeliverContentRequest")
//    public JAXBElement<DeliverContentRequestType> createDeliverContentRequest(DeliverContentRequestType value) {
//        return new JAXBElement<DeliverContentRequestType>(_DeliverContentRequest_QNAME, DeliverContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyLicenseRequest")
//    public JAXBElement<IdentifyLicenseRequestType> createIdentifyLicenseRequest(IdentifyLicenseRequestType value) {
//        return new JAXBElement<IdentifyLicenseRequestType>(_IdentifyLicenseRequest_QNAME, IdentifyLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SellerPaymentOrderLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SellerPaymentOrderLicenseRequest")
//    public JAXBElement<SellerPaymentOrderLicenseRequestType> createSellerPaymentOrderLicenseRequest(SellerPaymentOrderLicenseRequestType value) {
//        return new JAXBElement<SellerPaymentOrderLicenseRequestType>(_SellerPaymentOrderLicenseRequest_QNAME, SellerPaymentOrderLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestMetadataResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestMetadataResponse")
//    public JAXBElement<RequestMetadataResponseType> createRequestMetadataResponse(RequestMetadataResponseType value) {
//        return new JAXBElement<RequestMetadataResponseType>(_RequestMetadataResponse_QNAME, RequestMetadataResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeServiceResponse")
    public JAXBElement<GetDescribeEntityResponseType> createGetDescribeServiceResponse(GetDescribeEntityResponseType value) {
        return new JAXBElement<GetDescribeEntityResponseType>(_GetDescribeServiceResponse_QNAME, GetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateContentResponse")
    public JAXBElement<AuthenticateEntityResponseType> createAuthenticateContentResponse(AuthenticateEntityResponseType value) {
        return new JAXBElement<AuthenticateEntityResponseType>(_AuthenticateContentResponse_QNAME, AuthenticateEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ProcessLicenseRequest")
//    public JAXBElement<ProcessLicenseRequestType> createProcessLicenseRequest(ProcessLicenseRequestType value) {
//        return new JAXBElement<ProcessLicenseRequestType>(_ProcessLicenseRequest_QNAME, ProcessLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyDeviceResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyDeviceResponse")
//    public JAXBElement<VerifyDeviceResponseType> createVerifyDeviceResponse(VerifyDeviceResponseType value) {
//        return new JAXBElement<VerifyDeviceResponseType>(_VerifyDeviceResponse_QNAME, VerifyDeviceResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliverContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "DeliverContractRequest")
//    public JAXBElement<DeliverContractRequestType> createDeliverContractRequest(DeliverContractRequestType value) {
//        return new JAXBElement<DeliverContractRequestType>(_DeliverContractRequest_QNAME, DeliverContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateContractResponse")
//    public JAXBElement<CreateContractResponseType> createCreateContractResponse(CreateContractResponseType value) {
//        return new JAXBElement<CreateContractResponseType>(_CreateContractResponse_QNAME, CreateContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeServiceRequest")
    public JAXBElement<SetDescribeEntityRequestType> createSetDescribeServiceRequest(SetDescribeEntityRequestType value) {
        return new JAXBElement<SetDescribeEntityRequestType>(_SetDescribeServiceRequest_QNAME, SetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchGroupRequest")
    public JAXBElement<SearchEntityRequestType> createSearchGroupRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchGroupRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateLicenseResponse")
    public JAXBElement<AuthenticateEntityResponseType> createAuthenticateLicenseResponse(AuthenticateEntityResponseType value) {
        return new JAXBElement<AuthenticateEntityResponseType>(_AuthenticateLicenseResponse_QNAME, AuthenticateEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchServiceRequest")
    public JAXBElement<SearchEntityRequestType> createSearchServiceRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchServiceRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateUserRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateUserRequest")
    public JAXBElement<AuthenticateUserRequestType> createAuthenticateUserRequest(AuthenticateUserRequestType value) {
        return new JAXBElement<AuthenticateUserRequestType>(_AuthenticateUserRequest_QNAME, AuthenticateUserRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BuyerPaymentOrderContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "BuyerPaymentOrderContentRequest")
//    public JAXBElement<BuyerPaymentOrderContentRequestType> createBuyerPaymentOrderContentRequest(BuyerPaymentOrderContentRequestType value) {
//        return new JAXBElement<BuyerPaymentOrderContentRequestType>(_BuyerPaymentOrderContentRequest_QNAME, BuyerPaymentOrderContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyUserResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyUserResponse")
    public JAXBElement<IdentifyUserResponseType> createIdentifyUserResponse(IdentifyUserResponseType value) {
        return new JAXBElement<IdentifyUserResponseType>(_IdentifyUserResponse_QNAME, IdentifyUserResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchUserResponse")
    public JAXBElement<SearchEntityResponseType> createSearchUserResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchUserResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyLicenseResponse")
//    public JAXBElement<VerifyLicenseResponseType> createVerifyLicenseResponse(VerifyLicenseResponseType value) {
//        return new JAXBElement<VerifyLicenseResponseType>(_VerifyLicenseResponse_QNAME, VerifyLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StatusResponse")
    public JAXBElement<StatusResponseType> createStatusResponse(StatusResponseType value) {
        return new JAXBElement<StatusResponseType>(_StatusResponse_QNAME, StatusResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ControlRequest")
//    public JAXBElement<ControlRequestType> createControlRequest(ControlRequestType value) {
//        return new JAXBElement<ControlRequestType>(_ControlRequest_QNAME, ControlRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateOfferLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateOfferLicenseResponse")
//    public JAXBElement<MandateOfferLicenseResponseType> createMandateOfferLicenseResponse(MandateOfferLicenseResponseType value) {
//        return new JAXBElement<MandateOfferLicenseResponseType>(_MandateOfferLicenseResponse_QNAME, MandateOfferLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchContractResponse")
    public JAXBElement<SearchEntityResponseType> createSearchContractResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchContractResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyContractResponse")
//    public JAXBElement<VerifyContractResponseType> createVerifyContractResponse(VerifyContractResponseType value) {
//        return new JAXBElement<VerifyContractResponseType>(_VerifyContractResponse_QNAME, VerifyContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeDeviceRequest")
    public JAXBElement<GetDescribeEntityRequestType> createGetDescribeDeviceRequest(GetDescribeEntityRequestType value) {
        return new JAXBElement<GetDescribeEntityRequestType>(_GetDescribeDeviceRequest_QNAME, GetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateLicenseRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateLicenseRequest")
    public JAXBElement<CreateLicenseRequestType> createCreateLicenseRequest(CreateLicenseRequestType value) {
        return new JAXBElement<CreateLicenseRequestType>(_CreateLicenseRequest_QNAME, CreateLicenseRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SellerPaymentOrderContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SellerPaymentOrderContentRequest")
//    public JAXBElement<SellerPaymentOrderContentRequestType> createSellerPaymentOrderContentRequest(SellerPaymentOrderContentRequestType value) {
//        return new JAXBElement<SellerPaymentOrderContentRequestType>(_SellerPaymentOrderContentRequest_QNAME, SellerPaymentOrderContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeServiceResponse")
    public JAXBElement<SetDescribeEntityResponseType> createSetDescribeServiceResponse(SetDescribeEntityResponseType value) {
        return new JAXBElement<SetDescribeEntityResponseType>(_SetDescribeServiceResponse_QNAME, SetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestEventResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestEventResponse")
    public JAXBElement<RequestEventResponseType> createRequestEventResponse(RequestEventResponseType value) {
        return new JAXBElement<RequestEventResponseType>(_RequestEventResponse_QNAME, RequestEventResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdmissionEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AdmissionLicenseRequest")
//    public JAXBElement<AdmissionEntityRequestType> createAdmissionLicenseRequest(AdmissionEntityRequestType value) {
//        return new JAXBElement<AdmissionEntityRequestType>(_AdmissionLicenseRequest_QNAME, AdmissionEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeUserRequest")
    public JAXBElement<GetDescribeEntityRequestType> createGetDescribeUserRequest(GetDescribeEntityRequestType value) {
        return new JAXBElement<GetDescribeEntityRequestType>(_GetDescribeUserRequest_QNAME, GetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateContentResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateContentResponse")
    public JAXBElement<CreateContentResponseType> createCreateContentResponse(CreateContentResponseType value) {
        return new JAXBElement<CreateContentResponseType>(_CreateContentResponse_QNAME, CreateContentResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeDeviceResponse")
    public JAXBElement<SetDescribeEntityResponseType> createSetDescribeDeviceResponse(SetDescribeEntityResponseType value) {
        return new JAXBElement<SetDescribeEntityResponseType>(_SetDescribeDeviceResponse_QNAME, SetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PresentContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PresentContractRequest")
//    public JAXBElement<PresentContractRequestType> createPresentContractRequest(PresentContractRequestType value) {
//        return new JAXBElement<PresentContractRequestType>(_PresentContractRequest_QNAME, PresentContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyUserRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyUserRequest")
    public JAXBElement<IdentifyUserRequestType> createIdentifyUserRequest(IdentifyUserRequestType value) {
        return new JAXBElement<IdentifyUserRequestType>(_IdentifyUserRequest_QNAME, IdentifyUserRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreEventRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreEventRequest")
    public JAXBElement<StoreEventRequestType> createStoreEventRequest(StoreEventRequestType value) {
        return new JAXBElement<StoreEventRequestType>(_StoreEventRequest_QNAME, StoreEventRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestEventRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestEventRequest")
    public JAXBElement<RequestEventRequestType> createRequestEventRequest(RequestEventRequestType value) {
        return new JAXBElement<RequestEventRequestType>(_RequestEventRequest_QNAME, RequestEventRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchContentResponse")
    public JAXBElement<SearchEntityResponseType> createSearchContentResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchContentResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdmissionEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AdmissionLicenseResponse")
//    public JAXBElement<AdmissionEntityResponseType> createAdmissionLicenseResponse(AdmissionEntityResponseType value) {
//        return new JAXBElement<AdmissionEntityResponseType>(_AdmissionLicenseResponse_QNAME, AdmissionEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RevokeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RevokeContentResponse")
    public JAXBElement<RevokeEntityResponseType> createRevokeContentResponse(RevokeEntityResponseType value) {
        return new JAXBElement<RevokeEntityResponseType>(_RevokeContentResponse_QNAME, RevokeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BuyerPaymentOrderLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "BuyerPaymentOrderLicenseRequest")
//    public JAXBElement<BuyerPaymentOrderLicenseRequestType> createBuyerPaymentOrderLicenseRequest(BuyerPaymentOrderLicenseRequestType value) {
//        return new JAXBElement<BuyerPaymentOrderLicenseRequestType>(_BuyerPaymentOrderLicenseRequest_QNAME, BuyerPaymentOrderLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthorizeUserRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthorizeUserRequest")
    public JAXBElement<AuthorizeUserRequestType> createAuthorizeUserRequest(AuthorizeUserRequestType value) {
        return new JAXBElement<AuthorizeUserRequestType>(_AuthorizeUserRequest_QNAME, AuthorizeUserRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreContractRequest")
//    public JAXBElement<StoreContractRequestType> createStoreContractRequest(StoreContractRequestType value) {
//        return new JAXBElement<StoreContractRequestType>(_StoreContractRequest_QNAME, StoreContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRevokeEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateRevokeLicenseResponse")
//    public JAXBElement<MandateRevokeEntityResponseType> createMandateRevokeLicenseResponse(MandateRevokeEntityResponseType value) {
//        return new JAXBElement<MandateRevokeEntityResponseType>(_MandateRevokeLicenseResponse_QNAME, MandateRevokeEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchLicenseRequest")
    public JAXBElement<SearchEntityRequestType> createSearchLicenseRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchLicenseRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetupNegotiationContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetupNegotiationContractRequest")
//    public JAXBElement<SetupNegotiationContractRequestType> createSetupNegotiationContractRequest(SetupNegotiationContractRequestType value) {
//        return new JAXBElement<SetupNegotiationContractRequestType>(_SetupNegotiationContractRequest_QNAME, SetupNegotiationContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreEventResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreEventResponse")
    public JAXBElement<StoreEventResponseType> createStoreEventResponse(StoreEventResponseType value) {
        return new JAXBElement<StoreEventResponseType>(_StoreEventResponse_QNAME, StoreEventResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RevokeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RevokeLicenseResponse")
    public JAXBElement<RevokeEntityResponseType> createRevokeLicenseResponse(RevokeEntityResponseType value) {
        return new JAXBElement<RevokeEntityResponseType>(_RevokeLicenseResponse_QNAME, RevokeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateContractResponse")
    public JAXBElement<AuthenticateEntityResponseType> createAuthenticateContractResponse(AuthenticateEntityResponseType value) {
        return new JAXBElement<AuthenticateEntityResponseType>(_AuthenticateContractResponse_QNAME, AuthenticateEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ProcessLicenseResponse")
//    public JAXBElement<ProcessLicenseResponseType> createProcessLicenseResponse(ProcessLicenseResponseType value) {
//        return new JAXBElement<ProcessLicenseResponseType>(_ProcessLicenseResponse_QNAME, ProcessLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckWithLicenseRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CheckWithLicenseRequest")
    public JAXBElement<CheckWithLicenseRequestType> createCheckWithLicenseRequest(CheckWithLicenseRequestType value) {
        return new JAXBElement<CheckWithLicenseRequestType>(_CheckWithLicenseRequest_QNAME, CheckWithLicenseRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ProcessContentResponse")
//    public JAXBElement<ProcessContentResponseType> createProcessContentResponse(ProcessContentResponseType value) {
//        return new JAXBElement<ProcessContentResponseType>(_ProcessContentResponse_QNAME, ProcessContentResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgreementLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AgreementLicenseResponse")
//    public JAXBElement<AgreementLicenseResponseType> createAgreementLicenseResponse(AgreementLicenseResponseType value) {
//        return new JAXBElement<AgreementLicenseResponseType>(_AgreementLicenseResponse_QNAME, AgreementLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestLicenseResponse")
//    public JAXBElement<RequestLicenseResponseType> createRequestLicenseResponse(RequestLicenseResponseType value) {
//        return new JAXBElement<RequestLicenseResponseType>(_RequestLicenseResponse_QNAME, RequestLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PackageContentResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PackageContentResponse")
    public JAXBElement<PackageContentResponseType> createPackageContentResponse(PackageContentResponseType value) {
        return new JAXBElement<PackageContentResponseType>(_PackageContentResponse_QNAME, PackageContentResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliverContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "DeliverContractResponse")
//    public JAXBElement<DeliverContractResponseType> createDeliverContractResponse(DeliverContractResponseType value) {
//        return new JAXBElement<DeliverContractResponseType>(_DeliverContractResponse_QNAME, DeliverContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetupNegotiationLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetupNegotiationLicenseRequest")
//    public JAXBElement<SetupNegotiationLicenseRequestType> createSetupNegotiationLicenseRequest(SetupNegotiationLicenseRequestType value) {
//        return new JAXBElement<SetupNegotiationLicenseRequestType>(_SetupNegotiationLicenseRequest_QNAME, SetupNegotiationLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PostContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PostContentRequest")
    public JAXBElement<PostContentRequestType> createPostContentRequest(PostContentRequestType value) {
        return new JAXBElement<PostContentRequestType>(_PostContentRequest_QNAME, PostContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreContentRequest")
//    public JAXBElement<StoreContentRequestType> createStoreContentRequest(StoreContentRequestType value) {
//        return new JAXBElement<StoreContentRequestType>(_StoreContentRequest_QNAME, StoreContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateContractRequest")
//    public JAXBElement<CreateContractRequestType> createCreateContractRequest(CreateContractRequestType value) {
//        return new JAXBElement<CreateContractRequestType>(_CreateContractRequest_QNAME, CreateContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateContentRequest")
    public JAXBElement<CreateContentRequestType> createCreateContentRequest(CreateContentRequestType value) {
        return new JAXBElement<CreateContentRequestType>(_CreateContentRequest_QNAME, CreateContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeUserRequest")
    public JAXBElement<SetDescribeEntityRequestType> createSetDescribeUserRequest(SetDescribeEntityRequestType value) {
        return new JAXBElement<SetDescribeEntityRequestType>(_SetDescribeUserRequest_QNAME, SetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchDeviceResponse")
    public JAXBElement<SearchEntityResponseType> createSearchDeviceResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchDeviceResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PresentLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PresentLicenseRequest")
//    public JAXBElement<PresentLicenseRequestType> createPresentLicenseRequest(PresentLicenseRequestType value) {
//        return new JAXBElement<PresentLicenseRequestType>(_PresentLicenseRequest_QNAME, PresentLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeContentResponse")
    public JAXBElement<GetDescribeEntityResponseType> createGetDescribeContentResponse(GetDescribeEntityResponseType value) {
        return new JAXBElement<GetDescribeEntityResponseType>(_GetDescribeContentResponse_QNAME, GetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRevokeEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateRevokeContentRequest")
//    public JAXBElement<MandateRevokeEntityRequestType> createMandateRevokeContentRequest(MandateRevokeEntityRequestType value) {
//        return new JAXBElement<MandateRevokeEntityRequestType>(_MandateRevokeContentRequest_QNAME, MandateRevokeEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchContractRequest")
    public JAXBElement<SearchEntityRequestType> createSearchContractRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchContractRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateContentRequest")
    public JAXBElement<AuthenticateContentRequestType> createAuthenticateContentRequest(AuthenticateContentRequestType value) {
        return new JAXBElement<AuthenticateContentRequestType>(_AuthenticateContentRequest_QNAME, AuthenticateContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestMetadataRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestMetadataRequest")
//    public JAXBElement<RequestMetadataRequestType> createRequestMetadataRequest(RequestMetadataRequestType value) {
//        return new JAXBElement<RequestMetadataRequestType>(_RequestMetadataRequest_QNAME, RequestMetadataRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateLicenseRequest")
//    public JAXBElement<AuthenticateLicenseRequestType> createAuthenticateLicenseRequest(AuthenticateLicenseRequestType value) {
//        return new JAXBElement<AuthenticateLicenseRequestType>(_AuthenticateLicenseRequest_QNAME, AuthenticateLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateOfferContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateOfferContentRequest")
//    public JAXBElement<MandateOfferContentRequestType> createMandateOfferContentRequest(MandateOfferContentRequestType value) {
//        return new JAXBElement<MandateOfferContentRequestType>(_MandateOfferContentRequest_QNAME, MandateOfferContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckWithContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CheckWithContractRequest")
//    public JAXBElement<CheckWithContractRequestType> createCheckWithContractRequest(CheckWithContractRequestType value) {
//        return new JAXBElement<CheckWithContractRequestType>(_CheckWithContractRequest_QNAME, CheckWithContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OfferEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "OfferLicenseResponse")
//    public JAXBElement<OfferEntityResponseType> createOfferLicenseResponse(OfferEntityResponseType value) {
//        return new JAXBElement<OfferEntityResponseType>(_OfferLicenseResponse_QNAME, OfferEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckWithContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CheckWithContractResponse")
//    public JAXBElement<CheckWithContractResponseType> createCheckWithContractResponse(CheckWithContractResponseType value) {
//        return new JAXBElement<CheckWithContractResponseType>(_CheckWithContractResponse_QNAME, CheckWithContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchDeviceRequest")
    public JAXBElement<SearchEntityRequestType> createSearchDeviceRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchDeviceRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRevokeEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateRevokeContentResponse")
//    public JAXBElement<MandateRevokeEntityResponseType> createMandateRevokeContentResponse(MandateRevokeEntityResponseType value) {
//        return new JAXBElement<MandateRevokeEntityResponseType>(_MandateRevokeContentResponse_QNAME, MandateRevokeEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchContentRequest")
    public JAXBElement<SearchEntityRequestType> createSearchContentRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchContentRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeContentResponse")
    public JAXBElement<SetDescribeEntityResponseType> createSetDescribeContentResponse(SetDescribeEntityResponseType value) {
        return new JAXBElement<SetDescribeEntityResponseType>(_SetDescribeContentResponse_QNAME, SetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliverContentCompletionType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "DeliverContentCompletion")
//    public JAXBElement<DeliverContentCompletionType> createDeliverContentCompletion(DeliverContentCompletionType value) {
//        return new JAXBElement<DeliverContentCompletionType>(_DeliverContentCompletion_QNAME, DeliverContentCompletionType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PresentEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PresentContractResponse")
//    public JAXBElement<PresentEntityResponseType> createPresentContractResponse(PresentEntityResponseType value) {
//        return new JAXBElement<PresentEntityResponseType>(_PresentContractResponse_QNAME, PresentEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyContractRequest")
//    public JAXBElement<VerifyContractRequestType> createVerifyContractRequest(VerifyContractRequestType value) {
//        return new JAXBElement<VerifyContractRequestType>(_VerifyContractRequest_QNAME, VerifyContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RevokeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RevokeContractResponse")
    public JAXBElement<RevokeEntityResponseType> createRevokeContractResponse(RevokeEntityResponseType value) {
        return new JAXBElement<RevokeEntityResponseType>(_RevokeContractResponse_QNAME, RevokeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyContentRequest")
    public JAXBElement<IdentifyContentRequestType> createIdentifyContentRequest(IdentifyContentRequestType value) {
        return new JAXBElement<IdentifyContentRequestType>(_IdentifyContentRequest_QNAME, IdentifyContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StatusRequest")
//    public JAXBElement<StatusRequestType> createStatusRequest(StatusRequestType value) {
//        return new JAXBElement<StatusRequestType>(_StatusRequest_QNAME, StatusRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgreementContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AgreementContractResponse")
//    public JAXBElement<AgreementContractResponseType> createAgreementContractResponse(AgreementContractResponseType value) {
//        return new JAXBElement<AgreementContractResponseType>(_AgreementContractResponse_QNAME, AgreementContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreContractResponse")
//    public JAXBElement<StoreContractResponseType> createStoreContractResponse(StoreContractResponseType value) {
//        return new JAXBElement<StoreContractResponseType>(_StoreContractResponse_QNAME, StoreContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgreementContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AgreementContractRequest")
//    public JAXBElement<AgreementContractRequestType> createAgreementContractRequest(AgreementContractRequestType value) {
//        return new JAXBElement<AgreementContractRequestType>(_AgreementContractRequest_QNAME, AgreementContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeUserResponse")
    public JAXBElement<SetDescribeEntityResponseType> createSetDescribeUserResponse(SetDescribeEntityResponseType value) {
        return new JAXBElement<SetDescribeEntityResponseType>(_SetDescribeUserResponse_QNAME, SetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreLicenseRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreLicenseRequest")
    public JAXBElement<StoreLicenseRequestType> createStoreLicenseRequest(StoreLicenseRequestType value) {
        return new JAXBElement<StoreLicenseRequestType>(_StoreLicenseRequest_QNAME, StoreLicenseRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OfferEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "OfferContractResponse")
//    public JAXBElement<OfferEntityResponseType> createOfferContractResponse(OfferEntityResponseType value) {
//        return new JAXBElement<OfferEntityResponseType>(_OfferContractResponse_QNAME, OfferEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TransactionConfirmationResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "TransactionConfirmationResponse")
//    public JAXBElement<TransactionConfirmationResponseType> createTransactionConfirmationResponse(TransactionConfirmationResponseType value) {
//        return new JAXBElement<TransactionConfirmationResponseType>(_TransactionConfirmationResponse_QNAME, TransactionConfirmationResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BuyerPaymentOrderLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "BuyerPaymentOrderLicenseResponse")
//    public JAXBElement<BuyerPaymentOrderLicenseResponseType> createBuyerPaymentOrderLicenseResponse(BuyerPaymentOrderLicenseResponseType value) {
//        return new JAXBElement<BuyerPaymentOrderLicenseResponseType>(_BuyerPaymentOrderLicenseResponse_QNAME, BuyerPaymentOrderLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestLicenseRequest")
//    public JAXBElement<RequestLicenseRequestType> createRequestLicenseRequest(RequestLicenseRequestType value) {
//        return new JAXBElement<RequestLicenseRequestType>(_RequestLicenseRequest_QNAME, RequestLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestContentResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestContentRespone")
    public JAXBElement<RequestContentResponseType> createRequestContentRespone(RequestContentResponseType value) {
        return new JAXBElement<RequestContentResponseType>(_RequestContentRespone_QNAME, RequestContentResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PackageContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PackageContentRequest")
    public JAXBElement<PackageContentRequestType> createPackageContentRequest(PackageContentRequestType value) {
        return new JAXBElement<PackageContentRequestType>(_PackageContentRequest_QNAME, PackageContentRequestType.class, null, value);
    }
    
    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RevokeContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RevokeContentRequest")
    public JAXBElement<RevokeContentRequestType> createRevokeContentRequest(RevokeContentRequestType value) {
        return new JAXBElement<RevokeContentRequestType>(_RevokeContentRequest_QNAME, RevokeContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestContractRequest")
//    public JAXBElement<RequestContractRequestType> createRequestContractRequest(RequestContractRequestType value) {
//        return new JAXBElement<RequestContractRequestType>(_RequestContractRequest_QNAME, RequestContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckWithLicenseResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CheckWithLicenseResponse")
    public JAXBElement<CheckWithLicenseResponseType> createCheckWithLicenseResponse(CheckWithLicenseResponseType value) {
        return new JAXBElement<CheckWithLicenseResponseType>(_CheckWithLicenseResponse_QNAME, CheckWithLicenseResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgreementLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AgreementLicenseRequest")
//    public JAXBElement<AgreementLicenseRequestType> createAgreementLicenseRequest(AgreementLicenseRequestType value) {
//        return new JAXBElement<AgreementLicenseRequestType>(_AgreementLicenseRequest_QNAME, AgreementLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthorizeUserResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthorizeUserResponse")
    public JAXBElement<AuthorizeUserResponseType> createAuthorizeUserResponse(AuthorizeUserResponseType value) {
        return new JAXBElement<AuthorizeUserResponseType>(_AuthorizeUserResponse_QNAME, AuthorizeUserResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OfferEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "OfferLicenseRequest")
//    public JAXBElement<OfferEntityRequestType> createOfferLicenseRequest(OfferEntityRequestType value) {
//        return new JAXBElement<OfferEntityRequestType>(_OfferLicenseRequest_QNAME, OfferEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyLicenseResponse")
//    public JAXBElement<IdentifyLicenseResponseType> createIdentifyLicenseResponse(IdentifyLicenseResponseType value) {
//        return new JAXBElement<IdentifyLicenseResponseType>(_IdentifyLicenseResponse_QNAME, IdentifyLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchGroupResponse")
    public JAXBElement<SearchEntityResponseType> createSearchGroupResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchGroupResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BuyerPaymentOrderContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "BuyerPaymentOrderContentResponse")
//    public JAXBElement<BuyerPaymentOrderContentResponseType> createBuyerPaymentOrderContentResponse(BuyerPaymentOrderContentResponseType value) {
//        return new JAXBElement<BuyerPaymentOrderContentResponseType>(_BuyerPaymentOrderContentResponse_QNAME, BuyerPaymentOrderContentResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdmissionEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AdmissionContractRequest")
//    public JAXBElement<AdmissionEntityRequestType> createAdmissionContractRequest(AdmissionEntityRequestType value) {
//        return new JAXBElement<AdmissionEntityRequestType>(_AdmissionContractRequest_QNAME, AdmissionEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyContractRequest")
//    public JAXBElement<IdentifyContractRequestType> createIdentifyContractRequest(IdentifyContractRequestType value) {
//        return new JAXBElement<IdentifyContractRequestType>(_IdentifyContractRequest_QNAME, IdentifyContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestContentRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestContentRequest")
    public JAXBElement<RequestContentRequestType> createRequestContentRequest(RequestContentRequestType value) {
        return new JAXBElement<RequestContentRequestType>(_RequestContentRequest_QNAME, RequestContentRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyDeviceRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "VerifyDeviceRequest")
//    public JAXBElement<VerifyDeviceRequestType> createVerifyDeviceRequest(VerifyDeviceRequestType value) {
//        return new JAXBElement<VerifyDeviceRequestType>(_VerifyDeviceRequest_QNAME, VerifyDeviceRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateOfferContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateOfferContentResponse")
//    public JAXBElement<MandateOfferContentResponseType> createMandateOfferContentResponse(MandateOfferContentResponseType value) {
//        return new JAXBElement<MandateOfferContentResponseType>(_MandateOfferContentResponse_QNAME, MandateOfferContentResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeDeviceResponse")
    public JAXBElement<GetDescribeEntityResponseType> createGetDescribeDeviceResponse(GetDescribeEntityResponseType value) {
        return new JAXBElement<GetDescribeEntityResponseType>(_GetDescribeDeviceResponse_QNAME, GetDescribeEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyDeviceRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyDeviceRequest")
    public JAXBElement<IdentifyDeviceRequestType> createIdentifyDeviceRequest(IdentifyDeviceRequestType value) {
        return new JAXBElement<IdentifyDeviceRequestType>(_IdentifyDeviceRequest_QNAME, IdentifyDeviceRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessContentRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ProcessContentRequest")
//    public JAXBElement<ProcessContentRequestType> createProcessContentRequest(ProcessContentRequestType value) {
//        return new JAXBElement<ProcessContentRequestType>(_ProcessContentRequest_QNAME, ProcessContentRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessContentCompletionType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ProcessContentCompletion")
//    public JAXBElement<ProcessContentCompletionType> createProcessContentCompletion(ProcessContentCompletionType value) {
//        return new JAXBElement<ProcessContentCompletionType>(_ProcessContentCompletion_QNAME, ProcessContentCompletionType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SellerPaymentOrderLicenseResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SellerPaymentOrderLicenseResponse")
//    public JAXBElement<SellerPaymentOrderLicenseResponseType> createSellerPaymentOrderLicenseResponse(SellerPaymentOrderLicenseResponseType value) {
//        return new JAXBElement<SellerPaymentOrderLicenseResponseType>(_SellerPaymentOrderLicenseResponse_QNAME, SellerPaymentOrderLicenseResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "ControlResponse")
//    public JAXBElement<ControlResponseType> createControlResponse(ControlResponseType value) {
//        return new JAXBElement<ControlResponseType>(_ControlResponse_QNAME, ControlResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchServiceResponse")
    public JAXBElement<SearchEntityResponseType> createSearchServiceResponse(SearchEntityResponseType value) {
        return new JAXBElement<SearchEntityResponseType>(_SearchServiceResponse_QNAME, SearchEntityResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateLicenseResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "CreateLicenseResponse")
    public JAXBElement<CreateLicenseResponseType> createCreateLicenseResponse(CreateLicenseResponseType value) {
        return new JAXBElement<CreateLicenseResponseType>(_CreateLicenseResponse_QNAME, CreateLicenseResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeDeviceRequest")
    public JAXBElement<SetDescribeEntityRequestType> createSetDescribeDeviceRequest(SetDescribeEntityRequestType value) {
        return new JAXBElement<SetDescribeEntityRequestType>(_SetDescribeDeviceRequest_QNAME, SetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreContentCompletionType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreContentCompletion")
//    public JAXBElement<StoreContentCompletionType> createStoreContentCompletion(StoreContentCompletionType value) {
//        return new JAXBElement<StoreContentCompletionType>(_StoreContentCompletion_QNAME, StoreContentCompletionType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyContractResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyContractResponse")
//    public JAXBElement<IdentifyContractResponseType> createIdentifyContractResponse(IdentifyContractResponseType value) {
//        return new JAXBElement<IdentifyContractResponseType>(_IdentifyContractResponse_QNAME, IdentifyContractResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PresentEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "PresentLicenseResponse")
//    public JAXBElement<PresentEntityResponseType> createPresentLicenseResponse(PresentEntityResponseType value) {
//        return new JAXBElement<PresentEntityResponseType>(_PresentLicenseResponse_QNAME, PresentEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliverContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "DeliverContentResponse")
//    public JAXBElement<DeliverContentResponseType> createDeliverContentResponse(DeliverContentResponseType value) {
//        return new JAXBElement<DeliverContentResponseType>(_DeliverContentResponse_QNAME, DeliverContentResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SearchUserRequest")
    public JAXBElement<SearchEntityRequestType> createSearchUserRequest(SearchEntityRequestType value) {
        return new JAXBElement<SearchEntityRequestType>(_SearchUserRequest_QNAME, SearchEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyDeviceResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyDeviceResponse")
    public JAXBElement<IdentifyDeviceResponseType> createIdentifyDeviceResponse(IdentifyDeviceResponseType value) {
        return new JAXBElement<IdentifyDeviceResponseType>(_IdentifyDeviceResponse_QNAME, IdentifyDeviceResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestDeviceRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestDeviceRequest")
//    public JAXBElement<RequestDeviceRequestType> createRequestDeviceRequest(RequestDeviceRequestType value) {
//        return new JAXBElement<RequestDeviceRequestType>(_RequestDeviceRequest_QNAME, RequestDeviceRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetDescribeContentRequest")
    public JAXBElement<SetDescribeEntityRequestType> createSetDescribeContentRequest(SetDescribeEntityRequestType value) {
        return new JAXBElement<SetDescribeEntityRequestType>(_SetDescribeContentRequest_QNAME, SetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDescribeEntityRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "GetDescribeServiceRequest")
    public JAXBElement<GetDescribeEntityRequestType> createGetDescribeServiceRequest(GetDescribeEntityRequestType value) {
        return new JAXBElement<GetDescribeEntityRequestType>(_GetDescribeServiceRequest_QNAME, GetDescribeEntityRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateUserResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateUserResponse")
    public JAXBElement<AuthenticateUserResponseType> createAuthenticateUserResponse(AuthenticateUserResponseType value) {
        return new JAXBElement<AuthenticateUserResponseType>(_AuthenticateUserResponse_QNAME, AuthenticateUserResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TransactionConfirmationRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "TransactionConfirmationRequest")
//    public JAXBElement<TransactionConfirmationRequestType> createTransactionConfirmationRequest(TransactionConfirmationRequestType value) {
//        return new JAXBElement<TransactionConfirmationRequestType>(_TransactionConfirmationRequest_QNAME, TransactionConfirmationRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRevokeEntityRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateRevokeLicenseRequest")
//    public JAXBElement<MandateRevokeEntityRequestType> createMandateRevokeLicenseRequest(MandateRevokeEntityRequestType value) {
//        return new JAXBElement<MandateRevokeEntityRequestType>(_MandateRevokeLicenseRequest_QNAME, MandateRevokeEntityRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateOfferLicenseRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "MandateOfferLicenseRequest")
//    public JAXBElement<MandateOfferLicenseRequestType> createMandateOfferLicenseRequest(MandateOfferLicenseRequestType value) {
//        return new JAXBElement<MandateOfferLicenseRequestType>(_MandateOfferLicenseRequest_QNAME, MandateOfferLicenseRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetupNegotiationEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SetupNegotiationLicenseResponse")
//    public JAXBElement<SetupNegotiationEntityResponseType> createSetupNegotiationLicenseResponse(SetupNegotiationEntityResponseType value) {
//        return new JAXBElement<SetupNegotiationEntityResponseType>(_SetupNegotiationLicenseResponse_QNAME, SetupNegotiationEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyContentResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "IdentifyContentResponse")
    public JAXBElement<IdentifyContentResponseType> createIdentifyContentResponse(IdentifyContentResponseType value) {
        return new JAXBElement<IdentifyContentResponseType>(_IdentifyContentResponse_QNAME, IdentifyContentResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SellerPaymentOrderContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "SellerPaymentOrderContentResponse")
//    public JAXBElement<SellerPaymentOrderContentResponseType> createSellerPaymentOrderContentResponse(SellerPaymentOrderContentResponseType value) {
//        return new JAXBElement<SellerPaymentOrderContentResponseType>(_SellerPaymentOrderContentResponse_QNAME, SellerPaymentOrderContentResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AuthenticateContractRequestType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AuthenticateContractRequest")
//    public JAXBElement<AuthenticateContractRequestType> createAuthenticateContractRequest(AuthenticateContractRequestType value) {
//        return new JAXBElement<AuthenticateContractRequestType>(_AuthenticateContractRequest_QNAME, AuthenticateContractRequestType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdmissionEntityResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "AdmissionContractResponse")
//    public JAXBElement<AdmissionEntityResponseType> createAdmissionContractResponse(AdmissionEntityResponseType value) {
//        return new JAXBElement<AdmissionEntityResponseType>(_AdmissionContractResponse_QNAME, AdmissionEntityResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequestDeviceResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "RequestDeviceResponse")
//    public JAXBElement<RequestDeviceResponseType> createRequestDeviceResponse(RequestDeviceResponseType value) {
//        return new JAXBElement<RequestDeviceResponseType>(_RequestDeviceResponse_QNAME, RequestDeviceResponseType.class, null, value);
//    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StoreContentResponseType }{@code >}}
     * 
     */
//    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:02-service-NS:2012", name = "StoreContentResponse")
//    public JAXBElement<StoreContentResponseType> createStoreContentResponse(StoreContentResponseType value) {
//        return new JAXBElement<StoreContentResponseType>(_StoreContentResponse_QNAME, StoreContentResponseType.class, null, value);
//    }

}
