
package org.iso.mpeg.mxm.engine.protocol.authorizeuserPE.schema.authorizeuserprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.LicenseEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Resource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Right;


/**
 * <p>Java class for AuthorizeUserRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthorizeUserRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="LicenseEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}LicenseEntityType" minOccurs="0"/>
 *         &lt;element name="Principal" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Principal" minOccurs="0"/>
 *         &lt;element name="Right" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Right" maxOccurs="unbounded"/>
 *         &lt;element name="Resource" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource" maxOccurs="unbounded"/>
 *         &lt;element name="Condition" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthorizeUserRequestType", propOrder = {
    "licenseEntity",
    "principal",
    "right",
    "resource",
    "condition"
})
public class AuthorizeUserRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "LicenseEntity")
    protected LicenseEntityType licenseEntity;
    @XmlElement(name = "Principal")
    protected Principal principal;
    @XmlElement(name = "Right", required = true)
    protected List<Right> right;
    @XmlElement(name = "Resource", required = true)
    protected List<Resource> resource;
    @XmlElement(name = "Condition")
    protected List<Condition> condition;

    /**
     * Gets the value of the licenseEntity property.
     * 
     * @return
     *     possible object is
     *     {@link LicenseEntityType }
     *     
     */
    public LicenseEntityType getLicenseEntity() {
        return licenseEntity;
    }

    /**
     * Sets the value of the licenseEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link LicenseEntityType }
     *     
     */
    public void setLicenseEntity(LicenseEntityType value) {
        this.licenseEntity = value;
    }

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link Principal }
     *     
     */
    public Principal getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Principal }
     *     
     */
    public void setPrincipal(Principal value) {
        this.principal = value;
    }

    /**
     * Gets the value of the right property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the right property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRight().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Right }
     * 
     * 
     */
    public List<Right> getRight() {
        if (right == null) {
            right = new ArrayList<Right>();
        }
        return this.right;
    }

    /**
     * Gets the value of the resource property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resource property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResource().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Resource }
     * 
     * 
     */
    public List<Resource> getResource() {
        if (resource == null) {
            resource = new ArrayList<Resource>();
        }
        return this.resource;
    }

    /**
     * Gets the value of the condition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the condition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Condition }
     * 
     * 
     */
    public List<Condition> getCondition() {
        if (condition == null) {
            condition = new ArrayList<Condition>();
        }
        return this.condition;
    }

}
