
package org.iso.mpeg.mxm.engine.protocol.authorizeuserPE.schema.authorizeuserprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for AuthorizeUserResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthorizeUserResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="AuthorizeUserSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}AuthorizeUserSuccessType"/>
 *         &lt;element name="AuthorizeUserFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthorizeUserResponseType", propOrder = {
    "authorizeUserSuccess",
    "authorizeUserFailure"
})
public class AuthorizeUserResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "AuthorizeUserSuccess")
    protected AuthorizeUserSuccessType authorizeUserSuccess;
    @XmlElement(name = "AuthorizeUserFailure")
    protected ProtocolFailureType authorizeUserFailure;

    /**
     * Gets the value of the authorizeUserSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link AuthorizeUserSuccessType }
     *     
     */
    public AuthorizeUserSuccessType getAuthorizeUserSuccess() {
        return authorizeUserSuccess;
    }

    /**
     * Sets the value of the authorizeUserSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthorizeUserSuccessType }
     *     
     */
    public void setAuthorizeUserSuccess(AuthorizeUserSuccessType value) {
        this.authorizeUserSuccess = value;
    }

    /**
     * Gets the value of the authorizeUserFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getAuthorizeUserFailure() {
        return authorizeUserFailure;
    }

    /**
     * Sets the value of the authorizeUserFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setAuthorizeUserFailure(ProtocolFailureType value) {
        this.authorizeUserFailure = value;
    }

}
