package org.iso.mpeg.mxm.engine.protocol.checkwithlicensePE.schema.protocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolSuccessType;


/**
 * <p>Java class for CheckWithLicenseResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CheckWithLicenseResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="CheckWithLicenseSuccess" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolSuccessType"/>
 *           &lt;element name="CheckWithLicenseFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CheckWithLicenseResponseType", propOrder = {
    "checkWithLicenseSuccess",
    "checkWithLicenseFailure"
})
public class CheckWithLicenseResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "CheckWithLicenseSuccess")
    protected ProtocolSuccessType checkWithLicenseSuccess;
    @XmlElement(name = "CheckWithLicenseFailure")
    protected ProtocolFailureType checkWithLicenseFailure;

    /**
     * Gets the value of the checkWithLicenseSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public ProtocolSuccessType getCheckWithLicenseSuccess() {
        return checkWithLicenseSuccess;
    }

    /**
     * Sets the value of the checkWithLicenseSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public void setCheckWithLicenseSuccess(ProtocolSuccessType value) {
        this.checkWithLicenseSuccess = value;
    }

    /**
     * Gets the value of the checkWithLicenseFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getCheckWithLicenseFailure() {
        return checkWithLicenseFailure;
    }

    /**
     * Sets the value of the checkWithLicenseFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setCheckWithLicenseFailure(ProtocolFailureType value) {
        this.checkWithLicenseFailure = value;
    }

}
