
package org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.LicenseEntityType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.ResourceType;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERRType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo.IPMPGeneralInfoDescriptorType;


/**
 * <p>Java class for AssetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AssetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="IPMPToolInfo" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}IPMPToolInfoType"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}IPMPGeneralInfoDescriptor"/>
 *         &lt;/choice>
 *         &lt;element name="Metadata" type="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}DescriptorType" minOccurs="0"/>
 *         &lt;element name="LicenseEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}LicenseEntityType" minOccurs="0"/>
 *         &lt;element name="Resource" type="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}ResourceType"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERR" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AssetType", propOrder = {
    "ipmpToolInfo",
    "ipmpGeneralInfoDescriptor",
    "metadata",
    "licenseEntity",
    "resource",
    "err"
})
public class AssetType {

    @XmlElement(name = "IPMPToolInfo")
    protected IPMPToolInfoType ipmpToolInfo;
    @XmlElement(name = "IPMPGeneralInfoDescriptor", namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS")
    protected IPMPGeneralInfoDescriptorType ipmpGeneralInfoDescriptor;
    @XmlElement(name = "Metadata")
    protected DescriptorType metadata;
    @XmlElement(name = "LicenseEntity")
    protected LicenseEntityType licenseEntity;
    @XmlElement(name = "Resource", required = true)
    protected ResourceType resource;
    @XmlElement(name = "ERR", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS")
    protected List<ERRType> err;

    /**
     * Gets the value of the ipmpToolInfo property.
     * 
     * @return
     *     possible object is
     *     {@link IPMPToolInfoType }
     *     
     */
    public IPMPToolInfoType getIPMPToolInfo() {
        return ipmpToolInfo;
    }

    /**
     * Sets the value of the ipmpToolInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link IPMPToolInfoType }
     *     
     */
    public void setIPMPToolInfo(IPMPToolInfoType value) {
        this.ipmpToolInfo = value;
    }

    /**
     * Gets the value of the ipmpGeneralInfoDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link IPMPGeneralInfoDescriptorType }
     *     
     */
    public IPMPGeneralInfoDescriptorType getIPMPGeneralInfoDescriptor() {
        return ipmpGeneralInfoDescriptor;
    }

    /**
     * Sets the value of the ipmpGeneralInfoDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link IPMPGeneralInfoDescriptorType }
     *     
     */
    public void setIPMPGeneralInfoDescriptor(IPMPGeneralInfoDescriptorType value) {
        this.ipmpGeneralInfoDescriptor = value;
    }

    /**
     * Gets the value of the metadata property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptorType }
     *     
     */
    public DescriptorType getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptorType }
     *     
     */
    public void setMetadata(DescriptorType value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the licenseEntity property.
     * 
     * @return
     *     possible object is
     *     {@link LicenseEntityType }
     *     
     */
    public LicenseEntityType getLicenseEntity() {
        return licenseEntity;
    }

    /**
     * Sets the value of the licenseEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link LicenseEntityType }
     *     
     */
    public void setLicenseEntity(LicenseEntityType value) {
        this.licenseEntity = value;
    }

    /**
     * Gets the value of the resource property.
     * 
     * @return
     *     possible object is
     *     {@link ResourceType }
     *     
     */
    public ResourceType getResource() {
        return resource;
    }

    /**
     * Sets the value of the resource property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResourceType }
     *     
     */
    public void setResource(ResourceType value) {
        this.resource = value;
    }

    /**
     * Gets the value of the err property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the err property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getERR().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ERRType }
     * 
     * 
     */
    public List<ERRType> getERR() {
        if (err == null) {
            err = new ArrayList<ERRType>();
        }
        return this.err;
    }

}
