
package org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.DescriptorType;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERRType;


/**
 * <p>Java class for CreateContentRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CreateContentRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="Metadata" type="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}DescriptorType" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERR" minOccurs="0"/>
 *         &lt;element name="Asset" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}AssetType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreateContentRequestType", propOrder = {
    "metadata",
    "err",
    "asset"
})
@XmlRootElement(name = "CreateContentRequest")
public class CreateContentRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "Metadata")
    protected DescriptorType metadata;
    @XmlElement(name = "ERR", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS")
    protected ERRType err;
    @XmlElement(name = "Asset", required = true)
    protected List<AssetType> asset;

    /**
     * Gets the value of the metadata property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptorType }
     *     
     */
    public DescriptorType getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptorType }
     *     
     */
    public void setMetadata(DescriptorType value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the err property.
     * 
     * @return
     *     possible object is
     *     {@link ERRType }
     *     
     */
    public ERRType getERR() {
        return err;
    }

    /**
     * Sets the value of the err property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERRType }
     *     
     */
    public void setERR(ERRType value) {
        this.err = value;
    }

    /**
     * Gets the value of the asset property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the asset property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAsset().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AssetType }
     * 
     * 
     */
    public List<AssetType> getAsset() {
        if (asset == null) {
            asset = new ArrayList<AssetType>();
        }
        return this.asset;
    }

}
