
package org.iso.mpeg.mxm.engine.protocol.createcontentPE.schema.createcontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for CreateContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CreateContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="CreateContentSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}CreateContentSuccessType"/>
 *           &lt;element name="CreateContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreateContentResponseType", propOrder = {
    "createContentSuccess",
    "createContentFailure"
})

//TODO add automatically the xml rool element

@XmlRootElement(name = "CreateContentResponse")
public class CreateContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "CreateContentSuccess")
    protected CreateContentSuccessType createContentSuccess;
    @XmlElement(name = "CreateContentFailure")
    protected ProtocolFailureType createContentFailure;

    /**
     * Gets the value of the createContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link CreateContentSuccessType }
     *     
     */
    public CreateContentSuccessType getCreateContentSuccess() {
        return createContentSuccess;
    }

    /**
     * Sets the value of the createContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link CreateContentSuccessType }
     *     
     */
    public void setCreateContentSuccess(CreateContentSuccessType value) {
        this.createContentSuccess = value;
    }

    /**
     * Gets the value of the createContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getCreateContentFailure() {
        return createContentFailure;
    }

    /**
     * Sets the value of the createContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setCreateContentFailure(ProtocolFailureType value) {
        this.createContentFailure = value;
    }

}
