
package org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Delist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Enlist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedCopy;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedMove;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Export;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.ExtendRights;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Aggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Embed;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAdapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedEmbed;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Adapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Derive;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Execute;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Play;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Print;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Issue;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Obtain;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PossessProperty;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Revoke;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Right;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.RightUri;


/**
 * <p>Java class for RightGroupType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RightGroupType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}right"/>
 *         &lt;element name="Condition" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RightGroupType", propOrder = {
    "right",
    "condition"
})
public class RightGroupType {

    @XmlElementRef(name = "right", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Right> right;
    @XmlElement(name = "Condition")
    protected Condition condition;

    /**
     * Gets the value of the right property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     
     */
    public JAXBElement<? extends Right> getRight() {
        return right;
    }

    /**
     * Sets the value of the right property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     
     */
    public void setRight(JAXBElement<? extends Right> value) {
        this.right = ((JAXBElement<? extends Right> ) value);
    }

    /**
     * Gets the value of the condition property.
     * 
     * @return
     *     possible object is
     *     {@link Condition }
     *     
     */
    public Condition getCondition() {
        return condition;
    }

    /**
     * Sets the value of the condition property.
     * 
     * @param value
     *     allowed object is
     *     {@link Condition }
     *     
     */
    public void setCondition(Condition value) {
        this.condition = value;
    }

}
