
package org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.AccessUnitType;


/**
 * <p>Java class for SetDescribeEntityRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SetDescribeEntityRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="EntityIdentifier">
 *           &lt;simpleType>
 *             &lt;union memberTypes=" {http://www.w3.org/2001/XMLSchema}string {http://www.w3.org/2001/XMLSchema}anyURI">
 *             &lt;/union>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="AccessUnit" type="{urn:mpeg:mpeg7:schema:2004}AccessUnitType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SetDescribeEntityRequestType", propOrder = {
    "entityIdentifier",
    "accessUnit"
})
public class SetDescribeEntityRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "EntityIdentifier", required = true)
    protected String entityIdentifier;
    @XmlElement(name = "AccessUnit", required = true)
    protected AccessUnitType accessUnit;

    /**
     * Gets the value of the entityIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntityIdentifier() {
        return entityIdentifier;
    }

    /**
     * Sets the value of the entityIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntityIdentifier(String value) {
        this.entityIdentifier = value;
    }

    /**
     * Gets the value of the accessUnit property.
     * 
     * @return
     *     possible object is
     *     {@link AccessUnitType }
     *     
     */
    public AccessUnitType getAccessUnit() {
        return accessUnit;
    }

    /**
     * Sets the value of the accessUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccessUnitType }
     *     
     */
    public void setAccessUnit(AccessUnitType value) {
        this.accessUnit = value;
    }

}
