
package org.iso.mpeg.mxm.engine.protocol.identifyuserPE.schema.identifyuserprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.baseprotocol.schema.UserEntityType;
import org.iso.mpeg.mxm.engine.securityTE.schema.saml.assertion.AssertionType;


/**
 * <p>Java class for IdentifyUserRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdentifyUserRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="UserIdentificationAssertion" type="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionType" minOccurs="0"/>
 *         &lt;element name="IdentificationUserEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}UserEntityType" minOccurs="0"/>
 *         &lt;element name="IdentifyingMaterial" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdentifyUserRequestType", propOrder = {
    "userIdentificationAssertion",
    "identificationUserEntity",
    "identifyingMaterial"
})
public class IdentifyUserRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "UserIdentificationAssertion")
    protected AssertionType userIdentificationAssertion;
    @XmlElement(name = "IdentificationUserEntity")
    protected UserEntityType identificationUserEntity;
    @XmlElement(name = "IdentifyingMaterial", required = true)
    protected ContentEntityType identifyingMaterial;

    /**
     * Gets the value of the userIdentificationAssertion property.
     * 
     * @return
     *     possible object is
     *     {@link AssertionType }
     *     
     */
    public AssertionType getUserIdentificationAssertion() {
        return userIdentificationAssertion;
    }

    /**
     * Sets the value of the userIdentificationAssertion property.
     * 
     * @param value
     *     allowed object is
     *     {@link AssertionType }
     *     
     */
    public void setUserIdentificationAssertion(AssertionType value) {
        this.userIdentificationAssertion = value;
    }

   /**
     * Gets the value of the identificationUserEntity property.
     * 
     * @return
     *     possible object is
     *     {@link UserEntityType }
     *     
     */
    public UserEntityType getIdentificationUserEntity() {
        return identificationUserEntity;
    }

    /**
     * Sets the value of the identificationUserEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserEntityType }
     *     
     */
    public void setIdentificationUserEntity(UserEntityType value) {
        this.identificationUserEntity = value;
    }

    /**
     * Gets the value of the identifyingMaterial property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getIdentifyingMaterial() {
        return identifyingMaterial;
    }

    /**
     * Sets the value of the identifyingMaterial property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setIdentifyingMaterial(ContentEntityType value) {
        this.identifyingMaterial = value;
    }
}
