
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BBLDocType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BBLDocType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2007:01-BBL-NS}IdentifiableElementType">
 *       &lt;sequence>
 *         &lt;element name="Declarations" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}DeclarationsType" minOccurs="0"/>
 *         &lt;element name="Variables" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}VariablesType" minOccurs="0"/>
 *         &lt;element name="Register" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}RegisterType"/>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="Packet" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}PacketType"/>
 *           &lt;element name="PacketStream" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}PacketStreamType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BBLDocType", propOrder = {
    "declarations",
    "variables",
    "register",
    "packetOrPacketStream"
})
@XmlSeeAlso({
    InstanceType.class,
    BindingType.class
})
public class BBLDocType
    extends IdentifiableElementType
{

    @XmlElement(name = "Declarations")
    protected DeclarationsType declarations;
    @XmlElement(name = "Variables")
    protected VariablesType variables;
    @XmlElement(name = "Register", required = true)
    protected RegisterType register;
    @XmlElements({
        @XmlElement(name = "Packet", type = PacketType.class),
        @XmlElement(name = "PacketStream", type = PacketStreamType.class)
    })
    protected List<AbstractPacketType> packetOrPacketStream;

    /**
     * Gets the value of the declarations property.
     * 
     * @return
     *     possible object is
     *     {@link DeclarationsType }
     *     
     */
    public DeclarationsType getDeclarations() {
        return declarations;
    }

    /**
     * Sets the value of the declarations property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeclarationsType }
     *     
     */
    public void setDeclarations(DeclarationsType value) {
        this.declarations = value;
    }

    /**
     * Gets the value of the variables property.
     * 
     * @return
     *     possible object is
     *     {@link VariablesType }
     *     
     */
    public VariablesType getVariables() {
        return variables;
    }

    /**
     * Sets the value of the variables property.
     * 
     * @param value
     *     allowed object is
     *     {@link VariablesType }
     *     
     */
    public void setVariables(VariablesType value) {
        this.variables = value;
    }

    /**
     * Gets the value of the register property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterType }
     *     
     */
    public RegisterType getRegister() {
        return register;
    }

    /**
     * Sets the value of the register property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterType }
     *     
     */
    public void setRegister(RegisterType value) {
        this.register = value;
    }

    /**
     * Gets the value of the packetOrPacketStream property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the packetOrPacketStream property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPacketOrPacketStream().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PacketType }
     * {@link PacketStreamType }
     * 
     * 
     */
    public List<AbstractPacketType> getPacketOrPacketStream() {
        if (packetOrPacketStream == null) {
            packetOrPacketStream = new ArrayList<AbstractPacketType>();
        }
        return this.packetOrPacketStream;
    }

}
