
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PacketStreamType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PacketStreamType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2007:01-BBL-NS}AbstractPacketType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="ContentTemplate" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}AbstractContentType"/>
 *           &lt;element name="Bind" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}BindType"/>
 *         &lt;/choice>
 *         &lt;element name="Variables" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}VariablesType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PacketStreamType", propOrder = {
    "contentTemplate",
    "bind",
    "variables"
})
public class PacketStreamType
    extends AbstractPacketType
{

    @XmlElement(name = "ContentTemplate")
    protected AbstractContentType contentTemplate;
    @XmlElement(name = "Bind")
    protected BindType bind;
    @XmlElement(name = "Variables")
    protected VariablesType variables;

    /**
     * Gets the value of the contentTemplate property.
     * 
     * @return
     *     possible object is
     *     {@link AbstractContentType }
     *     
     */
    public AbstractContentType getContentTemplate() {
        return contentTemplate;
    }

    /**
     * Sets the value of the contentTemplate property.
     * 
     * @param value
     *     allowed object is
     *     {@link AbstractContentType }
     *     
     */
    public void setContentTemplate(AbstractContentType value) {
        this.contentTemplate = value;
    }

    /**
     * Gets the value of the bind property.
     * 
     * @return
     *     possible object is
     *     {@link BindType }
     *     
     */
    public BindType getBind() {
        return bind;
    }

    /**
     * Sets the value of the bind property.
     * 
     * @param value
     *     allowed object is
     *     {@link BindType }
     *     
     */
    public void setBind(BindType value) {
        this.bind = value;
    }

    /**
     * Gets the value of the variables property.
     * 
     * @return
     *     possible object is
     *     {@link VariablesType }
     *     
     */
    public VariablesType getVariables() {
        return variables;
    }

    /**
     * Sets the value of the variables property.
     * 
     * @param value
     *     allowed object is
     *     {@link VariablesType }
     *     
     */
    public void setVariables(VariablesType value) {
        this.variables = value;
    }

}
