
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RegisterType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RegisterType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2007:01-BBL-NS}SourceElementType">
 *       &lt;sequence>
 *         &lt;element name="Handler" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}HandlerType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Encoder" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}EncoderType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Multiplexer" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}MultiplexerType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="BSD" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}BSDType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RegisterType", propOrder = {
    "handler",
    "encoder",
    "multiplexer",
    "bsd"
})
public class RegisterType
    extends SourceElementType
{

    @XmlElement(name = "Handler")
    protected List<HandlerType> handler;
    @XmlElement(name = "Encoder")
    protected List<EncoderType> encoder;
    @XmlElement(name = "Multiplexer")
    protected List<MultiplexerType> multiplexer;
    @XmlElement(name = "BSD")
    protected List<BSDType> bsd;

    /**
     * Gets the value of the handler property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the handler property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHandler().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HandlerType }
     * 
     * 
     */
    public List<HandlerType> getHandler() {
        if (handler == null) {
            handler = new ArrayList<HandlerType>();
        }
        return this.handler;
    }

    /**
     * Gets the value of the encoder property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the encoder property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEncoder().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EncoderType }
     * 
     * 
     */
    public List<EncoderType> getEncoder() {
        if (encoder == null) {
            encoder = new ArrayList<EncoderType>();
        }
        return this.encoder;
    }

    /**
     * Gets the value of the multiplexer property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the multiplexer property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMultiplexer().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MultiplexerType }
     * 
     * 
     */
    public List<MultiplexerType> getMultiplexer() {
        if (multiplexer == null) {
            multiplexer = new ArrayList<MultiplexerType>();
        }
        return this.multiplexer;
    }

    /**
     * Gets the value of the bsd property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the bsd property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBSD().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BSDType }
     * 
     * 
     */
    public List<BSDType> getBSD() {
        if (bsd == null) {
            bsd = new ArrayList<BSDType>();
        }
        return this.bsd;
    }

}
