
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;


/**
 * <p>Java class for PackageContentRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PackageContentRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="ContentEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *         &lt;element name="Package" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}PackageType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PackageContentRequestType", propOrder = {
    "contentEntity",
    "_package"
})
public class PackageContentRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "ContentEntity", required = true)
    protected ContentEntityType contentEntity;
    @XmlElement(name = "Package", required = true)
    protected List<PackageType> _package;

    /**
     * Gets the value of the contentEntity property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getContentEntity() {
        return contentEntity;
    }

    /**
     * Sets the value of the contentEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setContentEntity(ContentEntityType value) {
        this.contentEntity = value;
    }

    /**
     * Gets the value of the package property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the package property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPackage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PackageType }
     * 
     * 
     */
    public List<PackageType> getPackage() {
        if (_package == null) {
            _package = new ArrayList<PackageType>();
        }
        return this._package;
    }

}
