
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolSuccessType;


/**
 * <p>Java class for PackageContentSuccessType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PackageContentSuccessType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolSuccessType">
 *       &lt;sequence>
 *         &lt;element name="ContentEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PackageContentSuccessType", propOrder = {
    "contentEntity"
})
public class PackageContentSuccessType
    extends ProtocolSuccessType
{

    @XmlElement(name = "ContentEntity", required = true)
    protected List<ContentEntityType> contentEntity;

    /**
     * Gets the value of the contentEntity property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contentEntity property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContentEntity().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ContentEntityType }
     * 
     * 
     */
    public List<ContentEntityType> getContentEntity() {
        if (contentEntity == null) {
            contentEntity = new ArrayList<ContentEntityType>();
        }
        return this.contentEntity;
    }
    
    public List<ContentEntityType> setContentEntity() {
        if (contentEntity == null) {
            contentEntity = new ArrayList<ContentEntityType>();
        }
        return this.contentEntity;
    }

}
