
package org.iso.mpeg.mxm.engine.protocol.postcontentPE.schema.postcontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolSuccessType;


/**
 * <p>Java class for PostContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PostContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="PostContentSuccess" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolSuccessType"/>
 *         &lt;element name="PostContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PostContentResponseType", propOrder = {
    "postContentSuccess",
    "postContentFailure"
})
public class PostContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "PostContentSuccess")
    protected ProtocolSuccessType postContentSuccess;
    @XmlElement(name = "PostContentFailure")
    protected ProtocolFailureType postContentFailure;

    /**
     * Gets the value of the postContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public ProtocolSuccessType getPostContentSuccess() {
        return postContentSuccess;
    }

    /**
     * Sets the value of the postContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public void setPostContentSuccess(ProtocolSuccessType value) {
        this.postContentSuccess = value;
    }

    /**
     * Gets the value of the postContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getPostContentFailure() {
        return postContentFailure;
    }

    /**
     * Sets the value of the postContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setPostContentFailure(ProtocolFailureType value) {
        this.postContentFailure = value;
    }

}
