
package org.iso.mpeg.mxm.engine.protocol.requestcontentPE.schema.requestcontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.LicenseEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;



/**
 * <p>Java class for RequestContentRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestContentRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="ContentEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *         &lt;element name="LicenseEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}LicenseEntityType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestContentRequestType", propOrder = {
    "contentEntity",
    "licenseEntity"
})
public class RequestContentRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "ContentEntity", required = true)
    protected ContentEntityType contentEntity;
    @XmlElement(name = "LicenseEntity")
    protected LicenseEntityType licenseEntity;

    /**
     * Gets the value of the contentEntity property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getContentEntity() {
        return contentEntity;
    }

    /**
     * Sets the value of the contentEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setContentEntity(ContentEntityType value) {
        this.contentEntity = value;
    }

    /**
     * Gets the value of the licenseEntity property.
     * 
     * @return
     *     possible object is
     *     {@link LicenseEntityType }
     *     
     */
    public LicenseEntityType getLicenseEntity() {
        return licenseEntity;
    }

    /**
     * Sets the value of the licenseEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link LicenseEntityType }
     *     
     */
    public void setLicenseEntity(LicenseEntityType value) {
        this.licenseEntity = value;
    }

}
