

package org.iso.mpeg.mxm.engine.protocol.requestcontentPE.schema.requestcontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for RequestContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="RequestContentSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}RequestContentSuccessType"/>
 *           &lt;element name="RequestContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestContentResponseType", propOrder = {
    "requestContentSuccess",
    "requestContentFailure"
})
public class RequestContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "RequestContentSuccess")
    protected RequestContentSuccessType requestContentSuccess;
    @XmlElement(name = "RequestContentFailure")
    protected ProtocolFailureType requestContentFailure;

    /**
     * Gets the value of the requestContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link RequestContentSuccessType }
     *     
     */
    public RequestContentSuccessType getRequestContentSuccess() {
        return requestContentSuccess;
    }

    /**
     * Sets the value of the requestContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestContentSuccessType }
     *     
     */
    public void setRequestContentSuccess(RequestContentSuccessType value) {
        this.requestContentSuccess = value;
    }

    /**
     * Gets the value of the requestContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getRequestContentFailure() {
        return requestContentFailure;
    }

    /**
     * Sets the value of the requestContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setRequestContentFailure(ProtocolFailureType value) {
        this.requestContentFailure = value;
    }

}
