
package org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for RequestEventResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestEventResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="RequestEventSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}RequestEventSuccessType"/>
 *           &lt;element name="RequestEventFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestEventResponseType", propOrder = {
    "requestEventSuccess",
    "requestEventFailure"
})
public class RequestEventResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "RequestEventSuccess")
    protected RequestEventSuccessType requestEventSuccess;
    @XmlElement(name = "RequestEventFailure")
    protected ProtocolFailureType requestEventFailure;

    /**
     * Gets the value of the requestEventSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link RequestEventSuccessType }
     *     
     */
    public RequestEventSuccessType getRequestEventSuccess() {
        return requestEventSuccess;
    }

    /**
     * Sets the value of the requestEventSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestEventSuccessType }
     *     
     */
    public void setRequestEventSuccess(RequestEventSuccessType value) {
        this.requestEventSuccess = value;
    }

    /**
     * Gets the value of the requestEventFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getRequestEventFailure() {
        return requestEventFailure;
    }

    /**
     * Sets the value of the requestEventFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setRequestEventFailure(ProtocolFailureType value) {
        this.requestEventFailure = value;
    }

}
