
package org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolSuccessType;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERRType;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERType;


/**
 * <p>Java class for RequestEventSuccessType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestEventSuccessType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolSuccessType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERR"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ER" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestEventSuccessType", propOrder = {
    "err",
    "er"
})
public class RequestEventSuccessType
    extends ProtocolSuccessType
{

    @XmlElement(name = "ERR", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS")
    protected ERRType err;
    @XmlElement(name = "ER", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS")
    protected List<ERType> er;

    /**
     * Gets the value of the err property.
     * 
     * @return
     *     possible object is
     *     {@link ERRType }
     *     
     */
    public ERRType getERR() {
        return err;
    }

    /**
     * Sets the value of the err property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERRType }
     *     
     */
    public void setERR(ERRType value) {
        this.err = value;
    }

    /**
     * Gets the value of the er property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the er property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getER().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ERType }
     * 
     * 
     */
    public List<ERType> getER() {
        if (er == null) {
            er = new ArrayList<ERType>();
        }
        return this.er;
    }

}
