
package org.iso.mpeg.mxm.engine.protocol.revokecontentPE.schema.revokecontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;


/**
 * <p>Java class for RevokeContentRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RevokeContentRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="RevokedContent" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *         &lt;element name="RevocationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="RevocationReason" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}RevocationReasonType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RevokeContentRequestType", propOrder = {
    "revokedContent",
    "revocationDate",
    "revocationReason"
})
public class RevokeContentRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "RevokedContent", required = true)
    protected ContentEntityType revokedContent;
    @XmlElement(name = "RevocationDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar revocationDate;
    @XmlList
    @XmlElement(name = "RevocationReason")
    protected List<String> revocationReason;

    /**
     * Gets the value of the revokedContent property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getRevokedContent() {
        return revokedContent;
    }

    /**
     * Sets the value of the revokedContent property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setRevokedContent(ContentEntityType value) {
        this.revokedContent = value;
    }

    /**
     * Gets the value of the revocationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRevocationDate() {
        return revocationDate;
    }

    /**
     * Sets the value of the revocationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRevocationDate(XMLGregorianCalendar value) {
        this.revocationDate = value;
    }

    /**
     * Gets the value of the revocationReason property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the revocationReason property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRevocationReason().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getRevocationReason() {
        if (revocationReason == null) {
            revocationReason = new ArrayList<String>();
        }
        return this.revocationReason;
    }

}
