
package org.iso.mpeg.mxm.engine.protocol.revokecontentPE.schema.revokecontentprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl.BBLDocType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.SupportedTransferProtocolType;


/**
 * <p>Java class for PackageType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UnpublishType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UnpublishFormat" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}PackageFormatType" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;sequence>
 *             &lt;element name="Fragment" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *             &lt;element name="SupportedTransferProtocol" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}SupportedTransferProtocolType"/>
 *           &lt;/sequence>
 *           &lt;element name="BBLDoc" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}BBLDocType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UnpublishType", propOrder = {
    "unpublishFormat",
    "fragment",
    "supportedTransferProtocol",
    "bblDoc"
})
public class RevokeType {

    @XmlList
    @XmlElement(name = "UnpublishFormat")
    protected List<String> unpublishFormat;
    @XmlElement(name = "Fragment")
    protected ContentEntityType fragment;
    @XmlElement(name = "SupportedTransferProtocol")
    protected SupportedTransferProtocolType supportedTransferProtocol;
    @XmlElement(name = "BBLDoc")
    protected BBLDocType bblDoc;

    /**
     * Gets the value of the packageFormat property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the packageFormat property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPackageFormat().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getUnpublishFormat() {
        if (unpublishFormat == null) {
            unpublishFormat = new ArrayList<String>();
        }
        return this.unpublishFormat;
    }

    /**
     * Gets the value of the fragment property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getFragment() {
        return fragment;
    }

    /**
     * Sets the value of the fragment property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setFragment(ContentEntityType value) {
        this.fragment = value;
    }

    /**
     * Gets the value of the supportedTransferProtocol property.
     * 
     * @return
     *     possible object is
     *     {@link SupportedTransferProtocolType }
     *     
     */
    public SupportedTransferProtocolType getSupportedTransferProtocol() {
        return supportedTransferProtocol;
    }

    /**
     * Sets the value of the supportedTransferProtocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link SupportedTransferProtocolType }
     *     
     */
    public void setSupportedTransferProtocol(SupportedTransferProtocolType value) {
        this.supportedTransferProtocol = value;
    }

    /**
     * Gets the value of the bblDoc property.
     * 
     * @return
     *     possible object is
     *     {@link BBLDocType }
     *     
     */
    public BBLDocType getBBLDoc() {
        return bblDoc;
    }

    /**
     * Sets the value of the bblDoc property.
     * 
     * @param value
     *     allowed object is
     *     {@link BBLDocType }
     *     
     */
    public void setBBLDoc(BBLDocType value) {
        this.bblDoc = value;
    }

}
