
package org.iso.mpeg.mxm.engine.protocol.searchentityPE.schema.searchentityprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for SearchEntityResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SearchEntityResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="SearchEntitySuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}SearchEntitySuccessType"/>
 *         &lt;element name="SearchEntityFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SearchEntityResponseType", propOrder = {
    "searchEntitySuccess",
    "searchEntityFailure"
})
public class SearchEntityResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "SearchEntitySuccess")
    protected SearchEntitySuccessType searchEntitySuccess;
    @XmlElement(name = "SearchEntityFailure")
    protected ProtocolFailureType searchEntityFailure;

    /**
     * Gets the value of the searchEntitySuccess property.
     * 
     * @return
     *     possible object is
     *     {@link SearchEntitySuccessType }
     *     
     */
    public SearchEntitySuccessType getSearchEntitySuccess() {
        return searchEntitySuccess;
    }

    /**
     * Sets the value of the searchEntitySuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link SearchEntitySuccessType }
     *     
     */
    public void setSearchEntitySuccess(SearchEntitySuccessType value) {
        this.searchEntitySuccess = value;
    }

    /**
     * Gets the value of the searchEntityFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getSearchEntityFailure() {
        return searchEntityFailure;
    }

    /**
     * Sets the value of the searchEntityFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setSearchEntityFailure(ProtocolFailureType value) {
        this.searchEntityFailure = value;
    }

}
