
package org.iso.mpeg.mxm.engine.protocol.storeeventPE.schema.storeeventprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolSuccessType;


/**
 * <p>Java class for StoreEventResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StoreEventResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="StoreEventSuccess" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolSuccessType"/>
 *         &lt;element name="StoreEventFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StoreEventResponseType", propOrder = {
    "storeEventSuccess",
    "storeEventFailure"
})
public class StoreEventResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "StoreEventSuccess")
    protected ProtocolSuccessType storeEventSuccess;
    @XmlElement(name = "StoreEventFailure")
    protected ProtocolFailureType storeEventFailure;

    /**
     * Gets the value of the storeEventSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public ProtocolSuccessType getStoreEventSuccess() {
        return storeEventSuccess;
    }

    /**
     * Sets the value of the storeEventSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolSuccessType }
     *     
     */
    public void setStoreEventSuccess(ProtocolSuccessType value) {
        this.storeEventSuccess = value;
    }

    /**
     * Gets the value of the storeEventFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getStoreEventFailure() {
        return storeEventFailure;
    }

    /**
     * Sets the value of the storeEventFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setStoreEventFailure(ProtocolFailureType value) {
        this.storeEventFailure = value;
    }

}
