
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.relTE.schema.relm1x package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IdentityHolder_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "identityHolder");
    private final static QName _ServiceLocation_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "serviceLocation");
    private final static QName _GovernedMove_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "governedMove");
    private final static QName _ProtectedResource_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "protectedResource");
    private final static QName _StartCondition_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "startCondition");
    private final static QName _DrmSystem_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "drmSystem");
    private final static QName _OutputRegulation_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "outputRegulation");
    private final static QName _GovernedCopy_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "governedCopy");
    private final static QName _DerivationConstraint_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "derivationConstraint");
    private final static QName _Delist_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "delist");
    private final static QName _Enlist_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "enlist");
    private final static QName _SeekPermission_QNAME = new QName("urn:mpeg:mpeg21:2005:01-REL-M1X-NS", "seekPermission");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.relTE.schema.relm1x
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SeekPermission.Cacheable }
     * 
     */
    public SeekPermission.Cacheable createSeekPermissionCacheable() {
        return new SeekPermission.Cacheable();
    }

    /**
     * Create an instance of {@link Delist }
     * 
     */
    public Delist createDelist() {
        return new Delist();
    }

    /**
     * Create an instance of {@link StartCondition }
     * 
     */
    public StartCondition createStartCondition() {
        return new StartCondition();
    }

    /**
     * Create an instance of {@link DerivationConstraint.ResourceInclusionList }
     * 
     */
    public DerivationConstraint.ResourceInclusionList createDerivationConstraintResourceInclusionList() {
        return new DerivationConstraint.ResourceInclusionList();
    }

    /**
     * Create an instance of {@link DerivationConstraint }
     * 
     */
    public DerivationConstraint createDerivationConstraint() {
        return new DerivationConstraint();
    }

    /**
     * Create an instance of {@link ProtectedResource }
     * 
     */
    public ProtectedResource createProtectedResource() {
        return new ProtectedResource();
    }

    /**
     * Create an instance of {@link Enlist }
     * 
     */
    public Enlist createEnlist() {
        return new Enlist();
    }

    /**
     * Create an instance of {@link DerivationConstraint.IsPartOf }
     * 
     */
    public DerivationConstraint.IsPartOf createDerivationConstraintIsPartOf() {
        return new DerivationConstraint.IsPartOf();
    }

    /**
     * Create an instance of {@link DerivationConstraint.ResourceReplacementList }
     * 
     */
    public DerivationConstraint.ResourceReplacementList createDerivationConstraintResourceReplacementList() {
        return new DerivationConstraint.ResourceReplacementList();
    }

    /**
     * Create an instance of {@link SeekPermission }
     * 
     */
    public SeekPermission createSeekPermission() {
        return new SeekPermission();
    }

    /**
     * Create an instance of {@link DrmSystem }
     * 
     */
    public DrmSystem createDrmSystem() {
        return new DrmSystem();
    }

    /**
     * Create an instance of {@link GovernedMove }
     * 
     */
    public GovernedMove createGovernedMove() {
        return new GovernedMove();
    }

    /**
     * Create an instance of {@link IdentityHolder.IdValue }
     * 
     */
    public IdentityHolder.IdValue createIdentityHolderIdValue() {
        return new IdentityHolder.IdValue();
    }

    /**
     * Create an instance of {@link IdentityHolder }
     * 
     */
    public IdentityHolder createIdentityHolder() {
        return new IdentityHolder();
    }

    /**
     * Create an instance of {@link OutputRegulation }
     * 
     */
    public OutputRegulation createOutputRegulation() {
        return new OutputRegulation();
    }

    /**
     * Create an instance of {@link ServiceLocation }
     * 
     */
    public ServiceLocation createServiceLocation() {
        return new ServiceLocation();
    }

    /**
     * Create an instance of {@link OutputRegulation.Regulation }
     * 
     */
    public OutputRegulation.Regulation createOutputRegulationRegulation() {
        return new OutputRegulation.Regulation();
    }

    /**
     * Create an instance of {@link DerivationConstraint.ResourceExclusionList }
     * 
     */
    public DerivationConstraint.ResourceExclusionList createDerivationConstraintResourceExclusionList() {
        return new DerivationConstraint.ResourceExclusionList();
    }

    /**
     * Create an instance of {@link GovernedCopy }
     * 
     */
    public GovernedCopy createGovernedCopy() {
        return new GovernedCopy();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "identityHolder", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "principal")
    public JAXBElement<IdentityHolder> createIdentityHolder(IdentityHolder value) {
        return new JAXBElement<IdentityHolder>(_IdentityHolder_QNAME, IdentityHolder.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceLocation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "serviceLocation", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "serviceDescription")
    public JAXBElement<ServiceLocation> createServiceLocation(ServiceLocation value) {
        return new JAXBElement<ServiceLocation>(_ServiceLocation_QNAME, ServiceLocation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "governedMove", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<GovernedMove> createGovernedMove(GovernedMove value) {
        return new JAXBElement<GovernedMove>(_GovernedMove_QNAME, GovernedMove.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "protectedResource", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "resource")
    public JAXBElement<ProtectedResource> createProtectedResource(ProtectedResource value) {
        return new JAXBElement<ProtectedResource>(_ProtectedResource_QNAME, ProtectedResource.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartCondition }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "startCondition", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<StartCondition> createStartCondition(StartCondition value) {
        return new JAXBElement<StartCondition>(_StartCondition_QNAME, StartCondition.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "drmSystem", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DrmSystem> createDrmSystem(DrmSystem value) {
        return new JAXBElement<DrmSystem>(_DrmSystem_QNAME, DrmSystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "outputRegulation", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<OutputRegulation> createOutputRegulation(OutputRegulation value) {
        return new JAXBElement<OutputRegulation>(_OutputRegulation_QNAME, OutputRegulation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "governedCopy", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<GovernedCopy> createGovernedCopy(GovernedCopy value) {
        return new JAXBElement<GovernedCopy>(_GovernedCopy_QNAME, GovernedCopy.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "derivationConstraint", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DerivationConstraint> createDerivationConstraint(DerivationConstraint value) {
        return new JAXBElement<DerivationConstraint>(_DerivationConstraint_QNAME, DerivationConstraint.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Delist }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "delist", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Delist> createDelist(Delist value) {
        return new JAXBElement<Delist>(_Delist_QNAME, Delist.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Enlist }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "enlist", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Enlist> createEnlist(Enlist value) {
        return new JAXBElement<Enlist>(_Enlist_QNAME, Enlist.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-REL-M1X-NS", name = "seekPermission", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<SeekPermission> createSeekPermission(SeekPermission value) {
        return new JAXBElement<SeekPermission>(_SeekPermission_QNAME, SeekPermission.class, null, value);
    }

}
