
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.DigitalResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Resource;
import org.iso.mpeg.mxm.engine.securityTE.schema.xenc.EncryptedDataType;
import org.iso.mpeg.mxm.engine.securityTE.schema.xenc.EncryptedKeyType;
import org.iso.mpeg.mxm.engine.securityTE.schema.xenc.EncryptedType;


/**
 * <p>Java class for ProtectedResource complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProtectedResource">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}digitalResource"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedData"/>
 *           &lt;element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedKey"/>
 *         &lt;/choice>
 *         &lt;element name="resourceLocator" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProtectedResource", propOrder = {
    "digitalResource",
    "encryptedDataOrEncryptedKey",
    "resourceLocator"
})
public class ProtectedResource
    extends Resource
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected DigitalResource digitalResource;
    @XmlElements({
        @XmlElement(name = "EncryptedData", namespace = "http://www.w3.org/2001/04/xmlenc#", type = EncryptedDataType.class),
        @XmlElement(name = "EncryptedKey", namespace = "http://www.w3.org/2001/04/xmlenc#", type = EncryptedKeyType.class)
    })
    protected List<EncryptedType> encryptedDataOrEncryptedKey;
    @XmlSchemaType(name = "anyURI")
    protected String resourceLocator;

    /**
     * Gets the value of the digitalResource property.
     * 
     * @return
     *     possible object is
     *     {@link DigitalResource }
     *     
     */
    public DigitalResource getDigitalResource() {
        return digitalResource;
    }

    /**
     * Sets the value of the digitalResource property.
     * 
     * @param value
     *     allowed object is
     *     {@link DigitalResource }
     *     
     */
    public void setDigitalResource(DigitalResource value) {
        this.digitalResource = value;
    }

    /**
     * Gets the value of the encryptedDataOrEncryptedKey property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the encryptedDataOrEncryptedKey property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEncryptedDataOrEncryptedKey().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EncryptedDataType }
     * {@link EncryptedKeyType }
     * 
     * 
     */
    public List<EncryptedType> getEncryptedDataOrEncryptedKey() {
        if (encryptedDataOrEncryptedKey == null) {
            encryptedDataOrEncryptedKey = new ArrayList<EncryptedType>();
        }
        return this.encryptedDataOrEncryptedKey;
    }

    /**
     * Gets the value of the resourceLocator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResourceLocator() {
        return resourceLocator;
    }

    /**
     * Sets the value of the resourceLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResourceLocator(String value) {
        this.resourceLocator = value;
    }

}
