
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ServiceReference;


/**
 * <p>Java class for SeekPermission complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeekPermission">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}serviceReference"/>
 *         &lt;element name="cacheable" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="period" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeekPermission", propOrder = {
    "serviceReference",
    "cacheable"
})
public class SeekPermission
    extends Condition
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected ServiceReference serviceReference;
    protected SeekPermission.Cacheable cacheable;

    /**
     * Gets the value of the serviceReference property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceReference }
     *     
     */
    public ServiceReference getServiceReference() {
        return serviceReference;
    }

    /**
     * Sets the value of the serviceReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceReference }
     *     
     */
    public void setServiceReference(ServiceReference value) {
        this.serviceReference = value;
    }

    /**
     * Gets the value of the cacheable property.
     * 
     * @return
     *     possible object is
     *     {@link SeekPermission.Cacheable }
     *     
     */
    public SeekPermission.Cacheable getCacheable() {
        return cacheable;
    }

    /**
     * Sets the value of the cacheable property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeekPermission.Cacheable }
     *     
     */
    public void setCacheable(SeekPermission.Cacheable value) {
        this.cacheable = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="period" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "period"
    })
    public static class Cacheable {

        protected Duration period;

        /**
         * Gets the value of the period property.
         * 
         * @return
         *     possible object is
         *     {@link Duration }
         *     
         */
        public Duration getPeriod() {
            return period;
        }

        /**
         * Sets the value of the period property.
         * 
         * @param value
         *     allowed object is
         *     {@link Duration }
         *     
         */
        public void setPeriod(Duration value) {
            this.period = value;
        }

    }

}
