
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationPrincipal;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.NoSkipConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Proximity;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Scrambling;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SecuritySystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SimultaneousAccess;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimeShiftDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimedExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.CopyrightNotice;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.NonCommercialUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.SourceCode;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiCriteria;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiPartOf;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.ProhibitedAttributeChanges;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AllConditions;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ExerciseMechanism;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ExistsRight;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Fulfiller;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PrerequisiteRight;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.RevocationFreshness;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ValidityInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CallForCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeFlat;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUsePrePay;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.SeekApproval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Territory;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackQuery;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackReport;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TransferControl;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalFloating;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalStartsNow;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimePeriodic;


/**
 * <p>Java class for StartCondition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StartCondition">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}condition"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StartCondition", propOrder = {
    "condition"
})
public class StartCondition
    extends Condition
{

    @XmlElementRef(name = "condition", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Condition> condition;

    /**
     * Gets the value of the condition property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     
     */
    public JAXBElement<? extends Condition> getCondition() {
        return condition;
    }

    /**
     * Sets the value of the condition property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     
     */
    public void setCondition(JAXBElement<? extends Condition> value) {
        this.condition = ((JAXBElement<? extends Condition> ) value);
    }

}
