
package org.iso.mpeg.mxm.engine.relTE.schema.relm2x;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AllPrincipals;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.KeyHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal;


/**
 * <p>Java class for DestinationPrincipal complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DestinationPrincipal">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}principal"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DestinationPrincipal", propOrder = {
    "principal"
})
public class DestinationPrincipal
    extends Condition
{

    @XmlElementRef(name = "principal", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Principal> principal;

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public JAXBElement<? extends Principal> getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public void setPrincipal(JAXBElement<? extends Principal> value) {
        this.principal = ((JAXBElement<? extends Principal> ) value);
    }

}
