
package org.iso.mpeg.mxm.engine.relTE.schema.relm2x;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.DigitalResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.LicensePart;


/**
 * <p>Java class for NoSkipConstraint complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NoSkipConstraint">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="interval" type="{urn:mpeg:mpeg21:2006:01-REL-M2X-NS}RelTimeDuration"/>
 *         &lt;element name="object" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}DigitalResource"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoSkipConstraint", propOrder = {
    "intervalOrObject"
})
public class NoSkipConstraint
    extends Condition
{

    @XmlElements({
        @XmlElement(name = "object", type = DigitalResource.class),
        @XmlElement(name = "interval", type = RelTimeDuration.class)
    })
    protected List<LicensePart> intervalOrObject;

    /**
     * Gets the value of the intervalOrObject property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the intervalOrObject property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIntervalOrObject().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DigitalResource }
     * {@link RelTimeDuration }
     * 
     * 
     */
    public List<LicensePart> getIntervalOrObject() {
        if (intervalOrObject == null) {
            intervalOrObject = new ArrayList<LicensePart>();
        }
        return this.intervalOrObject;
    }

}
