
package org.iso.mpeg.mxm.engine.relTE.schema.relm2x;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.DigitalResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ValidityInterval;


/**
 * <p>Java class for SimultaneousAccess complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SimultaneousAccess">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="count" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
 *         &lt;element name="period" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}ValidityInterval" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="isPartOf" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="digitalResource" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}DigitalResource"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SimultaneousAccess", propOrder = {
    "count",
    "period",
    "isPartOf"
})
public class SimultaneousAccess
    extends Condition
{

    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger count;
    protected List<ValidityInterval> period;
    protected List<SimultaneousAccess.IsPartOf> isPartOf;

    /**
     * Gets the value of the count property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCount() {
        return count;
    }

    /**
     * Sets the value of the count property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCount(BigInteger value) {
        this.count = value;
    }

    /**
     * Gets the value of the period property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the period property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPeriod().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ValidityInterval }
     * 
     * 
     */
    public List<ValidityInterval> getPeriod() {
        if (period == null) {
            period = new ArrayList<ValidityInterval>();
        }
        return this.period;
    }

    /**
     * Gets the value of the isPartOf property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the isPartOf property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIsPartOf().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SimultaneousAccess.IsPartOf }
     * 
     * 
     */
    public List<SimultaneousAccess.IsPartOf> getIsPartOf() {
        if (isPartOf == null) {
            isPartOf = new ArrayList<SimultaneousAccess.IsPartOf>();
        }
        return this.isPartOf;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="digitalResource" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}DigitalResource"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "digitalResource"
    })
    public static class IsPartOf {

        @XmlElement(required = true)
        protected DigitalResource digitalResource;

        /**
         * Gets the value of the digitalResource property.
         * 
         * @return
         *     possible object is
         *     {@link DigitalResource }
         *     
         */
        public DigitalResource getDigitalResource() {
            return digitalResource;
        }

        /**
         * Sets the value of the digitalResource property.
         * 
         * @param value
         *     allowed object is
         *     {@link DigitalResource }
         *     
         */
        public void setDigitalResource(DigitalResource value) {
            this.digitalResource = value;
        }

    }

}
