
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DerivationConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DrmSystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.OutputRegulation;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.SeekPermission;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.StartCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationPrincipal;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.NoSkipConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Proximity;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.RelTimeDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Scrambling;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SecuritySystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SimultaneousAccess;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimeShiftDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimedExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.CopyrightNotice;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.NonCommercialUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.SourceCode;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiCriteria;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiPartOf;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.ProhibitedAttributeChanges;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CallForCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StatefulCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Territory;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalStartsNow;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimePeriodic;


/**
 * <p>Java class for Condition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Condition">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LicensePart">
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Condition")
@XmlSeeAlso({
    ExerciseMechanism.class,
    Fulfiller.class,
    RevocationFreshness.class,
    ValidityInterval.class,
    AllConditions.class,
    PrerequisiteRight.class,
    ExistsRight.class,
    Territory.class,
    FeeMetered.class,
    CallForCondition.class,
    ValidityTimePeriodic.class,
    FeePerUse.class,
    ValidityIntervalStartsNow.class,
    StatefulCondition.class,
    CopyrightNotice.class,
    SourceCode.class,
    NonCommercialUse.class,
    ProhibitedAttributeChanges.class,
    DiPartOf.class,
    DiCriteria.class,
    SeekPermission.class,
    StartCondition.class,
    DrmSystem.class,
    OutputRegulation.class,
    DerivationConstraint.class,
    TimeShiftDuration.class,
    TimedExerciseLimit.class,
    Proximity.class,
    NoSkipConstraint.class,
    SecuritySystem.class,
    DestinationPrincipal.class,
    SimultaneousAccess.class,
    DestinationCondition.class,
    Scrambling.class,
    RelTimeDuration.class
})
public class Condition
    extends LicensePart
{


}
