
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DerivationConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DrmSystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.OutputRegulation;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.SeekPermission;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.StartCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationPrincipal;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.NoSkipConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Proximity;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Scrambling;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SecuritySystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SimultaneousAccess;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimeShiftDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimedExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.CopyrightNotice;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.NonCommercialUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.SourceCode;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiCriteria;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiPartOf;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.ProhibitedAttributeChanges;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CallForCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeFlat;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUsePrePay;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.SeekApproval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Territory;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackQuery;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackReport;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TransferControl;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalFloating;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalStartsNow;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimePeriodic;


/**
 * <p>Java class for GrantGroup complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GrantGroup">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource">
 *       &lt;choice minOccurs="0">
 *         &lt;sequence>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}forAll" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}delegationControl" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}principal" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}condition" minOccurs="0"/>
 *           &lt;choice maxOccurs="unbounded">
 *             &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grant"/>
 *             &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grantGroup"/>
 *           &lt;/choice>
 *         &lt;/sequence>
 *         &lt;element name="encryptedGrantGroup" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}EncryptedContent"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GrantGroup", propOrder = {
    "forAll",
    "delegationControl",
    "principal",
    "condition",
    "grantOrGrantGroup",
    "encryptedGrantGroup"
})
public class GrantGroup
    extends Resource
{

    protected List<ForAll> forAll;
    protected DelegationControl delegationControl;
    @XmlElementRef(name = "principal", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Principal> principal;
    @XmlElementRef(name = "condition", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Condition> condition;
    @XmlElements({
        @XmlElement(name = "grantGroup", type = GrantGroup.class),
        @XmlElement(name = "grant", type = Grant.class)
    })
    protected List<Resource> grantOrGrantGroup;
    protected EncryptedContent encryptedGrantGroup;

    /**
     * Gets the value of the forAll property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the forAll property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getForAll().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ForAll }
     * 
     * 
     */
    public List<ForAll> getForAll() {
        if (forAll == null) {
            forAll = new ArrayList<ForAll>();
        }
        return this.forAll;
    }

    /**
     * Gets the value of the delegationControl property.
     * 
     * @return
     *     possible object is
     *     {@link DelegationControl }
     *     
     */
    public DelegationControl getDelegationControl() {
        return delegationControl;
    }

    /**
     * Sets the value of the delegationControl property.
     * 
     * @param value
     *     allowed object is
     *     {@link DelegationControl }
     *     
     */
    public void setDelegationControl(DelegationControl value) {
        this.delegationControl = value;
    }

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public JAXBElement<? extends Principal> getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public void setPrincipal(JAXBElement<? extends Principal> value) {
        this.principal = ((JAXBElement<? extends Principal> ) value);
    }

    /**
     * Gets the value of the condition property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     
     */
    public JAXBElement<? extends Condition> getCondition() {
        return condition;
    }

    /**
     * Sets the value of the condition property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     
     */
    public void setCondition(JAXBElement<? extends Condition> value) {
        this.condition = ((JAXBElement<? extends Condition> ) value);
    }

    /**
     * Gets the value of the grantOrGrantGroup property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the grantOrGrantGroup property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGrantOrGrantGroup().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GrantGroup }
     * {@link Grant }
     * 
     * 
     */
    public List<Resource> getGrantOrGrantGroup() {
        if (grantOrGrantGroup == null) {
            grantOrGrantGroup = new ArrayList<Resource>();
        }
        return this.grantOrGrantGroup;
    }

    /**
     * Gets the value of the encryptedGrantGroup property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptedContent }
     *     
     */
    public EncryptedContent getEncryptedGrantGroup() {
        return encryptedGrantGroup;
    }

    /**
     * Sets the value of the encryptedGrantGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptedContent }
     *     
     */
    public void setEncryptedGrantGroup(EncryptedContent value) {
        this.encryptedGrantGroup = value;
    }

}
