
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Complement;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Intersection;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Set;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Union;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Rate;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateDistinguisher;


/**
 * <p>Java class for LicensePart complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LicensePart">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="licensePartId" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LicensePartId" />
 *       &lt;attribute name="licensePartIdRef" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LicensePartId" />
 *       &lt;attribute name="varRef" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}VariableName" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LicensePart")
@XmlSeeAlso({
    TrustRoot.class,
    ForAll.class,
    DelegationControl.class,
    DcConstraint.class,
    Datum.class,
    StateDistinguisher.class,
    Rate.class,
    Intersection.class,
    Set.class,
    Complement.class,
    Union.class,
    ServiceDescription.class,
    Resource.class,
    Right.class,
    Condition.class
})
public class LicensePart {

    @XmlAttribute(name = "licensePartId")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String licensePartId;
    @XmlAttribute(name = "licensePartIdRef")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String licensePartIdRef;
    @XmlAttribute(name = "varRef")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String varRef;

    /**
     * Gets the value of the licensePartId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLicensePartId() {
        return licensePartId;
    }

    /**
     * Sets the value of the licensePartId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLicensePartId(String value) {
        this.licensePartId = value;
    }

    /**
     * Gets the value of the licensePartIdRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLicensePartIdRef() {
        return licensePartIdRef;
    }

    /**
     * Sets the value of the licensePartIdRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLicensePartIdRef(String value) {
        this.licensePartIdRef = value;
    }

    /**
     * Gets the value of the varRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVarRef() {
        return varRef;
    }

    /**
     * Sets the value of the varRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVarRef(String value) {
        this.varRef = value;
    }

}
