
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CommonName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.DnsName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.EmailName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Name;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectName;


/**
 * <p>Java class for PropertyPossessor complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PropertyPossessor">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}PrincipalPatternAbstract">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}propertyAbstract"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}trustRoot" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PropertyPossessor", propOrder = {
    "propertyAbstract",
    "trustRoot"
})
public class PropertyPossessor
    extends PrincipalPatternAbstract
{

    @XmlElementRef(name = "propertyAbstract", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends PropertyAbstract> propertyAbstract;
    @XmlElementRef(name = "trustRoot", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends TrustRoot> trustRoot;

    /**
     * Gets the value of the propertyAbstract property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     
     */
    public JAXBElement<? extends PropertyAbstract> getPropertyAbstract() {
        return propertyAbstract;
    }

    /**
     * Sets the value of the propertyAbstract property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     
     */
    public void setPropertyAbstract(JAXBElement<? extends PropertyAbstract> value) {
        this.propertyAbstract = ((JAXBElement<? extends PropertyAbstract> ) value);
    }

    /**
     * Gets the value of the trustRoot property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public JAXBElement<? extends TrustRoot> getTrustRoot() {
        return trustRoot;
    }

    /**
     * Sets the value of the trustRoot property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public void setTrustRoot(JAXBElement<? extends TrustRoot> value) {
        this.trustRoot = ((JAXBElement<? extends TrustRoot> ) value);
    }

}
