
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for ResourcePattern complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ResourcePattern">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}anXmlExpression"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}resourcePatternAbstract"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResourcePattern", propOrder = {
    "anXmlExpressionOrResourcePatternAbstract"
})
public class ResourcePattern {

    @XmlElementRefs({
        @XmlElementRef(name = "resourcePatternAbstract", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class),
        @XmlElementRef(name = "anXmlExpression", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    })
    protected List<JAXBElement<? extends AnXmlPatternAbstract>> anXmlExpressionOrResourcePatternAbstract;

    /**
     * Gets the value of the anXmlExpressionOrResourcePatternAbstract property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anXmlExpressionOrResourcePatternAbstract property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnXmlExpressionOrResourcePatternAbstract().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     * {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     * {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends AnXmlPatternAbstract>> getAnXmlExpressionOrResourcePatternAbstract() {
        if (anXmlExpressionOrResourcePatternAbstract == null) {
            anXmlExpressionOrResourcePatternAbstract = new ArrayList<JAXBElement<? extends AnXmlPatternAbstract>>();
        }
        return this.anXmlExpressionOrResourcePatternAbstract;
    }

}
