
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FeePerUsePrePay complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FeePerUsePrePay">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-SX-NS}StatefulCondition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-SX-NS}rate"/>
 *         &lt;element name="initialNumberOfUses" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="to" type="{urn:mpeg:mpeg21:2003:01-REL-SX-NS}AccountPayable" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FeePerUsePrePay", propOrder = {
    "rate",
    "initialNumberOfUses",
    "to"
})
public class FeePerUsePrePay
    extends StatefulCondition
{

    protected Rate rate;
    protected BigInteger initialNumberOfUses;
    protected AccountPayable to;

    /**
     * Gets the value of the rate property.
     * 
     * @return
     *     possible object is
     *     {@link Rate }
     *     
     */
    public Rate getRate() {
        return rate;
    }

    /**
     * Sets the value of the rate property.
     * 
     * @param value
     *     allowed object is
     *     {@link Rate }
     *     
     */
    public void setRate(Rate value) {
        this.rate = value;
    }

    /**
     * Gets the value of the initialNumberOfUses property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getInitialNumberOfUses() {
        return initialNumberOfUses;
    }

    /**
     * Sets the value of the initialNumberOfUses property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setInitialNumberOfUses(BigInteger value) {
        this.initialNumberOfUses = value;
    }

    /**
     * Gets the value of the to property.
     * 
     * @return
     *     possible object is
     *     {@link AccountPayable }
     *     
     */
    public AccountPayable getTo() {
        return to;
    }

    /**
     * Sets the value of the to property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountPayable }
     *     
     */
    public void setTo(AccountPayable value) {
        this.to = value;
    }

}
