
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.DigitalResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ServiceDescription;
import org.w3c.dom.Element;


/**
 * <p>Java class for WsdlAddress complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WsdlAddress">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}ServiceDescription">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="kind">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="wsdl" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}DigitalResource"/>
 *                   &lt;element name="binding" type="{http://www.w3.org/2001/XMLSchema}QName"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="address">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;any processContents='lax'/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WsdlAddress", propOrder = {
    "kind",
    "address"
})
public class WsdlAddress
    extends ServiceDescription
{

    protected WsdlAddress.Kind kind;
    protected WsdlAddress.Address address;

    /**
     * Gets the value of the kind property.
     * 
     * @return
     *     possible object is
     *     {@link WsdlAddress.Kind }
     *     
     */
    public WsdlAddress.Kind getKind() {
        return kind;
    }

    /**
     * Sets the value of the kind property.
     * 
     * @param value
     *     allowed object is
     *     {@link WsdlAddress.Kind }
     *     
     */
    public void setKind(WsdlAddress.Kind value) {
        this.kind = value;
    }

    /**
     * Gets the value of the address property.
     * 
     * @return
     *     possible object is
     *     {@link WsdlAddress.Address }
     *     
     */
    public WsdlAddress.Address getAddress() {
        return address;
    }

    /**
     * Sets the value of the address property.
     * 
     * @param value
     *     allowed object is
     *     {@link WsdlAddress.Address }
     *     
     */
    public void setAddress(WsdlAddress.Address value) {
        this.address = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;any processContents='lax'/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "any"
    })
    public static class Address {

        @XmlAnyElement(lax = true)
        protected Object any;

        /**
         * Gets the value of the any property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     {@link Element }
         *     
         */
        public Object getAny() {
            return any;
        }

        /**
         * Sets the value of the any property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     {@link Element }
         *     
         */
        public void setAny(Object value) {
            this.any = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="wsdl" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}DigitalResource"/>
     *         &lt;element name="binding" type="{http://www.w3.org/2001/XMLSchema}QName"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "wsdl",
        "binding"
    })
    public static class Kind {

        @XmlElement(required = true)
        protected DigitalResource wsdl;
        @XmlElement(required = true)
        protected QName binding;

        /**
         * Gets the value of the wsdl property.
         * 
         * @return
         *     possible object is
         *     {@link DigitalResource }
         *     
         */
        public DigitalResource getWsdl() {
            return wsdl;
        }

        /**
         * Sets the value of the wsdl property.
         * 
         * @param value
         *     allowed object is
         *     {@link DigitalResource }
         *     
         */
        public void setWsdl(DigitalResource value) {
            this.wsdl = value;
        }

        /**
         * Gets the value of the binding property.
         * 
         * @return
         *     possible object is
         *     {@link QName }
         *     
         */
        public QName getBinding() {
            return binding;
        }

        /**
         * Sets the value of the binding property.
         * 
         * @param value
         *     allowed object is
         *     {@link QName }
         *     
         */
        public void setBinding(QName value) {
            this.binding = value;
        }

    }

}
