
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Add complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Add">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}ArithmeticExpressionType">
 *       &lt;sequence>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}ArithmeticOperands" maxOccurs="2" minOccurs="2"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Add", propOrder = {
    "arithmeticOperands"
})
public class Add
    extends ArithmeticExpressionType
{

    @XmlElements({
        @XmlElement(name = "LongValue", type = Long.class),
        @XmlElement(name = "ArithmeticExpression", type = ArithmeticExpressionType.class),
        @XmlElement(name = "DoubleValue", type = Double.class),
        @XmlElement(name = "ArithmeticField", type = FieldType.class)
    })
    protected List<Object> arithmeticOperands;

    /**
     * Gets the value of the arithmeticOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the arithmeticOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getArithmeticOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Long }
     * {@link ArithmeticExpressionType }
     * {@link Double }
     * {@link FieldType }
     * 
     * 
     */
    public List<Object> getArithmeticOperands() {
        if (arithmeticOperands == null) {
            arithmeticOperands = new ArrayList<Object>();
        }
        return this.arithmeticOperands;
    }

}
