
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for Equal complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Equal">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}ComparisonExpressionType">
 *       &lt;choice>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}ArithmeticOperands" maxOccurs="2" minOccurs="2"/>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}BooleanOperands" maxOccurs="2" minOccurs="2"/>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}DateTimeOperands" maxOccurs="2" minOccurs="2"/>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}DurationOperands" maxOccurs="2" minOccurs="2"/>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}StringOperands" maxOccurs="2" minOccurs="2"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Equal", propOrder = {
    "arithmeticOperands",
    "booleanOperands",
    "dateTimeOperands",
    "durationOperands",
    "stringOperands"
})
public class Equal
    extends ComparisonExpressionType
{

    @XmlElements({
        @XmlElement(name = "DoubleValue", type = Double.class),
        @XmlElement(name = "ArithmeticExpression", type = ArithmeticExpressionType.class),
        @XmlElement(name = "ArithmeticField", type = FieldType.class),
        @XmlElement(name = "LongValue", type = Long.class)
    })
    protected List<Object> arithmeticOperands;
    @XmlElements({
        @XmlElement(name = "BooleanValue", type = Boolean.class),
        @XmlElement(name = "BooleanField", type = FieldType.class),
        @XmlElement(name = "BooleanExpression", type = BooleanExpressionType.class)
    })
    protected List<Object> booleanOperands;
    @XmlElementRefs({
        @XmlElementRef(name = "TimeValue", namespace = "urn:mpeg:mpqf:schema:2008", type = JAXBElement.class),
        @XmlElementRef(name = "DateTimeValue", namespace = "urn:mpeg:mpqf:schema:2008", type = JAXBElement.class),
        @XmlElementRef(name = "DateValue", namespace = "urn:mpeg:mpqf:schema:2008", type = JAXBElement.class),
        @XmlElementRef(name = "DateTimeField", namespace = "urn:mpeg:mpqf:schema:2008", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> dateTimeOperands;
    @XmlElements({
        @XmlElement(name = "DurationField", type = FieldType.class),
        @XmlElement(name = "DurationValue", type = Duration.class)
    })
    protected List<Object> durationOperands;
    @XmlElements({
        @XmlElement(name = "StringField", type = FieldType.class),
        @XmlElement(name = "StringValue", type = String.class),
        @XmlElement(name = "StringExpression", type = StringExpressionType.class)
    })
    protected List<Object> stringOperands;

    /**
     * Gets the value of the arithmeticOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the arithmeticOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getArithmeticOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Double }
     * {@link ArithmeticExpressionType }
     * {@link FieldType }
     * {@link Long }
     * 
     * 
     */
    public List<Object> getArithmeticOperands() {
        if (arithmeticOperands == null) {
            arithmeticOperands = new ArrayList<Object>();
        }
        return this.arithmeticOperands;
    }

    /**
     * Gets the value of the booleanOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the booleanOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBooleanOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Boolean }
     * {@link FieldType }
     * {@link BooleanExpressionType }
     * 
     * 
     */
    public List<Object> getBooleanOperands() {
        if (booleanOperands == null) {
            booleanOperands = new ArrayList<Object>();
        }
        return this.booleanOperands;
    }

    /**
     * Gets the value of the dateTimeOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the dateTimeOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDateTimeOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     * {@link JAXBElement }{@code <}{@link FieldType }{@code >}
     * {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     * {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getDateTimeOperands() {
        if (dateTimeOperands == null) {
            dateTimeOperands = new ArrayList<JAXBElement<?>>();
        }
        return this.dateTimeOperands;
    }

    /**
     * Gets the value of the durationOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the durationOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDurationOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldType }
     * {@link Duration }
     * 
     * 
     */
    public List<Object> getDurationOperands() {
        if (durationOperands == null) {
            durationOperands = new ArrayList<Object>();
        }
        return this.durationOperands;
    }

    /**
     * Gets the value of the stringOperands property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the stringOperands property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStringOperands().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldType }
     * {@link String }
     * {@link StringExpressionType }
     * 
     * 
     */
    public List<Object> getStringOperands() {
        if (stringOperands == null) {
            stringOperands = new ArrayList<Object>();
        }
        return this.stringOperands;
    }

}
