
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for JoinType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JoinType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="From" maxOccurs="2">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="EvaluationPath" type="{urn:mpeg:mpqf:schema:2008}xPathType" minOccurs="0"/>
 *                   &lt;element name="TargetMediaType" type="{urn:mpeg:mpqf:schema:2008}mimeType" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="Condition" type="{urn:mpeg:mpqf:schema:2008}BooleanExpressionType"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="JoinCondition" type="{urn:mpeg:mpqf:schema:2008}BooleanExpressionType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JoinType", propOrder = {
    "from",
    "joinCondition"
})
public class JoinType {

    @XmlElement(name = "From", required = true)
    protected List<JoinType.From> from;
    @XmlElement(name = "JoinCondition", required = true)
    protected BooleanExpressionType joinCondition;

    /**
     * Gets the value of the from property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the from property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFrom().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JoinType.From }
     * 
     * 
     */
    public List<JoinType.From> getFrom() {
        if (from == null) {
            from = new ArrayList<JoinType.From>();
        }
        return this.from;
    }

    /**
     * Gets the value of the joinCondition property.
     * 
     * @return
     *     possible object is
     *     {@link BooleanExpressionType }
     *     
     */
    public BooleanExpressionType getJoinCondition() {
        return joinCondition;
    }

    /**
     * Sets the value of the joinCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link BooleanExpressionType }
     *     
     */
    public void setJoinCondition(BooleanExpressionType value) {
        this.joinCondition = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="EvaluationPath" type="{urn:mpeg:mpqf:schema:2008}xPathType" minOccurs="0"/>
     *         &lt;element name="TargetMediaType" type="{urn:mpeg:mpqf:schema:2008}mimeType" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="Condition" type="{urn:mpeg:mpqf:schema:2008}BooleanExpressionType"/>
     *       &lt;/sequence>
     *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "evaluationPath",
        "targetMediaType",
        "condition"
    })
    public static class From {

        @XmlElement(name = "EvaluationPath")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String evaluationPath;
        @XmlElement(name = "TargetMediaType")
        protected List<String> targetMediaType;
        @XmlElement(name = "Condition", required = true)
        protected BooleanExpressionType condition;
        @XmlAttribute(name = "id", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlID
        @XmlSchemaType(name = "ID")
        protected String id;

        /**
         * Gets the value of the evaluationPath property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEvaluationPath() {
            return evaluationPath;
        }

        /**
         * Sets the value of the evaluationPath property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEvaluationPath(String value) {
            this.evaluationPath = value;
        }

        /**
         * Gets the value of the targetMediaType property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the targetMediaType property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTargetMediaType().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getTargetMediaType() {
            if (targetMediaType == null) {
                targetMediaType = new ArrayList<String>();
            }
            return this.targetMediaType;
        }

        /**
         * Gets the value of the condition property.
         * 
         * @return
         *     possible object is
         *     {@link BooleanExpressionType }
         *     
         */
        public BooleanExpressionType getCondition() {
            return condition;
        }

        /**
         * Sets the value of the condition property.
         * 
         * @param value
         *     allowed object is
         *     {@link BooleanExpressionType }
         *     
         */
        public void setCondition(BooleanExpressionType value) {
            this.condition = value;
        }

        /**
         * Gets the value of the id property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getId() {
            return id;
        }

        /**
         * Sets the value of the id property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setId(String value) {
            this.id = value;
        }

    }

}
