
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MpegQueryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MpegQueryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="Query">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="Input" type="{urn:mpeg:mpqf:schema:2008}InputQueryType"/>
 *                   &lt;element name="FetchResult">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="queryID" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *                           &lt;attribute name="retrievePageNum" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Output" type="{urn:mpeg:mpqf:schema:2008}OutputQueryType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Management">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="Input" type="{urn:mpeg:mpqf:schema:2008}InputManagementType"/>
 *                   &lt;element name="Output" type="{urn:mpeg:mpqf:schema:2008}OutputManagementType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *       &lt;attribute name="mpqfID" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MpegQueryType", propOrder = {
    "query",
    "management"
})
public class MpegQueryType {

    @XmlElement(name = "Query")
    protected MpegQueryType.Query query;
    @XmlElement(name = "Management")
    protected MpegQueryType.Management management;
    @XmlAttribute(name = "mpqfID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String mpqfID;

    /**
     * Gets the value of the query property.
     * 
     * @return
     *     possible object is
     *     {@link MpegQueryType.Query }
     *     
     */
    public MpegQueryType.Query getQuery() {
        return query;
    }

    /**
     * Sets the value of the query property.
     * 
     * @param value
     *     allowed object is
     *     {@link MpegQueryType.Query }
     *     
     */
    public void setQuery(MpegQueryType.Query value) {
        this.query = value;
    }

    /**
     * Gets the value of the management property.
     * 
     * @return
     *     possible object is
     *     {@link MpegQueryType.Management }
     *     
     */
    public MpegQueryType.Management getManagement() {
        return management;
    }

    /**
     * Sets the value of the management property.
     * 
     * @param value
     *     allowed object is
     *     {@link MpegQueryType.Management }
     *     
     */
    public void setManagement(MpegQueryType.Management value) {
        this.management = value;
    }

    /**
     * Gets the value of the mpqfID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMpqfID() {
        return mpqfID;
    }

    /**
     * Sets the value of the mpqfID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMpqfID(String value) {
        this.mpqfID = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="Input" type="{urn:mpeg:mpqf:schema:2008}InputManagementType"/>
     *         &lt;element name="Output" type="{urn:mpeg:mpqf:schema:2008}OutputManagementType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "input",
        "output"
    })
    public static class Management {

        @XmlElement(name = "Input")
        protected InputManagementType input;
        @XmlElement(name = "Output")
        protected OutputManagementType output;

        /**
         * Gets the value of the input property.
         * 
         * @return
         *     possible object is
         *     {@link InputManagementType }
         *     
         */
        public InputManagementType getInput() {
            return input;
        }

        /**
         * Sets the value of the input property.
         * 
         * @param value
         *     allowed object is
         *     {@link InputManagementType }
         *     
         */
        public void setInput(InputManagementType value) {
            this.input = value;
        }

        /**
         * Gets the value of the output property.
         * 
         * @return
         *     possible object is
         *     {@link OutputManagementType }
         *     
         */
        public OutputManagementType getOutput() {
            return output;
        }

        /**
         * Sets the value of the output property.
         * 
         * @param value
         *     allowed object is
         *     {@link OutputManagementType }
         *     
         */
        public void setOutput(OutputManagementType value) {
            this.output = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="Input" type="{urn:mpeg:mpqf:schema:2008}InputQueryType"/>
     *         &lt;element name="FetchResult">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="queryID" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *                 &lt;attribute name="retrievePageNum" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Output" type="{urn:mpeg:mpqf:schema:2008}OutputQueryType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "input",
        "fetchResult",
        "output"
    })
    public static class Query {

        @XmlElement(name = "Input")
        protected InputQueryType input;
        @XmlElement(name = "FetchResult")
        protected MpegQueryType.Query.FetchResult fetchResult;
        @XmlElement(name = "Output")
        protected OutputQueryType output;

        /**
         * Gets the value of the input property.
         * 
         * @return
         *     possible object is
         *     {@link InputQueryType }
         *     
         */
        public InputQueryType getInput() {
            return input;
        }

        /**
         * Sets the value of the input property.
         * 
         * @param value
         *     allowed object is
         *     {@link InputQueryType }
         *     
         */
        public void setInput(InputQueryType value) {
            this.input = value;
        }

        /**
         * Gets the value of the fetchResult property.
         * 
         * @return
         *     possible object is
         *     {@link MpegQueryType.Query.FetchResult }
         *     
         */
        public MpegQueryType.Query.FetchResult getFetchResult() {
            return fetchResult;
        }

        /**
         * Sets the value of the fetchResult property.
         * 
         * @param value
         *     allowed object is
         *     {@link MpegQueryType.Query.FetchResult }
         *     
         */
        public void setFetchResult(MpegQueryType.Query.FetchResult value) {
            this.fetchResult = value;
        }

        /**
         * Gets the value of the output property.
         * 
         * @return
         *     possible object is
         *     {@link OutputQueryType }
         *     
         */
        public OutputQueryType getOutput() {
            return output;
        }

        /**
         * Sets the value of the output property.
         * 
         * @param value
         *     allowed object is
         *     {@link OutputQueryType }
         *     
         */
        public void setOutput(OutputQueryType value) {
            this.output = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="queryID" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         *       &lt;attribute name="retrievePageNum" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class FetchResult {

            @XmlAttribute(name = "queryID")
            @XmlSchemaType(name = "anyURI")
            protected String queryID;
            @XmlAttribute(name = "retrievePageNum")
            @XmlSchemaType(name = "positiveInteger")
            protected BigInteger retrievePageNum;

            /**
             * Gets the value of the queryID property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getQueryID() {
                return queryID;
            }

            /**
             * Sets the value of the queryID property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setQueryID(String value) {
                this.queryID = value;
            }

            /**
             * Gets the value of the retrievePageNum property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getRetrievePageNum() {
                return retrievePageNum;
            }

            /**
             * Sets the value of the retrievePageNum property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setRetrievePageNum(BigInteger value) {
                this.retrievePageNum = value;
            }

        }

    }

}
