
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for OutputQueryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OutputQueryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="GlobalComment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ResultItem" type="{urn:mpeg:mpqf:schema:2008}ResultItemType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SystemMessage" type="{urn:mpeg:mpqf:schema:2008}SystemMessageType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="currPage" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" default="1" />
 *       &lt;attribute name="totalPages" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" default="1" />
 *       &lt;attribute name="expirationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OutputQueryType", propOrder = {
    "globalComment",
    "resultItem",
    "systemMessage"
})
public class OutputQueryType {

    @XmlElement(name = "GlobalComment")
    protected String globalComment;
    @XmlElement(name = "ResultItem")
    protected List<ResultItemType> resultItem;
    @XmlElement(name = "SystemMessage")
    protected SystemMessageType systemMessage;
    @XmlAttribute(name = "currPage")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger currPage;
    @XmlAttribute(name = "totalPages")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger totalPages;
    @XmlAttribute(name = "expirationDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar expirationDate;

    /**
     * Gets the value of the globalComment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGlobalComment() {
        return globalComment;
    }

    /**
     * Sets the value of the globalComment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGlobalComment(String value) {
        this.globalComment = value;
    }

    /**
     * Gets the value of the resultItem property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resultItem property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResultItem().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ResultItemType }
     * 
     * 
     */
    public List<ResultItemType> getResultItem() {
        if (resultItem == null) {
            resultItem = new ArrayList<ResultItemType>();
        }
        return this.resultItem;
    }

    /**
     * Gets the value of the systemMessage property.
     * 
     * @return
     *     possible object is
     *     {@link SystemMessageType }
     *     
     */
    public SystemMessageType getSystemMessage() {
        return systemMessage;
    }

    /**
     * Sets the value of the systemMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link SystemMessageType }
     *     
     */
    public void setSystemMessage(SystemMessageType value) {
        this.systemMessage = value;
    }

    /**
     * Gets the value of the currPage property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCurrPage() {
        if (currPage == null) {
            return new BigInteger("1");
        } else {
            return currPage;
        }
    }

    /**
     * Sets the value of the currPage property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCurrPage(BigInteger value) {
        this.currPage = value;
    }

    /**
     * Gets the value of the totalPages property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalPages() {
        if (totalPages == null) {
            return new BigInteger("1");
        } else {
            return totalPages;
        }
    }

    /**
     * Sets the value of the totalPages property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalPages(BigInteger value) {
        this.totalPages = value;
    }

    /**
     * Gets the value of the expirationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpirationDate() {
        return expirationDate;
    }

    /**
     * Sets the value of the expirationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpirationDate(XMLGregorianCalendar value) {
        this.expirationDate = value;
    }

}
