
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for QueryByFeatureRange complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QueryByFeatureRange">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}QueryType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="Range">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;attribute name="RangeStart" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *                   &lt;attribute name="RangeEnd" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="Distance">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;attribute name="Center" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *                   &lt;attribute name="Radius" use="required" type="{urn:mpeg:mpqf:schema:2008}zeroToOneType" />
 *                   &lt;attribute name="DistanceFunction" type="{urn:mpeg:mpqf:schema:2008}SimpleTermType" />
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QueryByFeatureRange", propOrder = {
    "range",
    "distance"
})
public class QueryByFeatureRange
    extends QueryType
{

    @XmlElement(name = "Range")
    protected QueryByFeatureRange.Range range;
    @XmlElement(name = "Distance")
    protected QueryByFeatureRange.Distance distance;

    /**
     * Gets the value of the range property.
     * 
     * @return
     *     possible object is
     *     {@link QueryByFeatureRange.Range }
     *     
     */
    public QueryByFeatureRange.Range getRange() {
        return range;
    }

    /**
     * Sets the value of the range property.
     * 
     * @param value
     *     allowed object is
     *     {@link QueryByFeatureRange.Range }
     *     
     */
    public void setRange(QueryByFeatureRange.Range value) {
        this.range = value;
    }

    /**
     * Gets the value of the distance property.
     * 
     * @return
     *     possible object is
     *     {@link QueryByFeatureRange.Distance }
     *     
     */
    public QueryByFeatureRange.Distance getDistance() {
        return distance;
    }

    /**
     * Sets the value of the distance property.
     * 
     * @param value
     *     allowed object is
     *     {@link QueryByFeatureRange.Distance }
     *     
     */
    public void setDistance(QueryByFeatureRange.Distance value) {
        this.distance = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="Center" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
     *       &lt;attribute name="Radius" use="required" type="{urn:mpeg:mpqf:schema:2008}zeroToOneType" />
     *       &lt;attribute name="DistanceFunction" type="{urn:mpeg:mpqf:schema:2008}SimpleTermType" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Distance {

        @XmlAttribute(name = "Center", required = true)
        @XmlIDREF
        @XmlSchemaType(name = "IDREF")
        protected Object center;
        @XmlAttribute(name = "Radius", required = true)
        protected float radius;
        @XmlAttribute(name = "DistanceFunction")
        protected String distanceFunction;

        /**
         * Gets the value of the center property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getCenter() {
            return center;
        }

        /**
         * Sets the value of the center property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setCenter(Object value) {
            this.center = value;
        }

        /**
         * Gets the value of the radius property.
         * 
         */
        public float getRadius() {
            return radius;
        }

        /**
         * Sets the value of the radius property.
         * 
         */
        public void setRadius(float value) {
            this.radius = value;
        }

        /**
         * Gets the value of the distanceFunction property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDistanceFunction() {
            return distanceFunction;
        }

        /**
         * Sets the value of the distanceFunction property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDistanceFunction(String value) {
            this.distanceFunction = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="RangeStart" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
     *       &lt;attribute name="RangeEnd" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Range {

        @XmlAttribute(name = "RangeStart", required = true)
        @XmlIDREF
        @XmlSchemaType(name = "IDREF")
        protected Object rangeStart;
        @XmlAttribute(name = "RangeEnd", required = true)
        @XmlIDREF
        @XmlSchemaType(name = "IDREF")
        protected Object rangeEnd;

        /**
         * Gets the value of the rangeStart property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getRangeStart() {
            return rangeStart;
        }

        /**
         * Sets the value of the rangeStart property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setRangeStart(Object value) {
            this.rangeStart = value;
        }

        /**
         * Gets the value of the rangeEnd property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getRangeEnd() {
            return rangeEnd;
        }

        /**
         * Sets the value of the rangeEnd property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setRangeEnd(Object value) {
            this.rangeEnd = value;
        }

    }

}
