
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for QueryByFreeText complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QueryByFreeText">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}QueryType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="FreeText" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="RegExp" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;/choice>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="SearchField" type="{urn:mpeg:mpqf:schema:2008}FieldType" maxOccurs="unbounded"/>
 *           &lt;element name="IgnoreField" type="{urn:mpeg:mpqf:schema:2008}FieldType" maxOccurs="unbounded"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QueryByFreeText", propOrder = {
    "freeText",
    "regExp",
    "searchField",
    "ignoreField"
})
public class QueryByFreeText
    extends QueryType
{

    @XmlElement(name = "FreeText")
    protected String freeText;
    @XmlElement(name = "RegExp")
    protected String regExp;
    @XmlElement(name = "SearchField")
    protected List<FieldType> searchField;
    @XmlElement(name = "IgnoreField")
    protected List<FieldType> ignoreField;

    /**
     * Gets the value of the freeText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFreeText() {
        return freeText;
    }

    /**
     * Sets the value of the freeText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFreeText(String value) {
        this.freeText = value;
    }

    /**
     * Gets the value of the regExp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegExp() {
        return regExp;
    }

    /**
     * Sets the value of the regExp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegExp(String value) {
        this.regExp = value;
    }

    /**
     * Gets the value of the searchField property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the searchField property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSearchField().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldType }
     * 
     * 
     */
    public List<FieldType> getSearchField() {
        if (searchField == null) {
            searchField = new ArrayList<FieldType>();
        }
        return this.searchField;
    }

    /**
     * Gets the value of the ignoreField property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ignoreField property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIgnoreField().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldType }
     * 
     * 
     */
    public List<FieldType> getIgnoreField() {
        if (ignoreField == null) {
            ignoreField = new ArrayList<FieldType>();
        }
        return this.ignoreField;
    }

}
