package org.iso.mpeg.mxm.eventreportTE;

import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.tEngine.eventreportTE.schemahandler.er.ER;
import org.iso.mpeg.mxm.tEngine.eventreportTE.schemahandler.er.ERR;
import org.iso.mpeg.mxm.tEngine.relTE.RELEngine;

import java.util.List;

public class EREngineSchemaHandler implements org.iso.mpeg.mxm.tEngine.eventreportTE.EventReportEngineSchemaHandler {

    private RELEngine RELengine; //TODO add rel engine dependencies

    public EREngineSchemaHandler(List<MXMEngine> engines) throws MXMEngineException {
        for (MXMEngine engine : engines) {

            if (engine.getEngineName().equals(MXMEngineName.RELTE.toString())) {
                RELengine = (RELEngine) engine;
            }
        }

//        if (RELengine == null) {
//            throw new MXMEngineException("dependencies not setted correctly");
//        }
    }

    @Override
    public ER getER() throws MXMEngineException {
        return new org.iso.mpeg.mxm.eventreportTE.ER();
    }

    @Override
    public ERR getERR() throws MXMEngineException {
        return new org.iso.mpeg.mxm.eventreportTE.ERR(RELengine);
    }
}
