package org.iso.mpeg.mxm.metadataTE.schemahandler.fru;

import java.io.File;

import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SuperFruAbstractLevel1;

public class Src implements org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.fru.Src
{
	protected org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SrcType srcType;
	
	public Src()
	{
		srcType = new org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SrcType();
	}
	
	public Src(org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SrcType src)
	{
		this.srcType = src;
	}
	
	@Override
	public String getMode()
	{
		return srcType.getMode();
	}

	@Override
	public void setMode(String string)
	{
		srcType.setMode(string);
	}

	@Override
	public boolean isNamespaces()
	{
		return srcType.isNamespaces();
	}

	@Override
	public void setNamespaces(Boolean b)
	{
		srcType.setNamespaces(b);
	}

	@Override
	public String getValue()
	{
		return srcType.getValue();
	}

	@Override
	public void setValue(String string)
	{
		srcType.setValue(string);
	}
	
	// MXM CREATOR AND PARSER METHODS
	
	@Override
	public void createFile(File f) throws MXMException
	{
		new SuperFruAbstractLevel1(srcType).createFile(f);
	}

	@Override
	public MXMObject createObject(String objectType) throws MXMException
	{
		return new SuperFruAbstractLevel1(srcType).createObject(objectType);
	}

	@Override
	public MXMEngineResponse parse(MXMObject object) throws MXMEngineException
	{
		SuperFruAbstractLevel1 superAbstract = new SuperFruAbstractLevel1(srcType);

		MXMEngineResponse repsonse = superAbstract.parse(object);

		srcType = (org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SrcType) 
				superAbstract.createObject(org.iso.mpeg.mxm.engine.metadataTE.schema.fru.SrcType.class.getCanonicalName()).getContent();

		return repsonse;
	}

}
