package org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3;

import java.io.File;

import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.FragmentUpdateContextType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SuperMpe7v3AbstractLevel1;

public class FragmentUpdateContext implements org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.FragmentUpdateContext
{
	protected FragmentUpdateContextType fragmentUpdateContextType;
	
	public FragmentUpdateContext()
	{
		fragmentUpdateContextType = new FragmentUpdateContextType();
	}
	
	public FragmentUpdateContext(FragmentUpdateContextType fragmentUpdateContext)
	{
		this.fragmentUpdateContextType = fragmentUpdateContext;
	}

	@Override
	public String getValue()
	{
		return fragmentUpdateContextType.getValue();
	}

	@Override
	public void setValue(String string)
	{
		fragmentUpdateContextType.setValue(string);
	}

	@Override
	public String getPosition()
	{
		return fragmentUpdateContextType.getPosition();
	}

	@Override
	public void setPosition(String string)
	{
		fragmentUpdateContextType.setPosition(string);
	}
	
	// MXM CREATOR AND PARSER METHODS
	
	@Override
	public void createFile(File f) throws MXMException
	{
		new SuperMpe7v3AbstractLevel1(fragmentUpdateContextType).createFile(f);
	}

	@Override
	public MXMObject createObject(String objectType) throws MXMException
	{
		return new SuperMpe7v3AbstractLevel1(fragmentUpdateContextType).createObject(objectType);
	}

	@Override
	public MXMEngineResponse parse(MXMObject object) throws MXMEngineException
	{
		SuperMpe7v3AbstractLevel1 superAbstract = new SuperMpe7v3AbstractLevel1(fragmentUpdateContextType);

		MXMEngineResponse repsonse = superAbstract.parse(object);

		fragmentUpdateContextType = (FragmentUpdateContextType) 
				superAbstract.createObject(FragmentUpdateContextType.class.getCanonicalName()).getContent();

		return repsonse;
	}
}
