package org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3;

import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TermDefinitionBaseType;

public class TermDefinitionBaseName extends Textual implements org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.TermDefinitionBaseName
{
	private TermDefinitionBaseType.Name name;
	
	public TermDefinitionBaseName()
	{
		this(new TermDefinitionBaseType.Name());
	}
	
	public TermDefinitionBaseName(TermDefinitionBaseType.Name name)
	{
		super(name);
		this.name = name;
	}
	
	@Override
	public Boolean isPreferred()
	{
		return name.isPreferred();
	}

	@Override
	public void setPreferred(Boolean value)
	{
		name.setPreferred(value);
	}

}
