package org.iso.mpeg.mxm.relTE.schemahandler.resource.principal;

import java.io.File;

import org.iso.mpeg.mxm.core.MXMAdapter;
import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.relTE.schema.SuperRelAbstractLevel1;
import org.iso.mpeg.mxm.relTE.schemahandler.resource.Resource;
import org.iso.mpeg.mxm.tEngine.relTE.exception.RELEngineException;

public class Principal extends Resource implements org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Principal
{
	private org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal principalType;
	
	public Principal()
	{
		this(new org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal());
	}
	
	public Principal(org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal principal)
	{
		super(principal);
		this.principalType = principal;
	}
	
	public boolean equals(org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Principal principal) throws MXMEngineException
	{
		return false;
	}
	
	// MXM CREATOR AND PARSER METHODS

	@Override
	public void createFile(File f) throws MXMException
	{
		new SuperRelAbstractLevel1(principalType).createFile(f);
	}

	@Override
	public MXMObject createObject(String objectType) throws MXMException
	{
		return new SuperRelAbstractLevel1(principalType).createObject(objectType);
	}

	@Override
	public MXMEngineResponse parse(MXMObject object) throws MXMEngineException
	{
		SuperRelAbstractLevel1 superAbstract = new SuperRelAbstractLevel1(principalType);

		MXMEngineResponse repsonse = superAbstract.parse(object);

		principalType = (org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal)
				superAbstract.createObject(org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal.class.getCanonicalName()).getContent();

		super.parse(new MXMAdapter(principalType));
		
		return repsonse;
	}

}
