package org.iso.mpeg.mxm.relTE.schemahandler.resource.principal;

import javax.xml.bind.JAXBElement;

import org.iso.mpeg.mxm.relTE.schemahandler.common.pattern.PrincipalPatternAbstract;
import org.iso.mpeg.mxm.relTE.schemahandler.common.property.PropertyURI;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.PropertyAbstract;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.TrustRoot;

public class PropertyPossessor extends PrincipalPatternAbstract implements org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.PropertyPossessor
{
	public PropertyPossessor()
	{
		this(new org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor());
	}
	
	public PropertyPossessor(org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor propertyPossessor)
	{
		super(propertyPossessor);
	}
	
	@Override
	public PropertyAbstract getPropertyAbstract()
	{
		try
		{
			org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyAbstract propertyAbstract = 
					((org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor) resourceType).getPropertyAbstract().getValue();
			
			if (propertyAbstract instanceof org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri)
			{
				return new PropertyURI((org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri)propertyAbstract);
			}
			else if (propertyAbstract instanceof org.iso.mpeg.mxm.engine.relTE.schema.relsx.EmailName)
			{
				// TODO
			}
			else if (propertyAbstract instanceof org.iso.mpeg.mxm.engine.relTE.schema.relsx.CommonName)
			{
				// TODO
			}
			else if (propertyAbstract instanceof org.iso.mpeg.mxm.engine.relTE.schema.relsx.DnsName)
			{
				// TODO
			}
			else if (propertyAbstract instanceof org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectName)
			{
				// TODO
			}
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
		return null;
	}

	@Override
	public void setPropertyAbstract(PropertyAbstract propertyAbstract)
	{
		try
		{
			((org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor) resourceType)
			.setPropertyAbstract((JAXBElement<? extends org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyAbstract>) 
				(propertyAbstract.createObject(JAXBElement.class.getCanonicalName()).getContent()));
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
	}

	@Override
	public TrustRoot getTrustRoot()
	{
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setTrustRoot(TrustRoot trustRoot)
	{
		// TODO Auto-generated method stub
		
	}

}
