/** ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla  Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and  limitations under the
 * License.
 *
 * The Original Code is the Chillout Project (http://chillout.dmpf.org)
 *
 * The Initial Developer of the Original Code is CEDEO.net
 * Portions created by the Initial Developer are Copyright (C) 2006-2008
 * All Rights Reserved.
 *
 * The Initial Developer: Filippo Chiariglione 
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */

package org.iso.mpeg.mxm.relTE.technologyhandler;

import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Condition;
import org.iso.mpeg.mxm.tEngine.relTE.technologyhandler.EvaluatedConditionResult;


public class EvaluatedCondition
{
	private EvaluatedConditionResult conditionType = EvaluatedConditionResult.UNDETERMINED;

	private Condition condition = null;
	
	private String displayString = null;

	public EvaluatedCondition(Condition condition)
	{
		this.condition = condition;
	}
	
	public Condition getCondition() 
	{
		return condition;
	}

	public EvaluatedConditionResult getConditionType() 
	{
		return conditionType;
	}

	public void setConditionType(EvaluatedConditionResult conditionType)
	{
		this.conditionType = conditionType;
	}

	public String getDisplayString() 
	{
		return displayString;
	}

	public void setDisplayString(String displayString) 
	{
		this.displayString = displayString;
	}

}
