package org.iso.mpeg.mxm.searchTE;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMAbstractEngine;
import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.tEngine.searchTE.SearchEngine;
import org.iso.mpeg.mxm.tEngine.searchTE.SearchEngineSchemaHandler;

public class SearchTE extends MXMAbstractEngine implements SearchEngine
{
	@Override
	public SearchEngineSchemaHandler getSearchEngineSchemaHandler()
			throws MXMEngineException
	{
		return new org.iso.mpeg.mxm.searchTE.SearchEngineSchemaHandler();
	}
	
	@Override
	public String getEngineName()
	{
		return MXMEngineName.SearchTE.name();
	}

	@Override
	public void setDependencies(List<MXMEngine> engines)
			throws MXMEngineException
	{
		
	}

}
