package org.iso.mpeg.mxm.searchTE.schemahandler.expression.boollean;

import java.util.ArrayList;
import java.util.List;

import org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.BooleanExpressionType;
import org.iso.mpeg.mxm.searchTE.schemahandler.QueryBySPARQL;
import org.iso.mpeg.mxm.searchTE.schemahandler.common.BooleanExpression;
import org.iso.mpeg.mxm.searchTE.schemahandler.expression.comparison.Equal;
import org.iso.mpeg.mxm.searchTE.schemahandler.expression.comparison.GreaterThan;
import org.iso.mpeg.mxm.searchTE.schemahandler.expression.comparison.LessThan;

public class OR extends BooleanExpression implements org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.OR
{
	// Constructors //

	public OR()
	{
		this(new org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR());
	}

	public OR(org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR or)
	{
		super(or);
	}

	// Getters //

	public List<org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.BooleanExpression> getConditionList()
	{
		List<org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.BooleanExpression> conditionList = 
				new ArrayList<org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.BooleanExpression>();

		org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR orType = (org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR) booleanExpressionType;

		for (BooleanExpressionType booleanExpression : orType.getCondition())
		{
			if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.AND)
			{
				AND and =  new AND((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.AND)booleanExpression);
				conditionList.add(and);
			}
			else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR)
			{
				OR and =  new OR((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR)booleanExpression);
				conditionList.add(and);
			}
			else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.Equal)
			{
				Equal equal =  new Equal((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.Equal)booleanExpression);
				conditionList.add(equal);
			}
			else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.GreaterThan)
			{
				GreaterThan greaterThanEqual =  new GreaterThan((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.GreaterThan)booleanExpression);
				conditionList.add(greaterThanEqual);
			}
			else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.LessThan)
			{
				LessThan lessThanEqual =  new LessThan((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.LessThan)booleanExpression);
				conditionList.add(lessThanEqual);
			}
			//				else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.QueryByDescription)
			//				{
			//					QueryByDescription queryByDescription =  new QueryByDescription((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.QueryByDescription)booleanExpression);
			//					conditionList.add(queryByDescription);
			//				}
			else if (booleanExpression instanceof org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.QueryBySPARQL)
			{
				QueryBySPARQL queryBySPARQL =  new QueryBySPARQL((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.QueryBySPARQL)booleanExpression);
				conditionList.add(queryBySPARQL);
			}
		}

		return conditionList;
	}

	// Setters //

	public void addCondition(org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf.BooleanExpression booleanExpression)
	{
		org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR orType = (org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR) booleanExpressionType;

		try
		{
			orType.getCondition().add((BooleanExpressionType)booleanExpression.createObject(BooleanExpressionType.class.getCanonicalName()).getContent());
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	@Override
	public String getScoringFunction()
	{
		return ((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR) booleanExpressionType).getScoringFunction();
	}

	@Override
	public void setScoringFunction(String string)
	{
		((org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.OR) booleanExpressionType).setScoringFunction(string);
	}
}
