package org.iso.mpeg.mxm.securityTE.technologyhandler;


import java.io.IOException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.spec.InvalidKeySpecException;

import javax.xml.datatype.XMLGregorianCalendar;

import org.iso.mpeg.mxm.tEngine.securityTE.exceptions.SecurityEngineException;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.RSAKeyValue;


public class FileAndObjectHandler implements
    org.iso.mpeg.mxm.tEngine.securityTE.technologyhandler.FileAndObjectHandler
{
    @Override
    public Object blobToObject(final byte[] blob) throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .blobToObject(blob);
    }

    @Override
    public void deleteFile(final String filePath) throws SecurityEngineException
    {
        org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .deleteFile(filePath);
    }

    @Override
    public XMLGregorianCalendar getCurrentInstant()
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .getCurrentInstant();
    }

    @Override
    public String getString(final Key key) throws IOException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .getString(key);
    }

    @Override
    public byte[] objectToBlob(final Object object) throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .objectToBlob(object);
    }

    @Override
    public PrivateKey privateKeyAdapter(final RSAKeyValue privateKey)
        throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .privateKeyAdapter(privateKey);
    }

    @Override
    public PublicKey publicKeyAdapter(final RSAKeyValue publicKey)
        throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .publicKeyAdapter(publicKey);
    }

    @Override
    public byte[] readBytesFromFile(final String filePath) throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .readBytesFromFile(filePath);
    }

    @Override
    public Object readObjectFromFile(final String filePath)
        throws SecurityEngineException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .readObjectFromFile(filePath);
    }

    @Override
    public PublicKey toPublicKey(final String string, final String algorithmForKey)
        throws IOException,NoSuchAlgorithmException,InvalidKeySpecException
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .toPublicKey(string, algorithmForKey);
    }

    @Override
    public XMLGregorianCalendar toXMLGregorianCalendar(final long timeInMilliSecond)
    {
        return org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .toXMLGregorianCalendar(timeInMilliSecond);
    }

    @Override
    public void writeBytesToFile(final byte[] data, final String filePath)
        throws SecurityEngineException
    {
        org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .writeBytesToFile(data, filePath);
    }

    @Override
    public void writeObjectToFile(final String filePath, final Object object)
        throws SecurityEngineException
    {
        org.iso.mpeg.mxm.securityTE.technologyhandler.util.FileAndObjectHandler
            .writeObjectToFile(filePath, object);
    }
}
