package org.iso.mpeg.mxm.securityTE.technologyhandler.obj;


import java.io.Serializable;
import java.security.KeyPair;
import java.util.HashMap;


public class KeyStoreDataObject implements Serializable
{
    /**
     * 
     */
    private static final long serialVersionUID = -6605803805689418339L;
    private HashMap<String, KeyPair> authKeyPairMap = new HashMap<String, KeyPair>();
    private HashMap<String, KeyPair> confKeyPairMap = new HashMap<String, KeyPair>();
    private HashMap<String, KeyPair> sigKeyPairMap  = new HashMap<String, KeyPair>();

    public void setAuthKeyPair(String appAlias, KeyPair keyPair)
    {
        authKeyPairMap.put(appAlias, keyPair);
    }

    public void setConfKeyPair(String appAlias, KeyPair keyPair)
    {
        confKeyPairMap.put(appAlias, keyPair);
    }

    public void setSigKeyPair(String appAlias, KeyPair keyPair)
    {
        sigKeyPairMap.put(appAlias, keyPair);
    }

    public KeyPair getAuthKeyPair(String appAlias)
    {
        return authKeyPairMap.get(appAlias);
    }

    public KeyPair getConfKeyPair(String appAlias)
    {
        return confKeyPairMap.get(appAlias);
    }

    public KeyPair getSigKeyPair(String appAlias)
    {
        return sigKeyPairMap.get(appAlias);
    }
}
