package eu.convergence.middleware.apps.OverlayHandler;

import eu.convergence.middleware.engine.matchTE.exception.MatchEngineException;
import eu.convergence.middleware.engine.overlayTE.exceptions.OverlayEngineException;
import eu.convergence.middleware.orchestratorTE.ConvergenceOrchestratorTE;
import eu.convergence.middleware.orchestratorTE.build.OverlayEngineOrchestrator;
import eu.convergence.middleware.orchestratorTE.handle.EREngineOrchestrator;
import eu.convergence.middleware.orchestratorTE.handle.MatchEngineOrchestrator;
import eu.convergence.middleware.orchestratorTE.schedule.TimerOrchestrator;
import eu.convergence.middleware.tools.monitoring.MonitorPeerRegistrations;
import eu.convergence.middleware.tools.monitoring.MonitorPeerToFractalRegistrations;
import eu.convergence.middleware.tools.monitoring.MonitorVDIArrivals;
import eu.convergence.middleware.tools.monitoring.MonitorVDIMatches;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class DaemonStarter 
{
	public static void main(String args[])
	{
		try {
//            OverlayEngineOrchestrator overlayEngineOrchestrator = ConvergenceOrchestratorTE.dealWithOverlayEngine();
//            MatchEngineOrchestrator matchEngineOrchestrator = ConvergenceOrchestratorTE.dealWithMatchEngine();
//            EREngineOrchestrator erEngineOrchestrator = ConvergenceOrchestratorTE.dealWithEREngine();
//            erEngineOrchestrator.bootEREngine();

            // start the event monitors
            String monitoringAppURL = "http://147.102.9.6:8080/ConvergenceMonitoringApp";
            MonitorPeerRegistrations monitorPeerRegistrations = new MonitorPeerRegistrations(monitoringAppURL);
            MonitorPeerToFractalRegistrations monitorPeerToFractalRegistrations = new MonitorPeerToFractalRegistrations(monitoringAppURL);
            MonitorVDIArrivals monitorVDIArrivals = new MonitorVDIArrivals(monitoringAppURL);
            MonitorVDIMatches monitorVDIMatches = new MonitorVDIMatches(monitoringAppURL);

//            ConvergenceOrchestratorTE.dealWithOverlayEngine().bootOverlayEngine();
//            TimerOrchestrator gossipTimer = ConvergenceOrchestratorTE.dealWithTimer(OrchestratorTasks.GossipTask);
//            gossipTimer.startTaskExecution(10000);
//            TimerOrchestrator registryTimer = ConvergenceOrchestratorTE.dealWithTimer(OrchestratorTasks.RegistryAdvertisementTask);
//            registryTimer.startTaskExecution(30000);

            ServerSocket serverSocket = new ServerSocket(65000);
            while (true)
            {
                Socket socket = serverSocket.accept();

//                DaemonMessageHandler daemonMessageHandler = new DaemonMessageHandler(socket, gossipTimer, registryTimer);
//                Thread thread = new Thread(daemonMessageHandler);
//                thread.start();
            }
//		} catch (ClassNotFoundException e) {
//            e.printStackTrace();
//        } catch (InstantiationException e) {
//            e.printStackTrace();
//        } catch (IllegalAccessException e) {
//            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
//        } catch (OverlayEngineException e) {
//            e.printStackTrace();
//        } catch (MatchEngineException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
		}
    }
}
