package eu.convergence.middleware.engine.ConetTe.services;

public class NID {

	private String nid;
	private String principal;
	private String label;
	
	/**
	 *  
	 *	@edit by Valerio Marcellino, NID constructor has been set to public, 
	 *	due to implementation of testing class and methods
	 */
	public NID (String nidString) {
		nid = nidString;
		
		int endOfPrincipal = nid.indexOf("/");
		if (endOfPrincipal == -1) {
			principal = nid;
			label = null;
		} else {
			principal = nid.substring(0,endOfPrincipal);
			label = nid.substring(endOfPrincipal+1);
		}
		
	};

	public NID (String principal, String label) {
		this.principal = principal;
		this.label = label;
		nid = principal + "/" + label;
	}
	
	public String getPrincipal() {
		return principal;
	}

	public String getLabel() {
		return label;
	}

	
	public String toString() { return nid;};
	
}
