package eu.convergence.middleware.engine.ConetTe.services;

import eu.convergence.middleware.engine.ConetTe.services.LID;

public interface SAPListener {
	
	/**
	 * this is a callBack to a SAPListener, invoked when unNamedData 
	 * are received<BR>
	 * it delivers the received data as a byte array
	 * @param lid it indicates the path towards the sender entity, it can be
	 * used to send back information to the sender entity
	 * NB FOR THE TIME BEING A NULL LID WILL BE PROVIDED
	 * @param unNamedData
	 */
	public void indication (LID lid, byte [] unNamedData) ;

	/**
	 * this is a callBack to a SAPListener, invoked when unNamedData 
	 * are received
	 * it delivers the received data as a String
	 * @param lid it indicates the path towards the sender entity, it can be
	 * used to send back information to the sender entity
	 * NB FOR THE TIME BEING A NULL LID WILL BE PROVIDED
	 * @param unNamedDataAsString
	 */
	public void indication (LID lid, String unNamedDataAsString) ;

}
