package eu.convergence.middleware.engine.metadataTE.technologyhandler;

import java.io.File;
import java.util.List;

import org.w3c.dom.Node;

import com.hp.hpl.jena.rdf.model.Statement;

public interface RdfMetadataParser extends MetadataParser
{
	public void addRDFTriple(String subject, String predicate, String object);
	
	public void addRDFLiteralTriple(String subject, String predicate, Object value);
	
	public Node writeModel();
	
	public boolean parseRDF(File rdfFile, String baseURI);
	
	public List<Statement> listStatements();
}
