package eu.convergence.middleware.event;

import org.iso.mpeg.mxm.core.event.management.MXMEvent;

/**
 * Created by IntelliJ IDEA.
 * User: aca
 * Date: 9/3/11
 * Time: 12:09 PM
 */
public class PeerToFractalRegistrationEvent extends MXMEvent
{
    private String overlayPeerId;
    private String ontologyURI;
    private String fractalName;

    public PeerToFractalRegistrationEvent(String overlayPeerId, String ontologyURI, String fractalName, Object source)
    {
        super(source);

        this.fractalName = fractalName;
        this.ontologyURI = ontologyURI;
        this.overlayPeerId = overlayPeerId;
    }

    public String getOverlayPeerId()
    {
        return overlayPeerId;
    }

    public String getOntologyURI()
    {
        return ontologyURI;
    }

    public String getFractalName()
    {
        return fractalName;
    }
}
