package eu.convergence.middleware.event;

import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.event.management.MXMEvent;

/**
 * Created by IntelliJ IDEA.
 * User: aca
 * Date: 8/26/11
 * Time: 12:08 PM
 */
public class VDIArrivalEvent extends MXMEvent
{
    private MXMObject vdiPayload;
    private short vdiType;
    private String[] fractalName;

    public static short PUBLICATION_VDI = 0;
    public static short SUBSCRIPTION_VDI = 1;
//    public static short REGISTRATION_MSG = 2;
    public static short REVOCATION_VDI = 2;

    public VDIArrivalEvent(MXMObject vdiPayload, short vdiType, Object source)
    {
        super(source);
        this.vdiPayload = vdiPayload;
        this.vdiType = vdiType;
    }

    public VDIArrivalEvent(Object source, MXMObject vdiPayload, short vdiType, String... fractalName)
    {
        super(source);
        this.vdiPayload = vdiPayload;
        this.vdiType = vdiType;
        this.fractalName = fractalName;
    }

    public MXMObject getVdiPayload()
    {
        return vdiPayload;
    }

    public short getVdiType()
    {
        return vdiType;
    }

    public String[] getFractalName()
    {
        return fractalName;
    }
}
