package eu.convergence.middleware.engine.metadataTE.schema.convmeta;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the conv.metadata.schema._2011 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FractalAlgebra_QNAME = new QName("urn:conv:metadata:schema:2011", "FractalAlgebra");
    private final static QName _ResourceMetadata_QNAME = new QName("urn:conv:metadata:schema:2011", "ResourceMetadata");
    private final static QName _Dimension_QNAME = new QName("urn:conv:metadata:schema:2011", "Dimension");
    private final static QName _SubscriptionMetadata_QNAME = new QName("urn:conv:metadata:schema:2011", "SubscriptionMetadata");
    private final static QName _ConvergenceMetadata_QNAME = new QName("urn:conv:metadata:schema:2011", "ConvergenceMetadata");
    private final static QName _PublicationMetadata_QNAME = new QName("urn:conv:metadata:schema:2011", "PublicationMetadata");
    private final static QName _FieldValue_QNAME = new QName("urn:conv:metadata:schema:2011", "FieldValue");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: conv.metadata.schema._2011
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DimensionType }
     * 
     */
    public DimensionType createDimensionType() {
        return new DimensionType();
    }

    /**
     * Create an instance of {@link ConvergenceMetadataType }
     * 
     */
    public ConvergenceMetadataType createConvergenceMetadataType() {
        return new ConvergenceMetadataType();
    }

    /**
     * Create an instance of {@link ResourceMetadataType }
     * 
     */
    public ResourceMetadataType createResourceMetadataType() {
        return new ResourceMetadataType();
    }

    /**
     * Create an instance of {@link SubscriptionMetadataType }
     * 
     */
    public SubscriptionMetadataType createSubscriptionMetadataType() {
        return new SubscriptionMetadataType();
    }

    /**
     * Create an instance of {@link PublicationMetadataType }
     * 
     */
    public PublicationMetadataType createPublicationMetadataType() {
        return new PublicationMetadataType();
    }

    /**
     * Create an instance of {@link FractalAlgebraType }
     * 
     */
    public FractalAlgebraType createFractalAlgebraType() {
        return new FractalAlgebraType();
    }

    /**
     * Create an instance of {@link FieldValueType }
     * 
     */
    public FieldValueType createFieldValueType() {
        return new FieldValueType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FractalAlgebraType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "FractalAlgebra")
    public JAXBElement<FractalAlgebraType> createFractalAlgebra(FractalAlgebraType value) {
        return new JAXBElement<FractalAlgebraType>(_FractalAlgebra_QNAME, FractalAlgebraType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceMetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "ResourceMetadata")
    public JAXBElement<ResourceMetadataType> createResourceMetadata(ResourceMetadataType value) {
        return new JAXBElement<ResourceMetadataType>(_ResourceMetadata_QNAME, ResourceMetadataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DimensionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "Dimension")
    public JAXBElement<DimensionType> createDimension(DimensionType value) {
        return new JAXBElement<DimensionType>(_Dimension_QNAME, DimensionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubscriptionMetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "SubscriptionMetadata")
    public JAXBElement<SubscriptionMetadataType> createSubscriptionMetadata(SubscriptionMetadataType value) {
        return new JAXBElement<SubscriptionMetadataType>(_SubscriptionMetadata_QNAME, SubscriptionMetadataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConvergenceMetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "ConvergenceMetadata")
    public JAXBElement<ConvergenceMetadataType> createConvergenceMetadata(ConvergenceMetadataType value) {
        return new JAXBElement<ConvergenceMetadataType>(_ConvergenceMetadata_QNAME, ConvergenceMetadataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PublicationMetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "PublicationMetadata")
    public JAXBElement<PublicationMetadataType> createPublicationMetadata(PublicationMetadataType value) {
        return new JAXBElement<PublicationMetadataType>(_PublicationMetadata_QNAME, PublicationMetadataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FieldValueType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:conv:metadata:schema:2011", name = "FieldValue")
    public JAXBElement<FieldValueType> createFieldValue(FieldValueType value) {
        return new JAXBElement<FieldValueType>(_FieldValue_QNAME, FieldValueType.class, null, value);
    }

}
