/*
SMILE: a Simple Middleware Independent LayEr 
Author: Giovanni Bartolomeo

Copyright (C) 2007  University of Rome Tor Vergata - Dipartimento di Ingegneria Elettronica


This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package it.uniroma2.smile.core;

/**
 *
 * @author Giovanni
 */
public class DescriptorFilter {    
	protected String type;
	protected String operation;
	protected String matchingPID;

	public DescriptorFilter(){         
	}

	//a filter for service descriptor
	public DescriptorFilter(String type,String operation, String matchingPID) {
		this.type=type;
		this.operation=operation;
		this.matchingPID=matchingPID;
	}    
	public void setType(String type) {
		this.type=type;
	}

	public void setOperation(String operation){
		this.operation=operation;
	}

	public void setMatchingPID(String matchingPID){
		this.matchingPID = matchingPID;
	}

	public String getType() {
		return type;
	}

	public String getOperation() {
		return operation;
	} 

	public String getMatchingPID() {
		return matchingPID;
	}

	public boolean equals(Object obj) {
		if (obj instanceof DescriptorFilter) {
			return ((DescriptorFilter)obj).getOperation().equals(operation)&&((DescriptorFilter)obj).getType().equals(type)&&((DescriptorFilter)obj).getMatchingPID().equals(matchingPID);
		}    
		return false;
	}

	public int hashCode() {
		return toString().hashCode();
	}

	public String toString() {
		return "DescriptorFilter("+type+','+operation+')';
	}
}
