/*
 * MOVE application (Mobile Open & Very Easy)
 *
 * Department of Electronic Engineering - University of Rome "Tor Vergata"
 * Simple Mobile Services project (http://www.ist-sms.org/)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read LICENSE in the root of this distribution.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License
 * along with MjSip; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * As per the GPL, removal of this notice is prohibited.
 */


package it.uniroma2.smile.sipbinding.fragmentation;

import it.uniroma2.smile.sipbinding.sipmessage.MessageEnvelope;
import org.zoolu.sip.address.NameAddress;


public interface DefragmenterListener {

    public void onDefragmentedMessage(Defragmenter fragmenter, NameAddress remote_user, MessageEnvelope message);
    public void onDefragmentationTimeout(Defragmenter fragmenter, NameAddress remote_user);

}