package eu.convergence.middleware.matchTE;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

import eu.convergence.middleware.core.ConvergenceEngineName;
import eu.convergence.middleware.engine.matchTE.MatchEngine;

public class MatchTE extends org.iso.mpeg.mxm.core.MXMAbstractEngine implements MatchEngine
{
	protected RepositoryManager repositoryManager;
	protected PublicationManager publicationManager;
	protected SubscriptionManager subscriptionManager;
	
	public MatchTE()
	{
		repositoryManager = new RepositoryManager();
		publicationManager = new PublicationManager(repositoryManager);
		subscriptionManager = new SubscriptionManager(repositoryManager);
	}
	
	public String getEngineName()
	{
		return ConvergenceEngineName.MatchTE.toString();
	}
	
	public PublicationManager getPublicationManager()
	{
		return publicationManager;
	}

	public SubscriptionManager getSubscriptionManager()
	{
		return subscriptionManager;
	}
	
	@Override
	public RepositoryManager getRepositoryManager()
	{
		return repositoryManager;
	}

	@Override
	public void setDependencies(List<MXMEngine> engines)
			throws MXMEngineException
	{
		
	}

}
