package eu.convergence.middleware.mpqfTE;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.searchTE.SearchTE;

import eu.convergence.middleware.core.ConvergenceEngineName;
import eu.convergence.middleware.engine.mpqfTE.MpqfEngine;
import eu.convergence.middleware.engine.mpqfTE.MpqfEngineTechnologyHandler;

public class MpqfTE extends SearchTE implements MpqfEngine
{
	@Override
	public MpqfEngineTechnologyHandler getMpqfTechnologyHandler()
	{
		return new MpqfTechnologyHandler(this);
	}
	
	public String getEngineName()
	{
		return ConvergenceEngineName.MpqfTE.toString();
	}
	
	@Override
	public void setDependencies(List<MXMEngine> engines)
			throws MXMEngineException
	{
		super.setDependencies(engines);
	}
	
}
