package eu.convergence.middleware.orchestratorTE.schedule;

import java.util.Timer;
import java.util.TimerTask;

/**
 * Created by IntelliJ IDEA.
 * User: aca
 * Date: 7/26/11
 * Time: 1:42 PM
 * To change this template use File | Settings | File Templates.
 */
public class TimerOrchestrator extends Timer
{
    private Class<TimerTask> toExecute;

    public TimerOrchestrator(Class<TimerTask> toExecute)
    {
        this.toExecute = toExecute;
    }

    public void startTaskExecution(long interval) throws IllegalAccessException, InstantiationException {
        super.schedule(toExecute.newInstance(), 0, interval);
    }
}
