package eu.convergence.middleware.overlayTE.message;

import org.iso.mpeg.mxm.core.MXMAdapter;
import org.iso.mpeg.mxm.core.MXMObject;
import eu.convergence.middleware.engine.overlayTE.MessageParser;
import eu.convergence.middleware.overlayTE.schema.gorestMessage.GorestMessageType;

public class OverlayMessageParser implements MessageParser 
{
	@Override
	public MXMObject getMessageHeader(MXMObject message) 
	{
		GorestMessageType gorestMessage = (GorestMessageType)message;
		return new MXMAdapter(gorestMessage.getHeader());
	}

	@Override
	public MXMObject getMessagePayload(MXMObject message) {
		GorestMessageType gorestMessage = (GorestMessageType)message;
		return new MXMAdapter(gorestMessage.getPayload());
	}

}
