package eu.convergence.middleware.overlayTE.service.conet;

import eu.convergence.middleware.engine.ConetTe.services.LID;
import eu.convergence.middleware.engine.ConetTe.services.SAPListener;
import eu.convergence.middleware.overlayTE.OverlayManager;
import eu.convergence.middleware.overlayTE.message.conet.OverlayPropagationMessageConsumer;

/**
 * Created by IntelliJ IDEA.
 * User: aca
 * Date: 8/24/11
 * Time: 9:04 PM
 */
public class OverlayService implements SAPListener
{
    @Override
    public void indication(LID lid, byte[] unNamedData)
    {
        handleRequest(new String(unNamedData));
    }

    @Override
    public void indication(LID lid, String unNamedDataAsString)
    {
        handleRequest(unNamedDataAsString);
    }

    private void handleRequest(String receivedContent)
    {
        OverlayPropagationMessageConsumer overlayPropagationMessageConsumer = new OverlayPropagationMessageConsumer(receivedContent, OverlayManager.getInstance().getPeerId());
        Thread thread = new Thread(overlayPropagationMessageConsumer);
        thread.start();
    }
}
