package convergence_revoke.mpeg21;


import java.io.File;

import org.apache.commons.io.FileUtils;
import org.apache.log4j.Logger;
//import org.dmp.chillout.mxm.mpeg21fileengine.MPEG21FileEngine;
import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.apache.log4j.Logger;

import convergence_pkgcontent.methods.pkgcontent;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Assert;




/**
 * Unit test for simple App.
 */
public class packageContentPETest 
    extends TestCase
{
	private Logger logger = Logger.getLogger(packageContentPETest.class);
	
	private final String OUTPUT_DCF_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "testDCF.mp21";
	private final String OUTPUT_DCI_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "testDCI.xml";
	private final String OUTPUT_MEDIA_RESOURCE_FILE_NAME = System.getProperty("java.io.tmpdir") + File.separator + "chillout_small.jpg";
	
	private final String TEMP_FOLDER = System.getProperty("java.io.tmpdir");
	private final String OUTPUT_MXM_FILE_NAME = TEMP_FOLDER + "MXMConfiguration.xml";

	private final String SOURCE_DCI_FILE_NAME = TEMP_FOLDER + "testDCI.xml";
	private final String SOURCE_MEDIA_RESOURCE_FILE_NAME = "chillout_small.jpg";
	private final String MEDIA_RESOURCE_ITEM_ID = "B1";
	
	
    /**
     * Create the test case
     *
     * @param testName name of the test case
     */
    public packageContentPETest( String testName )
    {
        super( testName );
    }

    /**
     * @return the suite of tests being tested
     */
    public static Test suite()
    {
        return new TestSuite( packageContentPETest.class );
    }

    /**
     * Test communications among classes
     */
    /*
    public void testApp()
    {
        assertTrue( true );
        System.out.println( "Hello World Test!" );
        App application = new App();
        application.escreve();
    }
    */
    
    
    //Test of the package content methods
    public void testPackageContentMethods() throws Exception {
		logger.info("\n\n---------- testPackageContentMethods ----------");
		
		/*		
		File f = new File(getClass().getClassLoader().getResource("MXMConfiguration.xml").getFile());
		logger.info("\n\n---------- test1 ----------");
		*/
		
		
		String dciFilePathName = SOURCE_DCI_FILE_NAME;
		String vdiID = "001";
		
		logger.info("\n\n---------- Calling Package Methods ----------");
		pkgcontent pkg = new pkgcontent();
		
		if (pkg.packageContentProcess(dciFilePathName)==true)
			logger.info("\n\n---------- Package content succeeded ----------");
		else 
			logger.info("\n\n---------- Package content failed ----------");
	
	}
	
}
