package eu.convergence.middleware.vdiTE;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.digitalitemTE.DigitalitemTE;

import eu.convergence.middleware.engine.vdiTE.VdiEngine;


public class VDITE extends DigitalitemTE implements VdiEngine
{
	@Override
	public eu.convergence.middleware.engine.vdiTE.VDIEngineSchemaHandler getVDIEngineSchemaHandler()
			throws MXMEngineException
	{
		return new VDIEngineSchemaHandler(engines);
	}

	@Override
	public String getEngineName()
	{
		return MXMEngineName.DigitalItemTE.value();
	}

	@Override
	public void setDependencies(List<MXMEngine> engines)
			throws MXMEngineException
	{
		super.setDependencies(engines);
	}

}