/*
 * Copyright (c) 2011 Safran Morpho.
 * This software is the confidential and proprietary
 * information of Safran Morpho.
 * All rights reserved.
 *
 * Safran Morpho makes no representations or
 * warranties about the suitability of the software, either
 * express or implied, including but not limited to the implied
 * warranties of merchantability, fitness for a particular
 * purpose, or non-infringement.
 * Safran Morpho shall not be liable for any damages
 * suffered by licensee as a result of using, modifying or
 * distributing this software or its derivatives.
 *
 * This copyright notice must appear in all copies of this
 * software.
 *
 * $File: //ResearchProjects/Convergence/implementation/main/SecurityLib/src/morpho/util/Generator.java $
 * 
 * Last submit:
 *  $Revision: #1 $
 *  $Change: 365542 $
 *  $DateTime: 2012/05/31 20:23:21 $
 *  $Author: akohlos $
 *
 * 
 * Created on 25.10.2011
 *
 */
package morpho.util;


import java.util.Random;


public class Generator
{
    // TODO fill in java doc here
    /**
     * @param length
     * @return
     */
    public static String createRandomHexString(final int length)
    {
        final Random random = new Random();
        final byte[] temp = new byte[length];
        final StringBuilder sb = new StringBuilder();
        random.nextBytes(temp);
        while (sb.length() < length)
        {
            sb.append(Converter.toHex(temp));
        }
        return sb.toString();
    }
}
