package org.iso.mpeg.mxm.pEngine.basePE.schemahandler;

public enum BasicSuccessCode
{
	OK("OK"),
    CREATED("CREATED"),
    ACCEPTED("ACCEPTED"),
    NON_AUTHORITATIVE_CONTENT("NON-AUTHORITATIVE_CONTENT"),
    NO_CONTENT("NO_CONTENT");
	
	private final String value;

    BasicSuccessCode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BasicSuccessCode fromValue(String v) {
        for (BasicSuccessCode c: BasicSuccessCode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
}