package org.iso.mpeg.mxm.pEngine.createlicensePE.schemahandler;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.UniqueID;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.ForAll;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Issuer;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Principal;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.Resource;

import java.util.List;

public interface CustomLicense extends MXMCreatorAndParser
{
	public UniqueID getLicenseIdentifier() throws MXMEngineException;

	public void setResource(Resource resource) throws MXMException;

	public Issuer getIssuer() throws MXMEngineException;

	public ForAll getForAll() throws MXMEngineException;

	public Principal getPrincipal() throws MXMEngineException;

	public void setPrincipal(Principal principal) throws MXMException;

	public void setIssuer(Issuer issuer) throws MXMException;

	public void setLicenseIdentifier(UniqueID uniqueID) throws MXMException;

	public void setForAll(ForAll forAll) throws MXMException;

	public List<RightGroup> getRightGroup() throws MXMEngineException;
	
	public void addRightGroup(RightGroup rightGroup) throws MXMException;

	public Resource getResource() throws MXMEngineException;
}