package org.iso.mpeg.mxm.pEngine.identifydevicePE.schemahandler;

import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.pEngine.basePE.schemahandler.ProtocolRequest;
import org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.mpeg4ipmp.TerminalID;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.KeyInfo;


public interface IdentifyDeviceRequest extends ProtocolRequest
{
	public KeyInfo getDeviceKey() throws MXMEngineException;

	public void setDeviceKey(KeyInfo keyInfo) throws MXMException;

	public TerminalID getTerminalID() throws MXMEngineException;

	public void setTerminalID(TerminalID terminalID) throws MXMException;
}