package org.iso.mpeg.mxm.pEngine.unpublishcontentPE.schemahandler;

import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.pEngine.unpublishcontentPE.exceptions.UnpublishContentEngineException;

/**
 * @author Angelo Difino
 *
 */
public abstract class UnpublishContentSchemaHandler 
{
	public abstract UnpublishContentRequest getUnpublishContentRequest() throws UnpublishContentEngineException, MXMEngineException;
	
	public abstract UnpublishContentResponse getUnpublishContentResponse() throws UnpublishContentEngineException, MXMEngineException;
	
	public abstract UnpublishContentSuccess getUnpublishContentSuccess() throws UnpublishContentEngineException, MXMEngineException;

}
