package org.iso.mpeg.mxm.tEngine.contractTE.schemahandler.cel;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;

public interface DeonticStructuredClause extends MXMCreatorAndParser
{
	public void setId(String string);

	public Subject getSubject();

	public void setSubject(Subject subject);

	public Issuer getIssuer();

	public Metadata getMetadata();

	public void setMetadata(Metadata metadata);

	public Deontic getDeontic();

	public void setDeontic(Deontic deontic);

	public List<Object> getIdrefs();

	public void setContext(Object object);

	public List<PreCondition> getPreCondition();

	public Act getAct();

	public void setAct(Act act);

	public Item getResultantObject();

	public void setResultantObject(Item item);

	public Constraint getConstraint();

	public void setConstraint(Constraint constraint);

	public PostCondition getPostCondition();

	public void setPostCondition(PostCondition postCondition);

	public void setIssuer(Issuer issuer);

	public EncryptedClause getEncryptedClause();

	public void setEncryptedClause(EncryptedClause encryptedClause);

	public void setNumber(String string);

	public List<Object> getObject();

	public Object getContext();

	public String getId();

	public String getNumber();
}