package org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.ipmpinfo;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature;

import java.util.List;

public interface IPMPGeneralInfoDescriptor extends MXMCreatorAndParser
{
	public void setSignature(Signature signature);

	public ToolList getToolList();

	public void setToolList(ToolList toolList);

	public LicenseCollection getLicenseCollection() throws MXMEngineException;

	public void setLicenseCollection(LicenseCollection licenseCollection) throws MXMException;

	public Signature getSignature();
	
	//shortcut
//	public List<org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.License> getLicense() throws MXMEngineException;
//	public void setLicense(org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.License l) throws MXMException;

}