package org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.ipmpinfo;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

public interface RightsDescriptor extends MXMCreatorAndParser
{
	public License getLicense() throws MXMEngineException;

	public void setLicense(License license) throws MXMException;

	public IPMPInfoDescriptor getIPMPInfoDescriptor();

	public void setIPMPInfoDescriptor(IPMPInfoDescriptor iPMPInfoDescriptor);

	public LicenseReference getLicenseReference();

	public void setLicenseReference(LicenseReference licenseReference);

	public LicenseService getLicenseService();

	public void setLicenseService(LicenseService licenseService);
}