package org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.ipmpinfo;

import java.math.BigInteger;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature;

public interface Tool extends MXMCreatorAndParser
{
	public BigInteger getOrder();

	public void setOrder(BigInteger bigInteger);

	public void setSignature(Signature signature);

	public RightsDescriptor getRightsDescriptor();

	public void setRightsDescriptor(RightsDescriptor rightsDescriptor);

	public ToolBaseDescription getToolBaseDescription();

	public void setToolBaseDescription(ToolBaseDescription toolBaseDescription);

	public ToolRef getToolRef();

	public void setToolRef(ToolRef toolRef);

	public InitializationSettings getInitializationSettings();

	public void setInitializationSettings(InitializationSettings initializationSettings);

	public Signature getSignature();
}