package org.iso.mpeg.mxm.tEngine.ipmpTE.schemahandler.ipmpinfo;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature;

public interface ToolDescription extends MXMCreatorAndParser
{
	public void setSignature(Signature signature);

	public RightsDescriptor getRightsDescriptor();

	public String getIPMPToolID();

	public void setIPMPToolID(String string);

	public MemberOf getMemberOf();

	public void setMemberOf(MemberOf memberOf);

	public Inline getInline();

	public void setInline(Inline inline);

	public Remote getRemote();

	public void setRemote(Remote remote);

	public ConfigurationSettings getConfigurationSettings();

	public void setConfigurationSettings(ConfigurationSettings configurationSettings);

	public void setRightsDescriptor(RightsDescriptor rightsDescriptor);

	public String getLocalID();

	public void setLocalID(String string);

	public Signature getSignature();
}