package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;


public interface AudioSignalQuality extends AudioDS
{
	public Person getOperator();

	public Bandwidth getBandwidth();

	public void setBandwidth(Bandwidth bandwidth);

	public void setOperator(Person person);

	public CreationTool getUsedTool();

	public void setUsedTool(CreationTool creationTool);

	public BackgroundNoiseLevel getBackgroundNoiseLevel();

	public void setBackgroundNoiseLevel(BackgroundNoiseLevel backgroundNoiseLevel);

	public RelativeDelay getRelativeDelay();

	public void setRelativeDelay(RelativeDelay relativeDelay);

	public Balance getBalance();

	public void setBalance(Balance balance);

	public DcOffset getDcOffset();

	public void setDcOffset(DcOffset dcOffset);

	public CrossChannelCorrelation getCrossChannelCorrelation();

	public void setCrossChannelCorrelation(CrossChannelCorrelation crossChannelCorrelation);

	public TransmissionTechnology getTransmissionTechnology();

	public void setTransmissionTechnology(TransmissionTechnology transmissionTechnology);

	public AudioSignalQualityErrorEventList getErrorEventList();

	public void setErrorEventList(AudioSignalQualityErrorEventList errorEventList);

	public Boolean isIsOriginalMono();

	public void setIsOriginalMono(Boolean value);

	public Boolean isBroadcastReady();

	public void setBroadcastReady(Boolean value);
}