package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMException;

public interface Creation extends DS
{
	public List<Creator> getCreator();
	
	public void addCreator(Creator creator);

	public TitleMedia getTitleMedia();

	public void setTitleMedia(TitleMedia titleMedia);

	public List<TextAnnotation> getAbstract();

	public List<CreationCreationCoordinates> getCreationCoordinates();

	public List<CreationTool> getCreationTool();

	public List<Textual> getCopyrightString();

	public List<Title> getTitle();
	
	//SHORTCUT
	public void addTitle(Title t) throws MXMException;

	public void addAbstract(TextAnnotation t) throws MXMException;
}