package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface MediaReviewDescription extends ContentManagement
{
	public Reference getContentRef();

	public List<MediaQuality> getQualityRating();

	public void setContentRef(Reference reference);

	public KeywordAnnotation getTags();

	public void setTags(KeywordAnnotation keywordAnnotation);

	public List<Textual> getFreeTextReview();

	public List<Rating> getMediaRating();

	public Rating getIdentityRating();

	public void setIdentityRating(Rating rating);

	public String getReviewTime();

	public void setReviewTime(String string);
}