package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;


public interface Mpeg7 extends MXMCreatorAndParser
{
	public Mpeg7Base getDescriptionUnit();

	public void setDescriptionUnit(Mpeg7Base mpeg7Base);

	public List<CompleteDescription> getDescription();

	public DescriptionProfile getDescriptionProfile();

	public void setDescriptionProfile(DescriptionProfile value);

	public DescriptionMetadata getDescriptionMetadata();

	public void setDescriptionMetadata(DescriptionMetadata value);

	public String getMediaTimeBase();

	public void setMediaTimeBase(String value);

	public String getMediaTimeUnit();

	public void setMediaTimeUnit(String value);

	public String getTimeBase();

	public void setTimeBase(String value);

	public String getTimeUnit();

	public void setTimeUnit(String value);

	//SHORTCUT
	public void addDescription(CreationDescription cd) throws MXMException;
}