package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

public interface RecordingRequest extends MXMCreatorAndParser
{
	public Textual getDisseminationSource();

	public UniqueID getContentIdentifier();

	public void setContentIdentifier(UniqueID uniqueID);

	public void setDisseminationSource(Textual textual);

	public RecordingRequestRecordingPeriod getRecordingPeriod();

	public void setRecordingPeriod(RecordingRequestRecordingPeriod recordingPeriod);

	public List<String> getRecordingLocationPreferences();

	public List<RecordingRequestRecordingSourcePreferences> getRecordingSourcePreferences();

	public RecordingRequestRecordAssociatedData getRecordAssociatedData();

	public void setRecordAssociatedData(RecordingRequestRecordAssociatedData recordAssociatedData);

	public Textual getTitle();

	public void setTitle(Textual textual);
}