package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.util.List;

public interface Segment extends DS
{
	public MediaLocator getMediaLocator();

	public void setMediaLocator(MediaLocator mediaLocator);

	public MediaInformation getMediaInformation();

	public void setMediaInformation(MediaInformation mediaInformation);

	public Reference getMediaInformationRef();

	public void setMediaInformationRef(Reference reference);

	public CreationInformation getCreationInformation();

	public void setCreationInformation(CreationInformation creationInformation);

	public Reference getCreationInformationRef();

	public void setCreationInformationRef(Reference reference);

	public UsageInformation getUsageInformation();

	public void setUsageInformation(UsageInformation usageInformation);

	public Reference getUsageInformationRef();

	public void setUsageInformationRef(Reference reference);

	public List<Relation> getRelation();

	public ControlledTermUse getStructuralUnit();

	public void setStructuralUnit(ControlledTermUse controlledTermUse);

	public List<TextAnnotation> getTextAnnotation();

	public List<Object> getSemanticOrSemanticRef();

	public List<MatchingHint> getMatchingHint();

	public List<PointOfView> getPointOfView();
}