package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;
import java.util.List;

public interface SummarySegment extends DS
{
	public UniqueID getSourceID();

	public void setSourceID(UniqueID uniqueID);

	public TemporalSegmentLocator getKeyAudioVisualClip();

	public void setKeyAudioVisualClip(TemporalSegmentLocator temporalSegmentLocator);

	public TemporalSegmentLocator getKeyVideoClip();

	public void setKeyVideoClip(TemporalSegmentLocator temporalSegmentLocator);

	public TemporalSegmentLocator getKeyAudioClip();

	public void setKeyAudioClip(TemporalSegmentLocator temporalSegmentLocator);

	public List<ImageLocator> getKeyFrame();

	public List<TemporalSegmentLocator> getKeySound();

	public List<Object> getThemeIDs();

	public BigInteger getOrder();

	public void setOrder(BigInteger bigInteger);

	public List<Textual> getName();
}