package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;
import java.util.List;

public interface SummarySegmentGroup extends DS
{
	public List<Object> getThemeIDs();

	public Float getFidelity();

	public void setFidelity(Float value);

	public BigInteger getNumOfKeyFrames();

	public void setNumOfKeyFrames(BigInteger bigInteger);

	public List<Textual> getCaption();

	public List<Object> getSummarySegmentOrSummarySegmentRef();

	public List<Object> getSummarySegmentGroupOrSummarySegmentGroupRef();

	public String getDuration();

	public void setDuration(String string);

	public List<Textual> getName();

	public BigInteger getLevel();

	public void setLevel(BigInteger bigInteger);
}