package org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3;

import java.math.BigInteger;
import java.util.List;

public interface VideoViewGraph extends ViewDecomposition
{
	public Reference getViewRef();

	public void setViewRef(Reference reference);

	public List<Object> getSpaceFrequencyChildOrSpaceFrequencyChildRef();

	public List<Object> getTimeFrequencyChildOrTimeFrequencyChildRef();

	public BigInteger getBranching();

	public void setBranching(BigInteger bigInteger);

	public FrequencyView getView();

	public void setView(FrequencyView frequencyView);
}