package org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr;

import java.util.List;

import org.iso.mpeg.mxm.tEngine.relTE.technologyhandler.RELRight;

public interface Grant extends Resource
{
	public void setInventory(Inventory inventory);
	
	public void setResource(Resource resource);

	public List<ForAll> getForAll();
	
	public void addForAll(ForAll forAll);

	public DelegationControl getDelegationControl();

	public void setDelegationControl(DelegationControl delegationControl);

	public Principal getPrincipal();

	public void setPrincipal(Principal principal);

	public List<Condition> getConditions();

	public void setCondition(Condition condition);

	public Right getRight();
	
	public void setRELRight(RELRight right);
	
	public RELRight getRELRight();

	public void setRight(Right right);

	public EncryptedContent getEncryptedGrant();

	public void setEncryptedGrant(EncryptedContent encryptedContent);

	public Resource getResource();
}