package org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr;

import java.util.List;

public interface GrantGroup extends Resource
{
	public void setInventory(Inventory inventory);
	
	public List<Grant> getGrants();
	
	public void addGrant(Grant grant);
	
	public List<GrantGroup> getGrantGroups();
	
	public void addGrantGroup(GrantGroup grant);
	
	public List<ForAll> getForAll();
	
	public void addForAll(ForAll forAll);

	public DelegationControl getDelegationControl();

	public void setDelegationControl(DelegationControl delegationControl);

	public Principal getPrincipal();

	public void setPrincipal(Principal principal);

	public List<Condition> getConditions();

	public void setCondition(Condition condition);

	public EncryptedContent getEncryptedGrantGroup();

	public void setEncryptedGrantGroup(EncryptedContent encryptedContent);
}