package org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import java.util.List;
import java.util.Map;

import javax.xml.namespace.QName;

public interface License extends MXMCreatorAndParser
{
	public Map<QName, String> getOtherAttributes();

	public Inventory getInventory();

	public void setInventory(Inventory inventory);

	public List<Grant> getGrants();
	
	public void addGrant(Grant grant);
	
	public List<GrantGroup> getGrantGroups();
	
	public void addGrantGroup(GrantGroup grant);

	public List<Issuer> getIssuers();
	
	public void addIssuer(Issuer issuer);

	public LicenseOtherInfo getOtherInfo();

	public void setOtherInfo(LicenseOtherInfo otherInfo);

	public EncryptedContent getEncryptedLicense();

	public void setEncryptedLicense(EncryptedContent encryptedContent);

	public String getLicenseId();

	public void setLicenseId(String string);

	public List<LinguisticString> getTitle();
}