package org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf;

import javax.xml.datatype.Duration;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

public interface InputQuery extends MXMCreatorAndParser
{
	public QFDeclaration getQFDeclaration();

	public void setQFDeclaration(QFDeclaration qFDeclaration);

	public OutputDescription getOutputDescription();

	public void setOutputDescription(OutputDescription outputDescription);

	public QueryCondition getQueryCondition();

	public void setQueryCondition(QueryCondition queryCondition);

	public ServiceSelection getServiceSelection();

	public void setServiceSelection(ServiceSelection serviceSelection);

	public String getPreviousAnswerID();

	public void setPreviousAnswerID(String string);

	public boolean isImmediateResponse();

	public void setImmediateResponse(Boolean b);

	public void setTimeout(Duration duration);

	public Duration getTimeout();
}