package org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;

import java.math.BigInteger;
import java.util.List;

import javax.xml.datatype.XMLGregorianCalendar;

public interface OutputQuery extends MXMCreatorAndParser
{
	public String getGlobalComment();

	public void setGlobalComment(String string);

	public List<ResultItem> getResultItem();

	public SystemMessage getSystemMessage();

	public void setSystemMessage(SystemMessage systemMessage);

	public BigInteger getCurrPage();

	public void setCurrPage(BigInteger bigInteger);

	public BigInteger getTotalPages();

	public void setTotalPages(BigInteger bigInteger);

	public XMLGregorianCalendar getExpirationDate();

	public void setExpirationDate(XMLGregorianCalendar xMLGregorianCalendar);
}