package org.iso.mpeg.mxm.tEngine.searchTE.schemahandler.mpqf;

import java.math.BigInteger;
import java.util.List;

public interface ResultItem extends ResultItemBase
{
	public Float getConfidence();

	public void setConfidence(Float f);

	public List<ResultItemTextResult> getTextResult();

	public List<ResultItemThumbnail> getThumbnail();

	public List<MediaResource> getMediaResource();

	public List<ResultItemAggregationResult> getAggregationResult();

	public List<ResultItemFragmentResult> getFragmentResult();

	public BigInteger getRecordNumber();

	public void setRecordNumber(BigInteger bigInteger);

	public String getOriginID();

	public void setOriginID(String string);

	public BigInteger getRank();

	public void setRank(BigInteger bigInteger);

	public List<ResultItemDescription> getDescription();

	public List<ResultItemComment> getComment();
}