package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

import java.util.List;

public interface Signature extends MXMCreatorAndParser
{
	public void setId(String string);

	public KeyInfo getKeyInfo() throws MXMEngineException;

	public void setKeyInfo(KeyInfo keyInfo) throws MXMException;

	public SignatureValue getSignatureValue() throws MXMEngineException;

	public void setSignatureValue(String id, byte[] value);

	public SignedInfo getSignedInfo() throws MXMEngineException;

	public void setSignedInfo(SignedInfo signedInfo) throws MXMException;

	public List<Object> getObject();

	public String getId();
}