package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig;

import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

import java.util.List;

public interface SignedInfo extends MXMCreatorAndParser
{
	public void setId(String string);

	public List<Reference> getReference();

	public CanonicalizationMethod getCanonicalizationMethod() throws MXMEngineException;

	public void setCanonicalizationMethod(CanonicalizationMethod canonicalizationMethod);

	public SignatureMethod getSignatureMethod();

	public void setSignatureMethod(SignatureMethod signatureMethod);

	public String getId();
}