package org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.saml.assertion;


import org.iso.mpeg.mxm.core.MXMCreatorAndParser;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

import java.util.List;

import javax.xml.datatype.XMLGregorianCalendar;


public interface Assertion extends MXMCreatorAndParser
{
    public Subject getSubject() throws MXMEngineException;

    public void setSubject(Subject subject) throws MXMException;

    public void setVersion(String string);

    public NameID getIssuer() throws MXMEngineException;

    public void setSignature(
        org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature signature)
        throws MXMException;

    public void setIssuer(NameID nameID) throws MXMException;

    public Conditions getConditions() throws MXMEngineException;

    public void setConditions(Conditions conditions) throws MXMException;

    public Advice getAdvice() throws MXMEngineException;

    public void setAdvice(Advice advice) throws MXMException;

    public List<StatementAbstract> getStatements() throws MXMEngineException;

    public List<AuthzDecisionStatement> getAuthzDecisionStatements()
        throws MXMEngineException;

    public void addAuthzDecisionStatement(AuthzDecisionStatement authnStatement)
        throws MXMException;

    public List<AuthnStatement> getAuthnStatements() throws MXMEngineException;

    public void addAuthnStatement(AuthnStatement authnStatement) throws MXMException;

    public List<AttributeStatement> getAttributeStatements();

    public void addAttributeStatement(AttributeStatement authnStatement)
        throws MXMException;

    public XMLGregorianCalendar getIssueInstant();

    public void setIssueInstant(XMLGregorianCalendar xMLGregorianCalendar);

    public org.iso.mpeg.mxm.tEngine.securityTE.schemahandler.dsig.Signature getSignature()
        throws MXMEngineException;

    public String getID();

    public String getVersion();

    public void setID(String string);
}