
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21.DIDLType;


/**
 * <p>Java class for ContentEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContentEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:02-DIDL-NS}DIDL"/>
 *         &lt;element name="ContentRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}Identifier" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContentEntityType", propOrder = {
    "didl",
    "contentRef",
    "identifier"
})

@XmlRootElement(name = "ContentEntity")
public class ContentEntityType
    extends EntityBaseType
{

    @XmlElement(name = "DIDL", namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS")
    protected DIDLType didl;
    @XmlElement(name = "ContentRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> contentRef;
    @XmlElement(name = "Identifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS")
    @XmlSchemaType(name = "anyURI")
    protected List<String> identifier;

    /**
     * Gets the value of the didl property.
     * 
     * @return
     *     possible object is
     *     {@link DIDLType }
     *     
     */
    public DIDLType getDIDL() {
        return didl;
    }

    /**
     * Sets the value of the didl property.
     * 
     * @param value
     *     allowed object is
     *     {@link DIDLType }
     *     
     */
    public void setDIDL(DIDLType value) {
        this.didl = value;
    }

    /**
     * Gets the value of the contentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getContentRef() {
        if (contentRef == null) {
            contentRef = new ArrayList<String>();
        }
        return this.contentRef;
    }

    /**
     * Gets the value of the identifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the identifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getIdentifier() {
        if (identifier == null) {
            identifier = new ArrayList<String>();
        }
        return this.identifier;
    }

}
