
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx.ToolBodyType;


/**
 * <p>Java class for DeviceEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeviceEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}ToolBody"/>
 *         &lt;element name="DeviceRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}ToolBodyID" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeviceEntityType", propOrder = {
    "toolBody",
    "deviceRef",
    "toolBodyID"
})
public class DeviceEntityType
    extends EntityBaseType
{

    @XmlElement(name = "ToolBody", namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007")
    protected ToolBodyType toolBody;
    @XmlElement(name = "DeviceRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> deviceRef;
    @XmlElement(name = "ToolBodyID", namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007")
    @XmlSchemaType(name = "anyURI")
    protected List<String> toolBodyID;

    /**
     * Gets the value of the toolBody property.
     * 
     * @return
     *     possible object is
     *     {@link ToolBodyType }
     *     
     */
    public ToolBodyType getToolBody() {
        return toolBody;
    }

    /**
     * Sets the value of the toolBody property.
     * 
     * @param value
     *     allowed object is
     *     {@link ToolBodyType }
     *     
     */
    public void setToolBody(ToolBodyType value) {
        this.toolBody = value;
    }

    /**
     * Gets the value of the deviceRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deviceRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeviceRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getDeviceRef() {
        if (deviceRef == null) {
            deviceRef = new ArrayList<String>();
        }
        return this.deviceRef;
    }

    /**
     * Gets the value of the toolBodyID property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the toolBodyID property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getToolBodyID().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getToolBodyID() {
        if (toolBodyID == null) {
            toolBodyID = new ArrayList<String>();
        }
        return this.toolBodyID;
    }

}
