
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.License;


/**
 * <p>Java class for LicenseEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LicenseEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}license"/>
 *         &lt;element name="LicenseRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}LicenseIdentifier" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LicenseEntityType", propOrder = {
    "license",
    "licenseRef",
    "licenseIdentifier"
})
public class LicenseEntityType
    extends EntityBaseType
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected License license;
    @XmlElement(name = "LicenseRef")
    @XmlSchemaType(name = "anyURI")
    protected List<String> licenseRef;
    @XmlElement(name = "LicenseIdentifier")
    protected List<UniqueIDType> licenseIdentifier;

    /**
     * Gets the value of the license property.
     * 
     * @return
     *     possible object is
     *     {@link License }
     *     
     */
    public License getLicense() {
        return license;
    }

    /**
     * Sets the value of the license property.
     * 
     * @param value
     *     allowed object is
     *     {@link License }
     *     
     */
    public void setLicense(License value) {
        this.license = value;
    }

    /**
     * Gets the value of the licenseRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the licenseRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLicenseRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getLicenseRef() {
        if (licenseRef == null) {
            licenseRef = new ArrayList<String>();
        }
        return this.licenseRef;
    }

    /**
     * Gets the value of the licenseIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the licenseIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLicenseIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UniqueIDType }
     * 
     * 
     */
    public List<UniqueIDType> getLicenseIdentifier() {
        if (licenseIdentifier == null) {
            licenseIdentifier = new ArrayList<UniqueIDType>();
        }
        return this.licenseIdentifier;
    }

}
