
package org.iso.mpeg.mxm.baseprotocol.schema;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.baseprotocol.schema package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _UserIdentifier_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "UserIdentifier");
    private final static QName _ServiceTypeIdentifier_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "ServiceTypeIdentifier");
    private final static QName _ServiceType_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "ServiceType");
    private final static QName _SIDIdentifier_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "SIDIdentifier");
    private final static QName _LicenseIdentifier_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "LicenseIdentifier");
    private final static QName _ContractIdentifier_QNAME = new QName("urn:mpeg:mpegM:schema:01-base-NS:2012", "ContractIdentifier");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.baseprotocol.schema
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProtocolFailureType }
     * 
     */
    public ProtocolFailureType createProtocolFailureType() {
        return new ProtocolFailureType();
    }

    /**
     * Create an instance of {@link KeyValueDataType }
     * 
     */
    public KeyValueDataType createKeyValueDataType() {
        return new KeyValueDataType();
    }

    /**
     * Create an instance of {@link SupportedMetadataSchemaType }
     * 
     */
    public SupportedMetadataSchemaType createSupportedMetadataSchemaType() {
        return new SupportedMetadataSchemaType();
    }

    /**
     * Create an instance of {@link ContentEntityType }
     * 
     */
    public ContentEntityType createContentEntityType() {
        return new ContentEntityType();
    }

    /**
     * Create an instance of {@link DeviceEntityType }
     * 
     */
    public DeviceEntityType createDeviceEntityType() {
        return new DeviceEntityType();
    }

    /**
     * Create an instance of {@link ServiceTypeType }
     * 
     */
    public ServiceTypeType createServiceTypeType() {
        return new ServiceTypeType();
    }

    /**
     * Create an instance of {@link SupportedTransferProtocolType }
     * 
     */
    public SupportedTransferProtocolType createSupportedTransferProtocolType() {
        return new SupportedTransferProtocolType();
    }

    /**
     * Create an instance of {@link EntityBaseType }
     * 
     */
    public EntityBaseType createEntityBaseType() {
        return new EntityBaseType();
    }

    /**
     * Create an instance of {@link ApplicationSpecificDataType }
     * 
     */
    public ApplicationSpecificDataType createApplicationSpecificDataType() {
        return new ApplicationSpecificDataType();
    }

    /**
     * Create an instance of {@link ContractEntityType }
     * 
     */
    public ContractEntityType createContractEntityType() {
        return new ContractEntityType();
    }

    /**
     * Create an instance of {@link ProtocolSuccessType }
     * 
     */
    public ProtocolSuccessType createProtocolSuccessType() {
        return new ProtocolSuccessType();
    }

    /**
     * Create an instance of {@link LicenseEntityType }
     * 
     */
    public LicenseEntityType createLicenseEntityType() {
        return new LicenseEntityType();
    }

    /**
     * Create an instance of {@link UserEntityType }
     * 
     */
    public UserEntityType createUserEntityType() {
        return new UserEntityType();
    }

    /**
     * Create an instance of {@link ContentOrderInformationType }
     * 
     */
    public ContentOrderInformationType createContentOrderInformationType() {
        return new ContentOrderInformationType();
    }

    /**
     * Create an instance of {@link LicenseOrderInformationType }
     * 
     */
    public LicenseOrderInformationType createLicenseOrderInformationType() {
        return new LicenseOrderInformationType();
    }

    /**
     * Create an instance of {@link ServiceTypeEntityType }
     * 
     */
    public ServiceTypeEntityType createServiceTypeEntityType() {
        return new ServiceTypeEntityType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UniqueIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "UserIdentifier")
    public JAXBElement<UniqueIDType> createUserIdentifier(UniqueIDType value) {
        return new JAXBElement<UniqueIDType>(_UserIdentifier_QNAME, UniqueIDType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UniqueIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "ServiceTypeIdentifier")
    public JAXBElement<UniqueIDType> createServiceTypeIdentifier(UniqueIDType value) {
        return new JAXBElement<UniqueIDType>(_ServiceTypeIdentifier_QNAME, UniqueIDType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceTypeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "ServiceType")
    public JAXBElement<ServiceTypeType> createServiceType(ServiceTypeType value) {
        return new JAXBElement<ServiceTypeType>(_ServiceType_QNAME, ServiceTypeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UniqueIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "SIDIdentifier")
    public JAXBElement<UniqueIDType> createSIDIdentifier(UniqueIDType value) {
        return new JAXBElement<UniqueIDType>(_SIDIdentifier_QNAME, UniqueIDType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UniqueIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "LicenseIdentifier")
    public JAXBElement<UniqueIDType> createLicenseIdentifier(UniqueIDType value) {
        return new JAXBElement<UniqueIDType>(_LicenseIdentifier_QNAME, UniqueIDType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UniqueIDType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", name = "ContractIdentifier")
    public JAXBElement<UniqueIDType> createContractIdentifier(UniqueIDType value) {
        return new JAXBElement<UniqueIDType>(_ContractIdentifier_QNAME, UniqueIDType.class, null, value);
    }

}
