
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
//import org.iso.mpeg.mxm.engine.protocol.all.AgreementContractSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.AgreementEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.AgreementLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.AuthenticateEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.AuthorizeUserSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.BuyerPaymentOrderContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.BuyerPaymentOrderEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.BuyerPaymentOrderLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.CheckWithContractSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.CreateContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.CreateContractSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.CreateLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.GetDescribeEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.IdentifyContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.IdentifyDeviceSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.IdentifyEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.IdentifyLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.IdentifyUserSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.MandateOfferContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.MandateOfferEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.MandateOfferLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.OfferSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.PackageContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.ProcessContentCompletionSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.ProcessLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestContractSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestDeviceSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestEventSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.RequestMetadataSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.SearchEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.SellerPaymentOrderContentSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.SellerPaymentOrderEntitySuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.SellerPaymentOrderLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.SetupNegotiationSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.StatusSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.StoreContentCompletionSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.StoreLicenseSuccessType;
//import org.iso.mpeg.mxm.engine.protocol.all.VerifyContractSuccessType;


/**
 * <p>Java class for ProtocolSuccessType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProtocolSuccessType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SuccessCode" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}SuccessCodeType" minOccurs="0"/>
 *         &lt;element name="DisplayString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProtocolSuccessType", propOrder = {
    "successCode",
    "displayString"
})
@XmlSeeAlso({
//    AgreementEntitySuccessType.class,
//    VerifyContractSuccessType.class,
//    AgreementContractSuccessType.class,
//    MandateOfferContentSuccessType.class,
//    SetupNegotiationSuccessType.class,
//    MandateOfferLicenseSuccessType.class,
//    SellerPaymentOrderLicenseSuccessType.class,
//    RequestDeviceSuccessType.class,
//    ProcessLicenseSuccessType.class,
//    CreateContractSuccessType.class,
//    IdentifyContentSuccessType.class,
//    IdentifyUserSuccessType.class,
//    AuthorizeUserSuccessType.class,
//    CheckWithContractSuccessType.class,
//    AuthenticateEntitySuccessType.class,
//    RequestMetadataSuccessType.class,
//    CreateContentSuccessType.class,
//    PackageContentSuccessType.class,
//    RequestContentSuccessType.class,
//    StoreContentCompletionSuccessType.class,
//    IdentifyEntitySuccessType.class,
//    StoreLicenseSuccessType.class,
//    IdentifyDeviceSuccessType.class,
//    BuyerPaymentOrderLicenseSuccessType.class,
//    SellerPaymentOrderEntitySuccessType.class,
//    RequestEventSuccessType.class,
//    RequestContractSuccessType.class,
//    ProcessContentCompletionSuccessType.class,
//    GetDescribeEntitySuccessType.class,
//    RequestLicenseSuccessType.class,
//    BuyerPaymentOrderEntitySuccessType.class,
//    IdentifyLicenseSuccessType.class,
//    AgreementLicenseSuccessType.class,
//    OfferSuccessType.class,
//    SearchEntitySuccessType.class,
//    StatusSuccessType.class,
//    BuyerPaymentOrderContentSuccessType.class,
//    CreateLicenseSuccessType.class,
//    MandateOfferEntitySuccessType.class,
//    SellerPaymentOrderContentSuccessType.class
})
public class ProtocolSuccessType {

    @XmlList
    @XmlElement(name = "SuccessCode")
    protected List<String> successCode;
    @XmlElement(name = "DisplayString")
    protected String displayString;

    /**
     * Gets the value of the successCode property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the successCode property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSuccessCode().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getSuccessCode() {
        if (successCode == null) {
            successCode = new ArrayList<String>();
        }
        return this.successCode;
    }

    /**
     * Gets the value of the displayString property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayString() {
        return displayString;
    }

    /**
     * Sets the value of the displayString property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayString(String value) {
        this.displayString = value;
    }

}
