
package org.iso.mpeg.mxm.baseprotocol.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;


/**
 * <p>Java class for ServiceTypeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ServiceTypeType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}ServiceTypeIdentifier"/>
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="RequestParametersType" type="{http://www.w3.org/2001/XMLSchema}QName"/>
 *         &lt;element name="CompletionParametersType" type="{http://www.w3.org/2001/XMLSchema}QName" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ServiceTypeType", propOrder = {
    "serviceTypeIdentifier",
    "name",
    "requestParametersType",
    "completionParametersType"
})
public class ServiceTypeType {

    @XmlElement(name = "ServiceTypeIdentifier", required = true)
    protected UniqueIDType serviceTypeIdentifier;
    @XmlElement(name = "Name", required = true)
    protected String name;
    @XmlElement(name = "RequestParametersType", required = true)
    protected QName requestParametersType;
    @XmlElement(name = "CompletionParametersType")
    protected QName completionParametersType;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the serviceTypeIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getServiceTypeIdentifier() {
        return serviceTypeIdentifier;
    }

    /**
     * Sets the value of the serviceTypeIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setServiceTypeIdentifier(UniqueIDType value) {
        this.serviceTypeIdentifier = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the requestParametersType property.
     * 
     * @return
     *     possible object is
     *     {@link QName }
     *     
     */
    public QName getRequestParametersType() {
        return requestParametersType;
    }

    /**
     * Sets the value of the requestParametersType property.
     * 
     * @param value
     *     allowed object is
     *     {@link QName }
     *     
     */
    public void setRequestParametersType(QName value) {
        this.requestParametersType = value;
    }

    /**
     * Gets the value of the completionParametersType property.
     * 
     * @return
     *     possible object is
     *     {@link QName }
     *     
     */
    public QName getCompletionParametersType() {
        return completionParametersType;
    }

    /**
     * Sets the value of the completionParametersType property.
     * 
     * @param value
     *     allowed object is
     *     {@link QName }
     *     
     */
    public void setCompletionParametersType(QName value) {
        this.completionParametersType = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
