
package org.iso.mpeg.mxm.baseprotocol.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.ControlledTermUseType;


/**
 * <p>Java class for SupportedTransferProtocolType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SupportedTransferProtocolType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TransferProtocol" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;element name="Option" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}KeyValueDataType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="pref" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SupportedTransferProtocolType", propOrder = {
    "transferProtocol",
    "option"
})
public class SupportedTransferProtocolType {

    @XmlElement(name = "TransferProtocol", required = true)
    protected ControlledTermUseType transferProtocol;
    @XmlElement(name = "Option")
    protected List<KeyValueDataType> option;
    @XmlAttribute(name = "pref")
    protected Float pref;

    /**
     * Gets the value of the transferProtocol property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getTransferProtocol() {
        return transferProtocol;
    }

    /**
     * Sets the value of the transferProtocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setTransferProtocol(ControlledTermUseType value) {
        this.transferProtocol = value;
    }

    /**
     * Gets the value of the option property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the option property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOption().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValueDataType }
     * 
     * 
     */
    public List<KeyValueDataType> getOption() {
        if (option == null) {
            option = new ArrayList<KeyValueDataType>();
        }
        return this.option;
    }

    /**
     * Gets the value of the pref property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getPref() {
        return pref;
    }

    /**
     * Sets the value of the pref property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setPref(Float value) {
        this.pref = value;
    }

}
