
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="textualPart" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="textClause" type="{urn:mpeg:mpeg21:cel:core:2012}TextClauseType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="operativePart">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice maxOccurs="unbounded">
 *                   &lt;element name="deonticStructuredBlock" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredBlockType"/>
 *                   &lt;element name="deonticStructuredClause" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredClauseType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "textualPart",
    "operativePart"
})
@XmlRootElement(name = "body")
public class Body {

    protected Body.TextualPart textualPart;
    @XmlElement(required = true)
    protected Body.OperativePart operativePart;

    /**
     * Gets the value of the textualPart property.
     * 
     * @return
     *     possible object is
     *     {@link Body.TextualPart }
     *     
     */
    public Body.TextualPart getTextualPart() {
        return textualPart;
    }

    /**
     * Sets the value of the textualPart property.
     * 
     * @param value
     *     allowed object is
     *     {@link Body.TextualPart }
     *     
     */
    public void setTextualPart(Body.TextualPart value) {
        this.textualPart = value;
    }

    /**
     * Gets the value of the operativePart property.
     * 
     * @return
     *     possible object is
     *     {@link Body.OperativePart }
     *     
     */
    public Body.OperativePart getOperativePart() {
        return operativePart;
    }

    /**
     * Sets the value of the operativePart property.
     * 
     * @param value
     *     allowed object is
     *     {@link Body.OperativePart }
     *     
     */
    public void setOperativePart(Body.OperativePart value) {
        this.operativePart = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice maxOccurs="unbounded">
     *         &lt;element name="deonticStructuredBlock" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredBlockType"/>
     *         &lt;element name="deonticStructuredClause" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredClauseType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "deonticStructuredBlockOrDeonticStructuredClause"
    })
    public static class OperativePart {

        @XmlElements({
            @XmlElement(name = "deonticStructuredBlock", type = DeonticStructuredBlockType.class),
            @XmlElement(name = "deonticStructuredClause", type = DeonticStructuredClauseType.class)
        })
        protected List<Object> deonticStructuredBlockOrDeonticStructuredClause;

        /**
         * Gets the value of the deonticStructuredBlockOrDeonticStructuredClause property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the deonticStructuredBlockOrDeonticStructuredClause property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getDeonticStructuredBlockOrDeonticStructuredClause().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link DeonticStructuredBlockType }
         * {@link DeonticStructuredClauseType }
         * 
         * 
         */
        public List<Object> getDeonticStructuredBlockOrDeonticStructuredClause() {
            if (deonticStructuredBlockOrDeonticStructuredClause == null) {
                deonticStructuredBlockOrDeonticStructuredClause = new ArrayList<Object>();
            }
            return this.deonticStructuredBlockOrDeonticStructuredClause;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="textClause" type="{urn:mpeg:mpeg21:cel:core:2012}TextClauseType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "textClause"
    })
    public static class TextualPart {

        @XmlElement(required = true)
        protected List<TextClauseType> textClause;

        /**
         * Gets the value of the textClause property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the textClause property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTextClause().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link TextClauseType }
         * 
         * 
         */
        public List<TextClauseType> getTextClause() {
            if (textClause == null) {
                textClause = new ArrayList<TextClauseType>();
            }
            return this.textClause;
        }

    }

}
