
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for DeonticStructuredBlockType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeonticStructuredBlockType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="deonticStructuredBlock" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredBlockType"/>
 *         &lt;element name="deonticStructuredClause" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticStructuredClauseType"/>
 *         &lt;element name="encryptedBlock" type="{urn:mpeg:mpeg21:cel:core:2012}EncryptedBlockType"/>
 *       &lt;/choice>
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="deonticType" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticType" />
 *       &lt;attribute name="idrefs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeonticStructuredBlockType", propOrder = {
    "deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock"
})
public class DeonticStructuredBlockType {

    @XmlElements({
        @XmlElement(name = "encryptedBlock", type = EncryptedBlockType.class),
        @XmlElement(name = "deonticStructuredBlock", type = DeonticStructuredBlockType.class),
        @XmlElement(name = "deonticStructuredClause", type = DeonticStructuredClauseType.class)
    })
    protected List<Object> deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock;
    @XmlAttribute(name = "id", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;
    @XmlAttribute(name = "deonticType")
    protected DeonticType deonticType;
    @XmlAttribute(name = "idrefs")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> idrefs;

    /**
     * Gets the value of the deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EncryptedBlockType }
     * {@link DeonticStructuredBlockType }
     * {@link DeonticStructuredClauseType }
     * 
     * 
     */
    public List<Object> getDeonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock() {
        if (deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock == null) {
            deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock = new ArrayList<Object>();
        }
        return this.deonticStructuredBlockOrDeonticStructuredClauseOrEncryptedBlock;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the deonticType property.
     * 
     * @return
     *     possible object is
     *     {@link DeonticType }
     *     
     */
    public DeonticType getDeonticType() {
        return deonticType;
    }

    /**
     * Sets the value of the deonticType property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeonticType }
     *     
     */
    public void setDeonticType(DeonticType value) {
        this.deonticType = value;
    }

    /**
     * Gets the value of the idrefs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the idrefs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIdrefs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getIdrefs() {
        if (idrefs == null) {
            idrefs = new ArrayList<Object>();
        }
        return this.idrefs;
    }

}
