
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for DeonticStructuredClauseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeonticStructuredClauseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}metadata" minOccurs="0"/>
 *           &lt;element name="context" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *           &lt;element name="pre-condition" type="{urn:mpeg:mpeg21:cel:core:2012}PreConditionType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:cel:core:2012}subject" minOccurs="0"/>
 *           &lt;element name="act" type="{urn:mpeg:mpeg21:cel:core:2012}ActType"/>
 *           &lt;element name="object" type="{urn:mpeg:mpeg21:cel:core:2012}ObjectType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="resultantObject" type="{urn:mpeg:mpeg21:cel:core:2012}ItemType" minOccurs="0"/>
 *           &lt;element name="constraint" type="{urn:mpeg:mpeg21:cel:core:2012}ConstraintType" minOccurs="0"/>
 *           &lt;element name="post-condition" type="{urn:mpeg:mpeg21:cel:core:2012}PostConditionType" minOccurs="0"/>
 *           &lt;element name="issuer" type="{urn:mpeg:mpeg21:cel:core:2012}IssuerType" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;element name="encryptedClause" type="{urn:mpeg:mpeg21:cel:core:2012}EncryptedClauseType"/>
 *       &lt;/choice>
 *       &lt;attribute name="number" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="deonticType" type="{urn:mpeg:mpeg21:cel:core:2012}DeonticType" />
 *       &lt;attribute name="idrefs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeonticStructuredClauseType", propOrder = {
    "metadata",
    "context",
    "preCondition",
    "subject",
    "act",
    "object",
    "resultantObject",
    "constraint",
    "postCondition",
    "issuer",
    "encryptedClause"
})
public class DeonticStructuredClauseType {

    protected Metadata metadata;
    protected Object context;
    @XmlElement(name = "pre-condition")
    protected List<PreConditionType> preCondition;
    protected SubjectType subject;
    protected ActType act;
    protected List<ObjectType> object;
    protected ItemType resultantObject;
    protected ConstraintType constraint;
    @XmlElement(name = "post-condition")
    protected PostConditionType postCondition;
    protected IssuerType issuer;
    protected EncryptedClauseType encryptedClause;
    @XmlAttribute(name = "number")
    protected String number;
    @XmlAttribute(name = "id", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;
    @XmlAttribute(name = "deonticType")
    protected DeonticType deonticType;
    @XmlAttribute(name = "idrefs")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> idrefs;

    /**
     * Gets the value of the metadata property.
     * 
     * @return
     *     possible object is
     *     {@link Metadata }
     *     
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link Metadata }
     *     
     */
    public void setMetadata(Metadata value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the context property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getContext() {
        return context;
    }

    /**
     * Sets the value of the context property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setContext(Object value) {
        this.context = value;
    }

    /**
     * Gets the value of the preCondition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the preCondition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPreCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PreConditionType }
     * 
     * 
     */
    public List<PreConditionType> getPreCondition() {
        if (preCondition == null) {
            preCondition = new ArrayList<PreConditionType>();
        }
        return this.preCondition;
    }

    /**
     * Gets the value of the subject property.
     * 
     * @return
     *     possible object is
     *     {@link SubjectType }
     *     
     */
    public SubjectType getSubject() {
        return subject;
    }

    /**
     * Sets the value of the subject property.
     * 
     * @param value
     *     allowed object is
     *     {@link SubjectType }
     *     
     */
    public void setSubject(SubjectType value) {
        this.subject = value;
    }

    /**
     * Gets the value of the act property.
     * 
     * @return
     *     possible object is
     *     {@link ActType }
     *     
     */
    public ActType getAct() {
        return act;
    }

    /**
     * Sets the value of the act property.
     * 
     * @param value
     *     allowed object is
     *     {@link ActType }
     *     
     */
    public void setAct(ActType value) {
        this.act = value;
    }

    /**
     * Gets the value of the object property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the object property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getObject().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ObjectType }
     * 
     * 
     */
    public List<ObjectType> getObject() {
        if (object == null) {
            object = new ArrayList<ObjectType>();
        }
        return this.object;
    }

    /**
     * Gets the value of the resultantObject property.
     * 
     * @return
     *     possible object is
     *     {@link ItemType }
     *     
     */
    public ItemType getResultantObject() {
        return resultantObject;
    }

    /**
     * Sets the value of the resultantObject property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItemType }
     *     
     */
    public void setResultantObject(ItemType value) {
        this.resultantObject = value;
    }

    /**
     * Gets the value of the constraint property.
     * 
     * @return
     *     possible object is
     *     {@link ConstraintType }
     *     
     */
    public ConstraintType getConstraint() {
        return constraint;
    }

    /**
     * Sets the value of the constraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConstraintType }
     *     
     */
    public void setConstraint(ConstraintType value) {
        this.constraint = value;
    }

    /**
     * Gets the value of the postCondition property.
     * 
     * @return
     *     possible object is
     *     {@link PostConditionType }
     *     
     */
    public PostConditionType getPostCondition() {
        return postCondition;
    }

    /**
     * Sets the value of the postCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PostConditionType }
     *     
     */
    public void setPostCondition(PostConditionType value) {
        this.postCondition = value;
    }

    /**
     * Gets the value of the issuer property.
     * 
     * @return
     *     possible object is
     *     {@link IssuerType }
     *     
     */
    public IssuerType getIssuer() {
        return issuer;
    }

    /**
     * Sets the value of the issuer property.
     * 
     * @param value
     *     allowed object is
     *     {@link IssuerType }
     *     
     */
    public void setIssuer(IssuerType value) {
        this.issuer = value;
    }

    /**
     * Gets the value of the encryptedClause property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptedClauseType }
     *     
     */
    public EncryptedClauseType getEncryptedClause() {
        return encryptedClause;
    }

    /**
     * Sets the value of the encryptedClause property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptedClauseType }
     *     
     */
    public void setEncryptedClause(EncryptedClauseType value) {
        this.encryptedClause = value;
    }

    /**
     * Gets the value of the number property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumber() {
        return number;
    }

    /**
     * Sets the value of the number property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumber(String value) {
        this.number = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the deonticType property.
     * 
     * @return
     *     possible object is
     *     {@link DeonticType }
     *     
     */
    public DeonticType getDeonticType() {
        return deonticType;
    }

    /**
     * Sets the value of the deonticType property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeonticType }
     *     
     */
    public void setDeonticType(DeonticType value) {
        this.deonticType = value;
    }

    /**
     * Gets the value of the idrefs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the idrefs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIdrefs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getIdrefs() {
        if (idrefs == null) {
            idrefs = new ArrayList<Object>();
        }
        return this.idrefs;
    }

}
