
package org.iso.mpeg.mxm.engine.contractTE.schema.cel;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.contractTE.schema.cel package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FactComposition_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "factComposition");
    private final static QName _FactIntersection_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "factIntersection");
    private final static QName _FactNegation_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "factNegation");
    private final static QName _Fact_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "fact");
    private final static QName _FactUnion_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "factUnion");
    private final static QName _Subject_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "subject");
    private final static QName _Action_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "action");
    private final static QName _Contract_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "contract");
    private final static QName _Party_QNAME = new QName("urn:mpeg:mpeg21:cel:core:2012", "party");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.contractTE.schema.cel
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IssuerType }
     * 
     */
    public IssuerType createIssuerType() {
        return new IssuerType();
    }

    /**
     * Create an instance of {@link DeonticStructuredClauseType }
     * 
     */
    public DeonticStructuredClauseType createDeonticStructuredClauseType() {
        return new DeonticStructuredClauseType();
    }

    /**
     * Create an instance of {@link OrganizationType.Signatory }
     * 
     */
    public OrganizationType.Signatory createOrganizationTypeSignatory() {
        return new OrganizationType.Signatory();
    }

    /**
     * Create an instance of {@link ActType }
     * 
     */
    public ActType createActType() {
        return new ActType();
    }

    /**
     * Create an instance of {@link Body.TextualPart }
     * 
     */
    public Body.TextualPart createBodyTextualPart() {
        return new Body.TextualPart();
    }

    /**
     * Create an instance of {@link Body }
     * 
     */
    public Body createBody() {
        return new Body();
    }

    /**
     * Create an instance of {@link EncryptedTextVersionType }
     * 
     */
    public EncryptedTextVersionType createEncryptedTextVersionType() {
        return new EncryptedTextVersionType();
    }

    /**
     * Create an instance of {@link EncryptedClauseType }
     * 
     */
    public EncryptedClauseType createEncryptedClauseType() {
        return new EncryptedClauseType();
    }

    /**
     * Create an instance of {@link ConstraintType }
     * 
     */
    public ConstraintType createConstraintType() {
        return new ConstraintType();
    }

    /**
     * Create an instance of {@link FactCompositionType }
     * 
     */
    public FactCompositionType createFactCompositionType() {
        return new FactCompositionType();
    }

    /**
     * Create an instance of {@link TextClauseType }
     * 
     */
    public TextClauseType createTextClauseType() {
        return new TextClauseType();
    }

    /**
     * Create an instance of {@link ContractType }
     * 
     */
    public ContractType createContractType() {
        return new ContractType();
    }

    /**
     * Create an instance of {@link OrganizationType }
     * 
     */
    public OrganizationType createOrganizationType() {
        return new OrganizationType();
    }

    /**
     * Create an instance of {@link EncryptedTextParagraphType }
     * 
     */
    public EncryptedTextParagraphType createEncryptedTextParagraphType() {
        return new EncryptedTextParagraphType();
    }

    /**
     * Create an instance of {@link PostConditionType }
     * 
     */
    public PostConditionType createPostConditionType() {
        return new PostConditionType();
    }

    /**
     * Create an instance of {@link ObjectType }
     * 
     */
    public ObjectType createObjectType() {
        return new ObjectType();
    }

    /**
     * Create an instance of {@link PartyType }
     * 
     */
    public PartyType createPartyType() {
        return new PartyType();
    }

    /**
     * Create an instance of {@link Body.OperativePart }
     * 
     */
    public Body.OperativePart createBodyOperativePart() {
        return new Body.OperativePart();
    }

    /**
     * Create an instance of {@link EncryptedPartyType }
     * 
     */
    public EncryptedPartyType createEncryptedPartyType() {
        return new EncryptedPartyType();
    }

    /**
     * Create an instance of {@link PersonType }
     * 
     */
    public PersonType createPersonType() {
        return new PersonType();
    }

    /**
     * Create an instance of {@link Fact }
     * 
     */
    public Fact createFact() {
        return new Fact();
    }

    /**
     * Create an instance of {@link SubjectType }
     * 
     */
    public SubjectType createSubjectType() {
        return new SubjectType();
    }

    /**
     * Create an instance of {@link ItemType }
     * 
     */
    public ItemType createItemType() {
        return new ItemType();
    }

    /**
     * Create an instance of {@link DeonticStructuredBlockType }
     * 
     */
    public DeonticStructuredBlockType createDeonticStructuredBlockType() {
        return new DeonticStructuredBlockType();
    }

    /**
     * Create an instance of {@link EncryptedBlockType }
     * 
     */
    public EncryptedBlockType createEncryptedBlockType() {
        return new EncryptedBlockType();
    }

    /**
     * Create an instance of {@link ContractRelation }
     * 
     */
    public ContractRelation createContractRelation() {
        return new ContractRelation();
    }

    /**
     * Create an instance of {@link TextParagraphType }
     * 
     */
    public TextParagraphType createTextParagraphType() {
        return new TextParagraphType();
    }

    /**
     * Create an instance of {@link Action }
     * 
     */
    public Action createAction() {
        return new Action();
    }

    /**
     * Create an instance of {@link PreConditionType }
     * 
     */
    public PreConditionType createPreConditionType() {
        return new PreConditionType();
    }

    /**
     * Create an instance of {@link ContractsRelated }
     * 
     */
    public ContractsRelated createContractsRelated() {
        return new ContractsRelated();
    }

    /**
     * Create an instance of {@link EncryptedContractType }
     * 
     */
    public EncryptedContractType createEncryptedContractType() {
        return new EncryptedContractType();
    }

    /**
     * Create an instance of {@link Metadata.Other }
     * 
     */
    public Metadata.Other createMetadataOther() {
        return new Metadata.Other();
    }

    /**
     * Create an instance of {@link Metadata }
     * 
     */
    public Metadata createMetadata() {
        return new Metadata();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "factComposition")
    public JAXBElement<FactCompositionType> createFactComposition(FactCompositionType value) {
        return new JAXBElement<FactCompositionType>(_FactComposition_QNAME, FactCompositionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "factIntersection", substitutionHeadNamespace = "urn:mpeg:mpeg21:cel:core:2012", substitutionHeadName = "factComposition")
    public JAXBElement<FactCompositionType> createFactIntersection(FactCompositionType value) {
        return new JAXBElement<FactCompositionType>(_FactIntersection_QNAME, FactCompositionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "factNegation", substitutionHeadNamespace = "urn:mpeg:mpeg21:cel:core:2012", substitutionHeadName = "factComposition")
    public JAXBElement<FactCompositionType> createFactNegation(FactCompositionType value) {
        return new JAXBElement<FactCompositionType>(_FactNegation_QNAME, FactCompositionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Fact }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "fact")
    public JAXBElement<Fact> createFact(Fact value) {
        return new JAXBElement<Fact>(_Fact_QNAME, Fact.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FactCompositionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "factUnion", substitutionHeadNamespace = "urn:mpeg:mpeg21:cel:core:2012", substitutionHeadName = "factComposition")
    public JAXBElement<FactCompositionType> createFactUnion(FactCompositionType value) {
        return new JAXBElement<FactCompositionType>(_FactUnion_QNAME, FactCompositionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubjectType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "subject")
    public JAXBElement<SubjectType> createSubject(SubjectType value) {
        return new JAXBElement<SubjectType>(_Subject_QNAME, SubjectType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Action }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "action")
    public JAXBElement<Action> createAction(Action value) {
        return new JAXBElement<Action>(_Action_QNAME, Action.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ContractType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "contract")
    public JAXBElement<ContractType> createContract(ContractType value) {
        return new JAXBElement<ContractType>(_Contract_QNAME, ContractType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PartyType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:cel:core:2012", name = "party")
    public JAXBElement<PartyType> createParty(PartyType value) {
        return new JAXBElement<PartyType>(_Party_QNAME, PartyType.class, null, value);
    }

}
