
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_msx.MetadataType;
import org.iso.mpeg.mxm.engine.digitalitemTE.schema.dii.RelatedIdentifier;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERRType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo.IPMPGeneralInfoDescriptorType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for StatementType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StatementType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2002:02-DIDMODEL-NS}StatementType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}Identifier"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}RelatedIdentifier"/>
 *           &lt;element ref="{urn:mpeg:maf:schema:mediastreaming:DIDLextensions}Metadata"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}IPMPGeneralInfoDescriptor"/>
 *           &lt;element name="ContentElementSignature" type="{http://www.w3.org/2000/09/xmldsig#}SignatureType"/>
 *           &lt;element name="LaserObject" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERR" maxOccurs="unbounded"/>
 *           &lt;element name="ApplicationSpecificData" type="{urn:mpeg:mpegM:schema:06-didl-NS:2012}ApplicationSpecificDataType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="mimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="ref" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatementType", propOrder = {
    "content"
})
public class StatementType
    extends org.iso.mpeg.mxm.engine.digitalitemTE.schema.didmodel_mp21.StatementType
{

    @XmlElementRefs({
        @XmlElementRef(name = "ApplicationSpecificData", namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", type = JAXBElement.class),
        @XmlElementRef(name = "Metadata", namespace = "urn:mpeg:maf:schema:mediastreaming:DIDLextensions", type = JAXBElement.class),
        @XmlElementRef(name = "LaserObject", namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", type = JAXBElement.class),
        @XmlElementRef(name = "RelatedIdentifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS", type = RelatedIdentifier.class),
        @XmlElementRef(name = "Identifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS", type = JAXBElement.class),
        @XmlElementRef(name = "ERR", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", type = JAXBElement.class),
        @XmlElementRef(name = "IPMPGeneralInfoDescriptor", namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", type = JAXBElement.class),
        @XmlElementRef(name = "ContentElementSignature", namespace = "urn:mpeg:mpegM:schema:06-didl-NS:2012", type = JAXBElement.class)
    })
    @XmlMixed
    protected List<Serializable> content;
    @XmlAttribute(name = "mimeType")
    protected String mimeType;
    @XmlAttribute(name = "ref")
    @XmlSchemaType(name = "anyURI")
    protected String ref;

    /**
     * Gets the value of the content property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the content property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link ApplicationSpecificDataType }{@code >}
     * {@link JAXBElement }{@code <}{@link MetadataType }{@code >}
     * {@link String }
     * {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     * {@link RelatedIdentifier }
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link ERRType }{@code >}
     * {@link JAXBElement }{@code <}{@link IPMPGeneralInfoDescriptorType }{@code >}
     * {@link JAXBElement }{@code <}{@link SignatureType }{@code >}
     * 
     * 
     */
    public List<Serializable> getContent() {
        if (content == null) {
            content = new ArrayList<Serializable>();
        }
        return this.content;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

    /**
     * Gets the value of the ref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRef() {
        return ref;
    }

    /**
     * Sets the value of the ref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRef(String value) {
        this.ref = value;
    }

}
