
package org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Selection_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Selection");
    private final static QName _DIDL_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "DIDL");
    private final static QName _Anchor_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Anchor");
    private final static QName _Choice_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Choice");
    private final static QName _Descriptor_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Descriptor");
    private final static QName _Fragment_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Fragment");
    private final static QName _Assertion_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Assertion");
    private final static QName _Container_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Container");
    private final static QName _Component_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Component");
    private final static QName _Resource_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Resource");
    private final static QName _Statement_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Statement");
    private final static QName _Declarations_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Declarations");
    private final static QName _DIDLInfo_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "DIDLInfo");
    private final static QName _Annotation_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Annotation");
    private final static QName _Item_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Item");
    private final static QName _Condition_QNAME = new QName("urn:mpeg:mpeg21:2002:02-DIDL-NS", "Condition");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.digitalitemTE.schema.didl_mp21
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ContainerType }
     * 
     */
    public ContainerType createContainerType() {
        return new ContainerType();
    }

    /**
     * Create an instance of {@link ComponentType }
     * 
     */
    public ComponentType createComponentType() {
        return new ComponentType();
    }

    /**
     * Create an instance of {@link AssertionType }
     * 
     */
    public AssertionType createAssertionType() {
        return new AssertionType();
    }

    /**
     * Create an instance of {@link FragmentType }
     * 
     */
    public FragmentType createFragmentType() {
        return new FragmentType();
    }

    /**
     * Create an instance of {@link StatementType }
     * 
     */
    public StatementType createStatementType() {
        return new StatementType();
    }

    /**
     * Create an instance of {@link AnchorType }
     * 
     */
    public AnchorType createAnchorType() {
        return new AnchorType();
    }

    /**
     * Create an instance of {@link DeclarationsType }
     * 
     */
    public DeclarationsType createDeclarationsType() {
        return new DeclarationsType();
    }

    /**
     * Create an instance of {@link DIDLType }
     * 
     */
    public DIDLType createDIDLType() {
        return new DIDLType();
    }

    /**
     * Create an instance of {@link ChoiceType }
     * 
     */
    public ChoiceType createChoiceType() {
        return new ChoiceType();
    }

    /**
     * Create an instance of {@link AnnotationType }
     * 
     */
    public AnnotationType createAnnotationType() {
        return new AnnotationType();
    }

    /**
     * Create an instance of {@link DescriptorType }
     * 
     */
    public DescriptorType createDescriptorType() {
        return new DescriptorType();
    }

    /**
     * Create an instance of {@link ItemType }
     * 
     */
    public ItemType createItemType() {
        return new ItemType();
    }

    /**
     * Create an instance of {@link DIDLInfoType }
     * 
     */
    public DIDLInfoType createDIDLInfoType() {
        return new DIDLInfoType();
    }

    /**
     * Create an instance of {@link ResourceType }
     * 
     */
    public ResourceType createResourceType() {
        return new ResourceType();
    }

    /**
     * Create an instance of {@link SelectionType }
     * 
     */
    public SelectionType createSelectionType() {
        return new SelectionType();
    }

    /**
     * Create an instance of {@link ConditionType }
     * 
     */
    public ConditionType createConditionType() {
        return new ConditionType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SelectionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Selection", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Selection")
    public JAXBElement<SelectionType> createSelection(SelectionType value) {
        return new JAXBElement<SelectionType>(_Selection_QNAME, SelectionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DIDLType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "DIDL")
    public JAXBElement<DIDLType> createDIDL(DIDLType value) {
        return new JAXBElement<DIDLType>(_DIDL_QNAME, DIDLType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnchorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Anchor", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Anchor")
    public JAXBElement<AnchorType> createAnchor(AnchorType value) {
        return new JAXBElement<AnchorType>(_Anchor_QNAME, AnchorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ChoiceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Choice", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Choice")
    public JAXBElement<ChoiceType> createChoice(ChoiceType value) {
        return new JAXBElement<ChoiceType>(_Choice_QNAME, ChoiceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Descriptor", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Descriptor")
    public JAXBElement<DescriptorType> createDescriptor(DescriptorType value) {
        return new JAXBElement<DescriptorType>(_Descriptor_QNAME, DescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FragmentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Fragment", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Fragment")
    public JAXBElement<FragmentType> createFragment(FragmentType value) {
        return new JAXBElement<FragmentType>(_Fragment_QNAME, FragmentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssertionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Assertion", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Assertion")
    public JAXBElement<AssertionType> createAssertion(AssertionType value) {
        return new JAXBElement<AssertionType>(_Assertion_QNAME, AssertionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ContainerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Container", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Container")
    public JAXBElement<ContainerType> createContainer(ContainerType value) {
        return new JAXBElement<ContainerType>(_Container_QNAME, ContainerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ComponentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Component", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Component")
    public JAXBElement<ComponentType> createComponent(ComponentType value) {
        return new JAXBElement<ComponentType>(_Component_QNAME, ComponentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Resource", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Resource")
    public JAXBElement<ResourceType> createResource(ResourceType value) {
        return new JAXBElement<ResourceType>(_Resource_QNAME, ResourceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Statement", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Statement")
    public JAXBElement<StatementType> createStatement(StatementType value) {
        return new JAXBElement<StatementType>(_Statement_QNAME, StatementType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeclarationsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Declarations")
    public JAXBElement<DeclarationsType> createDeclarations(DeclarationsType value) {
        return new JAXBElement<DeclarationsType>(_Declarations_QNAME, DeclarationsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DIDLInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "DIDLInfo")
    public JAXBElement<DIDLInfoType> createDIDLInfo(DIDLInfoType value) {
        return new JAXBElement<DIDLInfoType>(_DIDLInfo_QNAME, DIDLInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnnotationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Annotation", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Annotation")
    public JAXBElement<AnnotationType> createAnnotation(AnnotationType value) {
        return new JAXBElement<AnnotationType>(_Annotation_QNAME, AnnotationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ItemType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Item", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Item")
    public JAXBElement<ItemType> createItem(ItemType value) {
        return new JAXBElement<ItemType>(_Item_QNAME, ItemType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConditionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2002:02-DIDL-NS", name = "Condition", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Condition")
    public JAXBElement<ConditionType> createCondition(ConditionType value) {
        return new JAXBElement<ConditionType>(_Condition_QNAME, ConditionType.class, null, value);
    }

}
