
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.PlaceType;


/**
 * <p>Java class for ERDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERDataType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}PeerId" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}UserId" minOccurs="0"/>
 *         &lt;element name="Time" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Location" type="{urn:mpeg:mpeg7:schema:2004}PlaceType" minOccurs="0"/>
 *         &lt;element name="DII" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="RelatedDII" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="DIOperation" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="ReportedDomainData" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ReportedDomainDataType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ReportedDIMetadata" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ReportedDIMetadataType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="idData" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERDataType", propOrder = {
    "peerId",
    "userId",
    "time",
    "location",
    "dii",
    "relatedDII",
    "diOperation",
    "reportedDomainData",
    "reportedDIMetadata"
})
public class ERDataType
    extends ERBaseType
{

    @XmlElement(name = "PeerId")
    @XmlSchemaType(name = "anyURI")
    protected String peerId;
    @XmlElement(name = "UserId")
    @XmlSchemaType(name = "anyURI")
    protected String userId;
    @XmlElement(name = "Time")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar time;
    @XmlElement(name = "Location")
    protected PlaceType location;
    @XmlElement(name = "DII")
    @XmlSchemaType(name = "anyURI")
    protected String dii;
    @XmlElement(name = "RelatedDII")
    @XmlSchemaType(name = "anyURI")
    protected String relatedDII;
    @XmlElement(name = "DIOperation")
    @XmlSchemaType(name = "anyURI")
    protected String diOperation;
    @XmlElement(name = "ReportedDomainData")
    protected List<ReportedDomainDataType> reportedDomainData;
    @XmlElement(name = "ReportedDIMetadata")
    protected List<ReportedDIMetadataType> reportedDIMetadata;
    @XmlAttribute(name = "idData")
    protected String idData;

    /**
     * Gets the value of the peerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPeerId() {
        return peerId;
    }

    /**
     * Sets the value of the peerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPeerId(String value) {
        this.peerId = value;
    }

    /**
     * Gets the value of the userId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Sets the value of the userId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserId(String value) {
        this.userId = value;
    }

    /**
     * Gets the value of the time property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTime() {
        return time;
    }

    /**
     * Sets the value of the time property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTime(XMLGregorianCalendar value) {
        this.time = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType }
     *     
     */
    public PlaceType getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType }
     *     
     */
    public void setLocation(PlaceType value) {
        this.location = value;
    }

    /**
     * Gets the value of the dii property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDII() {
        return dii;
    }

    /**
     * Sets the value of the dii property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDII(String value) {
        this.dii = value;
    }

    /**
     * Gets the value of the relatedDII property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRelatedDII() {
        return relatedDII;
    }

    /**
     * Sets the value of the relatedDII property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRelatedDII(String value) {
        this.relatedDII = value;
    }

    /**
     * Gets the value of the diOperation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDIOperation() {
        return diOperation;
    }

    /**
     * Sets the value of the diOperation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDIOperation(String value) {
        this.diOperation = value;
    }

    /**
     * Gets the value of the reportedDomainData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reportedDomainData property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReportedDomainData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReportedDomainDataType }
     * 
     * 
     */
    public List<ReportedDomainDataType> getReportedDomainData() {
        if (reportedDomainData == null) {
            reportedDomainData = new ArrayList<ReportedDomainDataType>();
        }
        return this.reportedDomainData;
    }

    /**
     * Gets the value of the reportedDIMetadata property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reportedDIMetadata property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReportedDIMetadata().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReportedDIMetadataType }
     * 
     * 
     */
    public List<ReportedDIMetadataType> getReportedDIMetadata() {
        if (reportedDIMetadata == null) {
            reportedDIMetadata = new ArrayList<ReportedDIMetadataType>();
        }
        return this.reportedDIMetadata;
    }

    /**
     * Gets the value of the idData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdData() {
        return idData;
    }

    /**
     * Sets the value of the idData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdData(String value) {
        this.idData = value;
    }

}
