
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERDescriptorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERDescriptorType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element name="Description" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DescriptionType" minOccurs="0"/>
 *         &lt;element name="Recipient" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}RecipientType"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERPayloadSpecification" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Status" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}StatusType"/>
 *         &lt;element name="Modification" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ModificationType" maxOccurs="unbounded"/>
 *         &lt;element name="ERSource" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERSourceType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERDescriptorType", propOrder = {
    "description",
    "recipient",
    "erPayloadSpecification",
    "status",
    "modification",
    "erSource"
})
public class ERDescriptorType
    extends ERBaseType
{

    @XmlElement(name = "Description")
    protected String description;
    @XmlElement(name = "Recipient", required = true)
    protected RecipientType recipient;
    @XmlElement(name = "ERPayloadSpecification")
    protected List<ERPayloadSpecificationType> erPayloadSpecification;
    @XmlElement(name = "Status", required = true)
    protected StatusType status;
    @XmlElement(name = "Modification", required = true)
    protected List<ModificationType> modification;
    @XmlElement(name = "ERSource", required = true)
    protected ERSourceType erSource;

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the recipient property.
     * 
     * @return
     *     possible object is
     *     {@link RecipientType }
     *     
     */
    public RecipientType getRecipient() {
        return recipient;
    }

    /**
     * Sets the value of the recipient property.
     * 
     * @param value
     *     allowed object is
     *     {@link RecipientType }
     *     
     */
    public void setRecipient(RecipientType value) {
        this.recipient = value;
    }

    /**
     * Gets the value of the erPayloadSpecification property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the erPayloadSpecification property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getERPayloadSpecification().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ERPayloadSpecificationType }
     * 
     * 
     */
    public List<ERPayloadSpecificationType> getERPayloadSpecification() {
        if (erPayloadSpecification == null) {
            erPayloadSpecification = new ArrayList<ERPayloadSpecificationType>();
        }
        return this.erPayloadSpecification;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link StatusType }
     *     
     */
    public StatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusType }
     *     
     */
    public void setStatus(StatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the modification property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the modification property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getModification().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ModificationType }
     * 
     * 
     */
    public List<ModificationType> getModification() {
        if (modification == null) {
            modification = new ArrayList<ModificationType>();
        }
        return this.modification;
    }

    /**
     * Gets the value of the erSource property.
     * 
     * @return
     *     possible object is
     *     {@link ERSourceType }
     *     
     */
    public ERSourceType getERSource() {
        return erSource;
    }

    /**
     * Sets the value of the erSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERSourceType }
     *     
     */
    public void setERSource(ERSourceType value) {
        this.erSource = value;
    }

}
