
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERSpecificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERSpecificationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2002:01-DII-NS}Identifier" minOccurs="0"/>
 *         &lt;element name="ERDescription" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DescriptionType" minOccurs="0"/>
 *         &lt;element name="AccessControl" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERPayloadSpecification"/>
 *         &lt;element name="ERFormatSpecification" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERFormatSpecificationType"/>
 *         &lt;element name="ERDeliverySpecification" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERDeliverySpecificationType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}EmbeddedERR" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERSpecificationType", propOrder = {
    "identifier",
    "erDescription",
    "accessControl",
    "erPayloadSpecification",
    "erFormatSpecification",
    "erDeliverySpecification",
    "embeddedERR"
})
public class ERSpecificationType
    extends ERBaseType
{

    @XmlElement(name = "Identifier", namespace = "urn:mpeg:mpeg21:2002:01-DII-NS")
    @XmlSchemaType(name = "anyURI")
    protected String identifier;
    @XmlElement(name = "ERDescription")
    protected String erDescription;
    @XmlElement(name = "AccessControl")
    protected Object accessControl;
    @XmlElement(name = "ERPayloadSpecification", required = true)
    protected ERPayloadSpecificationType erPayloadSpecification;
    @XmlElement(name = "ERFormatSpecification", required = true)
    protected ERFormatSpecificationType erFormatSpecification;
    @XmlElement(name = "ERDeliverySpecification")
    protected List<ERDeliverySpecificationType> erDeliverySpecification;
    @XmlElement(name = "EmbeddedERR")
    protected List<EmbeddedERRType> embeddedERR;

    /**
     * Gets the value of the identifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifier() {
        return identifier;
    }

    /**
     * Sets the value of the identifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifier(String value) {
        this.identifier = value;
    }

    /**
     * Gets the value of the erDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getERDescription() {
        return erDescription;
    }

    /**
     * Sets the value of the erDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setERDescription(String value) {
        this.erDescription = value;
    }

    /**
     * Gets the value of the accessControl property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getAccessControl() {
        return accessControl;
    }

    /**
     * Sets the value of the accessControl property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setAccessControl(Object value) {
        this.accessControl = value;
    }

    /**
     * Gets the value of the erPayloadSpecification property.
     * 
     * @return
     *     possible object is
     *     {@link ERPayloadSpecificationType }
     *     
     */
    public ERPayloadSpecificationType getERPayloadSpecification() {
        return erPayloadSpecification;
    }

    /**
     * Sets the value of the erPayloadSpecification property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERPayloadSpecificationType }
     *     
     */
    public void setERPayloadSpecification(ERPayloadSpecificationType value) {
        this.erPayloadSpecification = value;
    }

    /**
     * Gets the value of the erFormatSpecification property.
     * 
     * @return
     *     possible object is
     *     {@link ERFormatSpecificationType }
     *     
     */
    public ERFormatSpecificationType getERFormatSpecification() {
        return erFormatSpecification;
    }

    /**
     * Sets the value of the erFormatSpecification property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERFormatSpecificationType }
     *     
     */
    public void setERFormatSpecification(ERFormatSpecificationType value) {
        this.erFormatSpecification = value;
    }

    /**
     * Gets the value of the erDeliverySpecification property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the erDeliverySpecification property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getERDeliverySpecification().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ERDeliverySpecificationType }
     * 
     * 
     */
    public List<ERDeliverySpecificationType> getERDeliverySpecification() {
        if (erDeliverySpecification == null) {
            erDeliverySpecification = new ArrayList<ERDeliverySpecificationType>();
        }
        return this.erDeliverySpecification;
    }

    /**
     * Gets the value of the embeddedERR property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the embeddedERR property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEmbeddedERR().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EmbeddedERRType }
     * 
     * 
     */
    public List<EmbeddedERRType> getEmbeddedERR() {
        if (embeddedERR == null) {
            embeddedERR = new ArrayList<EmbeddedERRType>();
        }
        return this.embeddedERR;
    }

}
