
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ERType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ERType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERDescriptor"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERData"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}EmbeddedERR" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ERType", propOrder = {
    "erDescriptor",
    "erData",
    "embeddedERR"
})
public class ERType
    extends ERBaseType
{

    @XmlElement(name = "ERDescriptor", required = true)
    protected ERDescriptorType erDescriptor;
    @XmlElement(name = "ERData", required = true)
    protected ERDataType erData;
    @XmlElement(name = "EmbeddedERR")
    protected List<EmbeddedERRType> embeddedERR;

    /**
     * Gets the value of the erDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link ERDescriptorType }
     *     
     */
    public ERDescriptorType getERDescriptor() {
        return erDescriptor;
    }

    /**
     * Sets the value of the erDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERDescriptorType }
     *     
     */
    public void setERDescriptor(ERDescriptorType value) {
        this.erDescriptor = value;
    }

    /**
     * Gets the value of the erData property.
     * 
     * @return
     *     possible object is
     *     {@link ERDataType }
     *     
     */
    public ERDataType getERData() {
        return erData;
    }

    /**
     * Sets the value of the erData property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERDataType }
     *     
     */
    public void setERData(ERDataType value) {
        this.erData = value;
    }

    /**
     * Gets the value of the embeddedERR property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the embeddedERR property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEmbeddedERR().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EmbeddedERRType }
     * 
     * 
     */
    public List<EmbeddedERRType> getEmbeddedERR() {
        if (embeddedERR == null) {
            embeddedERR = new ArrayList<EmbeddedERRType>();
        }
        return this.embeddedERR;
    }

}
