
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EventConditionDescriptorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EventConditionDescriptorType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERBaseType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}Operator" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="TimeCondition" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}TimeConditionType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="DIOperationCondition" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}DIOperationConditionType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="PeerCondition" type="{urn:mpeg:mpeg21:2005:01-ERL-NS}PeerConditionType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/choice>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EventConditionDescriptorType", propOrder = {
    "operatorOrTimeConditionOrDIOperationCondition"
})
public class EventConditionDescriptorType
    extends ERBaseType
{

    @XmlElements({
        @XmlElement(name = "DIOperationCondition", type = DIOperationConditionType.class),
        @XmlElement(name = "Operator", type = ExternalOperatorType.class),
        @XmlElement(name = "PeerCondition", type = PeerConditionType.class),
        @XmlElement(name = "TimeCondition", type = TimeConditionType.class)
    })
    protected List<Object> operatorOrTimeConditionOrDIOperationCondition;

    /**
     * Gets the value of the operatorOrTimeConditionOrDIOperationCondition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the operatorOrTimeConditionOrDIOperationCondition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOperatorOrTimeConditionOrDIOperationCondition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DIOperationConditionType }
     * {@link ExternalOperatorType }
     * {@link PeerConditionType }
     * {@link TimeConditionType }
     * 
     * 
     */
    public List<Object> getOperatorOrTimeConditionOrDIOperationCondition() {
        if (operatorOrTimeConditionOrDIOperationCondition == null) {
            operatorOrTimeConditionOrDIOperationCondition = new ArrayList<Object>();
        }
        return this.operatorOrTimeConditionOrDIOperationCondition;
    }

}
