
package org.iso.mpeg.mxm.engine.eventreportTE.schema.er;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.eventreportTE.schema.er package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Operator_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "Operator");
    private final static QName _ERPayloadSpecification_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERPayloadSpecification");
    private final static QName _ERData_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERData");
    private final static QName _PeerId_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "PeerId");
    private final static QName _ER_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ER");
    private final static QName _ERSpecification_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERSpecification");
    private final static QName _ERR_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERR");
    private final static QName _ERDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERDescriptor");
    private final static QName _UserId_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "UserId");
    private final static QName _EmbeddedERR_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "EmbeddedERR");
    private final static QName _ERRDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "ERRDescriptor");
    private final static QName _EventConditionDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2005:01-ERL-NS", "EventConditionDescriptor");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.eventreportTE.schema.er
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DIMetadataElementType }
     * 
     */
    public DIMetadataElementType createDIMetadataElementType() {
        return new DIMetadataElementType();
    }

    /**
     * Create an instance of {@link ERSpecificationType }
     * 
     */
    public ERSpecificationType createERSpecificationType() {
        return new ERSpecificationType();
    }

    /**
     * Create an instance of {@link ElapsedTime }
     * 
     */
    public ElapsedTime createElapsedTime() {
        return new ElapsedTime();
    }

    /**
     * Create an instance of {@link PeerEventType }
     * 
     */
    public PeerEventType createPeerEventType() {
        return new PeerEventType();
    }

    /**
     * Create an instance of {@link PeriodicTime }
     * 
     */
    public PeriodicTime createPeriodicTime() {
        return new PeriodicTime();
    }

    /**
     * Create an instance of {@link TimeType }
     * 
     */
    public TimeType createTimeType() {
        return new TimeType();
    }

    /**
     * Create an instance of {@link DISelectionType }
     * 
     */
    public DISelectionType createDISelectionType() {
        return new DISelectionType();
    }

    /**
     * Create an instance of {@link RecipientType }
     * 
     */
    public RecipientType createRecipientType() {
        return new RecipientType();
    }

    /**
     * Create an instance of {@link DISelectionType.DISelectionViaRelatedDII }
     * 
     */
    public DISelectionType.DISelectionViaRelatedDII createDISelectionTypeDISelectionViaRelatedDII() {
        return new DISelectionType.DISelectionViaRelatedDII();
    }

    /**
     * Create an instance of {@link StartElapse }
     * 
     */
    public StartElapse createStartElapse() {
        return new StartElapse();
    }

    /**
     * Create an instance of {@link ERFormatSpecificationType }
     * 
     */
    public ERFormatSpecificationType createERFormatSpecificationType() {
        return new ERFormatSpecificationType();
    }

    /**
     * Create an instance of {@link StatusType }
     * 
     */
    public StatusType createStatusType() {
        return new StatusType();
    }

    /**
     * Create an instance of {@link LifeTimeType }
     * 
     */
    public LifeTimeType createLifeTimeType() {
        return new LifeTimeType();
    }

    /**
     * Create an instance of {@link DIOperationEventType }
     * 
     */
    public DIOperationEventType createDIOperationEventType() {
        return new DIOperationEventType();
    }

    /**
     * Create an instance of {@link DomainDataType }
     * 
     */
    public DomainDataType createDomainDataType() {
        return new DomainDataType();
    }

    /**
     * Create an instance of {@link ReportedDomainDataType }
     * 
     */
    public ReportedDomainDataType createReportedDomainDataType() {
        return new ReportedDomainDataType();
    }

    /**
     * Create an instance of {@link ERDataType }
     * 
     */
    public ERDataType createERDataType() {
        return new ERDataType();
    }

    /**
     * Create an instance of {@link ERRType }
     * 
     */
    public ERRType createERRType() {
        return new ERRType();
    }

    /**
     * Create an instance of {@link ERType }
     * 
     */
    public ERType createERType() {
        return new ERType();
    }

    /**
     * Create an instance of {@link ERSourceType }
     * 
     */
    public ERSourceType createERSourceType() {
        return new ERSourceType();
    }

    /**
     * Create an instance of {@link ERDescriptorType }
     * 
     */
    public ERDescriptorType createERDescriptorType() {
        return new ERDescriptorType();
    }

    /**
     * Create an instance of {@link ReportedDIMetadataType }
     * 
     */
    public ReportedDIMetadataType createReportedDIMetadataType() {
        return new ReportedDIMetadataType();
    }

    /**
     * Create an instance of {@link ERRDescriptorType }
     * 
     */
    public ERRDescriptorType createERRDescriptorType() {
        return new ERRDescriptorType();
    }

    /**
     * Create an instance of {@link EmbeddedERRType }
     * 
     */
    public EmbeddedERRType createEmbeddedERRType() {
        return new EmbeddedERRType();
    }

    /**
     * Create an instance of {@link PeerConditionType }
     * 
     */
    public PeerConditionType createPeerConditionType() {
        return new PeerConditionType();
    }

    /**
     * Create an instance of {@link SpecificTime }
     * 
     */
    public SpecificTime createSpecificTime() {
        return new SpecificTime();
    }

    /**
     * Create an instance of {@link TimeConditionType }
     * 
     */
    public TimeConditionType createTimeConditionType() {
        return new TimeConditionType();
    }

    /**
     * Create an instance of {@link DISelectionType.DISelectionViaDII }
     * 
     */
    public DISelectionType.DISelectionViaDII createDISelectionTypeDISelectionViaDII() {
        return new DISelectionType.DISelectionViaDII();
    }

    /**
     * Create an instance of {@link ERPayloadSpecificationType }
     * 
     */
    public ERPayloadSpecificationType createERPayloadSpecificationType() {
        return new ERPayloadSpecificationType();
    }

    /**
     * Create an instance of {@link ModificationType }
     * 
     */
    public ModificationType createModificationType() {
        return new ModificationType();
    }

    /**
     * Create an instance of {@link DIOperationConditionType }
     * 
     */
    public DIOperationConditionType createDIOperationConditionType() {
        return new DIOperationConditionType();
    }

    /**
     * Create an instance of {@link EndElapse }
     * 
     */
    public EndElapse createEndElapse() {
        return new EndElapse();
    }

    /**
     * Create an instance of {@link DITransportServiceType }
     * 
     */
    public DITransportServiceType createDITransportServiceType() {
        return new DITransportServiceType();
    }

    /**
     * Create an instance of {@link DISelectionViaMetadataElementsType }
     * 
     */
    public DISelectionViaMetadataElementsType createDISelectionViaMetadataElementsType() {
        return new DISelectionViaMetadataElementsType();
    }

    /**
     * Create an instance of {@link EventConditionDescriptorType }
     * 
     */
    public EventConditionDescriptorType createEventConditionDescriptorType() {
        return new EventConditionDescriptorType();
    }

    /**
     * Create an instance of {@link ExternalOperatorType }
     * 
     */
    public ExternalOperatorType createExternalOperatorType() {
        return new ExternalOperatorType();
    }

    /**
     * Create an instance of {@link DIMetadataType }
     * 
     */
    public DIMetadataType createDIMetadataType() {
        return new DIMetadataType();
    }

    /**
     * Create an instance of {@link ERIdentifierType }
     * 
     */
    public ERIdentifierType createERIdentifierType() {
        return new ERIdentifierType();
    }

    /**
     * Create an instance of {@link ERDeliverySpecificationType }
     * 
     */
    public ERDeliverySpecificationType createERDeliverySpecificationType() {
        return new ERDeliverySpecificationType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ExternalOperatorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "Operator")
    public JAXBElement<ExternalOperatorType> createOperator(ExternalOperatorType value) {
        return new JAXBElement<ExternalOperatorType>(_Operator_QNAME, ExternalOperatorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERPayloadSpecificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERPayloadSpecification")
    public JAXBElement<ERPayloadSpecificationType> createERPayloadSpecification(ERPayloadSpecificationType value) {
        return new JAXBElement<ERPayloadSpecificationType>(_ERPayloadSpecification_QNAME, ERPayloadSpecificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERData")
    public JAXBElement<ERDataType> createERData(ERDataType value) {
        return new JAXBElement<ERDataType>(_ERData_QNAME, ERDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "PeerId")
    public JAXBElement<String> createPeerId(String value) {
        return new JAXBElement<String>(_PeerId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ER")
    public JAXBElement<ERType> createER(ERType value) {
        return new JAXBElement<ERType>(_ER_QNAME, ERType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERSpecificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERSpecification")
    public JAXBElement<ERSpecificationType> createERSpecification(ERSpecificationType value) {
        return new JAXBElement<ERSpecificationType>(_ERSpecification_QNAME, ERSpecificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERRType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERR")
    public JAXBElement<ERRType> createERR(ERRType value) {
        return new JAXBElement<ERRType>(_ERR_QNAME, ERRType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERDescriptor")
    public JAXBElement<ERDescriptorType> createERDescriptor(ERDescriptorType value) {
        return new JAXBElement<ERDescriptorType>(_ERDescriptor_QNAME, ERDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "UserId")
    public JAXBElement<String> createUserId(String value) {
        return new JAXBElement<String>(_UserId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmbeddedERRType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "EmbeddedERR")
    public JAXBElement<EmbeddedERRType> createEmbeddedERR(EmbeddedERRType value) {
        return new JAXBElement<EmbeddedERRType>(_EmbeddedERR_QNAME, EmbeddedERRType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERRDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "ERRDescriptor")
    public JAXBElement<ERRDescriptorType> createERRDescriptor(ERRDescriptorType value) {
        return new JAXBElement<ERRDescriptorType>(_ERRDescriptor_QNAME, ERRDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EventConditionDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS", name = "EventConditionDescriptor")
    public JAXBElement<EventConditionDescriptorType> createEventConditionDescriptor(EventConditionDescriptorType value) {
        return new JAXBElement<EventConditionDescriptorType>(_EventConditionDescriptor_QNAME, EventConditionDescriptorType.class, null, value);
    }

}
