
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for IPMPGeneralInfoDescriptorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IPMPGeneralInfoDescriptorType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ToolList" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}LicenseCollection" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IPMPGeneralInfoDescriptorType", propOrder = {
    "toolList",
    "licenseCollection",
    "signature"
})
public class IPMPGeneralInfoDescriptorType {

    @XmlElement(name = "ToolList")
    protected ToolListType toolList;
    @XmlElement(name = "LicenseCollection")
    protected LicenseCollectionType licenseCollection;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the toolList property.
     * 
     * @return
     *     possible object is
     *     {@link ToolListType }
     *     
     */
    public ToolListType getToolList() {
        return toolList;
    }

    /**
     * Sets the value of the toolList property.
     * 
     * @param value
     *     allowed object is
     *     {@link ToolListType }
     *     
     */
    public void setToolList(ToolListType value) {
        this.toolList = value;
    }

    /**
     * Gets the value of the licenseCollection property.
     * 
     * @return
     *     possible object is
     *     {@link LicenseCollectionType }
     *     
     */
    public LicenseCollectionType getLicenseCollection() {
        return licenseCollection;
    }

    /**
     * Sets the value of the licenseCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link LicenseCollectionType }
     *     
     */
    public void setLicenseCollection(LicenseCollectionType value) {
        this.licenseCollection = value;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
