
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ConfigurationSettings_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ConfigurationSettings");
    private final static QName _ToolList_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ToolList");
    private final static QName _ScheduledUpdateTime_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ScheduledUpdateTime");
    private final static QName _License_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "License");
    private final static QName _ToolRef_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ToolRef");
    private final static QName _IPMPGeneralInfoDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "IPMPGeneralInfoDescriptor");
    private final static QName _LicenseCollection_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "LicenseCollection");
    private final static QName _Update_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Update");
    private final static QName _Configuration_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Configuration");
    private final static QName _ToolBaseDescription_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ToolBaseDescription");
    private final static QName _LicenseReference_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "LicenseReference");
    private final static QName _Tool_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Tool");
    private final static QName _ToolDescription_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "ToolDescription");
    private final static QName _InitializationSettings_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "InitializationSettings");
    private final static QName _IPMPInfoDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "IPMPInfoDescriptor");
    private final static QName _LicenseService_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "LicenseService");
    private final static QName _Location_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Location");
    private final static QName _Remote_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Remote");
    private final static QName _MemberOf_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "MemberOf");
    private final static QName _IPMPToolID_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "IPMPToolID");
    private final static QName _Binary_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Binary");
    private final static QName _SupportedPlatform_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "SupportedPlatform");
    private final static QName _RightsDescriptor_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "RightsDescriptor");
    private final static QName _AlternateGroup_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "AlternateGroup");
    private final static QName _InitializationData_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "InitializationData");
    private final static QName _Inline_QNAME = new QName("urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", "Inline");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link LicenseReferenceType }
     * 
     */
    public LicenseReferenceType createLicenseReferenceType() {
        return new LicenseReferenceType();
    }

    /**
     * Create an instance of {@link InitializationDataType }
     * 
     */
    public InitializationDataType createInitializationDataType() {
        return new InitializationDataType();
    }

    /**
     * Create an instance of {@link RemoteType }
     * 
     */
    public RemoteType createRemoteType() {
        return new RemoteType();
    }

    /**
     * Create an instance of {@link UpdateType }
     * 
     */
    public UpdateType createUpdateType() {
        return new UpdateType();
    }

    /**
     * Create an instance of {@link InlineType }
     * 
     */
    public InlineType createInlineType() {
        return new InlineType();
    }

    /**
     * Create an instance of {@link LicenseType }
     * 
     */
    public LicenseType createLicenseType() {
        return new LicenseType();
    }

    /**
     * Create an instance of {@link InitializationSettingsType }
     * 
     */
    public InitializationSettingsType createInitializationSettingsType() {
        return new InitializationSettingsType();
    }

    /**
     * Create an instance of {@link RightsDescriptorType }
     * 
     */
    public RightsDescriptorType createRightsDescriptorType() {
        return new RightsDescriptorType();
    }

    /**
     * Create an instance of {@link ScheduledUpdateTimeType }
     * 
     */
    public ScheduledUpdateTimeType createScheduledUpdateTimeType() {
        return new ScheduledUpdateTimeType();
    }

    /**
     * Create an instance of {@link AlternateGroupType }
     * 
     */
    public AlternateGroupType createAlternateGroupType() {
        return new AlternateGroupType();
    }

    /**
     * Create an instance of {@link MemberOfType }
     * 
     */
    public MemberOfType createMemberOfType() {
        return new MemberOfType();
    }

    /**
     * Create an instance of {@link ConfigurationSettingsType }
     * 
     */
    public ConfigurationSettingsType createConfigurationSettingsType() {
        return new ConfigurationSettingsType();
    }

    /**
     * Create an instance of {@link LicenseCollectionType }
     * 
     */
    public LicenseCollectionType createLicenseCollectionType() {
        return new LicenseCollectionType();
    }

    /**
     * Create an instance of {@link ToolListType }
     * 
     */
    public ToolListType createToolListType() {
        return new ToolListType();
    }

    /**
     * Create an instance of {@link IPMPInfoDescriptorType }
     * 
     */
    public IPMPInfoDescriptorType createIPMPInfoDescriptorType() {
        return new IPMPInfoDescriptorType();
    }

    /**
     * Create an instance of {@link ToolBaseDescriptionType }
     * 
     */
    public ToolBaseDescriptionType createToolBaseDescriptionType() {
        return new ToolBaseDescriptionType();
    }

    /**
     * Create an instance of {@link ConfigurationType }
     * 
     */
    public ConfigurationType createConfigurationType() {
        return new ConfigurationType();
    }

    /**
     * Create an instance of {@link ToolType }
     * 
     */
    public ToolType createToolType() {
        return new ToolType();
    }

    /**
     * Create an instance of {@link IPMPGeneralInfoDescriptorType }
     * 
     */
    public IPMPGeneralInfoDescriptorType createIPMPGeneralInfoDescriptorType() {
        return new IPMPGeneralInfoDescriptorType();
    }

    /**
     * Create an instance of {@link ToolDescriptionType }
     * 
     */
    public ToolDescriptionType createToolDescriptionType() {
        return new ToolDescriptionType();
    }

    /**
     * Create an instance of {@link ToolRef }
     * 
     */
    public ToolRef createToolRef() {
        return new ToolRef();
    }

    /**
     * Create an instance of {@link SupportedPlatformType }
     * 
     */
    public SupportedPlatformType createSupportedPlatformType() {
        return new SupportedPlatformType();
    }

    /**
     * Create an instance of {@link LicenseServiceType }
     * 
     */
    public LicenseServiceType createLicenseServiceType() {
        return new LicenseServiceType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigurationSettingsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ConfigurationSettings")
    public JAXBElement<ConfigurationSettingsType> createConfigurationSettings(ConfigurationSettingsType value) {
        return new JAXBElement<ConfigurationSettingsType>(_ConfigurationSettings_QNAME, ConfigurationSettingsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolListType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ToolList")
    public JAXBElement<ToolListType> createToolList(ToolListType value) {
        return new JAXBElement<ToolListType>(_ToolList_QNAME, ToolListType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ScheduledUpdateTimeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ScheduledUpdateTime")
    public JAXBElement<ScheduledUpdateTimeType> createScheduledUpdateTime(ScheduledUpdateTimeType value) {
        return new JAXBElement<ScheduledUpdateTimeType>(_ScheduledUpdateTime_QNAME, ScheduledUpdateTimeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "License")
    public JAXBElement<LicenseType> createLicense(LicenseType value) {
        return new JAXBElement<LicenseType>(_License_QNAME, LicenseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolRef }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ToolRef")
    public JAXBElement<ToolRef> createToolRef(ToolRef value) {
        return new JAXBElement<ToolRef>(_ToolRef_QNAME, ToolRef.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IPMPGeneralInfoDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "IPMPGeneralInfoDescriptor")
    public JAXBElement<IPMPGeneralInfoDescriptorType> createIPMPGeneralInfoDescriptor(IPMPGeneralInfoDescriptorType value) {
        return new JAXBElement<IPMPGeneralInfoDescriptorType>(_IPMPGeneralInfoDescriptor_QNAME, IPMPGeneralInfoDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseCollectionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "LicenseCollection")
    public JAXBElement<LicenseCollectionType> createLicenseCollection(LicenseCollectionType value) {
        return new JAXBElement<LicenseCollectionType>(_LicenseCollection_QNAME, LicenseCollectionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Update")
    public JAXBElement<UpdateType> createUpdate(UpdateType value) {
        return new JAXBElement<UpdateType>(_Update_QNAME, UpdateType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigurationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Configuration")
    public JAXBElement<ConfigurationType> createConfiguration(ConfigurationType value) {
        return new JAXBElement<ConfigurationType>(_Configuration_QNAME, ConfigurationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolBaseDescriptionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ToolBaseDescription")
    public JAXBElement<ToolBaseDescriptionType> createToolBaseDescription(ToolBaseDescriptionType value) {
        return new JAXBElement<ToolBaseDescriptionType>(_ToolBaseDescription_QNAME, ToolBaseDescriptionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseReferenceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "LicenseReference")
    public JAXBElement<LicenseReferenceType> createLicenseReference(LicenseReferenceType value) {
        return new JAXBElement<LicenseReferenceType>(_LicenseReference_QNAME, LicenseReferenceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Tool")
    public JAXBElement<ToolType> createTool(ToolType value) {
        return new JAXBElement<ToolType>(_Tool_QNAME, ToolType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolDescriptionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "ToolDescription")
    public JAXBElement<ToolDescriptionType> createToolDescription(ToolDescriptionType value) {
        return new JAXBElement<ToolDescriptionType>(_ToolDescription_QNAME, ToolDescriptionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InitializationSettingsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "InitializationSettings")
    public JAXBElement<InitializationSettingsType> createInitializationSettings(InitializationSettingsType value) {
        return new JAXBElement<InitializationSettingsType>(_InitializationSettings_QNAME, InitializationSettingsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IPMPInfoDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "IPMPInfoDescriptor")
    public JAXBElement<IPMPInfoDescriptorType> createIPMPInfoDescriptor(IPMPInfoDescriptorType value) {
        return new JAXBElement<IPMPInfoDescriptorType>(_IPMPInfoDescriptor_QNAME, IPMPInfoDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseServiceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "LicenseService")
    public JAXBElement<LicenseServiceType> createLicenseService(LicenseServiceType value) {
        return new JAXBElement<LicenseServiceType>(_LicenseService_QNAME, LicenseServiceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RemoteType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Location")
    public JAXBElement<RemoteType> createLocation(RemoteType value) {
        return new JAXBElement<RemoteType>(_Location_QNAME, RemoteType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RemoteType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Remote")
    public JAXBElement<RemoteType> createRemote(RemoteType value) {
        return new JAXBElement<RemoteType>(_Remote_QNAME, RemoteType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MemberOfType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "MemberOf")
    public JAXBElement<MemberOfType> createMemberOf(MemberOfType value) {
        return new JAXBElement<MemberOfType>(_MemberOf_QNAME, MemberOfType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "IPMPToolID")
    public JAXBElement<String> createIPMPToolID(String value) {
        return new JAXBElement<String>(_IPMPToolID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Binary")
    public JAXBElement<byte[]> createBinary(byte[] value) {
        return new JAXBElement<byte[]>(_Binary_QNAME, byte[].class, null, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SupportedPlatformType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "SupportedPlatform")
    public JAXBElement<SupportedPlatformType> createSupportedPlatform(SupportedPlatformType value) {
        return new JAXBElement<SupportedPlatformType>(_SupportedPlatform_QNAME, SupportedPlatformType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RightsDescriptorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "RightsDescriptor")
    public JAXBElement<RightsDescriptorType> createRightsDescriptor(RightsDescriptorType value) {
        return new JAXBElement<RightsDescriptorType>(_RightsDescriptor_QNAME, RightsDescriptorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AlternateGroupType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "AlternateGroup")
    public JAXBElement<AlternateGroupType> createAlternateGroup(AlternateGroupType value) {
        return new JAXBElement<AlternateGroupType>(_AlternateGroup_QNAME, AlternateGroupType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InitializationDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "InitializationData")
    public JAXBElement<InitializationDataType> createInitializationData(InitializationDataType value) {
        return new JAXBElement<InitializationDataType>(_InitializationData_QNAME, InitializationDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InlineType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS", name = "Inline")
    public JAXBElement<InlineType> createInline(InlineType value) {
        return new JAXBElement<InlineType>(_Inline_QNAME, InlineType.class, null, value);
    }

}
