
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
//import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolDescriptionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}IPMPToolID"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}MemberOf" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}Inline"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}Remote"/>
 *         &lt;/choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ConfigurationSettings" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}RightsDescriptor" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="localID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolDescriptionType", propOrder = {
    "ipmpToolID",
    "memberOf",
    "inline",
    "remote",
    "configurationSettings",
    "rightsDescriptor",
    "signature"
})
//@XmlSeeAlso({
//    org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpinfo.ToolDescriptionType.class
//})
public class ToolDescriptionType {

    @XmlElement(name = "IPMPToolID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String ipmpToolID;
    @XmlElement(name = "MemberOf")
    protected MemberOfType memberOf;
    @XmlElement(name = "Inline")
    protected InlineType inline;
    @XmlElement(name = "Remote")
    protected RemoteType remote;
    @XmlElement(name = "ConfigurationSettings")
    protected ConfigurationSettingsType configurationSettings;
    @XmlElement(name = "RightsDescriptor")
    protected RightsDescriptorType rightsDescriptor;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;
    @XmlAttribute(name = "localID", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String localID;

    /**
     * Gets the value of the ipmpToolID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIPMPToolID() {
        return ipmpToolID;
    }

    /**
     * Sets the value of the ipmpToolID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIPMPToolID(String value) {
        this.ipmpToolID = value;
    }

    /**
     * Gets the value of the memberOf property.
     * 
     * @return
     *     possible object is
     *     {@link MemberOfType }
     *     
     */
    public MemberOfType getMemberOf() {
        return memberOf;
    }

    /**
     * Sets the value of the memberOf property.
     * 
     * @param value
     *     allowed object is
     *     {@link MemberOfType }
     *     
     */
    public void setMemberOf(MemberOfType value) {
        this.memberOf = value;
    }

    /**
     * Gets the value of the inline property.
     * 
     * @return
     *     possible object is
     *     {@link InlineType }
     *     
     */
    public InlineType getInline() {
        return inline;
    }

    /**
     * Sets the value of the inline property.
     * 
     * @param value
     *     allowed object is
     *     {@link InlineType }
     *     
     */
    public void setInline(InlineType value) {
        this.inline = value;
    }

    /**
     * Gets the value of the remote property.
     * 
     * @return
     *     possible object is
     *     {@link RemoteType }
     *     
     */
    public RemoteType getRemote() {
        return remote;
    }

    /**
     * Sets the value of the remote property.
     * 
     * @param value
     *     allowed object is
     *     {@link RemoteType }
     *     
     */
    public void setRemote(RemoteType value) {
        this.remote = value;
    }

    /**
     * Gets the value of the configurationSettings property.
     * 
     * @return
     *     possible object is
     *     {@link ConfigurationSettingsType }
     *     
     */
    public ConfigurationSettingsType getConfigurationSettings() {
        return configurationSettings;
    }

    /**
     * Sets the value of the configurationSettings property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConfigurationSettingsType }
     *     
     */
    public void setConfigurationSettings(ConfigurationSettingsType value) {
        this.configurationSettings = value;
    }

    /**
     * Gets the value of the rightsDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link RightsDescriptorType }
     *     
     */
    public RightsDescriptorType getRightsDescriptor() {
        return rightsDescriptor;
    }

    /**
     * Sets the value of the rightsDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link RightsDescriptorType }
     *     
     */
    public void setRightsDescriptor(RightsDescriptorType value) {
        this.rightsDescriptor = value;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

    /**
     * Gets the value of the localID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocalID() {
        return localID;
    }

    /**
     * Sets the value of the localID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocalID(String value) {
        this.localID = value;
    }

}
