
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ToolBaseDescription"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}ToolRef"/>
 *         &lt;/choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}InitializationSettings" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}RightsDescriptor" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="order" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolType", propOrder = {
    "toolBaseDescription",
    "toolRef",
    "initializationSettings",
    "rightsDescriptor",
    "signature"
})
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg.ToolType.class
})
public class ToolType {

    @XmlElement(name = "ToolBaseDescription")
    protected ToolBaseDescriptionType toolBaseDescription;
    @XmlElement(name = "ToolRef")
    protected ToolRef toolRef;
    @XmlElement(name = "InitializationSettings")
    protected InitializationSettingsType initializationSettings;
    @XmlElement(name = "RightsDescriptor")
    protected RightsDescriptorType rightsDescriptor;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;
    @XmlAttribute(name = "order")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger order;

    /**
     * Gets the value of the toolBaseDescription property.
     * 
     * @return
     *     possible object is
     *     {@link ToolBaseDescriptionType }
     *     
     */
    public ToolBaseDescriptionType getToolBaseDescription() {
        return toolBaseDescription;
    }

    /**
     * Sets the value of the toolBaseDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link ToolBaseDescriptionType }
     *     
     */
    public void setToolBaseDescription(ToolBaseDescriptionType value) {
        this.toolBaseDescription = value;
    }

    /**
     * Gets the value of the toolRef property.
     * 
     * @return
     *     possible object is
     *     {@link ToolRef }
     *     
     */
    public ToolRef getToolRef() {
        return toolRef;
    }

    /**
     * Sets the value of the toolRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ToolRef }
     *     
     */
    public void setToolRef(ToolRef value) {
        this.toolRef = value;
    }

    /**
     * Gets the value of the initializationSettings property.
     * 
     * @return
     *     possible object is
     *     {@link InitializationSettingsType }
     *     
     */
    public InitializationSettingsType getInitializationSettings() {
        return initializationSettings;
    }

    /**
     * Sets the value of the initializationSettings property.
     * 
     * @param value
     *     allowed object is
     *     {@link InitializationSettingsType }
     *     
     */
    public void setInitializationSettings(InitializationSettingsType value) {
        this.initializationSettings = value;
    }

    /**
     * Gets the value of the rightsDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link RightsDescriptorType }
     *     
     */
    public RightsDescriptorType getRightsDescriptor() {
        return rightsDescriptor;
    }

    /**
     * Sets the value of the rightsDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link RightsDescriptorType }
     *     
     */
    public void setRightsDescriptor(RightsDescriptorType value) {
        this.rightsDescriptor = value;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

    /**
     * Gets the value of the order property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getOrder() {
        return order;
    }

    /**
     * Sets the value of the order property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setOrder(BigInteger value) {
        this.order = value;
    }

}
