
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp.TerminalIDType;


/**
 * <p>Java class for DeviceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeviceType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg4:IPMPSchema:2002}TerminalIDType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}ToolAPI_Config" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007}Others" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeviceType", propOrder = {
    "toolAPIConfig",
    "others"
})
public class DeviceType
    extends TerminalIDType
{

    @XmlElement(name = "ToolAPI_Config")
    protected List<ToolAPIConfigType> toolAPIConfig;
    @XmlElement(name = "Others")
    protected OtherTypes others;

    /**
     * Gets the value of the toolAPIConfig property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the toolAPIConfig property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getToolAPIConfig().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ToolAPIConfigType }
     * 
     * 
     */
    public List<ToolAPIConfigType> getToolAPIConfig() {
        if (toolAPIConfig == null) {
            toolAPIConfig = new ArrayList<ToolAPIConfigType>();
        }
        return this.toolAPIConfig;
    }

    /**
     * Gets the value of the others property.
     * 
     * @return
     *     possible object is
     *     {@link OtherTypes }
     *     
     */
    public OtherTypes getOthers() {
        return others;
    }

    /**
     * Sets the value of the others property.
     * 
     * @param value
     *     allowed object is
     *     {@link OtherTypes }
     *     
     */
    public void setOthers(OtherTypes value) {
        this.others = value;
    }

}
