
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ToolGroup_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolGroup");
    private final static QName _ToolBodyID_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolBodyID");
    private final static QName _ToolBody_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolBody");
    private final static QName _ToolAgent_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolAgent");
    private final static QName _ToolPack_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolPack");
    private final static QName _Others_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "Others");
    private final static QName _SingleTool_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "SingleTool");
    private final static QName _DeviceInformation_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "DeviceInformation");
    private final static QName _ToolAPIConfig_QNAME = new QName("urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", "ToolAPI_Config");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OtherTypes }
     * 
     */
    public OtherTypes createOtherTypes() {
        return new OtherTypes();
    }

    /**
     * Create an instance of {@link ToolAPIConfigType }
     * 
     */
    public ToolAPIConfigType createToolAPIConfigType() {
        return new ToolAPIConfigType();
    }

    /**
     * Create an instance of {@link ToolGroupType }
     * 
     */
    public ToolGroupType createToolGroupType() {
        return new ToolGroupType();
    }

    /**
     * Create an instance of {@link ToolUpdateType }
     * 
     */
    public ToolUpdateType createToolUpdateType() {
        return new ToolUpdateType();
    }

    /**
     * Create an instance of {@link ToolPackType }
     * 
     */
    public ToolPackType createToolPackType() {
        return new ToolPackType();
    }

    /**
     * Create an instance of {@link ToolBodyType }
     * 
     */
    public ToolBodyType createToolBodyType() {
        return new ToolBodyType();
    }

    /**
     * Create an instance of {@link DRMToolType }
     * 
     */
    public DRMToolType createDRMToolType() {
        return new DRMToolType();
    }

    /**
     * Create an instance of {@link DeviceType }
     * 
     */
    public DeviceType createDeviceType() {
        return new DeviceType();
    }

    /**
     * Create an instance of {@link ToolAgentType }
     * 
     */
    public ToolAgentType createToolAgentType() {
        return new ToolAgentType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolGroupType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolGroup")
    public JAXBElement<ToolGroupType> createToolGroup(ToolGroupType value) {
        return new JAXBElement<ToolGroupType>(_ToolGroup_QNAME, ToolGroupType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolBodyID")
    public JAXBElement<String> createToolBodyID(String value) {
        return new JAXBElement<String>(_ToolBodyID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolBodyType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolBody")
    public JAXBElement<ToolBodyType> createToolBody(ToolBodyType value) {
        return new JAXBElement<ToolBodyType>(_ToolBody_QNAME, ToolBodyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolAgentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolAgent")
    public JAXBElement<ToolAgentType> createToolAgent(ToolAgentType value) {
        return new JAXBElement<ToolAgentType>(_ToolAgent_QNAME, ToolAgentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolPackType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolPack")
    public JAXBElement<ToolPackType> createToolPack(ToolPackType value) {
        return new JAXBElement<ToolPackType>(_ToolPack_QNAME, ToolPackType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OtherTypes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "Others")
    public JAXBElement<OtherTypes> createOthers(OtherTypes value) {
        return new JAXBElement<OtherTypes>(_Others_QNAME, OtherTypes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DRMToolType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "SingleTool")
    public JAXBElement<DRMToolType> createSingleTool(DRMToolType value) {
        return new JAXBElement<DRMToolType>(_SingleTool_QNAME, DRMToolType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeviceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "DeviceInformation")
    public JAXBElement<DeviceType> createDeviceInformation(DeviceType value) {
        return new JAXBElement<DeviceType>(_DeviceInformation_QNAME, DeviceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToolAPIConfigType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:maf:Schema:mediastreaming:IPMPINFOextensions:2007", name = "ToolAPI_Config")
    public JAXBElement<ToolAPIConfigType> createToolAPIConfig(ToolAPIConfigType value) {
        return new JAXBElement<ToolAPIConfigType>(_ToolAPIConfig_QNAME, ToolAPIConfigType.class, null, value);
    }

}
