
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo_msx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for ToolAgentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ToolAgentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ToolAgentID" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="ToolAgentCode" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ToolAgentType", propOrder = {
    "toolAgentID",
    "toolAgentCode",
    "signature"
})
public class ToolAgentType {

    @XmlElement(name = "ToolAgentID", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String toolAgentID;
    @XmlElement(name = "ToolAgentCode", required = true)
    protected byte[] toolAgentCode;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;

    /**
     * Gets the value of the toolAgentID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToolAgentID() {
        return toolAgentID;
    }

    /**
     * Sets the value of the toolAgentID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToolAgentID(String value) {
        this.toolAgentID = value;
    }

    /**
     * Gets the value of the toolAgentCode property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getToolAgentCode() {
        return toolAgentCode;
    }

    /**
     * Sets the value of the toolAgentCode property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setToolAgentCode(byte[] value) {
        this.toolAgentCode = ((byte[]) value);
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

}
