
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.HexBinaryAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for altTextType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="altTextType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="languageCode" type="{http://www.w3.org/2001/XMLSchema}language"/>
 *         &lt;element name="titleText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="displayText" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}displayTextType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="needReplyText" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}replyTextType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="inclOptionSelect" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}inclOptionSelectType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SMIL_URL" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SMIL" type="{http://www.w3.org/2001/XMLSchema}hexBinary" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "altTextType", propOrder = {
    "languageCode",
    "titleText",
    "displayText",
    "needReplyText",
    "inclOptionSelect",
    "smilurl",
    "smil"
})
public class AltTextType {

    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    protected String languageCode;
    protected String titleText;
    protected List<DisplayTextType> displayText;
    protected List<ReplyTextType> needReplyText;
    protected List<InclOptionSelectType> inclOptionSelect;
    @XmlElement(name = "SMIL_URL")
    protected List<String> smilurl;
    @XmlElement(name = "SMIL", type = String.class)
    @XmlJavaTypeAdapter(HexBinaryAdapter.class)
    @XmlSchemaType(name = "hexBinary")
    protected byte[] smil;

    /**
     * Gets the value of the languageCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the value of the languageCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguageCode(String value) {
        this.languageCode = value;
    }

    /**
     * Gets the value of the titleText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTitleText() {
        return titleText;
    }

    /**
     * Sets the value of the titleText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTitleText(String value) {
        this.titleText = value;
    }

    /**
     * Gets the value of the displayText property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the displayText property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisplayText().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DisplayTextType }
     * 
     * 
     */
    public List<DisplayTextType> getDisplayText() {
        if (displayText == null) {
            displayText = new ArrayList<DisplayTextType>();
        }
        return this.displayText;
    }

    /**
     * Gets the value of the needReplyText property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the needReplyText property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNeedReplyText().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReplyTextType }
     * 
     * 
     */
    public List<ReplyTextType> getNeedReplyText() {
        if (needReplyText == null) {
            needReplyText = new ArrayList<ReplyTextType>();
        }
        return this.needReplyText;
    }

    /**
     * Gets the value of the inclOptionSelect property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the inclOptionSelect property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInclOptionSelect().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InclOptionSelectType }
     * 
     * 
     */
    public List<InclOptionSelectType> getInclOptionSelect() {
        if (inclOptionSelect == null) {
            inclOptionSelect = new ArrayList<InclOptionSelectType>();
        }
        return this.inclOptionSelect;
    }

    /**
     * Gets the value of the smilurl property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the smilurl property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSMILURL().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getSMILURL() {
        if (smilurl == null) {
            smilurl = new ArrayList<String>();
        }
        return this.smilurl;
    }

    /**
     * Gets the value of the smil property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public byte[] getSMIL() {
        return smil;
    }

    /**
     * Sets the value of the smil property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSMIL(byte[] value) {
        this.smil = ((byte[]) value);
    }

}
