
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.HexBinaryAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for bufInfoStructType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bufInfoStructType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="cipher_Id" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="syncBoundary" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;choice>
 *           &lt;sequence>
 *             &lt;element name="mode" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *             &lt;element name="blockSize" type="{http://www.w3.org/2001/XMLSchema}short"/>
 *             &lt;element name="keySize" type="{http://www.w3.org/2001/XMLSchema}short"/>
 *           &lt;/sequence>
 *           &lt;element name="Stream_Cipher_Specific_Init_Info" type="{http://www.w3.org/2001/XMLSchema}hexBinary"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bufInfoStructType", propOrder = {
    "cipherId",
    "syncBoundary",
    "mode",
    "blockSize",
    "keySize",
    "streamCipherSpecificInitInfo"
})
public class BufInfoStructType {

    @XmlElement(name = "cipher_Id", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String cipherId;
    @XmlElement(required = true)
    protected String syncBoundary;
    @XmlSchemaType(name = "anyURI")
    protected String mode;
    protected Short blockSize;
    protected Short keySize;
    @XmlElement(name = "Stream_Cipher_Specific_Init_Info", type = String.class)
    @XmlJavaTypeAdapter(HexBinaryAdapter.class)
    @XmlSchemaType(name = "hexBinary")
    protected byte[] streamCipherSpecificInitInfo;

    /**
     * Gets the value of the cipherId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCipherId() {
        return cipherId;
    }

    /**
     * Sets the value of the cipherId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCipherId(String value) {
        this.cipherId = value;
    }

    /**
     * Gets the value of the syncBoundary property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSyncBoundary() {
        return syncBoundary;
    }

    /**
     * Sets the value of the syncBoundary property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSyncBoundary(String value) {
        this.syncBoundary = value;
    }

    /**
     * Gets the value of the mode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMode() {
        return mode;
    }

    /**
     * Sets the value of the mode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMode(String value) {
        this.mode = value;
    }

    /**
     * Gets the value of the blockSize property.
     * 
     * @return
     *     possible object is
     *     {@link Short }
     *     
     */
    public Short getBlockSize() {
        return blockSize;
    }

    /**
     * Sets the value of the blockSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Short }
     *     
     */
    public void setBlockSize(Short value) {
        this.blockSize = value;
    }

    /**
     * Gets the value of the keySize property.
     * 
     * @return
     *     possible object is
     *     {@link Short }
     *     
     */
    public Short getKeySize() {
        return keySize;
    }

    /**
     * Sets the value of the keySize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Short }
     *     
     */
    public void setKeySize(Short value) {
        this.keySize = value;
    }

    /**
     * Gets the value of the streamCipherSpecificInitInfo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public byte[] getStreamCipherSpecificInitInfo() {
        return streamCipherSpecificInitInfo;
    }

    /**
     * Sets the value of the streamCipherSpecificInitInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStreamCipherSpecificInitInfo(byte[] value) {
        this.streamCipherSpecificInitInfo = ((byte[]) value);
    }

}
