
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * 				The Control Point ID is an identifier given by a
 * 				DMP-appointed Registration Authority with the purpose of
 * 				indicating a position in the media resource processings
 * 				chain, as defined in the DMP Terminology. 
 * 				The following values are currently permitted : 
 * 				"00" - NO_CONTROL_POINT 
 * 				"01" - CONTROL_POINT_BEFORE_DEMULTIPLEXING 
 * 				"02" - CONTROL_POINT_BEFORE_AUDIO_DECODING 
 * 				"03" - CONTROL_POINT_AFTER_AUDIO_DECODING 
 * 				"04" - CONTROL_POINT_BEFORE_VIDEO_DECODING 
 * 				"05" - CONTROL_POINT_AFTER_VIDEO_DECODING 
 * 				"06" - CONTROL_POINT_BEFORE_STORING 
 * 				"07" - CONTROL_POINT_BEFORE_PLAYBACK 
 * 				"08" - CONTROL_POINT_BEFORE_TRANSFERRING
 * 			
 * 
 * <p>Java class for ControlPointType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ControlPointType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ID" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ControlPointType", propOrder = {
    "id"
})
public class ControlPointType {

    @XmlElement(name = "ID", required = true)
    protected BigInteger id;

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getID() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setID(BigInteger value) {
        this.id = value;
    }

}
