
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Data_BaseClassType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Data_BaseClassType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}IPMPBaseType">
 *       &lt;sequence>
 *         &lt;element name="dataID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Data_BaseClassType", propOrder = {
    "dataID"
})
@XmlSeeAlso({
    UserQueryType.class,
    ToolPackDataType.class,
    RemoveToolNotificationListenerType.class,
    GetProtectedAssetType.class,
    InitialiseToolType.class,
    GetToolsType.class,
    SendAudioWatermarkType.class,
    AddToolNotificationListenerType.class,
    GetToolContextResponseType.class,
    AudioWatermarkingInitType.class,
    GetProtectedAssetResponseType.class,
    GetToolGroupReferenceType.class,
    GetRightsDataType.class,
    GetToolPackDataType.class,
    TerminateIPMPProcessorType.class,
    ToolParamCapabilitiesResponseType.class,
    KeyDataType.class,
    ParametricDescriptionType.class,
    CanProcessType.class,
    UserQueryResponseType.class,
    ConnectToolType.class,
    NotifyIPMPProcessorEventType.class,
    SecureContainerType.class,
    GetToolReferenceResponseType.class,
    InitAuthenticationType.class,
    DisconnectToolType.class,
    NotifyToolEventType.class,
    ToolParamCapabilitiesQueryType.class,
    MutualAuthenticationType.class,
    InitialiseIPMPProcessorType.class,
    GetToolContextType.class,
    GetToolsResponseType.class,
    RightsDataType.class,
    OpaqueDataType.class,
    GetToolGroupReferenceResponseType.class,
    VideoWatermarkingInitType.class,
    GetToolReferenceType.class,
    SendVideoWatermarkType.class,
    SelectiveDecryptionInitType.class
})
public abstract class DataBaseClassType
    extends IPMPBaseType
{

    @XmlSchemaType(name = "unsignedInt")
    protected long dataID;

    /**
     * Gets the value of the dataID property.
     * 
     */
    public long getDataID() {
        return dataID;
    }

    /**
     * Sets the value of the dataID property.
     * 
     */
    public void setDataID(long value) {
        this.dataID = value;
    }

}
