
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl.ProtectedAssetType;


/**
 * <p>Java class for GetProtectedAssetResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetProtectedAssetResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012}ProtectedAsset" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetProtectedAssetResponseType", propOrder = {
    "protectedAsset"
})
public class GetProtectedAssetResponseType
    extends DataBaseClassType
{

    @XmlElement(name = "ProtectedAsset", namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", required = true)
    protected List<ProtectedAssetType> protectedAsset;

    /**
     * Gets the value of the protectedAsset property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the protectedAsset property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProtectedAsset().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProtectedAssetType }
     * 
     * 
     */
    public List<ProtectedAssetType> getProtectedAsset() {
        if (protectedAsset == null) {
            protectedAsset = new ArrayList<ProtectedAssetType>();
        }
        return this.protectedAsset;
    }

}
