
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpinfo.IPMPGeneralInfoDescriptorType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl.ProtectedAssetType;


/**
 * <p>Java class for InitialiseIPMPProcessorType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InitialiseIPMPProcessorType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;sequence maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}ControlPointID"/>
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}ControlPointAddress" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2004:01-IPMPINFO-NS}IPMPGeneralInfoDescriptor" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012}ProtectedAsset" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InitialiseIPMPProcessorType", propOrder = {
    "controlPointIDAndControlPointAddress",
    "ipmpGeneralInfoDescriptor",
    "protectedAsset"
})
public class InitialiseIPMPProcessorType
    extends DataBaseClassType
{

    @XmlElements({
        @XmlElement(name = "ControlPointAddress", type = byte[].class),
        @XmlElement(name = "ControlPointID", type = ControlPointType.class)
    })
    protected List<Object> controlPointIDAndControlPointAddress;
    @XmlElement(name = "IPMPGeneralInfoDescriptor", namespace = "urn:mpeg:mpeg21:2004:01-IPMPINFO-NS")
    protected IPMPGeneralInfoDescriptorType ipmpGeneralInfoDescriptor;
    @XmlElement(name = "ProtectedAsset", namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012")
    protected List<ProtectedAssetType> protectedAsset;

    /**
     * Gets the value of the controlPointIDAndControlPointAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the controlPointIDAndControlPointAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getControlPointIDAndControlPointAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * byte[] {@link ControlPointType }
     * 
     * 
     */
    public List<Object> getControlPointIDAndControlPointAddress() {
        if (controlPointIDAndControlPointAddress == null) {
            controlPointIDAndControlPointAddress = new ArrayList<Object>();
        }
        return this.controlPointIDAndControlPointAddress;
    }

    /**
     * Gets the value of the ipmpGeneralInfoDescriptor property.
     * 
     * @return
     *     possible object is
     *     {@link IPMPGeneralInfoDescriptorType }
     *     
     */
    public IPMPGeneralInfoDescriptorType getIPMPGeneralInfoDescriptor() {
        return ipmpGeneralInfoDescriptor;
    }

    /**
     * Sets the value of the ipmpGeneralInfoDescriptor property.
     * 
     * @param value
     *     allowed object is
     *     {@link IPMPGeneralInfoDescriptorType }
     *     
     */
    public void setIPMPGeneralInfoDescriptor(IPMPGeneralInfoDescriptorType value) {
        this.ipmpGeneralInfoDescriptor = value;
    }

    /**
     * Gets the value of the protectedAsset property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the protectedAsset property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProtectedAsset().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProtectedAssetType }
     * 
     * 
     */
    public List<ProtectedAssetType> getProtectedAsset() {
        if (protectedAsset == null) {
            protectedAsset = new ArrayList<ProtectedAssetType>();
        }
        return this.protectedAsset;
    }

}
