
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for KeyDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="KeyDataType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Key"/>
 *           &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}TimeKey"/>
 *         &lt;/choice>
 *         &lt;element name="opaqueData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KeyDataType", propOrder = {
    "keyOrTimeKey",
    "opaqueData"
})
public class KeyDataType
    extends DataBaseClassType
{

    @XmlElements({
        @XmlElement(name = "Key"),
        @XmlElement(name = "TimeKey", type = TimeKeyType.class)
    })
    protected List<KeyType> keyOrTimeKey;
    protected byte[] opaqueData;

    /**
     * Gets the value of the keyOrTimeKey property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the keyOrTimeKey property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKeyOrTimeKey().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyType }
     * {@link TimeKeyType }
     * 
     * 
     */
    public List<KeyType> getKeyOrTimeKey() {
        if (keyOrTimeKey == null) {
            keyOrTimeKey = new ArrayList<KeyType>();
        }
        return this.keyOrTimeKey;
    }

    /**
     * Gets the value of the opaqueData property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getOpaqueData() {
        return opaqueData;
    }

    /**
     * Sets the value of the opaqueData property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setOpaqueData(byte[] value) {
        this.opaqueData = ((byte[]) value);
    }

}
