
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.HexBinaryAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for MutualAuthenticationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MutualAuthenticationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="requestNegotiation" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}requestNegotiationType"/>
 *           &lt;element name="successNegotiation" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}successNegotiationType"/>
 *           &lt;element name="failedNegotiation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;/choice>
 *         &lt;element name="authenticationData" type="{http://www.w3.org/2001/XMLSchema}hexBinary" minOccurs="0"/>
 *         &lt;element name="authCodes" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}AuthCodesType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MutualAuthenticationType", propOrder = {
    "requestNegotiation",
    "successNegotiation",
    "failedNegotiation",
    "authenticationData",
    "authCodes"
})
public class MutualAuthenticationType
    extends DataBaseClassType
{

    protected RequestNegotiationType requestNegotiation;
    protected SuccessNegotiationType successNegotiation;
    protected Boolean failedNegotiation;
    @XmlElement(type = String.class)
    @XmlJavaTypeAdapter(HexBinaryAdapter.class)
    @XmlSchemaType(name = "hexBinary")
    protected byte[] authenticationData;
    protected AuthCodesType authCodes;

    /**
     * Gets the value of the requestNegotiation property.
     * 
     * @return
     *     possible object is
     *     {@link RequestNegotiationType }
     *     
     */
    public RequestNegotiationType getRequestNegotiation() {
        return requestNegotiation;
    }

    /**
     * Sets the value of the requestNegotiation property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestNegotiationType }
     *     
     */
    public void setRequestNegotiation(RequestNegotiationType value) {
        this.requestNegotiation = value;
    }

    /**
     * Gets the value of the successNegotiation property.
     * 
     * @return
     *     possible object is
     *     {@link SuccessNegotiationType }
     *     
     */
    public SuccessNegotiationType getSuccessNegotiation() {
        return successNegotiation;
    }

    /**
     * Sets the value of the successNegotiation property.
     * 
     * @param value
     *     allowed object is
     *     {@link SuccessNegotiationType }
     *     
     */
    public void setSuccessNegotiation(SuccessNegotiationType value) {
        this.successNegotiation = value;
    }

    /**
     * Gets the value of the failedNegotiation property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isFailedNegotiation() {
        return failedNegotiation;
    }

    /**
     * Sets the value of the failedNegotiation property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFailedNegotiation(Boolean value) {
        this.failedNegotiation = value;
    }

    /**
     * Gets the value of the authenticationData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public byte[] getAuthenticationData() {
        return authenticationData;
    }

    /**
     * Sets the value of the authenticationData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthenticationData(byte[] value) {
        this.authenticationData = ((byte[]) value);
    }

    /**
     * Gets the value of the authCodes property.
     * 
     * @return
     *     possible object is
     *     {@link AuthCodesType }
     *     
     */
    public AuthCodesType getAuthCodes() {
        return authCodes;
    }

    /**
     * Sets the value of the authCodes property.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthCodesType }
     *     
     */
    public void setAuthCodes(AuthCodesType value) {
        this.authCodes = value;
    }

}
