
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for NotifyToolEventType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NotifyToolEventType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;sequence minOccurs="0">
 *           &lt;element name="OD_ID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *           &lt;element name="ESD_ID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *         &lt;/sequence>
 *         &lt;element ref="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}EventType" maxOccurs="unbounded"/>
 *         &lt;element name="toolContextID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NotifyToolEventType", propOrder = {
    "odid",
    "esdid",
    "eventType",
    "toolContextID"
})
public class NotifyToolEventType
    extends DataBaseClassType
{

    @XmlElement(name = "OD_ID")
    @XmlSchemaType(name = "unsignedInt")
    protected Long odid;
    @XmlElement(name = "ESD_ID")
    @XmlSchemaType(name = "unsignedInt")
    protected Long esdid;
    @XmlElement(name = "EventType", required = true)
    protected List<BigInteger> eventType;
    @XmlSchemaType(name = "unsignedInt")
    protected long toolContextID;

    /**
     * Gets the value of the odid property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getODID() {
        return odid;
    }

    /**
     * Sets the value of the odid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setODID(Long value) {
        this.odid = value;
    }

    /**
     * Gets the value of the esdid property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getESDID() {
        return esdid;
    }

    /**
     * Sets the value of the esdid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setESDID(Long value) {
        this.esdid = value;
    }

    /**
     * Gets the value of the eventType property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the eventType property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEventType().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BigInteger }
     * 
     * 
     */
    public List<BigInteger> getEventType() {
        if (eventType == null) {
            eventType = new ArrayList<BigInteger>();
        }
        return this.eventType;
    }

    /**
     * Gets the value of the toolContextID property.
     * 
     */
    public long getToolContextID() {
        return toolContextID;
    }

    /**
     * Sets the value of the toolContextID property.
     * 
     */
    public void setToolContextID(long value) {
        this.toolContextID = value;
    }

}
