
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SecureContainerType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SecureContainerType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="encryptedData" type="{http://www.w3.org/2001/XMLSchema}hexBinary"/>
 *           &lt;element name="MAC" type="{http://www.w3.org/2001/XMLSchema}hexBinary" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;sequence>
 *           &lt;element name="protectedMsgTag" type="{http://www.w3.org/2001/XMLSchema}short"/>
 *           &lt;element name="protectedMsg" type="{http://www.w3.org/2001/XMLSchema}hexBinary"/>
 *           &lt;element name="MAC" type="{http://www.w3.org/2001/XMLSchema}hexBinary" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SecureContainerType", propOrder = {
    "rest"
})
public class SecureContainerType
    extends DataBaseClassType
{

    @XmlElementRefs({
        @XmlElementRef(name = "protectedMsg", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class),
        @XmlElementRef(name = "protectedMsgTag", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class),
        @XmlElementRef(name = "MAC", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class),
        @XmlElementRef(name = "encryptedData", namespace = "urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> rest;

    /**
     * Gets the rest of the content model. 
     * 
     * <p>
     * You are getting this "catch-all" property because of the following reason: 
     * The field name "MAC" is used by two different parts of a schema. See: 
     * line 153 of file:/C:/Users/angelo/workspace_xml/MPEGMschemas/mpeg/ipmpmsg.xsd
     * line 148 of file:/C:/Users/angelo/workspace_xml/MPEGMschemas/mpeg/ipmpmsg.xsd
     * <p>
     * To get rid of this property, apply a property customization to one 
     * of both of the following declarations to change their names: 
     * Gets the value of the rest property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rest property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRest().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     * {@link JAXBElement }{@code <}{@link Short }{@code >}
     * {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     * {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getRest() {
        if (rest == null) {
            rest = new ArrayList<JAXBElement<?>>();
        }
        return this.rest;
    }

}
