
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SelectiveDecryptionInitType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SelectiveDecryptionInitType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}Data_BaseClassType">
 *       &lt;sequence>
 *         &lt;element name="mimeType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="profileLevelIndication" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="compliance" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="bufInfoStruct" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}bufInfoStructType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="contentSpecific" type="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}contentSpecificType" minOccurs="0"/>
 *           &lt;sequence>
 *             &lt;element name="nSegments" type="{http://www.w3.org/2001/XMLSchema}short"/>
 *             &lt;element name="RLE_Data" type="{http://www.w3.org/2001/XMLSchema}short" maxOccurs="unbounded"/>
 *           &lt;/sequence>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SelectiveDecryptionInitType", propOrder = {
    "mimeType",
    "profileLevelIndication",
    "compliance",
    "bufInfoStruct",
    "contentSpecific",
    "nSegments",
    "rleData"
})
public class SelectiveDecryptionInitType
    extends DataBaseClassType
{

    @XmlElement(required = true)
    protected String mimeType;
    @XmlElement(required = true)
    protected String profileLevelIndication;
    @XmlElement(required = true)
    protected String compliance;
    protected List<BufInfoStructType> bufInfoStruct;
    protected ContentSpecificType contentSpecific;
    protected Short nSegments;
    @XmlElement(name = "RLE_Data", type = Short.class)
    protected List<Short> rleData;

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

    /**
     * Gets the value of the profileLevelIndication property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileLevelIndication() {
        return profileLevelIndication;
    }

    /**
     * Sets the value of the profileLevelIndication property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileLevelIndication(String value) {
        this.profileLevelIndication = value;
    }

    /**
     * Gets the value of the compliance property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompliance() {
        return compliance;
    }

    /**
     * Sets the value of the compliance property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompliance(String value) {
        this.compliance = value;
    }

    /**
     * Gets the value of the bufInfoStruct property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the bufInfoStruct property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBufInfoStruct().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BufInfoStructType }
     * 
     * 
     */
    public List<BufInfoStructType> getBufInfoStruct() {
        if (bufInfoStruct == null) {
            bufInfoStruct = new ArrayList<BufInfoStructType>();
        }
        return this.bufInfoStruct;
    }

    /**
     * Gets the value of the contentSpecific property.
     * 
     * @return
     *     possible object is
     *     {@link ContentSpecificType }
     *     
     */
    public ContentSpecificType getContentSpecific() {
        return contentSpecific;
    }

    /**
     * Sets the value of the contentSpecific property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentSpecificType }
     *     
     */
    public void setContentSpecific(ContentSpecificType value) {
        this.contentSpecific = value;
    }

    /**
     * Gets the value of the nSegments property.
     * 
     * @return
     *     possible object is
     *     {@link Short }
     *     
     */
    public Short getNSegments() {
        return nSegments;
    }

    /**
     * Sets the value of the nSegments property.
     * 
     * @param value
     *     allowed object is
     *     {@link Short }
     *     
     */
    public void setNSegments(Short value) {
        this.nSegments = value;
    }

    /**
     * Gets the value of the rleData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rleData property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRLEData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Short }
     * 
     * 
     */
    public List<Short> getRLEData() {
        if (rleData == null) {
            rleData = new ArrayList<Short>();
        }
        return this.rleData;
    }

}
