
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TimeKeyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TimeKeyType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegB:schema:IPMP-XML-MESSAGES:2007}KeyType">
 *       &lt;sequence>
 *         &lt;element name="startDTS" type="{http://www.w3.org/2001/XMLSchema}unsignedLong" minOccurs="0"/>
 *         &lt;element name="startPacketID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" minOccurs="0"/>
 *         &lt;element name="expireDTS" type="{http://www.w3.org/2001/XMLSchema}unsignedLong" minOccurs="0"/>
 *         &lt;element name="expirePacketID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TimeKeyType", propOrder = {
    "startDTS",
    "startPacketID",
    "expireDTS",
    "expirePacketID"
})
public class TimeKeyType
    extends KeyType
{

    @XmlSchemaType(name = "unsignedLong")
    protected BigInteger startDTS;
    @XmlSchemaType(name = "unsignedInt")
    protected Long startPacketID;
    @XmlSchemaType(name = "unsignedLong")
    protected BigInteger expireDTS;
    @XmlSchemaType(name = "unsignedInt")
    protected Long expirePacketID;

    /**
     * Gets the value of the startDTS property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getStartDTS() {
        return startDTS;
    }

    /**
     * Sets the value of the startDTS property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setStartDTS(BigInteger value) {
        this.startDTS = value;
    }

    /**
     * Gets the value of the startPacketID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getStartPacketID() {
        return startPacketID;
    }

    /**
     * Sets the value of the startPacketID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setStartPacketID(Long value) {
        this.startPacketID = value;
    }

    /**
     * Gets the value of the expireDTS property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getExpireDTS() {
        return expireDTS;
    }

    /**
     * Sets the value of the expireDTS property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setExpireDTS(BigInteger value) {
        this.expireDTS = value;
    }

    /**
     * Gets the value of the expirePacketID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getExpirePacketID() {
        return expirePacketID;
    }

    /**
     * Sets the value of the expirePacketID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setExpirePacketID(Long value) {
        this.expirePacketID = value;
    }

}
