
package org.iso.mpeg.mxm.engine.ipmpTE.schema.ipmpmsg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoFormatType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoFormatType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="frame_horizontal_size" type="{http://www.w3.org/2001/XMLSchema}unsignedShort"/>
 *         &lt;element name="frame_vertical_size" type="{http://www.w3.org/2001/XMLSchema}unsignedShort"/>
 *         &lt;element name="chroma_format" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *       &lt;/sequence>
 *       &lt;attribute name="mimeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoFormatType", propOrder = {
    "frameHorizontalSize",
    "frameVerticalSize",
    "chromaFormat"
})
public class VideoFormatType {

    @XmlElement(name = "frame_horizontal_size")
    @XmlSchemaType(name = "unsignedShort")
    protected Integer frameHorizontalSize;
    @XmlElement(name = "frame_vertical_size")
    @XmlSchemaType(name = "unsignedShort")
    protected Integer frameVerticalSize;
    @XmlElement(name = "chroma_format")
    protected Byte chromaFormat;
    @XmlAttribute(name = "mimeType", required = true)
    protected String mimeType;

    /**
     * Gets the value of the frameHorizontalSize property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFrameHorizontalSize() {
        return frameHorizontalSize;
    }

    /**
     * Sets the value of the frameHorizontalSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFrameHorizontalSize(Integer value) {
        this.frameHorizontalSize = value;
    }

    /**
     * Gets the value of the frameVerticalSize property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFrameVerticalSize() {
        return frameVerticalSize;
    }

    /**
     * Sets the value of the frameVerticalSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFrameVerticalSize(Integer value) {
        this.frameVerticalSize = value;
    }

    /**
     * Gets the value of the chromaFormat property.
     * 
     * @return
     *     possible object is
     *     {@link Byte }
     *     
     */
    public Byte getChromaFormat() {
        return chromaFormat;
    }

    /**
     * Sets the value of the chromaFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link Byte }
     *     
     */
    public void setChromaFormat(Byte value) {
        this.chromaFormat = value;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

}
