
package org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Item_QNAME = new QName("urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", "Item");
    private final static QName _ProtectedAsset_QNAME = new QName("urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", "ProtectedAsset");
    private final static QName _Statement_QNAME = new QName("urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", "Statement");
    private final static QName _Resource_QNAME = new QName("urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", "Resource");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.ipmpTE.schema.mpegmipmpdidl
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Identifier }
     * 
     */
    public Identifier createIdentifier() {
        return new Identifier();
    }

    /**
     * Create an instance of {@link ProtectedAssetType }
     * 
     */
    public ProtectedAssetType createProtectedAssetType() {
        return new ProtectedAssetType();
    }

    /**
     * Create an instance of {@link ItemType }
     * 
     */
    public ItemType createItemType() {
        return new ItemType();
    }

    /**
     * Create an instance of {@link Contents }
     * 
     */
    public Contents createContents() {
        return new Contents();
    }

    /**
     * Create an instance of {@link Info }
     * 
     */
    public Info createInfo() {
        return new Info();
    }

    /**
     * Create an instance of {@link StatementType }
     * 
     */
    public StatementType createStatementType() {
        return new StatementType();
    }

    /**
     * Create an instance of {@link ResourceType }
     * 
     */
    public ResourceType createResourceType() {
        return new ResourceType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ItemType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", name = "Item", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Item")
    public JAXBElement<ItemType> createItem(ItemType value) {
        return new JAXBElement<ItemType>(_Item_QNAME, ItemType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProtectedAssetType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", name = "ProtectedAsset")
    public JAXBElement<ProtectedAssetType> createProtectedAsset(ProtectedAssetType value) {
        return new JAXBElement<ProtectedAssetType>(_ProtectedAsset_QNAME, ProtectedAssetType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", name = "Statement", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Statement")
    public JAXBElement<StatementType> createStatement(StatementType value) {
        return new JAXBElement<StatementType>(_Statement_QNAME, StatementType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpegM:schema:08-IPMPDIDL-NS:2012", name = "Resource", substitutionHeadNamespace = "urn:mpeg:mpeg21:2002:02-DIDMODEL-NS", substitutionHeadName = "Resource")
    public JAXBElement<ResourceType> createResource(ResourceType value) {
        return new JAXBElement<ResourceType>(_Resource_QNAME, ResourceType.class, null, value);
    }

}
