
package org.iso.mpeg.mxm.engine.metadataTE.schema.fru;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for xmlPullCommandType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="xmlPullCommandType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="followingSibling"/>
 *     &lt;enumeration value="children"/>
 *     &lt;enumeration value="parent"/>
 *     &lt;enumeration value="previousSibling"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "xmlPullCommandType")
@XmlEnum
public enum XmlPullCommandType {

    @XmlEnumValue("followingSibling")
    FOLLOWING_SIBLING("followingSibling"),
    @XmlEnumValue("children")
    CHILDREN("children"),
    @XmlEnumValue("parent")
    PARENT("parent"),
    @XmlEnumValue("previousSibling")
    PREVIOUS_SIBLING("previousSibling");
    private final String value;

    XmlPullCommandType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static XmlPullCommandType fromValue(String v) {
        for (XmlPullCommandType c: XmlPullCommandType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
