
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AffiliationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AffiliationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ConnectionBaseType">
 *       &lt;choice>
 *         &lt;element name="Organization" type="{urn:mpeg:mpeg7:schema:2004}OrganizationType"/>
 *         &lt;element name="OrganizationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="PersonGroup" type="{urn:mpeg:mpeg7:schema:2004}PersonGroupType"/>
 *         &lt;element name="PersonGroupRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AffiliationType", propOrder = {
    "organization",
    "organizationRef",
    "personGroup",
    "personGroupRef"
})
public class AffiliationType
    extends ConnectionBaseType
{

    @XmlElement(name = "Organization")
    protected OrganizationType organization;
    @XmlElement(name = "OrganizationRef")
    protected ReferenceType organizationRef;
    @XmlElement(name = "PersonGroup")
    protected PersonGroupType personGroup;
    @XmlElement(name = "PersonGroupRef")
    protected ReferenceType personGroupRef;

    /**
     * Gets the value of the organization property.
     * 
     * @return
     *     possible object is
     *     {@link OrganizationType }
     *     
     */
    public OrganizationType getOrganization() {
        return organization;
    }

    /**
     * Sets the value of the organization property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrganizationType }
     *     
     */
    public void setOrganization(OrganizationType value) {
        this.organization = value;
    }

    /**
     * Gets the value of the organizationRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getOrganizationRef() {
        return organizationRef;
    }

    /**
     * Sets the value of the organizationRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setOrganizationRef(ReferenceType value) {
        this.organizationRef = value;
    }

    /**
     * Gets the value of the personGroup property.
     * 
     * @return
     *     possible object is
     *     {@link PersonGroupType }
     *     
     */
    public PersonGroupType getPersonGroup() {
        return personGroup;
    }

    /**
     * Sets the value of the personGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonGroupType }
     *     
     */
    public void setPersonGroup(PersonGroupType value) {
        this.personGroup = value;
    }

    /**
     * Gets the value of the personGroupRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getPersonGroupRef() {
        return personGroupRef;
    }

    /**
     * Sets the value of the personGroupRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setPersonGroupRef(ReferenceType value) {
        this.personGroupRef = value;
    }

}
