
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioChordPatternDS complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioChordPatternDS">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="Key" type="{urn:mpeg:mpeg7:schema:2004}KeyType"/>
 *         &lt;sequence>
 *           &lt;element name="Chord" maxOccurs="unbounded">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="ChordBase" type="{urn:mpeg:mpeg7:schema:2004}ChordBaseType"/>
 *                     &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioChordPatternDS", propOrder = {
    "key",
    "chord"
})
public class AudioChordPatternDS
    extends AudioDSType
{

    @XmlElement(name = "Key", required = true)
    protected KeyType key;
    @XmlElement(name = "Chord", required = true)
    protected List<AudioChordPatternDS.Chord> chord;

    /**
     * Gets the value of the key property.
     * 
     * @return
     *     possible object is
     *     {@link KeyType }
     *     
     */
    public KeyType getKey() {
        return key;
    }

    /**
     * Sets the value of the key property.
     * 
     * @param value
     *     allowed object is
     *     {@link KeyType }
     *     
     */
    public void setKey(KeyType value) {
        this.key = value;
    }

    /**
     * Gets the value of the chord property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the chord property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChord().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioChordPatternDS.Chord }
     * 
     * 
     */
    public List<AudioChordPatternDS.Chord> getChord() {
        if (chord == null) {
            chord = new ArrayList<AudioChordPatternDS.Chord>();
        }
        return this.chord;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ChordBase" type="{urn:mpeg:mpeg7:schema:2004}ChordBaseType"/>
     *         &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "chordBase",
        "audioSegment"
    })
    public static class Chord {

        @XmlElement(name = "ChordBase", required = true)
        protected ChordBaseType chordBase;
        @XmlElement(name = "AudioSegment", required = true)
        protected AudioSegmentType audioSegment;

        /**
         * Gets the value of the chordBase property.
         * 
         * @return
         *     possible object is
         *     {@link ChordBaseType }
         *     
         */
        public ChordBaseType getChordBase() {
            return chordBase;
        }

        /**
         * Sets the value of the chordBase property.
         * 
         * @param value
         *     allowed object is
         *     {@link ChordBaseType }
         *     
         */
        public void setChordBase(ChordBaseType value) {
            this.chordBase = value;
        }

        /**
         * Gets the value of the audioSegment property.
         * 
         * @return
         *     possible object is
         *     {@link AudioSegmentType }
         *     
         */
        public AudioSegmentType getAudioSegment() {
            return audioSegment;
        }

        /**
         * Sets the value of the audioSegment property.
         * 
         * @param value
         *     allowed object is
         *     {@link AudioSegmentType }
         *     
         */
        public void setAudioSegment(AudioSegmentType value) {
            this.audioSegment = value;
        }

    }

}
