
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioHarmonicityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioHarmonicityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="HarmonicRatio" type="{urn:mpeg:mpeg7:schema:2004}AudioLLDScalarType"/>
 *         &lt;element name="UpperLimitOfHarmonicity" type="{urn:mpeg:mpeg7:schema:2004}AudioLLDScalarType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioHarmonicityType", propOrder = {
    "harmonicRatio",
    "upperLimitOfHarmonicity"
})
public class AudioHarmonicityType
    extends AudioDType
{

    @XmlElement(name = "HarmonicRatio", required = true)
    protected AudioLLDScalarType harmonicRatio;
    @XmlElement(name = "UpperLimitOfHarmonicity", required = true)
    protected AudioLLDScalarType upperLimitOfHarmonicity;

    /**
     * Gets the value of the harmonicRatio property.
     * 
     * @return
     *     possible object is
     *     {@link AudioLLDScalarType }
     *     
     */
    public AudioLLDScalarType getHarmonicRatio() {
        return harmonicRatio;
    }

    /**
     * Sets the value of the harmonicRatio property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioLLDScalarType }
     *     
     */
    public void setHarmonicRatio(AudioLLDScalarType value) {
        this.harmonicRatio = value;
    }

    /**
     * Gets the value of the upperLimitOfHarmonicity property.
     * 
     * @return
     *     possible object is
     *     {@link AudioLLDScalarType }
     *     
     */
    public AudioLLDScalarType getUpperLimitOfHarmonicity() {
        return upperLimitOfHarmonicity;
    }

    /**
     * Sets the value of the upperLimitOfHarmonicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioLLDScalarType }
     *     
     */
    public void setUpperLimitOfHarmonicity(AudioLLDScalarType value) {
        this.upperLimitOfHarmonicity = value;
    }

}
