
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioRhythmicPatternDS complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioRhythmicPatternDS">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="SinglePattern">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Instrument" type="{urn:mpeg:mpeg7:schema:2004}CreationToolType"/>
 *                   &lt;element name="Recurrences">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *                         &lt;minInclusive value="0"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="RhythmPattern" type="{urn:mpeg:mpeg7:schema:2004}RhythmicBaseType"/>
 *                   &lt;element name="Meter" type="{urn:mpeg:mpeg7:schema:2004}MeterType"/>
 *                   &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioRhythmicPatternDS", propOrder = {
    "singlePattern"
})
public class AudioRhythmicPatternDS
    extends AudioDSType
{

    @XmlElement(name = "SinglePattern", required = true)
    protected AudioRhythmicPatternDS.SinglePattern singlePattern;

    /**
     * Gets the value of the singlePattern property.
     * 
     * @return
     *     possible object is
     *     {@link AudioRhythmicPatternDS.SinglePattern }
     *     
     */
    public AudioRhythmicPatternDS.SinglePattern getSinglePattern() {
        return singlePattern;
    }

    /**
     * Sets the value of the singlePattern property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioRhythmicPatternDS.SinglePattern }
     *     
     */
    public void setSinglePattern(AudioRhythmicPatternDS.SinglePattern value) {
        this.singlePattern = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Instrument" type="{urn:mpeg:mpeg7:schema:2004}CreationToolType"/>
     *         &lt;element name="Recurrences">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
     *               &lt;minInclusive value="0"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="RhythmPattern" type="{urn:mpeg:mpeg7:schema:2004}RhythmicBaseType"/>
     *         &lt;element name="Meter" type="{urn:mpeg:mpeg7:schema:2004}MeterType"/>
     *         &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "instrument",
        "recurrences",
        "rhythmPattern",
        "meter",
        "audioSegment"
    })
    public static class SinglePattern {

        @XmlElement(name = "Instrument", required = true)
        protected CreationToolType instrument;
        @XmlElement(name = "Recurrences", required = true)
        protected BigInteger recurrences;
        @XmlElement(name = "RhythmPattern", required = true)
        protected RhythmicBaseType rhythmPattern;
        @XmlElement(name = "Meter", required = true)
        protected MeterType meter;
        @XmlElement(name = "AudioSegment", required = true)
        protected AudioSegmentType audioSegment;

        /**
         * Gets the value of the instrument property.
         * 
         * @return
         *     possible object is
         *     {@link CreationToolType }
         *     
         */
        public CreationToolType getInstrument() {
            return instrument;
        }

        /**
         * Sets the value of the instrument property.
         * 
         * @param value
         *     allowed object is
         *     {@link CreationToolType }
         *     
         */
        public void setInstrument(CreationToolType value) {
            this.instrument = value;
        }

        /**
         * Gets the value of the recurrences property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getRecurrences() {
            return recurrences;
        }

        /**
         * Sets the value of the recurrences property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setRecurrences(BigInteger value) {
            this.recurrences = value;
        }

        /**
         * Gets the value of the rhythmPattern property.
         * 
         * @return
         *     possible object is
         *     {@link RhythmicBaseType }
         *     
         */
        public RhythmicBaseType getRhythmPattern() {
            return rhythmPattern;
        }

        /**
         * Sets the value of the rhythmPattern property.
         * 
         * @param value
         *     allowed object is
         *     {@link RhythmicBaseType }
         *     
         */
        public void setRhythmPattern(RhythmicBaseType value) {
            this.rhythmPattern = value;
        }

        /**
         * Gets the value of the meter property.
         * 
         * @return
         *     possible object is
         *     {@link MeterType }
         *     
         */
        public MeterType getMeter() {
            return meter;
        }

        /**
         * Sets the value of the meter property.
         * 
         * @param value
         *     allowed object is
         *     {@link MeterType }
         *     
         */
        public void setMeter(MeterType value) {
            this.meter = value;
        }

        /**
         * Gets the value of the audioSegment property.
         * 
         * @return
         *     possible object is
         *     {@link AudioSegmentType }
         *     
         */
        public AudioSegmentType getAudioSegment() {
            return audioSegment;
        }

        /**
         * Sets the value of the audioSegment property.
         * 
         * @param value
         *     allowed object is
         *     {@link AudioSegmentType }
         *     
         */
        public void setAudioSegment(AudioSegmentType value) {
            this.audioSegment = value;
        }

    }

}
