
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSegmentMediaSourceDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSegmentMediaSourceDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaSourceSegmentDecompositionType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *         &lt;element name="AudioSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSegmentMediaSourceDecompositionType", propOrder = {
    "audioSegmentOrAudioSegmentRef"
})
public class AudioSegmentMediaSourceDecompositionType
    extends MediaSourceSegmentDecompositionType
{

    @XmlElements({
        @XmlElement(name = "AudioSegment", type = AudioSegmentType.class),
        @XmlElement(name = "AudioSegmentRef", type = ReferenceType.class)
    })
    protected List<Object> audioSegmentOrAudioSegmentRef;

    /**
     * Gets the value of the audioSegmentOrAudioSegmentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the audioSegmentOrAudioSegmentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAudioSegmentOrAudioSegmentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioSegmentType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getAudioSegmentOrAudioSegmentRef() {
        if (audioSegmentOrAudioSegmentRef == null) {
            audioSegmentOrAudioSegmentRef = new ArrayList<Object>();
        }
        return this.audioSegmentOrAudioSegmentRef;
    }

}
