
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioSummaryComponentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioSummaryComponentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="Title" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AudioSourceID" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType" minOccurs="0"/>
 *         &lt;element name="AudioSourceLocator" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *         &lt;element name="ComponentSourceTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType" minOccurs="0"/>
 *         &lt;element name="SoundLocator" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *         &lt;element name="SyncTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioSummaryComponentType", propOrder = {
    "title",
    "audioSourceID",
    "audioSourceLocator",
    "componentSourceTime",
    "soundLocator",
    "syncTime"
})
public class AudioSummaryComponentType
    extends DType
{

    @XmlElement(name = "Title")
    protected List<TextualType> title;
    @XmlElement(name = "AudioSourceID")
    protected UniqueIDType audioSourceID;
    @XmlElement(name = "AudioSourceLocator")
    protected TemporalSegmentLocatorType audioSourceLocator;
    @XmlElement(name = "ComponentSourceTime")
    protected MediaTimeType componentSourceTime;
    @XmlElement(name = "SoundLocator")
    protected TemporalSegmentLocatorType soundLocator;
    @XmlElement(name = "SyncTime")
    protected MediaTimeType syncTime;

    /**
     * Gets the value of the title property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the title property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTitle().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getTitle() {
        if (title == null) {
            title = new ArrayList<TextualType>();
        }
        return this.title;
    }

    /**
     * Gets the value of the audioSourceID property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getAudioSourceID() {
        return audioSourceID;
    }

    /**
     * Sets the value of the audioSourceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setAudioSourceID(UniqueIDType value) {
        this.audioSourceID = value;
    }

    /**
     * Gets the value of the audioSourceLocator property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getAudioSourceLocator() {
        return audioSourceLocator;
    }

    /**
     * Sets the value of the audioSourceLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setAudioSourceLocator(TemporalSegmentLocatorType value) {
        this.audioSourceLocator = value;
    }

    /**
     * Gets the value of the componentSourceTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getComponentSourceTime() {
        return componentSourceTime;
    }

    /**
     * Sets the value of the componentSourceTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setComponentSourceTime(MediaTimeType value) {
        this.componentSourceTime = value;
    }

    /**
     * Gets the value of the soundLocator property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getSoundLocator() {
        return soundLocator;
    }

    /**
     * Sets the value of the soundLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setSoundLocator(TemporalSegmentLocatorType value) {
        this.soundLocator = value;
    }

    /**
     * Gets the value of the syncTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getSyncTime() {
        return syncTime;
    }

    /**
     * Sets the value of the syncTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setSyncTime(MediaTimeType value) {
        this.syncTime = value;
    }

}
