
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioVisualRegionMediaSourceDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioVisualRegionMediaSourceDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MediaSourceSegmentDecompositionType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="AudioVisualRegion" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionType"/>
 *         &lt;element name="AudioVisualRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="VideoSegment" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentType"/>
 *         &lt;element name="VideoSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="MovingRegion" type="{urn:mpeg:mpeg7:schema:2004}MovingRegionType"/>
 *         &lt;element name="MovingRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="StillRegion" type="{urn:mpeg:mpeg7:schema:2004}StillRegionType"/>
 *         &lt;element name="StillRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="AudioSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *         &lt;element name="AudioSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioVisualRegionMediaSourceDecompositionType", propOrder = {
    "audioVisualRegionOrAudioVisualRegionRefOrVideoSegment"
})
public class AudioVisualRegionMediaSourceDecompositionType
    extends MediaSourceSegmentDecompositionType
{

    @XmlElementRefs({
        @XmlElementRef(name = "MovingRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "MovingRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "VideoSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "StillRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "StillRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> audioVisualRegionOrAudioVisualRegionRefOrVideoSegment;

    /**
     * Gets the value of the audioVisualRegionOrAudioVisualRegionRefOrVideoSegment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the audioVisualRegionOrAudioVisualRegionRefOrVideoSegment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAudioVisualRegionOrAudioVisualRegionRefOrVideoSegment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link MovingRegionType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link VideoSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioVisualRegionType }{@code >}
     * {@link JAXBElement }{@code <}{@link StillRegionType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getAudioVisualRegionOrAudioVisualRegionRefOrVideoSegment() {
        if (audioVisualRegionOrAudioVisualRegionRefOrVideoSegment == null) {
            audioVisualRegionOrAudioVisualRegionRefOrVideoSegment = new ArrayList<JAXBElement<?>>();
        }
        return this.audioVisualRegionOrAudioVisualRegionRefOrVideoSegment;
    }

}
