
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioVisualRegionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioVisualRegionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="VisualSpatioTemporalLocator" type="{urn:mpeg:mpeg7:schema:2004}SpatioTemporalLocatorType"/>
 *           &lt;element name="VisualSpatioTemporalMask" type="{urn:mpeg:mpeg7:schema:2004}SpatioTemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="AudioMediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *           &lt;element name="AudioTemporalMask" type="{urn:mpeg:mpeg7:schema:2004}TemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SpatialDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionSpatialDecompositionType"/>
 *           &lt;element name="TemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionTemporalDecompositionType"/>
 *           &lt;element name="SpatioTemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionSpatioTemporalDecompositionType"/>
 *           &lt;element name="MediaSourceDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionMediaSourceDecompositionType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioVisualRegionType", propOrder = {
    "visualSpatioTemporalLocator",
    "visualSpatioTemporalMask",
    "audioMediaTime",
    "audioTemporalMask",
    "spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition"
})
public class AudioVisualRegionType
    extends SegmentType
{

    @XmlElement(name = "VisualSpatioTemporalLocator")
    protected SpatioTemporalLocatorType visualSpatioTemporalLocator;
    @XmlElement(name = "VisualSpatioTemporalMask")
    protected SpatioTemporalMaskType visualSpatioTemporalMask;
    @XmlElement(name = "AudioMediaTime")
    protected MediaTimeType audioMediaTime;
    @XmlElement(name = "AudioTemporalMask")
    protected TemporalMaskType audioTemporalMask;
    @XmlElements({
        @XmlElement(name = "TemporalDecomposition", type = AudioVisualRegionTemporalDecompositionType.class),
        @XmlElement(name = "SpatioTemporalDecomposition", type = AudioVisualRegionSpatioTemporalDecompositionType.class),
        @XmlElement(name = "MediaSourceDecomposition", type = AudioVisualRegionMediaSourceDecompositionType.class),
        @XmlElement(name = "SpatialDecomposition", type = AudioVisualRegionSpatialDecompositionType.class)
    })
    protected List<SegmentDecompositionType> spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;

    /**
     * Gets the value of the visualSpatioTemporalLocator property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public SpatioTemporalLocatorType getVisualSpatioTemporalLocator() {
        return visualSpatioTemporalLocator;
    }

    /**
     * Sets the value of the visualSpatioTemporalLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalLocatorType }
     *     
     */
    public void setVisualSpatioTemporalLocator(SpatioTemporalLocatorType value) {
        this.visualSpatioTemporalLocator = value;
    }

    /**
     * Gets the value of the visualSpatioTemporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link SpatioTemporalMaskType }
     *     
     */
    public SpatioTemporalMaskType getVisualSpatioTemporalMask() {
        return visualSpatioTemporalMask;
    }

    /**
     * Sets the value of the visualSpatioTemporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpatioTemporalMaskType }
     *     
     */
    public void setVisualSpatioTemporalMask(SpatioTemporalMaskType value) {
        this.visualSpatioTemporalMask = value;
    }

    /**
     * Gets the value of the audioMediaTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getAudioMediaTime() {
        return audioMediaTime;
    }

    /**
     * Sets the value of the audioMediaTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setAudioMediaTime(MediaTimeType value) {
        this.audioMediaTime = value;
    }

    /**
     * Gets the value of the audioTemporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalMaskType }
     *     
     */
    public TemporalMaskType getAudioTemporalMask() {
        return audioTemporalMask;
    }

    /**
     * Sets the value of the audioTemporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalMaskType }
     *     
     */
    public void setAudioTemporalMask(TemporalMaskType value) {
        this.audioTemporalMask = value;
    }

    /**
     * Gets the value of the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioVisualRegionTemporalDecompositionType }
     * {@link AudioVisualRegionSpatioTemporalDecompositionType }
     * {@link AudioVisualRegionMediaSourceDecompositionType }
     * {@link AudioVisualRegionSpatialDecompositionType }
     * 
     * 
     */
    public List<SegmentDecompositionType> getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition() {
        if (spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition == null) {
            spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition = new ArrayList<SegmentDecompositionType>();
        }
        return this.spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;
    }

}
