
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioVisualSegmentTemporalDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioVisualSegmentTemporalDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentDecompositionType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="AudioVisualSegment" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentType"/>
 *         &lt;element name="AudioVisualSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="AudioVisualRegion" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualRegionType"/>
 *         &lt;element name="AudioVisualRegionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioVisualSegmentTemporalDecompositionType", propOrder = {
    "audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion"
})
public class AudioVisualSegmentTemporalDecompositionType
    extends TemporalSegmentDecompositionType
{

    @XmlElementRefs({
        @XmlElementRef(name = "AudioVisualSegment", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualRegion", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualSegmentRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "AudioVisualRegionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion;

    /**
     * Gets the value of the audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAudioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link AudioVisualSegmentType }{@code >}
     * {@link JAXBElement }{@code <}{@link AudioVisualRegionType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getAudioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion() {
        if (audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion == null) {
            audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion = new ArrayList<JAXBElement<?>>();
        }
        return this.audioVisualSegmentOrAudioVisualSegmentRefOrAudioVisualRegion;
    }

}
