
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AudioVisualSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AudioVisualSegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *           &lt;element name="TemporalMask" type="{urn:mpeg:mpeg7:schema:2004}TemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SpatialDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentSpatialDecompositionType"/>
 *           &lt;element name="TemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentTemporalDecompositionType"/>
 *           &lt;element name="SpatioTemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentSpatioTemporalDecompositionType"/>
 *           &lt;element name="MediaSourceDecomposition" type="{urn:mpeg:mpeg7:schema:2004}AudioVisualSegmentMediaSourceDecompositionType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AudioVisualSegmentType", propOrder = {
    "mediaTime",
    "temporalMask",
    "spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition"
})
public class AudioVisualSegmentType
    extends SegmentType
{

    @XmlElement(name = "MediaTime")
    protected MediaTimeType mediaTime;
    @XmlElement(name = "TemporalMask")
    protected TemporalMaskType temporalMask;
    @XmlElements({
        @XmlElement(name = "SpatioTemporalDecomposition", type = AudioVisualSegmentSpatioTemporalDecompositionType.class),
        @XmlElement(name = "TemporalDecomposition", type = AudioVisualSegmentTemporalDecompositionType.class),
        @XmlElement(name = "SpatialDecomposition", type = AudioVisualSegmentSpatialDecompositionType.class),
        @XmlElement(name = "MediaSourceDecomposition", type = AudioVisualSegmentMediaSourceDecompositionType.class)
    })
    protected List<SegmentDecompositionType> spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;

    /**
     * Gets the value of the mediaTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getMediaTime() {
        return mediaTime;
    }

    /**
     * Sets the value of the mediaTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setMediaTime(MediaTimeType value) {
        this.mediaTime = value;
    }

    /**
     * Gets the value of the temporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalMaskType }
     *     
     */
    public TemporalMaskType getTemporalMask() {
        return temporalMask;
    }

    /**
     * Sets the value of the temporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalMaskType }
     *     
     */
    public void setTemporalMask(TemporalMaskType value) {
        this.temporalMask = value;
    }

    /**
     * Gets the value of the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AudioVisualSegmentSpatioTemporalDecompositionType }
     * {@link AudioVisualSegmentTemporalDecompositionType }
     * {@link AudioVisualSegmentSpatialDecompositionType }
     * {@link AudioVisualSegmentMediaSourceDecompositionType }
     * 
     * 
     */
    public List<SegmentDecompositionType> getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition() {
        if (spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition == null) {
            spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition = new ArrayList<SegmentDecompositionType>();
        }
        return this.spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;
    }

}
