
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CameraMotionSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CameraMotionSegmentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *         &lt;element name="FocusOfExpansion" type="{urn:mpeg:mpeg7:schema:2004}FocusOfExpansionType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CameraMotionSegmentType", propOrder = {
    "mediaTime",
    "focusOfExpansion"
})
@XmlSeeAlso({
    MixtureCameraMotionSegmentType.class,
    NonMixtureCameraMotionSegmentType.class
})
public abstract class CameraMotionSegmentType {

    @XmlElement(name = "MediaTime", required = true)
    protected MediaTimeType mediaTime;
    @XmlElement(name = "FocusOfExpansion")
    protected FocusOfExpansionType focusOfExpansion;

    /**
     * Gets the value of the mediaTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getMediaTime() {
        return mediaTime;
    }

    /**
     * Sets the value of the mediaTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setMediaTime(MediaTimeType value) {
        this.mediaTime = value;
    }

    /**
     * Gets the value of the focusOfExpansion property.
     * 
     * @return
     *     possible object is
     *     {@link FocusOfExpansionType }
     *     
     */
    public FocusOfExpansionType getFocusOfExpansion() {
        return focusOfExpansion;
    }

    /**
     * Sets the value of the focusOfExpansion property.
     * 
     * @param value
     *     allowed object is
     *     {@link FocusOfExpansionType }
     *     
     */
    public void setFocusOfExpansion(FocusOfExpansionType value) {
        this.focusOfExpansion = value;
    }

}
