
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ClassificationSchemeDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClassificationSchemeDescriptionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContentManagementType">
 *       &lt;choice>
 *         &lt;element name="ClassificationScheme" type="{urn:mpeg:mpeg7:schema:2004}ClassificationSchemeType" maxOccurs="unbounded"/>
 *         &lt;element name="ClassificationSchemeBase" type="{urn:mpeg:mpeg7:schema:2004}ClassificationSchemeBaseType" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClassificationSchemeDescriptionType", propOrder = {
    "classificationScheme",
    "classificationSchemeBase"
})
public class ClassificationSchemeDescriptionType
    extends ContentManagementType
{

    @XmlElement(name = "ClassificationScheme")
    protected List<ClassificationSchemeType> classificationScheme;
    @XmlElement(name = "ClassificationSchemeBase")
    protected List<ClassificationSchemeBaseType> classificationSchemeBase;

    /**
     * Gets the value of the classificationScheme property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the classificationScheme property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClassificationScheme().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ClassificationSchemeType }
     * 
     * 
     */
    public List<ClassificationSchemeType> getClassificationScheme() {
        if (classificationScheme == null) {
            classificationScheme = new ArrayList<ClassificationSchemeType>();
        }
        return this.classificationScheme;
    }

    /**
     * Gets the value of the classificationSchemeBase property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the classificationSchemeBase property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClassificationSchemeBase().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ClassificationSchemeBaseType }
     * 
     * 
     */
    public List<ClassificationSchemeBaseType> getClassificationSchemeBase() {
        if (classificationSchemeBase == null) {
            classificationSchemeBase = new ArrayList<ClassificationSchemeBaseType>();
        }
        return this.classificationSchemeBase;
    }

}
