
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="CreationInformation" type="{urn:mpeg:mpeg7:schema:2004}CreationInformationType"/>
 *           &lt;element name="CreationInformationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="UsageInformation" type="{urn:mpeg:mpeg7:schema:2004}UsageInformationType"/>
 *           &lt;element name="UsageInformationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;element name="TextAnnotation" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CollectionType", propOrder = {
    "creationInformation",
    "creationInformationRef",
    "usageInformation",
    "usageInformationRef",
    "textAnnotation"
})
@XmlSeeAlso({
    MixedCollectionType.class,
    ContentCollectionType.class,
    ConceptCollectionType.class,
    SegmentCollectionType.class,
    DescriptorCollectionType.class
})
public abstract class CollectionType
    extends DSType
{

    @XmlElement(name = "CreationInformation")
    protected CreationInformationType creationInformation;
    @XmlElement(name = "CreationInformationRef")
    protected ReferenceType creationInformationRef;
    @XmlElement(name = "UsageInformation")
    protected UsageInformationType usageInformation;
    @XmlElement(name = "UsageInformationRef")
    protected ReferenceType usageInformationRef;
    @XmlElement(name = "TextAnnotation")
    protected List<TextAnnotationType> textAnnotation;
    @XmlAttribute(name = "name")
    protected String name;

    /**
     * Gets the value of the creationInformation property.
     * 
     * @return
     *     possible object is
     *     {@link CreationInformationType }
     *     
     */
    public CreationInformationType getCreationInformation() {
        return creationInformation;
    }

    /**
     * Sets the value of the creationInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link CreationInformationType }
     *     
     */
    public void setCreationInformation(CreationInformationType value) {
        this.creationInformation = value;
    }

    /**
     * Gets the value of the creationInformationRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getCreationInformationRef() {
        return creationInformationRef;
    }

    /**
     * Sets the value of the creationInformationRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setCreationInformationRef(ReferenceType value) {
        this.creationInformationRef = value;
    }

    /**
     * Gets the value of the usageInformation property.
     * 
     * @return
     *     possible object is
     *     {@link UsageInformationType }
     *     
     */
    public UsageInformationType getUsageInformation() {
        return usageInformation;
    }

    /**
     * Sets the value of the usageInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link UsageInformationType }
     *     
     */
    public void setUsageInformation(UsageInformationType value) {
        this.usageInformation = value;
    }

    /**
     * Gets the value of the usageInformationRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getUsageInformationRef() {
        return usageInformationRef;
    }

    /**
     * Sets the value of the usageInformationRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setUsageInformationRef(ReferenceType value) {
        this.usageInformationRef = value;
    }

    /**
     * Gets the value of the textAnnotation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the textAnnotation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTextAnnotation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextAnnotationType }
     * 
     * 
     */
    public List<TextAnnotationType> getTextAnnotation() {
        if (textAnnotation == null) {
            textAnnotation = new ArrayList<TextAnnotationType>();
        }
        return this.textAnnotation;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

}
