
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ColorQuantizationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ColorQuantizationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence maxOccurs="3">
 *         &lt;element name="Component">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="R"/>
 *               &lt;enumeration value="G"/>
 *               &lt;enumeration value="B"/>
 *               &lt;enumeration value="Y"/>
 *               &lt;enumeration value="Cb"/>
 *               &lt;enumeration value="Cr"/>
 *               &lt;enumeration value="H"/>
 *               &lt;enumeration value="S"/>
 *               &lt;enumeration value="V"/>
 *               &lt;enumeration value="Max"/>
 *               &lt;enumeration value="Min"/>
 *               &lt;enumeration value="Diff"/>
 *               &lt;enumeration value="Sum"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="NumOfBins" type="{urn:mpeg:mpeg7:schema:2004}unsigned12"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ColorQuantizationType", propOrder = {
    "componentAndNumOfBins"
})
public class ColorQuantizationType {

    @XmlElements({
        @XmlElement(name = "Component", required = true, type = String.class),
        @XmlElement(name = "NumOfBins", required = true, type = Integer.class)
    })
    protected List<Serializable> componentAndNumOfBins;

    /**
     * Gets the value of the componentAndNumOfBins property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the componentAndNumOfBins property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getComponentAndNumOfBins().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * {@link Integer }
     * 
     * 
     */
    public List<Serializable> getComponentAndNumOfBins() {
        if (componentAndNumOfBins == null) {
            componentAndNumOfBins = new ArrayList<Serializable>();
        }
        return this.componentAndNumOfBins;
    }

}
