
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ColorSamplingType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ColorSamplingType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="Lattice" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="width" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *                 &lt;attribute name="height" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Field" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Component" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
 *                           &lt;sequence>
 *                             &lt;element name="Offset" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                                     &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="Period" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                                     &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/extension>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="temporalOrder" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="positionalOrder" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ColorSamplingType", propOrder = {
    "lattice",
    "field"
})
public class ColorSamplingType
    extends DType
{

    @XmlElement(name = "Lattice")
    protected ColorSamplingType.Lattice lattice;
    @XmlElement(name = "Field", required = true)
    protected List<ColorSamplingType.Field> field;

    /**
     * Gets the value of the lattice property.
     * 
     * @return
     *     possible object is
     *     {@link ColorSamplingType.Lattice }
     *     
     */
    public ColorSamplingType.Lattice getLattice() {
        return lattice;
    }

    /**
     * Sets the value of the lattice property.
     * 
     * @param value
     *     allowed object is
     *     {@link ColorSamplingType.Lattice }
     *     
     */
    public void setLattice(ColorSamplingType.Lattice value) {
        this.lattice = value;
    }

    /**
     * Gets the value of the field property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the field property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getField().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ColorSamplingType.Field }
     * 
     * 
     */
    public List<ColorSamplingType.Field> getField() {
        if (field == null) {
            field = new ArrayList<ColorSamplingType.Field>();
        }
        return this.field;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Component" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
     *                 &lt;sequence>
     *                   &lt;element name="Offset" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                           &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="Period" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                           &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/extension>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="temporalOrder" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="positionalOrder" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "component"
    })
    public static class Field {

        @XmlElement(name = "Component", required = true)
        protected List<ColorSamplingType.Field.Component> component;
        @XmlAttribute(name = "temporalOrder")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger temporalOrder;
        @XmlAttribute(name = "positionalOrder")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger positionalOrder;

        /**
         * Gets the value of the component property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the component property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getComponent().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ColorSamplingType.Field.Component }
         * 
         * 
         */
        public List<ColorSamplingType.Field.Component> getComponent() {
            if (component == null) {
                component = new ArrayList<ColorSamplingType.Field.Component>();
            }
            return this.component;
        }

        /**
         * Gets the value of the temporalOrder property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getTemporalOrder() {
            return temporalOrder;
        }

        /**
         * Sets the value of the temporalOrder property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setTemporalOrder(BigInteger value) {
            this.temporalOrder = value;
        }

        /**
         * Gets the value of the positionalOrder property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getPositionalOrder() {
            return positionalOrder;
        }

        /**
         * Sets the value of the positionalOrder property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setPositionalOrder(BigInteger value) {
            this.positionalOrder = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TermUseType">
         *       &lt;sequence>
         *         &lt;element name="Offset" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *                 &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="Period" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *                 &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/extension>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "offset",
            "period"
        })
        public static class Component
            extends TermUseType
        {

            @XmlElement(name = "Offset")
            protected ColorSamplingType.Field.Component.Offset offset;
            @XmlElement(name = "Period")
            protected ColorSamplingType.Field.Component.Period period;

            /**
             * Gets the value of the offset property.
             * 
             * @return
             *     possible object is
             *     {@link ColorSamplingType.Field.Component.Offset }
             *     
             */
            public ColorSamplingType.Field.Component.Offset getOffset() {
                return offset;
            }

            /**
             * Sets the value of the offset property.
             * 
             * @param value
             *     allowed object is
             *     {@link ColorSamplingType.Field.Component.Offset }
             *     
             */
            public void setOffset(ColorSamplingType.Field.Component.Offset value) {
                this.offset = value;
            }

            /**
             * Gets the value of the period property.
             * 
             * @return
             *     possible object is
             *     {@link ColorSamplingType.Field.Component.Period }
             *     
             */
            public ColorSamplingType.Field.Component.Period getPeriod() {
                return period;
            }

            /**
             * Sets the value of the period property.
             * 
             * @param value
             *     allowed object is
             *     {@link ColorSamplingType.Field.Component.Period }
             *     
             */
            public void setPeriod(ColorSamplingType.Field.Component.Period value) {
                this.period = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
             *       &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class Offset {

                @XmlAttribute(name = "horizontal", required = true)
                protected double horizontal;
                @XmlAttribute(name = "vertical", required = true)
                protected double vertical;

                /**
                 * Gets the value of the horizontal property.
                 * 
                 */
                public double getHorizontal() {
                    return horizontal;
                }

                /**
                 * Sets the value of the horizontal property.
                 * 
                 */
                public void setHorizontal(double value) {
                    this.horizontal = value;
                }

                /**
                 * Gets the value of the vertical property.
                 * 
                 */
                public double getVertical() {
                    return vertical;
                }

                /**
                 * Sets the value of the vertical property.
                 * 
                 */
                public void setVertical(double value) {
                    this.vertical = value;
                }

            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;attribute name="horizontal" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
             *       &lt;attribute name="vertical" use="required" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class Period {

                @XmlAttribute(name = "horizontal", required = true)
                protected double horizontal;
                @XmlAttribute(name = "vertical", required = true)
                protected double vertical;

                /**
                 * Gets the value of the horizontal property.
                 * 
                 */
                public double getHorizontal() {
                    return horizontal;
                }

                /**
                 * Sets the value of the horizontal property.
                 * 
                 */
                public void setHorizontal(double value) {
                    this.horizontal = value;
                }

                /**
                 * Gets the value of the vertical property.
                 * 
                 */
                public double getVertical() {
                    return vertical;
                }

                /**
                 * Sets the value of the vertical property.
                 * 
                 */
                public void setVertical(double value) {
                    this.vertical = value;
                }

            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="width" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *       &lt;attribute name="height" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Lattice {

        @XmlAttribute(name = "width", required = true)
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger width;
        @XmlAttribute(name = "height", required = true)
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger height;

        /**
         * Gets the value of the width property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getWidth() {
            return width;
        }

        /**
         * Sets the value of the width property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setWidth(BigInteger value) {
            this.width = value;
        }

        /**
         * Gets the value of the height property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getHeight() {
            return height;
        }

        /**
         * Sets the value of the height property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setHeight(BigInteger value) {
            this.height = value;
        }

    }

}
