
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ContourShapeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContourShapeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="GlobalCurvature" type="{urn:mpeg:mpeg7:schema:2004}curvatureType"/>
 *         &lt;element name="PrototypeCurvature" type="{urn:mpeg:mpeg7:schema:2004}curvatureType" minOccurs="0"/>
 *         &lt;element name="HighestPeakY" type="{urn:mpeg:mpeg7:schema:2004}unsigned7"/>
 *         &lt;element name="Peak" maxOccurs="62" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="peakX" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned6" />
 *                 &lt;attribute name="peakY" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned3" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContourShapeType", propOrder = {
    "globalCurvature",
    "prototypeCurvature",
    "highestPeakY",
    "peak"
})
public class ContourShapeType
    extends VisualDType
{

    @XmlList
    @XmlElement(name = "GlobalCurvature", type = Integer.class)
    protected List<Integer> globalCurvature;
    @XmlList
    @XmlElement(name = "PrototypeCurvature", type = Integer.class)
    protected List<Integer> prototypeCurvature;
    @XmlElement(name = "HighestPeakY")
    protected int highestPeakY;
    @XmlElement(name = "Peak")
    protected List<ContourShapeType.Peak> peak;

    /**
     * Gets the value of the globalCurvature property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the globalCurvature property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGlobalCurvature().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getGlobalCurvature() {
        if (globalCurvature == null) {
            globalCurvature = new ArrayList<Integer>();
        }
        return this.globalCurvature;
    }

    /**
     * Gets the value of the prototypeCurvature property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the prototypeCurvature property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPrototypeCurvature().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getPrototypeCurvature() {
        if (prototypeCurvature == null) {
            prototypeCurvature = new ArrayList<Integer>();
        }
        return this.prototypeCurvature;
    }

    /**
     * Gets the value of the highestPeakY property.
     * 
     */
    public int getHighestPeakY() {
        return highestPeakY;
    }

    /**
     * Sets the value of the highestPeakY property.
     * 
     */
    public void setHighestPeakY(int value) {
        this.highestPeakY = value;
    }

    /**
     * Gets the value of the peak property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the peak property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPeak().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ContourShapeType.Peak }
     * 
     * 
     */
    public List<ContourShapeType.Peak> getPeak() {
        if (peak == null) {
            peak = new ArrayList<ContourShapeType.Peak>();
        }
        return this.peak;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="peakX" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned6" />
     *       &lt;attribute name="peakY" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned3" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Peak {

        @XmlAttribute(name = "peakX", required = true)
        protected int peakX;
        @XmlAttribute(name = "peakY", required = true)
        protected int peakY;

        /**
         * Gets the value of the peakX property.
         * 
         */
        public int getPeakX() {
            return peakX;
        }

        /**
         * Sets the value of the peakX property.
         * 
         */
        public void setPeakX(int value) {
            this.peakX = value;
        }

        /**
         * Gets the value of the peakY property.
         * 
         */
        public int getPeakY() {
            return peakY;
        }

        /**
         * Sets the value of the peakY property.
         * 
         */
        public void setPeakY(int value) {
            this.peakY = value;
        }

    }

}
