
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for DependencyStructurePhraseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DependencyStructurePhraseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="Head" type="{urn:mpeg:mpeg7:schema:2004}WordFormType"/>
 *           &lt;element name="CompoundHead" type="{urn:mpeg:mpeg7:schema:2004}NonDependencyStructurePhraseType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="equal" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *       &lt;attribute name="operator">
 *         &lt;simpleType>
 *           &lt;union memberTypes=" {urn:mpeg:mpeg7:schema:2004}dependencyOperatorType {urn:mpeg:mpeg7:schema:2004}termAliasReferenceType {urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *           &lt;/union>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="functionWord" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="synthesis" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" fixed="dependency" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DependencyStructurePhraseType", propOrder = {
    "head",
    "compoundHead"
})
public class DependencyStructurePhraseType {

    @XmlElement(name = "Head")
    protected WordFormType head;
    @XmlElement(name = "CompoundHead")
    protected NonDependencyStructurePhraseType compoundHead;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;
    @XmlAttribute(name = "equal")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object equal;
    @XmlAttribute(name = "operator")
    protected String operator;
    @XmlAttribute(name = "functionWord")
    protected String functionWord;
    @XmlAttribute(name = "synthesis")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String synthesis;

    /**
     * Gets the value of the head property.
     * 
     * @return
     *     possible object is
     *     {@link WordFormType }
     *     
     */
    public WordFormType getHead() {
        return head;
    }

    /**
     * Sets the value of the head property.
     * 
     * @param value
     *     allowed object is
     *     {@link WordFormType }
     *     
     */
    public void setHead(WordFormType value) {
        this.head = value;
    }

    /**
     * Gets the value of the compoundHead property.
     * 
     * @return
     *     possible object is
     *     {@link NonDependencyStructurePhraseType }
     *     
     */
    public NonDependencyStructurePhraseType getCompoundHead() {
        return compoundHead;
    }

    /**
     * Sets the value of the compoundHead property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonDependencyStructurePhraseType }
     *     
     */
    public void setCompoundHead(NonDependencyStructurePhraseType value) {
        this.compoundHead = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the equal property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getEqual() {
        return equal;
    }

    /**
     * Sets the value of the equal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setEqual(Object value) {
        this.equal = value;
    }

    /**
     * Gets the value of the operator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOperator() {
        return operator;
    }

    /**
     * Sets the value of the operator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOperator(String value) {
        this.operator = value;
    }

    /**
     * Gets the value of the functionWord property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFunctionWord() {
        return functionWord;
    }

    /**
     * Sets the value of the functionWord property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFunctionWord(String value) {
        this.functionWord = value;
    }

    /**
     * Gets the value of the synthesis property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSynthesis() {
        if (synthesis == null) {
            return "dependency";
        } else {
            return synthesis;
        }
    }

    /**
     * Sets the value of the synthesis property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSynthesis(String value) {
        this.synthesis = value;
    }

}
