
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DescriptorCollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DescriptorCollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}CollectionType">
 *       &lt;sequence>
 *         &lt;element name="Descriptor" type="{urn:mpeg:mpeg7:schema:2004}DType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="DescriptorCollection" type="{urn:mpeg:mpeg7:schema:2004}DescriptorCollectionType"/>
 *           &lt;element name="DescriptorCollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DescriptorCollectionType", propOrder = {
    "descriptor",
    "descriptorCollectionOrDescriptorCollectionRef"
})
public class DescriptorCollectionType
    extends CollectionType
{

    @XmlElement(name = "Descriptor")
    protected List<DType> descriptor;
    @XmlElements({
        @XmlElement(name = "DescriptorCollectionRef", type = ReferenceType.class),
        @XmlElement(name = "DescriptorCollection", type = DescriptorCollectionType.class)
    })
    protected List<Object> descriptorCollectionOrDescriptorCollectionRef;

    /**
     * Gets the value of the descriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DType }
     * 
     * 
     */
    public List<DType> getDescriptor() {
        if (descriptor == null) {
            descriptor = new ArrayList<DType>();
        }
        return this.descriptor;
    }

    /**
     * Gets the value of the descriptorCollectionOrDescriptorCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptorCollectionOrDescriptorCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptorCollectionOrDescriptorCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link DescriptorCollectionType }
     * 
     * 
     */
    public List<Object> getDescriptorCollectionOrDescriptorCollectionRef() {
        if (descriptorCollectionOrDescriptorCollectionRef == null) {
            descriptorCollectionOrDescriptorCollectionRef = new ArrayList<Object>();
        }
        return this.descriptorCollectionOrDescriptorCollectionRef;
    }

}
