
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DistributionPerceptualAttributeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DistributionPerceptualAttributeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="PerceptualGenreDistribution" type="{urn:mpeg:mpeg7:schema:2004}PerceptualGenreDistributionType" minOccurs="0"/>
 *         &lt;element name="PerceptualMoodDistribution" type="{urn:mpeg:mpeg7:schema:2004}PerceptualMoodDistributionType" minOccurs="0"/>
 *         &lt;element name="PerceptualLyricsDistribution" type="{urn:mpeg:mpeg7:schema:2004}PerceptualLyricsDistributionType" minOccurs="0"/>
 *         &lt;element name="PerceptualInstrumentationDistribution" type="{urn:mpeg:mpeg7:schema:2004}PerceptualInstrumentationDistributionType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DistributionPerceptualAttributeType", propOrder = {
    "perceptualGenreDistribution",
    "perceptualMoodDistribution",
    "perceptualLyricsDistribution",
    "perceptualInstrumentationDistribution"
})
public class DistributionPerceptualAttributeType
    extends AudioDType
{

    @XmlElement(name = "PerceptualGenreDistribution")
    protected PerceptualGenreDistributionType perceptualGenreDistribution;
    @XmlElement(name = "PerceptualMoodDistribution")
    protected PerceptualMoodDistributionType perceptualMoodDistribution;
    @XmlElement(name = "PerceptualLyricsDistribution")
    protected PerceptualLyricsDistributionType perceptualLyricsDistribution;
    @XmlElement(name = "PerceptualInstrumentationDistribution")
    protected PerceptualInstrumentationDistributionType perceptualInstrumentationDistribution;

    /**
     * Gets the value of the perceptualGenreDistribution property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualGenreDistributionType }
     *     
     */
    public PerceptualGenreDistributionType getPerceptualGenreDistribution() {
        return perceptualGenreDistribution;
    }

    /**
     * Sets the value of the perceptualGenreDistribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualGenreDistributionType }
     *     
     */
    public void setPerceptualGenreDistribution(PerceptualGenreDistributionType value) {
        this.perceptualGenreDistribution = value;
    }

    /**
     * Gets the value of the perceptualMoodDistribution property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualMoodDistributionType }
     *     
     */
    public PerceptualMoodDistributionType getPerceptualMoodDistribution() {
        return perceptualMoodDistribution;
    }

    /**
     * Sets the value of the perceptualMoodDistribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualMoodDistributionType }
     *     
     */
    public void setPerceptualMoodDistribution(PerceptualMoodDistributionType value) {
        this.perceptualMoodDistribution = value;
    }

    /**
     * Gets the value of the perceptualLyricsDistribution property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualLyricsDistributionType }
     *     
     */
    public PerceptualLyricsDistributionType getPerceptualLyricsDistribution() {
        return perceptualLyricsDistribution;
    }

    /**
     * Sets the value of the perceptualLyricsDistribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualLyricsDistributionType }
     *     
     */
    public void setPerceptualLyricsDistribution(PerceptualLyricsDistributionType value) {
        this.perceptualLyricsDistribution = value;
    }

    /**
     * Gets the value of the perceptualInstrumentationDistribution property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualInstrumentationDistributionType }
     *     
     */
    public PerceptualInstrumentationDistributionType getPerceptualInstrumentationDistribution() {
        return perceptualInstrumentationDistribution;
    }

    /**
     * Sets the value of the perceptualInstrumentationDistribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualInstrumentationDistributionType }
     *     
     */
    public void setPerceptualInstrumentationDistribution(PerceptualInstrumentationDistributionType value) {
        this.perceptualInstrumentationDistribution = value;
    }

}
