
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DoublePullbackDefinitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DoublePullbackDefinitionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}GraphicalRuleDefinitionType">
 *       &lt;sequence>
 *         &lt;element name="RuleGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType" maxOccurs="2" minOccurs="2"/>
 *         &lt;choice>
 *           &lt;element name="AlphabetGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType"/>
 *           &lt;element name="AlphabetGraphRef" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;/choice>
 *         &lt;element name="MorphismGraph" type="{urn:mpeg:mpeg7:schema:2004}MorphismGraphType" maxOccurs="2" minOccurs="2"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DoublePullbackDefinitionType", propOrder = {
    "ruleGraph",
    "alphabetGraph",
    "alphabetGraphRef",
    "morphismGraph"
})
public class DoublePullbackDefinitionType
    extends GraphicalRuleDefinitionType
{

    @XmlElement(name = "RuleGraph", required = true)
    protected List<GraphType> ruleGraph;
    @XmlElement(name = "AlphabetGraph")
    protected GraphType alphabetGraph;
    @XmlElement(name = "AlphabetGraphRef")
    protected ControlledTermUseType alphabetGraphRef;
    @XmlElement(name = "MorphismGraph", required = true)
    protected List<MorphismGraphType> morphismGraph;

    /**
     * Gets the value of the ruleGraph property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ruleGraph property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRuleGraph().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GraphType }
     * 
     * 
     */
    public List<GraphType> getRuleGraph() {
        if (ruleGraph == null) {
            ruleGraph = new ArrayList<GraphType>();
        }
        return this.ruleGraph;
    }

    /**
     * Gets the value of the alphabetGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getAlphabetGraph() {
        return alphabetGraph;
    }

    /**
     * Sets the value of the alphabetGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setAlphabetGraph(GraphType value) {
        this.alphabetGraph = value;
    }

    /**
     * Gets the value of the alphabetGraphRef property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getAlphabetGraphRef() {
        return alphabetGraphRef;
    }

    /**
     * Sets the value of the alphabetGraphRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setAlphabetGraphRef(ControlledTermUseType value) {
        this.alphabetGraphRef = value;
    }

    /**
     * Gets the value of the morphismGraph property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the morphismGraph property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMorphismGraph().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MorphismGraphType }
     * 
     * 
     */
    public List<MorphismGraphType> getMorphismGraph() {
        if (morphismGraph == null) {
            morphismGraph = new ArrayList<MorphismGraphType>();
        }
        return this.morphismGraph;
    }

}
