
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EditedVideoEditingTemporalDecompositionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EditedVideoEditingTemporalDecompositionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentDecompositionType">
 *       &lt;sequence maxOccurs="unbounded">
 *         &lt;choice>
 *           &lt;choice>
 *             &lt;element name="Shot" type="{urn:mpeg:mpeg7:schema:2004}ShotType"/>
 *             &lt;element name="ShotRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *           &lt;/choice>
 *           &lt;choice>
 *             &lt;element name="GlobalTransition" type="{urn:mpeg:mpeg7:schema:2004}GlobalTransitionType"/>
 *             &lt;element name="GlobalTransitionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *           &lt;/choice>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EditedVideoEditingTemporalDecompositionType", propOrder = {
    "shotOrShotRefOrGlobalTransition"
})
public class EditedVideoEditingTemporalDecompositionType
    extends TemporalSegmentDecompositionType
{

    @XmlElementRefs({
        @XmlElementRef(name = "GlobalTransitionRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "ShotRef", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "Shot", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
        @XmlElementRef(name = "GlobalTransition", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
    })
    protected List<JAXBElement<?>> shotOrShotRefOrGlobalTransition;

    /**
     * Gets the value of the shotOrShotRefOrGlobalTransition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the shotOrShotRefOrGlobalTransition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getShotOrShotRefOrGlobalTransition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}
     * {@link JAXBElement }{@code <}{@link ShotType }{@code >}
     * {@link JAXBElement }{@code <}{@link GlobalTransitionType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getShotOrShotRefOrGlobalTransition() {
        if (shotOrShotRefOrGlobalTransition == null) {
            shotOrShotRefOrGlobalTransition = new ArrayList<JAXBElement<?>>();
        }
        return this.shotOrShotRefOrGlobalTransition;
    }

}
