
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EnhancedAudioSignatureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EnhancedAudioSignatureType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="Envelope" type="{urn:mpeg:mpeg7:schema:2004}AudioSpectrumEnvelopeType"/>
 *         &lt;element name="Flatness" type="{urn:mpeg:mpeg7:schema:2004}AudioSignatureType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EnhancedAudioSignatureType", propOrder = {
    "envelope",
    "flatness"
})
public class EnhancedAudioSignatureType
    extends AudioDSType
{

    @XmlElement(name = "Envelope", required = true)
    protected AudioSpectrumEnvelopeType envelope;
    @XmlElement(name = "Flatness")
    protected AudioSignatureType flatness;

    /**
     * Gets the value of the envelope property.
     * 
     * @return
     *     possible object is
     *     {@link AudioSpectrumEnvelopeType }
     *     
     */
    public AudioSpectrumEnvelopeType getEnvelope() {
        return envelope;
    }

    /**
     * Sets the value of the envelope property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioSpectrumEnvelopeType }
     *     
     */
    public void setEnvelope(AudioSpectrumEnvelopeType value) {
        this.envelope = value;
    }

    /**
     * Gets the value of the flatness property.
     * 
     * @return
     *     possible object is
     *     {@link AudioSignatureType }
     *     
     */
    public AudioSignatureType getFlatness() {
        return flatness;
    }

    /**
     * Sets the value of the flatness property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioSignatureType }
     *     
     */
    public void setFlatness(AudioSignatureType value) {
        this.flatness = value;
    }

}
