
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Filter2DType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Filter2DType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}FilterType">
 *       &lt;sequence>
 *         &lt;element name="Terms" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType"/>
 *       &lt;/sequence>
 *       &lt;attribute name="xPhase" type="{http://www.w3.org/2001/XMLSchema}integer" default="0" />
 *       &lt;attribute name="yPhase" type="{http://www.w3.org/2001/XMLSchema}integer" default="0" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Filter2DType", propOrder = {
    "terms"
})
public class Filter2DType
    extends FilterType
{

    @XmlElement(name = "Terms", required = true)
    protected DoubleMatrixType terms;
    @XmlAttribute(name = "xPhase")
    protected BigInteger xPhase;
    @XmlAttribute(name = "yPhase")
    protected BigInteger yPhase;

    /**
     * Gets the value of the terms property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getTerms() {
        return terms;
    }

    /**
     * Sets the value of the terms property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setTerms(DoubleMatrixType value) {
        this.terms = value;
    }

    /**
     * Gets the value of the xPhase property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getXPhase() {
        if (xPhase == null) {
            return new BigInteger("0");
        } else {
            return xPhase;
        }
    }

    /**
     * Sets the value of the xPhase property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setXPhase(BigInteger value) {
        this.xPhase = value;
    }

    /**
     * Gets the value of the yPhase property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getYPhase() {
        if (yPhase == null) {
            return new BigInteger("0");
        } else {
            return yPhase;
        }
    }

    /**
     * Sets the value of the yPhase property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setYPhase(BigInteger value) {
        this.yPhase = value;
    }

}
