
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FinancialType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FinancialType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="AccountItem" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="EffectiveDate" type="{urn:mpeg:mpeg7:schema:2004}timePointType" minOccurs="0"/>
 *                   &lt;choice>
 *                     &lt;element name="CostType" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
 *                     &lt;element name="IncomeType" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *                 &lt;attribute name="currency" use="required" type="{urn:mpeg:mpeg7:schema:2004}currencyCode" />
 *                 &lt;attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}decimal" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FinancialType", propOrder = {
    "accountItem"
})
public class FinancialType {

    @XmlElement(name = "AccountItem", required = true)
    protected List<FinancialType.AccountItem> accountItem;

    /**
     * Gets the value of the accountItem property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the accountItem property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAccountItem().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FinancialType.AccountItem }
     * 
     * 
     */
    public List<FinancialType.AccountItem> getAccountItem() {
        if (accountItem == null) {
            accountItem = new ArrayList<FinancialType.AccountItem>();
        }
        return this.accountItem;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="EffectiveDate" type="{urn:mpeg:mpeg7:schema:2004}timePointType" minOccurs="0"/>
     *         &lt;choice>
     *           &lt;element name="CostType" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
     *           &lt;element name="IncomeType" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
     *         &lt;/choice>
     *       &lt;/sequence>
     *       &lt;attribute name="currency" use="required" type="{urn:mpeg:mpeg7:schema:2004}currencyCode" />
     *       &lt;attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}decimal" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "effectiveDate",
        "costType",
        "incomeType"
    })
    public static class AccountItem {

        @XmlElement(name = "EffectiveDate")
        protected String effectiveDate;
        @XmlElement(name = "CostType")
        protected TermUseType costType;
        @XmlElement(name = "IncomeType")
        protected TermUseType incomeType;
        @XmlAttribute(name = "currency", required = true)
        protected String currency;
        @XmlAttribute(name = "value", required = true)
        protected BigDecimal value;

        /**
         * Gets the value of the effectiveDate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEffectiveDate() {
            return effectiveDate;
        }

        /**
         * Sets the value of the effectiveDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEffectiveDate(String value) {
            this.effectiveDate = value;
        }

        /**
         * Gets the value of the costType property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getCostType() {
            return costType;
        }

        /**
         * Sets the value of the costType property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setCostType(TermUseType value) {
            this.costType = value;
        }

        /**
         * Gets the value of the incomeType property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getIncomeType() {
            return incomeType;
        }

        /**
         * Sets the value of the incomeType property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setIncomeType(TermUseType value) {
            this.incomeType = value;
        }

        /**
         * Gets the value of the currency property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrency() {
            return currency;
        }

        /**
         * Sets the value of the currency property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrency(String value) {
            this.currency = value;
        }

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setValue(BigDecimal value) {
            this.value = value;
        }

    }

}
