
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GaussianDistributionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GaussianDistributionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContinuousDistributionType">
 *       &lt;sequence>
 *         &lt;element name="Determinant" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="CovarianceInverse" type="{urn:mpeg:mpeg7:schema:2004}DoubleMatrixType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GaussianDistributionType", propOrder = {
    "determinant",
    "covarianceInverse"
})
@XmlSeeAlso({
    GeneralizedGaussianDistributionType.class
})
public class GaussianDistributionType
    extends ContinuousDistributionType
{

    @XmlElement(name = "Determinant")
    protected Double determinant;
    @XmlElement(name = "CovarianceInverse")
    protected DoubleMatrixType covarianceInverse;

    /**
     * Gets the value of the determinant property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getDeterminant() {
        return determinant;
    }

    /**
     * Sets the value of the determinant property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setDeterminant(Double value) {
        this.determinant = value;
    }

    /**
     * Gets the value of the covarianceInverse property.
     * 
     * @return
     *     possible object is
     *     {@link DoubleMatrixType }
     *     
     */
    public DoubleMatrixType getCovarianceInverse() {
        return covarianceInverse;
    }

    /**
     * Sets the value of the covarianceInverse property.
     * 
     * @param value
     *     allowed object is
     *     {@link DoubleMatrixType }
     *     
     */
    public void setCovarianceInverse(DoubleMatrixType value) {
        this.covarianceInverse = value;
    }

}
