
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for HandWritingRecogInformationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HandWritingRecogInformationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Recognizer" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *                   &lt;element name="Owner" type="{urn:mpeg:mpeg7:schema:2004}AgentType" minOccurs="0"/>
 *                   &lt;element name="Information" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="InkLexicon" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *                   &lt;element name="Owner" type="{urn:mpeg:mpeg7:schema:2004}AgentType" minOccurs="0"/>
 *                   &lt;choice>
 *                     &lt;element name="Resource" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType"/>
 *                     &lt;element name="Entry" maxOccurs="unbounded">
 *                       &lt;complexType>
 *                         &lt;complexContent>
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                             &lt;sequence>
 *                               &lt;element name="Text" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *                               &lt;element name="InkSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
 *                             &lt;/sequence>
 *                             &lt;attribute name="index" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *                             &lt;attribute name="frequency" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *                           &lt;/restriction>
 *                         &lt;/complexContent>
 *                       &lt;/complexType>
 *                     &lt;/element>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HandWritingRecogInformationType", propOrder = {
    "recognizer",
    "inkLexicon"
})
public class HandWritingRecogInformationType
    extends DSType
{

    @XmlElement(name = "Recognizer")
    protected HandWritingRecogInformationType.Recognizer recognizer;
    @XmlElement(name = "InkLexicon")
    protected HandWritingRecogInformationType.InkLexicon inkLexicon;

    /**
     * Gets the value of the recognizer property.
     * 
     * @return
     *     possible object is
     *     {@link HandWritingRecogInformationType.Recognizer }
     *     
     */
    public HandWritingRecogInformationType.Recognizer getRecognizer() {
        return recognizer;
    }

    /**
     * Sets the value of the recognizer property.
     * 
     * @param value
     *     allowed object is
     *     {@link HandWritingRecogInformationType.Recognizer }
     *     
     */
    public void setRecognizer(HandWritingRecogInformationType.Recognizer value) {
        this.recognizer = value;
    }

    /**
     * Gets the value of the inkLexicon property.
     * 
     * @return
     *     possible object is
     *     {@link HandWritingRecogInformationType.InkLexicon }
     *     
     */
    public HandWritingRecogInformationType.InkLexicon getInkLexicon() {
        return inkLexicon;
    }

    /**
     * Sets the value of the inkLexicon property.
     * 
     * @param value
     *     allowed object is
     *     {@link HandWritingRecogInformationType.InkLexicon }
     *     
     */
    public void setInkLexicon(HandWritingRecogInformationType.InkLexicon value) {
        this.inkLexicon = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
     *         &lt;element name="Owner" type="{urn:mpeg:mpeg7:schema:2004}AgentType" minOccurs="0"/>
     *         &lt;choice>
     *           &lt;element name="Resource" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType"/>
     *           &lt;element name="Entry" maxOccurs="unbounded">
     *             &lt;complexType>
     *               &lt;complexContent>
     *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                   &lt;sequence>
     *                     &lt;element name="Text" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
     *                     &lt;element name="InkSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
     *                   &lt;/sequence>
     *                   &lt;attribute name="index" type="{http://www.w3.org/2001/XMLSchema}ID" />
     *                   &lt;attribute name="frequency" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *                 &lt;/restriction>
     *               &lt;/complexContent>
     *             &lt;/complexType>
     *           &lt;/element>
     *         &lt;/choice>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "name",
        "owner",
        "resource",
        "entry"
    })
    public static class InkLexicon {

        @XmlElement(name = "Name")
        protected TermUseType name;
        @XmlElement(name = "Owner")
        protected AgentType owner;
        @XmlElement(name = "Resource")
        protected MediaLocatorType resource;
        @XmlElement(name = "Entry")
        protected List<HandWritingRecogInformationType.InkLexicon.Entry> entry;

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setName(TermUseType value) {
            this.name = value;
        }

        /**
         * Gets the value of the owner property.
         * 
         * @return
         *     possible object is
         *     {@link AgentType }
         *     
         */
        public AgentType getOwner() {
            return owner;
        }

        /**
         * Sets the value of the owner property.
         * 
         * @param value
         *     allowed object is
         *     {@link AgentType }
         *     
         */
        public void setOwner(AgentType value) {
            this.owner = value;
        }

        /**
         * Gets the value of the resource property.
         * 
         * @return
         *     possible object is
         *     {@link MediaLocatorType }
         *     
         */
        public MediaLocatorType getResource() {
            return resource;
        }

        /**
         * Sets the value of the resource property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaLocatorType }
         *     
         */
        public void setResource(MediaLocatorType value) {
            this.resource = value;
        }

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link HandWritingRecogInformationType.InkLexicon.Entry }
         * 
         * 
         */
        public List<HandWritingRecogInformationType.InkLexicon.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<HandWritingRecogInformationType.InkLexicon.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Text" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
         *         &lt;element name="InkSegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
         *       &lt;/sequence>
         *       &lt;attribute name="index" type="{http://www.w3.org/2001/XMLSchema}ID" />
         *       &lt;attribute name="frequency" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "text",
            "inkSegmentRef"
        })
        public static class Entry {

            @XmlElement(name = "Text")
            protected TermUseType text;
            @XmlElement(name = "InkSegmentRef")
            protected ReferenceType inkSegmentRef;
            @XmlAttribute(name = "index")
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlID
            @XmlSchemaType(name = "ID")
            protected String index;
            @XmlAttribute(name = "frequency")
            protected Float frequency;

            /**
             * Gets the value of the text property.
             * 
             * @return
             *     possible object is
             *     {@link TermUseType }
             *     
             */
            public TermUseType getText() {
                return text;
            }

            /**
             * Sets the value of the text property.
             * 
             * @param value
             *     allowed object is
             *     {@link TermUseType }
             *     
             */
            public void setText(TermUseType value) {
                this.text = value;
            }

            /**
             * Gets the value of the inkSegmentRef property.
             * 
             * @return
             *     possible object is
             *     {@link ReferenceType }
             *     
             */
            public ReferenceType getInkSegmentRef() {
                return inkSegmentRef;
            }

            /**
             * Sets the value of the inkSegmentRef property.
             * 
             * @param value
             *     allowed object is
             *     {@link ReferenceType }
             *     
             */
            public void setInkSegmentRef(ReferenceType value) {
                this.inkSegmentRef = value;
            }

            /**
             * Gets the value of the index property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getIndex() {
                return index;
            }

            /**
             * Sets the value of the index property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setIndex(String value) {
                this.index = value;
            }

            /**
             * Gets the value of the frequency property.
             * 
             * @return
             *     possible object is
             *     {@link Float }
             *     
             */
            public Float getFrequency() {
                return frequency;
            }

            /**
             * Sets the value of the frequency property.
             * 
             * @param value
             *     allowed object is
             *     {@link Float }
             *     
             */
            public void setFrequency(Float value) {
                this.frequency = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
     *         &lt;element name="Owner" type="{urn:mpeg:mpeg7:schema:2004}AgentType" minOccurs="0"/>
     *         &lt;element name="Information" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "name",
        "owner",
        "information"
    })
    public static class Recognizer {

        @XmlElement(name = "Name")
        protected TermUseType name;
        @XmlElement(name = "Owner")
        protected AgentType owner;
        @XmlElement(name = "Information")
        protected TextAnnotationType information;

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setName(TermUseType value) {
            this.name = value;
        }

        /**
         * Gets the value of the owner property.
         * 
         * @return
         *     possible object is
         *     {@link AgentType }
         *     
         */
        public AgentType getOwner() {
            return owner;
        }

        /**
         * Sets the value of the owner property.
         * 
         * @param value
         *     allowed object is
         *     {@link AgentType }
         *     
         */
        public void setOwner(AgentType value) {
            this.owner = value;
        }

        /**
         * Gets the value of the information property.
         * 
         * @return
         *     possible object is
         *     {@link TextAnnotationType }
         *     
         */
        public TextAnnotationType getInformation() {
            return information;
        }

        /**
         * Sets the value of the information property.
         * 
         * @param value
         *     allowed object is
         *     {@link TextAnnotationType }
         *     
         */
        public void setInformation(TextAnnotationType value) {
            this.information = value;
        }

    }

}
