
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HandWritingRecogResultType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HandWritingRecogResultType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="HandWritingRecogInformationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
 *         &lt;element name="Quality" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" minOccurs="0"/>
 *         &lt;element name="Result" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;choice>
 *                     &lt;element name="Text" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                     &lt;element name="LexiconIndexRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *                 &lt;attribute name="score" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HandWritingRecogResultType", propOrder = {
    "handWritingRecogInformationRef",
    "quality",
    "result"
})
public class HandWritingRecogResultType
    extends DSType
{

    @XmlElement(name = "HandWritingRecogInformationRef")
    protected ReferenceType handWritingRecogInformationRef;
    @XmlElement(name = "Quality")
    protected Float quality;
    @XmlElement(name = "Result", required = true)
    protected List<HandWritingRecogResultType.Result> result;

    /**
     * Gets the value of the handWritingRecogInformationRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getHandWritingRecogInformationRef() {
        return handWritingRecogInformationRef;
    }

    /**
     * Sets the value of the handWritingRecogInformationRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setHandWritingRecogInformationRef(ReferenceType value) {
        this.handWritingRecogInformationRef = value;
    }

    /**
     * Gets the value of the quality property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getQuality() {
        return quality;
    }

    /**
     * Sets the value of the quality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setQuality(Float value) {
        this.quality = value;
    }

    /**
     * Gets the value of the result property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the result property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResult().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HandWritingRecogResultType.Result }
     * 
     * 
     */
    public List<HandWritingRecogResultType.Result> getResult() {
        if (result == null) {
            result = new ArrayList<HandWritingRecogResultType.Result>();
        }
        return this.result;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;choice>
     *           &lt;element name="Text" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *           &lt;element name="LexiconIndexRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
     *         &lt;/choice>
     *       &lt;/sequence>
     *       &lt;attribute name="score" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "text",
        "lexiconIndexRef"
    })
    public static class Result {

        @XmlElement(name = "Text")
        protected String text;
        @XmlElement(name = "LexiconIndexRef")
        protected ReferenceType lexiconIndexRef;
        @XmlAttribute(name = "score")
        protected Float score;

        /**
         * Gets the value of the text property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getText() {
            return text;
        }

        /**
         * Sets the value of the text property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setText(String value) {
            this.text = value;
        }

        /**
         * Gets the value of the lexiconIndexRef property.
         * 
         * @return
         *     possible object is
         *     {@link ReferenceType }
         *     
         */
        public ReferenceType getLexiconIndexRef() {
            return lexiconIndexRef;
        }

        /**
         * Sets the value of the lexiconIndexRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReferenceType }
         *     
         */
        public void setLexiconIndexRef(ReferenceType value) {
            this.lexiconIndexRef = value;
        }

        /**
         * Gets the value of the score property.
         * 
         * @return
         *     possible object is
         *     {@link Float }
         *     
         */
        public Float getScore() {
            return score;
        }

        /**
         * Sets the value of the score property.
         * 
         * @param value
         *     allowed object is
         *     {@link Float }
         *     
         */
        public void setScore(Float value) {
            this.score = value;
        }

    }

}
