
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ImageSignatureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ImageSignatureType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}VisualDType">
 *       &lt;sequence>
 *         &lt;element name="GlobalSignatureA">
 *           &lt;simpleType>
 *             &lt;restriction>
 *               &lt;simpleType>
 *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
 *               &lt;/simpleType>
 *               &lt;length value="512"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="GlobalSignatureB">
 *           &lt;simpleType>
 *             &lt;restriction>
 *               &lt;simpleType>
 *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
 *               &lt;/simpleType>
 *               &lt;length value="512"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="LocalSignature">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="FeaturePointCount">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger">
 *                         &lt;minInclusive value="32"/>
 *                         &lt;maxInclusive value="80"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="FeaturePoint" maxOccurs="80" minOccurs="32">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="XCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
 *                             &lt;element name="YCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
 *                             &lt;element name="Direction" type="{urn:mpeg:mpeg7:schema:2004}unsigned4"/>
 *                             &lt;element name="LocalSignature">
 *                               &lt;simpleType>
 *                                 &lt;restriction>
 *                                   &lt;simpleType>
 *                                     &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
 *                                   &lt;/simpleType>
 *                                   &lt;length value="60"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ImageSignatureType", propOrder = {
    "globalSignatureA",
    "globalSignatureB",
    "localSignature"
})
public class ImageSignatureType
    extends VisualDType
{

    @XmlList
    @XmlElement(name = "GlobalSignatureA", type = Integer.class)
    protected List<Integer> globalSignatureA;
    @XmlList
    @XmlElement(name = "GlobalSignatureB", type = Integer.class)
    protected List<Integer> globalSignatureB;
    @XmlElement(name = "LocalSignature", required = true)
    protected ImageSignatureType.LocalSignature localSignature;

    /**
     * Gets the value of the globalSignatureA property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the globalSignatureA property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGlobalSignatureA().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getGlobalSignatureA() {
        if (globalSignatureA == null) {
            globalSignatureA = new ArrayList<Integer>();
        }
        return this.globalSignatureA;
    }

    /**
     * Gets the value of the globalSignatureB property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the globalSignatureB property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGlobalSignatureB().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getGlobalSignatureB() {
        if (globalSignatureB == null) {
            globalSignatureB = new ArrayList<Integer>();
        }
        return this.globalSignatureB;
    }

    /**
     * Gets the value of the localSignature property.
     * 
     * @return
     *     possible object is
     *     {@link ImageSignatureType.LocalSignature }
     *     
     */
    public ImageSignatureType.LocalSignature getLocalSignature() {
        return localSignature;
    }

    /**
     * Sets the value of the localSignature property.
     * 
     * @param value
     *     allowed object is
     *     {@link ImageSignatureType.LocalSignature }
     *     
     */
    public void setLocalSignature(ImageSignatureType.LocalSignature value) {
        this.localSignature = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="FeaturePointCount">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger">
     *               &lt;minInclusive value="32"/>
     *               &lt;maxInclusive value="80"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="FeaturePoint" maxOccurs="80" minOccurs="32">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="XCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
     *                   &lt;element name="YCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
     *                   &lt;element name="Direction" type="{urn:mpeg:mpeg7:schema:2004}unsigned4"/>
     *                   &lt;element name="LocalSignature">
     *                     &lt;simpleType>
     *                       &lt;restriction>
     *                         &lt;simpleType>
     *                           &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
     *                         &lt;/simpleType>
     *                         &lt;length value="60"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "featurePointCount",
        "featurePoint"
    })
    public static class LocalSignature {

        @XmlElement(name = "FeaturePointCount")
        protected int featurePointCount;
        @XmlElement(name = "FeaturePoint", required = true)
        protected List<ImageSignatureType.LocalSignature.FeaturePoint> featurePoint;

        /**
         * Gets the value of the featurePointCount property.
         * 
         */
        public int getFeaturePointCount() {
            return featurePointCount;
        }

        /**
         * Sets the value of the featurePointCount property.
         * 
         */
        public void setFeaturePointCount(int value) {
            this.featurePointCount = value;
        }

        /**
         * Gets the value of the featurePoint property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the featurePoint property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFeaturePoint().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ImageSignatureType.LocalSignature.FeaturePoint }
         * 
         * 
         */
        public List<ImageSignatureType.LocalSignature.FeaturePoint> getFeaturePoint() {
            if (featurePoint == null) {
                featurePoint = new ArrayList<ImageSignatureType.LocalSignature.FeaturePoint>();
            }
            return this.featurePoint;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="XCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
         *         &lt;element name="YCoord" type="{urn:mpeg:mpeg7:schema:2004}unsigned8"/>
         *         &lt;element name="Direction" type="{urn:mpeg:mpeg7:schema:2004}unsigned4"/>
         *         &lt;element name="LocalSignature">
         *           &lt;simpleType>
         *             &lt;restriction>
         *               &lt;simpleType>
         *                 &lt;list itemType="{urn:mpeg:mpeg7:schema:2004}unsigned1" />
         *               &lt;/simpleType>
         *               &lt;length value="60"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "xCoord",
            "yCoord",
            "direction",
            "localSignature"
        })
        public static class FeaturePoint {

            @XmlElement(name = "XCoord")
            protected int xCoord;
            @XmlElement(name = "YCoord")
            protected int yCoord;
            @XmlElement(name = "Direction")
            protected int direction;
            @XmlList
            @XmlElement(name = "LocalSignature", type = Integer.class)
            protected List<Integer> localSignature;

            /**
             * Gets the value of the xCoord property.
             * 
             */
            public int getXCoord() {
                return xCoord;
            }

            /**
             * Sets the value of the xCoord property.
             * 
             */
            public void setXCoord(int value) {
                this.xCoord = value;
            }

            /**
             * Gets the value of the yCoord property.
             * 
             */
            public int getYCoord() {
                return yCoord;
            }

            /**
             * Sets the value of the yCoord property.
             * 
             */
            public void setYCoord(int value) {
                this.yCoord = value;
            }

            /**
             * Gets the value of the direction property.
             * 
             */
            public int getDirection() {
                return direction;
            }

            /**
             * Sets the value of the direction property.
             * 
             */
            public void setDirection(int value) {
                this.direction = value;
            }

            /**
             * Gets the value of the localSignature property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the localSignature property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getLocalSignature().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Integer }
             * 
             * 
             */
            public List<Integer> getLocalSignature() {
                if (localSignature == null) {
                    localSignature = new ArrayList<Integer>();
                }
                return this.localSignature;
            }

        }

    }

}
