
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LinearPerceptualAttributeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LinearPerceptualAttributeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDType">
 *       &lt;sequence>
 *         &lt;element name="PerceptualEnergy" type="{urn:mpeg:mpeg7:schema:2004}PerceptualEnergyType" minOccurs="0"/>
 *         &lt;element name="PerceptualValence" type="{urn:mpeg:mpeg7:schema:2004}PerceptualValenceType" minOccurs="0"/>
 *         &lt;element name="PerceptualBeat" type="{urn:mpeg:mpeg7:schema:2004}PerceptualBeatType" minOccurs="0"/>
 *         &lt;element name="PerceptualTempo" type="{urn:mpeg:mpeg7:schema:2004}PerceptualTempoType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LinearPerceptualAttributeType", propOrder = {
    "perceptualEnergy",
    "perceptualValence",
    "perceptualBeat",
    "perceptualTempo"
})
public class LinearPerceptualAttributeType
    extends AudioDType
{

    @XmlElement(name = "PerceptualEnergy")
    protected PerceptualEnergyType perceptualEnergy;
    @XmlElement(name = "PerceptualValence")
    protected PerceptualValenceType perceptualValence;
    @XmlElement(name = "PerceptualBeat")
    protected PerceptualBeatType perceptualBeat;
    @XmlElement(name = "PerceptualTempo")
    protected PerceptualTempoType perceptualTempo;

    /**
     * Gets the value of the perceptualEnergy property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualEnergyType }
     *     
     */
    public PerceptualEnergyType getPerceptualEnergy() {
        return perceptualEnergy;
    }

    /**
     * Sets the value of the perceptualEnergy property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualEnergyType }
     *     
     */
    public void setPerceptualEnergy(PerceptualEnergyType value) {
        this.perceptualEnergy = value;
    }

    /**
     * Gets the value of the perceptualValence property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualValenceType }
     *     
     */
    public PerceptualValenceType getPerceptualValence() {
        return perceptualValence;
    }

    /**
     * Sets the value of the perceptualValence property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualValenceType }
     *     
     */
    public void setPerceptualValence(PerceptualValenceType value) {
        this.perceptualValence = value;
    }

    /**
     * Gets the value of the perceptualBeat property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualBeatType }
     *     
     */
    public PerceptualBeatType getPerceptualBeat() {
        return perceptualBeat;
    }

    /**
     * Sets the value of the perceptualBeat property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualBeatType }
     *     
     */
    public void setPerceptualBeat(PerceptualBeatType value) {
        this.perceptualBeat = value;
    }

    /**
     * Gets the value of the perceptualTempo property.
     * 
     * @return
     *     possible object is
     *     {@link PerceptualTempoType }
     *     
     */
    public PerceptualTempoType getPerceptualTempo() {
        return perceptualTempo;
    }

    /**
     * Sets the value of the perceptualTempo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PerceptualTempoType }
     *     
     */
    public void setPerceptualTempo(PerceptualTempoType value) {
        this.perceptualTempo = value;
    }

}
