
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LinguisticEntityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LinguisticEntityType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="MediaLocator" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Relation" type="{urn:mpeg:mpeg7:schema:2004}RelationType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="start">
 *         &lt;simpleType>
 *           &lt;union memberTypes=" {http://www.w3.org/2001/XMLSchema}nonNegativeInteger {urn:mpeg:mpeg7:schema:2004}mediaTimePointType">
 *           &lt;/union>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="length">
 *         &lt;simpleType>
 *           &lt;union memberTypes=" {http://www.w3.org/2001/XMLSchema}nonNegativeInteger {urn:mpeg:mpeg7:schema:2004}mediaDurationType">
 *           &lt;/union>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="type" type="{urn:mpeg:mpeg7:schema:2004}termReferenceType" />
 *       &lt;attribute name="depend" type="{urn:mpeg:mpeg7:schema:2004}termReferenceType" />
 *       &lt;attribute name="equal" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="semantics" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="compoundSemantics" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="operator" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="copy" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="noCopy" type="{urn:mpeg:mpeg7:schema:2004}termReferenceListType" />
 *       &lt;attribute name="substitute" type="{urn:mpeg:mpeg7:schema:2004}termReferenceType" />
 *       &lt;attribute name="inScope" type="{urn:mpeg:mpeg7:schema:2004}termReferenceType" />
 *       &lt;attribute name="edit">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;whiteSpace value="preserve"/>
 *             &lt;pattern value=":.*"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LinguisticEntityType", propOrder = {
    "mediaLocator",
    "relation"
})
@XmlSeeAlso({
    SyntacticConstituentType.class,
    SentencesType.class,
    LinguisticDocumentType.class
})
public abstract class LinguisticEntityType
    extends DSType
{

    @XmlElement(name = "MediaLocator")
    protected List<MediaLocatorType> mediaLocator;
    @XmlElement(name = "Relation")
    protected List<RelationType> relation;
    @XmlAttribute(name = "start")
    protected String start;
    @XmlAttribute(name = "length")
    protected String length;
    @XmlAttribute(name = "type")
    protected String type;
    @XmlAttribute(name = "depend")
    protected String depend;
    @XmlAttribute(name = "equal")
    protected List<String> equal;
    @XmlAttribute(name = "semantics")
    protected List<String> semantics;
    @XmlAttribute(name = "compoundSemantics")
    protected List<String> compoundSemantics;
    @XmlAttribute(name = "operator")
    protected List<String> operator;
    @XmlAttribute(name = "copy")
    protected List<String> copy;
    @XmlAttribute(name = "noCopy")
    protected List<String> noCopy;
    @XmlAttribute(name = "substitute")
    protected String substitute;
    @XmlAttribute(name = "inScope")
    protected String inScope;
    @XmlAttribute(name = "edit")
    protected String edit;

    /**
     * Gets the value of the mediaLocator property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaLocator property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaLocator().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MediaLocatorType }
     * 
     * 
     */
    public List<MediaLocatorType> getMediaLocator() {
        if (mediaLocator == null) {
            mediaLocator = new ArrayList<MediaLocatorType>();
        }
        return this.mediaLocator;
    }

    /**
     * Gets the value of the relation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the relation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRelation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RelationType }
     * 
     * 
     */
    public List<RelationType> getRelation() {
        if (relation == null) {
            relation = new ArrayList<RelationType>();
        }
        return this.relation;
    }

    /**
     * Gets the value of the start property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStart() {
        return start;
    }

    /**
     * Sets the value of the start property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStart(String value) {
        this.start = value;
    }

    /**
     * Gets the value of the length property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLength() {
        return length;
    }

    /**
     * Sets the value of the length property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLength(String value) {
        this.length = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the depend property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDepend() {
        return depend;
    }

    /**
     * Sets the value of the depend property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDepend(String value) {
        this.depend = value;
    }

    /**
     * Gets the value of the equal property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the equal property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEqual().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getEqual() {
        if (equal == null) {
            equal = new ArrayList<String>();
        }
        return this.equal;
    }

    /**
     * Gets the value of the semantics property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the semantics property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSemantics().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getSemantics() {
        if (semantics == null) {
            semantics = new ArrayList<String>();
        }
        return this.semantics;
    }

    /**
     * Gets the value of the compoundSemantics property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the compoundSemantics property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCompoundSemantics().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getCompoundSemantics() {
        if (compoundSemantics == null) {
            compoundSemantics = new ArrayList<String>();
        }
        return this.compoundSemantics;
    }

    /**
     * Gets the value of the operator property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the operator property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOperator().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getOperator() {
        if (operator == null) {
            operator = new ArrayList<String>();
        }
        return this.operator;
    }

    /**
     * Gets the value of the copy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the copy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCopy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getCopy() {
        if (copy == null) {
            copy = new ArrayList<String>();
        }
        return this.copy;
    }

    /**
     * Gets the value of the noCopy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the noCopy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNoCopy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getNoCopy() {
        if (noCopy == null) {
            noCopy = new ArrayList<String>();
        }
        return this.noCopy;
    }

    /**
     * Gets the value of the substitute property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubstitute() {
        return substitute;
    }

    /**
     * Sets the value of the substitute property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubstitute(String value) {
        this.substitute = value;
    }

    /**
     * Gets the value of the inScope property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInScope() {
        return inScope;
    }

    /**
     * Sets the value of the inScope property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInScope(String value) {
        this.inScope = value;
    }

    /**
     * Gets the value of the edit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEdit() {
        return edit;
    }

    /**
     * Sets the value of the edit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEdit(String value) {
        this.edit = value;
    }

}
