
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for MediaFormatType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaFormatType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="Content" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;element name="Medium" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="FileFormat" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="FileSize" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/>
 *         &lt;element name="System" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="Bandwidth" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
 *         &lt;element name="BitRate" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
 *                 &lt;attribute name="variable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *                 &lt;attribute name="minimum" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="average" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="TargetChannelBitRate" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/>
 *         &lt;element name="ScalableCoding" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;union>
 *               &lt;simpleType>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                   &lt;enumeration value="spatial"/>
 *                   &lt;enumeration value="temporal"/>
 *                   &lt;enumeration value="snr"/>
 *                   &lt;enumeration value="fgs"/>
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *               &lt;simpleType>
 *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *               &lt;simpleType>
 *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *             &lt;/union>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="VisualCoding" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Format" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType">
 *                           &lt;attribute name="colorDomain" default="color">
 *                             &lt;simpleType>
 *                               &lt;union>
 *                                 &lt;simpleType>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                                     &lt;enumeration value="binary"/>
 *                                     &lt;enumeration value="color"/>
 *                                     &lt;enumeration value="graylevel"/>
 *                                     &lt;enumeration value="colorized"/>
 *                                   &lt;/restriction>
 *                                 &lt;/simpleType>
 *                                 &lt;simpleType>
 *                                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                                   &lt;/restriction>
 *                                 &lt;/simpleType>
 *                                 &lt;simpleType>
 *                                   &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                                   &lt;/restriction>
 *                                 &lt;/simpleType>
 *                               &lt;/union>
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                         &lt;/extension>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Pixel" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="resolution" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                           &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Frame" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="width" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                           &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                           &lt;attribute name="structure">
 *                             &lt;simpleType>
 *                               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                                 &lt;enumeration value="progressive"/>
 *                                 &lt;enumeration value="interlaced"/>
 *                               &lt;/restriction>
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="ColorSampling" type="{urn:mpeg:mpeg7:schema:2004}ColorSamplingType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AudioCoding" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Format" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *                   &lt;element name="AudioChannels" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
 *                           &lt;attribute name="front" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="side" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="rear" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="lfe" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                           &lt;attribute name="track" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Sample" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
 *                           &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Emphasis" minOccurs="0">
 *                     &lt;simpleType>
 *                       &lt;union>
 *                         &lt;simpleType>
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                             &lt;enumeration value="none"/>
 *                             &lt;enumeration value="50over15Microseconds"/>
 *                             &lt;enumeration value="ccittJ17"/>
 *                           &lt;/restriction>
 *                         &lt;/simpleType>
 *                         &lt;simpleType>
 *                           &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                           &lt;/restriction>
 *                         &lt;/simpleType>
 *                         &lt;simpleType>
 *                           &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                           &lt;/restriction>
 *                         &lt;/simpleType>
 *                       &lt;/union>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="Presentation" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="SceneCodingFormat" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="GraphicsCodingFormat" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *         &lt;element name="OtherCodingFormat" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaFormatType", propOrder = {
    "content",
    "medium",
    "fileFormat",
    "fileSize",
    "system",
    "bandwidth",
    "bitRate",
    "targetChannelBitRate",
    "scalableCoding",
    "visualCoding",
    "audioCoding",
    "sceneCodingFormat",
    "graphicsCodingFormat",
    "otherCodingFormat"
})
@XmlSeeAlso({
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SourcePreferencesType.MediaFormat.class
})
public class MediaFormatType
    extends DType
{

    @XmlElement(name = "Content", required = true)
    protected ControlledTermUseType content;
    @XmlElement(name = "Medium")
    protected ControlledTermUseType medium;
    @XmlElement(name = "FileFormat")
    protected ControlledTermUseType fileFormat;
    @XmlElement(name = "FileSize")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger fileSize;
    @XmlElement(name = "System")
    protected ControlledTermUseType system;
    @XmlElement(name = "Bandwidth")
    protected Float bandwidth;
    @XmlElement(name = "BitRate")
    protected MediaFormatType.BitRate bitRate;
    @XmlElement(name = "TargetChannelBitRate")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger targetChannelBitRate;
    @XmlElement(name = "ScalableCoding")
    protected String scalableCoding;
    @XmlElement(name = "VisualCoding")
    protected MediaFormatType.VisualCoding visualCoding;
    @XmlElement(name = "AudioCoding")
    protected MediaFormatType.AudioCoding audioCoding;
    @XmlElement(name = "SceneCodingFormat")
    protected ControlledTermUseType sceneCodingFormat;
    @XmlElement(name = "GraphicsCodingFormat")
    protected ControlledTermUseType graphicsCodingFormat;
    @XmlElement(name = "OtherCodingFormat")
    protected ControlledTermUseType otherCodingFormat;

    /**
     * Gets the value of the content property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getContent() {
        return content;
    }

    /**
     * Sets the value of the content property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setContent(ControlledTermUseType value) {
        this.content = value;
    }

    /**
     * Gets the value of the medium property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getMedium() {
        return medium;
    }

    /**
     * Sets the value of the medium property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setMedium(ControlledTermUseType value) {
        this.medium = value;
    }

    /**
     * Gets the value of the fileFormat property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getFileFormat() {
        return fileFormat;
    }

    /**
     * Sets the value of the fileFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setFileFormat(ControlledTermUseType value) {
        this.fileFormat = value;
    }

    /**
     * Gets the value of the fileSize property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getFileSize() {
        return fileSize;
    }

    /**
     * Sets the value of the fileSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setFileSize(BigInteger value) {
        this.fileSize = value;
    }

    /**
     * Gets the value of the system property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getSystem() {
        return system;
    }

    /**
     * Sets the value of the system property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setSystem(ControlledTermUseType value) {
        this.system = value;
    }

    /**
     * Gets the value of the bandwidth property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getBandwidth() {
        return bandwidth;
    }

    /**
     * Sets the value of the bandwidth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setBandwidth(Float value) {
        this.bandwidth = value;
    }

    /**
     * Gets the value of the bitRate property.
     * 
     * @return
     *     possible object is
     *     {@link MediaFormatType.BitRate }
     *     
     */
    public MediaFormatType.BitRate getBitRate() {
        return bitRate;
    }

    /**
     * Sets the value of the bitRate property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaFormatType.BitRate }
     *     
     */
    public void setBitRate(MediaFormatType.BitRate value) {
        this.bitRate = value;
    }

    /**
     * Gets the value of the targetChannelBitRate property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTargetChannelBitRate() {
        return targetChannelBitRate;
    }

    /**
     * Sets the value of the targetChannelBitRate property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTargetChannelBitRate(BigInteger value) {
        this.targetChannelBitRate = value;
    }

    /**
     * Gets the value of the scalableCoding property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getScalableCoding() {
        return scalableCoding;
    }

    /**
     * Sets the value of the scalableCoding property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setScalableCoding(String value) {
        this.scalableCoding = value;
    }

    /**
     * Gets the value of the visualCoding property.
     * 
     * @return
     *     possible object is
     *     {@link MediaFormatType.VisualCoding }
     *     
     */
    public MediaFormatType.VisualCoding getVisualCoding() {
        return visualCoding;
    }

    /**
     * Sets the value of the visualCoding property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaFormatType.VisualCoding }
     *     
     */
    public void setVisualCoding(MediaFormatType.VisualCoding value) {
        this.visualCoding = value;
    }

    /**
     * Gets the value of the audioCoding property.
     * 
     * @return
     *     possible object is
     *     {@link MediaFormatType.AudioCoding }
     *     
     */
    public MediaFormatType.AudioCoding getAudioCoding() {
        return audioCoding;
    }

    /**
     * Sets the value of the audioCoding property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaFormatType.AudioCoding }
     *     
     */
    public void setAudioCoding(MediaFormatType.AudioCoding value) {
        this.audioCoding = value;
    }

    /**
     * Gets the value of the sceneCodingFormat property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getSceneCodingFormat() {
        return sceneCodingFormat;
    }

    /**
     * Sets the value of the sceneCodingFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setSceneCodingFormat(ControlledTermUseType value) {
        this.sceneCodingFormat = value;
    }

    /**
     * Gets the value of the graphicsCodingFormat property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getGraphicsCodingFormat() {
        return graphicsCodingFormat;
    }

    /**
     * Sets the value of the graphicsCodingFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setGraphicsCodingFormat(ControlledTermUseType value) {
        this.graphicsCodingFormat = value;
    }

    /**
     * Gets the value of the otherCodingFormat property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getOtherCodingFormat() {
        return otherCodingFormat;
    }

    /**
     * Sets the value of the otherCodingFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setOtherCodingFormat(ControlledTermUseType value) {
        this.otherCodingFormat = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Format" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
     *         &lt;element name="AudioChannels" minOccurs="0">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
     *                 &lt;attribute name="front" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="side" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="rear" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="lfe" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="track" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Sample" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                 &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Emphasis" minOccurs="0">
     *           &lt;simpleType>
     *             &lt;union>
     *               &lt;simpleType>
     *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                   &lt;enumeration value="none"/>
     *                   &lt;enumeration value="50over15Microseconds"/>
     *                   &lt;enumeration value="ccittJ17"/>
     *                 &lt;/restriction>
     *               &lt;/simpleType>
     *               &lt;simpleType>
     *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
     *                 &lt;/restriction>
     *               &lt;/simpleType>
     *               &lt;simpleType>
     *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
     *                 &lt;/restriction>
     *               &lt;/simpleType>
     *             &lt;/union>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="Presentation" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "format",
        "audioChannels",
        "sample",
        "emphasis",
        "presentation"
    })
    public static class AudioCoding {

        @XmlElement(name = "Format")
        protected ControlledTermUseType format;
        @XmlElement(name = "AudioChannels")
        protected MediaFormatType.AudioCoding.AudioChannels audioChannels;
        @XmlElement(name = "Sample")
        protected MediaFormatType.AudioCoding.Sample sample;
        @XmlElement(name = "Emphasis")
        protected String emphasis;
        @XmlElement(name = "Presentation")
        protected ControlledTermUseType presentation;

        /**
         * Gets the value of the format property.
         * 
         * @return
         *     possible object is
         *     {@link ControlledTermUseType }
         *     
         */
        public ControlledTermUseType getFormat() {
            return format;
        }

        /**
         * Sets the value of the format property.
         * 
         * @param value
         *     allowed object is
         *     {@link ControlledTermUseType }
         *     
         */
        public void setFormat(ControlledTermUseType value) {
            this.format = value;
        }

        /**
         * Gets the value of the audioChannels property.
         * 
         * @return
         *     possible object is
         *     {@link MediaFormatType.AudioCoding.AudioChannels }
         *     
         */
        public MediaFormatType.AudioCoding.AudioChannels getAudioChannels() {
            return audioChannels;
        }

        /**
         * Sets the value of the audioChannels property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaFormatType.AudioCoding.AudioChannels }
         *     
         */
        public void setAudioChannels(MediaFormatType.AudioCoding.AudioChannels value) {
            this.audioChannels = value;
        }

        /**
         * Gets the value of the sample property.
         * 
         * @return
         *     possible object is
         *     {@link MediaFormatType.AudioCoding.Sample }
         *     
         */
        public MediaFormatType.AudioCoding.Sample getSample() {
            return sample;
        }

        /**
         * Sets the value of the sample property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaFormatType.AudioCoding.Sample }
         *     
         */
        public void setSample(MediaFormatType.AudioCoding.Sample value) {
            this.sample = value;
        }

        /**
         * Gets the value of the emphasis property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEmphasis() {
            return emphasis;
        }

        /**
         * Sets the value of the emphasis property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEmphasis(String value) {
            this.emphasis = value;
        }

        /**
         * Gets the value of the presentation property.
         * 
         * @return
         *     possible object is
         *     {@link ControlledTermUseType }
         *     
         */
        public ControlledTermUseType getPresentation() {
            return presentation;
        }

        /**
         * Sets the value of the presentation property.
         * 
         * @param value
         *     allowed object is
         *     {@link ControlledTermUseType }
         *     
         */
        public void setPresentation(ControlledTermUseType value) {
            this.presentation = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
         *       &lt;attribute name="front" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="side" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="rear" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="lfe" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="track" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class AudioChannels {

            @XmlValue
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger value;
            @XmlAttribute(name = "front")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger front;
            @XmlAttribute(name = "side")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger side;
            @XmlAttribute(name = "rear")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger rear;
            @XmlAttribute(name = "lfe")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger lfe;
            @XmlAttribute(name = "track")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger track;

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setValue(BigInteger value) {
                this.value = value;
            }

            /**
             * Gets the value of the front property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getFront() {
                return front;
            }

            /**
             * Sets the value of the front property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setFront(BigInteger value) {
                this.front = value;
            }

            /**
             * Gets the value of the side property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getSide() {
                return side;
            }

            /**
             * Sets the value of the side property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setSide(BigInteger value) {
                this.side = value;
            }

            /**
             * Gets the value of the rear property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getRear() {
                return rear;
            }

            /**
             * Sets the value of the rear property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setRear(BigInteger value) {
                this.rear = value;
            }

            /**
             * Gets the value of the lfe property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getLfe() {
                return lfe;
            }

            /**
             * Sets the value of the lfe property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setLfe(BigInteger value) {
                this.lfe = value;
            }

            /**
             * Gets the value of the track property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getTrack() {
                return track;
            }

            /**
             * Sets the value of the track property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setTrack(BigInteger value) {
                this.track = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *       &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Sample {

            @XmlAttribute(name = "rate")
            protected Double rate;
            @XmlAttribute(name = "bitsPer")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger bitsPer;

            /**
             * Gets the value of the rate property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getRate() {
                return rate;
            }

            /**
             * Sets the value of the rate property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setRate(Double value) {
                this.rate = value;
            }

            /**
             * Gets the value of the bitsPer property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getBitsPer() {
                return bitsPer;
            }

            /**
             * Sets the value of the bitsPer property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setBitsPer(BigInteger value) {
                this.bitsPer = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>nonNegativeInteger">
     *       &lt;attribute name="variable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
     *       &lt;attribute name="minimum" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="average" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class BitRate {

        @XmlValue
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger value;
        @XmlAttribute(name = "variable")
        protected Boolean variable;
        @XmlAttribute(name = "minimum")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger minimum;
        @XmlAttribute(name = "average")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger average;
        @XmlAttribute(name = "maximum")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger maximum;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setValue(BigInteger value) {
            this.value = value;
        }

        /**
         * Gets the value of the variable property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isVariable() {
            if (variable == null) {
                return false;
            } else {
                return variable;
            }
        }

        /**
         * Sets the value of the variable property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setVariable(Boolean value) {
            this.variable = value;
        }

        /**
         * Gets the value of the minimum property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getMinimum() {
            return minimum;
        }

        /**
         * Sets the value of the minimum property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setMinimum(BigInteger value) {
            this.minimum = value;
        }

        /**
         * Gets the value of the average property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getAverage() {
            return average;
        }

        /**
         * Sets the value of the average property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setAverage(BigInteger value) {
            this.average = value;
        }

        /**
         * Gets the value of the maximum property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getMaximum() {
            return maximum;
        }

        /**
         * Sets the value of the maximum property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setMaximum(BigInteger value) {
            this.maximum = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Format" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType">
     *                 &lt;attribute name="colorDomain" default="color">
     *                   &lt;simpleType>
     *                     &lt;union>
     *                       &lt;simpleType>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                           &lt;enumeration value="binary"/>
     *                           &lt;enumeration value="color"/>
     *                           &lt;enumeration value="graylevel"/>
     *                           &lt;enumeration value="colorized"/>
     *                         &lt;/restriction>
     *                       &lt;/simpleType>
     *                       &lt;simpleType>
     *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
     *                         &lt;/restriction>
     *                       &lt;/simpleType>
     *                       &lt;simpleType>
     *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
     *                         &lt;/restriction>
     *                       &lt;/simpleType>
     *                     &lt;/union>
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *               &lt;/extension>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Pixel" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="resolution" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                 &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Frame" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="width" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *                 &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                 &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
     *                 &lt;attribute name="structure">
     *                   &lt;simpleType>
     *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                       &lt;enumeration value="progressive"/>
     *                       &lt;enumeration value="interlaced"/>
     *                     &lt;/restriction>
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="ColorSampling" type="{urn:mpeg:mpeg7:schema:2004}ColorSamplingType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "format",
        "pixel",
        "frame",
        "colorSampling"
    })
    public static class VisualCoding {

        @XmlElement(name = "Format")
        protected MediaFormatType.VisualCoding.Format format;
        @XmlElement(name = "Pixel")
        protected MediaFormatType.VisualCoding.Pixel pixel;
        @XmlElement(name = "Frame")
        protected MediaFormatType.VisualCoding.Frame frame;
        @XmlElement(name = "ColorSampling")
        protected ColorSamplingType colorSampling;

        /**
         * Gets the value of the format property.
         * 
         * @return
         *     possible object is
         *     {@link MediaFormatType.VisualCoding.Format }
         *     
         */
        public MediaFormatType.VisualCoding.Format getFormat() {
            return format;
        }

        /**
         * Sets the value of the format property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaFormatType.VisualCoding.Format }
         *     
         */
        public void setFormat(MediaFormatType.VisualCoding.Format value) {
            this.format = value;
        }

        /**
         * Gets the value of the pixel property.
         * 
         * @return
         *     possible object is
         *     {@link MediaFormatType.VisualCoding.Pixel }
         *     
         */
        public MediaFormatType.VisualCoding.Pixel getPixel() {
            return pixel;
        }

        /**
         * Sets the value of the pixel property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaFormatType.VisualCoding.Pixel }
         *     
         */
        public void setPixel(MediaFormatType.VisualCoding.Pixel value) {
            this.pixel = value;
        }

        /**
         * Gets the value of the frame property.
         * 
         * @return
         *     possible object is
         *     {@link MediaFormatType.VisualCoding.Frame }
         *     
         */
        public MediaFormatType.VisualCoding.Frame getFrame() {
            return frame;
        }

        /**
         * Sets the value of the frame property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaFormatType.VisualCoding.Frame }
         *     
         */
        public void setFrame(MediaFormatType.VisualCoding.Frame value) {
            this.frame = value;
        }

        /**
         * Gets the value of the colorSampling property.
         * 
         * @return
         *     possible object is
         *     {@link ColorSamplingType }
         *     
         */
        public ColorSamplingType getColorSampling() {
            return colorSampling;
        }

        /**
         * Sets the value of the colorSampling property.
         * 
         * @param value
         *     allowed object is
         *     {@link ColorSamplingType }
         *     
         */
        public void setColorSampling(ColorSamplingType value) {
            this.colorSampling = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType">
         *       &lt;attribute name="colorDomain" default="color">
         *         &lt;simpleType>
         *           &lt;union>
         *             &lt;simpleType>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         *                 &lt;enumeration value="binary"/>
         *                 &lt;enumeration value="color"/>
         *                 &lt;enumeration value="graylevel"/>
         *                 &lt;enumeration value="colorized"/>
         *               &lt;/restriction>
         *             &lt;/simpleType>
         *             &lt;simpleType>
         *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
         *               &lt;/restriction>
         *             &lt;/simpleType>
         *             &lt;simpleType>
         *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
         *               &lt;/restriction>
         *             &lt;/simpleType>
         *           &lt;/union>
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *     &lt;/extension>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Format
            extends ControlledTermUseType
        {

            @XmlAttribute(name = "colorDomain")
            protected String colorDomain;

            /**
             * Gets the value of the colorDomain property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getColorDomain() {
                if (colorDomain == null) {
                    return "color";
                } else {
                    return colorDomain;
                }
            }

            /**
             * Sets the value of the colorDomain property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setColorDomain(String value) {
                this.colorDomain = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="height" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="width" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *       &lt;attribute name="rate" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *       &lt;attribute name="structure">
         *         &lt;simpleType>
         *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         *             &lt;enumeration value="progressive"/>
         *             &lt;enumeration value="interlaced"/>
         *           &lt;/restriction>
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Frame {

            @XmlAttribute(name = "height")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger height;
            @XmlAttribute(name = "width")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger width;
            @XmlAttribute(name = "aspectRatio")
            protected Double aspectRatio;
            @XmlAttribute(name = "rate")
            protected Double rate;
            @XmlAttribute(name = "structure")
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            protected String structure;

            /**
             * Gets the value of the height property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getHeight() {
                return height;
            }

            /**
             * Sets the value of the height property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setHeight(BigInteger value) {
                this.height = value;
            }

            /**
             * Gets the value of the width property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getWidth() {
                return width;
            }

            /**
             * Sets the value of the width property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setWidth(BigInteger value) {
                this.width = value;
            }

            /**
             * Gets the value of the aspectRatio property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getAspectRatio() {
                return aspectRatio;
            }

            /**
             * Sets the value of the aspectRatio property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setAspectRatio(Double value) {
                this.aspectRatio = value;
            }

            /**
             * Gets the value of the rate property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getRate() {
                return rate;
            }

            /**
             * Sets the value of the rate property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setRate(Double value) {
                this.rate = value;
            }

            /**
             * Gets the value of the structure property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getStructure() {
                return structure;
            }

            /**
             * Sets the value of the structure property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setStructure(String value) {
                this.structure = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="resolution" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *       &lt;attribute name="aspectRatio" type="{urn:mpeg:mpeg7:schema:2004}nonNegativeReal" />
         *       &lt;attribute name="bitsPer" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Pixel {

            @XmlAttribute(name = "resolution")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger resolution;
            @XmlAttribute(name = "aspectRatio")
            protected Double aspectRatio;
            @XmlAttribute(name = "bitsPer")
            @XmlSchemaType(name = "nonNegativeInteger")
            protected BigInteger bitsPer;

            /**
             * Gets the value of the resolution property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getResolution() {
                return resolution;
            }

            /**
             * Sets the value of the resolution property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setResolution(BigInteger value) {
                this.resolution = value;
            }

            /**
             * Gets the value of the aspectRatio property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getAspectRatio() {
                return aspectRatio;
            }

            /**
             * Sets the value of the aspectRatio property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setAspectRatio(Double value) {
                this.aspectRatio = value;
            }

            /**
             * Gets the value of the bitsPer property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getBitsPer() {
                return bitsPer;
            }

            /**
             * Sets the value of the bitsPer property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setBitsPer(BigInteger value) {
                this.bitsPer = value;
            }

        }

    }

}
