
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MediaProfileType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaProfileType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="ComponentMediaProfile" type="{urn:mpeg:mpeg7:schema:2004}MediaProfileType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="MediaFormat" type="{urn:mpeg:mpeg7:schema:2004}MediaFormatType" minOccurs="0"/>
 *         &lt;element name="MediaTranscodingHints" type="{urn:mpeg:mpeg7:schema:2004}MediaTranscodingHintsType" minOccurs="0"/>
 *         &lt;element name="MediaQuality" type="{urn:mpeg:mpeg7:schema:2004}MediaQualityType" minOccurs="0"/>
 *         &lt;element name="MediaInstance" type="{urn:mpeg:mpeg7:schema:2004}MediaInstanceType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="master" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaProfileType", propOrder = {
    "componentMediaProfile",
    "mediaFormat",
    "mediaTranscodingHints",
    "mediaQuality",
    "mediaInstance"
})
public class MediaProfileType
    extends DSType
{

    @XmlElement(name = "ComponentMediaProfile")
    protected List<MediaProfileType> componentMediaProfile;
    @XmlElement(name = "MediaFormat")
    protected MediaFormatType mediaFormat;
    @XmlElement(name = "MediaTranscodingHints")
    protected MediaTranscodingHintsType mediaTranscodingHints;
    @XmlElement(name = "MediaQuality")
    protected MediaQualityType mediaQuality;
    @XmlElement(name = "MediaInstance")
    protected List<MediaInstanceType> mediaInstance;
    @XmlAttribute(name = "master")
    protected Boolean master;

    /**
     * Gets the value of the componentMediaProfile property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the componentMediaProfile property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getComponentMediaProfile().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MediaProfileType }
     * 
     * 
     */
    public List<MediaProfileType> getComponentMediaProfile() {
        if (componentMediaProfile == null) {
            componentMediaProfile = new ArrayList<MediaProfileType>();
        }
        return this.componentMediaProfile;
    }

    /**
     * Gets the value of the mediaFormat property.
     * 
     * @return
     *     possible object is
     *     {@link MediaFormatType }
     *     
     */
    public MediaFormatType getMediaFormat() {
        return mediaFormat;
    }

    /**
     * Sets the value of the mediaFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaFormatType }
     *     
     */
    public void setMediaFormat(MediaFormatType value) {
        this.mediaFormat = value;
    }

    /**
     * Gets the value of the mediaTranscodingHints property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTranscodingHintsType }
     *     
     */
    public MediaTranscodingHintsType getMediaTranscodingHints() {
        return mediaTranscodingHints;
    }

    /**
     * Sets the value of the mediaTranscodingHints property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTranscodingHintsType }
     *     
     */
    public void setMediaTranscodingHints(MediaTranscodingHintsType value) {
        this.mediaTranscodingHints = value;
    }

    /**
     * Gets the value of the mediaQuality property.
     * 
     * @return
     *     possible object is
     *     {@link MediaQualityType }
     *     
     */
    public MediaQualityType getMediaQuality() {
        return mediaQuality;
    }

    /**
     * Sets the value of the mediaQuality property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaQualityType }
     *     
     */
    public void setMediaQuality(MediaQualityType value) {
        this.mediaQuality = value;
    }

    /**
     * Gets the value of the mediaInstance property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaInstance property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaInstance().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MediaInstanceType }
     * 
     * 
     */
    public List<MediaInstanceType> getMediaInstance() {
        if (mediaInstance == null) {
            mediaInstance = new ArrayList<MediaInstanceType>();
        }
        return this.mediaInstance;
    }

    /**
     * Gets the value of the master property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isMaster() {
        if (master == null) {
            return false;
        } else {
            return master;
        }
    }

    /**
     * Sets the value of the master property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMaster(Boolean value) {
        this.master = value;
    }

}
