
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MediaReviewDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MediaReviewDescriptionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContentManagementType">
 *       &lt;sequence>
 *         &lt;element name="ContentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;element name="Tags" type="{urn:mpeg:mpeg7:schema:2004}KeywordAnnotationType" minOccurs="0"/>
 *         &lt;element name="FreeTextReview" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="MediaRating" type="{urn:mpeg:mpeg7:schema:2004}RatingType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="IdentityRating" type="{urn:mpeg:mpeg7:schema:2004}RatingType" minOccurs="0"/>
 *         &lt;element name="QualityRating" type="{urn:mpeg:mpeg7:schema:2004}MediaQualityType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="reviewTime" use="required" type="{urn:mpeg:mpeg7:schema:2004}timePointType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MediaReviewDescriptionType", propOrder = {
    "contentRef",
    "tags",
    "freeTextReview",
    "mediaRating",
    "identityRating",
    "qualityRating"
})
@XmlSeeAlso({
    IndividualMediaReviewDescriptionType.class,
    AggregatedMediaReviewDescriptionType.class
})
public abstract class MediaReviewDescriptionType
    extends ContentManagementType
{

    @XmlElement(name = "ContentRef", required = true)
    protected ReferenceType contentRef;
    @XmlElement(name = "Tags")
    protected KeywordAnnotationType tags;
    @XmlElement(name = "FreeTextReview")
    protected List<TextualType> freeTextReview;
    @XmlElement(name = "MediaRating")
    protected List<RatingType> mediaRating;
    @XmlElement(name = "IdentityRating")
    protected RatingType identityRating;
    @XmlElement(name = "QualityRating")
    protected List<MediaQualityType> qualityRating;
    @XmlAttribute(name = "reviewTime", required = true)
    protected String reviewTime;

    /**
     * Gets the value of the contentRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getContentRef() {
        return contentRef;
    }

    /**
     * Sets the value of the contentRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setContentRef(ReferenceType value) {
        this.contentRef = value;
    }

    /**
     * Gets the value of the tags property.
     * 
     * @return
     *     possible object is
     *     {@link KeywordAnnotationType }
     *     
     */
    public KeywordAnnotationType getTags() {
        return tags;
    }

    /**
     * Sets the value of the tags property.
     * 
     * @param value
     *     allowed object is
     *     {@link KeywordAnnotationType }
     *     
     */
    public void setTags(KeywordAnnotationType value) {
        this.tags = value;
    }

    /**
     * Gets the value of the freeTextReview property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the freeTextReview property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFreeTextReview().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getFreeTextReview() {
        if (freeTextReview == null) {
            freeTextReview = new ArrayList<TextualType>();
        }
        return this.freeTextReview;
    }

    /**
     * Gets the value of the mediaRating property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaRating property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaRating().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RatingType }
     * 
     * 
     */
    public List<RatingType> getMediaRating() {
        if (mediaRating == null) {
            mediaRating = new ArrayList<RatingType>();
        }
        return this.mediaRating;
    }

    /**
     * Gets the value of the identityRating property.
     * 
     * @return
     *     possible object is
     *     {@link RatingType }
     *     
     */
    public RatingType getIdentityRating() {
        return identityRating;
    }

    /**
     * Sets the value of the identityRating property.
     * 
     * @param value
     *     allowed object is
     *     {@link RatingType }
     *     
     */
    public void setIdentityRating(RatingType value) {
        this.identityRating = value;
    }

    /**
     * Gets the value of the qualityRating property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the qualityRating property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getQualityRating().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MediaQualityType }
     * 
     * 
     */
    public List<MediaQualityType> getQualityRating() {
        if (qualityRating == null) {
            qualityRating = new ArrayList<MediaQualityType>();
        }
        return this.qualityRating;
    }

    /**
     * Gets the value of the reviewTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReviewTime() {
        return reviewTime;
    }

    /**
     * Sets the value of the reviewTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReviewTime(String value) {
        this.reviewTime = value;
    }

}
