
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MelodyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MelodyType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="Meter" type="{urn:mpeg:mpeg7:schema:2004}MeterType" minOccurs="0"/>
 *         &lt;element name="Scale" type="{urn:mpeg:mpeg7:schema:2004}scaleType" minOccurs="0"/>
 *         &lt;element name="Key" type="{urn:mpeg:mpeg7:schema:2004}KeyType" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="MelodyContour" type="{urn:mpeg:mpeg7:schema:2004}MelodyContourType"/>
 *           &lt;element name="MelodySequence" type="{urn:mpeg:mpeg7:schema:2004}MelodySequenceType" maxOccurs="unbounded"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MelodyType", propOrder = {
    "meter",
    "scale",
    "key",
    "melodyContour",
    "melodySequence"
})
@XmlSeeAlso({
    PitchProfileDSType.class
})
public class MelodyType
    extends AudioDSType
{

    @XmlElement(name = "Meter")
    protected MeterType meter;
    @XmlList
    @XmlElement(name = "Scale", type = Float.class)
    protected List<Float> scale;
    @XmlElement(name = "Key")
    protected KeyType key;
    @XmlElement(name = "MelodyContour")
    protected MelodyContourType melodyContour;
    @XmlElement(name = "MelodySequence")
    protected List<MelodySequenceType> melodySequence;

    /**
     * Gets the value of the meter property.
     * 
     * @return
     *     possible object is
     *     {@link MeterType }
     *     
     */
    public MeterType getMeter() {
        return meter;
    }

    /**
     * Sets the value of the meter property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeterType }
     *     
     */
    public void setMeter(MeterType value) {
        this.meter = value;
    }

    /**
     * Gets the value of the scale property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the scale property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getScale().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getScale() {
        if (scale == null) {
            scale = new ArrayList<Float>();
        }
        return this.scale;
    }

    /**
     * Gets the value of the key property.
     * 
     * @return
     *     possible object is
     *     {@link KeyType }
     *     
     */
    public KeyType getKey() {
        return key;
    }

    /**
     * Sets the value of the key property.
     * 
     * @param value
     *     allowed object is
     *     {@link KeyType }
     *     
     */
    public void setKey(KeyType value) {
        this.key = value;
    }

    /**
     * Gets the value of the melodyContour property.
     * 
     * @return
     *     possible object is
     *     {@link MelodyContourType }
     *     
     */
    public MelodyContourType getMelodyContour() {
        return melodyContour;
    }

    /**
     * Sets the value of the melodyContour property.
     * 
     * @param value
     *     allowed object is
     *     {@link MelodyContourType }
     *     
     */
    public void setMelodyContour(MelodyContourType value) {
        this.melodyContour = value;
    }

    /**
     * Gets the value of the melodySequence property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the melodySequence property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMelodySequence().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MelodySequenceType }
     * 
     * 
     */
    public List<MelodySequenceType> getMelodySequence() {
        if (melodySequence == null) {
            melodySequence = new ArrayList<MelodySequenceType>();
        }
        return this.melodySequence;
    }

}
