
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MixedCollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MixedCollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}CollectionType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Content" type="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType"/>
 *           &lt;element name="ContentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Segment" type="{urn:mpeg:mpeg7:schema:2004}SegmentType"/>
 *           &lt;element name="SegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;element name="Descriptor" type="{urn:mpeg:mpeg7:schema:2004}DType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Concept" type="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType"/>
 *           &lt;element name="ConceptRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="MixedCollection" type="{urn:mpeg:mpeg7:schema:2004}MixedCollectionType"/>
 *           &lt;element name="MixedCollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MixedCollectionType", propOrder = {
    "contentOrContentRef",
    "segmentOrSegmentRef",
    "descriptor",
    "conceptOrConceptRef",
    "mixedCollectionOrMixedCollectionRef"
})
public class MixedCollectionType
    extends CollectionType
{

    @XmlElements({
        @XmlElement(name = "Content", type = MultimediaContentType.class),
        @XmlElement(name = "ContentRef", type = ReferenceType.class)
    })
    protected List<Object> contentOrContentRef;
    @XmlElements({
        @XmlElement(name = "SegmentRef", type = ReferenceType.class),
        @XmlElement(name = "Segment", type = SegmentType.class)
    })
    protected List<Object> segmentOrSegmentRef;
    @XmlElement(name = "Descriptor")
    protected List<DType> descriptor;
    @XmlElements({
        @XmlElement(name = "Concept", type = SemanticBaseType.class),
        @XmlElement(name = "ConceptRef", type = ReferenceType.class)
    })
    protected List<Object> conceptOrConceptRef;
    @XmlElements({
        @XmlElement(name = "MixedCollectionRef", type = ReferenceType.class),
        @XmlElement(name = "MixedCollection", type = MixedCollectionType.class)
    })
    protected List<Object> mixedCollectionOrMixedCollectionRef;

    /**
     * Gets the value of the contentOrContentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contentOrContentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContentOrContentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MultimediaContentType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getContentOrContentRef() {
        if (contentOrContentRef == null) {
            contentOrContentRef = new ArrayList<Object>();
        }
        return this.contentOrContentRef;
    }

    /**
     * Gets the value of the segmentOrSegmentRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentOrSegmentRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentOrSegmentRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link SegmentType }
     * 
     * 
     */
    public List<Object> getSegmentOrSegmentRef() {
        if (segmentOrSegmentRef == null) {
            segmentOrSegmentRef = new ArrayList<Object>();
        }
        return this.segmentOrSegmentRef;
    }

    /**
     * Gets the value of the descriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the descriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DType }
     * 
     * 
     */
    public List<DType> getDescriptor() {
        if (descriptor == null) {
            descriptor = new ArrayList<DType>();
        }
        return this.descriptor;
    }

    /**
     * Gets the value of the conceptOrConceptRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the conceptOrConceptRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConceptOrConceptRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticBaseType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getConceptOrConceptRef() {
        if (conceptOrConceptRef == null) {
            conceptOrConceptRef = new ArrayList<Object>();
        }
        return this.conceptOrConceptRef;
    }

    /**
     * Gets the value of the mixedCollectionOrMixedCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mixedCollectionOrMixedCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMixedCollectionOrMixedCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link MixedCollectionType }
     * 
     * 
     */
    public List<Object> getMixedCollectionOrMixedCollectionRef() {
        if (mixedCollectionOrMixedCollectionRef == null) {
            mixedCollectionOrMixedCollectionRef = new ArrayList<Object>();
        }
        return this.mixedCollectionOrMixedCollectionRef;
    }

}
