
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MosaicType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MosaicType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}StillRegionType">
 *       &lt;sequence>
 *         &lt;element name="WarpingParam" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded">
 *                   &lt;choice>
 *                     &lt;element name="MediaTimePoint" type="{urn:mpeg:mpeg7:schema:2004}mediaTimePointType"/>
 *                     &lt;element name="MediaRelTimePoint" type="{urn:mpeg:mpeg7:schema:2004}MediaRelTimePointType"/>
 *                     &lt;element name="MediaRelIncrTimePoint" type="{urn:mpeg:mpeg7:schema:2004}MediaRelIncrTimePointType"/>
 *                   &lt;/choice>
 *                   &lt;element name="MotionParam" type="{urn:mpeg:mpeg7:schema:2004}floatVector"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="modelType" use="required">
 *                   &lt;simpleType>
 *                     &lt;union>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                           &lt;enumeration value="translational"/>
 *                           &lt;enumeration value="rotationAndScaling"/>
 *                           &lt;enumeration value="affine"/>
 *                           &lt;enumeration value="perspective"/>
 *                           &lt;enumeration value="quadratic"/>
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                     &lt;/union>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *                 &lt;attribute name="sourceSequenceWidth" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *                 &lt;attribute name="sourceSequenceHeight" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *                 &lt;attribute name="xOffset" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
 *                 &lt;attribute name="yOffset" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
 *                 &lt;attribute name="xOrigin" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
 *                 &lt;attribute name="yOrigin" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MosaicType", propOrder = {
    "warpingParam"
})
public class MosaicType
    extends StillRegionType
{

    @XmlElement(name = "WarpingParam")
    protected MosaicType.WarpingParam warpingParam;

    /**
     * Gets the value of the warpingParam property.
     * 
     * @return
     *     possible object is
     *     {@link MosaicType.WarpingParam }
     *     
     */
    public MosaicType.WarpingParam getWarpingParam() {
        return warpingParam;
    }

    /**
     * Sets the value of the warpingParam property.
     * 
     * @param value
     *     allowed object is
     *     {@link MosaicType.WarpingParam }
     *     
     */
    public void setWarpingParam(MosaicType.WarpingParam value) {
        this.warpingParam = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;choice>
     *           &lt;element name="MediaTimePoint" type="{urn:mpeg:mpeg7:schema:2004}mediaTimePointType"/>
     *           &lt;element name="MediaRelTimePoint" type="{urn:mpeg:mpeg7:schema:2004}MediaRelTimePointType"/>
     *           &lt;element name="MediaRelIncrTimePoint" type="{urn:mpeg:mpeg7:schema:2004}MediaRelIncrTimePointType"/>
     *         &lt;/choice>
     *         &lt;element name="MotionParam" type="{urn:mpeg:mpeg7:schema:2004}floatVector"/>
     *       &lt;/sequence>
     *       &lt;attribute name="modelType" use="required">
     *         &lt;simpleType>
     *           &lt;union>
     *             &lt;simpleType>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                 &lt;enumeration value="translational"/>
     *                 &lt;enumeration value="rotationAndScaling"/>
     *                 &lt;enumeration value="affine"/>
     *                 &lt;enumeration value="perspective"/>
     *                 &lt;enumeration value="quadratic"/>
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *             &lt;simpleType>
     *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *             &lt;simpleType>
     *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *           &lt;/union>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *       &lt;attribute name="sourceSequenceWidth" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *       &lt;attribute name="sourceSequenceHeight" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
     *       &lt;attribute name="xOffset" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
     *       &lt;attribute name="yOffset" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
     *       &lt;attribute name="xOrigin" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
     *       &lt;attribute name="yOrigin" use="required" type="{http://www.w3.org/2001/XMLSchema}float" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint"
    })
    public static class WarpingParam {

        @XmlElementRefs({
            @XmlElementRef(name = "MediaRelIncrTimePoint", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
            @XmlElementRef(name = "MediaRelTimePoint", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
            @XmlElementRef(name = "MediaTimePoint", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class),
            @XmlElementRef(name = "MotionParam", namespace = "urn:mpeg:mpeg7:schema:2004", type = JAXBElement.class)
        })
        protected List<JAXBElement<?>> mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint;
        @XmlAttribute(name = "modelType", required = true)
        protected String modelType;
        @XmlAttribute(name = "sourceSequenceWidth", required = true)
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger sourceSequenceWidth;
        @XmlAttribute(name = "sourceSequenceHeight", required = true)
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger sourceSequenceHeight;
        @XmlAttribute(name = "xOffset", required = true)
        protected float xOffset;
        @XmlAttribute(name = "yOffset", required = true)
        protected float yOffset;
        @XmlAttribute(name = "xOrigin", required = true)
        protected float xOrigin;
        @XmlAttribute(name = "yOrigin", required = true)
        protected float yOrigin;

        /**
         * Gets the value of the mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link JAXBElement }{@code <}{@link MediaRelIncrTimePointType }{@code >}
         * {@link JAXBElement }{@code <}{@link MediaRelTimePointType }{@code >}
         * {@link JAXBElement }{@code <}{@link String }{@code >}
         * {@link JAXBElement }{@code <}{@link List }{@code <}{@link Float }{@code >}{@code >}
         * 
         * 
         */
        public List<JAXBElement<?>> getMediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint() {
            if (mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint == null) {
                mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint = new ArrayList<JAXBElement<?>>();
            }
            return this.mediaTimePointOrMediaRelTimePointOrMediaRelIncrTimePoint;
        }

        /**
         * Gets the value of the modelType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getModelType() {
            return modelType;
        }

        /**
         * Sets the value of the modelType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setModelType(String value) {
            this.modelType = value;
        }

        /**
         * Gets the value of the sourceSequenceWidth property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getSourceSequenceWidth() {
            return sourceSequenceWidth;
        }

        /**
         * Sets the value of the sourceSequenceWidth property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setSourceSequenceWidth(BigInteger value) {
            this.sourceSequenceWidth = value;
        }

        /**
         * Gets the value of the sourceSequenceHeight property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getSourceSequenceHeight() {
            return sourceSequenceHeight;
        }

        /**
         * Sets the value of the sourceSequenceHeight property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setSourceSequenceHeight(BigInteger value) {
            this.sourceSequenceHeight = value;
        }

        /**
         * Gets the value of the xOffset property.
         * 
         */
        public float getXOffset() {
            return xOffset;
        }

        /**
         * Sets the value of the xOffset property.
         * 
         */
        public void setXOffset(float value) {
            this.xOffset = value;
        }

        /**
         * Gets the value of the yOffset property.
         * 
         */
        public float getYOffset() {
            return yOffset;
        }

        /**
         * Sets the value of the yOffset property.
         * 
         */
        public void setYOffset(float value) {
            this.yOffset = value;
        }

        /**
         * Gets the value of the xOrigin property.
         * 
         */
        public float getXOrigin() {
            return xOrigin;
        }

        /**
         * Sets the value of the xOrigin property.
         * 
         */
        public void setXOrigin(float value) {
            this.xOrigin = value;
        }

        /**
         * Gets the value of the yOrigin property.
         * 
         */
        public float getYOrigin() {
            return yOrigin;
        }

        /**
         * Sets the value of the yOrigin property.
         * 
         */
        public void setYOrigin(float value) {
            this.yOrigin = value;
        }

    }

}
