
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for Mpeg7Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Mpeg7Type">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DescriptionProfile" type="{urn:mpeg:mpeg7:schema:2004}DescriptionProfileType" minOccurs="0"/>
 *         &lt;element name="DescriptionMetadata" type="{urn:mpeg:mpeg7:schema:2004}DescriptionMetadataType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{urn:mpeg:mpeg7:schema:2004}mediaTimePropertyGrp"/>
 *       &lt;attGroup ref="{urn:mpeg:mpeg7:schema:2004}timePropertyGrp"/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Mpeg7Type", propOrder = {
    "descriptionProfile",
    "descriptionMetadata"
})
@XmlSeeAlso({
    Mpeg7 .class
})
public abstract class Mpeg7Type {

    @XmlElement(name = "DescriptionProfile")
    protected DescriptionProfileType descriptionProfile;
    @XmlElement(name = "DescriptionMetadata")
    protected DescriptionMetadataType descriptionMetadata;
    @XmlAttribute(name = "mediaTimeBase")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String mediaTimeBase;
    @XmlAttribute(name = "mediaTimeUnit")
    protected String mediaTimeUnit;
    @XmlAttribute(name = "timeBase")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String timeBase;
    @XmlAttribute(name = "timeUnit")
    protected String timeUnit;

    /**
     * Gets the value of the descriptionProfile property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptionProfileType }
     *     
     */
    public DescriptionProfileType getDescriptionProfile() {
        return descriptionProfile;
    }

    /**
     * Sets the value of the descriptionProfile property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptionProfileType }
     *     
     */
    public void setDescriptionProfile(DescriptionProfileType value) {
        this.descriptionProfile = value;
    }

    /**
     * Gets the value of the descriptionMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public DescriptionMetadataType getDescriptionMetadata() {
        return descriptionMetadata;
    }

    /**
     * Sets the value of the descriptionMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptionMetadataType }
     *     
     */
    public void setDescriptionMetadata(DescriptionMetadataType value) {
        this.descriptionMetadata = value;
    }

    /**
     * Gets the value of the mediaTimeBase property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMediaTimeBase() {
        return mediaTimeBase;
    }

    /**
     * Sets the value of the mediaTimeBase property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMediaTimeBase(String value) {
        this.mediaTimeBase = value;
    }

    /**
     * Gets the value of the mediaTimeUnit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMediaTimeUnit() {
        return mediaTimeUnit;
    }

    /**
     * Sets the value of the mediaTimeUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMediaTimeUnit(String value) {
        this.mediaTimeUnit = value;
    }

    /**
     * Gets the value of the timeBase property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeBase() {
        return timeBase;
    }

    /**
     * Sets the value of the timeBase property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeBase(String value) {
        this.timeBase = value;
    }

    /**
     * Gets the value of the timeUnit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * Sets the value of the timeUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeUnit(String value) {
        this.timeUnit = value;
    }

}
