
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderedGroupDataSetMaskType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrderedGroupDataSetMaskType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MaskType">
 *       &lt;sequence>
 *         &lt;element name="SubInterval" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="setRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *                 &lt;attribute name="startComponent" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="startUnit" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="endComponent" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *                 &lt;attribute name="endUnit" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrderedGroupDataSetMaskType", propOrder = {
    "subInterval"
})
public class OrderedGroupDataSetMaskType
    extends MaskType
{

    @XmlElement(name = "SubInterval", required = true)
    protected List<OrderedGroupDataSetMaskType.SubInterval> subInterval;

    /**
     * Gets the value of the subInterval property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the subInterval property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSubInterval().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrderedGroupDataSetMaskType.SubInterval }
     * 
     * 
     */
    public List<OrderedGroupDataSetMaskType.SubInterval> getSubInterval() {
        if (subInterval == null) {
            subInterval = new ArrayList<OrderedGroupDataSetMaskType.SubInterval>();
        }
        return this.subInterval;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="setRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *       &lt;attribute name="startComponent" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="startUnit" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="endComponent" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *       &lt;attribute name="endUnit" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class SubInterval {

        @XmlAttribute(name = "setRef")
        @XmlSchemaType(name = "anyURI")
        protected String setRef;
        @XmlAttribute(name = "startComponent")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger startComponent;
        @XmlAttribute(name = "startUnit")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger startUnit;
        @XmlAttribute(name = "endComponent")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger endComponent;
        @XmlAttribute(name = "endUnit")
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger endUnit;

        /**
         * Gets the value of the setRef property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSetRef() {
            return setRef;
        }

        /**
         * Sets the value of the setRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSetRef(String value) {
            this.setRef = value;
        }

        /**
         * Gets the value of the startComponent property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getStartComponent() {
            return startComponent;
        }

        /**
         * Sets the value of the startComponent property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setStartComponent(BigInteger value) {
            this.startComponent = value;
        }

        /**
         * Gets the value of the startUnit property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getStartUnit() {
            return startUnit;
        }

        /**
         * Sets the value of the startUnit property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setStartUnit(BigInteger value) {
            this.startUnit = value;
        }

        /**
         * Gets the value of the endComponent property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getEndComponent() {
            return endComponent;
        }

        /**
         * Sets the value of the endComponent property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setEndComponent(BigInteger value) {
            this.endComponent = value;
        }

        /**
         * Gets the value of the endUnit property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getEndUnit() {
            return endUnit;
        }

        /**
         * Sets the value of the endUnit property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setEndUnit(BigInteger value) {
            this.endUnit = value;
        }

    }

}
