
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PersonType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AgentType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded">
 *           &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}PersonNameType"/>
 *           &lt;element name="NameTerm" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;/choice>
 *         &lt;element name="Affiliation" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="Organization" type="{urn:mpeg:mpeg7:schema:2004}OrganizationType"/>
 *                   &lt;element name="OrganizationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *                   &lt;element name="PersonGroup" type="{urn:mpeg:mpeg7:schema:2004}PersonGroupType"/>
 *                   &lt;element name="PersonGroupRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Citizenship" type="{urn:mpeg:mpeg7:schema:2004}countryCode" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="Address" type="{urn:mpeg:mpeg7:schema:2004}PlaceType"/>
 *           &lt;element name="AddressRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;element name="ElectronicAddress" type="{urn:mpeg:mpeg7:schema:2004}ElectronicAddressType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PersonDescription" type="{urn:mpeg:mpeg7:schema:2004}TextualType" minOccurs="0"/>
 *         &lt;element name="Nationality" type="{urn:mpeg:mpeg7:schema:2004}countryCode" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonType", propOrder = {
    "nameOrNameTerm",
    "affiliation",
    "citizenship",
    "address",
    "addressRef",
    "electronicAddress",
    "personDescription",
    "nationality"
})
@XmlSeeAlso({
    UserProfileType.class
})
public class PersonType
    extends AgentType
{

    @XmlElements({
        @XmlElement(name = "Name", type = PersonNameType.class),
        @XmlElement(name = "NameTerm", type = ControlledTermUseType.class)
    })
    protected List<Object> nameOrNameTerm;
    @XmlElement(name = "Affiliation")
    protected List<PersonType.Affiliation> affiliation;
    @XmlElement(name = "Citizenship")
    protected List<String> citizenship;
    @XmlElement(name = "Address")
    protected PlaceType address;
    @XmlElement(name = "AddressRef")
    protected ReferenceType addressRef;
    @XmlElement(name = "ElectronicAddress")
    protected List<ElectronicAddressType> electronicAddress;
    @XmlElement(name = "PersonDescription")
    protected TextualType personDescription;
    @XmlElement(name = "Nationality")
    protected String nationality;

    /**
     * Gets the value of the nameOrNameTerm property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nameOrNameTerm property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNameOrNameTerm().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonNameType }
     * {@link ControlledTermUseType }
     * 
     * 
     */
    public List<Object> getNameOrNameTerm() {
        if (nameOrNameTerm == null) {
            nameOrNameTerm = new ArrayList<Object>();
        }
        return this.nameOrNameTerm;
    }

    /**
     * Gets the value of the affiliation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the affiliation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAffiliation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonType.Affiliation }
     * 
     * 
     */
    public List<PersonType.Affiliation> getAffiliation() {
        if (affiliation == null) {
            affiliation = new ArrayList<PersonType.Affiliation>();
        }
        return this.affiliation;
    }

    /**
     * Gets the value of the citizenship property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the citizenship property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCitizenship().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getCitizenship() {
        if (citizenship == null) {
            citizenship = new ArrayList<String>();
        }
        return this.citizenship;
    }

    /**
     * Gets the value of the address property.
     * 
     * @return
     *     possible object is
     *     {@link PlaceType }
     *     
     */
    public PlaceType getAddress() {
        return address;
    }

    /**
     * Sets the value of the address property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlaceType }
     *     
     */
    public void setAddress(PlaceType value) {
        this.address = value;
    }

    /**
     * Gets the value of the addressRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getAddressRef() {
        return addressRef;
    }

    /**
     * Sets the value of the addressRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setAddressRef(ReferenceType value) {
        this.addressRef = value;
    }

    /**
     * Gets the value of the electronicAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the electronicAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getElectronicAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ElectronicAddressType }
     * 
     * 
     */
    public List<ElectronicAddressType> getElectronicAddress() {
        if (electronicAddress == null) {
            electronicAddress = new ArrayList<ElectronicAddressType>();
        }
        return this.electronicAddress;
    }

    /**
     * Gets the value of the personDescription property.
     * 
     * @return
     *     possible object is
     *     {@link TextualType }
     *     
     */
    public TextualType getPersonDescription() {
        return personDescription;
    }

    /**
     * Sets the value of the personDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextualType }
     *     
     */
    public void setPersonDescription(TextualType value) {
        this.personDescription = value;
    }

    /**
     * Gets the value of the nationality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNationality() {
        return nationality;
    }

    /**
     * Sets the value of the nationality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNationality(String value) {
        this.nationality = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="Organization" type="{urn:mpeg:mpeg7:schema:2004}OrganizationType"/>
     *         &lt;element name="OrganizationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
     *         &lt;element name="PersonGroup" type="{urn:mpeg:mpeg7:schema:2004}PersonGroupType"/>
     *         &lt;element name="PersonGroupRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "organization",
        "organizationRef",
        "personGroup",
        "personGroupRef"
    })
    public static class Affiliation {

        @XmlElement(name = "Organization")
        protected OrganizationType organization;
        @XmlElement(name = "OrganizationRef")
        protected ReferenceType organizationRef;
        @XmlElement(name = "PersonGroup")
        protected PersonGroupType personGroup;
        @XmlElement(name = "PersonGroupRef")
        protected ReferenceType personGroupRef;

        /**
         * Gets the value of the organization property.
         * 
         * @return
         *     possible object is
         *     {@link OrganizationType }
         *     
         */
        public OrganizationType getOrganization() {
            return organization;
        }

        /**
         * Sets the value of the organization property.
         * 
         * @param value
         *     allowed object is
         *     {@link OrganizationType }
         *     
         */
        public void setOrganization(OrganizationType value) {
            this.organization = value;
        }

        /**
         * Gets the value of the organizationRef property.
         * 
         * @return
         *     possible object is
         *     {@link ReferenceType }
         *     
         */
        public ReferenceType getOrganizationRef() {
            return organizationRef;
        }

        /**
         * Sets the value of the organizationRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReferenceType }
         *     
         */
        public void setOrganizationRef(ReferenceType value) {
            this.organizationRef = value;
        }

        /**
         * Gets the value of the personGroup property.
         * 
         * @return
         *     possible object is
         *     {@link PersonGroupType }
         *     
         */
        public PersonGroupType getPersonGroup() {
            return personGroup;
        }

        /**
         * Sets the value of the personGroup property.
         * 
         * @param value
         *     allowed object is
         *     {@link PersonGroupType }
         *     
         */
        public void setPersonGroup(PersonGroupType value) {
            this.personGroup = value;
        }

        /**
         * Gets the value of the personGroupRef property.
         * 
         * @return
         *     possible object is
         *     {@link ReferenceType }
         *     
         */
        public ReferenceType getPersonGroupRef() {
            return personGroupRef;
        }

        /**
         * Sets the value of the personGroupRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReferenceType }
         *     
         */
        public void setPersonGroupRef(ReferenceType value) {
            this.personGroupRef = value;
        }

    }

}
