
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for phoneticAlphabetType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="phoneticAlphabetType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="sampa"/>
 *     &lt;enumeration value="ipaSymbol"/>
 *     &lt;enumeration value="ipaNumber"/>
 *     &lt;enumeration value="other"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "phoneticAlphabetType")
@XmlEnum
public enum PhoneticAlphabetType {

    @XmlEnumValue("sampa")
    SAMPA("sampa"),
    @XmlEnumValue("ipaSymbol")
    IPA_SYMBOL("ipaSymbol"),
    @XmlEnumValue("ipaNumber")
    IPA_NUMBER("ipaNumber"),
    @XmlEnumValue("other")
    OTHER("other");
    private final String value;

    PhoneticAlphabetType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PhoneticAlphabetType fromValue(String v) {
        for (PhoneticAlphabetType c: PhoneticAlphabetType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
