
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PitchProfileDSType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PitchProfileDSType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MelodyType">
 *       &lt;sequence>
 *         &lt;element name="ReferencePitch" type="{urn:mpeg:mpeg7:schema:2004}ReferencePitchType" minOccurs="0"/>
 *         &lt;element name="TransposingRatio" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
 *         &lt;element name="ProfileWeights" type="{urn:mpeg:mpeg7:schema:2004}ProfileWeightsType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PitchProfileDSType", propOrder = {
    "referencePitch",
    "transposingRatio",
    "profileWeights"
})
public class PitchProfileDSType
    extends MelodyType
{

    @XmlElement(name = "ReferencePitch")
    protected ReferencePitchType referencePitch;
    @XmlElement(name = "TransposingRatio", defaultValue = "12")
    protected Float transposingRatio;
    @XmlList
    @XmlElement(name = "ProfileWeights", type = Float.class)
    protected List<Float> profileWeights;

    /**
     * Gets the value of the referencePitch property.
     * 
     * @return
     *     possible object is
     *     {@link ReferencePitchType }
     *     
     */
    public ReferencePitchType getReferencePitch() {
        return referencePitch;
    }

    /**
     * Sets the value of the referencePitch property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferencePitchType }
     *     
     */
    public void setReferencePitch(ReferencePitchType value) {
        this.referencePitch = value;
    }

    /**
     * Gets the value of the transposingRatio property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getTransposingRatio() {
        return transposingRatio;
    }

    /**
     * Sets the value of the transposingRatio property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setTransposingRatio(Float value) {
        this.transposingRatio = value;
    }

    /**
     * Gets the value of the profileWeights property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the profileWeights property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProfileWeights().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Float }
     * 
     * 
     */
    public List<Float> getProfileWeights() {
        if (profileWeights == null) {
            profileWeights = new ArrayList<Float>();
        }
        return this.profileWeights;
    }

}
