
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PointOfViewType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PointOfViewType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="SupplementalInformation" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" minOccurs="0"/>
 *         &lt;element name="Importance" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Value" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType"/>
 *                   &lt;element name="SegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="viewpoint" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PointOfViewType", propOrder = {
    "supplementalInformation",
    "importance"
})
public class PointOfViewType
    extends DType
{

    @XmlElement(name = "SupplementalInformation")
    protected TextAnnotationType supplementalInformation;
    @XmlElement(name = "Importance", required = true)
    protected List<PointOfViewType.Importance> importance;
    @XmlAttribute(name = "viewpoint", required = true)
    protected String viewpoint;

    /**
     * Gets the value of the supplementalInformation property.
     * 
     * @return
     *     possible object is
     *     {@link TextAnnotationType }
     *     
     */
    public TextAnnotationType getSupplementalInformation() {
        return supplementalInformation;
    }

    /**
     * Sets the value of the supplementalInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextAnnotationType }
     *     
     */
    public void setSupplementalInformation(TextAnnotationType value) {
        this.supplementalInformation = value;
    }

    /**
     * Gets the value of the importance property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the importance property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getImportance().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PointOfViewType.Importance }
     * 
     * 
     */
    public List<PointOfViewType.Importance> getImportance() {
        if (importance == null) {
            importance = new ArrayList<PointOfViewType.Importance>();
        }
        return this.importance;
    }

    /**
     * Gets the value of the viewpoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getViewpoint() {
        return viewpoint;
    }

    /**
     * Sets the value of the viewpoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setViewpoint(String value) {
        this.viewpoint = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Value" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType"/>
     *         &lt;element name="SegmentRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value",
        "segmentRef"
    })
    public static class Importance {

        @XmlElement(name = "Value")
        protected float value;
        @XmlElement(name = "SegmentRef")
        protected ReferenceType segmentRef;

        /**
         * Gets the value of the value property.
         * 
         */
        public float getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         */
        public void setValue(float value) {
            this.value = value;
        }

        /**
         * Gets the value of the segmentRef property.
         * 
         * @return
         *     possible object is
         *     {@link ReferenceType }
         *     
         */
        public ReferenceType getSegmentRef() {
            return segmentRef;
        }

        /**
         * Sets the value of the segmentRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReferenceType }
         *     
         */
        public void setSegmentRef(ReferenceType value) {
            this.segmentRef = value;
        }

    }

}
