
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PullbackDefinitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PullbackDefinitionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}GraphicalRuleDefinitionType">
 *       &lt;sequence>
 *         &lt;element name="RuleGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType"/>
 *         &lt;choice>
 *           &lt;element name="AlphabetGraph" type="{urn:mpeg:mpeg7:schema:2004}GraphType"/>
 *           &lt;element name="AlphabetGraphRef" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *         &lt;/choice>
 *         &lt;element name="MorphismGraph" type="{urn:mpeg:mpeg7:schema:2004}MorphismGraphType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PullbackDefinitionType", propOrder = {
    "ruleGraph",
    "alphabetGraph",
    "alphabetGraphRef",
    "morphismGraph"
})
public class PullbackDefinitionType
    extends GraphicalRuleDefinitionType
{

    @XmlElement(name = "RuleGraph", required = true)
    protected GraphType ruleGraph;
    @XmlElement(name = "AlphabetGraph")
    protected GraphType alphabetGraph;
    @XmlElement(name = "AlphabetGraphRef")
    protected ControlledTermUseType alphabetGraphRef;
    @XmlElement(name = "MorphismGraph", required = true)
    protected MorphismGraphType morphismGraph;

    /**
     * Gets the value of the ruleGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getRuleGraph() {
        return ruleGraph;
    }

    /**
     * Sets the value of the ruleGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setRuleGraph(GraphType value) {
        this.ruleGraph = value;
    }

    /**
     * Gets the value of the alphabetGraph property.
     * 
     * @return
     *     possible object is
     *     {@link GraphType }
     *     
     */
    public GraphType getAlphabetGraph() {
        return alphabetGraph;
    }

    /**
     * Sets the value of the alphabetGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphType }
     *     
     */
    public void setAlphabetGraph(GraphType value) {
        this.alphabetGraph = value;
    }

    /**
     * Gets the value of the alphabetGraphRef property.
     * 
     * @return
     *     possible object is
     *     {@link ControlledTermUseType }
     *     
     */
    public ControlledTermUseType getAlphabetGraphRef() {
        return alphabetGraphRef;
    }

    /**
     * Sets the value of the alphabetGraphRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ControlledTermUseType }
     *     
     */
    public void setAlphabetGraphRef(ControlledTermUseType value) {
        this.alphabetGraphRef = value;
    }

    /**
     * Gets the value of the morphismGraph property.
     * 
     * @return
     *     possible object is
     *     {@link MorphismGraphType }
     *     
     */
    public MorphismGraphType getMorphismGraph() {
        return morphismGraph;
    }

    /**
     * Sets the value of the morphismGraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link MorphismGraphType }
     *     
     */
    public void setMorphismGraph(MorphismGraphType value) {
        this.morphismGraph = value;
    }

}
