
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticBaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticBaseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="AbstractionLevel" type="{urn:mpeg:mpeg7:schema:2004}AbstractionLevelType" minOccurs="0"/>
 *         &lt;element name="Label" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" maxOccurs="unbounded"/>
 *         &lt;element name="Definition" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" minOccurs="0"/>
 *         &lt;element name="Property" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="MediaOccurrence" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;choice minOccurs="0">
 *                     &lt;element name="MediaInformation" type="{urn:mpeg:mpeg7:schema:2004}MediaInformationType"/>
 *                     &lt;element name="MediaInformationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *                     &lt;element name="MediaLocator" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType"/>
 *                   &lt;/choice>
 *                   &lt;element name="Mask" type="{urn:mpeg:mpeg7:schema:2004}MaskType" minOccurs="0"/>
 *                   &lt;element name="AudioDescriptor" type="{urn:mpeg:mpeg7:schema:2004}AudioDType" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="AudioDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}AudioDSType" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="VisualDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualDType" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="VisualDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}VisualDSType" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="type" default="perceivable">
 *                   &lt;simpleType>
 *                     &lt;union>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                           &lt;enumeration value="perceivable"/>
 *                           &lt;enumeration value="reference"/>
 *                           &lt;enumeration value="symbol"/>
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                       &lt;simpleType>
 *                         &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                         &lt;/restriction>
 *                       &lt;/simpleType>
 *                     &lt;/union>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Relation" type="{urn:mpeg:mpeg7:schema:2004}RelationType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticBaseType", propOrder = {
    "abstractionLevel",
    "label",
    "definition",
    "property",
    "mediaOccurrence",
    "relation"
})
@XmlSeeAlso({
    SemanticStateType.class,
    EventType.class,
    SemanticPlaceType.class,
    ConceptType.class,
    SemanticTimeType.class,
    SemanticBagType.class,
    org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.AnalyticModelType.Semantics.class,
    ObjectType.class
})
public abstract class SemanticBaseType
    extends DSType
{

    @XmlElement(name = "AbstractionLevel")
    protected AbstractionLevelType abstractionLevel;
    @XmlElement(name = "Label", required = true)
    protected List<TermUseType> label;
    @XmlElement(name = "Definition")
    protected TextAnnotationType definition;
    @XmlElement(name = "Property")
    protected List<TermUseType> property;
    @XmlElement(name = "MediaOccurrence")
    protected List<SemanticBaseType.MediaOccurrence> mediaOccurrence;
    @XmlElement(name = "Relation")
    protected List<RelationType> relation;

    /**
     * Gets the value of the abstractionLevel property.
     * 
     * @return
     *     possible object is
     *     {@link AbstractionLevelType }
     *     
     */
    public AbstractionLevelType getAbstractionLevel() {
        return abstractionLevel;
    }

    /**
     * Sets the value of the abstractionLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link AbstractionLevelType }
     *     
     */
    public void setAbstractionLevel(AbstractionLevelType value) {
        this.abstractionLevel = value;
    }

    /**
     * Gets the value of the label property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the label property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLabel().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TermUseType }
     * 
     * 
     */
    public List<TermUseType> getLabel() {
        if (label == null) {
            label = new ArrayList<TermUseType>();
        }
        return this.label;
    }

    /**
     * Gets the value of the definition property.
     * 
     * @return
     *     possible object is
     *     {@link TextAnnotationType }
     *     
     */
    public TextAnnotationType getDefinition() {
        return definition;
    }

    /**
     * Sets the value of the definition property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextAnnotationType }
     *     
     */
    public void setDefinition(TextAnnotationType value) {
        this.definition = value;
    }

    /**
     * Gets the value of the property property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the property property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProperty().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TermUseType }
     * 
     * 
     */
    public List<TermUseType> getProperty() {
        if (property == null) {
            property = new ArrayList<TermUseType>();
        }
        return this.property;
    }

    /**
     * Gets the value of the mediaOccurrence property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mediaOccurrence property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMediaOccurrence().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticBaseType.MediaOccurrence }
     * 
     * 
     */
    public List<SemanticBaseType.MediaOccurrence> getMediaOccurrence() {
        if (mediaOccurrence == null) {
            mediaOccurrence = new ArrayList<SemanticBaseType.MediaOccurrence>();
        }
        return this.mediaOccurrence;
    }

    /**
     * Gets the value of the relation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the relation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRelation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RelationType }
     * 
     * 
     */
    public List<RelationType> getRelation() {
        if (relation == null) {
            relation = new ArrayList<RelationType>();
        }
        return this.relation;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;choice minOccurs="0">
     *           &lt;element name="MediaInformation" type="{urn:mpeg:mpeg7:schema:2004}MediaInformationType"/>
     *           &lt;element name="MediaInformationRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
     *           &lt;element name="MediaLocator" type="{urn:mpeg:mpeg7:schema:2004}MediaLocatorType"/>
     *         &lt;/choice>
     *         &lt;element name="Mask" type="{urn:mpeg:mpeg7:schema:2004}MaskType" minOccurs="0"/>
     *         &lt;element name="AudioDescriptor" type="{urn:mpeg:mpeg7:schema:2004}AudioDType" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="AudioDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}AudioDSType" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="VisualDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualDType" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="VisualDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}VisualDSType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *       &lt;attribute name="type" default="perceivable">
     *         &lt;simpleType>
     *           &lt;union>
     *             &lt;simpleType>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *                 &lt;enumeration value="perceivable"/>
     *                 &lt;enumeration value="reference"/>
     *                 &lt;enumeration value="symbol"/>
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *             &lt;simpleType>
     *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *             &lt;simpleType>
     *               &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
     *               &lt;/restriction>
     *             &lt;/simpleType>
     *           &lt;/union>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mediaInformation",
        "mediaInformationRef",
        "mediaLocator",
        "mask",
        "audioDescriptor",
        "audioDescriptionScheme",
        "visualDescriptor",
        "visualDescriptionScheme"
    })
    public static class MediaOccurrence {

        @XmlElement(name = "MediaInformation")
        protected MediaInformationType mediaInformation;
        @XmlElement(name = "MediaInformationRef")
        protected ReferenceType mediaInformationRef;
        @XmlElement(name = "MediaLocator")
        protected MediaLocatorType mediaLocator;
        @XmlElement(name = "Mask")
        protected MaskType mask;
        @XmlElement(name = "AudioDescriptor")
        protected List<AudioDType> audioDescriptor;
        @XmlElement(name = "AudioDescriptionScheme")
        protected List<AudioDSType> audioDescriptionScheme;
        @XmlElement(name = "VisualDescriptor")
        protected List<VisualDType> visualDescriptor;
        @XmlElement(name = "VisualDescriptionScheme")
        protected List<VisualDSType> visualDescriptionScheme;
        @XmlAttribute(name = "type")
        protected String type;

        /**
         * Gets the value of the mediaInformation property.
         * 
         * @return
         *     possible object is
         *     {@link MediaInformationType }
         *     
         */
        public MediaInformationType getMediaInformation() {
            return mediaInformation;
        }

        /**
         * Sets the value of the mediaInformation property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaInformationType }
         *     
         */
        public void setMediaInformation(MediaInformationType value) {
            this.mediaInformation = value;
        }

        /**
         * Gets the value of the mediaInformationRef property.
         * 
         * @return
         *     possible object is
         *     {@link ReferenceType }
         *     
         */
        public ReferenceType getMediaInformationRef() {
            return mediaInformationRef;
        }

        /**
         * Sets the value of the mediaInformationRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReferenceType }
         *     
         */
        public void setMediaInformationRef(ReferenceType value) {
            this.mediaInformationRef = value;
        }

        /**
         * Gets the value of the mediaLocator property.
         * 
         * @return
         *     possible object is
         *     {@link MediaLocatorType }
         *     
         */
        public MediaLocatorType getMediaLocator() {
            return mediaLocator;
        }

        /**
         * Sets the value of the mediaLocator property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaLocatorType }
         *     
         */
        public void setMediaLocator(MediaLocatorType value) {
            this.mediaLocator = value;
        }

        /**
         * Gets the value of the mask property.
         * 
         * @return
         *     possible object is
         *     {@link MaskType }
         *     
         */
        public MaskType getMask() {
            return mask;
        }

        /**
         * Sets the value of the mask property.
         * 
         * @param value
         *     allowed object is
         *     {@link MaskType }
         *     
         */
        public void setMask(MaskType value) {
            this.mask = value;
        }

        /**
         * Gets the value of the audioDescriptor property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the audioDescriptor property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAudioDescriptor().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link AudioDType }
         * 
         * 
         */
        public List<AudioDType> getAudioDescriptor() {
            if (audioDescriptor == null) {
                audioDescriptor = new ArrayList<AudioDType>();
            }
            return this.audioDescriptor;
        }

        /**
         * Gets the value of the audioDescriptionScheme property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the audioDescriptionScheme property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAudioDescriptionScheme().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link AudioDSType }
         * 
         * 
         */
        public List<AudioDSType> getAudioDescriptionScheme() {
            if (audioDescriptionScheme == null) {
                audioDescriptionScheme = new ArrayList<AudioDSType>();
            }
            return this.audioDescriptionScheme;
        }

        /**
         * Gets the value of the visualDescriptor property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the visualDescriptor property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVisualDescriptor().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VisualDType }
         * 
         * 
         */
        public List<VisualDType> getVisualDescriptor() {
            if (visualDescriptor == null) {
                visualDescriptor = new ArrayList<VisualDType>();
            }
            return this.visualDescriptor;
        }

        /**
         * Gets the value of the visualDescriptionScheme property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the visualDescriptionScheme property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVisualDescriptionScheme().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VisualDSType }
         * 
         * 
         */
        public List<VisualDSType> getVisualDescriptionScheme() {
            if (visualDescriptionScheme == null) {
                visualDescriptionScheme = new ArrayList<VisualDSType>();
            }
            return this.visualDescriptionScheme;
        }

        /**
         * Gets the value of the type property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getType() {
            if (type == null) {
                return "perceivable";
            } else {
                return type;
            }
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setType(String value) {
            this.type = value;
        }

    }

}
