
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticDescriptionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ContentAbstractionType">
 *       &lt;choice>
 *         &lt;element name="Semantics" type="{urn:mpeg:mpeg7:schema:2004}SemanticType" maxOccurs="unbounded"/>
 *         &lt;element name="ConceptCollection" type="{urn:mpeg:mpeg7:schema:2004}ConceptCollectionType" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticDescriptionType", propOrder = {
    "semantics",
    "conceptCollection"
})
public class SemanticDescriptionType
    extends ContentAbstractionType
{

    @XmlElement(name = "Semantics")
    protected List<SemanticType> semantics;
    @XmlElement(name = "ConceptCollection")
    protected List<ConceptCollectionType> conceptCollection;

    /**
     * Gets the value of the semantics property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the semantics property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSemantics().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticType }
     * 
     * 
     */
    public List<SemanticType> getSemantics() {
        if (semantics == null) {
            semantics = new ArrayList<SemanticType>();
        }
        return this.semantics;
    }

    /**
     * Gets the value of the conceptCollection property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the conceptCollection property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConceptCollection().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ConceptCollectionType }
     * 
     * 
     */
    public List<ConceptCollectionType> getConceptCollection() {
        if (conceptCollection == null) {
            conceptCollection = new ArrayList<ConceptCollectionType>();
        }
        return this.conceptCollection;
    }

}
