
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticStateType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticStateType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SemanticBaseType">
 *       &lt;sequence>
 *         &lt;element name="AttributeValuePair" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Attribute" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
 *                   &lt;element name="Unit" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
 *                   &lt;choice maxOccurs="unbounded">
 *                     &lt;element name="BooleanValue" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                     &lt;element name="IntegerValue" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *                     &lt;element name="FloatValue" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *                     &lt;element name="IntegerMatrixValue" type="{urn:mpeg:mpeg7:schema:2004}IntegerMatrixType"/>
 *                     &lt;element name="FloatMatrixValue" type="{urn:mpeg:mpeg7:schema:2004}FloatMatrixType"/>
 *                     &lt;element name="TextValue" type="{urn:mpeg:mpeg7:schema:2004}TextualType"/>
 *                     &lt;element name="TextAnnotationValue" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType"/>
 *                     &lt;element name="ControlledTermUseValue" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
 *                     &lt;element name="DescriptorValue" type="{urn:mpeg:mpeg7:schema:2004}DType"/>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="SemanticTime" type="{urn:mpeg:mpeg7:schema:2004}SemanticTimeType" minOccurs="0"/>
 *         &lt;element name="SemanticPlace" type="{urn:mpeg:mpeg7:schema:2004}SemanticPlaceType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticStateType", propOrder = {
    "attributeValuePair",
    "semanticTime",
    "semanticPlace"
})
public class SemanticStateType
    extends SemanticBaseType
{

    @XmlElement(name = "AttributeValuePair", required = true)
    protected List<SemanticStateType.AttributeValuePair> attributeValuePair;
    @XmlElement(name = "SemanticTime")
    protected SemanticTimeType semanticTime;
    @XmlElement(name = "SemanticPlace")
    protected SemanticPlaceType semanticPlace;

    /**
     * Gets the value of the attributeValuePair property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attributeValuePair property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttributeValuePair().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SemanticStateType.AttributeValuePair }
     * 
     * 
     */
    public List<SemanticStateType.AttributeValuePair> getAttributeValuePair() {
        if (attributeValuePair == null) {
            attributeValuePair = new ArrayList<SemanticStateType.AttributeValuePair>();
        }
        return this.attributeValuePair;
    }

    /**
     * Gets the value of the semanticTime property.
     * 
     * @return
     *     possible object is
     *     {@link SemanticTimeType }
     *     
     */
    public SemanticTimeType getSemanticTime() {
        return semanticTime;
    }

    /**
     * Sets the value of the semanticTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link SemanticTimeType }
     *     
     */
    public void setSemanticTime(SemanticTimeType value) {
        this.semanticTime = value;
    }

    /**
     * Gets the value of the semanticPlace property.
     * 
     * @return
     *     possible object is
     *     {@link SemanticPlaceType }
     *     
     */
    public SemanticPlaceType getSemanticPlace() {
        return semanticPlace;
    }

    /**
     * Sets the value of the semanticPlace property.
     * 
     * @param value
     *     allowed object is
     *     {@link SemanticPlaceType }
     *     
     */
    public void setSemanticPlace(SemanticPlaceType value) {
        this.semanticPlace = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Attribute" type="{urn:mpeg:mpeg7:schema:2004}TermUseType"/>
     *         &lt;element name="Unit" type="{urn:mpeg:mpeg7:schema:2004}TermUseType" minOccurs="0"/>
     *         &lt;choice maxOccurs="unbounded">
     *           &lt;element name="BooleanValue" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *           &lt;element name="IntegerValue" type="{http://www.w3.org/2001/XMLSchema}integer"/>
     *           &lt;element name="FloatValue" type="{http://www.w3.org/2001/XMLSchema}float"/>
     *           &lt;element name="IntegerMatrixValue" type="{urn:mpeg:mpeg7:schema:2004}IntegerMatrixType"/>
     *           &lt;element name="FloatMatrixValue" type="{urn:mpeg:mpeg7:schema:2004}FloatMatrixType"/>
     *           &lt;element name="TextValue" type="{urn:mpeg:mpeg7:schema:2004}TextualType"/>
     *           &lt;element name="TextAnnotationValue" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType"/>
     *           &lt;element name="ControlledTermUseValue" type="{urn:mpeg:mpeg7:schema:2004}ControlledTermUseType"/>
     *           &lt;element name="DescriptorValue" type="{urn:mpeg:mpeg7:schema:2004}DType"/>
     *         &lt;/choice>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "attribute",
        "unit",
        "booleanValueOrIntegerValueOrFloatValue"
    })
    public static class AttributeValuePair {

        @XmlElement(name = "Attribute", required = true)
        protected TermUseType attribute;
        @XmlElement(name = "Unit")
        protected TermUseType unit;
        @XmlElements({
            @XmlElement(name = "ControlledTermUseValue", type = ControlledTermUseType.class),
            @XmlElement(name = "FloatValue", type = Float.class),
            @XmlElement(name = "IntegerMatrixValue", type = IntegerMatrixType.class),
            @XmlElement(name = "TextValue", type = TextualType.class),
            @XmlElement(name = "TextAnnotationValue", type = TextAnnotationType.class),
            @XmlElement(name = "FloatMatrixValue", type = FloatMatrixType.class),
            @XmlElement(name = "IntegerValue", type = BigInteger.class),
            @XmlElement(name = "BooleanValue", type = Boolean.class),
            @XmlElement(name = "DescriptorValue", type = DType.class)
        })
        protected List<Object> booleanValueOrIntegerValueOrFloatValue;

        /**
         * Gets the value of the attribute property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getAttribute() {
            return attribute;
        }

        /**
         * Sets the value of the attribute property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setAttribute(TermUseType value) {
            this.attribute = value;
        }

        /**
         * Gets the value of the unit property.
         * 
         * @return
         *     possible object is
         *     {@link TermUseType }
         *     
         */
        public TermUseType getUnit() {
            return unit;
        }

        /**
         * Sets the value of the unit property.
         * 
         * @param value
         *     allowed object is
         *     {@link TermUseType }
         *     
         */
        public void setUnit(TermUseType value) {
            this.unit = value;
        }

        /**
         * Gets the value of the booleanValueOrIntegerValueOrFloatValue property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the booleanValueOrIntegerValueOrFloatValue property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBooleanValueOrIntegerValueOrFloatValue().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ControlledTermUseType }
         * {@link Float }
         * {@link IntegerMatrixType }
         * {@link TextualType }
         * {@link TextAnnotationType }
         * {@link FloatMatrixType }
         * {@link BigInteger }
         * {@link Boolean }
         * {@link DType }
         * 
         * 
         */
        public List<Object> getBooleanValueOrIntegerValueOrFloatValue() {
            if (booleanValueOrIntegerValueOrFloatValue == null) {
                booleanValueOrIntegerValueOrFloatValue = new ArrayList<Object>();
            }
            return this.booleanValueOrIntegerValueOrFloatValue;
        }

    }

}
