
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SentencesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SentencesType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}LinguisticEntityType">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="Sentences" type="{urn:mpeg:mpeg7:schema:2004}SentencesType"/>
 *         &lt;element name="Sentence" type="{urn:mpeg:mpeg7:schema:2004}SyntacticConstituentType"/>
 *         &lt;element name="Quotation" type="{urn:mpeg:mpeg7:schema:2004}LinguisticDocumentType"/>
 *       &lt;/choice>
 *       &lt;attribute name="synthesis" type="{urn:mpeg:mpeg7:schema:2004}synthesisType" default="coordination" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SentencesType", propOrder = {
    "sentencesOrSentenceOrQuotation"
})
public class SentencesType
    extends LinguisticEntityType
{

    @XmlElements({
        @XmlElement(name = "Quotation", type = LinguisticDocumentType.class),
        @XmlElement(name = "Sentences", type = SentencesType.class),
        @XmlElement(name = "Sentence", type = SyntacticConstituentType.class)
    })
    protected List<LinguisticEntityType> sentencesOrSentenceOrQuotation;
    @XmlAttribute(name = "synthesis")
    protected SynthesisType synthesis;

    /**
     * Gets the value of the sentencesOrSentenceOrQuotation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sentencesOrSentenceOrQuotation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSentencesOrSentenceOrQuotation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LinguisticDocumentType }
     * {@link SentencesType }
     * {@link SyntacticConstituentType }
     * 
     * 
     */
    public List<LinguisticEntityType> getSentencesOrSentenceOrQuotation() {
        if (sentencesOrSentenceOrQuotation == null) {
            sentencesOrSentenceOrQuotation = new ArrayList<LinguisticEntityType>();
        }
        return this.sentencesOrSentenceOrQuotation;
    }

    /**
     * Gets the value of the synthesis property.
     * 
     * @return
     *     possible object is
     *     {@link SynthesisType }
     *     
     */
    public SynthesisType getSynthesis() {
        if (synthesis == null) {
            return SynthesisType.COORDINATION;
        } else {
            return synthesis;
        }
    }

    /**
     * Sets the value of the synthesis property.
     * 
     * @param value
     *     allowed object is
     *     {@link SynthesisType }
     *     
     */
    public void setSynthesis(SynthesisType value) {
        this.synthesis = value;
    }

}
