
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SignalPlaneType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SignalPlaneType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Origin" type="{urn:mpeg:mpeg7:schema:2004}SignalPlaneOriginType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="dim">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}positiveInteger">
 *             &lt;maxInclusive value="4"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SignalPlaneType", propOrder = {
    "origin"
})
@XmlSeeAlso({
    SignalPlaneFractionType.class,
    SignalPlaneSampleType.class
})
public abstract class SignalPlaneType {

    @XmlElement(name = "Origin")
    protected SignalPlaneOriginType origin;
    @XmlAttribute(name = "dim")
    protected Integer dim;

    /**
     * Gets the value of the origin property.
     * 
     * @return
     *     possible object is
     *     {@link SignalPlaneOriginType }
     *     
     */
    public SignalPlaneOriginType getOrigin() {
        return origin;
    }

    /**
     * Sets the value of the origin property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignalPlaneOriginType }
     *     
     */
    public void setOrigin(SignalPlaneOriginType value) {
        this.origin = value;
    }

    /**
     * Gets the value of the dim property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDim() {
        return dim;
    }

    /**
     * Sets the value of the dim property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDim(Integer value) {
        this.dim = value;
    }

}
