
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SignalType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SignalType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType">
 *       &lt;choice>
 *         &lt;element name="ImageSignal" type="{urn:mpeg:mpeg7:schema:2004}StillRegionType"/>
 *         &lt;element name="VideoSignal" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentType"/>
 *         &lt;element name="AudioSignal" type="{urn:mpeg:mpeg7:schema:2004}AudioSegmentType"/>
 *         &lt;element name="SignalRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SignalType", propOrder = {
    "imageSignal",
    "videoSignal",
    "audioSignal",
    "signalRef"
})
public class SignalType
    extends MultimediaContentType
{

    @XmlElement(name = "ImageSignal")
    protected StillRegionType imageSignal;
    @XmlElement(name = "VideoSignal")
    protected VideoSegmentType videoSignal;
    @XmlElement(name = "AudioSignal")
    protected AudioSegmentType audioSignal;
    @XmlElement(name = "SignalRef")
    protected ReferenceType signalRef;

    /**
     * Gets the value of the imageSignal property.
     * 
     * @return
     *     possible object is
     *     {@link StillRegionType }
     *     
     */
    public StillRegionType getImageSignal() {
        return imageSignal;
    }

    /**
     * Sets the value of the imageSignal property.
     * 
     * @param value
     *     allowed object is
     *     {@link StillRegionType }
     *     
     */
    public void setImageSignal(StillRegionType value) {
        this.imageSignal = value;
    }

    /**
     * Gets the value of the videoSignal property.
     * 
     * @return
     *     possible object is
     *     {@link VideoSegmentType }
     *     
     */
    public VideoSegmentType getVideoSignal() {
        return videoSignal;
    }

    /**
     * Sets the value of the videoSignal property.
     * 
     * @param value
     *     allowed object is
     *     {@link VideoSegmentType }
     *     
     */
    public void setVideoSignal(VideoSegmentType value) {
        this.videoSignal = value;
    }

    /**
     * Gets the value of the audioSignal property.
     * 
     * @return
     *     possible object is
     *     {@link AudioSegmentType }
     *     
     */
    public AudioSegmentType getAudioSignal() {
        return audioSignal;
    }

    /**
     * Sets the value of the audioSignal property.
     * 
     * @param value
     *     allowed object is
     *     {@link AudioSegmentType }
     *     
     */
    public void setAudioSignal(AudioSegmentType value) {
        this.audioSignal = value;
    }

    /**
     * Gets the value of the signalRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getSignalRef() {
        return signalRef;
    }

    /**
     * Sets the value of the signalRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setSignalRef(ReferenceType value) {
        this.signalRef = value;
    }

}
