
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SpaceResolutionViewType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpaceResolutionViewType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ViewType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="SpacePartition" type="{urn:mpeg:mpeg7:schema:2004}PartitionType"/>
 *           &lt;element name="SpaceRegion" type="{urn:mpeg:mpeg7:schema:2004}RegionLocatorType"/>
 *         &lt;/choice>
 *         &lt;element name="FrequencyPartition" type="{urn:mpeg:mpeg7:schema:2004}PartitionType" minOccurs="0"/>
 *         &lt;element name="Filtering" type="{urn:mpeg:mpeg7:schema:2004}FilteringType" minOccurs="0"/>
 *         &lt;element name="DownSamplingFactor" type="{urn:mpeg:mpeg7:schema:2004}SignalPlaneSampleType"/>
 *       &lt;/sequence>
 *       &lt;attribute name="order" default="spaceFrequency">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="spaceFrequency"/>
 *             &lt;enumeration value="frequencySpace"/>
 *             &lt;enumeration value="commutative"/>
 *             &lt;enumeration value="partitionable"/>
 *             &lt;enumeration value="mixed"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpaceResolutionViewType", propOrder = {
    "spacePartition",
    "spaceRegion",
    "frequencyPartition",
    "filtering",
    "downSamplingFactor"
})
public class SpaceResolutionViewType
    extends ViewType
{

    @XmlElement(name = "SpacePartition")
    protected PartitionType spacePartition;
    @XmlElement(name = "SpaceRegion")
    protected RegionLocatorType spaceRegion;
    @XmlElement(name = "FrequencyPartition")
    protected PartitionType frequencyPartition;
    @XmlElement(name = "Filtering")
    protected FilteringType filtering;
    @XmlElement(name = "DownSamplingFactor", required = true)
    protected SignalPlaneSampleType downSamplingFactor;
    @XmlAttribute(name = "order")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String order;

    /**
     * Gets the value of the spacePartition property.
     * 
     * @return
     *     possible object is
     *     {@link PartitionType }
     *     
     */
    public PartitionType getSpacePartition() {
        return spacePartition;
    }

    /**
     * Sets the value of the spacePartition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PartitionType }
     *     
     */
    public void setSpacePartition(PartitionType value) {
        this.spacePartition = value;
    }

    /**
     * Gets the value of the spaceRegion property.
     * 
     * @return
     *     possible object is
     *     {@link RegionLocatorType }
     *     
     */
    public RegionLocatorType getSpaceRegion() {
        return spaceRegion;
    }

    /**
     * Sets the value of the spaceRegion property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegionLocatorType }
     *     
     */
    public void setSpaceRegion(RegionLocatorType value) {
        this.spaceRegion = value;
    }

    /**
     * Gets the value of the frequencyPartition property.
     * 
     * @return
     *     possible object is
     *     {@link PartitionType }
     *     
     */
    public PartitionType getFrequencyPartition() {
        return frequencyPartition;
    }

    /**
     * Sets the value of the frequencyPartition property.
     * 
     * @param value
     *     allowed object is
     *     {@link PartitionType }
     *     
     */
    public void setFrequencyPartition(PartitionType value) {
        this.frequencyPartition = value;
    }

    /**
     * Gets the value of the filtering property.
     * 
     * @return
     *     possible object is
     *     {@link FilteringType }
     *     
     */
    public FilteringType getFiltering() {
        return filtering;
    }

    /**
     * Sets the value of the filtering property.
     * 
     * @param value
     *     allowed object is
     *     {@link FilteringType }
     *     
     */
    public void setFiltering(FilteringType value) {
        this.filtering = value;
    }

    /**
     * Gets the value of the downSamplingFactor property.
     * 
     * @return
     *     possible object is
     *     {@link SignalPlaneSampleType }
     *     
     */
    public SignalPlaneSampleType getDownSamplingFactor() {
        return downSamplingFactor;
    }

    /**
     * Sets the value of the downSamplingFactor property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignalPlaneSampleType }
     *     
     */
    public void setDownSamplingFactor(SignalPlaneSampleType value) {
        this.downSamplingFactor = value;
    }

    /**
     * Gets the value of the order property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrder() {
        if (order == null) {
            return "spaceFrequency";
        } else {
            return order;
        }
    }

    /**
     * Sets the value of the order property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrder(String value) {
        this.order = value;
    }

}
