
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SpaceTreeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpaceTreeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ViewDecompositionType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="View" type="{urn:mpeg:mpeg7:schema:2004}SpaceViewType"/>
 *           &lt;element name="ViewRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Child" type="{urn:mpeg:mpeg7:schema:2004}SpaceTreeType"/>
 *           &lt;element name="ChildRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="branching" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpaceTreeType", propOrder = {
    "view",
    "viewRef",
    "childOrChildRef"
})
public class SpaceTreeType
    extends ViewDecompositionType
{

    @XmlElement(name = "View")
    protected SpaceViewType view;
    @XmlElement(name = "ViewRef")
    protected ReferenceType viewRef;
    @XmlElements({
        @XmlElement(name = "ChildRef", type = ReferenceType.class),
        @XmlElement(name = "Child", type = SpaceTreeType.class)
    })
    protected List<Object> childOrChildRef;
    @XmlAttribute(name = "branching", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger branching;

    /**
     * Gets the value of the view property.
     * 
     * @return
     *     possible object is
     *     {@link SpaceViewType }
     *     
     */
    public SpaceViewType getView() {
        return view;
    }

    /**
     * Sets the value of the view property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpaceViewType }
     *     
     */
    public void setView(SpaceViewType value) {
        this.view = value;
    }

    /**
     * Gets the value of the viewRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getViewRef() {
        return viewRef;
    }

    /**
     * Sets the value of the viewRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setViewRef(ReferenceType value) {
        this.viewRef = value;
    }

    /**
     * Gets the value of the childOrChildRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the childOrChildRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChildOrChildRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link SpaceTreeType }
     * 
     * 
     */
    public List<Object> getChildOrChildRef() {
        if (childOrChildRef == null) {
            childOrChildRef = new ArrayList<Object>();
        }
        return this.childOrChildRef;
    }

    /**
     * Gets the value of the branching property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getBranching() {
        return branching;
    }

    /**
     * Sets the value of the branching property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setBranching(BigInteger value) {
        this.branching = value;
    }

}
