
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SpokenContentLatticeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SpokenContentLatticeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}AudioDSType">
 *       &lt;sequence>
 *         &lt;element name="Block" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *                   &lt;element name="Node" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="WordLink" maxOccurs="127" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
 *                                     &lt;attribute name="word" use="required" type="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
 *                                   &lt;/extension>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="PhoneLink" maxOccurs="127" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
 *                                     &lt;attribute name="phone" use="required" type="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
 *                                   &lt;/extension>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                           &lt;attribute name="num" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
 *                           &lt;attribute name="timeOffset" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
 *                           &lt;attribute name="speakerInfoRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="defaultSpeakerInfoRef" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *                 &lt;attribute name="num" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
 *                 &lt;attribute name="audio" default="speech">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                       &lt;enumeration value="unknown"/>
 *                       &lt;enumeration value="speech"/>
 *                       &lt;enumeration value="noise"/>
 *                       &lt;enumeration value="noisySpeech"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpokenContentLatticeType", propOrder = {
    "block"
})
public class SpokenContentLatticeType
    extends AudioDSType
{

    @XmlElement(name = "Block", required = true)
    protected List<SpokenContentLatticeType.Block> block;

    /**
     * Gets the value of the block property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the block property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBlock().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SpokenContentLatticeType.Block }
     * 
     * 
     */
    public List<SpokenContentLatticeType.Block> getBlock() {
        if (block == null) {
            block = new ArrayList<SpokenContentLatticeType.Block>();
        }
        return this.block;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
     *         &lt;element name="Node" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="WordLink" maxOccurs="127" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
     *                           &lt;attribute name="word" use="required" type="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
     *                         &lt;/extension>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="PhoneLink" maxOccurs="127" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
     *                           &lt;attribute name="phone" use="required" type="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
     *                         &lt;/extension>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *                 &lt;attribute name="num" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
     *                 &lt;attribute name="timeOffset" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
     *                 &lt;attribute name="speakerInfoRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="defaultSpeakerInfoRef" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *       &lt;attribute name="num" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
     *       &lt;attribute name="audio" default="speech">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
     *             &lt;enumeration value="unknown"/>
     *             &lt;enumeration value="speech"/>
     *             &lt;enumeration value="noise"/>
     *             &lt;enumeration value="noisySpeech"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mediaTime",
        "node"
    })
    public static class Block {

        @XmlElement(name = "MediaTime", required = true)
        protected MediaTimeType mediaTime;
        @XmlElement(name = "Node", required = true)
        protected List<SpokenContentLatticeType.Block.Node> node;
        @XmlAttribute(name = "defaultSpeakerInfoRef", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String defaultSpeakerInfoRef;
        @XmlAttribute(name = "num", required = true)
        protected int num;
        @XmlAttribute(name = "audio")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String audio;

        /**
         * Gets the value of the mediaTime property.
         * 
         * @return
         *     possible object is
         *     {@link MediaTimeType }
         *     
         */
        public MediaTimeType getMediaTime() {
            return mediaTime;
        }

        /**
         * Sets the value of the mediaTime property.
         * 
         * @param value
         *     allowed object is
         *     {@link MediaTimeType }
         *     
         */
        public void setMediaTime(MediaTimeType value) {
            this.mediaTime = value;
        }

        /**
         * Gets the value of the node property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the node property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNode().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SpokenContentLatticeType.Block.Node }
         * 
         * 
         */
        public List<SpokenContentLatticeType.Block.Node> getNode() {
            if (node == null) {
                node = new ArrayList<SpokenContentLatticeType.Block.Node>();
            }
            return this.node;
        }

        /**
         * Gets the value of the defaultSpeakerInfoRef property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDefaultSpeakerInfoRef() {
            return defaultSpeakerInfoRef;
        }

        /**
         * Sets the value of the defaultSpeakerInfoRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDefaultSpeakerInfoRef(String value) {
            this.defaultSpeakerInfoRef = value;
        }

        /**
         * Gets the value of the num property.
         * 
         */
        public int getNum() {
            return num;
        }

        /**
         * Sets the value of the num property.
         * 
         */
        public void setNum(int value) {
            this.num = value;
        }

        /**
         * Gets the value of the audio property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAudio() {
            if (audio == null) {
                return "speech";
            } else {
                return audio;
            }
        }

        /**
         * Sets the value of the audio property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAudio(String value) {
            this.audio = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="WordLink" maxOccurs="127" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
         *                 &lt;attribute name="word" use="required" type="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
         *               &lt;/extension>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="PhoneLink" maxOccurs="127" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
         *                 &lt;attribute name="phone" use="required" type="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
         *               &lt;/extension>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *       &lt;attribute name="num" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
         *       &lt;attribute name="timeOffset" use="required" type="{urn:mpeg:mpeg7:schema:2004}unsigned16" />
         *       &lt;attribute name="speakerInfoRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "wordLink",
            "phoneLink"
        })
        public static class Node {

            @XmlElement(name = "WordLink")
            protected List<SpokenContentLatticeType.Block.Node.WordLink> wordLink;
            @XmlElement(name = "PhoneLink")
            protected List<SpokenContentLatticeType.Block.Node.PhoneLink> phoneLink;
            @XmlAttribute(name = "num", required = true)
            protected int num;
            @XmlAttribute(name = "timeOffset", required = true)
            protected int timeOffset;
            @XmlAttribute(name = "speakerInfoRef")
            @XmlSchemaType(name = "anyURI")
            protected String speakerInfoRef;

            /**
             * Gets the value of the wordLink property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the wordLink property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getWordLink().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link SpokenContentLatticeType.Block.Node.WordLink }
             * 
             * 
             */
            public List<SpokenContentLatticeType.Block.Node.WordLink> getWordLink() {
                if (wordLink == null) {
                    wordLink = new ArrayList<SpokenContentLatticeType.Block.Node.WordLink>();
                }
                return this.wordLink;
            }

            /**
             * Gets the value of the phoneLink property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the phoneLink property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getPhoneLink().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link SpokenContentLatticeType.Block.Node.PhoneLink }
             * 
             * 
             */
            public List<SpokenContentLatticeType.Block.Node.PhoneLink> getPhoneLink() {
                if (phoneLink == null) {
                    phoneLink = new ArrayList<SpokenContentLatticeType.Block.Node.PhoneLink>();
                }
                return this.phoneLink;
            }

            /**
             * Gets the value of the num property.
             * 
             */
            public int getNum() {
                return num;
            }

            /**
             * Sets the value of the num property.
             * 
             */
            public void setNum(int value) {
                this.num = value;
            }

            /**
             * Gets the value of the timeOffset property.
             * 
             */
            public int getTimeOffset() {
                return timeOffset;
            }

            /**
             * Sets the value of the timeOffset property.
             * 
             */
            public void setTimeOffset(int value) {
                this.timeOffset = value;
            }

            /**
             * Gets the value of the speakerInfoRef property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getSpeakerInfoRef() {
                return speakerInfoRef;
            }

            /**
             * Sets the value of the speakerInfoRef property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setSpeakerInfoRef(String value) {
                this.speakerInfoRef = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
             *       &lt;attribute name="phone" use="required" type="{urn:mpeg:mpeg7:schema:2004}PhoneLexiconIndexType" />
             *     &lt;/extension>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class PhoneLink
                extends SpokenContentLinkType
            {

                @XmlAttribute(name = "phone", required = true)
                protected int phone;

                /**
                 * Gets the value of the phone property.
                 * 
                 */
                public int getPhone() {
                    return phone;
                }

                /**
                 * Sets the value of the phone property.
                 * 
                 */
                public void setPhone(int value) {
                    this.phone = value;
                }

            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SpokenContentLinkType">
             *       &lt;attribute name="word" use="required" type="{urn:mpeg:mpeg7:schema:2004}WordLexiconIndexType" />
             *     &lt;/extension>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "")
            public static class WordLink
                extends SpokenContentLinkType
            {

                @XmlAttribute(name = "word", required = true)
                protected long word;

                /**
                 * Gets the value of the word property.
                 * 
                 */
                public long getWord() {
                    return word;
                }

                /**
                 * Sets the value of the word property.
                 * 
                 */
                public void setWord(long value) {
                    this.word = value;
                }

            }

        }

    }

}
