
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StructuredCollectionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StructuredCollectionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="Collection" type="{urn:mpeg:mpeg7:schema:2004}CollectionType"/>
 *           &lt;element name="CollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="CollectionModel" type="{urn:mpeg:mpeg7:schema:2004}CollectionModelType"/>
 *           &lt;element name="CollectionModelRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="ClusterModel" type="{urn:mpeg:mpeg7:schema:2004}ClusterModelType"/>
 *           &lt;element name="ClusterModelRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="StructuredCollection" type="{urn:mpeg:mpeg7:schema:2004}StructuredCollectionType"/>
 *           &lt;element name="StructuredCollectionRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;element name="Relationships" type="{urn:mpeg:mpeg7:schema:2004}GraphType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StructuredCollectionType", propOrder = {
    "collectionOrCollectionRef",
    "collectionModelOrCollectionModelRef",
    "clusterModelOrClusterModelRef",
    "structuredCollectionOrStructuredCollectionRef",
    "relationships"
})
public class StructuredCollectionType
    extends DSType
{

    @XmlElements({
        @XmlElement(name = "CollectionRef", type = ReferenceType.class),
        @XmlElement(name = "Collection", type = CollectionType.class)
    })
    protected List<Object> collectionOrCollectionRef;
    @XmlElements({
        @XmlElement(name = "CollectionModel", type = CollectionModelType.class),
        @XmlElement(name = "CollectionModelRef", type = ReferenceType.class)
    })
    protected List<Object> collectionModelOrCollectionModelRef;
    @XmlElements({
        @XmlElement(name = "ClusterModelRef", type = ReferenceType.class),
        @XmlElement(name = "ClusterModel", type = ClusterModelType.class)
    })
    protected List<Object> clusterModelOrClusterModelRef;
    @XmlElements({
        @XmlElement(name = "StructuredCollectionRef", type = ReferenceType.class),
        @XmlElement(name = "StructuredCollection", type = StructuredCollectionType.class)
    })
    protected List<Object> structuredCollectionOrStructuredCollectionRef;
    @XmlElement(name = "Relationships", required = true)
    protected List<GraphType> relationships;

    /**
     * Gets the value of the collectionOrCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the collectionOrCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCollectionOrCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link CollectionType }
     * 
     * 
     */
    public List<Object> getCollectionOrCollectionRef() {
        if (collectionOrCollectionRef == null) {
            collectionOrCollectionRef = new ArrayList<Object>();
        }
        return this.collectionOrCollectionRef;
    }

    /**
     * Gets the value of the collectionModelOrCollectionModelRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the collectionModelOrCollectionModelRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCollectionModelOrCollectionModelRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CollectionModelType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getCollectionModelOrCollectionModelRef() {
        if (collectionModelOrCollectionModelRef == null) {
            collectionModelOrCollectionModelRef = new ArrayList<Object>();
        }
        return this.collectionModelOrCollectionModelRef;
    }

    /**
     * Gets the value of the clusterModelOrClusterModelRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the clusterModelOrClusterModelRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClusterModelOrClusterModelRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link ClusterModelType }
     * 
     * 
     */
    public List<Object> getClusterModelOrClusterModelRef() {
        if (clusterModelOrClusterModelRef == null) {
            clusterModelOrClusterModelRef = new ArrayList<Object>();
        }
        return this.clusterModelOrClusterModelRef;
    }

    /**
     * Gets the value of the structuredCollectionOrStructuredCollectionRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the structuredCollectionOrStructuredCollectionRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStructuredCollectionOrStructuredCollectionRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link StructuredCollectionType }
     * 
     * 
     */
    public List<Object> getStructuredCollectionOrStructuredCollectionRef() {
        if (structuredCollectionOrStructuredCollectionRef == null) {
            structuredCollectionOrStructuredCollectionRef = new ArrayList<Object>();
        }
        return this.structuredCollectionOrStructuredCollectionRef;
    }

    /**
     * Gets the value of the relationships property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the relationships property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRelationships().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GraphType }
     * 
     * 
     */
    public List<GraphType> getRelationships() {
        if (relationships == null) {
            relationships = new ArrayList<GraphType>();
        }
        return this.relationships;
    }

}
