
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SummaryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SummaryType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Name" type="{urn:mpeg:mpeg7:schema:2004}TextualType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SourceID" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType" minOccurs="0"/>
 *         &lt;element name="SourceLocator" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *         &lt;element name="SourceInformation" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SummaryType", propOrder = {
    "name",
    "sourceID",
    "sourceLocator",
    "sourceInformation"
})
@XmlSeeAlso({
    HierarchicalSummaryType.class,
    SequentialSummaryType.class
})
public abstract class SummaryType
    extends DSType
{

    @XmlElement(name = "Name")
    protected List<TextualType> name;
    @XmlElement(name = "SourceID")
    protected UniqueIDType sourceID;
    @XmlElement(name = "SourceLocator")
    protected TemporalSegmentLocatorType sourceLocator;
    @XmlElement(name = "SourceInformation")
    protected ReferenceType sourceInformation;

    /**
     * Gets the value of the name property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the name property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getName().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TextualType }
     * 
     * 
     */
    public List<TextualType> getName() {
        if (name == null) {
            name = new ArrayList<TextualType>();
        }
        return this.name;
    }

    /**
     * Gets the value of the sourceID property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getSourceID() {
        return sourceID;
    }

    /**
     * Sets the value of the sourceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setSourceID(UniqueIDType value) {
        this.sourceID = value;
    }

    /**
     * Gets the value of the sourceLocator property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getSourceLocator() {
        return sourceLocator;
    }

    /**
     * Sets the value of the sourceLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setSourceLocator(TemporalSegmentLocatorType value) {
        this.sourceLocator = value;
    }

    /**
     * Gets the value of the sourceInformation property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getSourceInformation() {
        return sourceInformation;
    }

    /**
     * Sets the value of the sourceInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setSourceInformation(ReferenceType value) {
        this.sourceInformation = value;
    }

}
