
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for synthesisType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="synthesisType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="none"/>
 *     &lt;enumeration value="dependency"/>
 *     &lt;enumeration value="forward"/>
 *     &lt;enumeration value="backward"/>
 *     &lt;enumeration value="coordination"/>
 *     &lt;enumeration value="apposition"/>
 *     &lt;enumeration value="repair"/>
 *     &lt;enumeration value="error"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "synthesisType")
@XmlEnum
public enum SynthesisType {

    @XmlEnumValue("none")
    NONE("none"),
    @XmlEnumValue("dependency")
    DEPENDENCY("dependency"),
    @XmlEnumValue("forward")
    FORWARD("forward"),
    @XmlEnumValue("backward")
    BACKWARD("backward"),
    @XmlEnumValue("coordination")
    COORDINATION("coordination"),
    @XmlEnumValue("apposition")
    APPOSITION("apposition"),
    @XmlEnumValue("repair")
    REPAIR("repair"),
    @XmlEnumValue("error")
    ERROR("error");
    private final String value;

    SynthesisType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SynthesisType fromValue(String v) {
        for (SynthesisType c: SynthesisType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
