
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TitleMediaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TitleMediaType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TitleImage" type="{urn:mpeg:mpeg7:schema:2004}ImageLocatorType" minOccurs="0"/>
 *         &lt;element name="TitleVideo" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *         &lt;element name="TitleAudio" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TitleMediaType", propOrder = {
    "titleImage",
    "titleVideo",
    "titleAudio"
})
public class TitleMediaType {

    @XmlElement(name = "TitleImage")
    protected ImageLocatorType titleImage;
    @XmlElement(name = "TitleVideo")
    protected TemporalSegmentLocatorType titleVideo;
    @XmlElement(name = "TitleAudio")
    protected TemporalSegmentLocatorType titleAudio;

    /**
     * Gets the value of the titleImage property.
     * 
     * @return
     *     possible object is
     *     {@link ImageLocatorType }
     *     
     */
    public ImageLocatorType getTitleImage() {
        return titleImage;
    }

    /**
     * Sets the value of the titleImage property.
     * 
     * @param value
     *     allowed object is
     *     {@link ImageLocatorType }
     *     
     */
    public void setTitleImage(ImageLocatorType value) {
        this.titleImage = value;
    }

    /**
     * Gets the value of the titleVideo property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getTitleVideo() {
        return titleVideo;
    }

    /**
     * Sets the value of the titleVideo property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setTitleVideo(TemporalSegmentLocatorType value) {
        this.titleVideo = value;
    }

    /**
     * Gets the value of the titleAudio property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getTitleAudio() {
        return titleAudio;
    }

    /**
     * Sets the value of the titleAudio property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setTitleAudio(TemporalSegmentLocatorType value) {
        this.titleAudio = value;
    }

}
