
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UsageHistoryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UsageHistoryType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="UserIdentifier" type="{urn:mpeg:mpeg7:schema:2004}UserIdentifierType" minOccurs="0"/>
 *         &lt;element name="UserActionHistory" type="{urn:mpeg:mpeg7:schema:2004}UserActionHistoryType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="allowCollection" type="{urn:mpeg:mpeg7:schema:2004}userChoiceType" default="false" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UsageHistoryType", propOrder = {
    "userIdentifier",
    "userActionHistory"
})
public class UsageHistoryType
    extends DSType
{

    @XmlElement(name = "UserIdentifier")
    protected UserIdentifierType userIdentifier;
    @XmlElement(name = "UserActionHistory", required = true)
    protected List<UserActionHistoryType> userActionHistory;
    @XmlAttribute(name = "allowCollection")
    protected UserChoiceType allowCollection;

    /**
     * Gets the value of the userIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link UserIdentifierType }
     *     
     */
    public UserIdentifierType getUserIdentifier() {
        return userIdentifier;
    }

    /**
     * Sets the value of the userIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserIdentifierType }
     *     
     */
    public void setUserIdentifier(UserIdentifierType value) {
        this.userIdentifier = value;
    }

    /**
     * Gets the value of the userActionHistory property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the userActionHistory property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUserActionHistory().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserActionHistoryType }
     * 
     * 
     */
    public List<UserActionHistoryType> getUserActionHistory() {
        if (userActionHistory == null) {
            userActionHistory = new ArrayList<UserActionHistoryType>();
        }
        return this.userActionHistory;
    }

    /**
     * Gets the value of the allowCollection property.
     * 
     * @return
     *     possible object is
     *     {@link UserChoiceType }
     *     
     */
    public UserChoiceType getAllowCollection() {
        if (allowCollection == null) {
            return UserChoiceType.FALSE;
        } else {
            return allowCollection;
        }
    }

    /**
     * Sets the value of the allowCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserChoiceType }
     *     
     */
    public void setAllowCollection(UserChoiceType value) {
        this.allowCollection = value;
    }

}
