
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UsageInformationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UsageInformationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Rights" type="{urn:mpeg:mpeg7:schema:2004}RightsType" minOccurs="0"/>
 *         &lt;element name="FinancialResults" type="{urn:mpeg:mpeg7:schema:2004}FinancialType" minOccurs="0"/>
 *         &lt;element name="Availability" type="{urn:mpeg:mpeg7:schema:2004}AvailabilityType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="UsageRecord" type="{urn:mpeg:mpeg7:schema:2004}UsageRecordType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UsageInformationType", propOrder = {
    "rights",
    "financialResults",
    "availability",
    "usageRecord"
})
public class UsageInformationType
    extends DSType
{

    @XmlElement(name = "Rights")
    protected RightsType rights;
    @XmlElement(name = "FinancialResults")
    protected FinancialType financialResults;
    @XmlElement(name = "Availability")
    protected List<AvailabilityType> availability;
    @XmlElement(name = "UsageRecord")
    protected List<UsageRecordType> usageRecord;

    /**
     * Gets the value of the rights property.
     * 
     * @return
     *     possible object is
     *     {@link RightsType }
     *     
     */
    public RightsType getRights() {
        return rights;
    }

    /**
     * Sets the value of the rights property.
     * 
     * @param value
     *     allowed object is
     *     {@link RightsType }
     *     
     */
    public void setRights(RightsType value) {
        this.rights = value;
    }

    /**
     * Gets the value of the financialResults property.
     * 
     * @return
     *     possible object is
     *     {@link FinancialType }
     *     
     */
    public FinancialType getFinancialResults() {
        return financialResults;
    }

    /**
     * Sets the value of the financialResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link FinancialType }
     *     
     */
    public void setFinancialResults(FinancialType value) {
        this.financialResults = value;
    }

    /**
     * Gets the value of the availability property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availability property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailability().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AvailabilityType }
     * 
     * 
     */
    public List<AvailabilityType> getAvailability() {
        if (availability == null) {
            availability = new ArrayList<AvailabilityType>();
        }
        return this.availability;
    }

    /**
     * Gets the value of the usageRecord property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the usageRecord property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUsageRecord().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UsageRecordType }
     * 
     * 
     */
    public List<UsageRecordType> getUsageRecord() {
        if (usageRecord == null) {
            usageRecord = new ArrayList<UsageRecordType>();
        }
        return this.usageRecord;
    }

}
