
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UserActionHistoryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserActionHistoryType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="ObservationPeriod" type="{urn:mpeg:mpeg7:schema:2004}TimeType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="UserActionList" type="{urn:mpeg:mpeg7:schema:2004}UserActionListType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="protected" type="{urn:mpeg:mpeg7:schema:2004}userChoiceType" default="true" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserActionHistoryType", propOrder = {
    "observationPeriod",
    "userActionList"
})
public class UserActionHistoryType
    extends DSType
{

    @XmlElement(name = "ObservationPeriod")
    protected List<TimeType> observationPeriod;
    @XmlElement(name = "UserActionList", required = true)
    protected List<UserActionListType> userActionList;
    @XmlAttribute(name = "protected")
    protected UserChoiceType _protected;

    /**
     * Gets the value of the observationPeriod property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the observationPeriod property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getObservationPeriod().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TimeType }
     * 
     * 
     */
    public List<TimeType> getObservationPeriod() {
        if (observationPeriod == null) {
            observationPeriod = new ArrayList<TimeType>();
        }
        return this.observationPeriod;
    }

    /**
     * Gets the value of the userActionList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the userActionList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUserActionList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserActionListType }
     * 
     * 
     */
    public List<UserActionListType> getUserActionList() {
        if (userActionList == null) {
            userActionList = new ArrayList<UserActionListType>();
        }
        return this.userActionList;
    }

    /**
     * Gets the value of the protected property.
     * 
     * @return
     *     possible object is
     *     {@link UserChoiceType }
     *     
     */
    public UserChoiceType getProtected() {
        if (_protected == null) {
            return UserChoiceType.TRUE;
        } else {
            return _protected;
        }
    }

    /**
     * Sets the value of the protected property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserChoiceType }
     *     
     */
    public void setProtected(UserChoiceType value) {
        this._protected = value;
    }

}
