
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UserPreferencesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserPreferencesType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="UserIdentifier" type="{urn:mpeg:mpeg7:schema:2004}UserIdentifierType" minOccurs="0"/>
 *         &lt;element name="FilteringAndSearchPreferences" type="{urn:mpeg:mpeg7:schema:2004}FilteringAndSearchPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="BrowsingPreferences" type="{urn:mpeg:mpeg7:schema:2004}BrowsingPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="RecordingPreferences" type="{urn:mpeg:mpeg7:schema:2004}RecordingPreferencesType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="allowAutomaticUpdate" type="{urn:mpeg:mpeg7:schema:2004}userChoiceType" default="false" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserPreferencesType", propOrder = {
    "userIdentifier",
    "filteringAndSearchPreferences",
    "browsingPreferences",
    "recordingPreferences"
})
public class UserPreferencesType
    extends DSType
{

    @XmlElement(name = "UserIdentifier")
    protected UserIdentifierType userIdentifier;
    @XmlElement(name = "FilteringAndSearchPreferences")
    protected List<FilteringAndSearchPreferencesType> filteringAndSearchPreferences;
    @XmlElement(name = "BrowsingPreferences")
    protected List<BrowsingPreferencesType> browsingPreferences;
    @XmlElement(name = "RecordingPreferences")
    protected List<RecordingPreferencesType> recordingPreferences;
    @XmlAttribute(name = "allowAutomaticUpdate")
    protected UserChoiceType allowAutomaticUpdate;

    /**
     * Gets the value of the userIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link UserIdentifierType }
     *     
     */
    public UserIdentifierType getUserIdentifier() {
        return userIdentifier;
    }

    /**
     * Sets the value of the userIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserIdentifierType }
     *     
     */
    public void setUserIdentifier(UserIdentifierType value) {
        this.userIdentifier = value;
    }

    /**
     * Gets the value of the filteringAndSearchPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the filteringAndSearchPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFilteringAndSearchPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FilteringAndSearchPreferencesType }
     * 
     * 
     */
    public List<FilteringAndSearchPreferencesType> getFilteringAndSearchPreferences() {
        if (filteringAndSearchPreferences == null) {
            filteringAndSearchPreferences = new ArrayList<FilteringAndSearchPreferencesType>();
        }
        return this.filteringAndSearchPreferences;
    }

    /**
     * Gets the value of the browsingPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the browsingPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBrowsingPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BrowsingPreferencesType }
     * 
     * 
     */
    public List<BrowsingPreferencesType> getBrowsingPreferences() {
        if (browsingPreferences == null) {
            browsingPreferences = new ArrayList<BrowsingPreferencesType>();
        }
        return this.browsingPreferences;
    }

    /**
     * Gets the value of the recordingPreferences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the recordingPreferences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRecordingPreferences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RecordingPreferencesType }
     * 
     * 
     */
    public List<RecordingPreferencesType> getRecordingPreferences() {
        if (recordingPreferences == null) {
            recordingPreferences = new ArrayList<RecordingPreferencesType>();
        }
        return this.recordingPreferences;
    }

    /**
     * Gets the value of the allowAutomaticUpdate property.
     * 
     * @return
     *     possible object is
     *     {@link UserChoiceType }
     *     
     */
    public UserChoiceType getAllowAutomaticUpdate() {
        if (allowAutomaticUpdate == null) {
            return UserChoiceType.FALSE;
        } else {
            return allowAutomaticUpdate;
        }
    }

    /**
     * Sets the value of the allowAutomaticUpdate property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserChoiceType }
     *     
     */
    public void setAllowAutomaticUpdate(UserChoiceType value) {
        this.allowAutomaticUpdate = value;
    }

}
