
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for UserProfileType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserProfileType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}PersonType">
 *       &lt;sequence>
 *         &lt;element name="PublicIdentifier" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Description" type="{urn:mpeg:mpeg7:schema:2004}TextAnnotationType" minOccurs="0"/>
 *         &lt;element name="TimeZone" type="{urn:mpeg:mpeg7:schema:2004}TimeZoneType" minOccurs="0"/>
 *         &lt;element name="PrimaryLanguage" type="{http://www.w3.org/2001/XMLSchema}language" minOccurs="0"/>
 *         &lt;element name="Connections" type="{urn:mpeg:mpeg7:schema:2004}ConnectionsType" minOccurs="0"/>
 *         &lt;element name="PersonalInterests" type="{urn:mpeg:mpeg7:schema:2004}PersonalInterestsType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="sex">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="male"/>
 *             &lt;enumeration value="female"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserProfileType", propOrder = {
    "publicIdentifier",
    "description",
    "timeZone",
    "primaryLanguage",
    "connections",
    "personalInterests"
})
public class UserProfileType
    extends PersonType
{

    @XmlElement(name = "PublicIdentifier")
    protected List<UniqueIDType> publicIdentifier;
    @XmlElement(name = "Description")
    protected TextAnnotationType description;
    @XmlElement(name = "TimeZone")
    protected TimeZoneType timeZone;
    @XmlElement(name = "PrimaryLanguage")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    protected String primaryLanguage;
    @XmlElement(name = "Connections")
    protected ConnectionsType connections;
    @XmlElement(name = "PersonalInterests")
    protected PersonalInterestsType personalInterests;
    @XmlAttribute(name = "sex")
    protected String sex;

    /**
     * Gets the value of the publicIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the publicIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPublicIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UniqueIDType }
     * 
     * 
     */
    public List<UniqueIDType> getPublicIdentifier() {
        if (publicIdentifier == null) {
            publicIdentifier = new ArrayList<UniqueIDType>();
        }
        return this.publicIdentifier;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link TextAnnotationType }
     *     
     */
    public TextAnnotationType getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link TextAnnotationType }
     *     
     */
    public void setDescription(TextAnnotationType value) {
        this.description = value;
    }

    /**
     * Gets the value of the timeZone property.
     * 
     * @return
     *     possible object is
     *     {@link TimeZoneType }
     *     
     */
    public TimeZoneType getTimeZone() {
        return timeZone;
    }

    /**
     * Sets the value of the timeZone property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeZoneType }
     *     
     */
    public void setTimeZone(TimeZoneType value) {
        this.timeZone = value;
    }

    /**
     * Gets the value of the primaryLanguage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrimaryLanguage() {
        return primaryLanguage;
    }

    /**
     * Sets the value of the primaryLanguage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrimaryLanguage(String value) {
        this.primaryLanguage = value;
    }

    /**
     * Gets the value of the connections property.
     * 
     * @return
     *     possible object is
     *     {@link ConnectionsType }
     *     
     */
    public ConnectionsType getConnections() {
        return connections;
    }

    /**
     * Sets the value of the connections property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConnectionsType }
     *     
     */
    public void setConnections(ConnectionsType value) {
        this.connections = value;
    }

    /**
     * Gets the value of the personalInterests property.
     * 
     * @return
     *     possible object is
     *     {@link PersonalInterestsType }
     *     
     */
    public PersonalInterestsType getPersonalInterests() {
        return personalInterests;
    }

    /**
     * Sets the value of the personalInterests property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonalInterestsType }
     *     
     */
    public void setPersonalInterests(PersonalInterestsType value) {
        this.personalInterests = value;
    }

    /**
     * Gets the value of the sex property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSex() {
        return sex;
    }

    /**
     * Sets the value of the sex property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSex(String value) {
        this.sex = value;
    }

}
