
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VariationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VariationType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DSType">
 *       &lt;sequence>
 *         &lt;element name="Source" type="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType" minOccurs="0"/>
 *         &lt;element name="Content" type="{urn:mpeg:mpeg7:schema:2004}MultimediaContentType"/>
 *         &lt;element name="VariationRelationship" maxOccurs="unbounded" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;union>
 *               &lt;simpleType>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *                   &lt;enumeration value="summarization"/>
 *                   &lt;enumeration value="abstraction"/>
 *                   &lt;enumeration value="extraction"/>
 *                   &lt;enumeration value="modalityTranslation"/>
 *                   &lt;enumeration value="languageTranslation"/>
 *                   &lt;enumeration value="colorReduction"/>
 *                   &lt;enumeration value="spatialReduction"/>
 *                   &lt;enumeration value="temporalReduction"/>
 *                   &lt;enumeration value="samplingReduction"/>
 *                   &lt;enumeration value="rateReduction"/>
 *                   &lt;enumeration value="qualityReduction"/>
 *                   &lt;enumeration value="compression"/>
 *                   &lt;enumeration value="scaling"/>
 *                   &lt;enumeration value="revision"/>
 *                   &lt;enumeration value="substitution"/>
 *                   &lt;enumeration value="replay"/>
 *                   &lt;enumeration value="alternativeView"/>
 *                   &lt;enumeration value="alternativeMediaProfile"/>
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *               &lt;simpleType>
 *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termAliasReferenceType">
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *               &lt;simpleType>
 *                 &lt;restriction base="{urn:mpeg:mpeg7:schema:2004}termURIReferenceType">
 *                 &lt;/restriction>
 *               &lt;/simpleType>
 *             &lt;/union>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="fidelity" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *       &lt;attribute name="priority" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="timeOffset" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" />
 *       &lt;attribute name="timeScale" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VariationType", propOrder = {
    "source",
    "content",
    "variationRelationship"
})
public class VariationType
    extends DSType
{

    @XmlElement(name = "Source")
    protected MultimediaContentType source;
    @XmlElement(name = "Content", required = true)
    protected MultimediaContentType content;
    @XmlElement(name = "VariationRelationship")
    protected List<String> variationRelationship;
    @XmlAttribute(name = "fidelity")
    protected Float fidelity;
    @XmlAttribute(name = "priority")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger priority;
    @XmlAttribute(name = "timeOffset")
    protected String timeOffset;
    @XmlAttribute(name = "timeScale")
    protected Float timeScale;

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link MultimediaContentType }
     *     
     */
    public MultimediaContentType getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultimediaContentType }
     *     
     */
    public void setSource(MultimediaContentType value) {
        this.source = value;
    }

    /**
     * Gets the value of the content property.
     * 
     * @return
     *     possible object is
     *     {@link MultimediaContentType }
     *     
     */
    public MultimediaContentType getContent() {
        return content;
    }

    /**
     * Sets the value of the content property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultimediaContentType }
     *     
     */
    public void setContent(MultimediaContentType value) {
        this.content = value;
    }

    /**
     * Gets the value of the variationRelationship property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the variationRelationship property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVariationRelationship().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getVariationRelationship() {
        if (variationRelationship == null) {
            variationRelationship = new ArrayList<String>();
        }
        return this.variationRelationship;
    }

    /**
     * Gets the value of the fidelity property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getFidelity() {
        return fidelity;
    }

    /**
     * Sets the value of the fidelity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setFidelity(Float value) {
        this.fidelity = value;
    }

    /**
     * Gets the value of the priority property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPriority() {
        return priority;
    }

    /**
     * Sets the value of the priority property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPriority(BigInteger value) {
        this.priority = value;
    }

    /**
     * Gets the value of the timeOffset property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeOffset() {
        return timeOffset;
    }

    /**
     * Sets the value of the timeOffset property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeOffset(String value) {
        this.timeOffset = value;
    }

    /**
     * Gets the value of the timeScale property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getTimeScale() {
        return timeScale;
    }

    /**
     * Sets the value of the timeScale property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setTimeScale(Float value) {
        this.timeScale = value;
    }

}
