
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoSegmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoSegmentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}SegmentType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="MediaTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType"/>
 *           &lt;element name="TemporalMask" type="{urn:mpeg:mpeg7:schema:2004}TemporalMaskType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="VisualDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualDType"/>
 *           &lt;element name="VisualDescriptionScheme" type="{urn:mpeg:mpeg7:schema:2004}VisualDSType"/>
 *           &lt;element name="VisualTimeSeriesDescriptor" type="{urn:mpeg:mpeg7:schema:2004}VisualTimeSeriesType"/>
 *           &lt;element name="GofGopFeature" type="{urn:mpeg:mpeg7:schema:2004}GofGopFeatureType"/>
 *         &lt;/choice>
 *         &lt;element name="MultipleView" type="{urn:mpeg:mpeg7:schema:2004}MultipleViewType" minOccurs="0"/>
 *         &lt;element name="Mosaic" type="{urn:mpeg:mpeg7:schema:2004}MosaicType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SpatialDecomposition" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentSpatialDecompositionType"/>
 *           &lt;element name="TemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentTemporalDecompositionType"/>
 *           &lt;element name="SpatioTemporalDecomposition" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentSpatioTemporalDecompositionType"/>
 *           &lt;element name="MediaSourceDecomposition" type="{urn:mpeg:mpeg7:schema:2004}VideoSegmentMediaSourceDecompositionType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoSegmentType", propOrder = {
    "mediaTime",
    "temporalMask",
    "visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor",
    "multipleView",
    "mosaic",
    "spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition"
})
@XmlSeeAlso({
    AnalyticEditedVideoSegmentType.class
})
public class VideoSegmentType
    extends SegmentType
{

    @XmlElement(name = "MediaTime")
    protected MediaTimeType mediaTime;
    @XmlElement(name = "TemporalMask")
    protected TemporalMaskType temporalMask;
    @XmlElements({
        @XmlElement(name = "VisualTimeSeriesDescriptor", type = VisualTimeSeriesType.class),
        @XmlElement(name = "VisualDescriptor", type = VisualDType.class),
        @XmlElement(name = "VisualDescriptionScheme", type = VisualDSType.class),
        @XmlElement(name = "GofGopFeature", type = GofGopFeatureType.class)
    })
    protected List<Object> visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor;
    @XmlElement(name = "MultipleView")
    protected MultipleViewType multipleView;
    @XmlElement(name = "Mosaic")
    protected List<MosaicType> mosaic;
    @XmlElements({
        @XmlElement(name = "TemporalDecomposition", type = VideoSegmentTemporalDecompositionType.class),
        @XmlElement(name = "SpatioTemporalDecomposition", type = VideoSegmentSpatioTemporalDecompositionType.class),
        @XmlElement(name = "MediaSourceDecomposition", type = VideoSegmentMediaSourceDecompositionType.class),
        @XmlElement(name = "SpatialDecomposition", type = VideoSegmentSpatialDecompositionType.class)
    })
    protected List<SegmentDecompositionType> spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;

    /**
     * Gets the value of the mediaTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getMediaTime() {
        return mediaTime;
    }

    /**
     * Sets the value of the mediaTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setMediaTime(MediaTimeType value) {
        this.mediaTime = value;
    }

    /**
     * Gets the value of the temporalMask property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalMaskType }
     *     
     */
    public TemporalMaskType getTemporalMask() {
        return temporalMask;
    }

    /**
     * Sets the value of the temporalMask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalMaskType }
     *     
     */
    public void setTemporalMask(TemporalMaskType value) {
        this.temporalMask = value;
    }

    /**
     * Gets the value of the visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVisualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VisualTimeSeriesType }
     * {@link VisualDType }
     * {@link VisualDSType }
     * {@link GofGopFeatureType }
     * 
     * 
     */
    public List<Object> getVisualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor() {
        if (visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor == null) {
            visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor = new ArrayList<Object>();
        }
        return this.visualDescriptorOrVisualDescriptionSchemeOrVisualTimeSeriesDescriptor;
    }

    /**
     * Gets the value of the multipleView property.
     * 
     * @return
     *     possible object is
     *     {@link MultipleViewType }
     *     
     */
    public MultipleViewType getMultipleView() {
        return multipleView;
    }

    /**
     * Sets the value of the multipleView property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultipleViewType }
     *     
     */
    public void setMultipleView(MultipleViewType value) {
        this.multipleView = value;
    }

    /**
     * Gets the value of the mosaic property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mosaic property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMosaic().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MosaicType }
     * 
     * 
     */
    public List<MosaicType> getMosaic() {
        if (mosaic == null) {
            mosaic = new ArrayList<MosaicType>();
        }
        return this.mosaic;
    }

    /**
     * Gets the value of the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VideoSegmentTemporalDecompositionType }
     * {@link VideoSegmentSpatioTemporalDecompositionType }
     * {@link VideoSegmentMediaSourceDecompositionType }
     * {@link VideoSegmentSpatialDecompositionType }
     * 
     * 
     */
    public List<SegmentDecompositionType> getSpatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition() {
        if (spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition == null) {
            spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition = new ArrayList<SegmentDecompositionType>();
        }
        return this.spatialDecompositionOrTemporalDecompositionOrSpatioTemporalDecomposition;
    }

}
