
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoViewGraphType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VideoViewGraphType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}ViewDecompositionType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="View" type="{urn:mpeg:mpeg7:schema:2004}FrequencyViewType"/>
 *           &lt;element name="ViewRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="SpaceFrequencyChild" type="{urn:mpeg:mpeg7:schema:2004}VideoViewGraphType"/>
 *           &lt;element name="SpaceFrequencyChildRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="TimeFrequencyChild" type="{urn:mpeg:mpeg7:schema:2004}VideoViewGraphType"/>
 *           &lt;element name="TimeFrequencyChildRef" type="{urn:mpeg:mpeg7:schema:2004}ReferenceType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="branching" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VideoViewGraphType", propOrder = {
    "view",
    "viewRef",
    "spaceFrequencyChildOrSpaceFrequencyChildRef",
    "timeFrequencyChildOrTimeFrequencyChildRef"
})
public class VideoViewGraphType
    extends ViewDecompositionType
{

    @XmlElement(name = "View")
    protected FrequencyViewType view;
    @XmlElement(name = "ViewRef")
    protected ReferenceType viewRef;
    @XmlElements({
        @XmlElement(name = "SpaceFrequencyChild", type = VideoViewGraphType.class),
        @XmlElement(name = "SpaceFrequencyChildRef", type = ReferenceType.class)
    })
    protected List<Object> spaceFrequencyChildOrSpaceFrequencyChildRef;
    @XmlElements({
        @XmlElement(name = "TimeFrequencyChildRef", type = ReferenceType.class),
        @XmlElement(name = "TimeFrequencyChild", type = VideoViewGraphType.class)
    })
    protected List<Object> timeFrequencyChildOrTimeFrequencyChildRef;
    @XmlAttribute(name = "branching", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger branching;

    /**
     * Gets the value of the view property.
     * 
     * @return
     *     possible object is
     *     {@link FrequencyViewType }
     *     
     */
    public FrequencyViewType getView() {
        return view;
    }

    /**
     * Sets the value of the view property.
     * 
     * @param value
     *     allowed object is
     *     {@link FrequencyViewType }
     *     
     */
    public void setView(FrequencyViewType value) {
        this.view = value;
    }

    /**
     * Gets the value of the viewRef property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getViewRef() {
        return viewRef;
    }

    /**
     * Sets the value of the viewRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setViewRef(ReferenceType value) {
        this.viewRef = value;
    }

    /**
     * Gets the value of the spaceFrequencyChildOrSpaceFrequencyChildRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spaceFrequencyChildOrSpaceFrequencyChildRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpaceFrequencyChildOrSpaceFrequencyChildRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VideoViewGraphType }
     * {@link ReferenceType }
     * 
     * 
     */
    public List<Object> getSpaceFrequencyChildOrSpaceFrequencyChildRef() {
        if (spaceFrequencyChildOrSpaceFrequencyChildRef == null) {
            spaceFrequencyChildOrSpaceFrequencyChildRef = new ArrayList<Object>();
        }
        return this.spaceFrequencyChildOrSpaceFrequencyChildRef;
    }

    /**
     * Gets the value of the timeFrequencyChildOrTimeFrequencyChildRef property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the timeFrequencyChildOrTimeFrequencyChildRef property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTimeFrequencyChildOrTimeFrequencyChildRef().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReferenceType }
     * {@link VideoViewGraphType }
     * 
     * 
     */
    public List<Object> getTimeFrequencyChildOrTimeFrequencyChildRef() {
        if (timeFrequencyChildOrTimeFrequencyChildRef == null) {
            timeFrequencyChildOrTimeFrequencyChildRef = new ArrayList<Object>();
        }
        return this.timeFrequencyChildOrTimeFrequencyChildRef;
    }

    /**
     * Gets the value of the branching property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getBranching() {
        return branching;
    }

    /**
     * Sets the value of the branching property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setBranching(BigInteger value) {
        this.branching = value;
    }

}
