
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VisualSummaryComponentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VisualSummaryComponentType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg7:schema:2004}DType">
 *       &lt;sequence>
 *         &lt;element name="VideoSourceID" type="{urn:mpeg:mpeg7:schema:2004}UniqueIDType" minOccurs="0"/>
 *         &lt;element name="VideoSourceLocator" type="{urn:mpeg:mpeg7:schema:2004}TemporalSegmentLocatorType" minOccurs="0"/>
 *         &lt;element name="ComponentSourceTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType" minOccurs="0"/>
 *         &lt;element name="ImageLocator" type="{urn:mpeg:mpeg7:schema:2004}ImageLocatorType" minOccurs="0"/>
 *         &lt;element name="SyncTime" type="{urn:mpeg:mpeg7:schema:2004}MediaTimeType" minOccurs="0"/>
 *         &lt;element name="FrameActivity" type="{urn:mpeg:mpeg7:schema:2004}zeroToOneType" minOccurs="0"/>
 *         &lt;element name="Region" type="{urn:mpeg:mpeg7:schema:2004}RegionLocatorType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VisualSummaryComponentType", propOrder = {
    "videoSourceID",
    "videoSourceLocator",
    "componentSourceTime",
    "imageLocator",
    "syncTime",
    "frameActivity",
    "region"
})
public class VisualSummaryComponentType
    extends DType
{

    @XmlElement(name = "VideoSourceID")
    protected UniqueIDType videoSourceID;
    @XmlElement(name = "VideoSourceLocator")
    protected TemporalSegmentLocatorType videoSourceLocator;
    @XmlElement(name = "ComponentSourceTime")
    protected MediaTimeType componentSourceTime;
    @XmlElement(name = "ImageLocator")
    protected ImageLocatorType imageLocator;
    @XmlElement(name = "SyncTime")
    protected MediaTimeType syncTime;
    @XmlElement(name = "FrameActivity")
    protected Float frameActivity;
    @XmlElement(name = "Region")
    protected RegionLocatorType region;

    /**
     * Gets the value of the videoSourceID property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getVideoSourceID() {
        return videoSourceID;
    }

    /**
     * Sets the value of the videoSourceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setVideoSourceID(UniqueIDType value) {
        this.videoSourceID = value;
    }

    /**
     * Gets the value of the videoSourceLocator property.
     * 
     * @return
     *     possible object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public TemporalSegmentLocatorType getVideoSourceLocator() {
        return videoSourceLocator;
    }

    /**
     * Sets the value of the videoSourceLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link TemporalSegmentLocatorType }
     *     
     */
    public void setVideoSourceLocator(TemporalSegmentLocatorType value) {
        this.videoSourceLocator = value;
    }

    /**
     * Gets the value of the componentSourceTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getComponentSourceTime() {
        return componentSourceTime;
    }

    /**
     * Sets the value of the componentSourceTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setComponentSourceTime(MediaTimeType value) {
        this.componentSourceTime = value;
    }

    /**
     * Gets the value of the imageLocator property.
     * 
     * @return
     *     possible object is
     *     {@link ImageLocatorType }
     *     
     */
    public ImageLocatorType getImageLocator() {
        return imageLocator;
    }

    /**
     * Sets the value of the imageLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link ImageLocatorType }
     *     
     */
    public void setImageLocator(ImageLocatorType value) {
        this.imageLocator = value;
    }

    /**
     * Gets the value of the syncTime property.
     * 
     * @return
     *     possible object is
     *     {@link MediaTimeType }
     *     
     */
    public MediaTimeType getSyncTime() {
        return syncTime;
    }

    /**
     * Sets the value of the syncTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link MediaTimeType }
     *     
     */
    public void setSyncTime(MediaTimeType value) {
        this.syncTime = value;
    }

    /**
     * Gets the value of the frameActivity property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getFrameActivity() {
        return frameActivity;
    }

    /**
     * Sets the value of the frameActivity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setFrameActivity(Float value) {
        this.frameActivity = value;
    }

    /**
     * Gets the value of the region property.
     * 
     * @return
     *     possible object is
     *     {@link RegionLocatorType }
     *     
     */
    public RegionLocatorType getRegion() {
        return region;
    }

    /**
     * Sets the value of the region property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegionLocatorType }
     *     
     */
    public void setRegion(RegionLocatorType value) {
        this.region = value;
    }

}
