
package org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VisualTimeSeriesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VisualTimeSeriesType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TimeIncr" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType"/>
 *       &lt;/sequence>
 *       &lt;attribute name="offset" type="{urn:mpeg:mpeg7:schema:2004}mediaDurationType" default="PT0S" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VisualTimeSeriesType", propOrder = {
    "timeIncr"
})
@XmlSeeAlso({
    IrregularVisualTimeSeriesType.class,
    RegularVisualTimeSeriesType.class
})
public abstract class VisualTimeSeriesType {

    @XmlElement(name = "TimeIncr", required = true)
    protected String timeIncr;
    @XmlAttribute(name = "offset")
    protected String offset;

    /**
     * Gets the value of the timeIncr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimeIncr() {
        return timeIncr;
    }

    /**
     * Sets the value of the timeIncr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimeIncr(String value) {
        this.timeIncr = value;
    }

    /**
     * Gets the value of the offset property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOffset() {
        if (offset == null) {
            return "PT0S";
        } else {
            return offset;
        }
    }

    /**
     * Sets the value of the offset property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOffset(String value) {
        this.offset = value;
    }

}
