
package org.iso.mpeg.mxm.engine.protocol.authenticatecontentPE.schema.authenticatecontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for AuthenticateContentRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthenticateContentRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="AuthenticationContent" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *         &lt;element name="ContentSignature" type="{http://www.w3.org/2000/09/xmldsig#}SignatureType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthenticateContentRequestType", propOrder = {
    "authenticationContent",
    "contentSignature"
})
@XmlRootElement(name = "AuthenticateContentRequest")
public class AuthenticateContentRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "AuthenticationContent", required = true)
    protected ContentEntityType authenticationContent;
    @XmlElement(name = "ContentSignature")
    protected SignatureType contentSignature;

    /**
     * Gets the value of the authenticationContent property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getAuthenticationContent() {
        return authenticationContent;
    }

    /**
     * Sets the value of the authenticationContent property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setAuthenticationContent(ContentEntityType value) {
        this.authenticationContent = value;
    }

    /**
     * Gets the value of the contentSignature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getContentSignature() {
        return contentSignature;
    }

    /**
     * Sets the value of the contentSignature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setContentSignature(SignatureType value) {
        this.contentSignature = value;
    }

}
