
package org.iso.mpeg.mxm.engine.protocol.authenticateentityPE.schema.authenticateentityprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
//import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;

import org.iso.mpeg.mxm.baseprotocol.schema.EntityBaseType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
//import org.iso.mpeg.mxm.engine.protocol.authenticatecontentPE.schema.authenticatecontentprotocol.AuthenticateContentRequestType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureType;


/**
 * <p>Java class for AuthenticateEntityRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthenticateEntityRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="AuthenticationEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}EntityBaseType"/>
 *         &lt;element name="EntitySignature" type="{http://www.w3.org/2000/09/xmldsig#}SignatureType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthenticateEntityRequestType", propOrder = {
    "authenticationEntity",
    "entitySignature"
})
public abstract class AuthenticateEntityRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "AuthenticationEntity", required = true)
    protected EntityBaseType authenticationEntity;
    @XmlElement(name = "EntitySignature")
    protected SignatureType entitySignature;

    /**
     * Gets the value of the authenticationEntity property.
     * 
     * @return
     *     possible object is
     *     {@link EntityBaseType }
     *     
     */
    public EntityBaseType getAuthenticationEntity() {
        return authenticationEntity;
    }

    /**
     * Sets the value of the authenticationEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link EntityBaseType }
     *     
     */
    public void setAuthenticationEntity(EntityBaseType value) {
        this.authenticationEntity = value;
    }

    /**
     * Gets the value of the entitySignature property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getEntitySignature() {
        return entitySignature;
    }

    /**
     * Sets the value of the entitySignature property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setEntitySignature(SignatureType value) {
        this.entitySignature = value;
    }

}
