
package org.iso.mpeg.mxm.engine.protocol.authenticateentityPE.schema.authenticateentityprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for AuthenticateEntityResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthenticateEntityResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="AuthenticateEntitySuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}AuthenticateEntitySuccessType"/>
 *         &lt;element name="AuthenticateEntityFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthenticateEntityResponseType", propOrder = {
    "authenticateEntitySuccess",
    "authenticateEntityFailure"
})
public class AuthenticateEntityResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "AuthenticateEntitySuccess")
    protected AuthenticateEntitySuccessType authenticateEntitySuccess;
    @XmlElement(name = "AuthenticateEntityFailure")
    protected ProtocolFailureType authenticateEntityFailure;

    /**
     * Gets the value of the authenticateEntitySuccess property.
     * 
     * @return
     *     possible object is
     *     {@link AuthenticateEntitySuccessType }
     *     
     */
    public AuthenticateEntitySuccessType getAuthenticateEntitySuccess() {
        return authenticateEntitySuccess;
    }

    /**
     * Sets the value of the authenticateEntitySuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthenticateEntitySuccessType }
     *     
     */
    public void setAuthenticateEntitySuccess(AuthenticateEntitySuccessType value) {
        this.authenticateEntitySuccess = value;
    }

    /**
     * Gets the value of the authenticateEntityFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getAuthenticateEntityFailure() {
        return authenticateEntityFailure;
    }

    /**
     * Sets the value of the authenticateEntityFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setAuthenticateEntityFailure(ProtocolFailureType value) {
        this.authenticateEntityFailure = value;
    }

}
