
package org.iso.mpeg.mxm.engine.protocol.createlicensePE.schema.createlicenseprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.UniqueIDType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.ProtectedResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiReference;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AllPrincipals;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AnXmlExpression;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AnXmlPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ConditionPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.DigitalResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Grant;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.GrantGroup;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.GrantGroupPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.GrantPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Issuer;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.KeyHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PatternFromLicensePart;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Principal;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PrincipalPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Resource;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ResourcePatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Revocable;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.RightPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ServiceReference;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CommonName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.DnsName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.EmailName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.LicenseIdPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Name;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateReferenceValuePattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalDurationPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for CustomLicenseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CustomLicenseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpegM:schema:01-base-NS:2012}LicenseIdentifier"/>
 *         &lt;choice>
 *           &lt;element name="Principal" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Principal" minOccurs="0"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}forAll" minOccurs="0"/>
 *         &lt;/choice>
 *         &lt;element name="RightGroup" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}RightGroupType" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}resource"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}issuer" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CustomLicenseType", propOrder = {
    "licenseIdentifier",
    "principal",
    "forAll",
    "rightGroup",
    "resource",
    "issuer"
})
public class CustomLicenseType {

    @XmlElement(name = "LicenseIdentifier", namespace = "urn:mpeg:mpegM:schema:01-base-NS:2012", required = true)
    protected UniqueIDType licenseIdentifier;
    @XmlElement(name = "Principal")
    protected Principal principal;
    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected ForAll forAll;
    @XmlElement(name = "RightGroup", required = true)
    protected List<RightGroupType> rightGroup;
    @XmlElementRef(name = "resource", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Resource> resource;
    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected Issuer issuer;

    /**
     * Gets the value of the licenseIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getLicenseIdentifier() {
        return licenseIdentifier;
    }

    /**
     * Sets the value of the licenseIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setLicenseIdentifier(UniqueIDType value) {
        this.licenseIdentifier = value;
    }

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link Principal }
     *     
     */
    public Principal getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Principal }
     *     
     */
    public void setPrincipal(Principal value) {
        this.principal = value;
    }

    /**
     * Gets the value of the forAll property.
     * 
     * @return
     *     possible object is
     *     {@link ForAll }
     *     
     */
    public ForAll getForAll() {
        return forAll;
    }

    /**
     * Sets the value of the forAll property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForAll }
     *     
     */
    public void setForAll(ForAll value) {
        this.forAll = value;
    }

    /**
     * Gets the value of the rightGroup property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rightGroup property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRightGroup().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RightGroupType }
     * 
     * 
     */
    public List<RightGroupType> getRightGroup() {
        if (rightGroup == null) {
            rightGroup = new ArrayList<RightGroupType>();
        }
        return this.rightGroup;
    }

    /**
     * Gets the value of the resource property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     
     */
    public JAXBElement<? extends Resource> getResource() {
        return resource;
    }

    /**
     * Sets the value of the resource property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     
     */
    public void setResource(JAXBElement<? extends Resource> value) {
        this.resource = ((JAXBElement<? extends Resource> ) value);
    }

    /**
     * Gets the value of the issuer property.
     * 
     * @return
     *     possible object is
     *     {@link Issuer }
     *     
     */
    public Issuer getIssuer() {
        return issuer;
    }

    /**
     * Sets the value of the issuer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Issuer }
     *     
     */
    public void setIssuer(Issuer value) {
        this.issuer = value;
    }

}
