
package org.iso.mpeg.mxm.engine.protocol.describeentityPE.schema.describeentityprotocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.baseprotocol.schema.SupportedMetadataSchemaType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.fru.FRU;


/**
 * <p>Java class for GetDescribeEntityRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetDescribeEntityRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="EntityIdentifier">
 *           &lt;simpleType>
 *             &lt;union memberTypes=" {http://www.w3.org/2001/XMLSchema}string {http://www.w3.org/2001/XMLSchema}anyURI">
 *             &lt;/union>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="SupportedMetadataSchema" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}SupportedMetadataSchemaType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpegB:schema:FragmentRequestUnits:2007}FRU" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetDescribeEntityRequestType", propOrder = {
    "entityIdentifier",
    "supportedMetadataSchema",
    "fru"
})
public class GetDescribeEntityRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "EntityIdentifier", required = true)
    protected String entityIdentifier;
    @XmlElement(name = "SupportedMetadataSchema")
    protected List<SupportedMetadataSchemaType> supportedMetadataSchema;
    @XmlElement(name = "FRU", namespace = "urn:mpeg:mpegB:schema:FragmentRequestUnits:2007")
    protected FRU fru;

    /**
     * Gets the value of the entityIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntityIdentifier() {
        return entityIdentifier;
    }

    /**
     * Sets the value of the entityIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntityIdentifier(String value) {
        this.entityIdentifier = value;
    }

    /**
     * Gets the value of the supportedMetadataSchema property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the supportedMetadataSchema property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSupportedMetadataSchema().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SupportedMetadataSchemaType }
     * 
     * 
     */
    public List<SupportedMetadataSchemaType> getSupportedMetadataSchema() {
        if (supportedMetadataSchema == null) {
            supportedMetadataSchema = new ArrayList<SupportedMetadataSchemaType>();
        }
        return this.supportedMetadataSchema;
    }

    /**
     * Gets the value of the fru property.
     * 
     * @return
     *     possible object is
     *     {@link FRU }
     *     
     */
    public FRU getFRU() {
        return fru;
    }

    /**
     * Sets the value of the fru property.
     * 
     * @param value
     *     allowed object is
     *     {@link FRU }
     *     
     */
    public void setFRU(FRU value) {
        this.fru = value;
    }

}
