
package org.iso.mpeg.mxm.engine.protocol.identifycontentPE.schema.identifycontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for IdentifyContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdentifyContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="IdentifyContentSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}IdentifyContentSuccessType"/>
 *         &lt;element name="IdentifyContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdentifyContentResponseType", propOrder = {
    "identifyContentSuccess",
    "identifyContentFailure"
})
@XmlRootElement(name = "IdentifyContentResponse")
public class IdentifyContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "IdentifyContentSuccess")
    protected IdentifyContentSuccessType identifyContentSuccess;
    @XmlElement(name = "IdentifyContentFailure")
    protected ProtocolFailureType identifyContentFailure;

    /**
     * Gets the value of the identifyContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link IdentifyContentSuccessType }
     *     
     */
    public IdentifyContentSuccessType getIdentifyContentSuccess() {
        return identifyContentSuccess;
    }

    /**
     * Sets the value of the identifyContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdentifyContentSuccessType }
     *     
     */
    public void setIdentifyContentSuccess(IdentifyContentSuccessType value) {
        this.identifyContentSuccess = value;
    }

    /**
     * Gets the value of the identifyContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getIdentifyContentFailure() {
        return identifyContentFailure;
    }

    /**
     * Sets the value of the identifyContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setIdentifyContentFailure(ProtocolFailureType value) {
        this.identifyContentFailure = value;
    }

}
