
package org.iso.mpeg.mxm.engine.protocol.identifydevicePE.schema.identifydeviceprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.ipmpTE.schema.mpeg4ipmp.TerminalIDType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.KeyInfoType;


/**
 * <p>Java class for IdentifyDeviceRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdentifyDeviceRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;sequence>
 *         &lt;element name="DeviceKey" type="{http://www.w3.org/2000/09/xmldsig#}KeyInfoType" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg4:IPMPSchema:2002}TerminalID" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdentifyDeviceRequestType", propOrder = {
    "deviceKey",
    "terminalID"
})
public class IdentifyDeviceRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "DeviceKey")
    protected KeyInfoType deviceKey;
    @XmlElement(name = "TerminalID", namespace = "urn:mpeg:mpeg4:IPMPSchema:2002")
    protected TerminalIDType terminalID;

    /**
     * Gets the value of the deviceKey property.
     * 
     * @return
     *     possible object is
     *     {@link KeyInfoType }
     *     
     */
    public KeyInfoType getDeviceKey() {
        return deviceKey;
    }

    /**
     * Sets the value of the deviceKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link KeyInfoType }
     *     
     */
    public void setDeviceKey(KeyInfoType value) {
        this.deviceKey = value;
    }

    /**
     * Gets the value of the terminalID property.
     * 
     * @return
     *     possible object is
     *     {@link TerminalIDType }
     *     
     */
    public TerminalIDType getTerminalID() {
        return terminalID;
    }

    /**
     * Sets the value of the terminalID property.
     * 
     * @param value
     *     allowed object is
     *     {@link TerminalIDType }
     *     
     */
    public void setTerminalID(TerminalIDType value) {
        this.terminalID = value;
    }

}
