
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AbstractPacketType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbstractPacketType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2007:01-BBL-NS}IdentifiableElementType">
 *       &lt;sequence>
 *         &lt;element name="HandlerParams" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}ParametricElementType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute ref="{urn:mpeg:mpeg21:2007:01-BBL-NS}handler"/>
 *       &lt;attribute name="deliveryCondition" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="deliveryTime" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="repeat" type="{http://www.w3.org/2001/XMLSchema}float" default="0.0" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbstractPacketType", propOrder = {
    "handlerParams"
})
@XmlSeeAlso({
    PacketType.class,
    PacketStreamType.class
})
public abstract class AbstractPacketType
    extends IdentifiableElementType
{

    @XmlElement(name = "HandlerParams")
    protected ParametricElementType handlerParams;
    @XmlAttribute(name = "handler", namespace = "urn:mpeg:mpeg21:2007:01-BBL-NS")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object handler;
    @XmlAttribute(name = "deliveryCondition")
    protected String deliveryCondition;
    @XmlAttribute(name = "deliveryTime")
    protected String deliveryTime;
    @XmlAttribute(name = "repeat")
    protected Float repeat;

    /**
     * Gets the value of the handlerParams property.
     * 
     * @return
     *     possible object is
     *     {@link ParametricElementType }
     *     
     */
    public ParametricElementType getHandlerParams() {
        return handlerParams;
    }

    /**
     * Sets the value of the handlerParams property.
     * 
     * @param value
     *     allowed object is
     *     {@link ParametricElementType }
     *     
     */
    public void setHandlerParams(ParametricElementType value) {
        this.handlerParams = value;
    }

    /**
     * Gets the value of the handler property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getHandler() {
        return handler;
    }

    /**
     * Sets the value of the handler property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setHandler(Object value) {
        this.handler = value;
    }

    /**
     * Gets the value of the deliveryCondition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryCondition() {
        return deliveryCondition;
    }

    /**
     * Sets the value of the deliveryCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryCondition(String value) {
        this.deliveryCondition = value;
    }

    /**
     * Gets the value of the deliveryTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryTime() {
        return deliveryTime;
    }

    /**
     * Sets the value of the deliveryTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryTime(String value) {
        this.deliveryTime = value;
    }

    /**
     * Gets the value of the repeat property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public float getRepeat() {
        if (repeat == null) {
            return  0.0F;
        } else {
            return repeat;
        }
    }

    /**
     * Sets the value of the repeat property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setRepeat(Float value) {
        this.repeat = value;
    }

}
