
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IncludeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IncludeType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2007:01-BBL-NS}SourceElementType">
 *       &lt;sequence>
 *         &lt;element name="Timing" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}TimingType" minOccurs="0"/>
 *         &lt;element name="Fragmentation" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}FragmentationType" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{urn:mpeg:mpeg21:2007:01-BBL-NS}Attribute"/>
 *           &lt;element name="Include" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}IncludeType"/>
 *           &lt;element name="Encode" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}EncodeType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="ref" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="depth" default="0">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *             &lt;minInclusive value="-1"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="height" default="0">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *             &lt;minInclusive value="-1"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute ref="{urn:mpeg:mpeg21:2007:01-BBL-NS}match"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IncludeType", propOrder = {
    "timing",
    "fragmentation",
    "attributeOrIncludeOrEncode"
})
public class IncludeType
    extends SourceElementType
{

    @XmlElement(name = "Timing")
    protected TimingType timing;
    @XmlElement(name = "Fragmentation")
    protected FragmentationType fragmentation;
    @XmlElements({
        @XmlElement(name = "Encode", type = EncodeType.class),
        @XmlElement(name = "Include", type = IncludeType.class),
        @XmlElement(name = "Attribute", type = Attribute.class)
    })
    protected List<SourceElementType> attributeOrIncludeOrEncode;
    @XmlAttribute(name = "ref", required = true)
    protected String ref;
    @XmlAttribute(name = "depth")
    protected BigInteger depth;
    @XmlAttribute(name = "height")
    protected BigInteger height;
    @XmlAttribute(name = "match", namespace = "urn:mpeg:mpeg21:2007:01-BBL-NS")
    protected String match;

    /**
     * Gets the value of the timing property.
     * 
     * @return
     *     possible object is
     *     {@link TimingType }
     *     
     */
    public TimingType getTiming() {
        return timing;
    }

    /**
     * Sets the value of the timing property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimingType }
     *     
     */
    public void setTiming(TimingType value) {
        this.timing = value;
    }

    /**
     * Gets the value of the fragmentation property.
     * 
     * @return
     *     possible object is
     *     {@link FragmentationType }
     *     
     */
    public FragmentationType getFragmentation() {
        return fragmentation;
    }

    /**
     * Sets the value of the fragmentation property.
     * 
     * @param value
     *     allowed object is
     *     {@link FragmentationType }
     *     
     */
    public void setFragmentation(FragmentationType value) {
        this.fragmentation = value;
    }

    /**
     * Gets the value of the attributeOrIncludeOrEncode property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attributeOrIncludeOrEncode property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttributeOrIncludeOrEncode().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EncodeType }
     * {@link IncludeType }
     * {@link Attribute }
     * 
     * 
     */
    public List<SourceElementType> getAttributeOrIncludeOrEncode() {
        if (attributeOrIncludeOrEncode == null) {
            attributeOrIncludeOrEncode = new ArrayList<SourceElementType>();
        }
        return this.attributeOrIncludeOrEncode;
    }

    /**
     * Gets the value of the ref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRef() {
        return ref;
    }

    /**
     * Sets the value of the ref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRef(String value) {
        this.ref = value;
    }

    /**
     * Gets the value of the depth property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getDepth() {
        if (depth == null) {
            return new BigInteger("0");
        } else {
            return depth;
        }
    }

    /**
     * Sets the value of the depth property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setDepth(BigInteger value) {
        this.depth = value;
    }

    /**
     * Gets the value of the height property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getHeight() {
        if (height == null) {
            return new BigInteger("0");
        } else {
            return height;
        }
    }

    /**
     * Sets the value of the height property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setHeight(BigInteger value) {
        this.height = value;
    }

    /**
     * Gets the value of the match property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMatch() {
        if (match == null) {
            return ".";
        } else {
            return match;
        }
    }

    /**
     * Sets the value of the match property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMatch(String value) {
        this.match = value;
    }

}
