
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for MultiplexerType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MultiplexerType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="Channel" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}ChannelType"/>
 *         &lt;element name="Multiplexer" type="{urn:mpeg:mpeg21:2007:01-BBL-NS}MultiplexerType"/>
 *       &lt;/choice>
 *       &lt;attribute ref="{urn:mpeg:mpeg21:2007:01-BBL-NS}handler"/>
 *       &lt;attribute name="mode" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NCName">
 *             &lt;enumeration value="packetCount"/>
 *             &lt;enumeration value="bandwidth"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="weight" type="{http://www.w3.org/2001/XMLSchema}int" default="1" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MultiplexerType", propOrder = {
    "channelOrMultiplexer"
})
public class MultiplexerType {

    @XmlElements({
        @XmlElement(name = "Channel", type = ChannelType.class),
        @XmlElement(name = "Multiplexer", type = MultiplexerType.class)
    })
    protected List<Object> channelOrMultiplexer;
    @XmlAttribute(name = "handler", namespace = "urn:mpeg:mpeg21:2007:01-BBL-NS")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object handler;
    @XmlAttribute(name = "mode", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String mode;
    @XmlAttribute(name = "weight")
    protected Integer weight;

    /**
     * Gets the value of the channelOrMultiplexer property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the channelOrMultiplexer property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChannelOrMultiplexer().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ChannelType }
     * {@link MultiplexerType }
     * 
     * 
     */
    public List<Object> getChannelOrMultiplexer() {
        if (channelOrMultiplexer == null) {
            channelOrMultiplexer = new ArrayList<Object>();
        }
        return this.channelOrMultiplexer;
    }

    /**
     * Gets the value of the handler property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getHandler() {
        return handler;
    }

    /**
     * Sets the value of the handler property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setHandler(Object value) {
        this.handler = value;
    }

    /**
     * Gets the value of the mode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMode() {
        return mode;
    }

    /**
     * Sets the value of the mode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMode(String value) {
        this.mode = value;
    }

    /**
     * Gets the value of the weight property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public int getWeight() {
        if (weight == null) {
            return  1;
        } else {
            return weight;
        }
    }

    /**
     * Sets the value of the weight property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWeight(Integer value) {
        this.weight = value;
    }

}
