
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.bbl;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the mpeg.mpeg21._2007._01_bbl_ns package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TimingTypeDurations_QNAME = new QName("urn:mpeg:mpeg21:2007:01-BBL-NS", "Durations");
    private final static QName _TimingTypeDeliveryTimes_QNAME = new QName("urn:mpeg:mpeg21:2007:01-BBL-NS", "DeliveryTimes");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: mpeg.mpeg21._2007._01_bbl_ns
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DurationType }
     * 
     */
    public DurationType createDurationType() {
        return new DurationType();
    }

    /**
     * Create an instance of {@link BBLDocType }
     * 
     */
    public BBLDocType createBBLDocType() {
        return new BBLDocType();
    }

    /**
     * Create an instance of {@link DefineType }
     * 
     */
    public DefineType createDefineType() {
        return new DefineType();
    }

    /**
     * Create an instance of {@link ValueOf }
     * 
     */
    public ValueOf createValueOf() {
        return new ValueOf();
    }

    /**
     * Create an instance of {@link BSDType }
     * 
     */
    public BSDType createBSDType() {
        return new BSDType();
    }

    /**
     * Create an instance of {@link TimingType }
     * 
     */
    public TimingType createTimingType() {
        return new TimingType();
    }

    /**
     * Create an instance of {@link ConstraintType }
     * 
     */
    public ConstraintType createConstraintType() {
        return new ConstraintType();
    }

    /**
     * Create an instance of {@link PacketStreamType }
     * 
     */
    public PacketStreamType createPacketStreamType() {
        return new PacketStreamType();
    }

    /**
     * Create an instance of {@link IdentifiableElementType }
     * 
     */
    public IdentifiableElementType createIdentifiableElementType() {
        return new IdentifiableElementType();
    }

    /**
     * Create an instance of {@link VariablesType }
     * 
     */
    public VariablesType createVariablesType() {
        return new VariablesType();
    }

    /**
     * Create an instance of {@link ChannelType }
     * 
     */
    public ChannelType createChannelType() {
        return new ChannelType();
    }

    /**
     * Create an instance of {@link CountType }
     * 
     */
    public CountType createCountType() {
        return new CountType();
    }

    /**
     * Create an instance of {@link AbstractContentType }
     * 
     */
    public AbstractContentType createAbstractContentType() {
        return new AbstractContentType();
    }

    /**
     * Create an instance of {@link BindType }
     * 
     */
    public BindType createBindType() {
        return new BindType();
    }

    /**
     * Create an instance of {@link HandlerType }
     * 
     */
    public HandlerType createHandlerType() {
        return new HandlerType();
    }

    /**
     * Create an instance of {@link BBL }
     * 
     */
    public BBL createBBL() {
        return new BBL();
    }

    /**
     * Create an instance of {@link Attribute }
     * 
     */
    public Attribute createAttribute() {
        return new Attribute();
    }

    /**
     * Create an instance of {@link EncoderType }
     * 
     */
    public EncoderType createEncoderType() {
        return new EncoderType();
    }

    /**
     * Create an instance of {@link AbstractVarType }
     * 
     */
    public AbstractVarType createAbstractVarType() {
        return new AbstractVarType();
    }

    /**
     * Create an instance of {@link BindingType }
     * 
     */
    public BindingType createBindingType() {
        return new BindingType();
    }

    /**
     * Create an instance of {@link IncludeType }
     * 
     */
    public IncludeType createIncludeType() {
        return new IncludeType();
    }

    /**
     * Create an instance of {@link TimingElementType }
     * 
     */
    public TimingElementType createTimingElementType() {
        return new TimingElementType();
    }

    /**
     * Create an instance of {@link EncodeType }
     * 
     */
    public EncodeType createEncodeType() {
        return new EncodeType();
    }

    /**
     * Create an instance of {@link SizeType }
     * 
     */
    public SizeType createSizeType() {
        return new SizeType();
    }

    /**
     * Create an instance of {@link RegisterType }
     * 
     */
    public RegisterType createRegisterType() {
        return new RegisterType();
    }

    /**
     * Create an instance of {@link ParametricElementType }
     * 
     */
    public ParametricElementType createParametricElementType() {
        return new ParametricElementType();
    }

    /**
     * Create an instance of {@link PacketType }
     * 
     */
    public PacketType createPacketType() {
        return new PacketType();
    }

    /**
     * Create an instance of {@link MultiplexerType }
     * 
     */
    public MultiplexerType createMultiplexerType() {
        return new MultiplexerType();
    }

    /**
     * Create an instance of {@link FragmentationType }
     * 
     */
    public FragmentationType createFragmentationType() {
        return new FragmentationType();
    }

    /**
     * Create an instance of {@link DeclarationsType }
     * 
     */
    public DeclarationsType createDeclarationsType() {
        return new DeclarationsType();
    }

    /**
     * Create an instance of {@link InstanceType }
     * 
     */
    public InstanceType createInstanceType() {
        return new InstanceType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimingElementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2007:01-BBL-NS", name = "Durations", scope = TimingType.class)
    public JAXBElement<TimingElementType> createTimingTypeDurations(TimingElementType value) {
        return new JAXBElement<TimingElementType>(_TimingTypeDurations_QNAME, TimingElementType.class, TimingType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimingElementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2007:01-BBL-NS", name = "DeliveryTimes", scope = TimingType.class)
    public JAXBElement<TimingElementType> createTimingTypeDeliveryTimes(TimingElementType value) {
        return new JAXBElement<TimingElementType>(_TimingTypeDeliveryTimes_QNAME, TimingElementType.class, TimingType.class, value);
    }

}
