
package org.iso.mpeg.mxm.engine.protocol.packagecontentPE.schema.packagecontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for PackageContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PackageContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="PackageContentSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}PackageContentSuccessType"/>
 *         &lt;element name="PackageContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PackageContentResponseType", propOrder = {
    "packageContentSuccess",
    "packageContentFailure"
})
public class PackageContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "PackageContentSuccess")
    protected PackageContentSuccessType packageContentSuccess;
    @XmlElement(name = "PackageContentFailure")
    protected ProtocolFailureType packageContentFailure;

    /**
     * Gets the value of the packageContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link PackageContentSuccessType }
     *     
     */
    public PackageContentSuccessType getPackageContentSuccess() {
        return packageContentSuccess;
    }

    /**
     * Sets the value of the packageContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link PackageContentSuccessType }
     *     
     */
    public void setPackageContentSuccess(PackageContentSuccessType value) {
        this.packageContentSuccess = value;
    }

    /**
     * Gets the value of the packageContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getPackageContentFailure() {
        return packageContentFailure;
    }

    /**
     * Sets the value of the packageContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setPackageContentFailure(ProtocolFailureType value) {
        this.packageContentFailure = value;
    }

}
