
package org.iso.mpeg.mxm.engine.protocol.requesteventPE.schema.requesteventprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ContentEntityType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolRequestType;
import org.iso.mpeg.mxm.engine.eventreportTE.schema.er.ERRType;


/**
 * <p>Java class for RequestEventRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestEventRequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolRequestType">
 *       &lt;choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-ERL-NS}ERR"/>
 *         &lt;element name="ContentEntity" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ContentEntityType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestEventRequestType", propOrder = {
    "err",
    "contentEntity"
})
public class RequestEventRequestType
    extends ProtocolRequestType
{

    @XmlElement(name = "ERR", namespace = "urn:mpeg:mpeg21:2005:01-ERL-NS")
    protected ERRType err;
    @XmlElement(name = "ContentEntity")
    protected ContentEntityType contentEntity;

    /**
     * Gets the value of the err property.
     * 
     * @return
     *     possible object is
     *     {@link ERRType }
     *     
     */
    public ERRType getERR() {
        return err;
    }

    /**
     * Sets the value of the err property.
     * 
     * @param value
     *     allowed object is
     *     {@link ERRType }
     *     
     */
    public void setERR(ERRType value) {
        this.err = value;
    }

    /**
     * Gets the value of the contentEntity property.
     * 
     * @return
     *     possible object is
     *     {@link ContentEntityType }
     *     
     */
    public ContentEntityType getContentEntity() {
        return contentEntity;
    }

    /**
     * Sets the value of the contentEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentEntityType }
     *     
     */
    public void setContentEntity(ContentEntityType value) {
        this.contentEntity = value;
    }

}
