
package org.iso.mpeg.mxm.engine.protocol.revokecontentPE.schema.revokecontentprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for UnpublishContentResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UnpublishContentResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="UnpublishContentSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}UnpublishContentSuccessType"/>
 *         &lt;element name="UnpublishContentFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UnpublishContentResponseType", propOrder = {
    "unpublishContentSuccess",
    "unpublishContentFailure"
})
public class RevokeContentResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "UnpublishContentSuccess")
    protected RevokeContentSuccessType unpublishContentSuccess;
    @XmlElement(name = "UnpublishContentFailure")
    protected ProtocolFailureType unpublishContentFailure;

    /**
     * Gets the value of the unpublishContentSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link RevokeContentSuccessType }
     *     
     */
    public RevokeContentSuccessType getUnpublishContentSuccess() {
        return unpublishContentSuccess;
    }

    /**
     * Sets the value of the packageContentSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link RevokeContentSuccessType }
     *     
     */
    public void setUnpublishContentSuccess(RevokeContentSuccessType value) {
        this.unpublishContentSuccess = value;
    }

    /**
     * Gets the value of the packageContentFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getUnpublishContentFailure() {
        return unpublishContentFailure;
    }

    /**
     * Sets the value of the packageContentFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setUnpublishContentFailure(ProtocolFailureType value) {
        this.unpublishContentFailure = value;
    }

}
