
package org.iso.mpeg.mxm.engine.protocol.storelicensePE.schema.storelicenseprotocol;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolFailureType;
import org.iso.mpeg.mxm.baseprotocol.schema.ProtocolResponseType;


/**
 * <p>Java class for StoreLicenseResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StoreLicenseResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolResponseType">
 *       &lt;choice>
 *         &lt;element name="StoreLicenseSuccess" type="{urn:mpeg:mpegM:schema:02-service-NS:2012}StoreLicenseSuccessType"/>
 *         &lt;element name="StoreLicenseFailure" type="{urn:mpeg:mpegM:schema:01-base-NS:2012}ProtocolFailureType"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StoreLicenseResponseType", propOrder = {
    "storeLicenseSuccess",
    "storeLicenseFailure"
})
public class StoreLicenseResponseType
    extends ProtocolResponseType
{

    @XmlElement(name = "StoreLicenseSuccess")
    protected StoreLicenseSuccessType storeLicenseSuccess;
    @XmlElement(name = "StoreLicenseFailure")
    protected ProtocolFailureType storeLicenseFailure;

    /**
     * Gets the value of the storeLicenseSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link StoreLicenseSuccessType }
     *     
     */
    public StoreLicenseSuccessType getStoreLicenseSuccess() {
        return storeLicenseSuccess;
    }

    /**
     * Sets the value of the storeLicenseSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link StoreLicenseSuccessType }
     *     
     */
    public void setStoreLicenseSuccess(StoreLicenseSuccessType value) {
        this.storeLicenseSuccess = value;
    }

    /**
     * Gets the value of the storeLicenseFailure property.
     * 
     * @return
     *     possible object is
     *     {@link ProtocolFailureType }
     *     
     */
    public ProtocolFailureType getStoreLicenseFailure() {
        return storeLicenseFailure;
    }

    /**
     * Sets the value of the storeLicenseFailure property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProtocolFailureType }
     *     
     */
    public void setStoreLicenseFailure(ProtocolFailureType value) {
        this.storeLicenseFailure = value;
    }

}
