
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;


/**
 * <p>Java class for DerivationConstraint complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DerivationConstraint">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence>
 *         &lt;element name="isPartOf" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded">
 *                   &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="resourceInclusionList" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded">
 *                   &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="temporalRelation" type="{http://www.w3.org/2001/XMLSchema}QName" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="resourceExclusionList" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded">
 *                   &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="temporalRelation" type="{http://www.w3.org/2001/XMLSchema}QName" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="resourceReplacementList" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded">
 *                   &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DerivationConstraint", propOrder = {
    "isPartOf",
    "resourceInclusionList",
    "resourceExclusionList",
    "resourceReplacementList"
})
public class DerivationConstraint
    extends Condition
{

    protected List<DerivationConstraint.IsPartOf> isPartOf;
    protected List<DerivationConstraint.ResourceInclusionList> resourceInclusionList;
    protected List<DerivationConstraint.ResourceExclusionList> resourceExclusionList;
    protected DerivationConstraint.ResourceReplacementList resourceReplacementList;

    /**
     * Gets the value of the isPartOf property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the isPartOf property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIsPartOf().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DerivationConstraint.IsPartOf }
     * 
     * 
     */
    public List<DerivationConstraint.IsPartOf> getIsPartOf() {
        if (isPartOf == null) {
            isPartOf = new ArrayList<DerivationConstraint.IsPartOf>();
        }
        return this.isPartOf;
    }

    /**
     * Gets the value of the resourceInclusionList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resourceInclusionList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResourceInclusionList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DerivationConstraint.ResourceInclusionList }
     * 
     * 
     */
    public List<DerivationConstraint.ResourceInclusionList> getResourceInclusionList() {
        if (resourceInclusionList == null) {
            resourceInclusionList = new ArrayList<DerivationConstraint.ResourceInclusionList>();
        }
        return this.resourceInclusionList;
    }

    /**
     * Gets the value of the resourceExclusionList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resourceExclusionList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResourceExclusionList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DerivationConstraint.ResourceExclusionList }
     * 
     * 
     */
    public List<DerivationConstraint.ResourceExclusionList> getResourceExclusionList() {
        if (resourceExclusionList == null) {
            resourceExclusionList = new ArrayList<DerivationConstraint.ResourceExclusionList>();
        }
        return this.resourceExclusionList;
    }

    /**
     * Gets the value of the resourceReplacementList property.
     * 
     * @return
     *     possible object is
     *     {@link DerivationConstraint.ResourceReplacementList }
     *     
     */
    public DerivationConstraint.ResourceReplacementList getResourceReplacementList() {
        return resourceReplacementList;
    }

    /**
     * Sets the value of the resourceReplacementList property.
     * 
     * @param value
     *     allowed object is
     *     {@link DerivationConstraint.ResourceReplacementList }
     *     
     */
    public void setResourceReplacementList(DerivationConstraint.ResourceReplacementList value) {
        this.resourceReplacementList = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "protectedResource"
    })
    public static class IsPartOf {

        @XmlElement(required = true)
        protected List<ProtectedResource> protectedResource;

        /**
         * Gets the value of the protectedResource property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the protectedResource property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getProtectedResource().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProtectedResource }
         * 
         * 
         */
        public List<ProtectedResource> getProtectedResource() {
            if (protectedResource == null) {
                protectedResource = new ArrayList<ProtectedResource>();
            }
            return this.protectedResource;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
     *       &lt;/sequence>
     *       &lt;attribute name="temporalRelation" type="{http://www.w3.org/2001/XMLSchema}QName" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "protectedResource"
    })
    public static class ResourceExclusionList {

        @XmlElement(required = true)
        protected List<ProtectedResource> protectedResource;
        @XmlAttribute(name = "temporalRelation")
        protected QName temporalRelation;

        /**
         * Gets the value of the protectedResource property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the protectedResource property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getProtectedResource().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProtectedResource }
         * 
         * 
         */
        public List<ProtectedResource> getProtectedResource() {
            if (protectedResource == null) {
                protectedResource = new ArrayList<ProtectedResource>();
            }
            return this.protectedResource;
        }

        /**
         * Gets the value of the temporalRelation property.
         * 
         * @return
         *     possible object is
         *     {@link QName }
         *     
         */
        public QName getTemporalRelation() {
            return temporalRelation;
        }

        /**
         * Sets the value of the temporalRelation property.
         * 
         * @param value
         *     allowed object is
         *     {@link QName }
         *     
         */
        public void setTemporalRelation(QName value) {
            this.temporalRelation = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
     *       &lt;/sequence>
     *       &lt;attribute name="temporalRelation" type="{http://www.w3.org/2001/XMLSchema}QName" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "protectedResource"
    })
    public static class ResourceInclusionList {

        @XmlElement(required = true)
        protected List<ProtectedResource> protectedResource;
        @XmlAttribute(name = "temporalRelation")
        protected QName temporalRelation;

        /**
         * Gets the value of the protectedResource property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the protectedResource property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getProtectedResource().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProtectedResource }
         * 
         * 
         */
        public List<ProtectedResource> getProtectedResource() {
            if (protectedResource == null) {
                protectedResource = new ArrayList<ProtectedResource>();
            }
            return this.protectedResource;
        }

        /**
         * Gets the value of the temporalRelation property.
         * 
         * @return
         *     possible object is
         *     {@link QName }
         *     
         */
        public QName getTemporalRelation() {
            return temporalRelation;
        }

        /**
         * Sets the value of the temporalRelation property.
         * 
         * @param value
         *     allowed object is
         *     {@link QName }
         *     
         */
        public void setTemporalRelation(QName value) {
            this.temporalRelation = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;element ref="{urn:mpeg:mpeg21:2005:01-REL-M1X-NS}protectedResource"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "protectedResource"
    })
    public static class ResourceReplacementList {

        @XmlElement(required = true)
        protected List<ProtectedResource> protectedResource;

        /**
         * Gets the value of the protectedResource property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the protectedResource property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getProtectedResource().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProtectedResource }
         * 
         * 
         */
        public List<ProtectedResource> getProtectedResource() {
            if (protectedResource == null) {
                protectedResource = new ArrayList<ProtectedResource>();
            }
            return this.protectedResource;
        }

    }

}
