
package org.iso.mpeg.mxm.engine.relTE.schema.relm1x;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.namespace.QName;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;


/**
 * <p>Java class for OutputRegulation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OutputRegulation">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence maxOccurs="unbounded" minOccurs="0">
 *         &lt;element name="regulation">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="typeOfSignal" type="{http://www.w3.org/2001/XMLSchema}QName" />
 *                 &lt;attribute name="qualityOfSignal" type="{http://www.w3.org/2001/XMLSchema}QName" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OutputRegulation", propOrder = {
    "regulation"
})
public class OutputRegulation
    extends Condition
{

    protected List<OutputRegulation.Regulation> regulation;

    /**
     * Gets the value of the regulation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the regulation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegulation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OutputRegulation.Regulation }
     * 
     * 
     */
    public List<OutputRegulation.Regulation> getRegulation() {
        if (regulation == null) {
            regulation = new ArrayList<OutputRegulation.Regulation>();
        }
        return this.regulation;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="typeOfSignal" type="{http://www.w3.org/2001/XMLSchema}QName" />
     *       &lt;attribute name="qualityOfSignal" type="{http://www.w3.org/2001/XMLSchema}QName" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class Regulation {

        @XmlValue
        protected String content;
        @XmlAttribute(name = "typeOfSignal")
        protected QName typeOfSignal;
        @XmlAttribute(name = "qualityOfSignal")
        protected QName qualityOfSignal;

        /**
         * Gets the value of the content property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getContent() {
            return content;
        }

        /**
         * Sets the value of the content property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setContent(String value) {
            this.content = value;
        }

        /**
         * Gets the value of the typeOfSignal property.
         * 
         * @return
         *     possible object is
         *     {@link QName }
         *     
         */
        public QName getTypeOfSignal() {
            return typeOfSignal;
        }

        /**
         * Sets the value of the typeOfSignal property.
         * 
         * @param value
         *     allowed object is
         *     {@link QName }
         *     
         */
        public void setTypeOfSignal(QName value) {
            this.typeOfSignal = value;
        }

        /**
         * Gets the value of the qualityOfSignal property.
         * 
         * @return
         *     possible object is
         *     {@link QName }
         *     
         */
        public QName getQualityOfSignal() {
            return qualityOfSignal;
        }

        /**
         * Sets the value of the qualityOfSignal property.
         * 
         * @param value
         *     allowed object is
         *     {@link QName }
         *     
         */
        public void setQualityOfSignal(QName value) {
            this.qualityOfSignal = value;
        }

    }

}
