
package org.iso.mpeg.mxm.engine.relTE.schema.relm2x;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.relTE.schema.relm2x package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _NoSkipConstraint_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "noSkipConstraint");
    private final static QName _Proximity_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "proximity");
    private final static QName _ExtendRights_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "extendRights");
    private final static QName _TimeShiftDuration_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "timeShiftDuration");
    private final static QName _Export_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "export");
    private final static QName _DestinationCondition_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "destinationCondition");
    private final static QName _SimultaneousAccess_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "simultaneousAccess");
    private final static QName _Scrambling_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "scrambling");
    private final static QName _TimedExerciseLimit_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "timedExerciseLimit");
    private final static QName _SecuritySystem_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "securitySystem");
    private final static QName _DestinationPrincipal_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M2X-NS", "destinationPrincipal");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.relTE.schema.relm2x
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DestinationCondition }
     * 
     */
    public DestinationCondition createDestinationCondition() {
        return new DestinationCondition();
    }

    /**
     * Create an instance of {@link ExtendRights }
     * 
     */
    public ExtendRights createExtendRights() {
        return new ExtendRights();
    }

    /**
     * Create an instance of {@link Proximity }
     * 
     */
    public Proximity createProximity() {
        return new Proximity();
    }

    /**
     * Create an instance of {@link NoSkipConstraint }
     * 
     */
    public NoSkipConstraint createNoSkipConstraint() {
        return new NoSkipConstraint();
    }

    /**
     * Create an instance of {@link DestinationPrincipal }
     * 
     */
    public DestinationPrincipal createDestinationPrincipal() {
        return new DestinationPrincipal();
    }

    /**
     * Create an instance of {@link Export }
     * 
     */
    public Export createExport() {
        return new Export();
    }

    /**
     * Create an instance of {@link RelTimeDuration }
     * 
     */
    public RelTimeDuration createRelTimeDuration() {
        return new RelTimeDuration();
    }

    /**
     * Create an instance of {@link SimultaneousAccess }
     * 
     */
    public SimultaneousAccess createSimultaneousAccess() {
        return new SimultaneousAccess();
    }

    /**
     * Create an instance of {@link TimeShiftDuration }
     * 
     */
    public TimeShiftDuration createTimeShiftDuration() {
        return new TimeShiftDuration();
    }

    /**
     * Create an instance of {@link SecuritySystem }
     * 
     */
    public SecuritySystem createSecuritySystem() {
        return new SecuritySystem();
    }

    /**
     * Create an instance of {@link TimedExerciseLimit }
     * 
     */
    public TimedExerciseLimit createTimedExerciseLimit() {
        return new TimedExerciseLimit();
    }

    /**
     * Create an instance of {@link SimultaneousAccess.IsPartOf }
     * 
     */
    public SimultaneousAccess.IsPartOf createSimultaneousAccessIsPartOf() {
        return new SimultaneousAccess.IsPartOf();
    }

    /**
     * Create an instance of {@link Scrambling }
     * 
     */
    public Scrambling createScrambling() {
        return new Scrambling();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "noSkipConstraint", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<NoSkipConstraint> createNoSkipConstraint(NoSkipConstraint value) {
        return new JAXBElement<NoSkipConstraint>(_NoSkipConstraint_QNAME, NoSkipConstraint.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Proximity }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "proximity", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<Proximity> createProximity(Proximity value) {
        return new JAXBElement<Proximity>(_Proximity_QNAME, Proximity.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "extendRights", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<ExtendRights> createExtendRights(ExtendRights value) {
        return new JAXBElement<ExtendRights>(_ExtendRights_QNAME, ExtendRights.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "timeShiftDuration", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<TimeShiftDuration> createTimeShiftDuration(TimeShiftDuration value) {
        return new JAXBElement<TimeShiftDuration>(_TimeShiftDuration_QNAME, TimeShiftDuration.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Export }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "export", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Export> createExport(Export value) {
        return new JAXBElement<Export>(_Export_QNAME, Export.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "destinationCondition", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DestinationCondition> createDestinationCondition(DestinationCondition value) {
        return new JAXBElement<DestinationCondition>(_DestinationCondition_QNAME, DestinationCondition.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "simultaneousAccess", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<SimultaneousAccess> createSimultaneousAccess(SimultaneousAccess value) {
        return new JAXBElement<SimultaneousAccess>(_SimultaneousAccess_QNAME, SimultaneousAccess.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Scrambling }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "scrambling", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<Scrambling> createScrambling(Scrambling value) {
        return new JAXBElement<Scrambling>(_Scrambling_QNAME, Scrambling.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "timedExerciseLimit", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<TimedExerciseLimit> createTimedExerciseLimit(TimedExerciseLimit value) {
        return new JAXBElement<TimedExerciseLimit>(_TimedExerciseLimit_QNAME, TimedExerciseLimit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "securitySystem", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<SecuritySystem> createSecuritySystem(SecuritySystem value) {
        return new JAXBElement<SecuritySystem>(_SecuritySystem_QNAME, SecuritySystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M2X-NS", name = "destinationPrincipal", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DestinationPrincipal> createDestinationPrincipal(DestinationPrincipal value) {
        return new JAXBElement<DestinationPrincipal>(_DestinationPrincipal_QNAME, DestinationPrincipal.class, null, value);
    }

}
