
package org.iso.mpeg.mxm.engine.relTE.schema.relm2x;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;


/**
 * <p>Java class for TimedExerciseLimit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TimedExerciseLimit">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;choice>
 *           &lt;element name="duration" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
 *           &lt;element name="quantum" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
 *         &lt;/choice>
 *         &lt;element name="count" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TimedExerciseLimit", propOrder = {
    "duration",
    "quantum",
    "count"
})
public class TimedExerciseLimit
    extends Condition
{

    protected Duration duration;
    protected Duration quantum;
    protected BigInteger count;

    /**
     * Gets the value of the duration property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getDuration() {
        return duration;
    }

    /**
     * Sets the value of the duration property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setDuration(Duration value) {
        this.duration = value;
    }

    /**
     * Gets the value of the quantum property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getQuantum() {
        return quantum;
    }

    /**
     * Sets the value of the quantum property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setQuantum(Duration value) {
        this.quantum = value;
    }

    /**
     * Gets the value of the count property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCount() {
        return count;
    }

    /**
     * Sets the value of the count property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCount(BigInteger value) {
        this.count = value;
    }

}
