
package org.iso.mpeg.mxm.engine.relTE.schema.relm3x;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.relTE.schema.relm3x package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CopyrightNotice_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "copyrightNotice");
    private final static QName _SourceCode_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "sourceCode");
    private final static QName _GovernedAdapt_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "governedAdapt");
    private final static QName _Aggregate_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "aggregate");
    private final static QName _Embed_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "embed");
    private final static QName _GovernedAggregate_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "governedAggregate");
    private final static QName _NonCommercialUse_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "nonCommercialUse");
    private final static QName _GovernedEmbed_QNAME = new QName("urn:mpeg:mpeg21:2006:01-REL-M3X-NS", "governedEmbed");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.relTE.schema.relm3x
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link NonCommercialUse }
     * 
     */
    public NonCommercialUse createNonCommercialUse() {
        return new NonCommercialUse();
    }

    /**
     * Create an instance of {@link CopyrightNotice }
     * 
     */
    public CopyrightNotice createCopyrightNotice() {
        return new CopyrightNotice();
    }

    /**
     * Create an instance of {@link GovernedAdapt }
     * 
     */
    public GovernedAdapt createGovernedAdapt() {
        return new GovernedAdapt();
    }

    /**
     * Create an instance of {@link GovernedEmbed }
     * 
     */
    public GovernedEmbed createGovernedEmbed() {
        return new GovernedEmbed();
    }

    /**
     * Create an instance of {@link GovernedAggregate }
     * 
     */
    public GovernedAggregate createGovernedAggregate() {
        return new GovernedAggregate();
    }

    /**
     * Create an instance of {@link Aggregate }
     * 
     */
    public Aggregate createAggregate() {
        return new Aggregate();
    }

    /**
     * Create an instance of {@link Embed }
     * 
     */
    public Embed createEmbed() {
        return new Embed();
    }

    /**
     * Create an instance of {@link SourceCode }
     * 
     */
    public SourceCode createSourceCode() {
        return new SourceCode();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "copyrightNotice", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<CopyrightNotice> createCopyrightNotice(CopyrightNotice value) {
        return new JAXBElement<CopyrightNotice>(_CopyrightNotice_QNAME, CopyrightNotice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SourceCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "sourceCode", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<SourceCode> createSourceCode(SourceCode value) {
        return new JAXBElement<SourceCode>(_SourceCode_QNAME, SourceCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "governedAdapt", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<GovernedAdapt> createGovernedAdapt(GovernedAdapt value) {
        return new JAXBElement<GovernedAdapt>(_GovernedAdapt_QNAME, GovernedAdapt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Aggregate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "aggregate", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Aggregate> createAggregate(Aggregate value) {
        return new JAXBElement<Aggregate>(_Aggregate_QNAME, Aggregate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Embed }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "embed", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Embed> createEmbed(Embed value) {
        return new JAXBElement<Embed>(_Embed_QNAME, Embed.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "governedAggregate", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<GovernedAggregate> createGovernedAggregate(GovernedAggregate value) {
        return new JAXBElement<GovernedAggregate>(_GovernedAggregate_QNAME, GovernedAggregate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "nonCommercialUse", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<NonCommercialUse> createNonCommercialUse(NonCommercialUse value) {
        return new JAXBElement<NonCommercialUse>(_NonCommercialUse_QNAME, NonCommercialUse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2006:01-REL-M3X-NS", name = "governedEmbed", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<GovernedEmbed> createGovernedEmbed(GovernedEmbed value) {
        return new JAXBElement<GovernedEmbed>(_GovernedEmbed_QNAME, GovernedEmbed.class, null, value);
    }

}
