
package org.iso.mpeg.mxm.engine.relTE.schema.relmx;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AnXmlExpression;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.AnXmlPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ConditionPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.GrantGroupPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.GrantPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PatternFromLicensePart;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PrincipalPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ResourcePatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.RightPatternAbstract;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.LicenseIdPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateReferenceValuePattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalDurationPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for DiCriteria complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DiCriteria">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-MX-NS}diReference"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}anXmlPatternAbstract" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DiCriteria", propOrder = {
    "diReference",
    "anXmlPatternAbstract"
})
public class DiCriteria
    extends Condition
{

    protected DiReference diReference;
    @XmlElementRef(name = "anXmlPatternAbstract", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends AnXmlPatternAbstract>> anXmlPatternAbstract;

    /**
     * Gets the value of the diReference property.
     * 
     * @return
     *     possible object is
     *     {@link DiReference }
     *     
     */
    public DiReference getDiReference() {
        return diReference;
    }

    /**
     * Sets the value of the diReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link DiReference }
     *     
     */
    public void setDiReference(DiReference value) {
        this.diReference = value;
    }

    /**
     * Gets the value of the anXmlPatternAbstract property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anXmlPatternAbstract property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnXmlPatternAbstract().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     * {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     * {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends AnXmlPatternAbstract>> getAnXmlPatternAbstract() {
        if (anXmlPatternAbstract == null) {
            anXmlPatternAbstract = new ArrayList<JAXBElement<? extends AnXmlPatternAbstract>>();
        }
        return this.anXmlPatternAbstract;
    }

}
