
package org.iso.mpeg.mxm.engine.relTE.schema.relmx;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.relTE.schema.relmx package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Derive_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "derive");
    private final static QName _ProhibitedAttributeChanges_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "prohibitedAttributeChanges");
    private final static QName _Intersection_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "intersection");
    private final static QName _DiPartOf_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "diPartOf");
    private final static QName _Complement_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "complement");
    private final static QName _Union_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "union");
    private final static QName _Execute_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "execute");
    private final static QName _Adapt_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "adapt");
    private final static QName _Set_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "set");
    private final static QName _DiCriteria_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "diCriteria");
    private final static QName _Play_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "play");
    private final static QName _Print_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "print");
    private final static QName _DiReference_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-MX-NS", "diReference");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.relTE.schema.relmx
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Print }
     * 
     */
    public Print createPrint() {
        return new Print();
    }

    /**
     * Create an instance of {@link Modify }
     * 
     */
    public Modify createModify() {
        return new Modify();
    }

    /**
     * Create an instance of {@link DiPartOf }
     * 
     */
    public DiPartOf createDiPartOf() {
        return new DiPartOf();
    }

    /**
     * Create an instance of {@link Derive }
     * 
     */
    public Derive createDerive() {
        return new Derive();
    }

    /**
     * Create an instance of {@link DiCriteria }
     * 
     */
    public DiCriteria createDiCriteria() {
        return new DiCriteria();
    }

    /**
     * Create an instance of {@link ProhibitedAttributeChanges }
     * 
     */
    public ProhibitedAttributeChanges createProhibitedAttributeChanges() {
        return new ProhibitedAttributeChanges();
    }

    /**
     * Create an instance of {@link Play }
     * 
     */
    public Play createPlay() {
        return new Play();
    }

    /**
     * Create an instance of {@link Intersection }
     * 
     */
    public Intersection createIntersection() {
        return new Intersection();
    }

    /**
     * Create an instance of {@link Union }
     * 
     */
    public Union createUnion() {
        return new Union();
    }

    /**
     * Create an instance of {@link Complement }
     * 
     */
    public Complement createComplement() {
        return new Complement();
    }

    /**
     * Create an instance of {@link Enhance }
     * 
     */
    public Enhance createEnhance() {
        return new Enhance();
    }

    /**
     * Create an instance of {@link Adapt }
     * 
     */
    public Adapt createAdapt() {
        return new Adapt();
    }

    /**
     * Create an instance of {@link Diminish }
     * 
     */
    public Diminish createDiminish() {
        return new Diminish();
    }

    /**
     * Create an instance of {@link Set }
     * 
     */
    public Set createSet() {
        return new Set();
    }

    /**
     * Create an instance of {@link Execute }
     * 
     */
    public Execute createExecute() {
        return new Execute();
    }

    /**
     * Create an instance of {@link DiReference }
     * 
     */
    public DiReference createDiReference() {
        return new DiReference();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Derive }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "derive", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Derive> createDerive(Derive value) {
        return new JAXBElement<Derive>(_Derive_QNAME, Derive.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "prohibitedAttributeChanges", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ProhibitedAttributeChanges> createProhibitedAttributeChanges(ProhibitedAttributeChanges value) {
        return new JAXBElement<ProhibitedAttributeChanges>(_ProhibitedAttributeChanges_QNAME, ProhibitedAttributeChanges.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Intersection }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "intersection", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<Intersection> createIntersection(Intersection value) {
        return new JAXBElement<Intersection>(_Intersection_QNAME, Intersection.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "diPartOf", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DiPartOf> createDiPartOf(DiPartOf value) {
        return new JAXBElement<DiPartOf>(_DiPartOf_QNAME, DiPartOf.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Complement }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "complement", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<Complement> createComplement(Complement value) {
        return new JAXBElement<Complement>(_Complement_QNAME, Complement.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Union }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "union", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<Union> createUnion(Union value) {
        return new JAXBElement<Union>(_Union_QNAME, Union.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Execute }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "execute", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Execute> createExecute(Execute value) {
        return new JAXBElement<Execute>(_Execute_QNAME, Execute.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Adapt }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "adapt", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Adapt> createAdapt(Adapt value) {
        return new JAXBElement<Adapt>(_Adapt_QNAME, Adapt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Set }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "set", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<Set> createSet(Set value) {
        return new JAXBElement<Set>(_Set_QNAME, Set.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "diCriteria", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<DiCriteria> createDiCriteria(DiCriteria value) {
        return new JAXBElement<DiCriteria>(_DiCriteria_QNAME, DiCriteria.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Play }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "play", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Play> createPlay(Play value) {
        return new JAXBElement<Play>(_Play_QNAME, Play.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Print }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "print", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<Print> createPrint(Print value) {
        return new JAXBElement<Print>(_Print_QNAME, Print.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DiReference }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-MX-NS", name = "diReference", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "resource")
    public JAXBElement<DiReference> createDiReference(DiReference value) {
        return new JAXBElement<DiReference>(_DiReference_QNAME, DiReference.class, null, value);
    }

}
