
package org.iso.mpeg.mxm.engine.relTE.schema.relmx;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.LicensePart;


/**
 * <p>Java class for ProhibitedAttributeChanges complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProhibitedAttributeChanges">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;choice maxOccurs="unbounded" minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-MX-NS}complement"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-MX-NS}intersection"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-MX-NS}set"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-MX-NS}union"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProhibitedAttributeChanges", propOrder = {
    "complementOrIntersectionOrSet"
})
public class ProhibitedAttributeChanges
    extends Condition
{

    @XmlElements({
        @XmlElement(name = "union", type = Union.class),
        @XmlElement(name = "set", type = Set.class),
        @XmlElement(name = "intersection", type = Intersection.class),
        @XmlElement(name = "complement", type = Complement.class)
    })
    protected List<LicensePart> complementOrIntersectionOrSet;

    /**
     * Gets the value of the complementOrIntersectionOrSet property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the complementOrIntersectionOrSet property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getComplementOrIntersectionOrSet().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Union }
     * {@link Set }
     * {@link Intersection }
     * {@link Complement }
     * 
     * 
     */
    public List<LicensePart> getComplementOrIntersectionOrSet() {
        if (complementOrIntersectionOrSet == null) {
            complementOrIntersectionOrSet = new ArrayList<LicensePart>();
        }
        return this.complementOrIntersectionOrSet;
    }

}
