
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.ReferenceType;
import org.w3c.dom.Element;


/**
 * <p>Java class for DigitalResource complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DigitalResource">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource">
 *       &lt;choice minOccurs="0">
 *         &lt;element name="nonSecureIndirect" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}NonSecureReference"/>
 *         &lt;element name="secureIndirect" type="{http://www.w3.org/2000/09/xmldsig#}ReferenceType"/>
 *         &lt;element name="binary" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element name="anXml">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;any processContents='lax' namespace='##other'/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DigitalResource", propOrder = {
    "nonSecureIndirect",
    "secureIndirect",
    "binary",
    "anXml",
    "any"
})
public class DigitalResource
    extends Resource
{

    protected NonSecureReference nonSecureIndirect;
    protected ReferenceType secureIndirect;
    protected byte[] binary;
    protected DigitalResource.AnXml anXml;
    @XmlAnyElement(lax = true)
    protected Object any;

    /**
     * Gets the value of the nonSecureIndirect property.
     * 
     * @return
     *     possible object is
     *     {@link NonSecureReference }
     *     
     */
    public NonSecureReference getNonSecureIndirect() {
        return nonSecureIndirect;
    }

    /**
     * Sets the value of the nonSecureIndirect property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonSecureReference }
     *     
     */
    public void setNonSecureIndirect(NonSecureReference value) {
        this.nonSecureIndirect = value;
    }

    /**
     * Gets the value of the secureIndirect property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getSecureIndirect() {
        return secureIndirect;
    }

    /**
     * Sets the value of the secureIndirect property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setSecureIndirect(ReferenceType value) {
        this.secureIndirect = value;
    }

    /**
     * Gets the value of the binary property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getBinary() {
        return binary;
    }

    /**
     * Sets the value of the binary property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setBinary(byte[] value) {
        this.binary = ((byte[]) value);
    }

    /**
     * Gets the value of the anXml property.
     * 
     * @return
     *     possible object is
     *     {@link DigitalResource.AnXml }
     *     
     */
    public DigitalResource.AnXml getAnXml() {
        return anXml;
    }

    /**
     * Sets the value of the anXml property.
     * 
     * @param value
     *     allowed object is
     *     {@link DigitalResource.AnXml }
     *     
     */
    public void setAnXml(DigitalResource.AnXml value) {
        this.anXml = value;
    }

    /**
     * Gets the value of the any property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     {@link Element }
     *     
     */
    public Object getAny() {
        return any;
    }

    /**
     * Sets the value of the any property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     {@link Element }
     *     
     */
    public void setAny(Object value) {
        this.any = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class AnXml {

        @XmlMixed
        @XmlAnyElement(lax = true)
        protected List<Serializable> content;

        /**
         * Gets the value of the content property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the content property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getContent().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * {@link Object }
         * {@link Element }
         * 
         * 
         */
        public List<Serializable> getContent() {
            if (content == null) {
                content = new ArrayList<Serializable>();
            }
            return this.content;
        }

    }

}
