
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ExistsRight complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ExistsRight">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grant"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grantGroup"/>
 *         &lt;/choice>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}trustRoot" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ExistsRight", propOrder = {
    "grant",
    "grantGroup",
    "trustRoot"
})
public class ExistsRight
    extends Condition
{

    protected Grant grant;
    protected GrantGroup grantGroup;
    @XmlElementRef(name = "trustRoot", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends TrustRoot> trustRoot;

    /**
     * Gets the value of the grant property.
     * 
     * @return
     *     possible object is
     *     {@link Grant }
     *     
     */
    public Grant getGrant() {
        return grant;
    }

    /**
     * Sets the value of the grant property.
     * 
     * @param value
     *     allowed object is
     *     {@link Grant }
     *     
     */
    public void setGrant(Grant value) {
        this.grant = value;
    }

    /**
     * Gets the value of the grantGroup property.
     * 
     * @return
     *     possible object is
     *     {@link GrantGroup }
     *     
     */
    public GrantGroup getGrantGroup() {
        return grantGroup;
    }

    /**
     * Sets the value of the grantGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link GrantGroup }
     *     
     */
    public void setGrantGroup(GrantGroup value) {
        this.grantGroup = value;
    }

    /**
     * Gets the value of the trustRoot property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public JAXBElement<? extends TrustRoot> getTrustRoot() {
        return trustRoot;
    }

    /**
     * Sets the value of the trustRoot property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public void setTrustRoot(JAXBElement<? extends TrustRoot> value) {
        this.trustRoot = ((JAXBElement<? extends TrustRoot> ) value);
    }

}
