
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.LicenseIdPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateReferenceValuePattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalDurationPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LicensePart">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}anXmlPatternAbstract" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="varName" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}VariableName" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "anXmlPatternAbstract"
})
public class ForAll
    extends LicensePart
{

    @XmlElementRef(name = "anXmlPatternAbstract", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected List<JAXBElement<? extends AnXmlPatternAbstract>> anXmlPatternAbstract;
    @XmlAttribute(name = "varName")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String varName;

    /**
     * Gets the value of the anXmlPatternAbstract property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anXmlPatternAbstract property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnXmlPatternAbstract().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     * {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     * {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     * {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     * {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends AnXmlPatternAbstract>> getAnXmlPatternAbstract() {
        if (anXmlPatternAbstract == null) {
            anXmlPatternAbstract = new ArrayList<JAXBElement<? extends AnXmlPatternAbstract>>();
        }
        return this.anXmlPatternAbstract;
    }

    /**
     * Gets the value of the varName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVarName() {
        return varName;
    }

    /**
     * Sets the value of the varName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVarName(String value) {
        this.varName = value;
    }

}
