
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for IssuerDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IssuerDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="timeOfIssue" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="revocationMechanism" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}RevocationMechanism" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IssuerDetails", propOrder = {
    "timeOfIssue",
    "revocationMechanism"
})
public class IssuerDetails {

    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar timeOfIssue;
    protected List<RevocationMechanism> revocationMechanism;

    /**
     * Gets the value of the timeOfIssue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeOfIssue() {
        return timeOfIssue;
    }

    /**
     * Sets the value of the timeOfIssue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeOfIssue(XMLGregorianCalendar value) {
        this.timeOfIssue = value;
    }

    /**
     * Gets the value of the revocationMechanism property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the revocationMechanism property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRevocationMechanism().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RevocationMechanism }
     * 
     * 
     */
    public List<RevocationMechanism> getRevocationMechanism() {
        if (revocationMechanism == null) {
            revocationMechanism = new ArrayList<RevocationMechanism>();
        }
        return this.revocationMechanism;
    }

}
