
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;


/**
 * <p>Java class for License complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="License">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="title" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LinguisticString" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="inventory" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Inventory" minOccurs="0"/>
 *           &lt;choice maxOccurs="unbounded" minOccurs="0">
 *             &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grant"/>
 *             &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}grantGroup"/>
 *           &lt;/choice>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}issuer" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="otherInfo" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;any processContents='lax' maxOccurs="unbounded"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *         &lt;element name="encryptedLicense" type="{urn:mpeg:mpeg21:2003:01-REL-R-NS}EncryptedContent"/>
 *       &lt;/choice>
 *       &lt;attribute name="licenseId" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;anyAttribute processContents='lax' namespace='##other'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "License", propOrder = {
    "title",
    "inventory",
    "grantOrGrantGroup",
    "issuer",
    "otherInfo",
    "encryptedLicense"
})
@XmlRootElement(name = "License")
public class License implements Serializable {

    protected List<LinguisticString> title;
    protected Inventory inventory;
    @XmlElements({
        @XmlElement(name = "grant", type = Grant.class),
        @XmlElement(name = "grantGroup", type = GrantGroup.class)
    })
    protected List<Resource> grantOrGrantGroup;
    protected List<Issuer> issuer;
    protected License.OtherInfo otherInfo;
    protected EncryptedContent encryptedLicense;
    @XmlAttribute(name = "licenseId")
    @XmlSchemaType(name = "anyURI")
    protected String licenseId;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the title property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the title property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTitle().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LinguisticString }
     * 
     * 
     */
    public List<LinguisticString> getTitle() {
        if (title == null) {
            title = new ArrayList<LinguisticString>();
        }
        return this.title;
    }

    /**
     * Gets the value of the inventory property.
     * 
     * @return
     *     possible object is
     *     {@link Inventory }
     *     
     */
    public Inventory getInventory() {
        return inventory;
    }

    /**
     * Sets the value of the inventory property.
     * 
     * @param value
     *     allowed object is
     *     {@link Inventory }
     *     
     */
    public void setInventory(Inventory value) {
        this.inventory = value;
    }

    /**
     * Gets the value of the grantOrGrantGroup property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the grantOrGrantGroup property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGrantOrGrantGroup().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Grant }
     * {@link GrantGroup }
     * 
     * 
     */
    public List<Resource> getGrantOrGrantGroup() {
        if (grantOrGrantGroup == null) {
            grantOrGrantGroup = new ArrayList<Resource>();
        }
        return this.grantOrGrantGroup;
    }

    /**
     * Gets the value of the issuer property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the issuer property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIssuer().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Issuer }
     * 
     * 
     */
    public List<Issuer> getIssuer() {
        if (issuer == null) {
            issuer = new ArrayList<Issuer>();
        }
        return this.issuer;
    }

    /**
     * Gets the value of the otherInfo property.
     * 
     * @return
     *     possible object is
     *     {@link License.OtherInfo }
     *     
     */
    public License.OtherInfo getOtherInfo() {
        return otherInfo;
    }

    /**
     * Sets the value of the otherInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link License.OtherInfo }
     *     
     */
    public void setOtherInfo(License.OtherInfo value) {
        this.otherInfo = value;
    }

    /**
     * Gets the value of the encryptedLicense property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptedContent }
     *     
     */
    public EncryptedContent getEncryptedLicense() {
        return encryptedLicense;
    }

    /**
     * Sets the value of the encryptedLicense property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptedContent }
     *     
     */
    public void setEncryptedLicense(EncryptedContent value) {
        this.encryptedLicense = value;
    }

    /**
     * Gets the value of the licenseId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLicenseId() {
        return licenseId;
    }

    /**
     * Sets the value of the licenseId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLicenseId(String value) {
        this.licenseId = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;any processContents='lax' maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "any"
    })
    public static class OtherInfo {

        @XmlAnyElement(lax = true)
        protected List<Object> any;

        /**
         * Gets the value of the any property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the any property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAny().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Object }
         * {@link Element }
         * 
         * 
         */
        public List<Object> getAny() {
            if (any == null) {
                any = new ArrayList<Object>();
            }
            return this.any;
        }

    }

}
