
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Delist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DerivationConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.DrmSystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Enlist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedCopy;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedMove;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.OutputRegulation;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.ProtectedResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.SeekPermission;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.ServiceLocation;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.StartCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.DestinationPrincipal;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Export;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.ExtendRights;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.NoSkipConstraint;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Proximity;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Scrambling;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SecuritySystem;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.SimultaneousAccess;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimeShiftDuration;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.TimedExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Aggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.CopyrightNotice;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Embed;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAdapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedEmbed;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.NonCommercialUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.SourceCode;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Adapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Complement;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Derive;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiCriteria;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiPartOf;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiReference;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Execute;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Intersection;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Play;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Print;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.ProhibitedAttributeChanges;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Set;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Union;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.AnonymousStateService;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CallForCondition;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CommonName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.DnsName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.EmailName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ExerciseLimit;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeFlat;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerInterval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUse;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.FeePerUsePrePay;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.LicenseIdPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Name;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Rate;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.RightUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.SeekApproval;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateDistinguisher;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateReferenceValuePattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Territory;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackQuery;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TrackReport;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.TransferControl;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Uddi;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalDurationPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalFloating;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalStartsNow;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimeMetered;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityTimePeriodic;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.WsdlAddress;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.WsdlComplete;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for PatternFromLicensePart complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PatternFromLicensePart">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}AnXmlPatternAbstract">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}licensePart"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PatternFromLicensePart", propOrder = {
    "licensePart"
})
public class PatternFromLicensePart
    extends AnXmlPatternAbstract
{

    @XmlElementRef(name = "licensePart", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends LicensePart> licensePart;

    /**
     * Gets the value of the licensePart property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceDescription }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateDistinguisher }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link ToConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlAddress }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlComplete }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link Set }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link DcConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link Intersection }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link Uddi }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionIncremental }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link ForAll }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnonymousStateService }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Complement }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Union }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceLocation }{@code >}
     *     {@link JAXBElement }{@code <}{@link DelegationControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Rate }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionUnchanged }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link DepthConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     
     */
    public JAXBElement<? extends LicensePart> getLicensePart() {
        return licensePart;
    }

    /**
     * Sets the value of the licensePart property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceDescription }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Territory }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputRegulation }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiPartOf }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateDistinguisher }{@code >}
     *     {@link JAXBElement }{@code <}{@link SeekPermission }{@code >}
     *     {@link JAXBElement }{@code <}{@link ToConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlAddress }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrerequisiteRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiCriteria }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlComplete }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimedExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link Set }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}
     *     {@link JAXBElement }{@code <}{@link TimeShiftDuration }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link DcConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link Proximity }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link Intersection }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link Uddi }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionIncremental }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackReport }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link SourceCode }{@code >}
     *     {@link JAXBElement }{@code <}{@link ForAll }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExistsRight }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link NoSkipConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityInterval }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllConditions }{@code >}
     *     {@link JAXBElement }{@code <}{@link SimultaneousAccess }{@code >}
     *     {@link JAXBElement }{@code <}{@link RevocationFreshness }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProhibitedAttributeChanges }{@code >}
     *     {@link JAXBElement }{@code <}{@link Scrambling }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link DrmSystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnonymousStateService }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DestinationPrincipal }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExerciseMechanism }{@code >}
     *     {@link JAXBElement }{@code <}{@link TransferControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link Condition }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link StartCondition }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Complement }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Union }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     {@link JAXBElement }{@code <}{@link DerivationConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceLocation }{@code >}
     *     {@link JAXBElement }{@code <}{@link DelegationControl }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link CopyrightNotice }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link SecuritySystem }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link NonCommercialUse }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Rate }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionUnchanged }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link DepthConstraint }{@code >}
     *     {@link JAXBElement }{@code <}{@link Fulfiller }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}
     *     
     */
    public void setLicensePart(JAXBElement<? extends LicensePart> value) {
        this.licensePart = ((JAXBElement<? extends LicensePart> ) value);
    }

}
