
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Delist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Enlist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedCopy;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedMove;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.ProtectedResource;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Export;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.ExtendRights;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Aggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Embed;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAdapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedEmbed;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Adapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Derive;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.DiReference;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Execute;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Play;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Print;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.CommonName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.DnsName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.EmailName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.LicenseIdPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Name;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.PropertyUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.RightUri;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.StateReferenceValuePattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.ValidityIntervalDurationPattern;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectName;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.X509SubjectNamePattern;


/**
 * <p>Java class for PrerequisiteRight complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PrerequisiteRight">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}principal" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}right"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}resource" minOccurs="0"/>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}trustRoot" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PrerequisiteRight", propOrder = {
    "principal",
    "right",
    "resource",
    "trustRoot"
})
public class PrerequisiteRight
    extends Condition
{

    @XmlElementRef(name = "principal", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Principal> principal;
    @XmlElementRef(name = "right", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Right> right;
    @XmlElementRef(name = "resource", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Resource> resource;
    @XmlElementRef(name = "trustRoot", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends TrustRoot> trustRoot;

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public JAXBElement<? extends Principal> getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public void setPrincipal(JAXBElement<? extends Principal> value) {
        this.principal = ((JAXBElement<? extends Principal> ) value);
    }

    /**
     * Gets the value of the right property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     
     */
    public JAXBElement<? extends Right> getRight() {
        return right;
    }

    /**
     * Sets the value of the right property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link PossessProperty }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link Enlist }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAdapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Derive }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedCopy }{@code >}
     *     {@link JAXBElement }{@code <}{@link ExtendRights }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedEmbed }{@code >}
     *     {@link JAXBElement }{@code <}{@link Play }{@code >}
     *     {@link JAXBElement }{@code <}{@link Issue }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedAggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Export }{@code >}
     *     {@link JAXBElement }{@code <}{@link Execute }{@code >}
     *     {@link JAXBElement }{@code <}{@link Right }{@code >}
     *     {@link JAXBElement }{@code <}{@link Obtain }{@code >}
     *     {@link JAXBElement }{@code <}{@link Print }{@code >}
     *     {@link JAXBElement }{@code <}{@link Adapt }{@code >}
     *     {@link JAXBElement }{@code <}{@link Aggregate }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revoke }{@code >}
     *     {@link JAXBElement }{@code <}{@link Delist }{@code >}
     *     {@link JAXBElement }{@code <}{@link Embed }{@code >}
     *     {@link JAXBElement }{@code <}{@link GovernedMove }{@code >}
     *     
     */
    public void setRight(JAXBElement<? extends Right> value) {
        this.right = ((JAXBElement<? extends Right> ) value);
    }

    /**
     * Gets the value of the resource property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     
     */
    public JAXBElement<? extends Resource> getResource() {
        return resource;
    }

    /**
     * Sets the value of the resource property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyPossessor }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link CommonName }{@code >}
     *     {@link JAXBElement }{@code <}{@link Grant }{@code >}
     *     {@link JAXBElement }{@code <}{@link PatternFromLicensePart }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroup }{@code >}
     *     {@link JAXBElement }{@code <}{@link Revocable }{@code >}
     *     {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}
     *     {@link JAXBElement }{@code <}{@link ResourcePatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link Resource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link RightPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link ConditionPatternAbstract }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link EmailName }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DiReference }{@code >}
     *     {@link JAXBElement }{@code <}{@link ProtectedResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link Name }{@code >}
     *     {@link JAXBElement }{@code <}{@link DnsName }{@code >}
     *     {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnXmlExpression }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link GrantGroupPattern }{@code >}
     *     {@link JAXBElement }{@code <}{@link DigitalResource }{@code >}
     *     {@link JAXBElement }{@code <}{@link PrincipalPatternAbstract }{@code >}
     *     
     */
    public void setResource(JAXBElement<? extends Resource> value) {
        this.resource = ((JAXBElement<? extends Resource> ) value);
    }

    /**
     * Gets the value of the trustRoot property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public JAXBElement<? extends TrustRoot> getTrustRoot() {
        return trustRoot;
    }

    /**
     * Sets the value of the trustRoot property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link TrustRoot }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootIssuers }{@code >}
     *     {@link JAXBElement }{@code <}{@link TrustedRootGrants }{@code >}
     *     
     */
    public void setTrustRoot(JAXBElement<? extends TrustRoot> value) {
        this.trustRoot = ((JAXBElement<? extends TrustRoot> ) value);
    }

}
