
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.IdentityHolder;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.ReferenceType;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.SignatureValueType;


/**
 * <p>Java class for Revocable complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Revocable">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource">
 *       &lt;choice minOccurs="0">
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureValue"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Reference"/>
 *         &lt;sequence>
 *           &lt;element name="licenseId" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *           &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}principal"/>
 *         &lt;/sequence>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Revocable", propOrder = {
    "signatureValue",
    "reference",
    "licenseId",
    "principal"
})
public class Revocable
    extends Resource
{

    @XmlElement(name = "SignatureValue", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureValueType signatureValue;
    @XmlElement(name = "Reference", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected ReferenceType reference;
    @XmlSchemaType(name = "anyURI")
    protected String licenseId;
    @XmlElementRef(name = "principal", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends Principal> principal;

    /**
     * Gets the value of the signatureValue property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureValueType }
     *     
     */
    public SignatureValueType getSignatureValue() {
        return signatureValue;
    }

    /**
     * Sets the value of the signatureValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureValueType }
     *     
     */
    public void setSignatureValue(SignatureValueType value) {
        this.signatureValue = value;
    }

    /**
     * Gets the value of the reference property.
     * 
     * @return
     *     possible object is
     *     {@link ReferenceType }
     *     
     */
    public ReferenceType getReference() {
        return reference;
    }

    /**
     * Sets the value of the reference property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferenceType }
     *     
     */
    public void setReference(ReferenceType value) {
        this.reference = value;
    }

    /**
     * Gets the value of the licenseId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLicenseId() {
        return licenseId;
    }

    /**
     * Sets the value of the licenseId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLicenseId(String value) {
        this.licenseId = value;
    }

    /**
     * Gets the value of the principal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public JAXBElement<? extends Principal> getPrincipal() {
        return principal;
    }

    /**
     * Sets the value of the principal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link IdentityHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link KeyHolder }{@code >}
     *     {@link JAXBElement }{@code <}{@link AllPrincipals }{@code >}
     *     {@link JAXBElement }{@code <}{@link Principal }{@code >}
     *     
     */
    public void setPrincipal(JAXBElement<? extends Principal> value) {
        this.principal = ((JAXBElement<? extends Principal> ) value);
    }

}
