
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Delist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.Enlist;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedCopy;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.GovernedMove;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.Export;
import org.iso.mpeg.mxm.engine.relTE.schema.relm2x.ExtendRights;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Aggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.Embed;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAdapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedAggregate;
import org.iso.mpeg.mxm.engine.relTE.schema.relm3x.GovernedEmbed;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Adapt;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Derive;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Diminish;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Enhance;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Execute;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Modify;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Play;
import org.iso.mpeg.mxm.engine.relTE.schema.relmx.Print;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.RightUri;


/**
 * <p>Java class for Right complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Right">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}LicensePart">
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Right")
@XmlSeeAlso({
    Revoke.class,
    Obtain.class,
    Issue.class,
    PossessProperty.class,
    RightUri.class,
    Aggregate.class,
    GovernedAdapt.class,
    GovernedAggregate.class,
    GovernedEmbed.class,
    Embed.class,
    Execute.class,
    Play.class,
    Adapt.class,
    Print.class,
    Derive.class,
    Enhance.class,
    Diminish.class,
    Modify.class,
    GovernedMove.class,
    GovernedCopy.class,
    Enlist.class,
    Delist.class,
    Export.class,
    ExtendRights.class
})
public class Right
    extends LicensePart
{


}
