
package org.iso.mpeg.mxm.engine.relTE.schema.relr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relm1x.ServiceLocation;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.AnonymousStateService;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.Uddi;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.WsdlAddress;
import org.iso.mpeg.mxm.engine.relTE.schema.relsx.WsdlComplete;
import org.iso.mpeg.mxm.engine.securityTE.schema.dsig.TransformsType;


/**
 * <p>Java class for ServiceReference complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ServiceReference">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Resource">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}serviceDescription"/>
 *         &lt;element name="serviceParameters" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded" minOccurs="0">
 *                   &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}datum"/>
 *                   &lt;element name="transforms" type="{http://www.w3.org/2000/09/xmldsig#}TransformsType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ServiceReference", propOrder = {
    "serviceDescription",
    "serviceParameters"
})
public class ServiceReference
    extends Resource
{

    @XmlElementRef(name = "serviceDescription", namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", type = JAXBElement.class)
    protected JAXBElement<? extends ServiceDescription> serviceDescription;
    protected ServiceReference.ServiceParameters serviceParameters;

    /**
     * Gets the value of the serviceDescription property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link WsdlComplete }{@code >}
     *     {@link JAXBElement }{@code <}{@link Uddi }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlAddress }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnonymousStateService }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceLocation }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceDescription }{@code >}
     *     
     */
    public JAXBElement<? extends ServiceDescription> getServiceDescription() {
        return serviceDescription;
    }

    /**
     * Sets the value of the serviceDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link WsdlComplete }{@code >}
     *     {@link JAXBElement }{@code <}{@link Uddi }{@code >}
     *     {@link JAXBElement }{@code <}{@link WsdlAddress }{@code >}
     *     {@link JAXBElement }{@code <}{@link AnonymousStateService }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceLocation }{@code >}
     *     {@link JAXBElement }{@code <}{@link ServiceDescription }{@code >}
     *     
     */
    public void setServiceDescription(JAXBElement<? extends ServiceDescription> value) {
        this.serviceDescription = ((JAXBElement<? extends ServiceDescription> ) value);
    }

    /**
     * Gets the value of the serviceParameters property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceReference.ServiceParameters }
     *     
     */
    public ServiceReference.ServiceParameters getServiceParameters() {
        return serviceParameters;
    }

    /**
     * Sets the value of the serviceParameters property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceReference.ServiceParameters }
     *     
     */
    public void setServiceParameters(ServiceReference.ServiceParameters value) {
        this.serviceParameters = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded" minOccurs="0">
     *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}datum"/>
     *         &lt;element name="transforms" type="{http://www.w3.org/2000/09/xmldsig#}TransformsType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "datumAndTransforms"
    })
    public static class ServiceParameters {

        @XmlElements({
            @XmlElement(name = "datum", type = Datum.class),
            @XmlElement(name = "transforms", type = TransformsType.class)
        })
        protected List<Object> datumAndTransforms;

        /**
         * Gets the value of the datumAndTransforms property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the datumAndTransforms property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getDatumAndTransforms().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Datum }
         * {@link TransformsType }
         * 
         * 
         */
        public List<Object> getDatumAndTransforms() {
            if (datumAndTransforms == null) {
                datumAndTransforms = new ArrayList<Object>();
            }
            return this.datumAndTransforms;
        }

    }

}
