
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ServiceReference;
import org.w3c.dom.Element;


/**
 * <p>Java class for AccountPayable complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AccountPayable">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="paymentService">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}serviceReference"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="aba">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="institution">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *                         &lt;totalDigits value="9"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="account" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;any processContents='lax' namespace='##other'/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AccountPayable", propOrder = {
    "paymentService",
    "aba",
    "any"
})
public class AccountPayable {

    protected AccountPayable.PaymentService paymentService;
    protected AccountPayable.Aba aba;
    @XmlAnyElement(lax = true)
    protected Object any;

    /**
     * Gets the value of the paymentService property.
     * 
     * @return
     *     possible object is
     *     {@link AccountPayable.PaymentService }
     *     
     */
    public AccountPayable.PaymentService getPaymentService() {
        return paymentService;
    }

    /**
     * Sets the value of the paymentService property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountPayable.PaymentService }
     *     
     */
    public void setPaymentService(AccountPayable.PaymentService value) {
        this.paymentService = value;
    }

    /**
     * Gets the value of the aba property.
     * 
     * @return
     *     possible object is
     *     {@link AccountPayable.Aba }
     *     
     */
    public AccountPayable.Aba getAba() {
        return aba;
    }

    /**
     * Sets the value of the aba property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountPayable.Aba }
     *     
     */
    public void setAba(AccountPayable.Aba value) {
        this.aba = value;
    }

    /**
     * Gets the value of the any property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     {@link Element }
     *     
     */
    public Object getAny() {
        return any;
    }

    /**
     * Sets the value of the any property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     {@link Element }
     *     
     */
    public void setAny(Object value) {
        this.any = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="institution">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
     *               &lt;totalDigits value="9"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="account" type="{http://www.w3.org/2001/XMLSchema}integer"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "institution",
        "account"
    })
    public static class Aba {

        @XmlElement(required = true)
        protected BigInteger institution;
        @XmlElement(required = true)
        protected BigInteger account;

        /**
         * Gets the value of the institution property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getInstitution() {
            return institution;
        }

        /**
         * Sets the value of the institution property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setInstitution(BigInteger value) {
            this.institution = value;
        }

        /**
         * Gets the value of the account property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getAccount() {
            return account;
        }

        /**
         * Sets the value of the account property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setAccount(BigInteger value) {
            this.account = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}serviceReference"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "serviceReference"
    })
    public static class PaymentService {

        @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", required = true)
        protected ServiceReference serviceReference;

        /**
         * Gets the value of the serviceReference property.
         * 
         * @return
         *     possible object is
         *     {@link ServiceReference }
         *     
         */
        public ServiceReference getServiceReference() {
            return serviceReference;
        }

        /**
         * Sets the value of the serviceReference property.
         * 
         * @param value
         *     allowed object is
         *     {@link ServiceReference }
         *     
         */
        public void setServiceReference(ServiceReference value) {
            this.serviceReference = value;
        }

    }

}
