
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.iso.mpeg.mxm.engine.relTE.schema.relsx package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TransferControl_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "transferControl");
    private final static QName _ValidityIntervalFloating_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "validityIntervalFloating");
    private final static QName _ExerciseLimit_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "exerciseLimit");
    private final static QName _LicenseIdPattern_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "licenseIdPattern");
    private final static QName _FeePerUse_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "feePerUse");
    private final static QName _TrackQuery_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "trackQuery");
    private final static QName _FeePerUsePrePay_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "feePerUsePrePay");
    private final static QName _ValidityIntervalDurationPattern_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "validityIntervalDurationPattern");
    private final static QName _StateReferenceValuePattern_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "stateReferenceValuePattern");
    private final static QName _X509SubjectNamePattern_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "x509SubjectNamePattern");
    private final static QName _FeeFlat_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "feeFlat");
    private final static QName _X509SubjectName_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "x509SubjectName");
    private final static QName _StateDistinguisher_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "stateDistinguisher");
    private final static QName _PropertyUri_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "propertyUri");
    private final static QName _Uddi_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "uddi");
    private final static QName _Territory_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "territory");
    private final static QName _ValidityTimeMetered_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "validityTimeMetered");
    private final static QName _DnsName_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "dnsName");
    private final static QName _Rate_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "rate");
    private final static QName _WsdlComplete_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "wsdlComplete");
    private final static QName _WsdlAddress_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "wsdlAddress");
    private final static QName _CallForCondition_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "callForCondition");
    private final static QName _AnonymousStateService_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "anonymousStateService");
    private final static QName _TrackReport_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "trackReport");
    private final static QName _RightUri_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "rightUri");
    private final static QName _EmailName_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "emailName");
    private final static QName _Name_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "name");
    private final static QName _FeeMetered_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "feeMetered");
    private final static QName _ValidityIntervalStartsNow_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "validityIntervalStartsNow");
    private final static QName _CommonName_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "commonName");
    private final static QName _ValidityTimePeriodic_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "validityTimePeriodic");
    private final static QName _FeePerInterval_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "feePerInterval");
    private final static QName _SeekApproval_QNAME = new QName("urn:mpeg:mpeg21:2003:01-REL-SX-NS", "seekApproval");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.iso.mpeg.mxm.engine.relTE.schema.relsx
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FeePerInterval }
     * 
     */
    public FeePerInterval createFeePerInterval() {
        return new FeePerInterval();
    }

    /**
     * Create an instance of {@link ExerciseLimit }
     * 
     */
    public ExerciseLimit createExerciseLimit() {
        return new ExerciseLimit();
    }

    /**
     * Create an instance of {@link WsdlAddress.Address }
     * 
     */
    public WsdlAddress.Address createWsdlAddressAddress() {
        return new WsdlAddress.Address();
    }

    /**
     * Create an instance of {@link FeeFlat }
     * 
     */
    public FeeFlat createFeeFlat() {
        return new FeeFlat();
    }

    /**
     * Create an instance of {@link AccountPayable }
     * 
     */
    public AccountPayable createAccountPayable() {
        return new AccountPayable();
    }

    /**
     * Create an instance of {@link WsdlAddress }
     * 
     */
    public WsdlAddress createWsdlAddress() {
        return new WsdlAddress();
    }

    /**
     * Create an instance of {@link FeeMetered }
     * 
     */
    public FeeMetered createFeeMetered() {
        return new FeeMetered();
    }

    /**
     * Create an instance of {@link StateDistinguisher }
     * 
     */
    public StateDistinguisher createStateDistinguisher() {
        return new StateDistinguisher();
    }

    /**
     * Create an instance of {@link ValidityIntervalDurationPattern }
     * 
     */
    public ValidityIntervalDurationPattern createValidityIntervalDurationPattern() {
        return new ValidityIntervalDurationPattern();
    }

    /**
     * Create an instance of {@link DnsName }
     * 
     */
    public DnsName createDnsName() {
        return new DnsName();
    }

    /**
     * Create an instance of {@link FeePerUse }
     * 
     */
    public FeePerUse createFeePerUse() {
        return new FeePerUse();
    }

    /**
     * Create an instance of {@link StatefulCondition }
     * 
     */
    public StatefulCondition createStatefulCondition() {
        return new StatefulCondition();
    }

    /**
     * Create an instance of {@link CommonName }
     * 
     */
    public CommonName createCommonName() {
        return new CommonName();
    }

    /**
     * Create an instance of {@link PropertyUri }
     * 
     */
    public PropertyUri createPropertyUri() {
        return new PropertyUri();
    }

    /**
     * Create an instance of {@link WsdlComplete }
     * 
     */
    public WsdlComplete createWsdlComplete() {
        return new WsdlComplete();
    }

    /**
     * Create an instance of {@link ValidityIntervalStartsNow }
     * 
     */
    public ValidityIntervalStartsNow createValidityIntervalStartsNow() {
        return new ValidityIntervalStartsNow();
    }

    /**
     * Create an instance of {@link ValidityIntervalFloating }
     * 
     */
    public ValidityIntervalFloating createValidityIntervalFloating() {
        return new ValidityIntervalFloating();
    }

    /**
     * Create an instance of {@link SeekApproval }
     * 
     */
    public SeekApproval createSeekApproval() {
        return new SeekApproval();
    }

    /**
     * Create an instance of {@link AccountPayable.Aba }
     * 
     */
    public AccountPayable.Aba createAccountPayableAba() {
        return new AccountPayable.Aba();
    }

    /**
     * Create an instance of {@link CallForCondition }
     * 
     */
    public CallForCondition createCallForCondition() {
        return new CallForCondition();
    }

    /**
     * Create an instance of {@link WsdlAddress.Kind }
     * 
     */
    public WsdlAddress.Kind createWsdlAddressKind() {
        return new WsdlAddress.Kind();
    }

    /**
     * Create an instance of {@link LicenseIdPattern }
     * 
     */
    public LicenseIdPattern createLicenseIdPattern() {
        return new LicenseIdPattern();
    }

    /**
     * Create an instance of {@link AccountPayable.PaymentService }
     * 
     */
    public AccountPayable.PaymentService createAccountPayablePaymentService() {
        return new AccountPayable.PaymentService();
    }

    /**
     * Create an instance of {@link Territory.Domain }
     * 
     */
    public Territory.Domain createTerritoryDomain() {
        return new Territory.Domain();
    }

    /**
     * Create an instance of {@link TrackQuery }
     * 
     */
    public TrackQuery createTrackQuery() {
        return new TrackQuery();
    }

    /**
     * Create an instance of {@link StateReferenceValuePattern }
     * 
     */
    public StateReferenceValuePattern createStateReferenceValuePattern() {
        return new StateReferenceValuePattern();
    }

    /**
     * Create an instance of {@link UddiKey }
     * 
     */
    public UddiKey createUddiKey() {
        return new UddiKey();
    }

    /**
     * Create an instance of {@link X509SubjectName }
     * 
     */
    public X509SubjectName createX509SubjectName() {
        return new X509SubjectName();
    }

    /**
     * Create an instance of {@link Territory.Location }
     * 
     */
    public Territory.Location createTerritoryLocation() {
        return new Territory.Location();
    }

    /**
     * Create an instance of {@link TrackReport }
     * 
     */
    public TrackReport createTrackReport() {
        return new TrackReport();
    }

    /**
     * Create an instance of {@link FeePerUsePrePay }
     * 
     */
    public FeePerUsePrePay createFeePerUsePrePay() {
        return new FeePerUsePrePay();
    }

    /**
     * Create an instance of {@link X509SubjectNamePattern }
     * 
     */
    public X509SubjectNamePattern createX509SubjectNamePattern() {
        return new X509SubjectNamePattern();
    }

    /**
     * Create an instance of {@link TransferControl }
     * 
     */
    public TransferControl createTransferControl() {
        return new TransferControl();
    }

    /**
     * Create an instance of {@link ValidityTimeMetered }
     * 
     */
    public ValidityTimeMetered createValidityTimeMetered() {
        return new ValidityTimeMetered();
    }

    /**
     * Create an instance of {@link ValidityTimePeriodic }
     * 
     */
    public ValidityTimePeriodic createValidityTimePeriodic() {
        return new ValidityTimePeriodic();
    }

    /**
     * Create an instance of {@link Territory }
     * 
     */
    public Territory createTerritory() {
        return new Territory();
    }

    /**
     * Create an instance of {@link AnonymousStateService }
     * 
     */
    public AnonymousStateService createAnonymousStateService() {
        return new AnonymousStateService();
    }

    /**
     * Create an instance of {@link RightUri }
     * 
     */
    public RightUri createRightUri() {
        return new RightUri();
    }

    /**
     * Create an instance of {@link Name }
     * 
     */
    public Name createName() {
        return new Name();
    }

    /**
     * Create an instance of {@link Uddi }
     * 
     */
    public Uddi createUddi() {
        return new Uddi();
    }

    /**
     * Create an instance of {@link Rate }
     * 
     */
    public Rate createRate() {
        return new Rate();
    }

    /**
     * Create an instance of {@link EmailName }
     * 
     */
    public EmailName createEmailName() {
        return new EmailName();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TransferControl }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "transferControl", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<TransferControl> createTransferControl(TransferControl value) {
        return new JAXBElement<TransferControl>(_TransferControl_QNAME, TransferControl.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidityIntervalFloating }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "validityIntervalFloating", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ValidityIntervalFloating> createValidityIntervalFloating(ValidityIntervalFloating value) {
        return new JAXBElement<ValidityIntervalFloating>(_ValidityIntervalFloating_QNAME, ValidityIntervalFloating.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ExerciseLimit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "exerciseLimit", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ExerciseLimit> createExerciseLimit(ExerciseLimit value) {
        return new JAXBElement<ExerciseLimit>(_ExerciseLimit_QNAME, ExerciseLimit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LicenseIdPattern }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "licenseIdPattern", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "anXmlPatternAbstract")
    public JAXBElement<LicenseIdPattern> createLicenseIdPattern(LicenseIdPattern value) {
        return new JAXBElement<LicenseIdPattern>(_LicenseIdPattern_QNAME, LicenseIdPattern.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FeePerUse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "feePerUse", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<FeePerUse> createFeePerUse(FeePerUse value) {
        return new JAXBElement<FeePerUse>(_FeePerUse_QNAME, FeePerUse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TrackQuery }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "trackQuery", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<TrackQuery> createTrackQuery(TrackQuery value) {
        return new JAXBElement<TrackQuery>(_TrackQuery_QNAME, TrackQuery.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FeePerUsePrePay }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "feePerUsePrePay", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<FeePerUsePrePay> createFeePerUsePrePay(FeePerUsePrePay value) {
        return new JAXBElement<FeePerUsePrePay>(_FeePerUsePrePay_QNAME, FeePerUsePrePay.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidityIntervalDurationPattern }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "validityIntervalDurationPattern", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "conditionPatternAbstract")
    public JAXBElement<ValidityIntervalDurationPattern> createValidityIntervalDurationPattern(ValidityIntervalDurationPattern value) {
        return new JAXBElement<ValidityIntervalDurationPattern>(_ValidityIntervalDurationPattern_QNAME, ValidityIntervalDurationPattern.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StateReferenceValuePattern }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "stateReferenceValuePattern", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "anXmlPatternAbstract")
    public JAXBElement<StateReferenceValuePattern> createStateReferenceValuePattern(StateReferenceValuePattern value) {
        return new JAXBElement<StateReferenceValuePattern>(_StateReferenceValuePattern_QNAME, StateReferenceValuePattern.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link X509SubjectNamePattern }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "x509SubjectNamePattern", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "resourcePatternAbstract")
    public JAXBElement<X509SubjectNamePattern> createX509SubjectNamePattern(X509SubjectNamePattern value) {
        return new JAXBElement<X509SubjectNamePattern>(_X509SubjectNamePattern_QNAME, X509SubjectNamePattern.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FeeFlat }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "feeFlat", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<FeeFlat> createFeeFlat(FeeFlat value) {
        return new JAXBElement<FeeFlat>(_FeeFlat_QNAME, FeeFlat.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link X509SubjectName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "x509SubjectName", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", substitutionHeadName = "name")
    public JAXBElement<X509SubjectName> createX509SubjectName(X509SubjectName value) {
        return new JAXBElement<X509SubjectName>(_X509SubjectName_QNAME, X509SubjectName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StateDistinguisher }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "stateDistinguisher", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<StateDistinguisher> createStateDistinguisher(StateDistinguisher value) {
        return new JAXBElement<StateDistinguisher>(_StateDistinguisher_QNAME, StateDistinguisher.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyUri }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "propertyUri", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "propertyAbstract")
    public JAXBElement<PropertyUri> createPropertyUri(PropertyUri value) {
        return new JAXBElement<PropertyUri>(_PropertyUri_QNAME, PropertyUri.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Uddi }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "uddi", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "serviceDescription")
    public JAXBElement<Uddi> createUddi(Uddi value) {
        return new JAXBElement<Uddi>(_Uddi_QNAME, Uddi.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Territory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "territory", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<Territory> createTerritory(Territory value) {
        return new JAXBElement<Territory>(_Territory_QNAME, Territory.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidityTimeMetered }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "validityTimeMetered", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ValidityTimeMetered> createValidityTimeMetered(ValidityTimeMetered value) {
        return new JAXBElement<ValidityTimeMetered>(_ValidityTimeMetered_QNAME, ValidityTimeMetered.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DnsName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "dnsName", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", substitutionHeadName = "name")
    public JAXBElement<DnsName> createDnsName(DnsName value) {
        return new JAXBElement<DnsName>(_DnsName_QNAME, DnsName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Rate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "rate", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "licensePart")
    public JAXBElement<Rate> createRate(Rate value) {
        return new JAXBElement<Rate>(_Rate_QNAME, Rate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WsdlComplete }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "wsdlComplete", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "serviceDescription")
    public JAXBElement<WsdlComplete> createWsdlComplete(WsdlComplete value) {
        return new JAXBElement<WsdlComplete>(_WsdlComplete_QNAME, WsdlComplete.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WsdlAddress }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "wsdlAddress", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "serviceDescription")
    public JAXBElement<WsdlAddress> createWsdlAddress(WsdlAddress value) {
        return new JAXBElement<WsdlAddress>(_WsdlAddress_QNAME, WsdlAddress.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CallForCondition }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "callForCondition", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<CallForCondition> createCallForCondition(CallForCondition value) {
        return new JAXBElement<CallForCondition>(_CallForCondition_QNAME, CallForCondition.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnonymousStateService }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "anonymousStateService", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "serviceDescription")
    public JAXBElement<AnonymousStateService> createAnonymousStateService(AnonymousStateService value) {
        return new JAXBElement<AnonymousStateService>(_AnonymousStateService_QNAME, AnonymousStateService.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TrackReport }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "trackReport", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<TrackReport> createTrackReport(TrackReport value) {
        return new JAXBElement<TrackReport>(_TrackReport_QNAME, TrackReport.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RightUri }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "rightUri", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "right")
    public JAXBElement<RightUri> createRightUri(RightUri value) {
        return new JAXBElement<RightUri>(_RightUri_QNAME, RightUri.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmailName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "emailName", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", substitutionHeadName = "name")
    public JAXBElement<EmailName> createEmailName(EmailName value) {
        return new JAXBElement<EmailName>(_EmailName_QNAME, EmailName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Name }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "name", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "propertyAbstract")
    public JAXBElement<Name> createName(Name value) {
        return new JAXBElement<Name>(_Name_QNAME, Name.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FeeMetered }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "feeMetered", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<FeeMetered> createFeeMetered(FeeMetered value) {
        return new JAXBElement<FeeMetered>(_FeeMetered_QNAME, FeeMetered.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidityIntervalStartsNow }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "validityIntervalStartsNow", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ValidityIntervalStartsNow> createValidityIntervalStartsNow(ValidityIntervalStartsNow value) {
        return new JAXBElement<ValidityIntervalStartsNow>(_ValidityIntervalStartsNow_QNAME, ValidityIntervalStartsNow.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CommonName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "commonName", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", substitutionHeadName = "name")
    public JAXBElement<CommonName> createCommonName(CommonName value) {
        return new JAXBElement<CommonName>(_CommonName_QNAME, CommonName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidityTimePeriodic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "validityTimePeriodic", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<ValidityTimePeriodic> createValidityTimePeriodic(ValidityTimePeriodic value) {
        return new JAXBElement<ValidityTimePeriodic>(_ValidityTimePeriodic_QNAME, ValidityTimePeriodic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FeePerInterval }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "feePerInterval", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<FeePerInterval> createFeePerInterval(FeePerInterval value) {
        return new JAXBElement<FeePerInterval>(_FeePerInterval_QNAME, FeePerInterval.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SeekApproval }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:mpeg:mpeg21:2003:01-REL-SX-NS", name = "seekApproval", substitutionHeadNamespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS", substitutionHeadName = "condition")
    public JAXBElement<SeekApproval> createSeekApproval(SeekApproval value) {
        return new JAXBElement<SeekApproval>(_SeekApproval_QNAME, SeekApproval.class, null, value);
    }

}
