
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ServiceReference;


/**
 * <p>Java class for StatefulCondition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StatefulCondition">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence>
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}serviceReference" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatefulCondition", propOrder = {
    "serviceReference"
})
@XmlSeeAlso({
    ValidityIntervalFloating.class,
    TrackReport.class,
    TransferControl.class,
    FeePerUsePrePay.class,
    FeeFlat.class,
    SeekApproval.class,
    ExerciseLimit.class,
    ValidityTimeMetered.class,
    FeePerInterval.class,
    TrackQuery.class
})
public class StatefulCondition
    extends Condition
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected ServiceReference serviceReference;

    /**
     * Gets the value of the serviceReference property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceReference }
     *     
     */
    public ServiceReference getServiceReference() {
        return serviceReference;
    }

    /**
     * Sets the value of the serviceReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceReference }
     *     
     */
    public void setServiceReference(ServiceReference value) {
        this.serviceReference = value;
    }

}
