
package org.iso.mpeg.mxm.engine.relTE.schema.relsx;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.Condition;
import org.iso.mpeg.mxm.engine.relTE.schema.relr.ValidityInterval;


/**
 * <p>Java class for ValidityIntervalStartsNow complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ValidityIntervalStartsNow">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpeg21:2003:01-REL-R-NS}Condition">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{urn:mpeg:mpeg21:2003:01-REL-R-NS}validityInterval"/>
 *         &lt;element name="backwardTolerance" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
 *         &lt;element name="forwardTolerance" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ValidityIntervalStartsNow", propOrder = {
    "validityInterval",
    "backwardTolerance",
    "forwardTolerance"
})
public class ValidityIntervalStartsNow
    extends Condition
{

    @XmlElement(namespace = "urn:mpeg:mpeg21:2003:01-REL-R-NS")
    protected ValidityInterval validityInterval;
    protected Duration backwardTolerance;
    protected Duration forwardTolerance;

    /**
     * Gets the value of the validityInterval property.
     * 
     * @return
     *     possible object is
     *     {@link ValidityInterval }
     *     
     */
    public ValidityInterval getValidityInterval() {
        return validityInterval;
    }

    /**
     * Sets the value of the validityInterval property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValidityInterval }
     *     
     */
    public void setValidityInterval(ValidityInterval value) {
        this.validityInterval = value;
    }

    /**
     * Gets the value of the backwardTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getBackwardTolerance() {
        return backwardTolerance;
    }

    /**
     * Sets the value of the backwardTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setBackwardTolerance(Duration value) {
        this.backwardTolerance = value;
    }

    /**
     * Gets the value of the forwardTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getForwardTolerance() {
        return forwardTolerance;
    }

    /**
     * Sets the value of the forwardTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setForwardTolerance(Duration value) {
        this.forwardTolerance = value;
    }

}
