package org.iso.mpeg.mxm.engine.searchTE.schema;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;

import org.iso.mpeg.mxm.baseprotocol.schema.SuperAbstractLevel1;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.searchTE.schema.mpqf.ObjectFactory;

public class SuperMpqfAbstractLevel1 extends SuperAbstractLevel1
{
	public SuperMpqfAbstractLevel1(Object type) throws MXMEngineException {
		super(type);
	}
	
	@Override
	protected void config(JAXBContext jc) throws MXMEngineException, JAXBException 
	{
		this.factory = new ObjectFactory();
		
		if(jc == null)
		{
			this.jc = SearchEngineContext.getInstance().getJAXBContext();
		} else {
			this.jc = jc;
		}
	}	
	
	@Override
	protected void throwEngineSpecificException(String message, Exception exception) throws MXMEngineException
	{
		// TODO create engine specific exception
	}
}
