
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Ceiling complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Ceiling">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}ArithmeticExpressionType">
 *       &lt;sequence>
 *         &lt;group ref="{urn:mpeg:mpqf:schema:2008}ArithmeticOperands"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Ceiling", propOrder = {
    "doubleValue",
    "longValue",
    "arithmeticField",
    "arithmeticExpression"
})
public class Ceiling
    extends ArithmeticExpressionType
{

    @XmlElement(name = "DoubleValue")
    protected Double doubleValue;
    @XmlElement(name = "LongValue")
    protected Long longValue;
    @XmlElement(name = "ArithmeticField")
    protected FieldType arithmeticField;
    @XmlElement(name = "ArithmeticExpression")
    protected ArithmeticExpressionType arithmeticExpression;

    /**
     * Gets the value of the doubleValue property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getDoubleValue() {
        return doubleValue;
    }

    /**
     * Sets the value of the doubleValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setDoubleValue(Double value) {
        this.doubleValue = value;
    }

    /**
     * Gets the value of the longValue property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getLongValue() {
        return longValue;
    }

    /**
     * Sets the value of the longValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setLongValue(Long value) {
        this.longValue = value;
    }

    /**
     * Gets the value of the arithmeticField property.
     * 
     * @return
     *     possible object is
     *     {@link FieldType }
     *     
     */
    public FieldType getArithmeticField() {
        return arithmeticField;
    }

    /**
     * Sets the value of the arithmeticField property.
     * 
     * @param value
     *     allowed object is
     *     {@link FieldType }
     *     
     */
    public void setArithmeticField(FieldType value) {
        this.arithmeticField = value;
    }

    /**
     * Gets the value of the arithmeticExpression property.
     * 
     * @return
     *     possible object is
     *     {@link ArithmeticExpressionType }
     *     
     */
    public ArithmeticExpressionType getArithmeticExpression() {
        return arithmeticExpression;
    }

    /**
     * Sets the value of the arithmeticExpression property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArithmeticExpressionType }
     *     
     */
    public void setArithmeticExpression(ArithmeticExpressionType value) {
        this.arithmeticExpression = value;
    }

}
