
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.HexBinaryAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for InlineMediaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InlineMediaType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="MediaData16" type="{http://www.w3.org/2001/XMLSchema}hexBinary"/>
 *         &lt;element name="MediaData64" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *       &lt;/choice>
 *       &lt;attribute name="type" use="required" type="{urn:mpeg:mpqf:schema:2008}mimeType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InlineMediaType", propOrder = {
    "mediaData16",
    "mediaData64"
})
public class InlineMediaType {

    @XmlElement(name = "MediaData16", type = String.class)
    @XmlJavaTypeAdapter(HexBinaryAdapter.class)
    @XmlSchemaType(name = "hexBinary")
    protected byte[] mediaData16;
    @XmlElement(name = "MediaData64")
    protected byte[] mediaData64;
    @XmlAttribute(name = "type", required = true)
    protected String type;

    /**
     * Gets the value of the mediaData16 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public byte[] getMediaData16() {
        return mediaData16;
    }

    /**
     * Sets the value of the mediaData16 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMediaData16(byte[] value) {
        this.mediaData16 = ((byte[]) value);
    }

    /**
     * Gets the value of the mediaData64 property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getMediaData64() {
        return mediaData64;
    }

    /**
     * Sets the value of the mediaData64 property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setMediaData64(byte[] value) {
        this.mediaData64 = ((byte[]) value);
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

}
