
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;


/**
 * <p>Java class for InputQueryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InputQueryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="QFDeclaration" type="{urn:mpeg:mpqf:schema:2008}QFDeclarationType" minOccurs="0"/>
 *         &lt;element name="OutputDescription" type="{urn:mpeg:mpqf:schema:2008}OutputDescriptionType" minOccurs="0"/>
 *         &lt;element name="QueryCondition" type="{urn:mpeg:mpqf:schema:2008}QueryConditionType" minOccurs="0"/>
 *         &lt;element name="ServiceSelection" type="{urn:mpeg:mpqf:schema:2008}ServiceSelectionType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="previousAnswerID" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="immediateResponse" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
 *       &lt;attribute name="timeout" type="{http://www.w3.org/2001/XMLSchema}duration" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InputQueryType", propOrder = {
    "qfDeclaration",
    "outputDescription",
    "queryCondition",
    "serviceSelection"
})
@XmlRootElement(name = "InputQueryType")
public class InputQueryType {

    @XmlElement(name = "QFDeclaration")
    protected QFDeclarationType qfDeclaration;
    @XmlElement(name = "OutputDescription")
    protected OutputDescriptionType outputDescription;
    @XmlElement(name = "QueryCondition")
    protected QueryConditionType queryCondition;
    @XmlElement(name = "ServiceSelection")
    protected ServiceSelectionType serviceSelection;
    @XmlAttribute(name = "previousAnswerID")
    @XmlSchemaType(name = "anyURI")
    protected String previousAnswerID;
    @XmlAttribute(name = "immediateResponse")
    protected Boolean immediateResponse;
    @XmlAttribute(name = "timeout")
    protected Duration timeout;

    /**
     * Gets the value of the qfDeclaration property.
     * 
     * @return
     *     possible object is
     *     {@link QFDeclarationType }
     *     
     */
    public QFDeclarationType getQFDeclaration() {
        return qfDeclaration;
    }

    /**
     * Sets the value of the qfDeclaration property.
     * 
     * @param value
     *     allowed object is
     *     {@link QFDeclarationType }
     *     
     */
    public void setQFDeclaration(QFDeclarationType value) {
        this.qfDeclaration = value;
    }

    /**
     * Gets the value of the outputDescription property.
     * 
     * @return
     *     possible object is
     *     {@link OutputDescriptionType }
     *     
     */
    public OutputDescriptionType getOutputDescription() {
        return outputDescription;
    }

    /**
     * Sets the value of the outputDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link OutputDescriptionType }
     *     
     */
    public void setOutputDescription(OutputDescriptionType value) {
        this.outputDescription = value;
    }

    /**
     * Gets the value of the queryCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QueryConditionType }
     *     
     */
    public QueryConditionType getQueryCondition() {
        return queryCondition;
    }

    /**
     * Sets the value of the queryCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QueryConditionType }
     *     
     */
    public void setQueryCondition(QueryConditionType value) {
        this.queryCondition = value;
    }

    /**
     * Gets the value of the serviceSelection property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceSelectionType }
     *     
     */
    public ServiceSelectionType getServiceSelection() {
        return serviceSelection;
    }

    /**
     * Sets the value of the serviceSelection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceSelectionType }
     *     
     */
    public void setServiceSelection(ServiceSelectionType value) {
        this.serviceSelection = value;
    }

    /**
     * Gets the value of the previousAnswerID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreviousAnswerID() {
        return previousAnswerID;
    }

    /**
     * Sets the value of the previousAnswerID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreviousAnswerID(String value) {
        this.previousAnswerID = value;
    }

    /**
     * Gets the value of the immediateResponse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isImmediateResponse() {
        if (immediateResponse == null) {
            return true;
        } else {
            return immediateResponse;
        }
    }

    /**
     * Sets the value of the immediateResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setImmediateResponse(Boolean value) {
        this.immediateResponse = value;
    }

    /**
     * Gets the value of the timeout property.
     * 
     * @return
     *     possible object is
     *     {@link Duration }
     *     
     */
    public Duration getTimeout() {
        return timeout;
    }

    /**
     * Sets the value of the timeout property.
     * 
     * @param value
     *     allowed object is
     *     {@link Duration }
     *     
     */
    public void setTimeout(Duration value) {
        this.timeout = value;
    }

}
