
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OutputDescriptionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OutputDescriptionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ReqField" type="{urn:mpeg:mpqf:schema:2008}FieldType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ReqAggregateID" type="{http://www.w3.org/2001/XMLSchema}IDREF" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ReqSemanticField" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="GroupBy" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="GroupByField" type="{urn:mpeg:mpqf:schema:2008}FieldType" maxOccurs="unbounded"/>
 *                   &lt;element name="Aggregate" type="{urn:mpeg:mpqf:schema:2008}AggregateExpressionType" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="SortBy" type="{urn:mpeg:mpqf:schema:2008}AbstractSortByType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="maxPageEntries" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="maxItemCount" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="freeTextUse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="thumbnailUse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="mediaResourceUse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="outputNameSpace" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="distinct" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OutputDescriptionType", propOrder = {
    "reqField",
    "reqAggregateID",
    "reqSemanticField",
    "groupBy",
    "sortBy"
})
public class OutputDescriptionType {

    @XmlElement(name = "ReqField")
    protected List<FieldType> reqField;
    @XmlElementRef(name = "ReqAggregateID", namespace = "urn:mpeg:mpqf:schema:2008", type = JAXBElement.class)
    protected List<JAXBElement<Object>> reqAggregateID;
    @XmlElement(name = "ReqSemanticField")
    protected List<String> reqSemanticField;
    @XmlElement(name = "GroupBy")
    protected OutputDescriptionType.GroupBy groupBy;
    @XmlElement(name = "SortBy")
    protected List<AbstractSortByType> sortBy;
    @XmlAttribute(name = "maxPageEntries")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger maxPageEntries;
    @XmlAttribute(name = "maxItemCount")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger maxItemCount;
    @XmlAttribute(name = "freeTextUse")
    protected Boolean freeTextUse;
    @XmlAttribute(name = "thumbnailUse")
    protected Boolean thumbnailUse;
    @XmlAttribute(name = "mediaResourceUse")
    protected Boolean mediaResourceUse;
    @XmlAttribute(name = "outputNameSpace")
    @XmlSchemaType(name = "anyURI")
    protected String outputNameSpace;
    @XmlAttribute(name = "distinct")
    protected Boolean distinct;

    /**
     * Gets the value of the reqField property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reqField property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReqField().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FieldType }
     * 
     * 
     */
    public List<FieldType> getReqField() {
        if (reqField == null) {
            reqField = new ArrayList<FieldType>();
        }
        return this.reqField;
    }

    /**
     * Gets the value of the reqAggregateID property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reqAggregateID property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReqAggregateID().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link Object }{@code >}
     * 
     * 
     */
    public List<JAXBElement<Object>> getReqAggregateID() {
        if (reqAggregateID == null) {
            reqAggregateID = new ArrayList<JAXBElement<Object>>();
        }
        return this.reqAggregateID;
    }

    /**
     * Gets the value of the reqSemanticField property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reqSemanticField property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReqSemanticField().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getReqSemanticField() {
        if (reqSemanticField == null) {
            reqSemanticField = new ArrayList<String>();
        }
        return this.reqSemanticField;
    }

    /**
     * Gets the value of the groupBy property.
     * 
     * @return
     *     possible object is
     *     {@link OutputDescriptionType.GroupBy }
     *     
     */
    public OutputDescriptionType.GroupBy getGroupBy() {
        return groupBy;
    }

    /**
     * Sets the value of the groupBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OutputDescriptionType.GroupBy }
     *     
     */
    public void setGroupBy(OutputDescriptionType.GroupBy value) {
        this.groupBy = value;
    }

    /**
     * Gets the value of the sortBy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sortBy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSortBy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AbstractSortByType }
     * 
     * 
     */
    public List<AbstractSortByType> getSortBy() {
        if (sortBy == null) {
            sortBy = new ArrayList<AbstractSortByType>();
        }
        return this.sortBy;
    }

    /**
     * Gets the value of the maxPageEntries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxPageEntries() {
        return maxPageEntries;
    }

    /**
     * Sets the value of the maxPageEntries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxPageEntries(BigInteger value) {
        this.maxPageEntries = value;
    }

    /**
     * Gets the value of the maxItemCount property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxItemCount() {
        return maxItemCount;
    }

    /**
     * Sets the value of the maxItemCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxItemCount(BigInteger value) {
        this.maxItemCount = value;
    }

    /**
     * Gets the value of the freeTextUse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isFreeTextUse() {
        return freeTextUse;
    }

    /**
     * Sets the value of the freeTextUse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFreeTextUse(Boolean value) {
        this.freeTextUse = value;
    }

    /**
     * Gets the value of the thumbnailUse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isThumbnailUse() {
        return thumbnailUse;
    }

    /**
     * Sets the value of the thumbnailUse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setThumbnailUse(Boolean value) {
        this.thumbnailUse = value;
    }

    /**
     * Gets the value of the mediaResourceUse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isMediaResourceUse() {
        return mediaResourceUse;
    }

    /**
     * Sets the value of the mediaResourceUse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMediaResourceUse(Boolean value) {
        this.mediaResourceUse = value;
    }

    /**
     * Gets the value of the outputNameSpace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOutputNameSpace() {
        return outputNameSpace;
    }

    /**
     * Sets the value of the outputNameSpace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOutputNameSpace(String value) {
        this.outputNameSpace = value;
    }

    /**
     * Gets the value of the distinct property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isDistinct() {
        if (distinct == null) {
            return false;
        } else {
            return distinct;
        }
    }

    /**
     * Sets the value of the distinct property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDistinct(Boolean value) {
        this.distinct = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="GroupByField" type="{urn:mpeg:mpqf:schema:2008}FieldType" maxOccurs="unbounded"/>
     *         &lt;element name="Aggregate" type="{urn:mpeg:mpqf:schema:2008}AggregateExpressionType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "groupByField",
        "aggregate"
    })
    public static class GroupBy {

        @XmlElement(name = "GroupByField", required = true)
        protected List<FieldType> groupByField;
        @XmlElement(name = "Aggregate")
        protected List<AggregateExpressionType> aggregate;

        /**
         * Gets the value of the groupByField property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the groupByField property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGroupByField().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link FieldType }
         * 
         * 
         */
        public List<FieldType> getGroupByField() {
            if (groupByField == null) {
                groupByField = new ArrayList<FieldType>();
            }
            return this.groupByField;
        }

        /**
         * Gets the value of the aggregate property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the aggregate property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAggregate().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link AggregateExpressionType }
         * 
         * 
         */
        public List<AggregateExpressionType> getAggregate() {
            if (aggregate == null) {
                aggregate = new ArrayList<AggregateExpressionType>();
            }
            return this.aggregate;
        }

    }

}
