
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for QueryByDescription complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QueryByDescription">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}QueryType">
 *       &lt;choice>
 *         &lt;element name="DescriptionResource" type="{urn:mpeg:mpqf:schema:2008}DescriptionResourceType"/>
 *         &lt;element name="DescriptionResourceREF" type="{http://www.w3.org/2001/XMLSchema}IDREF"/>
 *       &lt;/choice>
 *       &lt;attribute name="matchType" default="similar">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="similar"/>
 *             &lt;enumeration value="exact"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QueryByDescription", propOrder = {
    "descriptionResource",
    "descriptionResourceREF"
})
public class QueryByDescription
    extends QueryType
{

    @XmlElement(name = "DescriptionResource")
    protected DescriptionResourceType descriptionResource;
    @XmlElement(name = "DescriptionResourceREF")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object descriptionResourceREF;
    @XmlAttribute(name = "matchType")
    protected String matchType;

    /**
     * Gets the value of the descriptionResource property.
     * 
     * @return
     *     possible object is
     *     {@link DescriptionResourceType }
     *     
     */
    public DescriptionResourceType getDescriptionResource() {
        return descriptionResource;
    }

    /**
     * Sets the value of the descriptionResource property.
     * 
     * @param value
     *     allowed object is
     *     {@link DescriptionResourceType }
     *     
     */
    public void setDescriptionResource(DescriptionResourceType value) {
        this.descriptionResource = value;
    }

    /**
     * Gets the value of the descriptionResourceREF property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getDescriptionResourceREF() {
        return descriptionResourceREF;
    }

    /**
     * Sets the value of the descriptionResourceREF property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setDescriptionResourceREF(Object value) {
        this.descriptionResourceREF = value;
    }

    /**
     * Gets the value of the matchType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMatchType() {
        if (matchType == null) {
            return "similar";
        } else {
            return matchType;
        }
    }

    /**
     * Sets the value of the matchType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMatchType(String value) {
        this.matchType = value;
    }

}
