
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for QueryByROI complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QueryByROI">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}QueryByMedia">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="TemporalRegionOfInterest" type="{urn:mpeg:mpqf:schema:2008}TemporalRegionType" maxOccurs="unbounded"/>
 *           &lt;element name="SpatialRegionOfInterest" type="{urn:mpeg:mpqf:schema:2008}IntegerMatrixType" maxOccurs="unbounded"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QueryByROI", propOrder = {
    "temporalRegionOfInterest",
    "spatialRegionOfInterest"
})
public class QueryByROI
    extends QueryByMedia
{

    @XmlElement(name = "TemporalRegionOfInterest")
    protected List<TemporalRegionType> temporalRegionOfInterest;
    @XmlElement(name = "SpatialRegionOfInterest")
    protected List<IntegerMatrixType> spatialRegionOfInterest;

    /**
     * Gets the value of the temporalRegionOfInterest property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the temporalRegionOfInterest property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTemporalRegionOfInterest().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TemporalRegionType }
     * 
     * 
     */
    public List<TemporalRegionType> getTemporalRegionOfInterest() {
        if (temporalRegionOfInterest == null) {
            temporalRegionOfInterest = new ArrayList<TemporalRegionType>();
        }
        return this.temporalRegionOfInterest;
    }

    /**
     * Gets the value of the spatialRegionOfInterest property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the spatialRegionOfInterest property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSpatialRegionOfInterest().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link IntegerMatrixType }
     * 
     * 
     */
    public List<IntegerMatrixType> getSpatialRegionOfInterest() {
        if (spatialRegionOfInterest == null) {
            spatialRegionOfInterest = new ArrayList<IntegerMatrixType>();
        }
        return this.spatialRegionOfInterest;
    }

}
