
package org.iso.mpeg.mxm.engine.searchTE.schema.mpqf;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SemanticExpressionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticExpressionType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:mpeg:mpqf:schema:2008}BooleanExpressionType">
 *       &lt;attribute name="anchorDistance" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="anchor" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticExpressionType")
@XmlSeeAlso({
    ComplementOf.class,
    SemanticRelation.class,
    EquivalentClass.class,
    IntersectionOf.class,
    InverseOf.class,
    DisjointWith.class,
    UnionOf.class,
    TypeOf.class,
    SubClassOf.class
})
public abstract class SemanticExpressionType
    extends BooleanExpressionType
{

    @XmlAttribute(name = "anchorDistance", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger anchorDistance;
    @XmlAttribute(name = "anchor")
    protected Boolean anchor;

    /**
     * Gets the value of the anchorDistance property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAnchorDistance() {
        return anchorDistance;
    }

    /**
     * Sets the value of the anchorDistance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAnchorDistance(BigInteger value) {
        this.anchorDistance = value;
    }

    /**
     * Gets the value of the anchor property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAnchor() {
        return anchor;
    }

    /**
     * Sets the value of the anchor property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAnchor(Boolean value) {
        this.anchor = value;
    }

}
