package org.iso.mpeg.mxm.digitalitemTE;

import java.util.ArrayList;
import java.util.List;

import org.iso.mpeg.mxm.core.MXMAbstractEngine;
import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;

public class DigitalitemTE extends MXMAbstractEngine implements org.iso.mpeg.mxm.tEngine.digitalitemTE.DIEngine {

	protected List<MXMEngine> engines=new ArrayList();
	
	public String getEngineName() {
		return MXMEngineName.DigitalItemTE.toString();
	}

	@Override
	public DIEngineSchemaHandler getDIEngineSchemaHandler() throws MXMEngineException {

		return new DIEngineSchemaHandler(engines);
	}

	@Override
	public void setDependencies(List<MXMEngine> engines) throws MXMEngineException {
		this.engines.addAll(engines);
		this.engines.add(this);
	}
}
