package org.iso.mpeg.mxm.eventreportTE.technologyhandler.kernel.keeper;

import java.util.UUID;

/**
 * <p/>
 * User: <a href="mailto:bogdan.ardeleanu@uti.ro"> Bogdan Ardeleanu</a>
 * Date: 9/2/11
 * Time: 11:24 AM
 * <p/>
 * UTI Systems, TIC
 */
public class IDGenerator {
    public static final String ER_IDENTIFIER_PREFIX = "urn:er_identifier:temp:";
    public static final String ERR_IDENTIFIER_PREFIX = "urn:err_identifier:temp:";


    private IDGenerator() {

    }

    public static synchronized String generateTimestampID() {
        return String.valueOf(System.currentTimeMillis());
    }

    public static synchronized String generateUsingUUID(String prefix) {
        return prefix + UUID.randomUUID();
    }
}
