package org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.CompleteDescriptionType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.ContentEntityType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.CreationDescriptionType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.CreationType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.PlaceType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SuperMpe7v3AbstractLevel1;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TextAnnotationType;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TitleType;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.CompleteDescription;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.CreationCreationCoordinates;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.CreationTool;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.Creator;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.Header;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.TextAnnotation;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.Textual;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.Title;
import org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.TitleMedia;

public class Creation implements org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.Creation
{
	private CreationType creationType;
	
	public Creation()
	{
		this(new CreationType());
	}
	
	public Creation(CreationType creationType)
	{
		this.creationType = creationType;
	}

	@Override
	public List<Header> getHeader() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setId(String string) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getTimeBase() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setTimeBase(String string) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getTimeUnit() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setTimeUnit(String string) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getMediaTimeBase() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setMediaTimeBase(String string) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getMediaTimeUnit() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setMediaTimeUnit(String string) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getId() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void createFile(File f) throws MXMException {
		new SuperMpe7v3AbstractLevel1(creationType).createFile(f);
		
	}

	@Override
	public MXMObject createObject(String objectType) throws MXMException {
		return new SuperMpe7v3AbstractLevel1(creationType).createObject(objectType);
	}

	@Override
	public MXMEngineResponse parse(MXMObject object) throws MXMEngineException {
		SuperMpe7v3AbstractLevel1 superAbstract = new SuperMpe7v3AbstractLevel1(creationType);

		MXMEngineResponse repsonse = superAbstract.parse(object);

		creationType = (CreationType) superAbstract.createObject(CreationType.class.getCanonicalName()).getContent();

		return repsonse;
	}

	@Override
	public List<Creator> getCreator() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void addCreator(Creator creator) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public TitleMedia getTitleMedia() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void setTitleMedia(TitleMedia titleMedia) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public List<TextAnnotation> getAbstract() {
		List<TextAnnotation> txList = new ArrayList<TextAnnotation>();
		
		for (TextAnnotationType txType: creationType.getAbstract())
		{
			if (txType instanceof org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TextAnnotationType)
			{
				txList.add(new org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3.TextAnnotation((TextAnnotationType) txType));
			}
			//ADDMORE
		}
		return txList;
	}
	
	@Override
	public void addAbstract(TextAnnotation t) throws MXMException {
		creationType.getAbstract().add((TextAnnotationType)t.createObject(TextAnnotationType.class.getCanonicalName()).getContent());
	}

	@Override
	public List<CreationCreationCoordinates> getCreationCoordinates() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public List<CreationTool> getCreationTool() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public List<Textual> getCopyrightString() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public List<Title> getTitle() {
		List<Title> titleList = new ArrayList<Title>();
		
		for (TitleType titleType: creationType.getTitle())
		{
			if (titleType instanceof org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TitleType)
			{
				titleList.add(new org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3.Title((TitleType) titleType));
			}
			//ADDMORE
		}
		return titleList;
	}

	@Override
	public void addTitle(Title t) throws MXMException {
		 creationType.getTitle().add((TitleType)t.createObject(TitleType.class.getCanonicalName()).getContent());
	}

}
