package org.iso.mpeg.mxm.metadataTE.schemahandler.mpeg7_v3;

import java.io.File;

import org.iso.mpeg.mxm.core.MXMEngineResponse;
import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.core.MXMObject;
import org.iso.mpeg.mxm.core.engine.management.MXMEngineException;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.SuperMpe7v3AbstractLevel1;
import org.iso.mpeg.mxm.engine.metadataTE.schema.mpeg7_v3.TermDefinitionType;

public class TermDefinitionTerm extends TermDefinition implements org.iso.mpeg.mxm.tEngine.metadataTE.schemahandler.mpeg7_v3.TermDefinitionTerm
{
	private TermDefinitionType.Term termDefinitionTypeTerm;
	
	public TermDefinitionTerm()
	{
		this(new TermDefinitionType.Term());
	}
	
	public TermDefinitionTerm(TermDefinitionType.Term termDefinitionTypeTerm)
	{
		super(termDefinitionTypeTerm);
		this.termDefinitionTypeTerm = termDefinitionTypeTerm;
	}
	
	@Override
	public String getRelation()
	{
		return termDefinitionTypeTerm.getRelation();
	}

	@Override
	public void setRelation(String string)
	{
		termDefinitionTypeTerm.setRelation(string);
	}
	
	// MXM CREATOR AND PARSER METHODS

	@Override
	public void createFile(File f) throws MXMException
	{
		new SuperMpe7v3AbstractLevel1(termDefinitionTypeTerm).createFile(f);
	}

	@Override
	public MXMObject createObject(String objectType) throws MXMException
	{
		return new SuperMpe7v3AbstractLevel1(termDefinitionTypeTerm).createObject(objectType);
	}

	@Override
	public MXMEngineResponse parse(MXMObject object) throws MXMEngineException
	{
		SuperMpe7v3AbstractLevel1 superAbstract = new SuperMpe7v3AbstractLevel1(termDefinitionTypeTerm);

		MXMEngineResponse repsonse = superAbstract.parse(object);

		termDefinitionTypeTerm = (TermDefinitionType.Term) superAbstract.createObject(TermDefinitionType.Term.class.getCanonicalName());

		return repsonse;
	}

}
