import java.io.File;

import junit.framework.TestCase;

import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMAdapter;
import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.MXMException;

import org.iso.mpeg.mxm.pEngine.createcontentPE.CreateContentEngine;
import org.iso.mpeg.mxm.pEngine.createcontentPE.schemahandler.CreateContentRequest;
import org.iso.mpeg.mxm.pEngine.identifycontentPE.schemahandler.IdentifyContentResponse;
import org.iso.mpeg.mxm.pEngine.packagecontentPE.PackageContentPE;
import org.iso.mpeg.mxm.pEngine.packagecontentPE.schemahandler.PackageContentRequest;
import org.iso.mpeg.mxm.pEngine.packagecontentPE.schemahandler.PackageContentResponse;
import org.iso.mpeg.mxm.tEngine.digitalitemTE.DIEngine;
import org.iso.mpeg.mxm.orchestratorEngine.packagecontent.PackageContentEngineOrchestrator;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

import org.xml.sax.*;
import javax.xml.parsers.*;
import javax.xml.transform.*; 
import javax.xml.transform.dom.*; 
import javax.xml.transform.stream.*;


public class PackageEngineOrchestTest extends TestCase {
    
    public void testPC() throws MXMException
	{
		System.out.println("PG1 - Executing PackageEngineOrchestTest");
		
		//Creation of a new MXM instance
		MXM mxm = MXM.getInstance(this);
		mxm.listEnginesAndProperties();
		
		
		/*
		CreateContentEngine ccpEngine2 = (CreateContentEngine) mxm.getDefaultEngine(MXMEngineName.CreateContentPE.toString());
		DIEngine diEngine2 = (DIEngine) mxm.getDefaultEngine(MXMEngineName.DigitalItemTE.toString());

		CreateContentRequest ccpR2=ccpEngine2.getCreateContentSchemaHandler().getCreateContentRequest();
		*/
		//ccpR2.parse(new MXMAdapter(new File(getClass().getClassLoader().getResource("testPKG.xml").getFile())));
	
		
		System.out.println("PG2 - Creation of a new MXM Engine");
		MXMEngine mxmEngine = mxm.getDefaultEngine(MXMEngineName.PackageContentPE.toString());
		System.out.println("PG3 - Creation of a new PackageContent PE");
		PackageContentPE ccpEngine = (PackageContentPE) mxm.getDefaultEngine(MXMEngineName.PackageContentPE.toString());
		System.out.println("PG4 - Creation of a new DI Engine");
		DIEngine diEngine = (DIEngine) mxm.getDefaultEngine(MXMEngineName.DigitalItemTE.toString());

		System.out.println("PG5 - Creation of a new PackageContentequest");
		PackageContentRequest ccpR=ccpEngine.getSchemaHandler().getPackageContentRequest();
		
		//ccpR.parse(new MXMAdapter(new File(getClass().getClassLoader().getResource("testPKG.xml").getFile())));
			
		//PackageContentEngineOrchestrator cceo=new org.iso.mpeg.mxm.orchestrator.packagecontent.PackageContentEngineOrchestrator(ccpEngine, diEngine);
		System.out.println("PG6 - Creation of a new PackageContent Engine Orchestrator");
		PackageContentEngineOrchestrator cceo=new org.iso.mpeg.mxm.orchestrator.packagecontent.PackageContentEngineOrchestrator(ccpEngine, diEngine);
		
							
		System.out.println("PG7 - Creation of a new Package Content Response");
		PackageContentResponse pcr=cceo.packageContent(ccpR);
		
		//pcr.getPackageContentSuccess().addSuccessCode("1");
		pcr.getPackageContentSuccess();
				
		//ccpR2.getCreateContentSuccess().getIdentifiedContent().getDIDL();		
		System.out.println(ccpR.createObject((String.class.getCanonicalName())).getContent());
	}
   
}
