import java.io.File;

import junit.framework.TestCase;

import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMAdapter;
import org.iso.mpeg.mxm.core.MXMEngine;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.MXMException;

import org.iso.mpeg.mxm.pEngine.unpublishcontentPE.UnpublishContentPE;
import org.iso.mpeg.mxm.pEngine.unpublishcontentPE.schemahandler.UnpublishContentRequest;
import org.iso.mpeg.mxm.pEngine.unpublishcontentPE.schemahandler.UnpublishContentResponse;
import org.iso.mpeg.mxm.tEngine.digitalitemTE.DIEngine;
import org.iso.mpeg.mxm.orchestratorEngine.unpublishcontent.UnpublishContentEngineOrchestrator;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

import org.xml.sax.*;
import javax.xml.parsers.*;
import javax.xml.transform.*; 
import javax.xml.transform.dom.*; 
import javax.xml.transform.stream.*;


public class UnpublishEngineOrchestTest extends TestCase {
    
    public void testPC() throws MXMException
	{
		System.out.println("PG1 - Executing UnpublishEngineOrchestTest");
		
		//Creation of a new MXM instance
		MXM mxm = MXM.getInstance(this);
		mxm.listEnginesAndProperties();
		
		
		/*
		CreateContentEngine ccpEngine2 = (CreateContentEngine) mxm.getDefaultEngine(MXMEngineName.CreateContentPE.toString());
		DIEngine diEngine2 = (DIEngine) mxm.getDefaultEngine(MXMEngineName.DigitalItemTE.toString());

		CreateContentRequest ccpR2=ccpEngine2.getCreateContentSchemaHandler().getCreateContentRequest();
		*/
		//ccpR2.parse(new MXMAdapter(new File(getClass().getClassLoader().getResource("testPKG.xml").getFile())));
	
		
		System.out.println("PG2 - Creation of a new MXM Engine");
		MXMEngine mxmEngine = mxm.getDefaultEngine(MXMEngineName.UnpublishContentPE.toString());
		System.out.println("PG3 - Creation of a new UnpublishContent PE");
		UnpublishContentPE ccpEngine = (UnpublishContentPE) mxm.getDefaultEngine(MXMEngineName.UnpublishContentPE.toString());
		System.out.println("PG4 - Creation of a new DI Engine");
		DIEngine diEngine = (DIEngine) mxm.getDefaultEngine(MXMEngineName.DigitalItemTE.toString());

		System.out.println("PG5 - Creation of a new UnpublishContentequest");
		UnpublishContentRequest ccpR=ccpEngine.getSchemaHandler().getUnpublishContentRequest();
		
		//ccpR.parse(new MXMAdapter(new File(getClass().getClassLoader().getResource("testPKG.xml").getFile())));
			
		System.out.println("PG6 - Creation of a new UnpublishContent Engine Orchestrator");
		UnpublishContentEngineOrchestrator cceo=new org.iso.mpeg.mxm.orchestrator.unpublishcontent.UnpublishContentEngineOrchestrator(ccpEngine, diEngine);
							
		System.out.println("PG7 - Creation of a new Unpublish Content Response");
		UnpublishContentResponse pcr=cceo.unpublishContent(ccpR);
		
		//pcr.getPackageContentSuccess().addSuccessCode("1");
		pcr.getUnpublishContentSuccess();
				
		//ccpR2.getCreateContentSuccess().getIdentifiedContent().getDIDL();		
		System.out.println(ccpR.createObject((String.class.getCanonicalName())).getContent());
	}
   
}
