import java.io.File;

import junit.framework.TestCase;

import org.iso.mpeg.mxm.core.MXM;
import org.iso.mpeg.mxm.core.MXMAdapter;
import org.iso.mpeg.mxm.core.MXMEngineName;
import org.iso.mpeg.mxm.core.MXMException;

import org.iso.mpeg.mxm.pEngine.createcontentPE.CreateContentEngine;
import org.iso.mpeg.mxm.pEngine.createcontentPE.schemahandler.CreateContentRequest;
import org.iso.mpeg.mxm.pEngine.createcontentPE.schemahandler.CreateContentResponse;
import org.iso.mpeg.mxm.tEngine.digitalitemTE.DIEngine;
import org.iso.mpeg.mxm.orchestratorEngine.createcontent.CreateContentEngineOrchestrator;

public class createcontentorchtest extends TestCase {
	
	public void testCC() throws MXMException
	{
		MXM mxm = MXM.getInstance(this);
		mxm.listEnginesAndProperties();
	
		CreateContentEngine ccpEngine = (CreateContentEngine) mxm.getDefaultEngine(MXMEngineName.CreateContentPE.toString());
		DIEngine diEngine = (DIEngine) mxm.getDefaultEngine(MXMEngineName.DigitalItemTE.toString());

		CreateContentRequest ccpR=ccpEngine.getCreateContentSchemaHandler().getCreateContentRequest();
		ccpR.parse(new MXMAdapter(new File(getClass().getClassLoader().getResource("testCCR.xml").getFile())));
	
		CreateContentEngineOrchestrator cceo=new org.iso.mpeg.mxm.orchestrator.createcontent.CreateContentEngineOrchestrator(ccpEngine, diEngine);
		
		CreateContentResponse ccr=cceo.createContent(ccpR);
		
		//ccr.getCreateContentSuccess().getIdentifiedContent().getDIDL();
		
		System.out.println(ccr.createObject((String.class.getCanonicalName())).getContent());
		
		
	}
}
