/**
 * 
 */
package eu.convergence.middleware.orchestratorTE.test;

import junit.framework.TestCase;

import org.iso.mpeg.mxm.core.MXMException;
import org.iso.mpeg.mxm.orchestratorTE.OrchestratorTE;
import org.iso.mpeg.mxm.pEngine.identifyuserPE.schemahandler.IdentifyUserRequest;
import org.iso.mpeg.mxm.pEngine.identifyuserPE.schemahandler.IdentifyUserResponse;
import org.junit.Before;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Angelos-Christos Anadiotis
 *
 */
public class IdentifyUserOrchestratorTest extends TestCase
{
	private Logger logger = LoggerFactory.getLogger(this.getClass());
	
	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception
	{
		super.setUp();
	}

	public void testIdentifyUser() throws MXMException
	{
		logger.info("Starting Identify User Engine Orchestrator Test...");
		
//		try
//		{
			org.iso.mpeg.mxm.pEngine.identifyuserPE.IdentifyUserEngine identifyUserEngine = OrchestratorTE.getIdentifyUserEngine();
			OrchestratorTE.dealWithIdentifyUserEngine();
			org.iso.mpeg.mxm.tEngine.securityTE.SecurityEngine securityEngine = OrchestratorTE.getSecurityEngine();
			IdentifyUserRequest identifyUserRequest = identifyUserEngine.getIdentifyUserSchemaHandler().getIdentifyUserRequest();
			identifyUserRequest.setTransactionIdentifier("Identify User TID");
			IdentifyUserResponse identifyUserResponse = identifyUserEngine.getIdentifyUserTechnologyHandler().getRemoteIdentifyUserProtocol().identifyUser(identifyUserRequest);

			logger.info("Received Identify User Response with TID: " + identifyUserResponse.getTransactionIdentifier());
//		}
//		catch (IdentifyUserEngineException e)
//		{
//			logger.warn("The service seems not available");
//			e.printStackTrace();
//		}
	}

}
