package org.iso.mpeg.mxm.relTE.schemahandler;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.JAXBElement;

import org.iso.mpeg.mxm.relTE.schemahandler.common.LicensePart;
import org.iso.mpeg.mxm.relTE.schemahandler.resource.principal.PropertyPossessor;
import org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.AnXmlPatternAbstract;

public class ForAll extends LicensePart implements org.iso.mpeg.mxm.tEngine.relTE.schemahandler.relr.ForAll
{
	public ForAll()
	{
		this(new org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll());
	}
	
	public ForAll(org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll forAll)
	{
		super(forAll);
	}

	@Override
	public List<AnXmlPatternAbstract> getAnXmlPatternAbstract()
	{
		List<AnXmlPatternAbstract> toReturnList = new ArrayList<AnXmlPatternAbstract>();
		
		for (JAXBElement jaxbElement : ((org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll)licensePartType).getAnXmlPatternAbstract())
		{
			if (jaxbElement.getValue() instanceof org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor)
			{
				toReturnList.add(new PropertyPossessor((org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor) jaxbElement.getValue()));
			}
			else if (jaxbElement.getValue() instanceof org.iso.mpeg.mxm.engine.relTE.schema.relr.PropertyPossessor)
			{
				// TODO add more xml patternabstracts
			}
		}
		
		return toReturnList;
	}
	
	public void addAnXmlPatternAbstract(AnXmlPatternAbstract anXmlPatternAbstract)
	{
		try
		{
			((org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll)licensePartType).getAnXmlPatternAbstract()
				.add((JAXBElement<? extends org.iso.mpeg.mxm.engine.relTE.schema.relr.AnXmlPatternAbstract>) 
						anXmlPatternAbstract.createObject(JAXBElement.class.getCanonicalName()).getContent());
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	@Override
	public String getVarName()
	{
		return ((org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll)licensePartType).getVarName();
	}

	@Override
	public void setVarName(String string)
	{
		((org.iso.mpeg.mxm.engine.relTE.schema.relr.ForAll)licensePartType).setVarName(string);
	}
	
}
