package org.iso.mpeg.mxm.securityTE.technologyhandler.obj;


import java.io.Serializable;
import java.util.HashMap;

import java.security.cert.X509Certificate;


public class CertificateStoreDataObject implements Serializable
{
    /**
     * 
     */
    private static final long serialVersionUID = -6605803807689418339L;
    private HashMap<String, X509Certificate> authCertificateMap = new HashMap<String, X509Certificate>();
    private HashMap<String, X509Certificate> confCertificateMap = new HashMap<String, X509Certificate>();
    private HashMap<String, X509Certificate> sigCertificateMap  = new HashMap<String, X509Certificate>();

    public void setAuthCertificate(String appAlias, X509Certificate cert)
    {
        authCertificateMap.put(appAlias, cert);
    }

    public void setConfCertificate(String appAlias, X509Certificate cert)
    {
        confCertificateMap.put(appAlias, cert);
    }

    public void setSigCertificate(String appAlias, X509Certificate cert)
    {
        sigCertificateMap.put(appAlias, cert);
    }

    public X509Certificate getAuthCertificate(String appAlias)
    {
        return authCertificateMap.get(appAlias);
    }

    public X509Certificate getConfCertificate(String appAlias)
    {
        return confCertificateMap.get(appAlias);
    }

    public X509Certificate getSigCertificate(String appAlias)
    {
        return sigCertificateMap.get(appAlias);
    }
}
